/*===========================================================================*/
/*   (Engine/compiler.scm)                                                   */
/*   Bigloo (2.5b)                                                           */
/*   Manuel Serrano (c)       Fri Sep 6 09:43:28 CEST 2002                   */
/*===========================================================================*/

/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>
#include <signal.h>


/* Object type definitions */
typedef struct BgL_typez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   obj_t BgL_siza7eza7;
   obj_t BgL_classz00;
   obj_t BgL_coercezd2tozd2;
   obj_t BgL_parentsz00;
   bool_t BgL_initzf3zf3;
   bool_t BgL_magiczf3zf3;
   obj_t BgL_z42z42;
   obj_t BgL_aliasz00;
   obj_t BgL_pointedzd2tozd2byz00;
   obj_t BgL_tvectorz00;
   obj_t BgL_locationz00;
   obj_t BgL_importzd2locationzd2;
} *BgL_typez00_bglt;

typedef struct BgL_valuez00_bgl {
   header_t header;
   obj_t widening;
} *BgL_valuez00_bglt;

typedef struct BgL_variablez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
} *BgL_variablez00_bglt;

typedef struct BgL_globalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   obj_t BgL_modulez00;
   obj_t BgL_importz00;
   bool_t BgL_evaluablezf3zf3;
   bool_t BgL_libraryzf3zf3;
   bool_t BgL_userzf3zf3;
   obj_t BgL_pragmaz00;
   obj_t BgL_srcz00;
   obj_t BgL_jvmzd2typezd2namez00;
} *BgL_globalz00_bglt;

typedef struct BgL_localz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   bool_t BgL_userzf3zf3;
   long BgL_keyz00;
} *BgL_localz00_bglt;

typedef struct BgL_funz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
} *BgL_funz00_bglt;

typedef struct BgL_sfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_propertyz00;
   obj_t BgL_argsz00;
   obj_t BgL_bodyz00;
   obj_t BgL_classz00;
   obj_t BgL_dssslzd2keywordszd2;
   obj_t BgL_locz00;
} *BgL_sfunz00_bglt;

typedef struct BgL_cfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_argszd2typezd2;
   bool_t BgL_macrozf3zf3;
   bool_t BgL_infixzf3zf3;
   obj_t BgL_methodz00;
} *BgL_cfunz00_bglt;

typedef struct BgL_svarz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
} *BgL_svarz00_bglt;

typedef struct BgL_scnstz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_nodez00;
   obj_t BgL_classz00;
   obj_t BgL_locz00;
} *BgL_scnstz00_bglt;

typedef struct BgL_cvarz00_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_macrozf3zf3;
} *BgL_cvarz00_bglt;

typedef struct BgL_sexitz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_handlerz00;
   bool_t BgL_detachedzf3zf3;
} *BgL_sexitz00_bglt;

typedef struct BgL_nodez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
} *BgL_nodez00_bglt;

typedef struct BgL_nodezf2effectzf2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
} *BgL_nodezf2effectzf2_bglt;

typedef struct BgL_atomz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_atomz00_bglt;

typedef struct BgL_varz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_varz00_bglt;

typedef struct BgL_closurez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_closurez00_bglt;

typedef struct BgL_kwotez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_kwotez00_bglt;

typedef struct BgL_sequencez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_nodesz00;
} *BgL_sequencez00_bglt;

typedef struct BgL_appz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
} *BgL_appz00_bglt;

typedef struct BgL_appzd2lyzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_appzd2lyzd2_bglt;

typedef struct BgL_funcallz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
   obj_t BgL_strengthz00;
} *BgL_funcallz00_bglt;

typedef struct BgL_externz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
} *BgL_externz00_bglt;

typedef struct BgL_pragmaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_formatz00;
} *BgL_pragmaz00_bglt;

typedef struct BgL_getfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_getfieldz00_bglt;

typedef struct BgL_setfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_setfieldz00_bglt;

typedef struct BgL_newz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
} *BgL_newz00_bglt;

typedef struct BgL_vallocz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2heapzd2formatz00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_vallocz00_bglt;

typedef struct BgL_vrefz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vrefz00_bglt;

typedef struct BgL_vsetz12z12_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vsetz12z12_bglt;

typedef struct BgL_vlengthz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vlengthz00_bglt;

typedef struct BgL_isaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   struct BgL_typez00_bgl * BgL_classz00;
} *BgL_isaz00_bglt;

typedef struct BgL_castz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_castz00_bglt;

typedef struct BgL_setqz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_setqz00_bglt;

typedef struct BgL_conditionalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   struct BgL_nodez00_bgl * BgL_truez00;
   struct BgL_nodez00_bgl * BgL_falsez00;
} *BgL_conditionalz00_bglt;

typedef struct BgL_failz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_procz00;
   struct BgL_nodez00_bgl * BgL_msgz00;
   struct BgL_nodez00_bgl * BgL_objz00;
} *BgL_failz00_bglt;

typedef struct BgL_selectz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   obj_t BgL_clausesz00;
   struct BgL_typez00_bgl * BgL_itemzd2typezd2;
} *BgL_selectz00_bglt;

typedef struct BgL_letzd2funzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_localsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_letzd2funzd2_bglt;

typedef struct BgL_letzd2varzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_bindingsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
   bool_t BgL_removablezf3zf3;
} *BgL_letzd2varzd2_bglt;

typedef struct BgL_setzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_setzd2exzd2itz00_bglt;

typedef struct BgL_jumpzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_exitz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_jumpzd2exzd2itz00_bglt;

typedef struct BgL_makezd2boxzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_makezd2boxzd2_bglt;

typedef struct BgL_boxzd2refzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_varz00;
} *BgL_boxzd2refzd2_bglt;

typedef struct BgL_boxzd2setz12zc0_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_boxzd2setz12zc0_bglt;

typedef struct BgL_ccompz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_producerz00;
   obj_t BgL_consumerz00;
   obj_t BgL_finaliza7erza7;
} *BgL_ccompz00_bglt;


static obj_t BGl_zc3anonymousza33035ze3z83zzengine_compilerz00(obj_t);
extern obj_t BGl_coercezd2walkz12zc0zzcoerce_walkz00(obj_t);
extern obj_t BGl_loadzd2libraryzd2initz00zzinit_setrcz00();
extern obj_t BGl_za2optimzd2unrollzd2loopzf3za2zf3zzengine_paramz00;
extern obj_t BGl_modulezd2checksumzd2objectz00zzmodule_modulez00();
static obj_t BGl_methodzd2initzd2zzengine_compilerz00();
extern obj_t BGl_initializa7ezd2Genvz12z67zzast_envz00();
extern obj_t open_input_string(obj_t);
extern obj_t BGl_ldz00zzcc_ldz00(obj_t, bool_t);
extern obj_t BGl_bdbzd2walkz12zc0zzbdb_walkz00(obj_t);
static obj_t BGl_zc3anonymousza32944ze3z83zzengine_compilerz00(obj_t);
static obj_t BGl_zc3anonymousza33045ze3z83zzengine_compilerz00(obj_t);
extern obj_t BGl_installzd2compilerzd2signalsz12z12zzengine_signalsz00();
extern obj_t BGl_readz00zz__readerz00(obj_t);
extern obj_t BGl_userzd2walkzd2zzuser_userz00(obj_t);
static obj_t BGl_zc3anonymousza32952ze3z83zzengine_compilerz00(obj_t);
extern obj_t BGl_buildzd2astzd2zzast_buildz00(obj_t);
static obj_t BGl_zc3anonymousza33053ze3z83zzengine_compilerz00(obj_t);
extern obj_t BGl_dumpzd2additionalzd2heapsz00zzheap_restorez00();
extern obj_t BGl_za2compilerzd2debugza2zd2zzengine_paramz00;
extern obj_t string_to_bstring(char *);
static obj_t BGl_zc3anonymousza33058ze3z83zzengine_compilerz00(obj_t);
extern obj_t BGl_integratezd2walkz12zc0zzintegrate_walkz00(obj_t);
static obj_t BGl_zc3anonymousza32960ze3z83zzengine_compilerz00(obj_t);
extern obj_t BGl_za2targetzd2languageza2zd2zzengine_paramz00;
extern obj_t BGl_installzd2typezd2cachez12z12zztype_cachez00();
extern obj_t BGl_failzd2walkz12zc0zzfail_walkz00(obj_t);
extern obj_t BGl_bdbzd2settingz12zc0zzbdb_settingz00();
extern obj_t BGl_za2libzd2modeza2zd2zzengine_paramz00;
static obj_t BGl_zc3anonymousza32969ze3z83zzengine_compilerz00(obj_t);
static obj_t BGl_zc3anonymousza33069ze3z83zzengine_compilerz00(obj_t);
extern obj_t BGl_installzd2initialzd2expanderz00zzexpand_installz00();
extern obj_t BGl_expandzd2unitszd2zzexpand_epsz00(obj_t);
extern obj_t BGl_za2bdbzd2debugza2zd2zzengine_paramz00;
static obj_t BGl_cnstzd2initzd2zzengine_compilerz00();
static obj_t BGl_zc3anonymousza33074ze3z83zzengine_compilerz00(obj_t);
extern obj_t BGl_unitzd2sexpza2zd2addz12zb0zzast_unitz00(obj_t, obj_t);
extern obj_t BGl_producezd2modulez12zc0zzmodule_modulez00(obj_t);
extern obj_t BGl_readzd2accesszd2filez00zzread_accessz00();
static obj_t BGl_zc3anonymousza32977ze3z83zzengine_compilerz00(obj_t);
extern obj_t BGl_writezd2astzd2zzwrite_astz00(obj_t);
extern obj_t BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00;
static obj_t BGl_zc3anonymousza33079ze3z83zzengine_compilerz00(obj_t);
extern obj_t BGl_hellozd2worldzd2zzengine_enginez00();
extern obj_t BGl_za2currentzd2passza2zd2zzengine_passz00;
extern obj_t BGl_makezd2profzd2unitz00zzprof_walkz00();
static obj_t BGl_zc3anonymousza32845ze3z83zzengine_compilerz00(obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zzengine_compilerz00();
extern obj_t BGl_cnstzd2walkz12zc0zzcnst_walkz00(obj_t);
extern obj_t BGl_cgenzd2walkzd2zzcgen_walkz00(obj_t);
static obj_t BGl_zc3anonymousza32986ze3z83zzengine_compilerz00(obj_t);
extern obj_t BGl_exitz00zz__errorz00(obj_t);
static obj_t BGl_zc3anonymousza32854ze3z83zzengine_compilerz00(obj_t);
extern obj_t BGl_displayz00zz__r4_output_6_10_3z00(obj_t, obj_t);
extern obj_t BGl_writezd2expandedzd2zzwrite_expandedz00(obj_t);
extern obj_t BGl_globaliza7ezd2walkz12z67zzglobaliza7e_walkza7(obj_t, obj_t);
extern obj_t BGl_za2callzf2cczf3za2z01zzengine_paramz00;
static obj_t BGl_toplevelzd2initzd2zzengine_compilerz00();
static obj_t BGl_zc3anonymousza32860ze3z83zzengine_compilerz00(obj_t);
static obj_t BGl_zc3anonymousza32997ze3z83zzengine_compilerz00(obj_t);
extern bool_t BGl_2ze3ze3zz__r4_numbers_6_5z00(obj_t, obj_t);
static obj_t BGl_zc3anonymousza33098ze3z83zzengine_compilerz00(obj_t);
static obj_t BGl_zc3anonymousza33108ze3z83zzengine_compilerz00(obj_t);
extern obj_t BGl_modulezd2initializa7ationz75zzengine_compilerz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzengine_passz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzengine_signalsz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzengine_enginez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzread_srcz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzwrite_expandedz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzwrite_astz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzread_accessz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzread_jvmz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzheap_restorez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzheap_makez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_checkzd2sharingzd2(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_buildz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_unitz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_checkzd2globalzd2initz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzuser_userz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzmodule_includez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzexpand_epsz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzexpand_installz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzinit_mainz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzinit_setrcz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztrace_walkz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzinline_walkz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzeffect_walkz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzcallcc_walkz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzfail_walkz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzglobaliza7e_walkza7(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzcfa_walkz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzcfa_tvectorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzintegrate_walkz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzcoerce_walkz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzreduce_walkz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzcnst_walkz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzcgen_walkz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzhgen_walkz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzbdb_settingz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzbdb_spreadzd2objzd2(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzbdb_walkz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzprof_walkz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzcc_indentz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzcc_ccz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzcc_ldz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzjvm_jdumpz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzjvm_ldz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long, char *);
extern obj_t BGl_userzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_stopzd2onzd2passz00zzengine_passz00(obj_t, obj_t);
extern obj_t BGl_effectzd2walkz12zc0zzeffect_walkz00(obj_t);
static obj_t BGl__cczd2compiler3596zd2zzengine_compilerz00(obj_t, obj_t, obj_t);
static obj_t BGl_zc3anonymousza32868ze3z83zzengine_compilerz00(obj_t);
extern obj_t BGl_reducezd2walkz12zc0zzreduce_walkz00(obj_t);
extern obj_t BGl_checkzd2globalzd2initializa7ationza7zzast_checkzd2globalzd2initz00();
static obj_t BGl_zc3anonymousza32874ze3z83zzengine_compilerz00(obj_t);
extern obj_t BGl_readzd2jfilezd2zzread_jvmz00();
extern obj_t BGl_cczd2compilerzd2zzengine_compilerz00(obj_t, obj_t);
extern obj_t BGl_checkzd2typeszd2zztype_envz00();
extern obj_t BGl_tracezd2walkz12zc0zztrace_walkz00(obj_t);
extern obj_t BGl_cfazd2walkz12zc0zzcfa_walkz00(obj_t);
extern obj_t BGl_jvmzd2dumpzd2zzjvm_jdumpz00(obj_t);
extern obj_t BGl_setzd2defaultzd2typez12z12zztype_cachez00(BgL_typez00_bglt);
extern obj_t BGl_makezd2addzd2heapz00zzheap_makez00();
extern obj_t BGl_bdbzd2spreadzd2objz12z12zzbdb_spreadzd2objzd2(obj_t);
extern obj_t BGl_enginez00zzengine_enginez00();
static obj_t BGl_zc3anonymousza32883ze3z83zzengine_compilerz00(obj_t);
extern obj_t BGl_restorezd2heapzd2zzheap_restorez00();
static obj_t BGl_zc3anonymousza32747ze3z83zzengine_compilerz00(obj_t);
extern obj_t BGl_getzd2toplevelzd2unitz00zzmodule_includez00();
extern obj_t BGl_za2optimza2z00zzengine_paramz00;
extern obj_t BGl_za2heapzd2debugza2zd2zzengine_paramz00;
extern obj_t BGl_compilerz00zzengine_compilerz00();
extern obj_t BGl_initializa7ezd2Tenvz12z67zztype_envz00();
extern obj_t BGl_inlinezd2walkz12zc0zzinline_walkz00(obj_t, obj_t);
extern obj_t BGl_za2passza2z00zzengine_paramz00;
extern obj_t BGl_jvmzd2ldzd2zzjvm_ldz00();
extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
extern obj_t BGl_patchzd2vectorzd2setz12z12zzcfa_tvectorz00();
static obj_t BGl_zc3anonymousza32760ze3z83zzengine_compilerz00(obj_t);
extern obj_t BGl_checkzd2sharingzd2zzast_checkzd2sharingzd2(obj_t, obj_t);
static obj_t BGl_zc3anonymousza32907ze3z83zzengine_compilerz00(obj_t);
static obj_t BGl_zc3anonymousza33008ze3z83zzengine_compilerz00(obj_t);
static obj_t BGl_zc3anonymousza32899ze3z83zzengine_compilerz00(obj_t);
extern obj_t BGl_makezd2heapzd2zzheap_makez00();
extern obj_t BGl_za2interpreterza2z00zzengine_paramz00;
extern obj_t BGl_za2restzd2argsza2zd2zzengine_paramz00;
static obj_t BGl_zc3anonymousza32915ze3z83zzengine_compilerz00(obj_t);
static obj_t BGl_zc3anonymousza33015ze3z83zzengine_compilerz00(obj_t);
extern obj_t BGl_za2objza2z00zztype_cachez00;
extern obj_t BGl_astzb2initializa7ersz15zzcgen_walkz00(obj_t);
extern obj_t BGl_warningz00zz__errorz00(obj_t);
extern obj_t BGl_indentz00zzcc_indentz00(obj_t);
static obj_t BGl_requirezd2initializa7ationz75zzengine_compilerz00 = BUNSPEC;
extern obj_t BGl_za2modulezd2checksumzd2objectzf3za2zf3zzengine_paramz00;
extern obj_t BGl_callcczd2walkz12zc0zzcallcc_walkz00(obj_t);
static obj_t BGl_zc3anonymousza33025ze3z83zzengine_compilerz00(obj_t);
extern obj_t BGl_za2warningza2z00zz__errorz00;
extern obj_t BGl_za2profilezd2modeza2zd2zzengine_paramz00;
extern obj_t BGl_za2czd2debugza2zd2zzengine_paramz00;
static obj_t BGl_libraryzd2moduleszd2initz00zzengine_compilerz00();
extern obj_t BGl_readzd2srczd2zzread_srcz00();
extern obj_t BGl_exitzd2bigloozd2zzinit_mainz00(obj_t);
extern obj_t BGl_ccz00zzcc_ccz00(obj_t, obj_t, bool_t);
static obj_t BGl_zc3anonymousza32932ze3z83zzengine_compilerz00(obj_t);
static obj_t BGl__compilerz00zzengine_compilerz00(obj_t);
static obj_t __cnst[ 40 ] ;

DEFINE_EXPORT_PROCEDURE( BGl_compilerzd2envzd2zzengine_compilerz00, BgL_bgl__compilerza700za7za7engine_compilerza7003837z00, BGl__compilerz00zzengine_compilerz00, 0L, 0 );
extern obj_t BGl_hgenzd2walkzd2envz00zzhgen_walkz00;
DEFINE_EXPORT_PROCEDURE( BGl_cczd2compilerzd2envz00zzengine_compilerz00, BgL_bgl__ccza7d2compiler3596za7d2za7za7engine_compilerza7003838za7, BGl__cczd2compiler3596zd2zzengine_compilerz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3778z00zzengine_compilerz00, BgL_bgl_za7c3anonymousza7a32747za7e3za783za7za7engine_compilerza7003839za7, BGl_zc3anonymousza32747ze3z83zzengine_compilerz00, 0L, 0 );
DEFINE_STATIC_PROCEDURE( BGl_proc3779z00zzengine_compilerz00, BgL_bgl_za7c3anonymousza7a32760za7e3za783za7za7engine_compilerza7003840za7, BGl_zc3anonymousza32760ze3z83zzengine_compilerz00, 0L, 0 );
DEFINE_STATIC_PROCEDURE( BGl_proc3784z00zzengine_compilerz00, BgL_bgl_za7c3anonymousza7a32868za7e3za783za7za7engine_compilerza7003841za7, BGl_zc3anonymousza32868ze3z83zzengine_compilerz00, 0L, 0 );
DEFINE_STATIC_PROCEDURE( BGl_proc3785z00zzengine_compilerz00, BgL_bgl_za7c3anonymousza7a32874za7e3za783za7za7engine_compilerza7003842za7, BGl_zc3anonymousza32874ze3z83zzengine_compilerz00, 0L, 0 );
DEFINE_STATIC_PROCEDURE( BGl_proc3800z00zzengine_compilerz00, BgL_bgl_za7c3anonymousza7a33053za7e3za783za7za7engine_compilerza7003843za7, BGl_zc3anonymousza33053ze3z83zzengine_compilerz00, 0L, 0 );
DEFINE_STATIC_PROCEDURE( BGl_proc3801z00zzengine_compilerz00, BgL_bgl_za7c3anonymousza7a33058za7e3za783za7za7engine_compilerza7003844za7, BGl_zc3anonymousza33058ze3z83zzengine_compilerz00, 0L, 0 );
DEFINE_STATIC_PROCEDURE( BGl_proc3802z00zzengine_compilerz00, BgL_bgl_za7c3anonymousza7a33069za7e3za783za7za7engine_compilerza7003845za7, BGl_zc3anonymousza33069ze3z83zzengine_compilerz00, 0L, 0 );
DEFINE_STATIC_PROCEDURE( BGl_proc3803z00zzengine_compilerz00, BgL_bgl_za7c3anonymousza7a33074za7e3za783za7za7engine_compilerza7003846za7, BGl_zc3anonymousza33074ze3z83zzengine_compilerz00, 0L, 0 );
DEFINE_STATIC_PROCEDURE( BGl_proc3804z00zzengine_compilerz00, BgL_bgl_za7c3anonymousza7a33079za7e3za783za7za7engine_compilerza7003847za7, BGl_zc3anonymousza33079ze3z83zzengine_compilerz00, 0L, 0 );
DEFINE_STATIC_PROCEDURE( BGl_proc3807z00zzengine_compilerz00, BgL_bgl_za7c3anonymousza7a33098za7e3za783za7za7engine_compilerza7003848za7, BGl_zc3anonymousza33098ze3z83zzengine_compilerz00, 0L, 0 );
DEFINE_STATIC_PROCEDURE( BGl_proc3808z00zzengine_compilerz00, BgL_bgl_za7c3anonymousza7a33108za7e3za783za7za7engine_compilerza7003849za7, BGl_zc3anonymousza33108ze3z83zzengine_compilerz00, 0L, 0 );
DEFINE_STRING( BGl_string3809z00zzengine_compilerz00, BgL_bgl_string3809za700za7za7engine_compilerza7003850z00, "cindent done jast jvmas cc distrib cgen c reduce+ effect+ inline+ reducer cnst bdb reduce coerce integrate cfa globalize globalization fail trace inline all effect callcc jvm bdb-spread-obj make-add-heap make-heap ast expand user hgen (pragma::int \"bdb_release_lock()\") *debug* set! (#unspecified) mco dump-heap ", 312 );
DEFINE_STRING( BGl_string3799z00zzengine_compilerz00, BgL_bgl_string3799za700za7za7engine_compilerza7003851z00, "reduce+", 7 );
DEFINE_STRING( BGl_string3798z00zzengine_compilerz00, BgL_bgl_string3798za700za7za7engine_compilerza7003852z00, "init", 4 );
DEFINE_STRING( BGl_string3797z00zzengine_compilerz00, BgL_bgl_string3797za700za7za7engine_compilerza7003853z00, "inline+", 7 );
DEFINE_STRING( BGl_string3806z00zzengine_compilerz00, BgL_bgl_string3806za700za7za7engine_compilerza7003854z00, "Unimplemented target language", 29 );
DEFINE_STRING( BGl_string3796z00zzengine_compilerz00, BgL_bgl_string3796za700za7za7engine_compilerza7003855z00, "cnst", 4 );
DEFINE_STRING( BGl_string3805z00zzengine_compilerz00, BgL_bgl_string3805za700za7za7engine_compilerza7003856z00, "compiler", 8 );
DEFINE_STRING( BGl_string3795z00zzengine_compilerz00, BgL_bgl_string3795za700za7za7engine_compilerza7003857z00, "reduce", 6 );
DEFINE_STRING( BGl_string3794z00zzengine_compilerz00, BgL_bgl_string3794za700za7za7engine_compilerza7003858z00, "coerce", 6 );
DEFINE_STRING( BGl_string3793z00zzengine_compilerz00, BgL_bgl_string3793za700za7za7engine_compilerza7003859z00, "integrate", 9 );
DEFINE_STRING( BGl_string3792z00zzengine_compilerz00, BgL_bgl_string3792za700za7za7engine_compilerza7003860z00, "cfa", 3 );
DEFINE_STRING( BGl_string3791z00zzengine_compilerz00, BgL_bgl_string3791za700za7za7engine_compilerza7003861z00, "globalize", 9 );
DEFINE_STRING( BGl_string3790z00zzengine_compilerz00, BgL_bgl_string3790za700za7za7engine_compilerza7003862z00, "fail", 4 );
DEFINE_STRING( BGl_string3789z00zzengine_compilerz00, BgL_bgl_string3789za700za7za7engine_compilerza7003863z00, "inline", 6 );
DEFINE_STRING( BGl_string3788z00zzengine_compilerz00, BgL_bgl_string3788za700za7za7engine_compilerza7003864z00, "effect", 6 );
DEFINE_STRING( BGl_string3787z00zzengine_compilerz00, BgL_bgl_string3787za700za7za7engine_compilerza7003865z00, "callcc", 6 );
DEFINE_STRING( BGl_string3786z00zzengine_compilerz00, BgL_bgl_string3786za700za7za7engine_compilerza7003866z00, "trace", 5 );
DEFINE_STRING( BGl_string3783z00zzengine_compilerz00, BgL_bgl_string3783za700za7za7engine_compilerza7003867z00, "ast", 3 );
DEFINE_STRING( BGl_string3782z00zzengine_compilerz00, BgL_bgl_string3782za700za7za7engine_compilerza7003868z00, "failure during postlude hook", 28 );
DEFINE_STRING( BGl_string3781z00zzengine_compilerz00, BgL_bgl_string3781za700za7za7engine_compilerza7003869z00, " occured, ending ...", 20 );
DEFINE_STRING( BGl_string3780z00zzengine_compilerz00, BgL_bgl_string3780za700za7za7engine_compilerza7003870z00, " error", 6 );
DEFINE_STRING( BGl_string3777z00zzengine_compilerz00, BgL_bgl_string3777za700za7za7engine_compilerza7003871z00, "Don't know what to do with arguments: ", 38 );
DEFINE_STRING( BGl_string3776z00zzengine_compilerz00, BgL_bgl_string3776za700za7za7engine_compilerza7003872z00, "Illegal source file", 19 );
DEFINE_STRING( BGl_string3775z00zzengine_compilerz00, BgL_bgl_string3775za700za7za7engine_compilerza7003873z00, "Parse error", 11 );



/* module-initialization */
obj_t BGl_modulezd2initializa7ationz75zzengine_compilerz00(long BgL_checksumz00_2525, char * BgL_fromz00_2526)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zzengine_compilerz00))
{ 
BGl_requirezd2initializa7ationz75zzengine_compilerz00 = 
BBOOL(((bool_t)0)); 
BGl_libraryzd2moduleszd2initz00zzengine_compilerz00(); 
BGl_cnstzd2initzd2zzengine_compilerz00(); 
BGl_importedzd2moduleszd2initz00zzengine_compilerz00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zzengine_compilerz00()
{ AN_OBJECT;
{ /* Engine/compiler.scm 15 */
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "engine_compiler"); 
BGl_modulezd2initializa7ationz75zz__errorz00(((long)0), "engine_compiler"); 
BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long)0), "engine_compiler"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long)0), "engine_compiler"); 
return BUNSPEC;} 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zzengine_compilerz00()
{ AN_OBJECT;
{ /* Engine/compiler.scm 15 */
{ /* Engine/compiler.scm 15 */
obj_t BgL_cportz00_2518;
BgL_cportz00_2518 = 
open_input_string(BGl_string3809z00zzengine_compilerz00); 
{ 
long BgL_iz00_2519;
BgL_iz00_2519 = ((long)39); 
BgL_loopz00_2520:
if(
(BgL_iz00_2519==((long)-1)))
{ /* Engine/compiler.scm 15 */
return BUNSPEC;}  else 
{ /* Engine/compiler.scm 15 */
{ /* Engine/compiler.scm 15 */
obj_t BgL_arg3813z00_2522;
{ /* Engine/compiler.scm 15 */
obj_t BgL_list3816z00_2523;
BgL_list3816z00_2523 = 
MAKE_PAIR(BgL_cportz00_2518, BNIL); 
BgL_arg3813z00_2522 = 
BGl_readz00zz__readerz00(BgL_list3816z00_2523); } 
{ /* Engine/compiler.scm 15 */
int BgL_auxz00_2542;
BgL_auxz00_2542 = 
(int)(BgL_iz00_2519); 
CNST_TABLE_SET(BgL_auxz00_2542, BgL_arg3813z00_2522); } } 
{ 
long BgL_iz00_2545;
{ /* Engine/compiler.scm 15 */
int BgL_auxz00_2546;
{ /* Engine/compiler.scm 15 */
long BgL_auxz00_2547;
BgL_auxz00_2547 = 
(BgL_iz00_2519-((long)1)); 
BgL_auxz00_2546 = 
(int)(BgL_auxz00_2547); } 
BgL_iz00_2545 = 
(long)(BgL_auxz00_2546); } 
BgL_iz00_2519 = BgL_iz00_2545; 
goto BgL_loopz00_2520;} } } } } 
}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zzengine_compilerz00()
{ AN_OBJECT;
{ /* Engine/compiler.scm 15 */
return BUNSPEC;} 
}



/* compiler */
obj_t BGl_compilerz00zzengine_compilerz00()
{ AN_OBJECT;
{ /* Engine/compiler.scm 76 */
BGl_installzd2compilerzd2signalsz12z12zzengine_signalsz00(); 
{ /* Engine/compiler.scm 82 */
obj_t BgL_srcz00_1264;
BgL_srcz00_1264 = 
BGl_readzd2srczd2zzread_srcz00(); 
if(
CBOOL(BgL_srcz00_1264))
{ /* Engine/compiler.scm 87 */
if(
PAIRP(BgL_srcz00_1264))
{ /* Engine/compiler.scm 90 */BFALSE; }  else 
{ /* Engine/compiler.scm 90 */
BGl_userzd2errorzd2zztools_errorz00(BGl_string3775z00zzengine_compilerz00, BGl_string3776z00zzengine_compilerz00, BgL_srcz00_1264, BNIL); } }  else 
{ /* Engine/compiler.scm 87 */
BGl_za2interpreterza2z00zzengine_paramz00 = BTRUE; 
{ /* Engine/compiler.scm 89 */
obj_t BgL_arg2720z00_1267;
BgL_arg2720z00_1267 = 
BGl_enginez00zzengine_enginez00(); 
BGl_exitzd2bigloozd2zzinit_mainz00(BgL_arg2720z00_1267); } } 
BGl_hellozd2worldzd2zzengine_enginez00(); 
{ /* Engine/compiler.scm 97 */
bool_t BgL_test2724z00_1268;
{ /* Engine/compiler.scm 97 */
long BgL_n1z00_1877;
BgL_n1z00_1877 = 
(long)CINT(BGl_za2bdbzd2debugza2zd2zzengine_paramz00); 
BgL_test2724z00_1268 = 
(BgL_n1z00_1877>((long)0)); } 
if(BgL_test2724z00_1268)
{ /* Engine/compiler.scm 97 */
BGl_bdbzd2settingz12zc0zzbdb_settingz00(); }  else 
{ /* Engine/compiler.scm 97 */BFALSE; } } 
{ /* Engine/compiler.scm 101 */
bool_t BgL_test2727z00_1269;
{ /* Engine/compiler.scm 101 */
obj_t BgL_objz00_1879;
BgL_objz00_1879 = BGl_za2restzd2argsza2zd2zzengine_paramz00; 
BgL_test2727z00_1269 = 
NULLP(BgL_objz00_1879); } 
if(BgL_test2727z00_1269)
{ /* Engine/compiler.scm 101 */BFALSE; }  else 
{ /* Engine/compiler.scm 102 */
obj_t BgL_list2729z00_1270;
{ /* Engine/compiler.scm 102 */
obj_t BgL_arg2732z00_1272;
BgL_arg2732z00_1272 = 
MAKE_PAIR(BGl_za2restzd2argsza2zd2zzengine_paramz00, BNIL); 
BgL_list2729z00_1270 = 
MAKE_PAIR(BGl_string3777z00zzengine_compilerz00, BgL_arg2732z00_1272); } 
BGl_warningz00zz__errorz00(BgL_list2729z00_1270); } } 
BGl_readzd2accesszd2filez00zzread_accessz00(); 
BGl_readzd2jfilezd2zzread_jvmz00(); 
if(
CBOOL(BGl_za2libzd2modeza2zd2zzengine_paramz00))
{ /* Engine/compiler.scm 109 */
BGl_initializa7ezd2Genvz12z67zzast_envz00(); 
BGl_initializa7ezd2Tenvz12z67zztype_envz00(); }  else 
{ /* Engine/compiler.scm 109 */
BGl_restorezd2heapzd2zzheap_restorez00(); } 
BGl_installzd2typezd2cachez12z12zztype_cachez00(); 
BGl_patchzd2vectorzd2setz12z12zzcfa_tvectorz00(); 
{ /* Engine/compiler.scm 125 */
obj_t BgL_srczd2codezd2_1274;
BgL_srczd2codezd2_1274 = 
CDR(BgL_srcz00_1264); 
{ /* Engine/compiler.scm 126 */
obj_t BgL_unitsz00_1275;
{ /* Engine/compiler.scm 127 */
obj_t BgL_cellvalz00_2580;
BgL_cellvalz00_2580 = 
BGl_producezd2modulez12zc0zzmodule_modulez00(
CAR(BgL_srcz00_1264)); 
BgL_unitsz00_1275 = 
MAKE_CELL(BgL_cellvalz00_2580); } 
{ /* Engine/compiler.scm 127 */

{ /* Engine/compiler.scm 129 */
obj_t BgL_arg2744z00_1276;
BgL_arg2744z00_1276 = 
CNST_TABLE_REF(((long)0)); 
BGl_stopzd2onzd2passz00zzengine_passz00(BgL_arg2744z00_1276, BGl_proc3778z00zzengine_compilerz00); } 
{ /* Engine/compiler.scm 132 */
bool_t BgL_test2749z00_1280;
{ /* Engine/compiler.scm 132 */
long BgL_n1z00_1882;
BgL_n1z00_1882 = 
(long)CINT(BGl_za2profilezd2modeza2zd2zzengine_paramz00); 
BgL_test2749z00_1280 = 
(BgL_n1z00_1882>=((long)1)); } 
if(BgL_test2749z00_1280)
{ /* Engine/compiler.scm 133 */
obj_t BgL_auxz00_2491;
{ /* Engine/compiler.scm 133 */
obj_t BgL_arg2751z00_1281;
BgL_arg2751z00_1281 = 
BGl_makezd2profzd2unitz00zzprof_walkz00(); 
{ /* Engine/compiler.scm 133 */
obj_t BgL_auxz00_2589;
BgL_auxz00_2589 = 
CELL_REF(BgL_unitsz00_1275); 
BgL_auxz00_2491 = 
MAKE_PAIR(BgL_arg2751z00_1281, BgL_auxz00_2589); } } 
CELL_SET(BgL_unitsz00_1275, BgL_auxz00_2491); }  else 
{ /* Engine/compiler.scm 132 */BFALSE; } } 
if(
CBOOL(BGl_za2modulezd2checksumzd2objectzf3za2zf3zzengine_paramz00))
{ /* Engine/compiler.scm 136 */
BGl_modulezd2checksumzd2objectz00zzmodule_modulez00(); }  else 
{ /* Engine/compiler.scm 136 */BFALSE; } 
{ /* Engine/compiler.scm 138 */
obj_t BgL_arg2757z00_1282;
BgL_arg2757z00_1282 = 
CNST_TABLE_REF(((long)1)); 
BGl_stopzd2onzd2passz00zzengine_passz00(BgL_arg2757z00_1282, BGl_proc3779z00zzengine_compilerz00); } 
{ /* Engine/compiler.scm 141 */
obj_t BgL_code0z00_1286;
if(
NULLP(BgL_srczd2codezd2_1274))
{ /* Engine/compiler.scm 141 */
BgL_code0z00_1286 = 
CNST_TABLE_REF(((long)2)); }  else 
{ /* Engine/compiler.scm 141 */
BgL_code0z00_1286 = BgL_srczd2codezd2_1274; } 
{ /* Engine/compiler.scm 141 */
obj_t BgL_code1z00_1287;
{ /* Engine/compiler.scm 142 */
bool_t BgL_test2770z00_1292;
{ /* Engine/compiler.scm 142 */
bool_t BgL_test2783z00_1298;
{ /* Engine/compiler.scm 142 */
obj_t BgL_objz00_1885;
BgL_objz00_1885 = BGl_za2compilerzd2debugza2zd2zzengine_paramz00; 
BgL_test2783z00_1298 = 
INTEGERP(BgL_objz00_1885); } 
if(BgL_test2783z00_1298)
{ /* Engine/compiler.scm 143 */
long BgL_n1z00_1886;
BgL_n1z00_1886 = 
(long)CINT(BGl_za2compilerzd2debugza2zd2zzengine_paramz00); 
BgL_test2770z00_1292 = 
(BgL_n1z00_1886>=((long)3)); }  else 
{ /* Engine/compiler.scm 142 */
BgL_test2770z00_1292 = ((bool_t)0); } } 
if(BgL_test2770z00_1292)
{ /* Engine/compiler.scm 144 */
obj_t BgL_arg2772z00_1293;
{ /* Engine/compiler.scm 144 */
obj_t BgL_arg2775z00_1294;obj_t BgL_arg2776z00_1295;
BgL_arg2775z00_1294 = 
CNST_TABLE_REF(((long)3)); 
{ /* Engine/compiler.scm 144 */
obj_t BgL_arg2779z00_1296;obj_t BgL_arg2780z00_1297;
BgL_arg2779z00_1296 = 
CNST_TABLE_REF(((long)4)); 
BgL_arg2780z00_1297 = 
MAKE_PAIR(BGl_za2compilerzd2debugza2zd2zzengine_paramz00, BNIL); 
BgL_arg2776z00_1295 = 
MAKE_PAIR(BgL_arg2779z00_1296, BgL_arg2780z00_1297); } 
BgL_arg2772z00_1293 = 
MAKE_PAIR(BgL_arg2775z00_1294, BgL_arg2776z00_1295); } 
BgL_code1z00_1287 = 
MAKE_PAIR(BgL_arg2772z00_1293, BgL_code0z00_1286); }  else 
{ /* Engine/compiler.scm 142 */
BgL_code1z00_1287 = BgL_code0z00_1286; } } 
{ /* Engine/compiler.scm 142 */
obj_t BgL_code2z00_1288;
{ /* Engine/compiler.scm 146 */
bool_t BgL_test2765z00_1290;
{ /* Engine/compiler.scm 146 */
bool_t BgL_test2767z00_1291;
{ /* Engine/compiler.scm 146 */
obj_t BgL_objz00_1888;
BgL_objz00_1888 = BGl_za2heapzd2debugza2zd2zzengine_paramz00; 
BgL_test2767z00_1291 = 
INTEGERP(BgL_objz00_1888); } 
if(BgL_test2767z00_1291)
{ /* Engine/compiler.scm 146 */
long BgL_n1z00_1889;
BgL_n1z00_1889 = 
(long)CINT(BGl_za2heapzd2debugza2zd2zzengine_paramz00); 
BgL_test2765z00_1290 = 
(BgL_n1z00_1889>=((long)1)); }  else 
{ /* Engine/compiler.scm 146 */
BgL_test2765z00_1290 = ((bool_t)0); } } 
if(BgL_test2765z00_1290)
{ /* Engine/compiler.scm 151 */
obj_t BgL_auxz00_2615;
BgL_auxz00_2615 = 
CNST_TABLE_REF(((long)5)); 
BgL_code2z00_1288 = 
MAKE_PAIR(BgL_auxz00_2615, BgL_code1z00_1287); }  else 
{ /* Engine/compiler.scm 146 */
BgL_code2z00_1288 = BgL_code1z00_1287; } } 
{ /* Engine/compiler.scm 146 */

{ /* Engine/compiler.scm 153 */
obj_t BgL_arg2762z00_1289;
BgL_arg2762z00_1289 = 
BGl_getzd2toplevelzd2unitz00zzmodule_includez00(); 
BGl_unitzd2sexpza2zd2addz12zb0zzast_unitz00(BgL_arg2762z00_1289, BgL_code2z00_1288); } } } } } 
{ /* Engine/compiler.scm 156 */
bool_t BgL_test2788z00_1301;
{ /* Engine/compiler.scm 156 */
long BgL_n1z00_1891;
BgL_n1z00_1891 = 
(long)CINT(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00); 
BgL_test2788z00_1301 = 
(BgL_n1z00_1891>((long)0)); } 
if(BgL_test2788z00_1301)
{ /* Engine/compiler.scm 156 */
{ /* Engine/compiler.scm 156 */
obj_t BgL_port2677z00_1302;
BgL_port2677z00_1302 = 
GET_CURRENT_ERROR_PORT(); 
{ /* Engine/compiler.scm 156 */
obj_t BgL_list2790z00_1303;
BgL_list2790z00_1303 = 
MAKE_PAIR(BgL_port2677z00_1302, BNIL); 
BGl_displayz00zz__r4_output_6_10_3z00(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00, BgL_list2790z00_1303); } 
{ /* Engine/compiler.scm 156 */
obj_t BgL_list2793z00_1304;
BgL_list2793z00_1304 = 
MAKE_PAIR(BgL_port2677z00_1302, BNIL); 
BGl_displayz00zz__r4_output_6_10_3z00(BGl_string3780z00zzengine_compilerz00, BgL_list2793z00_1304); } 
{ /* Engine/compiler.scm 156 */
char * BgL_arg2796z00_1305;
{ /* Engine/compiler.scm 156 */
bool_t BgL_test2800z00_1307;
{ /* Engine/compiler.scm 156 */
bool_t BgL_test2801z00_1308;
{ /* Engine/compiler.scm 156 */
obj_t BgL_objz00_1893;
BgL_objz00_1893 = BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00; 
BgL_test2801z00_1308 = 
INTEGERP(BgL_objz00_1893); } 
if(BgL_test2801z00_1308)
{ /* Engine/compiler.scm 156 */
BgL_test2800z00_1307 = 
BGl_2ze3ze3zz__r4_numbers_6_5z00(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00, 
BINT(((long)1))); }  else 
{ /* Engine/compiler.scm 156 */
BgL_test2800z00_1307 = ((bool_t)0); } } 
if(BgL_test2800z00_1307)
{ /* Engine/compiler.scm 156 */
BgL_arg2796z00_1305 = "s"; }  else 
{ /* Engine/compiler.scm 156 */
BgL_arg2796z00_1305 = ""; } } 
{ /* Engine/compiler.scm 156 */
obj_t BgL_list2798z00_1306;
BgL_list2798z00_1306 = 
MAKE_PAIR(BgL_port2677z00_1302, BNIL); 
BGl_displayz00zz__r4_output_6_10_3z00(
string_to_bstring(BgL_arg2796z00_1305), BgL_list2798z00_1306); } } 
{ /* Engine/compiler.scm 156 */
obj_t BgL_list2805z00_1309;
BgL_list2805z00_1309 = 
MAKE_PAIR(BgL_port2677z00_1302, BNIL); 
BGl_displayz00zz__r4_output_6_10_3z00(BGl_string3781z00zzengine_compilerz00, BgL_list2805z00_1309); } 
WRITE_CHAR(((unsigned char)'\n'), BgL_port2677z00_1302); } 
{ /* Engine/compiler.scm 156 */
obj_t BgL_list2810z00_1310;
{ /* Engine/compiler.scm 156 */
obj_t BgL_auxz00_2639;
BgL_auxz00_2639 = 
BINT(((long)-1)); 
BgL_list2810z00_1310 = 
MAKE_PAIR(BgL_auxz00_2639, BNIL); } 
BGl_exitz00zz__errorz00(BgL_list2810z00_1310); } }  else 
{ 
obj_t BgL_hooksz00_1311;obj_t BgL_hnamesz00_1312;
BgL_hooksz00_1311 = BNIL; 
BgL_hnamesz00_1312 = BNIL; 
BgL_loopz00_1313:
if(
NULLP(BgL_hooksz00_1311))
{ /* Engine/compiler.scm 156 */BUNSPEC; }  else 
{ /* Engine/compiler.scm 156 */
bool_t BgL_test2820z00_1318;
{ /* Engine/compiler.scm 156 */
obj_t BgL_fun2834z00_1323;
BgL_fun2834z00_1323 = 
CAR(BgL_hooksz00_1311); 
{ /* Engine/compiler.scm 156 */
obj_t BgL_auxz00_2646;
BgL_auxz00_2646 = 
PROCEDURE_ENTRY(BgL_fun2834z00_1323)(BgL_fun2834z00_1323, BEOA); 
BgL_test2820z00_1318 = 
CBOOL(BgL_auxz00_2646); } } 
if(BgL_test2820z00_1318)
{ /* Engine/compiler.scm 156 */
{ 
obj_t BgL_hnamesz00_2653;obj_t BgL_hooksz00_2651;
BgL_hooksz00_2651 = 
CDR(BgL_hooksz00_1311); 
BgL_hnamesz00_2653 = 
CDR(BgL_hnamesz00_1312); 
BgL_hnamesz00_1312 = BgL_hnamesz00_2653; 
BgL_hooksz00_1311 = BgL_hooksz00_2651; 
goto BgL_loopz00_1313;} }  else 
{ /* Engine/compiler.scm 156 */
BGl_internalzd2errorzd2zztools_errorz00(BGl_za2currentzd2passza2zd2zzengine_passz00, BGl_string3782z00zzengine_compilerz00, 
CAR(BgL_hnamesz00_1312)); } } } } 
BGl_checkzd2typeszd2zztype_envz00(); 
BGl_stopzd2onzd2passz00zzengine_passz00(
CNST_TABLE_REF(((long)6)), BGl_hgenzd2walkzd2envz00zzhgen_walkz00); 
BGl_userzd2walkzd2zzuser_userz00(
CELL_REF(BgL_unitsz00_1275)); 
{ /* Engine/compiler.scm 166 */
obj_t BgL_arg2842z00_1324;
BgL_arg2842z00_1324 = 
CNST_TABLE_REF(((long)7)); 
{ /* Engine/compiler.scm 166 */
obj_t BgL_zc3anonymousza32845ze3z83_2438;
{ 
int BgL_auxz00_2664;int BgL_auxz00_2662;
BgL_auxz00_2664 = 
(int)(((long)1)); 
BgL_auxz00_2662 = 
(int)(((long)0)); 
BgL_zc3anonymousza32845ze3z83_2438 = 
make_fx_procedure(BGl_zc3anonymousza32845ze3z83zzengine_compilerz00, BgL_auxz00_2662, BgL_auxz00_2664); } 
{ /* Engine/compiler.scm 166 */
int BgL_auxz00_2667;
BgL_auxz00_2667 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_zc3anonymousza32845ze3z83_2438, BgL_auxz00_2667, BgL_unitsz00_1275); } 
BGl_stopzd2onzd2passz00zzengine_passz00(BgL_arg2842z00_1324, BgL_zc3anonymousza32845ze3z83_2438); } } 
BGl_installzd2initialzd2expanderz00zzexpand_installz00(); 
BGl_loadzd2libraryzd2initz00zzinit_setrcz00(); 
BGl_expandzd2unitszd2zzexpand_epsz00(
CELL_REF(BgL_unitsz00_1275)); 
{ /* Engine/compiler.scm 178 */
obj_t BgL_arg2851z00_1328;
BgL_arg2851z00_1328 = 
CNST_TABLE_REF(((long)8)); 
{ /* Engine/compiler.scm 178 */
obj_t BgL_zc3anonymousza32854ze3z83_2437;
{ 
int BgL_auxz00_2677;int BgL_auxz00_2675;
BgL_auxz00_2677 = 
(int)(((long)1)); 
BgL_auxz00_2675 = 
(int)(((long)0)); 
BgL_zc3anonymousza32854ze3z83_2437 = 
make_fx_procedure(BGl_zc3anonymousza32854ze3z83zzengine_compilerz00, BgL_auxz00_2675, BgL_auxz00_2677); } 
{ /* Engine/compiler.scm 178 */
int BgL_auxz00_2680;
BgL_auxz00_2680 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_zc3anonymousza32854ze3z83_2437, BgL_auxz00_2680, BgL_unitsz00_1275); } 
BGl_stopzd2onzd2passz00zzengine_passz00(BgL_arg2851z00_1328, BgL_zc3anonymousza32854ze3z83_2437); } } 
{ /* Engine/compiler.scm 181 */
obj_t BgL_astz00_1332;
{ /* Engine/compiler.scm 181 */
obj_t BgL_cellvalz00_2684;
BgL_cellvalz00_2684 = 
BGl_buildzd2astzd2zzast_buildz00(
CELL_REF(BgL_unitsz00_1275)); 
BgL_astz00_1332 = 
MAKE_CELL(BgL_cellvalz00_2684); } 
{ /* Engine/compiler.scm 182 */
obj_t BgL_arg2857z00_1333;
BgL_arg2857z00_1333 = 
CNST_TABLE_REF(((long)9)); 
{ /* Engine/compiler.scm 182 */
obj_t BgL_zc3anonymousza32860ze3z83_2436;
{ 
int BgL_auxz00_2689;int BgL_auxz00_2687;
BgL_auxz00_2689 = 
(int)(((long)1)); 
BgL_auxz00_2687 = 
(int)(((long)0)); 
BgL_zc3anonymousza32860ze3z83_2436 = 
make_fx_procedure(BGl_zc3anonymousza32860ze3z83zzengine_compilerz00, BgL_auxz00_2687, BgL_auxz00_2689); } 
{ /* Engine/compiler.scm 182 */
int BgL_auxz00_2692;
BgL_auxz00_2692 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_zc3anonymousza32860ze3z83_2436, BgL_auxz00_2692, BgL_astz00_1332); } 
BGl_stopzd2onzd2passz00zzengine_passz00(BgL_arg2857z00_1333, BgL_zc3anonymousza32860ze3z83_2436); } } 
BGl_checkzd2sharingzd2zzast_checkzd2sharingzd2(BGl_string3783z00zzengine_compilerz00, 
CELL_REF(BgL_astz00_1332)); 
if(
CBOOL(BGl_za2warningza2z00zz__errorz00))
{ /* Engine/compiler.scm 187 */
BGl_checkzd2globalzd2initializa7ationza7zzast_checkzd2globalzd2initz00(); }  else 
{ /* Engine/compiler.scm 187 */BFALSE; } 
{ /* Engine/compiler.scm 191 */
obj_t BgL_arg2865z00_1337;
BgL_arg2865z00_1337 = 
CNST_TABLE_REF(((long)10)); 
BGl_stopzd2onzd2passz00zzengine_passz00(BgL_arg2865z00_1337, BGl_proc3784z00zzengine_compilerz00); } 
{ /* Engine/compiler.scm 194 */
obj_t BgL_arg2871z00_1341;
BgL_arg2871z00_1341 = 
CNST_TABLE_REF(((long)11)); 
BGl_stopzd2onzd2passz00zzengine_passz00(BgL_arg2871z00_1341, BGl_proc3785z00zzengine_compilerz00); } 
{ /* Engine/compiler.scm 197 */
bool_t BgL_test2876z00_1345;
{ /* Engine/compiler.scm 197 */
long BgL_n1z00_1902;
BgL_n1z00_1902 = 
(long)CINT(BGl_za2bdbzd2debugza2zd2zzengine_paramz00); 
BgL_test2876z00_1345 = 
(BgL_n1z00_1902>((long)0)); } 
if(BgL_test2876z00_1345)
{ /* Engine/compiler.scm 197 */
BGl_bdbzd2spreadzd2objz12z12zzbdb_spreadzd2objzd2(
CELL_REF(BgL_astz00_1332)); }  else 
{ /* Engine/compiler.scm 197 */BFALSE; } } 
{ /* Engine/compiler.scm 199 */
obj_t BgL_arg2880z00_1346;
BgL_arg2880z00_1346 = 
CNST_TABLE_REF(((long)12)); 
{ /* Engine/compiler.scm 199 */
obj_t BgL_zc3anonymousza32883ze3z83_2433;
{ 
int BgL_auxz00_2711;int BgL_auxz00_2709;
BgL_auxz00_2711 = 
(int)(((long)1)); 
BgL_auxz00_2709 = 
(int)(((long)0)); 
BgL_zc3anonymousza32883ze3z83_2433 = 
make_fx_procedure(BGl_zc3anonymousza32883ze3z83zzengine_compilerz00, BgL_auxz00_2709, BgL_auxz00_2711); } 
{ /* Engine/compiler.scm 199 */
int BgL_auxz00_2714;
BgL_auxz00_2714 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_zc3anonymousza32883ze3z83_2433, BgL_auxz00_2714, BgL_astz00_1332); } 
BGl_stopzd2onzd2passz00zzengine_passz00(BgL_arg2880z00_1346, BgL_zc3anonymousza32883ze3z83_2433); } } 
{ /* Engine/compiler.scm 203 */
bool_t BgL_test2885z00_1350;
{ /* Engine/compiler.scm 203 */
bool_t BgL_test2887z00_1351;
{ /* Engine/compiler.scm 203 */
obj_t BgL_objz00_1904;
BgL_objz00_1904 = BGl_za2compilerzd2debugza2zd2zzengine_paramz00; 
BgL_test2887z00_1351 = 
INTEGERP(BgL_objz00_1904); } 
if(BgL_test2887z00_1351)
{ /* Engine/compiler.scm 204 */
bool_t BgL_test2888z00_1352;
{ /* Engine/compiler.scm 204 */
long BgL_n1z00_1905;
BgL_n1z00_1905 = 
(long)CINT(BGl_za2compilerzd2debugza2zd2zzengine_paramz00); 
BgL_test2888z00_1352 = 
(BgL_n1z00_1905>((long)2)); } 
if(BgL_test2888z00_1352)
{ /* Engine/compiler.scm 205 */
bool_t BgL_test2889z00_1353;
{ /* Engine/compiler.scm 205 */
obj_t BgL_auxz00_2723;
BgL_auxz00_2723 = 
CNST_TABLE_REF(((long)13)); 
BgL_test2889z00_1353 = 
(BGl_za2targetzd2languageza2zd2zzengine_paramz00==BgL_auxz00_2723); } 
if(BgL_test2889z00_1353)
{ /* Engine/compiler.scm 205 */
BgL_test2885z00_1350 = ((bool_t)0); }  else 
{ /* Engine/compiler.scm 205 */
BgL_test2885z00_1350 = ((bool_t)1); } }  else 
{ /* Engine/compiler.scm 204 */
BgL_test2885z00_1350 = ((bool_t)0); } }  else 
{ /* Engine/compiler.scm 203 */
BgL_test2885z00_1350 = ((bool_t)0); } } 
if(BgL_test2885z00_1350)
{ /* Engine/compiler.scm 206 */
obj_t BgL_auxz00_2493;
BgL_auxz00_2493 = 
BGl_tracezd2walkz12zc0zztrace_walkz00(
CELL_REF(BgL_astz00_1332)); 
CELL_SET(BgL_astz00_1332, BgL_auxz00_2493); }  else 
{ /* Engine/compiler.scm 203 */BFALSE; } } 
BGl_checkzd2sharingzd2zzast_checkzd2sharingzd2(BGl_string3786z00zzengine_compilerz00, 
CELL_REF(BgL_astz00_1332)); 
if(
CBOOL(BGl_za2callzf2cczf3za2z01zzengine_paramz00))
{ /* Engine/compiler.scm 212 */
obj_t BgL_auxz00_2494;
BgL_auxz00_2494 = 
BGl_callcczd2walkz12zc0zzcallcc_walkz00(
CELL_REF(BgL_astz00_1332)); 
CELL_SET(BgL_astz00_1332, BgL_auxz00_2494); }  else 
{ /* Engine/compiler.scm 211 */BFALSE; } 
{ /* Engine/compiler.scm 213 */
obj_t BgL_arg2896z00_1354;
BgL_arg2896z00_1354 = 
CNST_TABLE_REF(((long)14)); 
{ /* Engine/compiler.scm 213 */
obj_t BgL_zc3anonymousza32899ze3z83_2432;
{ 
int BgL_auxz00_2736;int BgL_auxz00_2734;
BgL_auxz00_2736 = 
(int)(((long)1)); 
BgL_auxz00_2734 = 
(int)(((long)0)); 
BgL_zc3anonymousza32899ze3z83_2432 = 
make_fx_procedure(BGl_zc3anonymousza32899ze3z83zzengine_compilerz00, BgL_auxz00_2734, BgL_auxz00_2736); } 
{ /* Engine/compiler.scm 213 */
int BgL_auxz00_2739;
BgL_auxz00_2739 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_zc3anonymousza32899ze3z83_2432, BgL_auxz00_2739, BgL_astz00_1332); } 
BGl_stopzd2onzd2passz00zzengine_passz00(BgL_arg2896z00_1354, BgL_zc3anonymousza32899ze3z83_2432); } } 
BGl_checkzd2sharingzd2zzast_checkzd2sharingzd2(BGl_string3787z00zzengine_compilerz00, 
CELL_REF(BgL_astz00_1332)); 
if(
CBOOL(BGl_za2optimzd2unrollzd2loopzf3za2zf3zzengine_paramz00))
{ /* Engine/compiler.scm 217 */
{ /* Engine/compiler.scm 219 */
obj_t BgL_auxz00_2495;
BgL_auxz00_2495 = 
BGl_effectzd2walkz12zc0zzeffect_walkz00(
CELL_REF(BgL_astz00_1332)); 
CELL_SET(BgL_astz00_1332, BgL_auxz00_2495); } 
{ /* Engine/compiler.scm 220 */
obj_t BgL_arg2904z00_1358;
BgL_arg2904z00_1358 = 
CNST_TABLE_REF(((long)15)); 
{ /* Engine/compiler.scm 220 */
obj_t BgL_zc3anonymousza32907ze3z83_2431;
{ 
int BgL_auxz00_2750;int BgL_auxz00_2748;
BgL_auxz00_2750 = 
(int)(((long)1)); 
BgL_auxz00_2748 = 
(int)(((long)0)); 
BgL_zc3anonymousza32907ze3z83_2431 = 
make_fx_procedure(BGl_zc3anonymousza32907ze3z83zzengine_compilerz00, BgL_auxz00_2748, BgL_auxz00_2750); } 
{ /* Engine/compiler.scm 220 */
int BgL_auxz00_2753;
BgL_auxz00_2753 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_zc3anonymousza32907ze3z83_2431, BgL_auxz00_2753, BgL_astz00_1332); } 
BGl_stopzd2onzd2passz00zzengine_passz00(BgL_arg2904z00_1358, BgL_zc3anonymousza32907ze3z83_2431); } } }  else 
{ /* Engine/compiler.scm 217 */BFALSE; } 
BGl_checkzd2sharingzd2zzast_checkzd2sharingzd2(BGl_string3788z00zzengine_compilerz00, 
CELL_REF(BgL_astz00_1332)); 
{ /* Engine/compiler.scm 224 */
obj_t BgL_auxz00_2496;
BgL_auxz00_2496 = 
BGl_inlinezd2walkz12zc0zzinline_walkz00(
CELL_REF(BgL_astz00_1332), 
CNST_TABLE_REF(((long)16))); 
CELL_SET(BgL_astz00_1332, BgL_auxz00_2496); } 
{ /* Engine/compiler.scm 225 */
obj_t BgL_arg2912z00_1362;
BgL_arg2912z00_1362 = 
CNST_TABLE_REF(((long)17)); 
{ /* Engine/compiler.scm 225 */
obj_t BgL_zc3anonymousza32915ze3z83_2430;
{ 
int BgL_auxz00_2763;int BgL_auxz00_2761;
BgL_auxz00_2763 = 
(int)(((long)1)); 
BgL_auxz00_2761 = 
(int)(((long)0)); 
BgL_zc3anonymousza32915ze3z83_2430 = 
make_fx_procedure(BGl_zc3anonymousza32915ze3z83zzengine_compilerz00, BgL_auxz00_2761, BgL_auxz00_2763); } 
{ /* Engine/compiler.scm 225 */
int BgL_auxz00_2766;
BgL_auxz00_2766 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_zc3anonymousza32915ze3z83_2430, BgL_auxz00_2766, BgL_astz00_1332); } 
BGl_stopzd2onzd2passz00zzengine_passz00(BgL_arg2912z00_1362, BgL_zc3anonymousza32915ze3z83_2430); } } 
BGl_checkzd2sharingzd2zzast_checkzd2sharingzd2(BGl_string3789z00zzengine_compilerz00, 
CELL_REF(BgL_astz00_1332)); 
{ /* Engine/compiler.scm 229 */
bool_t BgL_test2918z00_1366;
{ /* Engine/compiler.scm 229 */
bool_t BgL_test2920z00_1367;
{ /* Engine/compiler.scm 229 */
obj_t BgL_objz00_1907;
BgL_objz00_1907 = BGl_za2compilerzd2debugza2zd2zzengine_paramz00; 
BgL_test2920z00_1367 = 
INTEGERP(BgL_objz00_1907); } 
if(BgL_test2920z00_1367)
{ /* Engine/compiler.scm 230 */
bool_t BgL_test2921z00_1368;
{ /* Engine/compiler.scm 230 */
long BgL_n1z00_1908;
BgL_n1z00_1908 = 
(long)CINT(BGl_za2compilerzd2debugza2zd2zzengine_paramz00); 
BgL_test2921z00_1368 = 
(BgL_n1z00_1908>((long)0)); } 
if(BgL_test2921z00_1368)
{ /* Engine/compiler.scm 231 */
bool_t BgL_test2922z00_1369;
{ /* Engine/compiler.scm 231 */
long BgL_n1z00_1910;
BgL_n1z00_1910 = 
(long)CINT(BGl_za2compilerzd2debugza2zd2zzengine_paramz00); 
BgL_test2922z00_1369 = 
(BgL_n1z00_1910<=((long)2)); } 
if(BgL_test2922z00_1369)
{ /* Engine/compiler.scm 232 */
bool_t BgL_test2923z00_1370;
{ /* Engine/compiler.scm 232 */
obj_t BgL_auxz00_2779;
BgL_auxz00_2779 = 
CNST_TABLE_REF(((long)13)); 
BgL_test2923z00_1370 = 
(BGl_za2targetzd2languageza2zd2zzengine_paramz00==BgL_auxz00_2779); } 
if(BgL_test2923z00_1370)
{ /* Engine/compiler.scm 232 */
BgL_test2918z00_1366 = ((bool_t)0); }  else 
{ /* Engine/compiler.scm 232 */
BgL_test2918z00_1366 = ((bool_t)1); } }  else 
{ /* Engine/compiler.scm 231 */
BgL_test2918z00_1366 = ((bool_t)0); } }  else 
{ /* Engine/compiler.scm 230 */
BgL_test2918z00_1366 = ((bool_t)0); } }  else 
{ /* Engine/compiler.scm 229 */
BgL_test2918z00_1366 = ((bool_t)0); } } 
if(BgL_test2918z00_1366)
{ /* Engine/compiler.scm 233 */
obj_t BgL_auxz00_2497;
BgL_auxz00_2497 = 
BGl_tracezd2walkz12zc0zztrace_walkz00(
CELL_REF(BgL_astz00_1332)); 
CELL_SET(BgL_astz00_1332, BgL_auxz00_2497); }  else 
{ /* Engine/compiler.scm 229 */BFALSE; } } 
{ /* Engine/compiler.scm 234 */
obj_t BgL_arg2929z00_1371;
BgL_arg2929z00_1371 = 
CNST_TABLE_REF(((long)18)); 
{ /* Engine/compiler.scm 234 */
obj_t BgL_zc3anonymousza32932ze3z83_2429;
{ 
int BgL_auxz00_2788;int BgL_auxz00_2786;
BgL_auxz00_2788 = 
(int)(((long)1)); 
BgL_auxz00_2786 = 
(int)(((long)0)); 
BgL_zc3anonymousza32932ze3z83_2429 = 
make_fx_procedure(BGl_zc3anonymousza32932ze3z83zzengine_compilerz00, BgL_auxz00_2786, BgL_auxz00_2788); } 
{ /* Engine/compiler.scm 234 */
int BgL_auxz00_2791;
BgL_auxz00_2791 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_zc3anonymousza32932ze3z83_2429, BgL_auxz00_2791, BgL_astz00_1332); } 
BGl_stopzd2onzd2passz00zzengine_passz00(BgL_arg2929z00_1371, BgL_zc3anonymousza32932ze3z83_2429); } } 
BGl_checkzd2sharingzd2zzast_checkzd2sharingzd2(BGl_string3786z00zzengine_compilerz00, 
CELL_REF(BgL_astz00_1332)); 
{ /* Engine/compiler.scm 239 */
bool_t BgL_test2935z00_1375;
{ /* Engine/compiler.scm 239 */
bool_t BgL_test2937z00_1376;
{ /* Engine/compiler.scm 239 */
obj_t BgL_objz00_1912;
BgL_objz00_1912 = BGl_za2compilerzd2debugza2zd2zzengine_paramz00; 
BgL_test2937z00_1376 = 
INTEGERP(BgL_objz00_1912); } 
if(BgL_test2937z00_1376)
{ /* Engine/compiler.scm 239 */
long BgL_n1z00_1913;
BgL_n1z00_1913 = 
(long)CINT(BGl_za2compilerzd2debugza2zd2zzengine_paramz00); 
BgL_test2935z00_1375 = 
(BgL_n1z00_1913>((long)0)); }  else 
{ /* Engine/compiler.scm 239 */
BgL_test2935z00_1375 = ((bool_t)0); } } 
if(BgL_test2935z00_1375)
{ /* Engine/compiler.scm 240 */
obj_t BgL_auxz00_2498;
BgL_auxz00_2498 = 
BGl_failzd2walkz12zc0zzfail_walkz00(
CELL_REF(BgL_astz00_1332)); 
CELL_SET(BgL_astz00_1332, BgL_auxz00_2498); }  else 
{ /* Engine/compiler.scm 239 */BFALSE; } } 
{ /* Engine/compiler.scm 241 */
obj_t BgL_arg2941z00_1377;
BgL_arg2941z00_1377 = 
CNST_TABLE_REF(((long)19)); 
{ /* Engine/compiler.scm 241 */
obj_t BgL_zc3anonymousza32944ze3z83_2428;
{ 
int BgL_auxz00_2805;int BgL_auxz00_2803;
BgL_auxz00_2805 = 
(int)(((long)1)); 
BgL_auxz00_2803 = 
(int)(((long)0)); 
BgL_zc3anonymousza32944ze3z83_2428 = 
make_fx_procedure(BGl_zc3anonymousza32944ze3z83zzengine_compilerz00, BgL_auxz00_2803, BgL_auxz00_2805); } 
{ /* Engine/compiler.scm 241 */
int BgL_auxz00_2808;
BgL_auxz00_2808 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_zc3anonymousza32944ze3z83_2428, BgL_auxz00_2808, BgL_astz00_1332); } 
BGl_stopzd2onzd2passz00zzengine_passz00(BgL_arg2941z00_1377, BgL_zc3anonymousza32944ze3z83_2428); } } 
BGl_checkzd2sharingzd2zzast_checkzd2sharingzd2(BGl_string3790z00zzengine_compilerz00, 
CELL_REF(BgL_astz00_1332)); 
{ /* Engine/compiler.scm 245 */
obj_t BgL_auxz00_2499;
BgL_auxz00_2499 = 
BGl_globaliza7ezd2walkz12z67zzglobaliza7e_walkza7(
CELL_REF(BgL_astz00_1332), 
CNST_TABLE_REF(((long)20))); 
CELL_SET(BgL_astz00_1332, BgL_auxz00_2499); } 
{ /* Engine/compiler.scm 246 */
obj_t BgL_arg2949z00_1381;
BgL_arg2949z00_1381 = 
CNST_TABLE_REF(((long)21)); 
{ /* Engine/compiler.scm 246 */
obj_t BgL_zc3anonymousza32952ze3z83_2427;
{ 
int BgL_auxz00_2818;int BgL_auxz00_2816;
BgL_auxz00_2818 = 
(int)(((long)1)); 
BgL_auxz00_2816 = 
(int)(((long)0)); 
BgL_zc3anonymousza32952ze3z83_2427 = 
make_fx_procedure(BGl_zc3anonymousza32952ze3z83zzengine_compilerz00, BgL_auxz00_2816, BgL_auxz00_2818); } 
{ /* Engine/compiler.scm 246 */
int BgL_auxz00_2821;
BgL_auxz00_2821 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_zc3anonymousza32952ze3z83_2427, BgL_auxz00_2821, BgL_astz00_1332); } 
BGl_stopzd2onzd2passz00zzengine_passz00(BgL_arg2949z00_1381, BgL_zc3anonymousza32952ze3z83_2427); } } 
BGl_checkzd2sharingzd2zzast_checkzd2sharingzd2(BGl_string3791z00zzengine_compilerz00, 
CELL_REF(BgL_astz00_1332)); 
{ /* Engine/compiler.scm 250 */
obj_t BgL_auxz00_2500;
BgL_auxz00_2500 = 
BGl_cfazd2walkz12zc0zzcfa_walkz00(
CELL_REF(BgL_astz00_1332)); 
CELL_SET(BgL_astz00_1332, BgL_auxz00_2500); } 
{ /* Engine/compiler.scm 251 */
obj_t BgL_arg2957z00_1385;
BgL_arg2957z00_1385 = 
CNST_TABLE_REF(((long)22)); 
{ /* Engine/compiler.scm 251 */
obj_t BgL_zc3anonymousza32960ze3z83_2426;
{ 
int BgL_auxz00_2830;int BgL_auxz00_2828;
BgL_auxz00_2830 = 
(int)(((long)1)); 
BgL_auxz00_2828 = 
(int)(((long)0)); 
BgL_zc3anonymousza32960ze3z83_2426 = 
make_fx_procedure(BGl_zc3anonymousza32960ze3z83zzengine_compilerz00, BgL_auxz00_2828, BgL_auxz00_2830); } 
{ /* Engine/compiler.scm 251 */
int BgL_auxz00_2833;
BgL_auxz00_2833 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_zc3anonymousza32960ze3z83_2426, BgL_auxz00_2833, BgL_astz00_1332); } 
BGl_stopzd2onzd2passz00zzengine_passz00(BgL_arg2957z00_1385, BgL_zc3anonymousza32960ze3z83_2426); } } 
BGl_checkzd2sharingzd2zzast_checkzd2sharingzd2(BGl_string3792z00zzengine_compilerz00, 
CELL_REF(BgL_astz00_1332)); 
BGl_setzd2defaultzd2typez12z12zztype_cachez00(
(BgL_typez00_bglt)(BGl_za2objza2z00zztype_cachez00)); 
{ /* Engine/compiler.scm 259 */
obj_t BgL_auxz00_2501;
BgL_auxz00_2501 = 
BGl_integratezd2walkz12zc0zzintegrate_walkz00(
CELL_REF(BgL_astz00_1332)); 
CELL_SET(BgL_astz00_1332, BgL_auxz00_2501); } 
{ /* Engine/compiler.scm 260 */
obj_t BgL_arg2966z00_1389;
BgL_arg2966z00_1389 = 
CNST_TABLE_REF(((long)23)); 
{ /* Engine/compiler.scm 260 */
obj_t BgL_zc3anonymousza32969ze3z83_2425;
{ 
int BgL_auxz00_2844;int BgL_auxz00_2842;
BgL_auxz00_2844 = 
(int)(((long)1)); 
BgL_auxz00_2842 = 
(int)(((long)0)); 
BgL_zc3anonymousza32969ze3z83_2425 = 
make_fx_procedure(BGl_zc3anonymousza32969ze3z83zzengine_compilerz00, BgL_auxz00_2842, BgL_auxz00_2844); } 
{ /* Engine/compiler.scm 260 */
int BgL_auxz00_2847;
BgL_auxz00_2847 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_zc3anonymousza32969ze3z83_2425, BgL_auxz00_2847, BgL_astz00_1332); } 
BGl_stopzd2onzd2passz00zzengine_passz00(BgL_arg2966z00_1389, BgL_zc3anonymousza32969ze3z83_2425); } } 
BGl_checkzd2sharingzd2zzast_checkzd2sharingzd2(BGl_string3793z00zzengine_compilerz00, 
CELL_REF(BgL_astz00_1332)); 
{ /* Engine/compiler.scm 264 */
obj_t BgL_auxz00_2502;
BgL_auxz00_2502 = 
BGl_coercezd2walkz12zc0zzcoerce_walkz00(
CELL_REF(BgL_astz00_1332)); 
CELL_SET(BgL_astz00_1332, BgL_auxz00_2502); } 
{ /* Engine/compiler.scm 265 */
obj_t BgL_arg2974z00_1393;
BgL_arg2974z00_1393 = 
CNST_TABLE_REF(((long)24)); 
{ /* Engine/compiler.scm 265 */
obj_t BgL_zc3anonymousza32977ze3z83_2424;
{ 
int BgL_auxz00_2856;int BgL_auxz00_2854;
BgL_auxz00_2856 = 
(int)(((long)1)); 
BgL_auxz00_2854 = 
(int)(((long)0)); 
BgL_zc3anonymousza32977ze3z83_2424 = 
make_fx_procedure(BGl_zc3anonymousza32977ze3z83zzengine_compilerz00, BgL_auxz00_2854, BgL_auxz00_2856); } 
{ /* Engine/compiler.scm 265 */
int BgL_auxz00_2859;
BgL_auxz00_2859 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_zc3anonymousza32977ze3z83_2424, BgL_auxz00_2859, BgL_astz00_1332); } 
BGl_stopzd2onzd2passz00zzengine_passz00(BgL_arg2974z00_1393, BgL_zc3anonymousza32977ze3z83_2424); } } 
BGl_checkzd2sharingzd2zzast_checkzd2sharingzd2(BGl_string3794z00zzengine_compilerz00, 
CELL_REF(BgL_astz00_1332)); 
{ /* Engine/compiler.scm 270 */
bool_t BgL_test2980z00_1397;
{ /* Engine/compiler.scm 270 */
long BgL_n1z00_1915;
BgL_n1z00_1915 = 
(long)CINT(BGl_za2optimza2z00zzengine_paramz00); 
BgL_test2980z00_1397 = 
(BgL_n1z00_1915>=((long)1)); } 
if(BgL_test2980z00_1397)
{ /* Engine/compiler.scm 270 */
{ /* Engine/compiler.scm 272 */
obj_t BgL_auxz00_2503;
BgL_auxz00_2503 = 
BGl_effectzd2walkz12zc0zzeffect_walkz00(
CELL_REF(BgL_astz00_1332)); 
CELL_SET(BgL_astz00_1332, BgL_auxz00_2503); } 
{ /* Engine/compiler.scm 273 */
obj_t BgL_arg2983z00_1398;
BgL_arg2983z00_1398 = 
CNST_TABLE_REF(((long)15)); 
{ /* Engine/compiler.scm 273 */
obj_t BgL_zc3anonymousza32986ze3z83_2423;
{ 
int BgL_auxz00_2871;int BgL_auxz00_2869;
BgL_auxz00_2871 = 
(int)(((long)1)); 
BgL_auxz00_2869 = 
(int)(((long)0)); 
BgL_zc3anonymousza32986ze3z83_2423 = 
make_fx_procedure(BGl_zc3anonymousza32986ze3z83zzengine_compilerz00, BgL_auxz00_2869, BgL_auxz00_2871); } 
{ /* Engine/compiler.scm 273 */
int BgL_auxz00_2874;
BgL_auxz00_2874 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_zc3anonymousza32986ze3z83_2423, BgL_auxz00_2874, BgL_astz00_1332); } 
BGl_stopzd2onzd2passz00zzengine_passz00(BgL_arg2983z00_1398, BgL_zc3anonymousza32986ze3z83_2423); } } }  else 
{ /* Engine/compiler.scm 270 */BFALSE; } } 
BGl_checkzd2sharingzd2zzast_checkzd2sharingzd2(BGl_string3788z00zzengine_compilerz00, 
CELL_REF(BgL_astz00_1332)); 
{ /* Engine/compiler.scm 277 */
bool_t BgL_test2990z00_1402;
{ /* Engine/compiler.scm 277 */
long BgL_n1z00_1917;
BgL_n1z00_1917 = 
(long)CINT(BGl_za2optimza2z00zzengine_paramz00); 
BgL_test2990z00_1402 = 
(BgL_n1z00_1917>=((long)1)); } 
if(BgL_test2990z00_1402)
{ /* Engine/compiler.scm 278 */
obj_t BgL_auxz00_2504;
BgL_auxz00_2504 = 
BGl_reducezd2walkz12zc0zzreduce_walkz00(
CELL_REF(BgL_astz00_1332)); 
CELL_SET(BgL_astz00_1332, BgL_auxz00_2504); }  else 
{ /* Engine/compiler.scm 277 */BFALSE; } } 
{ /* Engine/compiler.scm 279 */
obj_t BgL_arg2994z00_1403;
BgL_arg2994z00_1403 = 
CNST_TABLE_REF(((long)25)); 
{ /* Engine/compiler.scm 279 */
obj_t BgL_zc3anonymousza32997ze3z83_2422;
{ 
int BgL_auxz00_2886;int BgL_auxz00_2884;
BgL_auxz00_2886 = 
(int)(((long)1)); 
BgL_auxz00_2884 = 
(int)(((long)0)); 
BgL_zc3anonymousza32997ze3z83_2422 = 
make_fx_procedure(BGl_zc3anonymousza32997ze3z83zzengine_compilerz00, BgL_auxz00_2884, BgL_auxz00_2886); } 
{ /* Engine/compiler.scm 279 */
int BgL_auxz00_2889;
BgL_auxz00_2889 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_zc3anonymousza32997ze3z83_2422, BgL_auxz00_2889, BgL_astz00_1332); } 
BGl_stopzd2onzd2passz00zzengine_passz00(BgL_arg2994z00_1403, BgL_zc3anonymousza32997ze3z83_2422); } } 
BGl_checkzd2sharingzd2zzast_checkzd2sharingzd2(BGl_string3795z00zzengine_compilerz00, 
CELL_REF(BgL_astz00_1332)); 
{ /* Engine/compiler.scm 283 */
bool_t BgL_test3000z00_1407;
{ /* Engine/compiler.scm 283 */
long BgL_n1z00_1919;
BgL_n1z00_1919 = 
(long)CINT(BGl_za2bdbzd2debugza2zd2zzengine_paramz00); 
BgL_test3000z00_1407 = 
(BgL_n1z00_1919>((long)0)); } 
if(BgL_test3000z00_1407)
{ /* Engine/compiler.scm 284 */
obj_t BgL_auxz00_2505;
BgL_auxz00_2505 = 
BGl_bdbzd2walkz12zc0zzbdb_walkz00(
CELL_REF(BgL_astz00_1332)); 
CELL_SET(BgL_astz00_1332, BgL_auxz00_2505); }  else 
{ /* Engine/compiler.scm 283 */BFALSE; } } 
{ /* Engine/compiler.scm 285 */
obj_t BgL_arg3005z00_1408;
BgL_arg3005z00_1408 = 
CNST_TABLE_REF(((long)26)); 
{ /* Engine/compiler.scm 285 */
obj_t BgL_zc3anonymousza33008ze3z83_2421;
{ 
int BgL_auxz00_2901;int BgL_auxz00_2899;
BgL_auxz00_2901 = 
(int)(((long)1)); 
BgL_auxz00_2899 = 
(int)(((long)0)); 
BgL_zc3anonymousza33008ze3z83_2421 = 
make_fx_procedure(BGl_zc3anonymousza33008ze3z83zzengine_compilerz00, BgL_auxz00_2899, BgL_auxz00_2901); } 
{ /* Engine/compiler.scm 285 */
int BgL_auxz00_2904;
BgL_auxz00_2904 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_zc3anonymousza33008ze3z83_2421, BgL_auxz00_2904, BgL_astz00_1332); } 
BGl_stopzd2onzd2passz00zzengine_passz00(BgL_arg3005z00_1408, BgL_zc3anonymousza33008ze3z83_2421); } } 
{ /* Engine/compiler.scm 288 */
obj_t BgL_auxz00_2506;
BgL_auxz00_2506 = 
BGl_cnstzd2walkz12zc0zzcnst_walkz00(
CELL_REF(BgL_astz00_1332)); 
CELL_SET(BgL_astz00_1332, BgL_auxz00_2506); } 
{ /* Engine/compiler.scm 289 */
obj_t BgL_arg3012z00_1412;
BgL_arg3012z00_1412 = 
CNST_TABLE_REF(((long)27)); 
{ /* Engine/compiler.scm 289 */
obj_t BgL_zc3anonymousza33015ze3z83_2420;
{ 
int BgL_auxz00_2912;int BgL_auxz00_2910;
BgL_auxz00_2912 = 
(int)(((long)1)); 
BgL_auxz00_2910 = 
(int)(((long)0)); 
BgL_zc3anonymousza33015ze3z83_2420 = 
make_fx_procedure(BGl_zc3anonymousza33015ze3z83zzengine_compilerz00, BgL_auxz00_2910, BgL_auxz00_2912); } 
{ /* Engine/compiler.scm 289 */
int BgL_auxz00_2915;
BgL_auxz00_2915 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_zc3anonymousza33015ze3z83_2420, BgL_auxz00_2915, BgL_astz00_1332); } 
BGl_stopzd2onzd2passz00zzengine_passz00(BgL_arg3012z00_1412, BgL_zc3anonymousza33015ze3z83_2420); } } 
BGl_checkzd2sharingzd2zzast_checkzd2sharingzd2(BGl_string3796z00zzengine_compilerz00, 
CELL_REF(BgL_astz00_1332)); 
{ /* Engine/compiler.scm 294 */
bool_t BgL_test3018z00_1416;
{ /* Engine/compiler.scm 294 */
long BgL_n1z00_1921;
BgL_n1z00_1921 = 
(long)CINT(BGl_za2optimza2z00zzengine_paramz00); 
BgL_test3018z00_1416 = 
(BgL_n1z00_1921>=((long)3)); } 
if(BgL_test3018z00_1416)
{ /* Engine/compiler.scm 295 */
obj_t BgL_auxz00_2507;
BgL_auxz00_2507 = 
BGl_inlinezd2walkz12zc0zzinline_walkz00(
CELL_REF(BgL_astz00_1332), 
CNST_TABLE_REF(((long)28))); 
CELL_SET(BgL_astz00_1332, BgL_auxz00_2507); }  else 
{ /* Engine/compiler.scm 294 */BFALSE; } } 
{ /* Engine/compiler.scm 296 */
obj_t BgL_arg3022z00_1417;
BgL_arg3022z00_1417 = 
CNST_TABLE_REF(((long)29)); 
{ /* Engine/compiler.scm 296 */
obj_t BgL_zc3anonymousza33025ze3z83_2419;
{ 
int BgL_auxz00_2928;int BgL_auxz00_2926;
BgL_auxz00_2928 = 
(int)(((long)1)); 
BgL_auxz00_2926 = 
(int)(((long)0)); 
BgL_zc3anonymousza33025ze3z83_2419 = 
make_fx_procedure(BGl_zc3anonymousza33025ze3z83zzengine_compilerz00, BgL_auxz00_2926, BgL_auxz00_2928); } 
{ /* Engine/compiler.scm 296 */
int BgL_auxz00_2931;
BgL_auxz00_2931 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_zc3anonymousza33025ze3z83_2419, BgL_auxz00_2931, BgL_astz00_1332); } 
BGl_stopzd2onzd2passz00zzengine_passz00(BgL_arg3022z00_1417, BgL_zc3anonymousza33025ze3z83_2419); } } 
BGl_checkzd2sharingzd2zzast_checkzd2sharingzd2(BGl_string3797z00zzengine_compilerz00, 
CELL_REF(BgL_astz00_1332)); 
{ /* Engine/compiler.scm 300 */
obj_t BgL_astz00_1421;
{ /* Engine/compiler.scm 300 */
obj_t BgL_cellvalz00_2936;
BgL_cellvalz00_2936 = 
BGl_astzb2initializa7ersz15zzcgen_walkz00(
CELL_REF(BgL_astz00_1332)); 
BgL_astz00_1421 = 
MAKE_CELL(BgL_cellvalz00_2936); } 
BGl_checkzd2sharingzd2zzast_checkzd2sharingzd2(BGl_string3798z00zzengine_compilerz00, 
CELL_REF(BgL_astz00_1421)); 
{ /* Engine/compiler.scm 304 */
bool_t BgL_test3029z00_1422;
{ /* Engine/compiler.scm 304 */
bool_t BgL_test3038z00_1427;
{ /* Engine/compiler.scm 304 */
long BgL_n1z00_1923;
BgL_n1z00_1923 = 
(long)CINT(BGl_za2optimza2z00zzengine_paramz00); 
BgL_test3038z00_1427 = 
(BgL_n1z00_1923>=((long)2)); } 
if(BgL_test3038z00_1427)
{ /* Engine/compiler.scm 304 */
BgL_test3029z00_1422 = ((bool_t)1); }  else 
{ /* Engine/compiler.scm 305 */
obj_t BgL_auxz00_2942;
BgL_auxz00_2942 = 
CNST_TABLE_REF(((long)13)); 
BgL_test3029z00_1422 = 
(BGl_za2targetzd2languageza2zd2zzengine_paramz00==BgL_auxz00_2942); } } 
if(BgL_test3029z00_1422)
{ /* Engine/compiler.scm 304 */
{ /* Engine/compiler.scm 307 */
obj_t BgL_auxz00_2508;
BgL_auxz00_2508 = 
BGl_effectzd2walkz12zc0zzeffect_walkz00(
CELL_REF(BgL_astz00_1421)); 
CELL_SET(BgL_astz00_1421, BgL_auxz00_2508); } 
{ /* Engine/compiler.scm 308 */
obj_t BgL_arg3032z00_1423;
BgL_arg3032z00_1423 = 
CNST_TABLE_REF(((long)30)); 
{ /* Engine/compiler.scm 308 */
obj_t BgL_zc3anonymousza33035ze3z83_2418;
{ 
int BgL_auxz00_2950;int BgL_auxz00_2948;
BgL_auxz00_2950 = 
(int)(((long)1)); 
BgL_auxz00_2948 = 
(int)(((long)0)); 
BgL_zc3anonymousza33035ze3z83_2418 = 
make_fx_procedure(BGl_zc3anonymousza33035ze3z83zzengine_compilerz00, BgL_auxz00_2948, BgL_auxz00_2950); } 
{ /* Engine/compiler.scm 308 */
int BgL_auxz00_2953;
BgL_auxz00_2953 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_zc3anonymousza33035ze3z83_2418, BgL_auxz00_2953, BgL_astz00_1421); } 
BGl_stopzd2onzd2passz00zzengine_passz00(BgL_arg3032z00_1423, BgL_zc3anonymousza33035ze3z83_2418); } } 
{ /* Engine/compiler.scm 309 */
obj_t BgL_auxz00_2509;
BgL_auxz00_2509 = 
BGl_reducezd2walkz12zc0zzreduce_walkz00(
CELL_REF(BgL_astz00_1421)); 
CELL_SET(BgL_astz00_1421, BgL_auxz00_2509); } }  else 
{ /* Engine/compiler.scm 304 */BFALSE; } } 
{ /* Engine/compiler.scm 310 */
obj_t BgL_arg3042z00_1428;
BgL_arg3042z00_1428 = 
CNST_TABLE_REF(((long)31)); 
{ /* Engine/compiler.scm 310 */
obj_t BgL_zc3anonymousza33045ze3z83_2417;
{ 
int BgL_auxz00_2961;int BgL_auxz00_2959;
BgL_auxz00_2961 = 
(int)(((long)1)); 
BgL_auxz00_2959 = 
(int)(((long)0)); 
BgL_zc3anonymousza33045ze3z83_2417 = 
make_fx_procedure(BGl_zc3anonymousza33045ze3z83zzengine_compilerz00, BgL_auxz00_2959, BgL_auxz00_2961); } 
{ /* Engine/compiler.scm 310 */
int BgL_auxz00_2964;
BgL_auxz00_2964 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_zc3anonymousza33045ze3z83_2417, BgL_auxz00_2964, BgL_astz00_1421); } 
BGl_stopzd2onzd2passz00zzengine_passz00(BgL_arg3042z00_1428, BgL_zc3anonymousza33045ze3z83_2417); } } 
BGl_checkzd2sharingzd2zzast_checkzd2sharingzd2(BGl_string3799z00zzengine_compilerz00, 
CELL_REF(BgL_astz00_1421)); 
{ /* Engine/compiler.scm 313 */
obj_t BgL_casezd2valuezd2_1432;
BgL_casezd2valuezd2_1432 = BGl_za2targetzd2languageza2zd2zzengine_paramz00; 
{ /* Engine/compiler.scm 313 */
bool_t BgL_testz00_2969;
{ /* Engine/compiler.scm 313 */
obj_t BgL_auxz00_2970;
BgL_auxz00_2970 = 
CNST_TABLE_REF(((long)32)); 
BgL_testz00_2969 = 
(BgL_casezd2valuezd2_1432==BgL_auxz00_2970); } 
if(BgL_testz00_2969)
{ /* Engine/compiler.scm 315 */
obj_t BgL_czd2prefixzd2_1434;
BgL_czd2prefixzd2_1434 = 
BGl_cgenzd2walkzd2zzcgen_walkz00(
CELL_REF(BgL_astz00_1421)); 
{ /* Engine/compiler.scm 316 */
obj_t BgL_arg3050z00_1435;
BgL_arg3050z00_1435 = 
CNST_TABLE_REF(((long)33)); 
BGl_stopzd2onzd2passz00zzengine_passz00(BgL_arg3050z00_1435, BGl_proc3800z00zzengine_compilerz00); } 
{ /* Engine/compiler.scm 317 */
obj_t BgL_arg3055z00_1439;
BgL_arg3055z00_1439 = 
CNST_TABLE_REF(((long)34)); 
BGl_stopzd2onzd2passz00zzengine_passz00(BgL_arg3055z00_1439, BGl_proc3801z00zzengine_compilerz00); } 
if(
STRINGP(BgL_czd2prefixzd2_1434))
{ /* Engine/compiler.scm 320 */
BGl_cczd2compilerzd2zzengine_compilerz00(BgL_czd2prefixzd2_1434, BFALSE); }  else 
{ /* Engine/compiler.scm 320 */BFALSE; } }  else 
{ /* Engine/compiler.scm 313 */
bool_t BgL_testz00_2981;
{ /* Engine/compiler.scm 313 */
obj_t BgL_auxz00_2982;
BgL_auxz00_2982 = 
CNST_TABLE_REF(((long)13)); 
BgL_testz00_2981 = 
(BgL_casezd2valuezd2_1432==BgL_auxz00_2982); } 
if(BgL_testz00_2981)
{ /* Engine/compiler.scm 313 */
BGl_jvmzd2dumpzd2zzjvm_jdumpz00(
CELL_REF(BgL_astz00_1421)); 
{ /* Engine/compiler.scm 324 */
obj_t BgL_arg3066z00_1445;
BgL_arg3066z00_1445 = 
CNST_TABLE_REF(((long)35)); 
BGl_stopzd2onzd2passz00zzengine_passz00(BgL_arg3066z00_1445, BGl_proc3802z00zzengine_compilerz00); } 
{ /* Engine/compiler.scm 325 */
obj_t BgL_arg3071z00_1449;
BgL_arg3071z00_1449 = 
CNST_TABLE_REF(((long)36)); 
BGl_stopzd2onzd2passz00zzengine_passz00(BgL_arg3071z00_1449, BGl_proc3803z00zzengine_compilerz00); } 
{ /* Engine/compiler.scm 326 */
obj_t BgL_arg3076z00_1453;
BgL_arg3076z00_1453 = 
CNST_TABLE_REF(((long)37)); 
BGl_stopzd2onzd2passz00zzengine_passz00(BgL_arg3076z00_1453, BGl_proc3804z00zzengine_compilerz00); } 
BGl_jvmzd2ldzd2zzjvm_ldz00(); }  else 
{ /* Engine/compiler.scm 329 */
obj_t BgL_objectz00_1928;
BgL_objectz00_1928 = BGl_za2targetzd2languageza2zd2zzengine_paramz00; 
FAILURE(BGl_string3805z00zzengine_compilerz00,BGl_string3806z00zzengine_compilerz00,BgL_objectz00_1928);} } } } } 
return 
BINT(((long)0));} } } } } } 
}



/* _compiler */
obj_t BGl__compilerz00zzengine_compilerz00(obj_t BgL_envz00_2441)
{ AN_OBJECT;
{ /* Engine/compiler.scm 76 */
return 
BGl_compilerz00zzengine_compilerz00();} 
}



/* <anonymous:3058> */
obj_t BGl_zc3anonymousza33058ze3z83zzengine_compilerz00(obj_t BgL_envz00_2442)
{ AN_OBJECT;
{ /* Engine/compiler.scm 317 */
{ 

return 
CNST_TABLE_REF(((long)38));} } 
}



/* <anonymous:3053> */
obj_t BGl_zc3anonymousza33053ze3z83zzengine_compilerz00(obj_t BgL_envz00_2443)
{ AN_OBJECT;
{ /* Engine/compiler.scm 316 */
{ 

return 
CNST_TABLE_REF(((long)38));} } 
}



/* <anonymous:3079> */
obj_t BGl_zc3anonymousza33079ze3z83zzengine_compilerz00(obj_t BgL_envz00_2444)
{ AN_OBJECT;
{ /* Engine/compiler.scm 326 */
{ 

return 
CNST_TABLE_REF(((long)38));} } 
}



/* <anonymous:3074> */
obj_t BGl_zc3anonymousza33074ze3z83zzengine_compilerz00(obj_t BgL_envz00_2445)
{ AN_OBJECT;
{ /* Engine/compiler.scm 325 */
{ 

return 
CNST_TABLE_REF(((long)38));} } 
}



/* <anonymous:3069> */
obj_t BGl_zc3anonymousza33069ze3z83zzengine_compilerz00(obj_t BgL_envz00_2446)
{ AN_OBJECT;
{ /* Engine/compiler.scm 324 */
{ 

return 
CNST_TABLE_REF(((long)38));} } 
}



/* <anonymous:3045> */
obj_t BGl_zc3anonymousza33045ze3z83zzengine_compilerz00(obj_t BgL_envz00_2447)
{ AN_OBJECT;
{ /* Engine/compiler.scm 310 */
{ /* Engine/compiler.scm 310 */
obj_t BgL_astz00_2448;
{ /* Engine/compiler.scm 310 */
int BgL_auxz00_3001;
BgL_auxz00_3001 = 
(int)(((long)0)); 
BgL_astz00_2448 = 
PROCEDURE_REF(BgL_envz00_2447, BgL_auxz00_3001); } 
{ 

return 
BGl_writezd2astzd2zzwrite_astz00(
CELL_REF(BgL_astz00_2448));} } } 
}



/* <anonymous:3035> */
obj_t BGl_zc3anonymousza33035ze3z83zzengine_compilerz00(obj_t BgL_envz00_2449)
{ AN_OBJECT;
{ /* Engine/compiler.scm 308 */
{ /* Engine/compiler.scm 308 */
obj_t BgL_astz00_2450;
{ /* Engine/compiler.scm 308 */
int BgL_auxz00_3005;
BgL_auxz00_3005 = 
(int)(((long)0)); 
BgL_astz00_2450 = 
PROCEDURE_REF(BgL_envz00_2449, BgL_auxz00_3005); } 
{ 

return 
BGl_writezd2astzd2zzwrite_astz00(
CELL_REF(BgL_astz00_2450));} } } 
}



/* <anonymous:3025> */
obj_t BGl_zc3anonymousza33025ze3z83zzengine_compilerz00(obj_t BgL_envz00_2451)
{ AN_OBJECT;
{ /* Engine/compiler.scm 296 */
{ /* Engine/compiler.scm 296 */
obj_t BgL_astz00_2452;
{ /* Engine/compiler.scm 296 */
int BgL_auxz00_3009;
BgL_auxz00_3009 = 
(int)(((long)0)); 
BgL_astz00_2452 = 
PROCEDURE_REF(BgL_envz00_2451, BgL_auxz00_3009); } 
{ 

return 
BGl_writezd2astzd2zzwrite_astz00(
CELL_REF(BgL_astz00_2452));} } } 
}



/* <anonymous:3015> */
obj_t BGl_zc3anonymousza33015ze3z83zzengine_compilerz00(obj_t BgL_envz00_2453)
{ AN_OBJECT;
{ /* Engine/compiler.scm 289 */
{ /* Engine/compiler.scm 289 */
obj_t BgL_astz00_2454;
{ /* Engine/compiler.scm 289 */
int BgL_auxz00_3013;
BgL_auxz00_3013 = 
(int)(((long)0)); 
BgL_astz00_2454 = 
PROCEDURE_REF(BgL_envz00_2453, BgL_auxz00_3013); } 
{ 

return 
BGl_writezd2astzd2zzwrite_astz00(
CELL_REF(BgL_astz00_2454));} } } 
}



/* <anonymous:3008> */
obj_t BGl_zc3anonymousza33008ze3z83zzengine_compilerz00(obj_t BgL_envz00_2455)
{ AN_OBJECT;
{ /* Engine/compiler.scm 285 */
{ /* Engine/compiler.scm 285 */
obj_t BgL_astz00_2456;
{ /* Engine/compiler.scm 285 */
int BgL_auxz00_3017;
BgL_auxz00_3017 = 
(int)(((long)0)); 
BgL_astz00_2456 = 
PROCEDURE_REF(BgL_envz00_2455, BgL_auxz00_3017); } 
{ 

return 
BGl_writezd2astzd2zzwrite_astz00(
CELL_REF(BgL_astz00_2456));} } } 
}



/* <anonymous:2997> */
obj_t BGl_zc3anonymousza32997ze3z83zzengine_compilerz00(obj_t BgL_envz00_2457)
{ AN_OBJECT;
{ /* Engine/compiler.scm 279 */
{ /* Engine/compiler.scm 279 */
obj_t BgL_astz00_2458;
{ /* Engine/compiler.scm 279 */
int BgL_auxz00_3021;
BgL_auxz00_3021 = 
(int)(((long)0)); 
BgL_astz00_2458 = 
PROCEDURE_REF(BgL_envz00_2457, BgL_auxz00_3021); } 
{ 

return 
BGl_writezd2astzd2zzwrite_astz00(
CELL_REF(BgL_astz00_2458));} } } 
}



/* <anonymous:2986> */
obj_t BGl_zc3anonymousza32986ze3z83zzengine_compilerz00(obj_t BgL_envz00_2459)
{ AN_OBJECT;
{ /* Engine/compiler.scm 273 */
{ /* Engine/compiler.scm 273 */
obj_t BgL_astz00_2460;
{ /* Engine/compiler.scm 273 */
int BgL_auxz00_3025;
BgL_auxz00_3025 = 
(int)(((long)0)); 
BgL_astz00_2460 = 
PROCEDURE_REF(BgL_envz00_2459, BgL_auxz00_3025); } 
{ 

return 
BGl_writezd2astzd2zzwrite_astz00(
CELL_REF(BgL_astz00_2460));} } } 
}



/* <anonymous:2977> */
obj_t BGl_zc3anonymousza32977ze3z83zzengine_compilerz00(obj_t BgL_envz00_2461)
{ AN_OBJECT;
{ /* Engine/compiler.scm 265 */
{ /* Engine/compiler.scm 265 */
obj_t BgL_astz00_2462;
{ /* Engine/compiler.scm 265 */
int BgL_auxz00_3029;
BgL_auxz00_3029 = 
(int)(((long)0)); 
BgL_astz00_2462 = 
PROCEDURE_REF(BgL_envz00_2461, BgL_auxz00_3029); } 
{ 

return 
BGl_writezd2astzd2zzwrite_astz00(
CELL_REF(BgL_astz00_2462));} } } 
}



/* <anonymous:2969> */
obj_t BGl_zc3anonymousza32969ze3z83zzengine_compilerz00(obj_t BgL_envz00_2463)
{ AN_OBJECT;
{ /* Engine/compiler.scm 260 */
{ /* Engine/compiler.scm 260 */
obj_t BgL_astz00_2464;
{ /* Engine/compiler.scm 260 */
int BgL_auxz00_3033;
BgL_auxz00_3033 = 
(int)(((long)0)); 
BgL_astz00_2464 = 
PROCEDURE_REF(BgL_envz00_2463, BgL_auxz00_3033); } 
{ 

return 
BGl_writezd2astzd2zzwrite_astz00(
CELL_REF(BgL_astz00_2464));} } } 
}



/* <anonymous:2960> */
obj_t BGl_zc3anonymousza32960ze3z83zzengine_compilerz00(obj_t BgL_envz00_2465)
{ AN_OBJECT;
{ /* Engine/compiler.scm 251 */
{ /* Engine/compiler.scm 251 */
obj_t BgL_astz00_2466;
{ /* Engine/compiler.scm 251 */
int BgL_auxz00_3037;
BgL_auxz00_3037 = 
(int)(((long)0)); 
BgL_astz00_2466 = 
PROCEDURE_REF(BgL_envz00_2465, BgL_auxz00_3037); } 
{ 

return 
BGl_writezd2astzd2zzwrite_astz00(
CELL_REF(BgL_astz00_2466));} } } 
}



/* <anonymous:2952> */
obj_t BGl_zc3anonymousza32952ze3z83zzengine_compilerz00(obj_t BgL_envz00_2467)
{ AN_OBJECT;
{ /* Engine/compiler.scm 246 */
{ /* Engine/compiler.scm 246 */
obj_t BgL_astz00_2468;
{ /* Engine/compiler.scm 246 */
int BgL_auxz00_3041;
BgL_auxz00_3041 = 
(int)(((long)0)); 
BgL_astz00_2468 = 
PROCEDURE_REF(BgL_envz00_2467, BgL_auxz00_3041); } 
{ 

return 
BGl_writezd2astzd2zzwrite_astz00(
CELL_REF(BgL_astz00_2468));} } } 
}



/* <anonymous:2944> */
obj_t BGl_zc3anonymousza32944ze3z83zzengine_compilerz00(obj_t BgL_envz00_2469)
{ AN_OBJECT;
{ /* Engine/compiler.scm 241 */
{ /* Engine/compiler.scm 241 */
obj_t BgL_astz00_2470;
{ /* Engine/compiler.scm 241 */
int BgL_auxz00_3045;
BgL_auxz00_3045 = 
(int)(((long)0)); 
BgL_astz00_2470 = 
PROCEDURE_REF(BgL_envz00_2469, BgL_auxz00_3045); } 
{ 

return 
BGl_writezd2astzd2zzwrite_astz00(
CELL_REF(BgL_astz00_2470));} } } 
}



/* <anonymous:2932> */
obj_t BGl_zc3anonymousza32932ze3z83zzengine_compilerz00(obj_t BgL_envz00_2471)
{ AN_OBJECT;
{ /* Engine/compiler.scm 234 */
{ /* Engine/compiler.scm 234 */
obj_t BgL_astz00_2472;
{ /* Engine/compiler.scm 234 */
int BgL_auxz00_3049;
BgL_auxz00_3049 = 
(int)(((long)0)); 
BgL_astz00_2472 = 
PROCEDURE_REF(BgL_envz00_2471, BgL_auxz00_3049); } 
{ 

return 
BGl_writezd2astzd2zzwrite_astz00(
CELL_REF(BgL_astz00_2472));} } } 
}



/* <anonymous:2915> */
obj_t BGl_zc3anonymousza32915ze3z83zzengine_compilerz00(obj_t BgL_envz00_2473)
{ AN_OBJECT;
{ /* Engine/compiler.scm 225 */
{ /* Engine/compiler.scm 225 */
obj_t BgL_astz00_2474;
{ /* Engine/compiler.scm 225 */
int BgL_auxz00_3053;
BgL_auxz00_3053 = 
(int)(((long)0)); 
BgL_astz00_2474 = 
PROCEDURE_REF(BgL_envz00_2473, BgL_auxz00_3053); } 
{ 

return 
BGl_writezd2astzd2zzwrite_astz00(
CELL_REF(BgL_astz00_2474));} } } 
}



/* <anonymous:2907> */
obj_t BGl_zc3anonymousza32907ze3z83zzengine_compilerz00(obj_t BgL_envz00_2475)
{ AN_OBJECT;
{ /* Engine/compiler.scm 220 */
{ /* Engine/compiler.scm 220 */
obj_t BgL_astz00_2476;
{ /* Engine/compiler.scm 220 */
int BgL_auxz00_3057;
BgL_auxz00_3057 = 
(int)(((long)0)); 
BgL_astz00_2476 = 
PROCEDURE_REF(BgL_envz00_2475, BgL_auxz00_3057); } 
{ 

return 
BGl_writezd2astzd2zzwrite_astz00(
CELL_REF(BgL_astz00_2476));} } } 
}



/* <anonymous:2899> */
obj_t BGl_zc3anonymousza32899ze3z83zzengine_compilerz00(obj_t BgL_envz00_2477)
{ AN_OBJECT;
{ /* Engine/compiler.scm 213 */
{ /* Engine/compiler.scm 213 */
obj_t BgL_astz00_2478;
{ /* Engine/compiler.scm 213 */
int BgL_auxz00_3061;
BgL_auxz00_3061 = 
(int)(((long)0)); 
BgL_astz00_2478 = 
PROCEDURE_REF(BgL_envz00_2477, BgL_auxz00_3061); } 
{ 

return 
BGl_writezd2astzd2zzwrite_astz00(
CELL_REF(BgL_astz00_2478));} } } 
}



/* <anonymous:2883> */
obj_t BGl_zc3anonymousza32883ze3z83zzengine_compilerz00(obj_t BgL_envz00_2479)
{ AN_OBJECT;
{ /* Engine/compiler.scm 199 */
{ /* Engine/compiler.scm 199 */
obj_t BgL_astz00_2480;
{ /* Engine/compiler.scm 199 */
int BgL_auxz00_3065;
BgL_auxz00_3065 = 
(int)(((long)0)); 
BgL_astz00_2480 = 
PROCEDURE_REF(BgL_envz00_2479, BgL_auxz00_3065); } 
{ 

return 
BGl_writezd2astzd2zzwrite_astz00(
CELL_REF(BgL_astz00_2480));} } } 
}



/* <anonymous:2874> */
obj_t BGl_zc3anonymousza32874ze3z83zzengine_compilerz00(obj_t BgL_envz00_2481)
{ AN_OBJECT;
{ /* Engine/compiler.scm 194 */
{ 

return 
BGl_makezd2addzd2heapz00zzheap_makez00();} } 
}



/* <anonymous:2868> */
obj_t BGl_zc3anonymousza32868ze3z83zzengine_compilerz00(obj_t BgL_envz00_2482)
{ AN_OBJECT;
{ /* Engine/compiler.scm 191 */
{ 

return 
BGl_makezd2heapzd2zzheap_makez00();} } 
}



/* <anonymous:2860> */
obj_t BGl_zc3anonymousza32860ze3z83zzengine_compilerz00(obj_t BgL_envz00_2483)
{ AN_OBJECT;
{ /* Engine/compiler.scm 182 */
{ /* Engine/compiler.scm 182 */
obj_t BgL_astz00_2484;
{ /* Engine/compiler.scm 182 */
int BgL_auxz00_3071;
BgL_auxz00_3071 = 
(int)(((long)0)); 
BgL_astz00_2484 = 
PROCEDURE_REF(BgL_envz00_2483, BgL_auxz00_3071); } 
{ 

return 
BGl_writezd2astzd2zzwrite_astz00(
CELL_REF(BgL_astz00_2484));} } } 
}



/* <anonymous:2854> */
obj_t BGl_zc3anonymousza32854ze3z83zzengine_compilerz00(obj_t BgL_envz00_2485)
{ AN_OBJECT;
{ /* Engine/compiler.scm 178 */
{ /* Engine/compiler.scm 178 */
obj_t BgL_unitsz00_2486;
{ /* Engine/compiler.scm 178 */
int BgL_auxz00_3075;
BgL_auxz00_3075 = 
(int)(((long)0)); 
BgL_unitsz00_2486 = 
PROCEDURE_REF(BgL_envz00_2485, BgL_auxz00_3075); } 
{ 

return 
BGl_writezd2expandedzd2zzwrite_expandedz00(
CELL_REF(BgL_unitsz00_2486));} } } 
}



/* <anonymous:2845> */
obj_t BGl_zc3anonymousza32845ze3z83zzengine_compilerz00(obj_t BgL_envz00_2487)
{ AN_OBJECT;
{ /* Engine/compiler.scm 166 */
{ /* Engine/compiler.scm 166 */
obj_t BgL_unitsz00_2488;
{ /* Engine/compiler.scm 166 */
int BgL_auxz00_3079;
BgL_auxz00_3079 = 
(int)(((long)0)); 
BgL_unitsz00_2488 = 
PROCEDURE_REF(BgL_envz00_2487, BgL_auxz00_3079); } 
{ 

return 
BGl_writezd2expandedzd2zzwrite_expandedz00(
CELL_REF(BgL_unitsz00_2488));} } } 
}



/* <anonymous:2760> */
obj_t BGl_zc3anonymousza32760ze3z83zzengine_compilerz00(obj_t BgL_envz00_2489)
{ AN_OBJECT;
{ /* Engine/compiler.scm 138 */
{ 

{ /* Engine/compiler.scm 138 */
long BgL_auxz00_3083;
BgL_auxz00_3083 = ((long)0); 
return 
BINT(BgL_auxz00_3083);} } } 
}



/* <anonymous:2747> */
obj_t BGl_zc3anonymousza32747ze3z83zzengine_compilerz00(obj_t BgL_envz00_2490)
{ AN_OBJECT;
{ /* Engine/compiler.scm 129 */
{ 

return 
BGl_dumpzd2additionalzd2heapsz00zzheap_restorez00();} } 
}



/* cc-compiler */
obj_t BGl_cczd2compilerzd2zzengine_compilerz00(obj_t BgL_czd2prefixzd2_19, obj_t BgL_ozd2prefixzd2_20)
{ AN_OBJECT;
{ /* Engine/compiler.scm 338 */
{ /* Engine/compiler.scm 340 */
bool_t BgL_test3090z00_1457;
{ /* Engine/compiler.scm 340 */
bool_t BgL_test3092z00_1458;
{ /* Engine/compiler.scm 340 */
obj_t BgL_auxz00_3086;
BgL_auxz00_3086 = 
CNST_TABLE_REF(((long)39)); 
BgL_test3092z00_1458 = 
(BGl_za2passza2z00zzengine_paramz00==BgL_auxz00_3086); } 
if(BgL_test3092z00_1458)
{ /* Engine/compiler.scm 340 */
BgL_test3090z00_1457 = ((bool_t)1); }  else 
{ /* Engine/compiler.scm 340 */
BgL_test3090z00_1457 = 
CBOOL(BGl_za2czd2debugza2zd2zzengine_paramz00); } } 
if(BgL_test3090z00_1457)
{ /* Engine/compiler.scm 340 */
BGl_indentz00zzcc_indentz00(BgL_czd2prefixzd2_19); }  else 
{ /* Engine/compiler.scm 340 */BFALSE; } } 
{ /* Engine/compiler.scm 344 */
obj_t BgL_arg3095z00_1459;
BgL_arg3095z00_1459 = 
CNST_TABLE_REF(((long)39)); 
BGl_stopzd2onzd2passz00zzengine_passz00(BgL_arg3095z00_1459, BGl_proc3807z00zzengine_compilerz00); } 
{ /* Engine/compiler.scm 347 */
bool_t BgL_arg3100z00_1463;
{ /* Engine/compiler.scm 347 */
bool_t BgL_test3102z00_1464;
{ /* Engine/compiler.scm 347 */
obj_t BgL_auxz00_3095;
BgL_auxz00_3095 = 
CNST_TABLE_REF(((long)35)); 
BgL_test3102z00_1464 = 
(BGl_za2passza2z00zzengine_paramz00==BgL_auxz00_3095); } 
if(BgL_test3102z00_1464)
{ /* Engine/compiler.scm 347 */
BgL_arg3100z00_1463 = ((bool_t)0); }  else 
{ /* Engine/compiler.scm 347 */
BgL_arg3100z00_1463 = ((bool_t)1); } } 
BGl_ccz00zzcc_ccz00(BgL_czd2prefixzd2_19, BgL_ozd2prefixzd2_20, BgL_arg3100z00_1463); } 
{ /* Engine/compiler.scm 348 */
obj_t BgL_arg3105z00_1465;
BgL_arg3105z00_1465 = 
CNST_TABLE_REF(((long)35)); 
BGl_stopzd2onzd2passz00zzengine_passz00(BgL_arg3105z00_1465, BGl_proc3808z00zzengine_compilerz00); } 
{ /* Engine/compiler.scm 351 */
obj_t BgL_auxz00_3102;
if(
STRINGP(BgL_ozd2prefixzd2_20))
{ /* Engine/compiler.scm 351 */
BgL_auxz00_3102 = BgL_ozd2prefixzd2_20
; }  else 
{ /* Engine/compiler.scm 351 */
BgL_auxz00_3102 = BgL_czd2prefixzd2_19
; } 
return 
BGl_ldz00zzcc_ldz00(BgL_auxz00_3102, ((bool_t)1));} } 
}



/* _cc-compiler3596 */
obj_t BGl__cczd2compiler3596zd2zzengine_compilerz00(obj_t BgL_envz00_2512, obj_t BgL_czd2prefixzd2_2513, obj_t BgL_ozd2prefixzd2_2514)
{ AN_OBJECT;
{ /* Engine/compiler.scm 338 */
return 
BGl_cczd2compilerzd2zzengine_compilerz00(BgL_czd2prefixzd2_2513, BgL_ozd2prefixzd2_2514);} 
}



/* <anonymous:3108> */
obj_t BGl_zc3anonymousza33108ze3z83zzengine_compilerz00(obj_t BgL_envz00_2515)
{ AN_OBJECT;
{ /* Engine/compiler.scm 348 */
{ 

return 
CNST_TABLE_REF(((long)38));} } 
}



/* <anonymous:3098> */
obj_t BGl_zc3anonymousza33098ze3z83zzengine_compilerz00(obj_t BgL_envz00_2516)
{ AN_OBJECT;
{ /* Engine/compiler.scm 344 */
{ 

return 
CNST_TABLE_REF(((long)38));} } 
}



/* method-init */
obj_t BGl_methodzd2initzd2zzengine_compilerz00()
{ AN_OBJECT;
{ /* Engine/compiler.scm 15 */
return BUNSPEC;} 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zzengine_compilerz00()
{ AN_OBJECT;
{ /* Engine/compiler.scm 15 */
BGl_modulezd2initializa7ationz75zztools_speekz00(((long)23545), "engine_compiler"); 
BGl_modulezd2initializa7ationz75zztools_errorz00(((long)17886), "engine_compiler"); 
BGl_modulezd2initializa7ationz75zzengine_passz00(((long)12444), "engine_compiler"); 
BGl_modulezd2initializa7ationz75zzengine_signalsz00(((long)52911), "engine_compiler"); 
BGl_modulezd2initializa7ationz75zzengine_paramz00(((long)189840), "engine_compiler"); 
BGl_modulezd2initializa7ationz75zzengine_enginez00(((long)45452), "engine_compiler"); 
BGl_modulezd2initializa7ationz75zzread_srcz00(((long)45336), "engine_compiler"); 
BGl_modulezd2initializa7ationz75zzwrite_expandedz00(((long)48023), "engine_compiler"); 
BGl_modulezd2initializa7ationz75zzwrite_astz00(((long)4023), "engine_compiler"); 
BGl_modulezd2initializa7ationz75zzread_accessz00(((long)5878), "engine_compiler"); 
BGl_modulezd2initializa7ationz75zzread_jvmz00(((long)34896), "engine_compiler"); 
BGl_modulezd2initializa7ationz75zzheap_restorez00(((long)20837), "engine_compiler"); 
BGl_modulezd2initializa7ationz75zzheap_makez00(((long)38901), "engine_compiler"); 
BGl_modulezd2initializa7ationz75zzast_envz00(((long)73271), "engine_compiler"); 
BGl_modulezd2initializa7ationz75zzast_checkzd2sharingzd2(((long)33767), "engine_compiler"); 
BGl_modulezd2initializa7ationz75zztype_typez00(((long)19010), "engine_compiler"); 
BGl_modulezd2initializa7ationz75zzast_varz00(((long)28259), "engine_compiler"); 
BGl_modulezd2initializa7ationz75zzast_nodez00(((long)49436), "engine_compiler"); 
BGl_modulezd2initializa7ationz75zzast_buildz00(((long)23045), "engine_compiler"); 
BGl_modulezd2initializa7ationz75zzast_unitz00(((long)47248), "engine_compiler"); 
BGl_modulezd2initializa7ationz75zzast_checkzd2globalzd2initz00(((long)43691), "engine_compiler"); 
BGl_modulezd2initializa7ationz75zzuser_userz00(((long)27809), "engine_compiler"); 
BGl_modulezd2initializa7ationz75zztype_envz00(((long)25262), "engine_compiler"); 
BGl_modulezd2initializa7ationz75zztype_cachez00(((long)57983), "engine_compiler"); 
BGl_modulezd2initializa7ationz75zzmodule_modulez00(((long)12859), "engine_compiler"); 
BGl_modulezd2initializa7ationz75zzmodule_includez00(((long)99), "engine_compiler"); 
BGl_modulezd2initializa7ationz75zzexpand_epsz00(((long)13864), "engine_compiler"); 
BGl_modulezd2initializa7ationz75zzexpand_installz00(((long)63326), "engine_compiler"); 
BGl_modulezd2initializa7ationz75zzinit_mainz00(((long)7934), "engine_compiler"); 
BGl_modulezd2initializa7ationz75zzinit_setrcz00(((long)3902), "engine_compiler"); 
BGl_modulezd2initializa7ationz75zztrace_walkz00(((long)47484), "engine_compiler"); 
BGl_modulezd2initializa7ationz75zzinline_walkz00(((long)16677), "engine_compiler"); 
BGl_modulezd2initializa7ationz75zzeffect_walkz00(((long)64126), "engine_compiler"); 
BGl_modulezd2initializa7ationz75zzcallcc_walkz00(((long)63474), "engine_compiler"); 
BGl_modulezd2initializa7ationz75zzfail_walkz00(((long)5838), "engine_compiler"); 
BGl_modulezd2initializa7ationz75zzglobaliza7e_walkza7(((long)58397), "engine_compiler"); 
BGl_modulezd2initializa7ationz75zzcfa_walkz00(((long)31438), "engine_compiler"); 
BGl_modulezd2initializa7ationz75zzcfa_tvectorz00(((long)22038), "engine_compiler"); 
BGl_modulezd2initializa7ationz75zzintegrate_walkz00(((long)15029), "engine_compiler"); 
BGl_modulezd2initializa7ationz75zzcoerce_walkz00(((long)2701), "engine_compiler"); 
BGl_modulezd2initializa7ationz75zzreduce_walkz00(((long)36375), "engine_compiler"); 
BGl_modulezd2initializa7ationz75zzcnst_walkz00(((long)10807), "engine_compiler"); 
BGl_modulezd2initializa7ationz75zzcgen_walkz00(((long)5405), "engine_compiler"); 
BGl_modulezd2initializa7ationz75zzhgen_walkz00(((long)31372), "engine_compiler"); 
BGl_modulezd2initializa7ationz75zzbdb_settingz00(((long)20216), "engine_compiler"); 
BGl_modulezd2initializa7ationz75zzbdb_spreadzd2objzd2(((long)57366), "engine_compiler"); 
BGl_modulezd2initializa7ationz75zzbdb_walkz00(((long)60279), "engine_compiler"); 
BGl_modulezd2initializa7ationz75zzprof_walkz00(((long)40552), "engine_compiler"); 
BGl_modulezd2initializa7ationz75zzcc_indentz00(((long)14500), "engine_compiler"); 
BGl_modulezd2initializa7ationz75zzcc_ccz00(((long)15700), "engine_compiler"); 
BGl_modulezd2initializa7ationz75zzcc_ldz00(((long)23958), "engine_compiler"); 
BGl_modulezd2initializa7ationz75zzjvm_jdumpz00(((long)43904), "engine_compiler"); 
return 
BGl_modulezd2initializa7ationz75zzjvm_ldz00(((long)12392), "engine_compiler");} 
}

