/*===========================================================================*/
/*   (Jvm/expr.scm)                                                          */
/*   Bigloo (2.5b)                                                           */
/*   Manuel Serrano (c)       Fri Sep 6 09:43:28 CEST 2002                   */
/*===========================================================================*/

/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>


/* Object type definitions */
typedef struct BgL_typez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   obj_t BgL_siza7eza7;
   obj_t BgL_classz00;
   obj_t BgL_coercezd2tozd2;
   obj_t BgL_parentsz00;
   bool_t BgL_initzf3zf3;
   bool_t BgL_magiczf3zf3;
   obj_t BgL_z42z42;
   obj_t BgL_aliasz00;
   obj_t BgL_pointedzd2tozd2byz00;
   obj_t BgL_tvectorz00;
   obj_t BgL_locationz00;
   obj_t BgL_importzd2locationzd2;
} *BgL_typez00_bglt;

typedef struct BgL_valuez00_bgl {
   header_t header;
   obj_t widening;
} *BgL_valuez00_bglt;

typedef struct BgL_variablez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
} *BgL_variablez00_bglt;

typedef struct BgL_globalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   obj_t BgL_modulez00;
   obj_t BgL_importz00;
   bool_t BgL_evaluablezf3zf3;
   bool_t BgL_libraryzf3zf3;
   bool_t BgL_userzf3zf3;
   obj_t BgL_pragmaz00;
   obj_t BgL_srcz00;
   obj_t BgL_jvmzd2typezd2namez00;
} *BgL_globalz00_bglt;

typedef struct BgL_localz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   bool_t BgL_userzf3zf3;
   long BgL_keyz00;
} *BgL_localz00_bglt;

typedef struct BgL_funz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
} *BgL_funz00_bglt;

typedef struct BgL_sfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_propertyz00;
   obj_t BgL_argsz00;
   obj_t BgL_bodyz00;
   obj_t BgL_classz00;
   obj_t BgL_dssslzd2keywordszd2;
   obj_t BgL_locz00;
} *BgL_sfunz00_bglt;

typedef struct BgL_cfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_argszd2typezd2;
   bool_t BgL_macrozf3zf3;
   bool_t BgL_infixzf3zf3;
   obj_t BgL_methodz00;
} *BgL_cfunz00_bglt;

typedef struct BgL_svarz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
} *BgL_svarz00_bglt;

typedef struct BgL_scnstz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_nodez00;
   obj_t BgL_classz00;
   obj_t BgL_locz00;
} *BgL_scnstz00_bglt;

typedef struct BgL_cvarz00_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_macrozf3zf3;
} *BgL_cvarz00_bglt;

typedef struct BgL_sexitz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_handlerz00;
   bool_t BgL_detachedzf3zf3;
} *BgL_sexitz00_bglt;

typedef struct BgL_nodez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
} *BgL_nodez00_bglt;

typedef struct BgL_nodezf2effectzf2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
} *BgL_nodezf2effectzf2_bglt;

typedef struct BgL_atomz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_atomz00_bglt;

typedef struct BgL_varz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_varz00_bglt;

typedef struct BgL_closurez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_closurez00_bglt;

typedef struct BgL_kwotez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_kwotez00_bglt;

typedef struct BgL_sequencez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_nodesz00;
} *BgL_sequencez00_bglt;

typedef struct BgL_appz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
} *BgL_appz00_bglt;

typedef struct BgL_appzd2lyzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_appzd2lyzd2_bglt;

typedef struct BgL_funcallz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
   obj_t BgL_strengthz00;
} *BgL_funcallz00_bglt;

typedef struct BgL_externz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
} *BgL_externz00_bglt;

typedef struct BgL_pragmaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_formatz00;
} *BgL_pragmaz00_bglt;

typedef struct BgL_getfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_getfieldz00_bglt;

typedef struct BgL_setfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_setfieldz00_bglt;

typedef struct BgL_newz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
} *BgL_newz00_bglt;

typedef struct BgL_vallocz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2heapzd2formatz00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_vallocz00_bglt;

typedef struct BgL_vrefz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vrefz00_bglt;

typedef struct BgL_vsetz12z12_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vsetz12z12_bglt;

typedef struct BgL_vlengthz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vlengthz00_bglt;

typedef struct BgL_isaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   struct BgL_typez00_bgl * BgL_classz00;
} *BgL_isaz00_bglt;

typedef struct BgL_castz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_castz00_bglt;

typedef struct BgL_setqz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_setqz00_bglt;

typedef struct BgL_conditionalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   struct BgL_nodez00_bgl * BgL_truez00;
   struct BgL_nodez00_bgl * BgL_falsez00;
} *BgL_conditionalz00_bglt;

typedef struct BgL_failz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_procz00;
   struct BgL_nodez00_bgl * BgL_msgz00;
   struct BgL_nodez00_bgl * BgL_objz00;
} *BgL_failz00_bglt;

typedef struct BgL_selectz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   obj_t BgL_clausesz00;
   struct BgL_typez00_bgl * BgL_itemzd2typezd2;
} *BgL_selectz00_bglt;

typedef struct BgL_letzd2funzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_localsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_letzd2funzd2_bglt;

typedef struct BgL_letzd2varzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_bindingsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
   bool_t BgL_removablezf3zf3;
} *BgL_letzd2varzd2_bglt;

typedef struct BgL_setzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_setzd2exzd2itz00_bglt;

typedef struct BgL_jumpzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_exitz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_jumpzd2exzd2itz00_bglt;

typedef struct BgL_makezd2boxzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_makezd2boxzd2_bglt;

typedef struct BgL_boxzd2refzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_varz00;
} *BgL_boxzd2refzd2_bglt;

typedef struct BgL_boxzd2setz12zc0_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_boxzd2setz12zc0_bglt;

typedef struct BgL_tclassz00_bgl {
   obj_t BgL_itszd2superzd2;
   obj_t BgL_slotsz00;
   struct BgL_globalz00_bgl * BgL_holderz00;
   obj_t BgL_wideningz00;
   long BgL_depthz00;
   bool_t BgL_finalzf3zf3;
   obj_t BgL_constructorz00;
   obj_t BgL_virtualzd2slotszd2numberz00;
   bool_t BgL_abstractzf3zf3;
} *BgL_tclassz00_bglt;

typedef struct BgL_jclassz00_bgl {
   obj_t BgL_itszd2superzd2;
   obj_t BgL_slotsz00;
   obj_t BgL_packagez00;
} *BgL_jclassz00_bglt;

typedef struct BgL_envz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_declarationsz00;
   obj_t BgL_declaredtypez00;
   obj_t BgL_declaredclassz00;
   obj_t BgL_declaredmodulez00;
   obj_t BgL_currentzd2modulezd2;
   obj_t BgL_declaredfieldsz00;
   obj_t BgL_declaredglobalz00;
   obj_t BgL_libdeclaredz00;
   obj_t BgL_proceduresz00;
   obj_t BgL_clinitzd2codezd2;
   obj_t BgL_currentzd2methodzd2;
   obj_t BgL_vcountz00;
   obj_t BgL_localsz00;
   obj_t BgL_freelocalsz00;
   obj_t BgL_maplocalsz00;
   obj_t BgL_stackz00;
   obj_t BgL_codez00;
} *BgL_envz00_bglt;


extern obj_t BGl_compilerzd2ifzd2zzjvm_compilerz00(BgL_conditionalz00_bglt, BgL_envz00_bglt, obj_t);
extern obj_t BGl_vrefz00zzast_nodez00;
extern obj_t BGl_compilerzd2boxzd2refz00zzjvm_compilerz00(BgL_boxzd2refzd2_bglt, BgL_envz00_bglt);
static obj_t BGl_compilezd2exprzd2funcall2988z00zzjvm_exprz00(obj_t, obj_t, obj_t);
static obj_t BGl_methodzd2initzd2zzjvm_exprz00();
static obj_t BGl_compilezd2exprzd2app2984z00zzjvm_exprz00(obj_t, obj_t, obj_t);
static obj_t BGl_compilezd2exprzd2letzd2var2972zd2zzjvm_exprz00(obj_t, obj_t, obj_t);
extern obj_t BGl_compilerzd2boxzd2setz12z12zzjvm_compilerz00(BgL_boxzd2setz12zc0_bglt, BgL_envz00_bglt);
extern obj_t BGl_compilerzd2funcallzd2zzjvm_compilerz00(BgL_funcallz00_bglt, BgL_envz00_bglt);
extern obj_t open_input_string(obj_t);
extern obj_t BGl_letzd2funzd2zzast_nodez00;
static obj_t BGl_compilezd2exprzd2pragma2990z00zzjvm_exprz00(obj_t, obj_t, obj_t);
extern obj_t BGl_readz00zz__readerz00(obj_t);
extern obj_t BGl_compilerzd2labelszd2zzjvm_compilerz00(BgL_letzd2funzd2_bglt, BgL_envz00_bglt, obj_t);
static obj_t BGl_compilezd2exprzd2select2980z00zzjvm_exprz00(obj_t, obj_t, obj_t);
extern obj_t BGl_compilerzd2getfieldzd2zzjvm_compilerz00(BgL_getfieldz00_bglt, BgL_envz00_bglt);
extern obj_t BGl_compilerzd2pragmazd2zzjvm_compilerz00(BgL_pragmaz00_bglt, BgL_envz00_bglt);
extern obj_t BGl_addzd2genericz12zc0zz__objectz00(obj_t, obj_t);
static obj_t BGl_compilezd2exprzd2vlength3004z00zzjvm_exprz00(obj_t, obj_t, obj_t);
static obj_t BGl_compilezd2exprzd2getfield2992z00zzjvm_exprz00(obj_t, obj_t, obj_t);
extern obj_t BGl_compilerzd2makezd2boxz00zzjvm_compilerz00(BgL_makezd2boxzd2_bglt, BgL_envz00_bglt);
extern obj_t BGl_letzd2varzd2zzast_nodez00;
extern obj_t BGl_pragmaz00zzast_nodez00;
static obj_t BGl_compilezd2exprzd2cast3008z00zzjvm_exprz00(obj_t, obj_t, obj_t);
static obj_t BGl_compilezd2exprzd2default2965z00zzjvm_exprz00(BgL_nodez00_bglt, BgL_envz00_bglt);
static obj_t BGl_compilezd2exprzd2boxzd2setz123020zc0zzjvm_exprz00(obj_t, obj_t, obj_t);
extern obj_t BGl_compilerzd2failzd2zzjvm_compilerz00(BgL_failz00_bglt, BgL_envz00_bglt);
extern obj_t BGl_compilerzd2atomzd2zzjvm_compilerz00(obj_t, BgL_envz00_bglt);
static obj_t BGl_compilezd2exprzd2makezd2box3016zd2zzjvm_exprz00(obj_t, obj_t, obj_t);
extern obj_t BGl_compilerzd2castzd2zzjvm_compilerz00(BgL_castz00_bglt, BgL_envz00_bglt, obj_t);
extern obj_t BGl_castz00zzast_nodez00;
extern obj_t BGl_boxzd2refzd2zzast_nodez00;
extern obj_t BGl_varz00zzast_nodez00;
static obj_t BGl_cnstzd2initzd2zzjvm_exprz00();
extern obj_t BGl_atomz00zzast_nodez00;
extern obj_t BGl_failz00zzast_nodez00;
extern obj_t BGl_funcallz00zzast_nodez00;
static obj_t BGl_compilezd2exprzd2boxzd2ref3018zd2zzjvm_exprz00(obj_t, obj_t, obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zzjvm_exprz00();
static obj_t BGl_compilezd2exprzd2conditional2978z00zzjvm_exprz00(obj_t, obj_t, obj_t);
static obj_t BGl_compilezd2exprzd2vsetz123002z12zzjvm_exprz00(obj_t, obj_t, obj_t);
extern obj_t BGl_makezd2boxzd2zzast_nodez00;
static obj_t BGl_compilezd2exprzd2new2996z00zzjvm_exprz00(obj_t, obj_t, obj_t);
static obj_t BGl_compilezd2exprzd2appzd2ly2986zd2zzjvm_exprz00(obj_t, obj_t, obj_t);
static obj_t BGl_compilezd2exprzd2vref3000z00zzjvm_exprz00(obj_t, obj_t, obj_t);
extern obj_t BGl_getfieldz00zzast_nodez00;
extern obj_t BGl_isaz00zzast_nodez00;
extern obj_t BGl_compilerzd2vsetzd2zzjvm_compilerz00(BgL_vsetz12z12_bglt, BgL_envz00_bglt);
extern obj_t BGl_addzd2methodz12zc0zz__objectz00(obj_t, obj_t, obj_t);
extern obj_t BGl_compilerzd2selectzd2zzjvm_compilerz00(BgL_selectz00_bglt, BgL_envz00_bglt, obj_t);
extern obj_t BGl_compilerzd2valloczd2zzjvm_compilerz00(BgL_vallocz00_bglt, BgL_envz00_bglt);
static obj_t BGl_compilezd2exprzd2jumpzd2exzd2it3012z00zzjvm_exprz00(obj_t, obj_t, obj_t);
extern obj_t BGl_selectz00zzast_nodez00;
extern obj_t BGl_vallocz00zzast_nodez00;
static obj_t BGl_toplevelzd2initzd2zzjvm_exprz00();
extern obj_t BGl_appzd2lyzd2zzast_nodez00;
extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
extern obj_t BGl_modulezd2initializa7ationz75zzjvm_exprz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzjvm_envz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzjvm_instrz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzjvm_compilerz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
static obj_t BGl_compilezd2exprzd2setq2974z00zzjvm_exprz00(obj_t, obj_t, obj_t);
extern obj_t BGl_compilerzd2appzd2zzjvm_compilerz00(BgL_appz00_bglt, BgL_envz00_bglt);
extern obj_t BGl_compilerzd2vrefzd2zzjvm_compilerz00(BgL_vrefz00_bglt, BgL_envz00_bglt);
extern obj_t BGl_compilerzd2vlengthzd2zzjvm_compilerz00(BgL_vlengthz00_bglt, BgL_envz00_bglt);
extern obj_t BGl_compilerzd2setqzd2zzjvm_compilerz00(BgL_setqz00_bglt, BgL_envz00_bglt);
static obj_t BGl_compilezd2exprzd2var2970z00zzjvm_exprz00(obj_t, obj_t, obj_t);
static obj_t BGl__compilezd2exprzd2default2965z00zzjvm_exprz00(obj_t, obj_t, obj_t);
extern obj_t BGl_compilerzd2newzd2zzjvm_compilerz00(BgL_newz00_bglt, BgL_envz00_bglt);
extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
extern obj_t BGl_compilerzd2applyzd2zzjvm_compilerz00(BgL_appzd2lyzd2_bglt, BgL_envz00_bglt);
static obj_t BGl_compilezd2exprzd2setzd2exzd2it3010z00zzjvm_exprz00(obj_t, obj_t, obj_t);
extern obj_t BGl_compilerzd2jumpzd2exitz00zzjvm_compilerz00(BgL_jumpzd2exzd2itz00_bglt, BgL_envz00_bglt);
extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
static obj_t BGl_compilezd2exprzd2atom2968z00zzjvm_exprz00(obj_t, obj_t, obj_t);
extern obj_t BGl_compilerzd2setfieldzd2zzjvm_compilerz00(BgL_setfieldz00_bglt, BgL_envz00_bglt);
extern obj_t BGl_newz00zzast_nodez00;
extern obj_t BGl_conditionalz00zzast_nodez00;
static obj_t BGl_compilezd2exprzd2isa3006z00zzjvm_exprz00(obj_t, obj_t, obj_t);
extern obj_t BGl_sequencez00zzast_nodez00;
extern obj_t BGl__getstaticz00zzjvm_instrz00(BgL_envz00_bglt, obj_t);
extern obj_t BGl_compilerzd2letzd2zzjvm_compilerz00(BgL_letzd2varzd2_bglt, BgL_envz00_bglt, obj_t);
extern obj_t BGl_appz00zzast_nodez00;
static obj_t BGl_compilezd2exprzd2valloc2998z00zzjvm_exprz00(obj_t, obj_t, obj_t);
extern obj_t BGl_compilerzd2sequencezd2zzjvm_compilerz00(BgL_sequencez00_bglt, BgL_envz00_bglt, obj_t);
extern obj_t BGl_vlengthz00zzast_nodez00;
static obj_t BGl_compilezd2exprzd2sequence2976z00zzjvm_exprz00(obj_t, obj_t, obj_t);
extern obj_t BGl_setfieldz00zzast_nodez00;
static obj_t BGl_compilezd2exprzd2setfield2994z00zzjvm_exprz00(obj_t, obj_t, obj_t);
extern obj_t BGl_compilerzd2isazd2zzjvm_compilerz00(BgL_isaz00_bglt, BgL_envz00_bglt);
static obj_t BGl_compilezd2exprzd2fail3014z00zzjvm_exprz00(obj_t, obj_t, obj_t);
extern obj_t BGl_compilerzd2setexitzd2zzjvm_compilerz00(BgL_setzd2exzd2itz00_bglt, BgL_envz00_bglt, obj_t);
static obj_t BGl_requirezd2initializa7ationz75zzjvm_exprz00 = BUNSPEC;
extern obj_t BGl_jlibzd2declarezd2zzjvm_envz00(BgL_envz00_bglt, obj_t);
extern obj_t BGl_compilezd2exprzd2zzjvm_exprz00(BgL_nodez00_bglt, BgL_envz00_bglt);
static obj_t BGl_compilezd2exprzd2letzd2fun2982zd2zzjvm_exprz00(obj_t, obj_t, obj_t);
static obj_t BGl_libraryzd2moduleszd2initz00zzjvm_exprz00();
static obj_t BGl__compilezd2expr3702zd2zzjvm_exprz00(obj_t, obj_t, obj_t);
extern obj_t BGl_vsetz12z12zzast_nodez00;
extern obj_t BGl_compilerzd2varzd2zzjvm_compilerz00(BgL_varz00_bglt, BgL_envz00_bglt);
extern obj_t BGl_setqz00zzast_nodez00;
static obj_t __cnst[ 2 ] ;

DEFINE_EXPORT_GENERIC( BGl_compilezd2exprzd2envz00zzjvm_exprz00, BgL_bgl__compileza7d2expr3702za7d2za7za7jvm_exprza7003886za7, BGl__compilezd2expr3702zd2zzjvm_exprz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_compilezd2exprzd2default2965zd2envzd2zzjvm_exprz00, BgL_bgl__compileza7d2exprza7d2default2965za700za7za7jvm_exprza7003887z00, BGl__compilezd2exprzd2default2965z00zzjvm_exprz00, 0L, 2 );
DEFINE_STRING( BGl_string3860z00zzjvm_exprz00, BgL_bgl_string3860za700za7za7jvm_exprza7003888z00, "compile-expr-default2965 unspecified ", 37 );
DEFINE_STRING( BGl_string3859z00zzjvm_exprz00, BgL_bgl_string3859za700za7za7jvm_exprza7003889z00, "No method for this object", 25 );
DEFINE_STATIC_PROCEDURE( BGl_proc3832z00zzjvm_exprz00, BgL_bgl_compileza7d2exprza7d2atom2968za700za7za7jvm_exprza7003890z00, BGl_compilezd2exprzd2atom2968z00zzjvm_exprz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3833z00zzjvm_exprz00, BgL_bgl_compileza7d2exprza7d2var2970za700za7za7jvm_exprza7003891z00, BGl_compilezd2exprzd2var2970z00zzjvm_exprz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3834z00zzjvm_exprz00, BgL_bgl_compileza7d2exprza7d2letza7d2var2972za7d2za7za7jvm_exprza7003892za7, BGl_compilezd2exprzd2letzd2var2972zd2zzjvm_exprz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3835z00zzjvm_exprz00, BgL_bgl_compileza7d2exprza7d2setq2974za700za7za7jvm_exprza7003893z00, BGl_compilezd2exprzd2setq2974z00zzjvm_exprz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3836z00zzjvm_exprz00, BgL_bgl_compileza7d2exprza7d2sequence2976za700za7za7jvm_exprza7003894z00, BGl_compilezd2exprzd2sequence2976z00zzjvm_exprz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3837z00zzjvm_exprz00, BgL_bgl_compileza7d2exprza7d2conditional2978za700za7za7jvm_exprza7003895z00, BGl_compilezd2exprzd2conditional2978z00zzjvm_exprz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3838z00zzjvm_exprz00, BgL_bgl_compileza7d2exprza7d2select2980za700za7za7jvm_exprza7003896z00, BGl_compilezd2exprzd2select2980z00zzjvm_exprz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3840z00zzjvm_exprz00, BgL_bgl_compileza7d2exprza7d2app2984za700za7za7jvm_exprza7003897z00, BGl_compilezd2exprzd2app2984z00zzjvm_exprz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3839z00zzjvm_exprz00, BgL_bgl_compileza7d2exprza7d2letza7d2fun2982za7d2za7za7jvm_exprza7003898za7, BGl_compilezd2exprzd2letzd2fun2982zd2zzjvm_exprz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3841z00zzjvm_exprz00, BgL_bgl_compileza7d2exprza7d2appza7d2ly2986za7d2za7za7jvm_exprza7003899za7, BGl_compilezd2exprzd2appzd2ly2986zd2zzjvm_exprz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3842z00zzjvm_exprz00, BgL_bgl_compileza7d2exprza7d2funcall2988za700za7za7jvm_exprza7003900z00, BGl_compilezd2exprzd2funcall2988z00zzjvm_exprz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3843z00zzjvm_exprz00, BgL_bgl_compileza7d2exprza7d2pragma2990za700za7za7jvm_exprza7003901z00, BGl_compilezd2exprzd2pragma2990z00zzjvm_exprz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3844z00zzjvm_exprz00, BgL_bgl_compileza7d2exprza7d2getfield2992za700za7za7jvm_exprza7003902z00, BGl_compilezd2exprzd2getfield2992z00zzjvm_exprz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3845z00zzjvm_exprz00, BgL_bgl_compileza7d2exprza7d2setfield2994za700za7za7jvm_exprza7003903z00, BGl_compilezd2exprzd2setfield2994z00zzjvm_exprz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3846z00zzjvm_exprz00, BgL_bgl_compileza7d2exprza7d2new2996za700za7za7jvm_exprza7003904z00, BGl_compilezd2exprzd2new2996z00zzjvm_exprz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3847z00zzjvm_exprz00, BgL_bgl_compileza7d2exprza7d2valloc2998za700za7za7jvm_exprza7003905z00, BGl_compilezd2exprzd2valloc2998z00zzjvm_exprz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3848z00zzjvm_exprz00, BgL_bgl_compileza7d2exprza7d2vref3000za700za7za7jvm_exprza7003906z00, BGl_compilezd2exprzd2vref3000z00zzjvm_exprz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3850z00zzjvm_exprz00, BgL_bgl_compileza7d2exprza7d2vlength3004za700za7za7jvm_exprza7003907z00, BGl_compilezd2exprzd2vlength3004z00zzjvm_exprz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3849z00zzjvm_exprz00, BgL_bgl_compileza7d2exprza7d2vsetza7123002za712za7za7jvm_exprza7003908za7, BGl_compilezd2exprzd2vsetz123002z12zzjvm_exprz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3851z00zzjvm_exprz00, BgL_bgl_compileza7d2exprza7d2isa3006za700za7za7jvm_exprza7003909z00, BGl_compilezd2exprzd2isa3006z00zzjvm_exprz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3852z00zzjvm_exprz00, BgL_bgl_compileza7d2exprza7d2cast3008za700za7za7jvm_exprza7003910z00, BGl_compilezd2exprzd2cast3008z00zzjvm_exprz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3853z00zzjvm_exprz00, BgL_bgl_compileza7d2exprza7d2setza7d2exza7d2it3010za700za7za7jvm_exprza7003911z00, BGl_compilezd2exprzd2setzd2exzd2it3010z00zzjvm_exprz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3854z00zzjvm_exprz00, BgL_bgl_compileza7d2exprza7d2jumpza7d2exza7d2it3012za700za7za7jvm_exprza7003912z00, BGl_compilezd2exprzd2jumpzd2exzd2it3012z00zzjvm_exprz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3855z00zzjvm_exprz00, BgL_bgl_compileza7d2exprza7d2fail3014za700za7za7jvm_exprza7003913z00, BGl_compilezd2exprzd2fail3014z00zzjvm_exprz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3856z00zzjvm_exprz00, BgL_bgl_compileza7d2exprza7d2makeza7d2box3016za7d2za7za7jvm_exprza7003914za7, BGl_compilezd2exprzd2makezd2box3016zd2zzjvm_exprz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3857z00zzjvm_exprz00, BgL_bgl_compileza7d2exprza7d2boxza7d2ref3018za7d2za7za7jvm_exprza7003915za7, BGl_compilezd2exprzd2boxzd2ref3018zd2zzjvm_exprz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3858z00zzjvm_exprz00, BgL_bgl_compileza7d2exprza7d2boxza7d2setza7123020za7c0za7za7jvm_exprza7003916z00, BGl_compilezd2exprzd2boxzd2setz123020zc0zzjvm_exprz00, 0L, 2 );



/* module-initialization */
obj_t BGl_modulezd2initializa7ationz75zzjvm_exprz00(long BgL_checksumz00_2862, char * BgL_fromz00_2863)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zzjvm_exprz00))
{ 
BGl_requirezd2initializa7ationz75zzjvm_exprz00 = 
BBOOL(((bool_t)0)); 
BGl_libraryzd2moduleszd2initz00zzjvm_exprz00(); 
BGl_cnstzd2initzd2zzjvm_exprz00(); 
BGl_importedzd2moduleszd2initz00zzjvm_exprz00(); 
BGl_methodzd2initzd2zzjvm_exprz00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zzjvm_exprz00()
{ AN_OBJECT;
{ /* Jvm/expr.scm 2 */
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "jvm_expr"); 
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "jvm_expr"); 
return BUNSPEC;} 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zzjvm_exprz00()
{ AN_OBJECT;
{ /* Jvm/expr.scm 2 */
{ /* Jvm/expr.scm 2 */
obj_t BgL_cportz00_2855;
BgL_cportz00_2855 = 
open_input_string(BGl_string3860z00zzjvm_exprz00); 
{ 
long BgL_iz00_2856;
BgL_iz00_2856 = ((long)1); 
BgL_loopz00_2857:
if(
(BgL_iz00_2856==((long)-1)))
{ /* Jvm/expr.scm 2 */
return BUNSPEC;}  else 
{ /* Jvm/expr.scm 2 */
{ /* Jvm/expr.scm 2 */
obj_t BgL_arg3864z00_2859;
{ /* Jvm/expr.scm 2 */
obj_t BgL_list3867z00_2860;
BgL_list3867z00_2860 = 
MAKE_PAIR(BgL_cportz00_2855, BNIL); 
BgL_arg3864z00_2859 = 
BGl_readz00zz__readerz00(BgL_list3867z00_2860); } 
{ /* Jvm/expr.scm 2 */
int BgL_auxz00_2878;
BgL_auxz00_2878 = 
(int)(BgL_iz00_2856); 
CNST_TABLE_SET(BgL_auxz00_2878, BgL_arg3864z00_2859); } } 
{ 
long BgL_iz00_2881;
{ /* Jvm/expr.scm 2 */
int BgL_auxz00_2882;
{ /* Jvm/expr.scm 2 */
long BgL_auxz00_2883;
BgL_auxz00_2883 = 
(BgL_iz00_2856-((long)1)); 
BgL_auxz00_2882 = 
(int)(BgL_auxz00_2883); } 
BgL_iz00_2881 = 
(long)(BgL_auxz00_2882); } 
BgL_iz00_2856 = BgL_iz00_2881; 
goto BgL_loopz00_2857;} } } } } 
}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zzjvm_exprz00()
{ AN_OBJECT;
{ /* Jvm/expr.scm 2 */
return BUNSPEC;} 
}



/* method-init */
obj_t BGl_methodzd2initzd2zzjvm_exprz00()
{ AN_OBJECT;
{ /* Jvm/expr.scm 2 */
BGl_addzd2genericz12zc0zz__objectz00(BGl_compilezd2exprzd2envz00zzjvm_exprz00, BGl_compilezd2exprzd2default2965zd2envzd2zzjvm_exprz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2exprzd2envz00zzjvm_exprz00, BGl_atomz00zzast_nodez00, BGl_proc3832z00zzjvm_exprz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2exprzd2envz00zzjvm_exprz00, BGl_varz00zzast_nodez00, BGl_proc3833z00zzjvm_exprz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2exprzd2envz00zzjvm_exprz00, BGl_letzd2varzd2zzast_nodez00, BGl_proc3834z00zzjvm_exprz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2exprzd2envz00zzjvm_exprz00, BGl_setqz00zzast_nodez00, BGl_proc3835z00zzjvm_exprz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2exprzd2envz00zzjvm_exprz00, BGl_sequencez00zzast_nodez00, BGl_proc3836z00zzjvm_exprz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2exprzd2envz00zzjvm_exprz00, BGl_conditionalz00zzast_nodez00, BGl_proc3837z00zzjvm_exprz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2exprzd2envz00zzjvm_exprz00, BGl_selectz00zzast_nodez00, BGl_proc3838z00zzjvm_exprz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2exprzd2envz00zzjvm_exprz00, BGl_letzd2funzd2zzast_nodez00, BGl_proc3839z00zzjvm_exprz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2exprzd2envz00zzjvm_exprz00, BGl_appz00zzast_nodez00, BGl_proc3840z00zzjvm_exprz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2exprzd2envz00zzjvm_exprz00, BGl_appzd2lyzd2zzast_nodez00, BGl_proc3841z00zzjvm_exprz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2exprzd2envz00zzjvm_exprz00, BGl_funcallz00zzast_nodez00, BGl_proc3842z00zzjvm_exprz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2exprzd2envz00zzjvm_exprz00, BGl_pragmaz00zzast_nodez00, BGl_proc3843z00zzjvm_exprz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2exprzd2envz00zzjvm_exprz00, BGl_getfieldz00zzast_nodez00, BGl_proc3844z00zzjvm_exprz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2exprzd2envz00zzjvm_exprz00, BGl_setfieldz00zzast_nodez00, BGl_proc3845z00zzjvm_exprz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2exprzd2envz00zzjvm_exprz00, BGl_newz00zzast_nodez00, BGl_proc3846z00zzjvm_exprz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2exprzd2envz00zzjvm_exprz00, BGl_vallocz00zzast_nodez00, BGl_proc3847z00zzjvm_exprz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2exprzd2envz00zzjvm_exprz00, BGl_vrefz00zzast_nodez00, BGl_proc3848z00zzjvm_exprz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2exprzd2envz00zzjvm_exprz00, BGl_vsetz12z12zzast_nodez00, BGl_proc3849z00zzjvm_exprz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2exprzd2envz00zzjvm_exprz00, BGl_vlengthz00zzast_nodez00, BGl_proc3850z00zzjvm_exprz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2exprzd2envz00zzjvm_exprz00, BGl_isaz00zzast_nodez00, BGl_proc3851z00zzjvm_exprz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2exprzd2envz00zzjvm_exprz00, BGl_castz00zzast_nodez00, BGl_proc3852z00zzjvm_exprz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2exprzd2envz00zzjvm_exprz00, BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc3853z00zzjvm_exprz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2exprzd2envz00zzjvm_exprz00, BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc3854z00zzjvm_exprz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2exprzd2envz00zzjvm_exprz00, BGl_failz00zzast_nodez00, BGl_proc3855z00zzjvm_exprz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2exprzd2envz00zzjvm_exprz00, BGl_makezd2boxzd2zzast_nodez00, BGl_proc3856z00zzjvm_exprz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2exprzd2envz00zzjvm_exprz00, BGl_boxzd2refzd2zzast_nodez00, BGl_proc3857z00zzjvm_exprz00); 
return 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2exprzd2envz00zzjvm_exprz00, BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc3858z00zzjvm_exprz00);} 
}



/* compile-expr-box-set!3020 */
obj_t BGl_compilezd2exprzd2boxzd2setz123020zc0zzjvm_exprz00(obj_t BgL_envz00_2771, obj_t BgL_ez00_2772, obj_t BgL_envz00_2773)
{ AN_OBJECT;
{ /* Jvm/expr.scm 91 */
{ 
BgL_boxzd2setz12zc0_bglt BgL_ez00_2127;BgL_envz00_bglt BgL_envz00_2128;
BgL_ez00_2127 = 
(BgL_boxzd2setz12zc0_bglt)(BgL_ez00_2772); 
BgL_envz00_2128 = 
(BgL_envz00_bglt)(BgL_envz00_2773); 
BGl_compilerzd2boxzd2setz12z12zzjvm_compilerz00(BgL_ez00_2127, BgL_envz00_2128); 
{ /* Jvm/expr.scm 93 */
obj_t BgL_arg3678z00_2712;
BgL_arg3678z00_2712 = 
BGl_jlibzd2declarezd2zzjvm_envz00(BgL_envz00_2128, 
CNST_TABLE_REF(((long)0))); 
return 
BGl__getstaticz00zzjvm_instrz00(BgL_envz00_2128, BgL_arg3678z00_2712);} } } 
}



/* compile-expr-box-ref3018 */
obj_t BGl_compilezd2exprzd2boxzd2ref3018zd2zzjvm_exprz00(obj_t BgL_envz00_2774, obj_t BgL_ez00_2775, obj_t BgL_envz00_2776)
{ AN_OBJECT;
{ /* Jvm/expr.scm 88 */
{ 
BgL_boxzd2refzd2_bglt BgL_ez00_2121;BgL_envz00_bglt BgL_envz00_2122;
BgL_ez00_2121 = 
(BgL_boxzd2refzd2_bglt)(BgL_ez00_2775); 
BgL_envz00_2122 = 
(BgL_envz00_bglt)(BgL_envz00_2776); 
return 
BGl_compilerzd2boxzd2refz00zzjvm_compilerz00(BgL_ez00_2121, BgL_envz00_2122);} } 
}



/* compile-expr-make-box3016 */
obj_t BGl_compilezd2exprzd2makezd2box3016zd2zzjvm_exprz00(obj_t BgL_envz00_2777, obj_t BgL_ez00_2778, obj_t BgL_envz00_2779)
{ AN_OBJECT;
{ /* Jvm/expr.scm 85 */
{ 
BgL_makezd2boxzd2_bglt BgL_ez00_2115;BgL_envz00_bglt BgL_envz00_2116;
BgL_ez00_2115 = 
(BgL_makezd2boxzd2_bglt)(BgL_ez00_2778); 
BgL_envz00_2116 = 
(BgL_envz00_bglt)(BgL_envz00_2779); 
return 
BGl_compilerzd2makezd2boxz00zzjvm_compilerz00(BgL_ez00_2115, BgL_envz00_2116);} } 
}



/* compile-expr-fail3014 */
obj_t BGl_compilezd2exprzd2fail3014z00zzjvm_exprz00(obj_t BgL_envz00_2780, obj_t BgL_ez00_2781, obj_t BgL_envz00_2782)
{ AN_OBJECT;
{ /* Jvm/expr.scm 82 */
{ 
BgL_failz00_bglt BgL_ez00_2109;BgL_envz00_bglt BgL_envz00_2110;
BgL_ez00_2109 = 
(BgL_failz00_bglt)(BgL_ez00_2781); 
BgL_envz00_2110 = 
(BgL_envz00_bglt)(BgL_envz00_2782); 
return 
BGl_compilerzd2failzd2zzjvm_compilerz00(BgL_ez00_2109, BgL_envz00_2110);} } 
}



/* compile-expr-jump-ex-it3012 */
obj_t BGl_compilezd2exprzd2jumpzd2exzd2it3012z00zzjvm_exprz00(obj_t BgL_envz00_2783, obj_t BgL_ez00_2784, obj_t BgL_envz00_2785)
{ AN_OBJECT;
{ /* Jvm/expr.scm 79 */
{ 
BgL_jumpzd2exzd2itz00_bglt BgL_ez00_2103;BgL_envz00_bglt BgL_envz00_2104;
BgL_ez00_2103 = 
(BgL_jumpzd2exzd2itz00_bglt)(BgL_ez00_2784); 
BgL_envz00_2104 = 
(BgL_envz00_bglt)(BgL_envz00_2785); 
return 
BGl_compilerzd2jumpzd2exitz00zzjvm_compilerz00(BgL_ez00_2103, BgL_envz00_2104);} } 
}



/* compile-expr-set-ex-it3010 */
obj_t BGl_compilezd2exprzd2setzd2exzd2it3010z00zzjvm_exprz00(obj_t BgL_envz00_2786, obj_t BgL_ez00_2787, obj_t BgL_envz00_2788)
{ AN_OBJECT;
{ /* Jvm/expr.scm 76 */
{ 
BgL_setzd2exzd2itz00_bglt BgL_ez00_2097;obj_t BgL_envz00_2098;
BgL_ez00_2097 = 
(BgL_setzd2exzd2itz00_bglt)(BgL_ez00_2787); 
BgL_envz00_2098 = BgL_envz00_2788; 
return 
BGl_compilerzd2setexitzd2zzjvm_compilerz00(BgL_ez00_2097, 
(BgL_envz00_bglt)(BgL_envz00_2098), BGl_compilezd2exprzd2envz00zzjvm_exprz00);} } 
}



/* compile-expr-cast3008 */
obj_t BGl_compilezd2exprzd2cast3008z00zzjvm_exprz00(obj_t BgL_envz00_2789, obj_t BgL_ez00_2790, obj_t BgL_envz00_2791)
{ AN_OBJECT;
{ /* Jvm/expr.scm 73 */
{ 
BgL_castz00_bglt BgL_ez00_2091;BgL_envz00_bglt BgL_envz00_2092;
BgL_ez00_2091 = 
(BgL_castz00_bglt)(BgL_ez00_2790); 
BgL_envz00_2092 = 
(BgL_envz00_bglt)(BgL_envz00_2791); 
return 
BGl_compilerzd2castzd2zzjvm_compilerz00(BgL_ez00_2091, BgL_envz00_2092, BGl_compilezd2exprzd2envz00zzjvm_exprz00);} } 
}



/* compile-expr-isa3006 */
obj_t BGl_compilezd2exprzd2isa3006z00zzjvm_exprz00(obj_t BgL_envz00_2792, obj_t BgL_ez00_2793, obj_t BgL_envz00_2794)
{ AN_OBJECT;
{ /* Jvm/expr.scm 70 */
{ 
BgL_isaz00_bglt BgL_ez00_2085;BgL_envz00_bglt BgL_envz00_2086;
BgL_ez00_2085 = 
(BgL_isaz00_bglt)(BgL_ez00_2793); 
BgL_envz00_2086 = 
(BgL_envz00_bglt)(BgL_envz00_2794); 
return 
BGl_compilerzd2isazd2zzjvm_compilerz00(BgL_ez00_2085, BgL_envz00_2086);} } 
}



/* compile-expr-vlength3004 */
obj_t BGl_compilezd2exprzd2vlength3004z00zzjvm_exprz00(obj_t BgL_envz00_2795, obj_t BgL_ez00_2796, obj_t BgL_envz00_2797)
{ AN_OBJECT;
{ /* Jvm/expr.scm 67 */
{ 
BgL_vlengthz00_bglt BgL_ez00_2079;BgL_envz00_bglt BgL_envz00_2080;
BgL_ez00_2079 = 
(BgL_vlengthz00_bglt)(BgL_ez00_2796); 
BgL_envz00_2080 = 
(BgL_envz00_bglt)(BgL_envz00_2797); 
return 
BGl_compilerzd2vlengthzd2zzjvm_compilerz00(BgL_ez00_2079, BgL_envz00_2080);} } 
}



/* compile-expr-vset!3002 */
obj_t BGl_compilezd2exprzd2vsetz123002z12zzjvm_exprz00(obj_t BgL_envz00_2798, obj_t BgL_ez00_2799, obj_t BgL_envz00_2800)
{ AN_OBJECT;
{ /* Jvm/expr.scm 63 */
{ 
BgL_vsetz12z12_bglt BgL_ez00_2072;BgL_envz00_bglt BgL_envz00_2073;
BgL_ez00_2072 = 
(BgL_vsetz12z12_bglt)(BgL_ez00_2799); 
BgL_envz00_2073 = 
(BgL_envz00_bglt)(BgL_envz00_2800); 
BGl_compilerzd2vsetzd2zzjvm_compilerz00(BgL_ez00_2072, BgL_envz00_2073); 
{ /* Jvm/expr.scm 65 */
obj_t BgL_arg3611z00_2711;
BgL_arg3611z00_2711 = 
BGl_jlibzd2declarezd2zzjvm_envz00(BgL_envz00_2073, 
CNST_TABLE_REF(((long)0))); 
return 
BGl__getstaticz00zzjvm_instrz00(BgL_envz00_2073, BgL_arg3611z00_2711);} } } 
}



/* compile-expr-vref3000 */
obj_t BGl_compilezd2exprzd2vref3000z00zzjvm_exprz00(obj_t BgL_envz00_2801, obj_t BgL_ez00_2802, obj_t BgL_envz00_2803)
{ AN_OBJECT;
{ /* Jvm/expr.scm 60 */
{ 
BgL_vrefz00_bglt BgL_ez00_2066;BgL_envz00_bglt BgL_envz00_2067;
BgL_ez00_2066 = 
(BgL_vrefz00_bglt)(BgL_ez00_2802); 
BgL_envz00_2067 = 
(BgL_envz00_bglt)(BgL_envz00_2803); 
return 
BGl_compilerzd2vrefzd2zzjvm_compilerz00(BgL_ez00_2066, BgL_envz00_2067);} } 
}



/* compile-expr-valloc2998 */
obj_t BGl_compilezd2exprzd2valloc2998z00zzjvm_exprz00(obj_t BgL_envz00_2804, obj_t BgL_ez00_2805, obj_t BgL_envz00_2806)
{ AN_OBJECT;
{ /* Jvm/expr.scm 57 */
{ 
BgL_vallocz00_bglt BgL_ez00_2060;BgL_envz00_bglt BgL_envz00_2061;
BgL_ez00_2060 = 
(BgL_vallocz00_bglt)(BgL_ez00_2805); 
BgL_envz00_2061 = 
(BgL_envz00_bglt)(BgL_envz00_2806); 
return 
BGl_compilerzd2valloczd2zzjvm_compilerz00(BgL_ez00_2060, BgL_envz00_2061);} } 
}



/* compile-expr-new2996 */
obj_t BGl_compilezd2exprzd2new2996z00zzjvm_exprz00(obj_t BgL_envz00_2807, obj_t BgL_ez00_2808, obj_t BgL_envz00_2809)
{ AN_OBJECT;
{ /* Jvm/expr.scm 54 */
{ 
BgL_newz00_bglt BgL_ez00_2054;BgL_envz00_bglt BgL_envz00_2055;
BgL_ez00_2054 = 
(BgL_newz00_bglt)(BgL_ez00_2808); 
BgL_envz00_2055 = 
(BgL_envz00_bglt)(BgL_envz00_2809); 
return 
BGl_compilerzd2newzd2zzjvm_compilerz00(BgL_ez00_2054, BgL_envz00_2055);} } 
}



/* compile-expr-setfield2994 */
obj_t BGl_compilezd2exprzd2setfield2994z00zzjvm_exprz00(obj_t BgL_envz00_2810, obj_t BgL_ez00_2811, obj_t BgL_envz00_2812)
{ AN_OBJECT;
{ /* Jvm/expr.scm 50 */
{ 
BgL_setfieldz00_bglt BgL_ez00_2047;BgL_envz00_bglt BgL_envz00_2048;
BgL_ez00_2047 = 
(BgL_setfieldz00_bglt)(BgL_ez00_2811); 
BgL_envz00_2048 = 
(BgL_envz00_bglt)(BgL_envz00_2812); 
BGl_compilerzd2setfieldzd2zzjvm_compilerz00(BgL_ez00_2047, BgL_envz00_2048); 
{ /* Jvm/expr.scm 52 */
obj_t BgL_arg3579z00_2710;
BgL_arg3579z00_2710 = 
BGl_jlibzd2declarezd2zzjvm_envz00(BgL_envz00_2048, 
CNST_TABLE_REF(((long)0))); 
return 
BGl__getstaticz00zzjvm_instrz00(BgL_envz00_2048, BgL_arg3579z00_2710);} } } 
}



/* compile-expr-getfield2992 */
obj_t BGl_compilezd2exprzd2getfield2992z00zzjvm_exprz00(obj_t BgL_envz00_2813, obj_t BgL_ez00_2814, obj_t BgL_envz00_2815)
{ AN_OBJECT;
{ /* Jvm/expr.scm 47 */
{ 
BgL_getfieldz00_bglt BgL_ez00_2041;BgL_envz00_bglt BgL_envz00_2042;
BgL_ez00_2041 = 
(BgL_getfieldz00_bglt)(BgL_ez00_2814); 
BgL_envz00_2042 = 
(BgL_envz00_bglt)(BgL_envz00_2815); 
return 
BGl_compilerzd2getfieldzd2zzjvm_compilerz00(BgL_ez00_2041, BgL_envz00_2042);} } 
}



/* compile-expr-pragma2990 */
obj_t BGl_compilezd2exprzd2pragma2990z00zzjvm_exprz00(obj_t BgL_envz00_2816, obj_t BgL_ez00_2817, obj_t BgL_envz00_2818)
{ AN_OBJECT;
{ /* Jvm/expr.scm 44 */
{ 
BgL_pragmaz00_bglt BgL_ez00_2035;BgL_envz00_bglt BgL_envz00_2036;
BgL_ez00_2035 = 
(BgL_pragmaz00_bglt)(BgL_ez00_2817); 
BgL_envz00_2036 = 
(BgL_envz00_bglt)(BgL_envz00_2818); 
return 
BGl_compilerzd2pragmazd2zzjvm_compilerz00(BgL_ez00_2035, BgL_envz00_2036);} } 
}



/* compile-expr-funcall2988 */
obj_t BGl_compilezd2exprzd2funcall2988z00zzjvm_exprz00(obj_t BgL_envz00_2819, obj_t BgL_ez00_2820, obj_t BgL_envz00_2821)
{ AN_OBJECT;
{ /* Jvm/expr.scm 41 */
{ 
BgL_funcallz00_bglt BgL_ez00_2029;BgL_envz00_bglt BgL_envz00_2030;
BgL_ez00_2029 = 
(BgL_funcallz00_bglt)(BgL_ez00_2820); 
BgL_envz00_2030 = 
(BgL_envz00_bglt)(BgL_envz00_2821); 
return 
BGl_compilerzd2funcallzd2zzjvm_compilerz00(BgL_ez00_2029, BgL_envz00_2030);} } 
}



/* compile-expr-app-ly2986 */
obj_t BGl_compilezd2exprzd2appzd2ly2986zd2zzjvm_exprz00(obj_t BgL_envz00_2822, obj_t BgL_ez00_2823, obj_t BgL_envz00_2824)
{ AN_OBJECT;
{ /* Jvm/expr.scm 38 */
{ 
BgL_appzd2lyzd2_bglt BgL_ez00_2023;BgL_envz00_bglt BgL_envz00_2024;
BgL_ez00_2023 = 
(BgL_appzd2lyzd2_bglt)(BgL_ez00_2823); 
BgL_envz00_2024 = 
(BgL_envz00_bglt)(BgL_envz00_2824); 
return 
BGl_compilerzd2applyzd2zzjvm_compilerz00(BgL_ez00_2023, BgL_envz00_2024);} } 
}



/* compile-expr-app2984 */
obj_t BGl_compilezd2exprzd2app2984z00zzjvm_exprz00(obj_t BgL_envz00_2825, obj_t BgL_ez00_2826, obj_t BgL_envz00_2827)
{ AN_OBJECT;
{ /* Jvm/expr.scm 35 */
{ 
BgL_appz00_bglt BgL_ez00_2017;BgL_envz00_bglt BgL_envz00_2018;
BgL_ez00_2017 = 
(BgL_appz00_bglt)(BgL_ez00_2826); 
BgL_envz00_2018 = 
(BgL_envz00_bglt)(BgL_envz00_2827); 
return 
BGl_compilerzd2appzd2zzjvm_compilerz00(BgL_ez00_2017, BgL_envz00_2018);} } 
}



/* compile-expr-let-fun2982 */
obj_t BGl_compilezd2exprzd2letzd2fun2982zd2zzjvm_exprz00(obj_t BgL_envz00_2828, obj_t BgL_ez00_2829, obj_t BgL_envz00_2830)
{ AN_OBJECT;
{ /* Jvm/expr.scm 32 */
{ 
BgL_letzd2funzd2_bglt BgL_ez00_2011;BgL_envz00_bglt BgL_envz00_2012;
BgL_ez00_2011 = 
(BgL_letzd2funzd2_bglt)(BgL_ez00_2829); 
BgL_envz00_2012 = 
(BgL_envz00_bglt)(BgL_envz00_2830); 
return 
BGl_compilerzd2labelszd2zzjvm_compilerz00(BgL_ez00_2011, BgL_envz00_2012, BGl_compilezd2exprzd2envz00zzjvm_exprz00);} } 
}



/* compile-expr-select2980 */
obj_t BGl_compilezd2exprzd2select2980z00zzjvm_exprz00(obj_t BgL_envz00_2831, obj_t BgL_ez00_2832, obj_t BgL_envz00_2833)
{ AN_OBJECT;
{ /* Jvm/expr.scm 29 */
{ 
BgL_selectz00_bglt BgL_ez00_2005;BgL_envz00_bglt BgL_envz00_2006;
BgL_ez00_2005 = 
(BgL_selectz00_bglt)(BgL_ez00_2832); 
BgL_envz00_2006 = 
(BgL_envz00_bglt)(BgL_envz00_2833); 
return 
BGl_compilerzd2selectzd2zzjvm_compilerz00(BgL_ez00_2005, BgL_envz00_2006, BGl_compilezd2exprzd2envz00zzjvm_exprz00);} } 
}



/* compile-expr-conditional2978 */
obj_t BGl_compilezd2exprzd2conditional2978z00zzjvm_exprz00(obj_t BgL_envz00_2834, obj_t BgL_ez00_2835, obj_t BgL_envz00_2836)
{ AN_OBJECT;
{ /* Jvm/expr.scm 26 */
{ 
BgL_conditionalz00_bglt BgL_ez00_1999;BgL_envz00_bglt BgL_envz00_2000;
BgL_ez00_1999 = 
(BgL_conditionalz00_bglt)(BgL_ez00_2835); 
BgL_envz00_2000 = 
(BgL_envz00_bglt)(BgL_envz00_2836); 
return 
BGl_compilerzd2ifzd2zzjvm_compilerz00(BgL_ez00_1999, BgL_envz00_2000, BGl_compilezd2exprzd2envz00zzjvm_exprz00);} } 
}



/* compile-expr-sequence2976 */
obj_t BGl_compilezd2exprzd2sequence2976z00zzjvm_exprz00(obj_t BgL_envz00_2837, obj_t BgL_ez00_2838, obj_t BgL_envz00_2839)
{ AN_OBJECT;
{ /* Jvm/expr.scm 23 */
{ 
BgL_sequencez00_bglt BgL_ez00_1993;BgL_envz00_bglt BgL_envz00_1994;
BgL_ez00_1993 = 
(BgL_sequencez00_bglt)(BgL_ez00_2838); 
BgL_envz00_1994 = 
(BgL_envz00_bglt)(BgL_envz00_2839); 
return 
BGl_compilerzd2sequencezd2zzjvm_compilerz00(BgL_ez00_1993, BgL_envz00_1994, BGl_compilezd2exprzd2envz00zzjvm_exprz00);} } 
}



/* compile-expr-setq2974 */
obj_t BGl_compilezd2exprzd2setq2974z00zzjvm_exprz00(obj_t BgL_envz00_2840, obj_t BgL_ez00_2841, obj_t BgL_envz00_2842)
{ AN_OBJECT;
{ /* Jvm/expr.scm 19 */
{ 
BgL_setqz00_bglt BgL_ez00_1986;BgL_envz00_bglt BgL_envz00_1987;
BgL_ez00_1986 = 
(BgL_setqz00_bglt)(BgL_ez00_2841); 
BgL_envz00_1987 = 
(BgL_envz00_bglt)(BgL_envz00_2842); 
BGl_compilerzd2setqzd2zzjvm_compilerz00(BgL_ez00_1986, BgL_envz00_1987); 
{ /* Jvm/expr.scm 21 */
obj_t BgL_arg3505z00_2709;
BgL_arg3505z00_2709 = 
BGl_jlibzd2declarezd2zzjvm_envz00(BgL_envz00_1987, 
CNST_TABLE_REF(((long)0))); 
return 
BGl__getstaticz00zzjvm_instrz00(BgL_envz00_1987, BgL_arg3505z00_2709);} } } 
}



/* compile-expr-let-var2972 */
obj_t BGl_compilezd2exprzd2letzd2var2972zd2zzjvm_exprz00(obj_t BgL_envz00_2843, obj_t BgL_ez00_2844, obj_t BgL_envz00_2845)
{ AN_OBJECT;
{ /* Jvm/expr.scm 16 */
{ 
BgL_letzd2varzd2_bglt BgL_ez00_1980;BgL_envz00_bglt BgL_envz00_1981;
BgL_ez00_1980 = 
(BgL_letzd2varzd2_bglt)(BgL_ez00_2844); 
BgL_envz00_1981 = 
(BgL_envz00_bglt)(BgL_envz00_2845); 
return 
BGl_compilerzd2letzd2zzjvm_compilerz00(BgL_ez00_1980, BgL_envz00_1981, BGl_compilezd2exprzd2envz00zzjvm_exprz00);} } 
}



/* compile-expr-var2970 */
obj_t BGl_compilezd2exprzd2var2970z00zzjvm_exprz00(obj_t BgL_envz00_2846, obj_t BgL_ez00_2847, obj_t BgL_envz00_2848)
{ AN_OBJECT;
{ /* Jvm/expr.scm 13 */
{ 
BgL_varz00_bglt BgL_ez00_1974;BgL_envz00_bglt BgL_envz00_1975;
BgL_ez00_1974 = 
(BgL_varz00_bglt)(BgL_ez00_2847); 
BgL_envz00_1975 = 
(BgL_envz00_bglt)(BgL_envz00_2848); 
return 
BGl_compilerzd2varzd2zzjvm_compilerz00(BgL_ez00_1974, BgL_envz00_1975);} } 
}



/* compile-expr-atom2968 */
obj_t BGl_compilezd2exprzd2atom2968z00zzjvm_exprz00(obj_t BgL_envz00_2849, obj_t BgL_ez00_2850, obj_t BgL_envz00_2851)
{ AN_OBJECT;
{ /* Jvm/expr.scm 10 */
{ 
BgL_atomz00_bglt BgL_ez00_1968;BgL_envz00_bglt BgL_envz00_1969;
BgL_ez00_1968 = 
(BgL_atomz00_bglt)(BgL_ez00_2850); 
BgL_envz00_1969 = 
(BgL_envz00_bglt)(BgL_envz00_2851); 
return 
BGl_compilerzd2atomzd2zzjvm_compilerz00(
(obj_t)(BgL_ez00_1968), BgL_envz00_1969);} } 
}



/* compile-expr */
obj_t BGl_compilezd2exprzd2zzjvm_exprz00(BgL_nodez00_bglt BgL_ez00_1, BgL_envz00_bglt BgL_envz00_2)
{ AN_OBJECT;
{ /* Jvm/expr.scm 8 */
{ /* Jvm/expr.scm 8 */
obj_t BgL_method2966z00_2713;
{ /* Jvm/expr.scm 8 */
long BgL_objzd2classzd2numz00_2715;
{ /* Jvm/expr.scm 8 */
BgL_objectz00_bglt BgL_auxz00_3009;
BgL_auxz00_3009 = 
(BgL_objectz00_bglt)(BgL_ez00_1); 
BgL_objzd2classzd2numz00_2715 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3009); } 
{ /* Jvm/expr.scm 8 */
obj_t BgL_arg1904z00_2716;
{ /* Jvm/expr.scm 8 */
int BgL_auxz00_3012;
BgL_auxz00_3012 = 
(int)(((long)1)); 
BgL_arg1904z00_2716 = 
PROCEDURE_REF(BGl_compilezd2exprzd2envz00zzjvm_exprz00, BgL_auxz00_3012); } 
{ /* Jvm/expr.scm 8 */
long BgL_offsetz00_2720;
{ /* Jvm/expr.scm 8 */
long BgL_auxz00_3015;
{ /* Jvm/expr.scm 8 */
int BgL_auxz00_3016;
BgL_auxz00_3016 = 
(int)(BgL_objzd2classzd2numz00_2715); 
BgL_auxz00_3015 = 
(long)(BgL_auxz00_3016); } 
BgL_offsetz00_2720 = 
(BgL_auxz00_3015-OBJECT_TYPE); } 
{ /* Jvm/expr.scm 8 */
long BgL_modz00_2721;
{ /* Jvm/expr.scm 8 */
long BgL_auxz00_3020;
{ /* Jvm/expr.scm 8 */
int BgL_auxz00_3021;
BgL_auxz00_3021 = 
(int)(((long)8)); 
BgL_auxz00_3020 = 
(long)(BgL_auxz00_3021); } 
BgL_modz00_2721 = 
(BgL_offsetz00_2720/BgL_auxz00_3020); } 
{ /* Jvm/expr.scm 8 */
long BgL_restz00_2723;
{ /* Jvm/expr.scm 8 */
long BgL_auxz00_3025;
{ /* Jvm/expr.scm 8 */
int BgL_auxz00_3026;
BgL_auxz00_3026 = 
(int)(((long)8)); 
BgL_auxz00_3025 = 
(long)(BgL_auxz00_3026); } 
BgL_restz00_2723 = 
(BgL_offsetz00_2720%BgL_auxz00_3025); } 
{ /* Jvm/expr.scm 8 */

{ /* Jvm/expr.scm 8 */
obj_t BgL_bucketz00_2725;
{ /* Jvm/expr.scm 8 */
int BgL_kz00_2735;
BgL_kz00_2735 = 
(int)(BgL_modz00_2721); 
BgL_bucketz00_2725 = 
VECTOR_REF(BgL_arg1904z00_2716,BgL_kz00_2735); } 
{ /* Jvm/expr.scm 8 */
int BgL_kz00_2737;
BgL_kz00_2737 = 
(int)(BgL_restz00_2723); 
BgL_method2966z00_2713 = 
VECTOR_REF(BgL_bucketz00_2725,BgL_kz00_2737); } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method2966z00_2713)(BgL_method2966z00_2713, 
(obj_t)(BgL_ez00_1), 
(obj_t)(BgL_envz00_2), BEOA);} } 
}



/* _compile-expr3702 */
obj_t BGl__compilezd2expr3702zd2zzjvm_exprz00(obj_t BgL_envz00_2747, obj_t BgL_ez00_2748, obj_t BgL_envz00_2749)
{ AN_OBJECT;
{ /* Jvm/expr.scm 8 */
return 
BGl_compilezd2exprzd2zzjvm_exprz00(
(BgL_nodez00_bglt)(BgL_ez00_2748), 
(BgL_envz00_bglt)(BgL_envz00_2749));} 
}



/* compile-expr-default2965 */
obj_t BGl_compilezd2exprzd2default2965z00zzjvm_exprz00(BgL_nodez00_bglt BgL_ez00_3, BgL_envz00_bglt BgL_envz00_4)
{ AN_OBJECT;
{ /* Jvm/expr.scm 2 */
{ 
obj_t BgL_auxz00_3043;obj_t BgL_auxz00_3041;
BgL_auxz00_3043 = 
(obj_t)(BgL_ez00_3); 
BgL_auxz00_3041 = 
CNST_TABLE_REF(((long)1)); 
FAILURE(BgL_auxz00_3041,BGl_string3859z00zzjvm_exprz00,BgL_auxz00_3043);} } 
}



/* _compile-expr-default2965 */
obj_t BGl__compilezd2exprzd2default2965z00zzjvm_exprz00(obj_t BgL_envz00_2852, obj_t BgL_ez00_2853, obj_t BgL_envz00_2854)
{ AN_OBJECT;
{ /* Jvm/expr.scm 2 */
return 
BGl_compilezd2exprzd2default2965z00zzjvm_exprz00(
(BgL_nodez00_bglt)(BgL_ez00_2853), 
(BgL_envz00_bglt)(BgL_envz00_2854));} 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zzjvm_exprz00()
{ AN_OBJECT;
{ /* Jvm/expr.scm 2 */
BGl_modulezd2initializa7ationz75zztype_typez00(((long)19010), "jvm_expr"); 
BGl_modulezd2initializa7ationz75zzast_varz00(((long)28259), "jvm_expr"); 
BGl_modulezd2initializa7ationz75zzast_nodez00(((long)49436), "jvm_expr"); 
BGl_modulezd2initializa7ationz75zzobject_classz00(((long)19348), "jvm_expr"); 
BGl_modulezd2initializa7ationz75zzjvm_envz00(((long)47084), "jvm_expr"); 
BGl_modulezd2initializa7ationz75zzjvm_instrz00(((long)9877), "jvm_expr"); 
return 
BGl_modulezd2initializa7ationz75zzjvm_compilerz00(((long)63858), "jvm_expr");} 
}

