/*===========================================================================*/
/*   (Jvm/init.scm)                                                          */
/*   Bigloo (2.5b)                                                           */
/*   Manuel Serrano (c)       Fri Sep 6 09:43:28 CEST 2002                   */
/*===========================================================================*/

/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>


/* Object type definitions */
typedef struct BgL_typez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   obj_t BgL_siza7eza7;
   obj_t BgL_classz00;
   obj_t BgL_coercezd2tozd2;
   obj_t BgL_parentsz00;
   bool_t BgL_initzf3zf3;
   bool_t BgL_magiczf3zf3;
   obj_t BgL_z42z42;
   obj_t BgL_aliasz00;
   obj_t BgL_pointedzd2tozd2byz00;
   obj_t BgL_tvectorz00;
   obj_t BgL_locationz00;
   obj_t BgL_importzd2locationzd2;
} *BgL_typez00_bglt;

typedef struct BgL_valuez00_bgl {
   header_t header;
   obj_t widening;
} *BgL_valuez00_bglt;

typedef struct BgL_variablez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
} *BgL_variablez00_bglt;

typedef struct BgL_globalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   obj_t BgL_modulez00;
   obj_t BgL_importz00;
   bool_t BgL_evaluablezf3zf3;
   bool_t BgL_libraryzf3zf3;
   bool_t BgL_userzf3zf3;
   obj_t BgL_pragmaz00;
   obj_t BgL_srcz00;
   obj_t BgL_jvmzd2typezd2namez00;
} *BgL_globalz00_bglt;

typedef struct BgL_localz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   bool_t BgL_userzf3zf3;
   long BgL_keyz00;
} *BgL_localz00_bglt;

typedef struct BgL_funz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
} *BgL_funz00_bglt;

typedef struct BgL_sfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_propertyz00;
   obj_t BgL_argsz00;
   obj_t BgL_bodyz00;
   obj_t BgL_classz00;
   obj_t BgL_dssslzd2keywordszd2;
   obj_t BgL_locz00;
} *BgL_sfunz00_bglt;

typedef struct BgL_cfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_argszd2typezd2;
   bool_t BgL_macrozf3zf3;
   bool_t BgL_infixzf3zf3;
   obj_t BgL_methodz00;
} *BgL_cfunz00_bglt;

typedef struct BgL_svarz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
} *BgL_svarz00_bglt;

typedef struct BgL_scnstz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_nodez00;
   obj_t BgL_classz00;
   obj_t BgL_locz00;
} *BgL_scnstz00_bglt;

typedef struct BgL_cvarz00_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_macrozf3zf3;
} *BgL_cvarz00_bglt;

typedef struct BgL_sexitz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_handlerz00;
   bool_t BgL_detachedzf3zf3;
} *BgL_sexitz00_bglt;

typedef struct BgL_nodez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
} *BgL_nodez00_bglt;

typedef struct BgL_nodezf2effectzf2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
} *BgL_nodezf2effectzf2_bglt;

typedef struct BgL_atomz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_atomz00_bglt;

typedef struct BgL_varz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_varz00_bglt;

typedef struct BgL_closurez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_closurez00_bglt;

typedef struct BgL_kwotez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_kwotez00_bglt;

typedef struct BgL_sequencez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_nodesz00;
} *BgL_sequencez00_bglt;

typedef struct BgL_appz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
} *BgL_appz00_bglt;

typedef struct BgL_appzd2lyzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_appzd2lyzd2_bglt;

typedef struct BgL_funcallz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
   obj_t BgL_strengthz00;
} *BgL_funcallz00_bglt;

typedef struct BgL_externz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
} *BgL_externz00_bglt;

typedef struct BgL_pragmaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_formatz00;
} *BgL_pragmaz00_bglt;

typedef struct BgL_getfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_getfieldz00_bglt;

typedef struct BgL_setfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_setfieldz00_bglt;

typedef struct BgL_newz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
} *BgL_newz00_bglt;

typedef struct BgL_vallocz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2heapzd2formatz00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_vallocz00_bglt;

typedef struct BgL_vrefz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vrefz00_bglt;

typedef struct BgL_vsetz12z12_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vsetz12z12_bglt;

typedef struct BgL_vlengthz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vlengthz00_bglt;

typedef struct BgL_isaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   struct BgL_typez00_bgl * BgL_classz00;
} *BgL_isaz00_bglt;

typedef struct BgL_castz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_castz00_bglt;

typedef struct BgL_setqz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_setqz00_bglt;

typedef struct BgL_conditionalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   struct BgL_nodez00_bgl * BgL_truez00;
   struct BgL_nodez00_bgl * BgL_falsez00;
} *BgL_conditionalz00_bglt;

typedef struct BgL_failz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_procz00;
   struct BgL_nodez00_bgl * BgL_msgz00;
   struct BgL_nodez00_bgl * BgL_objz00;
} *BgL_failz00_bglt;

typedef struct BgL_selectz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   obj_t BgL_clausesz00;
   struct BgL_typez00_bgl * BgL_itemzd2typezd2;
} *BgL_selectz00_bglt;

typedef struct BgL_letzd2funzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_localsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_letzd2funzd2_bglt;

typedef struct BgL_letzd2varzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_bindingsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
   bool_t BgL_removablezf3zf3;
} *BgL_letzd2varzd2_bglt;

typedef struct BgL_setzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_setzd2exzd2itz00_bglt;

typedef struct BgL_jumpzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_exitz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_jumpzd2exzd2itz00_bglt;

typedef struct BgL_makezd2boxzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_makezd2boxzd2_bglt;

typedef struct BgL_boxzd2refzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_varz00;
} *BgL_boxzd2refzd2_bglt;

typedef struct BgL_boxzd2setz12zc0_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_boxzd2setz12zc0_bglt;

typedef struct BgL_tclassz00_bgl {
   obj_t BgL_itszd2superzd2;
   obj_t BgL_slotsz00;
   struct BgL_globalz00_bgl * BgL_holderz00;
   obj_t BgL_wideningz00;
   long BgL_depthz00;
   bool_t BgL_finalzf3zf3;
   obj_t BgL_constructorz00;
   obj_t BgL_virtualzd2slotszd2numberz00;
   bool_t BgL_abstractzf3zf3;
} *BgL_tclassz00_bglt;

typedef struct BgL_jclassz00_bgl {
   obj_t BgL_itszd2superzd2;
   obj_t BgL_slotsz00;
   obj_t BgL_packagez00;
} *BgL_jclassz00_bglt;

typedef struct BgL_ccompz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_producerz00;
   obj_t BgL_consumerz00;
   obj_t BgL_finaliza7erza7;
} *BgL_ccompz00_bglt;

typedef struct BgL_tvecz00_bgl {
   struct BgL_typez00_bgl * BgL_itemzd2typezd2;
} *BgL_tvecz00_bglt;

typedef struct BgL_envz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_declarationsz00;
   obj_t BgL_declaredtypez00;
   obj_t BgL_declaredclassz00;
   obj_t BgL_declaredmodulez00;
   obj_t BgL_currentzd2modulezd2;
   obj_t BgL_declaredfieldsz00;
   obj_t BgL_declaredglobalz00;
   obj_t BgL_libdeclaredz00;
   obj_t BgL_proceduresz00;
   obj_t BgL_clinitzd2codezd2;
   obj_t BgL_currentzd2methodzd2;
   obj_t BgL_vcountz00;
   obj_t BgL_localsz00;
   obj_t BgL_freelocalsz00;
   obj_t BgL_maplocalsz00;
   obj_t BgL_stackz00;
   obj_t BgL_codez00;
} *BgL_envz00_bglt;


extern obj_t BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
static obj_t BGl_methodzd2initzd2zzjvm_initz00();
static obj_t BGl_emitzd2cnstzd2sfunz00zzjvm_initz00(obj_t, obj_t, obj_t);
extern obj_t open_input_string(obj_t);
extern long BGl_classzd2numzd2zz__objectz00(obj_t);
static obj_t BGl_declarezd2fieldzd2modifiersz00zzjvm_initz00(obj_t);
extern obj_t BGl_envz00zzjvm_envz00;
extern obj_t BGl_sfunz00zzast_varz00;
extern obj_t BGl__newarrayz00zzjvm_instrz00(BgL_envz00_bglt, obj_t);
static obj_t BGl_emitzd2cnstzd2stvectorz00zzjvm_initz00(obj_t, obj_t, obj_t);
extern obj_t BGl_readz00zz__readerz00(obj_t);
extern bool_t BGl_iszd2azf3z21zz__objectz00(obj_t, obj_t);
extern obj_t BGl__invokespecialz00zzjvm_instrz00(BgL_envz00_bglt, obj_t, obj_t, obj_t);
extern obj_t BGl__invokestaticz00zzjvm_instrz00(BgL_envz00_bglt, obj_t, obj_t, obj_t);
static obj_t BGl_emitzd2cnstzd2sgfunz00zzjvm_initz00(obj_t, obj_t, obj_t);
extern obj_t BGl_scnstz00zzast_varz00;
extern obj_t BGl_svarz00zzast_varz00;
extern obj_t BGl__aconst_nullz00zzjvm_instrz00(BgL_envz00_bglt);
extern obj_t BGl_za2moduleza2z00zzmodule_modulez00;
extern obj_t BGl_compilezd2typezd2zzjvm_envz00(obj_t, BgL_envz00_bglt);
extern obj_t BGl_getzd2cnstzd2offsetz00zzcnst_allocz00();
extern obj_t BGl_assqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
static obj_t BGl_cnstzd2initzd2zzjvm_initz00();
extern obj_t BGl__newz00zzjvm_instrz00(BgL_envz00_bglt, obj_t);
extern obj_t BGl_displayzd22zd2zz__r4_output_6_10_3z00(obj_t, obj_t);
extern obj_t BGl_globalzd2tozd2bezd2declaredzd2zzjvm_externz00(BgL_globalz00_bglt);
static obj_t BGl_importedzd2moduleszd2initz00zzjvm_initz00();
static obj_t BGl_zc3anonymousza33084ze3z83zzjvm_initz00(obj_t, obj_t);
extern obj_t BGl_createzd2stringzd2zzjvm_instrz00(obj_t, obj_t);
extern obj_t BGl_envzd2newzd2procedurez00zzjvm_envz00(BgL_envz00_bglt, obj_t, obj_t);
extern obj_t BGl__astorez00zzjvm_instrz00(BgL_envz00_bglt, obj_t);
static obj_t BGl_zc3anonymousza33102ze3z83zzjvm_initz00(obj_t, obj_t);
static obj_t BGl_toplevelzd2initzd2zzjvm_initz00();
static obj_t BGl_zc3anonymousza33097ze3z83zzjvm_initz00(obj_t, obj_t);
extern bool_t BGl_2ze3ze3zz__r4_numbers_6_5z00(obj_t, obj_t);
extern obj_t BGl_modulezd2initializa7ationz75zzjvm_initz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztvector_tvectorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzcnst_allocz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzcnst_nodez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzjvm_externz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzjvm_envz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzjvm_instrz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long, char *);
extern obj_t BGl__putstaticz00zzjvm_instrz00(BgL_envz00_bglt, obj_t);
static obj_t BGl_globalzd2declarationzd2zzjvm_initz00(obj_t, obj_t);
static obj_t BGl_globalzd2cfunzd2declarationz00zzjvm_initz00(obj_t, obj_t);
extern obj_t BGl_realzd2cfunzd2namez00zzjvm_externz00(BgL_globalz00_bglt);
extern obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
extern obj_t BGl_realzd2sfunzd2namez00zzjvm_externz00(BgL_globalz00_bglt);
extern obj_t BGl__dupz00zzjvm_instrz00(BgL_envz00_bglt);
extern obj_t BGl_cfunz00zzast_varz00;
extern obj_t BGl_forzd2eachzd2globalz12z12zzast_envz00(obj_t);
static obj_t BGl_globalzd2sfunzd2declarationz00zzjvm_initz00(obj_t, obj_t);
extern obj_t BGl_cvarz00zzast_varz00;
extern obj_t BGl__pushz00zzjvm_instrz00(BgL_envz00_bglt, obj_t, obj_t);
extern obj_t BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(obj_t);
extern bool_t BGl_subzd2typezf3z21zztype_envz00(BgL_typez00_bglt, BgL_typez00_bglt);
extern obj_t BGl_envzd2declarezd2currentzd2modulezd2zzjvm_envz00(BgL_envz00_bglt);
static obj_t BGl_analysezd2initzd2zzjvm_initz00(obj_t, obj_t);
extern obj_t BGl_getzd2globalzd2namez00zzjvm_envz00(BgL_envz00_bglt, BgL_globalz00_bglt);
extern obj_t BGl_za2objza2z00zztype_cachez00;
static obj_t BGl_globalzd2varzd2declarationz00zzjvm_initz00(obj_t, obj_t);
extern obj_t BGl_envzd2declarezd2modulez00zzjvm_envz00(BgL_envz00_bglt, obj_t);
extern obj_t BGl_getzd2nodezd2atomzd2valuezd2zzcnst_nodez00(BgL_nodez00_bglt);
static obj_t BGl_envzd2declarezd2globalz00zzjvm_initz00(obj_t, obj_t);
static obj_t BGl_requirezd2initializa7ationz75zzjvm_initz00 = BUNSPEC;
extern obj_t BGl_jlibzd2declarezd2zzjvm_envz00(BgL_envz00_bglt, obj_t);
extern obj_t BGl_realzd2fieldzd2namez00zzjvm_externz00(BgL_globalz00_bglt);
extern bool_t BGl_ze3fxze3zz__r4_numbers_6_5_fixnumz00(long, long);
obj_t BGl_compilezd2initzd2zzjvm_initz00 = BUNSPEC;
static obj_t BGl_libraryzd2moduleszd2initz00zzjvm_initz00();
static obj_t BGl_stvectorzd2initzd2zzjvm_initz00(obj_t, obj_t, obj_t, long, int);
static obj_t __cnst[ 40 ] ;

DEFINE_STATIC_PROCEDURE( BGl_proc4275z00zzjvm_initz00, BgL_bgl_za7c3anonymousza7a33084za7e3za783za7za7jvm_initza7004317za7, BGl_zc3anonymousza33084ze3z83zzjvm_initz00, 0L, 1 );
DEFINE_STRING( BGl_string4286z00zzjvm_initz00, BgL_bgl_string4286za700za7za7jvm_initza7004318z00, "(int int int) init3 void (int int) init2 stvector sgfun sfun ad (double) double_to_real double sreal sstring never constants int __cnsts_table (public) plain method (public static) export (private static) static (static) (import foreign) field ok _ g_ compiler cdr car procindex cons nil j_foreign jstring jobject ", 314 );
DEFINE_STRING( BGl_string4285z00zzjvm_initz00, BgL_bgl_string4285za700za7za7jvm_initza7004319z00, "unknown value type", 18 );
DEFINE_STRING( BGl_string4284z00zzjvm_initz00, BgL_bgl_string4284za700za7za7jvm_initza7004320z00, "Unknown cnst class", 18 );
DEFINE_STRING( BGl_string4283z00zzjvm_initz00, BgL_bgl_string4283za700za7za7jvm_initza7004321z00, "analyse-init", 12 );
DEFINE_STRING( BGl_string4282z00zzjvm_initz00, BgL_bgl_string4282za700za7za7jvm_initza7004322z00, "unknown modifier", 16 );
DEFINE_STRING( BGl_string4281z00zzjvm_initz00, BgL_bgl_string4281za700za7za7jvm_initza7004323z00, "declaration", 11 );
DEFINE_STRING( BGl_string4280z00zzjvm_initz00, BgL_bgl_string4280za700za7za7jvm_initza7004324z00, " : unknown declaration : ", 25 );
DEFINE_STRING( BGl_string4279z00zzjvm_initz00, BgL_bgl_string4279za700za7za7jvm_initza7004325z00, "declare-modifiers", 17 );
DEFINE_STRING( BGl_string4278z00zzjvm_initz00, BgL_bgl_string4278za700za7za7jvm_initza7004326z00, "bad value", 9 );
DEFINE_STRING( BGl_string4277z00zzjvm_initz00, BgL_bgl_string4277za700za7za7jvm_initza7004327z00, "global-declaration", 18 );
DEFINE_STRING( BGl_string4276z00zzjvm_initz00, BgL_bgl_string4276za700za7za7jvm_initza7004328z00, "global variable reclaration", 27 );



/* module-initialization */
obj_t BGl_modulezd2initializa7ationz75zzjvm_initz00(long BgL_checksumz00_3130, char * BgL_fromz00_3131)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zzjvm_initz00))
{ 
BGl_requirezd2initializa7ationz75zzjvm_initz00 = 
BBOOL(((bool_t)0)); 
BGl_libraryzd2moduleszd2initz00zzjvm_initz00(); 
BGl_cnstzd2initzd2zzjvm_initz00(); 
BGl_importedzd2moduleszd2initz00zzjvm_initz00(); 
BGl_toplevelzd2initzd2zzjvm_initz00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zzjvm_initz00()
{ AN_OBJECT;
{ /* Jvm/init.scm 1 */
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)0), "jvm_init"); 
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "jvm_init"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "jvm_init"); 
BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long)0), "jvm_init"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long)0), "jvm_init"); 
BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long)0), "jvm_init"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long)0), "jvm_init"); 
return BUNSPEC;} 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zzjvm_initz00()
{ AN_OBJECT;
{ /* Jvm/init.scm 1 */
{ /* Jvm/init.scm 1 */
obj_t BgL_cportz00_3123;
BgL_cportz00_3123 = 
open_input_string(BGl_string4286z00zzjvm_initz00); 
{ 
long BgL_iz00_3124;
BgL_iz00_3124 = ((long)39); 
BgL_loopz00_3125:
if(
(BgL_iz00_3124==((long)-1)))
{ /* Jvm/init.scm 1 */
return BUNSPEC;}  else 
{ /* Jvm/init.scm 1 */
{ /* Jvm/init.scm 1 */
obj_t BgL_arg4290z00_3127;
{ /* Jvm/init.scm 1 */
obj_t BgL_list4293z00_3128;
BgL_list4293z00_3128 = 
MAKE_PAIR(BgL_cportz00_3123, BNIL); 
BgL_arg4290z00_3127 = 
BGl_readz00zz__readerz00(BgL_list4293z00_3128); } 
{ /* Jvm/init.scm 1 */
int BgL_auxz00_3151;
BgL_auxz00_3151 = 
(int)(BgL_iz00_3124); 
CNST_TABLE_SET(BgL_auxz00_3151, BgL_arg4290z00_3127); } } 
{ 
long BgL_iz00_3154;
{ /* Jvm/init.scm 1 */
int BgL_auxz00_3155;
{ /* Jvm/init.scm 1 */
long BgL_auxz00_3156;
BgL_auxz00_3156 = 
(BgL_iz00_3124-((long)1)); 
BgL_auxz00_3155 = 
(int)(BgL_auxz00_3156); } 
BgL_iz00_3154 = 
(long)(BgL_auxz00_3155); } 
BgL_iz00_3124 = BgL_iz00_3154; 
goto BgL_loopz00_3125;} } } } } 
}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zzjvm_initz00()
{ AN_OBJECT;
{ /* Jvm/init.scm 1 */
return ( 
BGl_compilezd2initzd2zzjvm_initz00 = BGl_proc4275z00zzjvm_initz00, BUNSPEC) ;} 
}



/* <anonymous:3084> */
obj_t BGl_zc3anonymousza33084ze3z83zzjvm_initz00(obj_t BgL_envz00_3114, obj_t BgL_globalsz00_3115)
{ AN_OBJECT;
{ /* Jvm/init.scm 16 */
{ 
obj_t BgL_globalsz00_1596;
{ /* Jvm/init.scm 17 */
BgL_envz00_bglt BgL_auxz00_3160;
BgL_globalsz00_1596 = BgL_globalsz00_3115; 
{ /* Jvm/init.scm 17 */
BgL_envz00_bglt BgL_envz00_1598;
{ /* Jvm/init.scm 17 */
BgL_envz00_bglt BgL_res4101z00_2325;
{ /* Jvm/init.scm 17 */
obj_t BgL_vcount3048z00_2276;
BgL_vcount3048z00_2276 = 
BINT(((long)0)); 
{ /* Jvm/init.scm 17 */
BgL_envz00_bglt BgL_new3054z00_2282;
{ /* Jvm/init.scm 17 */
BgL_envz00_bglt BgL_res4099z00_2288;
{ /* Jvm/init.scm 17 */
BgL_envz00_bglt BgL_new3056z00_2283;
BgL_new3056z00_2283 = 
((BgL_envz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_envz00_bgl) ))); 
{ /* Jvm/init.scm 17 */
long BgL_arg3601z00_2284;
BgL_arg3601z00_2284 = 
BGl_classzd2numzd2zz__objectz00(BGl_envz00zzjvm_envz00); 
{ /* Jvm/init.scm 17 */
BgL_objectz00_bglt BgL_auxz00_3164;
BgL_auxz00_3164 = 
(BgL_objectz00_bglt)(BgL_new3056z00_2283); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_3164, BgL_arg3601z00_2284); } } 
{ /* Jvm/init.scm 17 */
BgL_objectz00_bglt BgL_auxz00_3167;
BgL_auxz00_3167 = 
(BgL_objectz00_bglt)(BgL_new3056z00_2283); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_3167, BFALSE); } 
{ /* Jvm/init.scm 17 */
obj_t BgL_auxz00_3170;
BgL_auxz00_3170 = 
(obj_t)(BgL_new3056z00_2283); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_3170); } BUNSPEC; 
BgL_res4099z00_2288 = BgL_new3056z00_2283; } 
BgL_new3054z00_2282 = BgL_res4099z00_2288; } 
{ /* Jvm/init.scm 17 */
BgL_envz00_bglt BgL_res4100z00_2324;
((((BgL_envz00_bglt)CREF(BgL_new3054z00_2282))->BgL_declarationsz00) = ((obj_t)BNIL), BUNSPEC); 
((((BgL_envz00_bglt)CREF(BgL_new3054z00_2282))->BgL_declaredtypez00) = ((obj_t)BNIL), BUNSPEC); 
((((BgL_envz00_bglt)CREF(BgL_new3054z00_2282))->BgL_declaredclassz00) = ((obj_t)BNIL), BUNSPEC); 
((((BgL_envz00_bglt)CREF(BgL_new3054z00_2282))->BgL_declaredmodulez00) = ((obj_t)BNIL), BUNSPEC); 
((((BgL_envz00_bglt)CREF(BgL_new3054z00_2282))->BgL_currentzd2modulezd2) = ((obj_t)BNIL), BUNSPEC); 
((((BgL_envz00_bglt)CREF(BgL_new3054z00_2282))->BgL_declaredfieldsz00) = ((obj_t)BNIL), BUNSPEC); 
((((BgL_envz00_bglt)CREF(BgL_new3054z00_2282))->BgL_declaredglobalz00) = ((obj_t)BNIL), BUNSPEC); 
((((BgL_envz00_bglt)CREF(BgL_new3054z00_2282))->BgL_libdeclaredz00) = ((obj_t)BNIL), BUNSPEC); 
((((BgL_envz00_bglt)CREF(BgL_new3054z00_2282))->BgL_proceduresz00) = ((obj_t)BNIL), BUNSPEC); 
((((BgL_envz00_bglt)CREF(BgL_new3054z00_2282))->BgL_clinitzd2codezd2) = ((obj_t)BNIL), BUNSPEC); 
((((BgL_envz00_bglt)CREF(BgL_new3054z00_2282))->BgL_currentzd2methodzd2) = ((obj_t)BNIL), BUNSPEC); 
((((BgL_envz00_bglt)CREF(BgL_new3054z00_2282))->BgL_vcountz00) = ((obj_t)BgL_vcount3048z00_2276), BUNSPEC); 
((((BgL_envz00_bglt)CREF(BgL_new3054z00_2282))->BgL_localsz00) = ((obj_t)BNIL), BUNSPEC); 
((((BgL_envz00_bglt)CREF(BgL_new3054z00_2282))->BgL_freelocalsz00) = ((obj_t)BNIL), BUNSPEC); 
((((BgL_envz00_bglt)CREF(BgL_new3054z00_2282))->BgL_maplocalsz00) = ((obj_t)BNIL), BUNSPEC); 
((((BgL_envz00_bglt)CREF(BgL_new3054z00_2282))->BgL_stackz00) = ((obj_t)BNIL), BUNSPEC); 
((((BgL_envz00_bglt)CREF(BgL_new3054z00_2282))->BgL_codez00) = ((obj_t)BNIL), BUNSPEC); 
BgL_res4100z00_2324 = BgL_new3054z00_2282; BgL_res4100z00_2324; } 
BgL_res4101z00_2325 = BgL_new3054z00_2282; } } 
BgL_envz00_1598 = BgL_res4101z00_2325; } 
BGl_envzd2declarezd2currentzd2modulezd2zzjvm_envz00(BgL_envz00_1598); 
BGl_jlibzd2declarezd2zzjvm_envz00(BgL_envz00_1598, 
CNST_TABLE_REF(((long)0))); 
BGl_jlibzd2declarezd2zzjvm_envz00(BgL_envz00_1598, 
CNST_TABLE_REF(((long)1))); 
BGl_jlibzd2declarezd2zzjvm_envz00(BgL_envz00_1598, 
CNST_TABLE_REF(((long)2))); 
BGl_jlibzd2declarezd2zzjvm_envz00(BgL_envz00_1598, 
CNST_TABLE_REF(((long)3))); 
BGl_jlibzd2declarezd2zzjvm_envz00(BgL_envz00_1598, 
CNST_TABLE_REF(((long)4))); 
BGl_jlibzd2declarezd2zzjvm_envz00(BgL_envz00_1598, 
CNST_TABLE_REF(((long)5))); 
BGl_jlibzd2declarezd2zzjvm_envz00(BgL_envz00_1598, 
CNST_TABLE_REF(((long)6))); 
BGl_jlibzd2declarezd2zzjvm_envz00(BgL_envz00_1598, 
CNST_TABLE_REF(((long)7))); 
{ /* Jvm/init.scm 27 */
obj_t BgL_zc3anonymousza33097ze3z83_3112;
{ 
int BgL_auxz00_3209;int BgL_auxz00_3207;
BgL_auxz00_3209 = 
(int)(((long)1)); 
BgL_auxz00_3207 = 
(int)(((long)1)); 
BgL_zc3anonymousza33097ze3z83_3112 = 
make_fx_procedure(BGl_zc3anonymousza33097ze3z83zzjvm_initz00, BgL_auxz00_3207, BgL_auxz00_3209); } 
{ /* Jvm/init.scm 27 */
obj_t BgL_auxz00_3214;int BgL_auxz00_3212;
BgL_auxz00_3214 = 
(obj_t)(BgL_envz00_1598); 
BgL_auxz00_3212 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_zc3anonymousza33097ze3z83_3112, BgL_auxz00_3212, BgL_auxz00_3214); } 
BGl_forzd2eachzd2globalz12z12zzast_envz00(BgL_zc3anonymousza33097ze3z83_3112); } 
{ /* Jvm/init.scm 28 */
obj_t BgL_zc3anonymousza33102ze3z83_3111;
{ 
int BgL_auxz00_3220;int BgL_auxz00_3218;
BgL_auxz00_3220 = 
(int)(((long)1)); 
BgL_auxz00_3218 = 
(int)(((long)1)); 
BgL_zc3anonymousza33102ze3z83_3111 = 
make_fx_procedure(BGl_zc3anonymousza33102ze3z83zzjvm_initz00, BgL_auxz00_3218, BgL_auxz00_3220); } 
{ /* Jvm/init.scm 28 */
obj_t BgL_auxz00_3225;int BgL_auxz00_3223;
BgL_auxz00_3225 = 
(obj_t)(BgL_envz00_1598); 
BgL_auxz00_3223 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_zc3anonymousza33102ze3z83_3111, BgL_auxz00_3223, BgL_auxz00_3225); } 
BGl_forzd2eachzd2globalz12z12zzast_envz00(BgL_zc3anonymousza33102ze3z83_3111); } 
{ /* Jvm/init.scm 29 */
obj_t BgL_arg3105z00_1607;
BgL_arg3105z00_1607 = 
(((BgL_envz00_bglt)CREF(BgL_envz00_1598))->BgL_codez00); 
((((BgL_envz00_bglt)CREF(BgL_envz00_1598))->BgL_clinitzd2codezd2) = ((obj_t)BgL_arg3105z00_1607), BUNSPEC); } 
BgL_auxz00_3160 = BgL_envz00_1598; } 
return 
(obj_t)(BgL_auxz00_3160);} } } 
}



/* <anonymous:3102> */
obj_t BGl_zc3anonymousza33102ze3z83zzjvm_initz00(obj_t BgL_envz00_3116, obj_t BgL_globalz00_3118)
{ AN_OBJECT;
{ /* Jvm/init.scm 28 */
{ /* Jvm/init.scm 28 */
obj_t BgL_envz00_3117;
{ /* Jvm/init.scm 28 */
int BgL_auxz00_3232;
BgL_auxz00_3232 = 
(int)(((long)0)); 
BgL_envz00_3117 = 
PROCEDURE_REF(BgL_envz00_3116, BgL_auxz00_3232); } 
{ 
obj_t BgL_globalz00_1604;
BgL_globalz00_1604 = BgL_globalz00_3118; 
return 
BGl_analysezd2initzd2zzjvm_initz00(BgL_envz00_3117, BgL_globalz00_1604);} } } 
}



/* <anonymous:3097> */
obj_t BGl_zc3anonymousza33097ze3z83zzjvm_initz00(obj_t BgL_envz00_3119, obj_t BgL_globalz00_3121)
{ AN_OBJECT;
{ /* Jvm/init.scm 27 */
{ /* Jvm/init.scm 27 */
obj_t BgL_envz00_3120;
{ /* Jvm/init.scm 27 */
int BgL_auxz00_3236;
BgL_auxz00_3236 = 
(int)(((long)0)); 
BgL_envz00_3120 = 
PROCEDURE_REF(BgL_envz00_3119, BgL_auxz00_3236); } 
{ 
obj_t BgL_globalz00_1600;
BgL_globalz00_1600 = BgL_globalz00_3121; 
return 
BGl_envzd2declarezd2globalz00zzjvm_initz00(BgL_envz00_3120, BgL_globalz00_1600);} } } 
}



/* env-declare-global */
obj_t BGl_envzd2declarezd2globalz00zzjvm_initz00(obj_t BgL_envz00_11, obj_t BgL_globalz00_12)
{ AN_OBJECT;
{ /* Jvm/init.scm 35 */
{ /* Jvm/init.scm 36 */
bool_t BgL_test3138z00_1618;
{ /* Jvm/init.scm 36 */
obj_t BgL_auxz00_3240;
BgL_auxz00_3240 = 
BGl_globalzd2tozd2bezd2declaredzd2zzjvm_externz00(
(BgL_globalz00_bglt)(BgL_globalz00_12)); 
BgL_test3138z00_1618 = 
CBOOL(BgL_auxz00_3240); } 
if(BgL_test3138z00_1618)
{ /* Jvm/init.scm 36 */
{ /* Jvm/init.scm 38 */
bool_t BgL_testz00_3245;
{ /* Jvm/init.scm 38 */
obj_t BgL_auxz00_3246;
{ /* Jvm/init.scm 38 */
obj_t BgL_auxz00_3247;
{ /* Jvm/init.scm 38 */
BgL_envz00_bglt BgL_obj2968z00_2339;
BgL_obj2968z00_2339 = 
(BgL_envz00_bglt)(BgL_envz00_11); 
BgL_auxz00_3247 = 
(((BgL_envz00_bglt)CREF(BgL_obj2968z00_2339))->BgL_declaredglobalz00); } 
BgL_auxz00_3246 = 
BGl_assqz00zz__r4_pairs_and_lists_6_3z00(BgL_globalz00_12, BgL_auxz00_3247); } 
BgL_testz00_3245 = 
CBOOL(BgL_auxz00_3246); } 
if(BgL_testz00_3245)
{ 
obj_t BgL_auxz00_3252;
BgL_auxz00_3252 = 
CNST_TABLE_REF(((long)8)); 
FAILURE(BgL_auxz00_3252,BGl_string4276z00zzjvm_initz00,BgL_globalz00_12);}  else 
{ /* Jvm/init.scm 38 */BFALSE; } } 
{ /* Jvm/init.scm 41 */
obj_t BgL_namez00_1623;
{ /* Jvm/init.scm 41 */
obj_t BgL_arg3171z00_1633;obj_t BgL_arg3172z00_1634;obj_t BgL_arg3174z00_1635;
BgL_arg3171z00_1633 = 
CNST_TABLE_REF(((long)9)); 
{ /* Jvm/init.scm 41 */
BgL_globalz00_bglt BgL_obj1171z00_2343;
BgL_obj1171z00_2343 = 
(BgL_globalz00_bglt)(BgL_globalz00_12); 
BgL_arg3172z00_1634 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1171z00_2343))->BgL_modulez00); } 
BgL_arg3174z00_1635 = 
CNST_TABLE_REF(((long)10)); 
{ /* Jvm/init.scm 41 */
obj_t BgL_list3177z00_1637;
{ /* Jvm/init.scm 41 */
obj_t BgL_arg3179z00_1638;
{ /* Jvm/init.scm 41 */
obj_t BgL_arg3182z00_1639;
{ /* Jvm/init.scm 41 */
obj_t BgL_arg3185z00_1640;
{ /* Jvm/init.scm 41 */
obj_t BgL_auxz00_3259;
{ /* Jvm/init.scm 41 */
BgL_globalz00_bglt BgL_obj1149z00_2344;
BgL_obj1149z00_2344 = 
(BgL_globalz00_bglt)(BgL_globalz00_12); 
BgL_auxz00_3259 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1149z00_2344))->BgL_idz00); } 
BgL_arg3185z00_1640 = 
MAKE_PAIR(BgL_auxz00_3259, BNIL); } 
BgL_arg3182z00_1639 = 
MAKE_PAIR(BgL_arg3174z00_1635, BgL_arg3185z00_1640); } 
BgL_arg3179z00_1638 = 
MAKE_PAIR(BgL_arg3172z00_1634, BgL_arg3182z00_1639); } 
BgL_list3177z00_1637 = 
MAKE_PAIR(BgL_arg3171z00_1633, BgL_arg3179z00_1638); } 
BgL_namez00_1623 = 
BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(BgL_list3177z00_1637); } } 
{ /* Jvm/init.scm 43 */
obj_t BgL_arg3146z00_1624;
{ /* Jvm/init.scm 43 */
obj_t BgL_arg3149z00_1625;obj_t BgL_arg3150z00_1626;
{ /* Jvm/init.scm 43 */
obj_t BgL_arg3153z00_1627;
{ /* Jvm/init.scm 43 */
obj_t BgL_arg3156z00_1628;
BgL_arg3156z00_1628 = 
BGl_globalzd2declarationzd2zzjvm_initz00(BgL_envz00_11, BgL_globalz00_12); 
BgL_arg3153z00_1627 = 
MAKE_PAIR(BgL_arg3156z00_1628, BNIL); } 
BgL_arg3149z00_1625 = 
MAKE_PAIR(BgL_namez00_1623, BgL_arg3153z00_1627); } 
{ /* Jvm/init.scm 43 */
BgL_envz00_bglt BgL_obj2948z00_2345;
BgL_obj2948z00_2345 = 
(BgL_envz00_bglt)(BgL_envz00_11); 
BgL_arg3150z00_1626 = 
(((BgL_envz00_bglt)CREF(BgL_obj2948z00_2345))->BgL_declarationsz00); } 
BgL_arg3146z00_1624 = 
MAKE_PAIR(BgL_arg3149z00_1625, BgL_arg3150z00_1626); } 
{ /* Jvm/init.scm 42 */
BgL_envz00_bglt BgL_obj2950z00_2346;
BgL_obj2950z00_2346 = 
(BgL_envz00_bglt)(BgL_envz00_11); 
((((BgL_envz00_bglt)CREF(BgL_obj2950z00_2346))->BgL_declarationsz00) = ((obj_t)BgL_arg3146z00_1624), BUNSPEC); } } 
{ /* Jvm/init.scm 46 */
obj_t BgL_arg3162z00_1630;
{ /* Jvm/init.scm 46 */
obj_t BgL_arg3165z00_1631;obj_t BgL_arg3166z00_1632;
BgL_arg3165z00_1631 = 
MAKE_PAIR(BgL_globalz00_12, BgL_namez00_1623); 
{ /* Jvm/init.scm 46 */
BgL_envz00_bglt BgL_obj2968z00_2348;
BgL_obj2968z00_2348 = 
(BgL_envz00_bglt)(BgL_envz00_11); 
BgL_arg3166z00_1632 = 
(((BgL_envz00_bglt)CREF(BgL_obj2968z00_2348))->BgL_declaredglobalz00); } 
BgL_arg3162z00_1630 = 
MAKE_PAIR(BgL_arg3165z00_1631, BgL_arg3166z00_1632); } 
{ /* Jvm/init.scm 45 */
BgL_envz00_bglt BgL_obj2970z00_2349;
BgL_obj2970z00_2349 = 
(BgL_envz00_bglt)(BgL_envz00_11); 
return 
((((BgL_envz00_bglt)CREF(BgL_obj2970z00_2349))->BgL_declaredglobalz00) = ((obj_t)BgL_arg3162z00_1630), BUNSPEC);} } } }  else 
{ /* Jvm/init.scm 36 */
return 
CNST_TABLE_REF(((long)11));} } } 
}



/* global-declaration */
obj_t BGl_globalzd2declarationzd2zzjvm_initz00(obj_t BgL_envz00_13, obj_t BgL_globalz00_14)
{ AN_OBJECT;
{ /* Jvm/init.scm 49 */
{ /* Jvm/init.scm 50 */
BgL_valuez00_bglt BgL_valuez00_1641;
{ /* Jvm/init.scm 50 */
BgL_globalz00_bglt BgL_obj1156z00_2351;
BgL_obj1156z00_2351 = 
(BgL_globalz00_bglt)(BgL_globalz00_14); 
BgL_valuez00_1641 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1156z00_2351))->BgL_valuez00); } 
{ /* Jvm/init.scm 52 */
bool_t BgL_test3191z00_1642;
{ /* Jvm/init.scm 52 */
bool_t BgL_test3200z00_1645;
BgL_test3200z00_1645 = 
BGl_iszd2azf3z21zz__objectz00(
(obj_t)(BgL_valuez00_1641), BGl_svarz00zzast_varz00); 
if(BgL_test3200z00_1645)
{ /* Jvm/init.scm 52 */
BgL_test3191z00_1642 = ((bool_t)1); }  else 
{ /* Jvm/init.scm 52 */
bool_t BgL_test3201z00_1646;
BgL_test3201z00_1646 = 
BGl_iszd2azf3z21zz__objectz00(
(obj_t)(BgL_valuez00_1641), BGl_cvarz00zzast_varz00); 
if(BgL_test3201z00_1646)
{ /* Jvm/init.scm 52 */
BgL_test3191z00_1642 = ((bool_t)1); }  else 
{ /* Jvm/init.scm 52 */
BgL_test3191z00_1642 = 
BGl_iszd2azf3z21zz__objectz00(
(obj_t)(BgL_valuez00_1641), BGl_scnstz00zzast_varz00); } } } 
if(BgL_test3191z00_1642)
{ /* Jvm/init.scm 52 */
return 
BGl_globalzd2varzd2declarationz00zzjvm_initz00(BgL_envz00_13, BgL_globalz00_14);}  else 
{ /* Jvm/init.scm 54 */
bool_t BgL_test3193z00_1643;
BgL_test3193z00_1643 = 
BGl_iszd2azf3z21zz__objectz00(
(obj_t)(BgL_valuez00_1641), BGl_sfunz00zzast_varz00); 
if(BgL_test3193z00_1643)
{ /* Jvm/init.scm 54 */
return 
BGl_globalzd2sfunzd2declarationz00zzjvm_initz00(BgL_envz00_13, BgL_globalz00_14);}  else 
{ /* Jvm/init.scm 56 */
bool_t BgL_test3195z00_1644;
BgL_test3195z00_1644 = 
BGl_iszd2azf3z21zz__objectz00(
(obj_t)(BgL_valuez00_1641), BGl_cfunz00zzast_varz00); 
if(BgL_test3195z00_1644)
{ /* Jvm/init.scm 56 */
return 
BGl_globalzd2cfunzd2declarationz00zzjvm_initz00(BgL_envz00_13, BgL_globalz00_14);}  else 
{ /* Jvm/init.scm 56 */
{ 
obj_t BgL_auxz00_3302;
BgL_auxz00_3302 = 
(obj_t)(BgL_valuez00_1641); 
FAILURE(BGl_string4277z00zzjvm_initz00,BGl_string4278z00zzjvm_initz00,BgL_auxz00_3302);} } } } } } } 
}



/* global-var-declaration */
obj_t BGl_globalzd2varzd2declarationz00zzjvm_initz00(obj_t BgL_envz00_15, obj_t BgL_globalz00_16)
{ AN_OBJECT;
{ /* Jvm/init.scm 61 */
{ /* Jvm/init.scm 63 */
obj_t BgL_arg3207z00_1648;obj_t BgL_arg3208z00_1649;
BgL_arg3207z00_1648 = 
CNST_TABLE_REF(((long)12)); 
{ /* Jvm/init.scm 64 */
obj_t BgL_arg3211z00_1650;obj_t BgL_arg3212z00_1651;
{ /* Jvm/init.scm 64 */
obj_t BgL_auxz00_3306;
{ /* Jvm/init.scm 64 */
BgL_globalz00_bglt BgL_obj1171z00_2360;
BgL_obj1171z00_2360 = 
(BgL_globalz00_bglt)(BgL_globalz00_16); 
BgL_auxz00_3306 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1171z00_2360))->BgL_modulez00); } 
BgL_arg3211z00_1650 = 
BGl_envzd2declarezd2modulez00zzjvm_envz00(
(BgL_envz00_bglt)(BgL_envz00_15), BgL_auxz00_3306); } 
{ /* Jvm/init.scm 65 */
obj_t BgL_arg3219z00_1653;obj_t BgL_arg3220z00_1654;
{ /* Jvm/init.scm 65 */
obj_t BgL_auxz00_3311;
{ /* Jvm/init.scm 65 */
BgL_globalz00_bglt BgL_obj1174z00_2361;
BgL_obj1174z00_2361 = 
(BgL_globalz00_bglt)(BgL_globalz00_16); 
BgL_auxz00_3311 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1174z00_2361))->BgL_importz00); } 
BgL_arg3219z00_1653 = 
BGl_declarezd2fieldzd2modifiersz00zzjvm_initz00(BgL_auxz00_3311); } 
{ /* Jvm/init.scm 67 */
obj_t BgL_arg3227z00_1656;obj_t BgL_arg3228z00_1657;
BgL_arg3227z00_1656 = 
BGl_compilezd2typezd2zzjvm_envz00(BgL_globalz00_16, 
(BgL_envz00_bglt)(BgL_envz00_15)); 
{ /* Jvm/init.scm 68 */
obj_t BgL_arg3232z00_1658;
BgL_arg3232z00_1658 = 
BGl_realzd2fieldzd2namez00zzjvm_externz00(
(BgL_globalz00_bglt)(BgL_globalz00_16)); 
BgL_arg3228z00_1657 = 
MAKE_PAIR(BgL_arg3232z00_1658, BNIL); } 
BgL_arg3220z00_1654 = 
MAKE_PAIR(BgL_arg3227z00_1656, BgL_arg3228z00_1657); } 
BgL_arg3212z00_1651 = 
MAKE_PAIR(BgL_arg3219z00_1653, BgL_arg3220z00_1654); } 
BgL_arg3208z00_1649 = 
MAKE_PAIR(BgL_arg3211z00_1650, BgL_arg3212z00_1651); } 
return 
MAKE_PAIR(BgL_arg3207z00_1648, BgL_arg3208z00_1649);} } 
}



/* declare-field-modifiers */
obj_t BGl_declarezd2fieldzd2modifiersz00zzjvm_initz00(obj_t BgL_declz00_17)
{ AN_OBJECT;
{ /* Jvm/init.scm 70 */
{ /* Jvm/init.scm 71 */
bool_t BgL_testz00_3324;
{ /* Jvm/init.scm 71 */
obj_t BgL_auxz00_3325;
BgL_auxz00_3325 = 
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_declz00_17, 
CNST_TABLE_REF(((long)13))); 
BgL_testz00_3324 = 
CBOOL(BgL_auxz00_3325); } 
if(BgL_testz00_3324)
{ /* Jvm/init.scm 71 */
return 
CNST_TABLE_REF(((long)14));}  else 
{ /* Jvm/init.scm 71 */
bool_t BgL_testz00_3330;
{ /* Jvm/init.scm 71 */
obj_t BgL_auxz00_3331;
BgL_auxz00_3331 = 
CNST_TABLE_REF(((long)15)); 
BgL_testz00_3330 = 
(BgL_declz00_17==BgL_auxz00_3331); } 
if(BgL_testz00_3330)
{ /* Jvm/init.scm 71 */
return 
CNST_TABLE_REF(((long)16));}  else 
{ /* Jvm/init.scm 71 */
bool_t BgL_testz00_3335;
{ /* Jvm/init.scm 71 */
obj_t BgL_auxz00_3336;
BgL_auxz00_3336 = 
CNST_TABLE_REF(((long)17)); 
BgL_testz00_3335 = 
(BgL_declz00_17==BgL_auxz00_3336); } 
if(BgL_testz00_3335)
{ /* Jvm/init.scm 71 */
return 
CNST_TABLE_REF(((long)18));}  else 
{ /* Jvm/init.scm 71 */
{ /* Jvm/init.scm 75 */
obj_t BgL_arg3241z00_1665;
BgL_arg3241z00_1665 = 
GET_CURRENT_OUTPUT_PORT(); 
BGl_displayzd22zd2zz__r4_output_6_10_3z00(BGl_string4279z00zzjvm_initz00, BgL_arg3241z00_1665); } 
{ /* Jvm/init.scm 75 */
obj_t BgL_arg3246z00_1667;
BgL_arg3246z00_1667 = 
GET_CURRENT_OUTPUT_PORT(); 
BGl_displayzd22zd2zz__r4_output_6_10_3z00(BGl_string4280z00zzjvm_initz00, BgL_arg3246z00_1667); } 
{ /* Jvm/init.scm 75 */
obj_t BgL_arg3250z00_1668;
BgL_arg3250z00_1668 = 
GET_CURRENT_OUTPUT_PORT(); 
BGl_displayzd22zd2zz__r4_output_6_10_3z00(BgL_declz00_17, BgL_arg3250z00_1668); } 
{ /* Jvm/init.scm 75 */
obj_t BgL_arg3254z00_1669;
BgL_arg3254z00_1669 = 
GET_CURRENT_OUTPUT_PORT(); 
WRITE_CHAR(((unsigned char)'\n'), BgL_arg3254z00_1669); } 
return BNIL;} } } } } 
}



/* global-sfun-declaration */
obj_t BGl_globalzd2sfunzd2declarationz00zzjvm_initz00(obj_t BgL_envz00_18, obj_t BgL_globalz00_19)
{ AN_OBJECT;
{ /* Jvm/init.scm 79 */
{ /* Jvm/init.scm 81 */
obj_t BgL_arg3261z00_1671;obj_t BgL_arg3262z00_1672;
BgL_arg3261z00_1671 = 
CNST_TABLE_REF(((long)19)); 
{ /* Jvm/init.scm 82 */
obj_t BgL_arg3265z00_1673;obj_t BgL_arg3266z00_1674;
{ /* Jvm/init.scm 82 */
obj_t BgL_auxz00_3349;
{ /* Jvm/init.scm 82 */
BgL_globalz00_bglt BgL_obj1171z00_2363;
BgL_obj1171z00_2363 = 
(BgL_globalz00_bglt)(BgL_globalz00_19); 
BgL_auxz00_3349 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1171z00_2363))->BgL_modulez00); } 
BgL_arg3265z00_1673 = 
BGl_envzd2declarezd2modulez00zzjvm_envz00(
(BgL_envz00_bglt)(BgL_envz00_18), BgL_auxz00_3349); } 
{ /* Jvm/init.scm 83 */
obj_t BgL_arg3274z00_1676;obj_t BgL_arg3275z00_1677;
{ /* Jvm/init.scm 83 */
obj_t BgL_casezd2valuezd2_1678;
{ /* Jvm/init.scm 83 */
BgL_globalz00_bglt BgL_obj1174z00_2364;
BgL_obj1174z00_2364 = 
(BgL_globalz00_bglt)(BgL_globalz00_19); 
BgL_casezd2valuezd2_1678 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1174z00_2364))->BgL_importz00); } 
{ /* Jvm/init.scm 83 */
bool_t BgL_testz00_3356;
{ /* Jvm/init.scm 83 */
obj_t BgL_auxz00_3357;
BgL_auxz00_3357 = 
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_casezd2valuezd2_1678, 
CNST_TABLE_REF(((long)13))); 
BgL_testz00_3356 = 
CBOOL(BgL_auxz00_3357); } 
if(BgL_testz00_3356)
{ /* Jvm/init.scm 83 */
BgL_arg3274z00_1676 = 
CNST_TABLE_REF(((long)14)); }  else 
{ /* Jvm/init.scm 83 */
bool_t BgL_testz00_3362;
{ /* Jvm/init.scm 83 */
obj_t BgL_auxz00_3363;
BgL_auxz00_3363 = 
CNST_TABLE_REF(((long)15)); 
BgL_testz00_3362 = 
(BgL_casezd2valuezd2_1678==BgL_auxz00_3363); } 
if(BgL_testz00_3362)
{ /* Jvm/init.scm 83 */
BgL_arg3274z00_1676 = 
CNST_TABLE_REF(((long)16)); }  else 
{ /* Jvm/init.scm 83 */
bool_t BgL_testz00_3367;
{ /* Jvm/init.scm 83 */
obj_t BgL_auxz00_3368;
BgL_auxz00_3368 = 
CNST_TABLE_REF(((long)17)); 
BgL_testz00_3367 = 
(BgL_casezd2valuezd2_1678==BgL_auxz00_3368); } 
if(BgL_testz00_3367)
{ /* Jvm/init.scm 83 */
BgL_arg3274z00_1676 = 
CNST_TABLE_REF(((long)18)); }  else 
{ /* Jvm/init.scm 83 */
FAILURE(BGl_string4281z00zzjvm_initz00,BGl_string4282z00zzjvm_initz00,BgL_casezd2valuezd2_1678);} } } } } 
{ /* Jvm/init.scm 88 */
obj_t BgL_arg3291z00_1685;obj_t BgL_arg3292z00_1686;
{ /* Jvm/init.scm 88 */
obj_t BgL_auxz00_3373;
{ /* Jvm/init.scm 88 */
BgL_typez00_bglt BgL_auxz00_3374;
{ /* Jvm/init.scm 88 */
BgL_globalz00_bglt BgL_obj1153z00_2369;
BgL_obj1153z00_2369 = 
(BgL_globalz00_bglt)(BgL_globalz00_19); 
BgL_auxz00_3374 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1153z00_2369))->BgL_typez00); } 
BgL_auxz00_3373 = 
(obj_t)(BgL_auxz00_3374); } 
BgL_arg3291z00_1685 = 
BGl_compilezd2typezd2zzjvm_envz00(BgL_auxz00_3373, 
(BgL_envz00_bglt)(BgL_envz00_18)); } 
{ /* Jvm/init.scm 89 */
obj_t BgL_arg3299z00_1688;obj_t BgL_arg3300z00_1689;
BgL_arg3299z00_1688 = 
BGl_realzd2sfunzd2namez00zzjvm_externz00(
(BgL_globalz00_bglt)(BgL_globalz00_19)); 
{ /* Jvm/init.scm 90 */
obj_t BgL_arg3304z00_1690;
{ /* Jvm/init.scm 90 */
obj_t BgL_l3067z00_1692;
{ /* Jvm/init.scm 90 */
BgL_sfunz00_bglt BgL_obj1370z00_2371;
{ /* Jvm/init.scm 90 */
BgL_valuez00_bglt BgL_auxz00_3382;
{ /* Jvm/init.scm 90 */
BgL_globalz00_bglt BgL_obj1156z00_2370;
BgL_obj1156z00_2370 = 
(BgL_globalz00_bglt)(BgL_globalz00_19); 
BgL_auxz00_3382 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1156z00_2370))->BgL_valuez00); } 
BgL_obj1370z00_2371 = 
(BgL_sfunz00_bglt)(BgL_auxz00_3382); } 
BgL_l3067z00_1692 = 
(((BgL_sfunz00_bglt)CREF(BgL_obj1370z00_2371))->BgL_argsz00); } 
if(
NULLP(BgL_l3067z00_1692))
{ /* Jvm/init.scm 90 */
BgL_arg3304z00_1690 = BNIL; }  else 
{ /* Jvm/init.scm 90 */
obj_t BgL_head3069z00_1694;
BgL_head3069z00_1694 = 
MAKE_PAIR(BNIL, BNIL); 
{ 
obj_t BgL_l3067z00_1695;obj_t BgL_tail3070z00_1696;
BgL_l3067z00_1695 = BgL_l3067z00_1692; 
BgL_tail3070z00_1696 = BgL_head3069z00_1694; 
BgL_lname3068z00_1697:
if(
NULLP(BgL_l3067z00_1695))
{ /* Jvm/init.scm 90 */
BgL_arg3304z00_1690 = 
CDR(BgL_head3069z00_1694); }  else 
{ /* Jvm/init.scm 90 */
obj_t BgL_newtail3071z00_1699;
{ /* Jvm/init.scm 90 */
obj_t BgL_arg3317z00_1701;
BgL_arg3317z00_1701 = 
BGl_compilezd2typezd2zzjvm_envz00(
CAR(BgL_l3067z00_1695), 
(BgL_envz00_bglt)(BgL_envz00_18)); 
BgL_newtail3071z00_1699 = 
MAKE_PAIR(BgL_arg3317z00_1701, BNIL); } 
SET_CDR(BgL_tail3070z00_1696, BgL_newtail3071z00_1699); 
{ 
obj_t BgL_tail3070z00_3400;obj_t BgL_l3067z00_3398;
BgL_l3067z00_3398 = 
CDR(BgL_l3067z00_1695); 
BgL_tail3070z00_3400 = BgL_newtail3071z00_1699; 
BgL_tail3070z00_1696 = BgL_tail3070z00_3400; 
BgL_l3067z00_1695 = BgL_l3067z00_3398; 
goto BgL_lname3068z00_1697;} } } } } 
BgL_arg3300z00_1689 = 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_arg3304z00_1690, BNIL); } 
BgL_arg3292z00_1686 = 
MAKE_PAIR(BgL_arg3299z00_1688, BgL_arg3300z00_1689); } 
BgL_arg3275z00_1677 = 
MAKE_PAIR(BgL_arg3291z00_1685, BgL_arg3292z00_1686); } 
BgL_arg3266z00_1674 = 
MAKE_PAIR(BgL_arg3274z00_1676, BgL_arg3275z00_1677); } 
BgL_arg3262z00_1672 = 
MAKE_PAIR(BgL_arg3265z00_1673, BgL_arg3266z00_1674); } 
return 
MAKE_PAIR(BgL_arg3261z00_1671, BgL_arg3262z00_1672);} } 
}



/* global-cfun-declaration */
obj_t BGl_globalzd2cfunzd2declarationz00zzjvm_initz00(obj_t BgL_envz00_20, obj_t BgL_globalz00_21)
{ AN_OBJECT;
{ /* Jvm/init.scm 93 */
{ /* Jvm/init.scm 95 */
obj_t BgL_modifiersz00_1706;obj_t BgL_argsz00_1707;
{ /* Jvm/init.scm 95 */
BgL_cfunz00_bglt BgL_obj1449z00_2384;
{ /* Jvm/init.scm 95 */
BgL_valuez00_bglt BgL_auxz00_3407;
{ /* Jvm/init.scm 95 */
BgL_globalz00_bglt BgL_obj1156z00_2383;
BgL_obj1156z00_2383 = 
(BgL_globalz00_bglt)(BgL_globalz00_21); 
BgL_auxz00_3407 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1156z00_2383))->BgL_valuez00); } 
BgL_obj1449z00_2384 = 
(BgL_cfunz00_bglt)(BgL_auxz00_3407); } 
BgL_modifiersz00_1706 = 
(((BgL_cfunz00_bglt)CREF(BgL_obj1449z00_2384))->BgL_methodz00); } 
{ /* Jvm/init.scm 96 */
obj_t BgL_l3074z00_1726;
{ /* Jvm/init.scm 97 */
BgL_cfunz00_bglt BgL_obj1444z00_2386;
{ /* Jvm/init.scm 97 */
BgL_valuez00_bglt BgL_auxz00_3412;
{ /* Jvm/init.scm 97 */
BgL_globalz00_bglt BgL_obj1156z00_2385;
BgL_obj1156z00_2385 = 
(BgL_globalz00_bglt)(BgL_globalz00_21); 
BgL_auxz00_3412 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1156z00_2385))->BgL_valuez00); } 
BgL_obj1444z00_2386 = 
(BgL_cfunz00_bglt)(BgL_auxz00_3412); } 
BgL_l3074z00_1726 = 
(((BgL_cfunz00_bglt)CREF(BgL_obj1444z00_2386))->BgL_argszd2typezd2); } 
if(
NULLP(BgL_l3074z00_1726))
{ /* Jvm/init.scm 96 */
BgL_argsz00_1707 = BNIL; }  else 
{ /* Jvm/init.scm 96 */
obj_t BgL_head3076z00_1728;
BgL_head3076z00_1728 = 
MAKE_PAIR(BNIL, BNIL); 
{ 
obj_t BgL_l3074z00_1729;obj_t BgL_tail3077z00_1730;
BgL_l3074z00_1729 = BgL_l3074z00_1726; 
BgL_tail3077z00_1730 = BgL_head3076z00_1728; 
BgL_lname3075z00_1731:
if(
NULLP(BgL_l3074z00_1729))
{ /* Jvm/init.scm 96 */
BgL_argsz00_1707 = 
CDR(BgL_head3076z00_1728); }  else 
{ /* Jvm/init.scm 96 */
obj_t BgL_newtail3078z00_1733;
{ /* Jvm/init.scm 96 */
obj_t BgL_arg3384z00_1735;
BgL_arg3384z00_1735 = 
BGl_compilezd2typezd2zzjvm_envz00(
CAR(BgL_l3074z00_1729), 
(BgL_envz00_bglt)(BgL_envz00_20)); 
BgL_newtail3078z00_1733 = 
MAKE_PAIR(BgL_arg3384z00_1735, BNIL); } 
SET_CDR(BgL_tail3077z00_1730, BgL_newtail3078z00_1733); 
{ 
obj_t BgL_tail3077z00_3430;obj_t BgL_l3074z00_3428;
BgL_l3074z00_3428 = 
CDR(BgL_l3074z00_1729); 
BgL_tail3077z00_3430 = BgL_newtail3078z00_1733; 
BgL_tail3077z00_1730 = BgL_tail3077z00_3430; 
BgL_l3074z00_1729 = BgL_l3074z00_3428; 
goto BgL_lname3075z00_1731;} } } } } 
{ /* Jvm/init.scm 98 */
obj_t BgL_arg3330z00_1708;obj_t BgL_arg3331z00_1709;
BgL_arg3330z00_1708 = 
CNST_TABLE_REF(((long)19)); 
{ /* Jvm/init.scm 100 */
obj_t BgL_arg3334z00_1710;obj_t BgL_arg3335z00_1711;
{ /* Jvm/init.scm 100 */
bool_t BgL_testz00_3432;
{ /* Jvm/init.scm 100 */
obj_t BgL_auxz00_3433;
BgL_auxz00_3433 = 
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
CNST_TABLE_REF(((long)15)), BgL_modifiersz00_1706); 
BgL_testz00_3432 = 
CBOOL(BgL_auxz00_3433); } 
if(BgL_testz00_3432)
{ /* Jvm/init.scm 100 */
{ /* Jvm/init.scm 100 */
obj_t BgL_auxz00_3437;
{ /* Jvm/init.scm 100 */
BgL_globalz00_bglt BgL_obj1171z00_2398;
BgL_obj1171z00_2398 = 
(BgL_globalz00_bglt)(BgL_globalz00_21); 
BgL_auxz00_3437 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1171z00_2398))->BgL_modulez00); } 
BgL_arg3334z00_1710 = 
BGl_envzd2declarezd2modulez00zzjvm_envz00(
(BgL_envz00_bglt)(BgL_envz00_20), BgL_auxz00_3437); } }  else 
{ /* Jvm/init.scm 100 */
BgL_arg3334z00_1710 = 
CAR(BgL_argsz00_1707); } } 
{ /* Jvm/init.scm 102 */
obj_t BgL_arg3345z00_1714;obj_t BgL_arg3346z00_1715;
{ /* Jvm/init.scm 102 */
bool_t BgL_testz00_3443;
{ /* Jvm/init.scm 102 */
obj_t BgL_auxz00_3444;
BgL_auxz00_3444 = 
CNST_TABLE_REF(((long)20)); 
BgL_testz00_3443 = 
(BgL_modifiersz00_1706==BgL_auxz00_3444); } 
if(BgL_testz00_3443)
{ /* Jvm/init.scm 102 */
BgL_arg3345z00_1714 = 
CNST_TABLE_REF(((long)21)); }  else 
{ /* Jvm/init.scm 102 */
BgL_arg3345z00_1714 = BgL_modifiersz00_1706; } } 
{ /* Jvm/init.scm 103 */
obj_t BgL_arg3351z00_1717;obj_t BgL_arg3352z00_1718;
{ /* Jvm/init.scm 103 */
obj_t BgL_auxz00_3448;
{ /* Jvm/init.scm 103 */
BgL_typez00_bglt BgL_auxz00_3449;
{ /* Jvm/init.scm 103 */
BgL_globalz00_bglt BgL_obj1153z00_2400;
BgL_obj1153z00_2400 = 
(BgL_globalz00_bglt)(BgL_globalz00_21); 
BgL_auxz00_3449 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1153z00_2400))->BgL_typez00); } 
BgL_auxz00_3448 = 
(obj_t)(BgL_auxz00_3449); } 
BgL_arg3351z00_1717 = 
BGl_compilezd2typezd2zzjvm_envz00(BgL_auxz00_3448, 
(BgL_envz00_bglt)(BgL_envz00_20)); } 
{ /* Jvm/init.scm 104 */
obj_t BgL_arg3359z00_1720;obj_t BgL_arg3360z00_1721;
BgL_arg3359z00_1720 = 
BGl_realzd2cfunzd2namez00zzjvm_externz00(
(BgL_globalz00_bglt)(BgL_globalz00_21)); 
{ /* Jvm/init.scm 98 */
obj_t BgL_auxz00_3457;
{ /* Jvm/init.scm 106 */
bool_t BgL_testz00_3458;
{ /* Jvm/init.scm 106 */
obj_t BgL_auxz00_3459;
BgL_auxz00_3459 = 
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
CNST_TABLE_REF(((long)15)), BgL_modifiersz00_1706); 
BgL_testz00_3458 = 
CBOOL(BgL_auxz00_3459); } 
if(BgL_testz00_3458)
{ /* Jvm/init.scm 106 */
BgL_auxz00_3457 = BgL_argsz00_1707; }  else 
{ /* Jvm/init.scm 106 */
BgL_auxz00_3457 = 
CDR(BgL_argsz00_1707); } } 
BgL_arg3360z00_1721 = 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_auxz00_3457, BNIL); } 
BgL_arg3352z00_1718 = 
MAKE_PAIR(BgL_arg3359z00_1720, BgL_arg3360z00_1721); } 
BgL_arg3346z00_1715 = 
MAKE_PAIR(BgL_arg3351z00_1717, BgL_arg3352z00_1718); } 
BgL_arg3335z00_1711 = 
MAKE_PAIR(BgL_arg3345z00_1714, BgL_arg3346z00_1715); } 
BgL_arg3331z00_1709 = 
MAKE_PAIR(BgL_arg3334z00_1710, BgL_arg3335z00_1711); } 
return 
MAKE_PAIR(BgL_arg3330z00_1708, BgL_arg3331z00_1709);} } } 
}



/* analyse-init */
obj_t BGl_analysezd2initzd2zzjvm_initz00(obj_t BgL_envz00_22, obj_t BgL_globalz00_23)
{ AN_OBJECT;
{ /* Jvm/init.scm 112 */
{ /* Jvm/init.scm 115 */
bool_t BgL_test3396z00_1740;
{ /* Jvm/init.scm 115 */
obj_t BgL_auxz00_3470;
{ /* Jvm/init.scm 115 */
BgL_globalz00_bglt BgL_obj1171z00_2402;
BgL_obj1171z00_2402 = 
(BgL_globalz00_bglt)(BgL_globalz00_23); 
BgL_auxz00_3470 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1171z00_2402))->BgL_modulez00); } 
BgL_test3396z00_1740 = 
(BgL_auxz00_3470==BGl_za2moduleza2z00zzmodule_modulez00); } 
if(BgL_test3396z00_1740)
{ /* Jvm/init.scm 116 */
bool_t BgL_testz00_3475;
{ /* Jvm/init.scm 116 */
obj_t BgL_auxz00_3479;obj_t BgL_auxz00_3476;
BgL_auxz00_3479 = 
CNST_TABLE_REF(((long)22)); 
{ /* Jvm/init.scm 116 */
BgL_globalz00_bglt BgL_obj1149z00_2403;
BgL_obj1149z00_2403 = 
(BgL_globalz00_bglt)(BgL_globalz00_23); 
BgL_auxz00_3476 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1149z00_2403))->BgL_idz00); } 
BgL_testz00_3475 = 
(BgL_auxz00_3476==BgL_auxz00_3479); } 
if(BgL_testz00_3475)
{ /* Jvm/init.scm 116 */
{ /* Jvm/init.scm 117 */
obj_t BgL_nz00_1742;
BgL_nz00_1742 = 
BGl_getzd2cnstzd2offsetz00zzcnst_allocz00(); 
if(
BGl_2ze3ze3zz__r4_numbers_6_5z00(BgL_nz00_1742, 
BINT(((long)0))))
{ /* Jvm/init.scm 118 */
BGl__pushz00zzjvm_instrz00(
(BgL_envz00_bglt)(BgL_envz00_22), 
CNST_TABLE_REF(((long)23)), BgL_nz00_1742); 
BGl__newarrayz00zzjvm_instrz00(
(BgL_envz00_bglt)(BgL_envz00_22), 
CNST_TABLE_REF(((long)0))); 
return 
BGl__putstaticz00zzjvm_instrz00(
(BgL_envz00_bglt)(BgL_envz00_22), 
CNST_TABLE_REF(((long)24)));}  else 
{ /* Jvm/init.scm 118 */
return BFALSE;} } }  else 
{ /* Jvm/init.scm 123 */
bool_t BgL_test3404z00_1744;
{ /* Jvm/init.scm 123 */
obj_t BgL_auxz00_3495;
{ /* Jvm/init.scm 123 */
BgL_valuez00_bglt BgL_auxz00_3496;
{ /* Jvm/init.scm 123 */
BgL_globalz00_bglt BgL_obj1156z00_2404;
BgL_obj1156z00_2404 = 
(BgL_globalz00_bglt)(BgL_globalz00_23); 
BgL_auxz00_3496 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1156z00_2404))->BgL_valuez00); } 
BgL_auxz00_3495 = 
(obj_t)(BgL_auxz00_3496); } 
BgL_test3404z00_1744 = 
BGl_iszd2azf3z21zz__objectz00(BgL_auxz00_3495, BGl_svarz00zzast_varz00); } 
if(BgL_test3404z00_1744)
{ /* Jvm/init.scm 123 */
{ /* Jvm/init.scm 124 */
bool_t BgL_test3405z00_1745;
{ /* Jvm/init.scm 124 */
bool_t BgL_testz00_3502;
{ /* Jvm/init.scm 124 */
bool_t BgL_testz00_3503;
{ /* Jvm/init.scm 124 */
long BgL_auxz00_3504;
{ /* Jvm/init.scm 124 */
BgL_globalz00_bglt BgL_obj1168z00_2406;
BgL_obj1168z00_2406 = 
(BgL_globalz00_bglt)(BgL_globalz00_23); 
BgL_auxz00_3504 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1168z00_2406))->BgL_occurrencez00); } 
BgL_testz00_3503 = 
BGl_ze3fxze3zz__r4_numbers_6_5_fixnumz00(BgL_auxz00_3504, ((long)0)); } 
if(BgL_testz00_3503)
{ /* Jvm/init.scm 124 */
BgL_testz00_3502 = ((bool_t)1)
; }  else 
{ /* Jvm/init.scm 124 */
obj_t BgL_auxz00_3511;obj_t BgL_auxz00_3508;
BgL_auxz00_3511 = 
CNST_TABLE_REF(((long)25)); 
{ /* Jvm/init.scm 124 */
BgL_globalz00_bglt BgL_obj1165z00_2407;
BgL_obj1165z00_2407 = 
(BgL_globalz00_bglt)(BgL_globalz00_23); 
BgL_auxz00_3508 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1165z00_2407))->BgL_removablez00); } 
BgL_testz00_3502 = 
(BgL_auxz00_3508==BgL_auxz00_3511); } } 
if(BgL_testz00_3502)
{ /* Jvm/init.scm 125 */
BgL_typez00_bglt BgL_auxz00_3514;
{ /* Jvm/init.scm 125 */
BgL_globalz00_bglt BgL_obj1153z00_2408;
BgL_obj1153z00_2408 = 
(BgL_globalz00_bglt)(BgL_globalz00_23); 
BgL_auxz00_3514 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1153z00_2408))->BgL_typez00); } 
BgL_test3405z00_1745 = 
BGl_subzd2typezf3z21zztype_envz00(BgL_auxz00_3514, 
(BgL_typez00_bglt)(BGl_za2objza2z00zztype_cachez00)); }  else 
{ /* Jvm/init.scm 124 */
BgL_test3405z00_1745 = ((bool_t)0); } } 
if(BgL_test3405z00_1745)
{ /* Jvm/init.scm 124 */
BGl__aconst_nullz00zzjvm_instrz00(
(BgL_envz00_bglt)(BgL_envz00_22)); 
{ /* Jvm/init.scm 130 */
obj_t BgL_arg3408z00_1746;
BgL_arg3408z00_1746 = 
BGl_getzd2globalzd2namez00zzjvm_envz00(
(BgL_envz00_bglt)(BgL_envz00_22), 
(BgL_globalz00_bglt)(BgL_globalz00_23)); 
return 
BGl__putstaticz00zzjvm_instrz00(
(BgL_envz00_bglt)(BgL_envz00_22), BgL_arg3408z00_1746);} }  else 
{ /* Jvm/init.scm 124 */
return BFALSE;} } }  else 
{ /* Jvm/init.scm 131 */
bool_t BgL_test3427z00_1754;
{ /* Jvm/init.scm 131 */
bool_t BgL_test3481z00_1776;
{ /* Jvm/init.scm 131 */
obj_t BgL_auxz00_3527;
{ /* Jvm/init.scm 131 */
BgL_valuez00_bglt BgL_auxz00_3528;
{ /* Jvm/init.scm 131 */
BgL_globalz00_bglt BgL_obj1156z00_2409;
BgL_obj1156z00_2409 = 
(BgL_globalz00_bglt)(BgL_globalz00_23); 
BgL_auxz00_3528 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1156z00_2409))->BgL_valuez00); } 
BgL_auxz00_3527 = 
(obj_t)(BgL_auxz00_3528); } 
BgL_test3481z00_1776 = 
BGl_iszd2azf3z21zz__objectz00(BgL_auxz00_3527, BGl_sfunz00zzast_varz00); } 
if(BgL_test3481z00_1776)
{ /* Jvm/init.scm 131 */
BgL_test3427z00_1754 = ((bool_t)1); }  else 
{ /* Jvm/init.scm 132 */
bool_t BgL_test3482z00_1777;
{ /* Jvm/init.scm 132 */
obj_t BgL_auxz00_3534;
{ /* Jvm/init.scm 132 */
BgL_valuez00_bglt BgL_auxz00_3535;
{ /* Jvm/init.scm 132 */
BgL_globalz00_bglt BgL_obj1156z00_2411;
BgL_obj1156z00_2411 = 
(BgL_globalz00_bglt)(BgL_globalz00_23); 
BgL_auxz00_3535 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1156z00_2411))->BgL_valuez00); } 
BgL_auxz00_3534 = 
(obj_t)(BgL_auxz00_3535); } 
BgL_test3482z00_1777 = 
BGl_iszd2azf3z21zz__objectz00(BgL_auxz00_3534, BGl_cfunz00zzast_varz00); } 
if(BgL_test3482z00_1777)
{ /* Jvm/init.scm 132 */
BgL_test3427z00_1754 = ((bool_t)1); }  else 
{ /* Jvm/init.scm 133 */
obj_t BgL_auxz00_3541;
{ /* Jvm/init.scm 133 */
BgL_valuez00_bglt BgL_auxz00_3542;
{ /* Jvm/init.scm 133 */
BgL_globalz00_bglt BgL_obj1156z00_2413;
BgL_obj1156z00_2413 = 
(BgL_globalz00_bglt)(BgL_globalz00_23); 
BgL_auxz00_3542 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1156z00_2413))->BgL_valuez00); } 
BgL_auxz00_3541 = 
(obj_t)(BgL_auxz00_3542); } 
BgL_test3427z00_1754 = 
BGl_iszd2azf3z21zz__objectz00(BgL_auxz00_3541, BGl_cvarz00zzast_varz00); } } } 
if(BgL_test3427z00_1754)
{ /* Jvm/init.scm 131 */
return 
CNST_TABLE_REF(((long)11));}  else 
{ /* Jvm/init.scm 135 */
bool_t BgL_test3428z00_1755;
{ /* Jvm/init.scm 135 */
obj_t BgL_auxz00_3549;
{ /* Jvm/init.scm 135 */
BgL_valuez00_bglt BgL_auxz00_3550;
{ /* Jvm/init.scm 135 */
BgL_globalz00_bglt BgL_obj1156z00_2415;
BgL_obj1156z00_2415 = 
(BgL_globalz00_bglt)(BgL_globalz00_23); 
BgL_auxz00_3550 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1156z00_2415))->BgL_valuez00); } 
BgL_auxz00_3549 = 
(obj_t)(BgL_auxz00_3550); } 
BgL_test3428z00_1755 = 
BGl_iszd2azf3z21zz__objectz00(BgL_auxz00_3549, BGl_scnstz00zzast_varz00); } 
if(BgL_test3428z00_1755)
{ /* Jvm/init.scm 135 */
{ /* Jvm/init.scm 136 */
BgL_valuez00_bglt BgL_instance3081z00_1756;
{ /* Jvm/init.scm 148 */
BgL_globalz00_bglt BgL_obj1156z00_2417;
BgL_obj1156z00_2417 = 
(BgL_globalz00_bglt)(BgL_globalz00_23); 
BgL_instance3081z00_1756 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1156z00_2417))->BgL_valuez00); } 
{ /* Jvm/init.scm 137 */
obj_t BgL_casezd2valuezd2_1757;
{ /* Jvm/init.scm 137 */
BgL_scnstz00_bglt BgL_obj1501z00_2418;
BgL_obj1501z00_2418 = 
(BgL_scnstz00_bglt)(BgL_instance3081z00_1756); 
BgL_casezd2valuezd2_1757 = 
(((BgL_scnstz00_bglt)CREF(BgL_obj1501z00_2418))->BgL_classz00); } 
{ /* Jvm/init.scm 137 */
bool_t BgL_testz00_3560;
{ /* Jvm/init.scm 137 */
obj_t BgL_auxz00_3561;
BgL_auxz00_3561 = 
CNST_TABLE_REF(((long)26)); 
BgL_testz00_3560 = 
(BgL_casezd2valuezd2_1757==BgL_auxz00_3561); } 
if(BgL_testz00_3560)
{ /* Jvm/init.scm 139 */
obj_t BgL_auxz00_3564;
{ /* Jvm/init.scm 139 */
BgL_scnstz00_bglt BgL_obj1500z00_2419;
BgL_obj1500z00_2419 = 
(BgL_scnstz00_bglt)(BgL_instance3081z00_1756); 
BgL_auxz00_3564 = 
(((BgL_scnstz00_bglt)CREF(BgL_obj1500z00_2419))->BgL_nodez00); } 
BGl_createzd2stringzd2zzjvm_instrz00(BgL_envz00_22, BgL_auxz00_3564); }  else 
{ /* Jvm/init.scm 137 */
bool_t BgL_testz00_3568;
{ /* Jvm/init.scm 137 */
obj_t BgL_auxz00_3569;
BgL_auxz00_3569 = 
CNST_TABLE_REF(((long)27)); 
BgL_testz00_3568 = 
(BgL_casezd2valuezd2_1757==BgL_auxz00_3569); } 
if(BgL_testz00_3568)
{ /* Jvm/init.scm 137 */
{ /* Jvm/init.scm 141 */
obj_t BgL_auxz00_3572;
{ /* Jvm/init.scm 141 */
BgL_scnstz00_bglt BgL_obj1500z00_2423;
BgL_obj1500z00_2423 = 
(BgL_scnstz00_bglt)(BgL_instance3081z00_1756); 
BgL_auxz00_3572 = 
(((BgL_scnstz00_bglt)CREF(BgL_obj1500z00_2423))->BgL_nodez00); } 
BGl__pushz00zzjvm_instrz00(
(BgL_envz00_bglt)(BgL_envz00_22), 
CNST_TABLE_REF(((long)28)), BgL_auxz00_3572); } 
{ /* Jvm/init.scm 141 */
obj_t BgL_arg3511z00_2427;obj_t BgL_arg3512z00_2428;obj_t BgL_arg3513z00_2429;
BgL_arg3511z00_2427 = 
BGl_jlibzd2declarezd2zzjvm_envz00(
(BgL_envz00_bglt)(BgL_envz00_22), 
CNST_TABLE_REF(((long)29))); 
BgL_arg3512z00_2428 = 
CNST_TABLE_REF(((long)30)); 
BgL_arg3513z00_2429 = 
CNST_TABLE_REF(((long)31)); 
BGl__invokestaticz00zzjvm_instrz00(
(BgL_envz00_bglt)(BgL_envz00_22), BgL_arg3511z00_2427, BgL_arg3512z00_2428, BgL_arg3513z00_2429); } }  else 
{ /* Jvm/init.scm 137 */
bool_t BgL_testz00_3585;
{ /* Jvm/init.scm 137 */
obj_t BgL_auxz00_3586;
BgL_auxz00_3586 = 
CNST_TABLE_REF(((long)32)); 
BgL_testz00_3585 = 
(BgL_casezd2valuezd2_1757==BgL_auxz00_3586); } 
if(BgL_testz00_3585)
{ /* Jvm/init.scm 143 */
obj_t BgL_auxz00_3589;
{ /* Jvm/init.scm 143 */
BgL_scnstz00_bglt BgL_obj1500z00_2430;
BgL_obj1500z00_2430 = 
(BgL_scnstz00_bglt)(BgL_instance3081z00_1756); 
BgL_auxz00_3589 = 
(((BgL_scnstz00_bglt)CREF(BgL_obj1500z00_2430))->BgL_nodez00); } 
BGl_emitzd2cnstzd2sfunz00zzjvm_initz00(BgL_envz00_22, BgL_auxz00_3589, BgL_globalz00_23); }  else 
{ /* Jvm/init.scm 137 */
bool_t BgL_testz00_3593;
{ /* Jvm/init.scm 137 */
obj_t BgL_auxz00_3594;
BgL_auxz00_3594 = 
CNST_TABLE_REF(((long)33)); 
BgL_testz00_3593 = 
(BgL_casezd2valuezd2_1757==BgL_auxz00_3594); } 
if(BgL_testz00_3593)
{ /* Jvm/init.scm 145 */
obj_t BgL_auxz00_3597;
{ /* Jvm/init.scm 145 */
BgL_scnstz00_bglt BgL_obj1500z00_2431;
BgL_obj1500z00_2431 = 
(BgL_scnstz00_bglt)(BgL_instance3081z00_1756); 
BgL_auxz00_3597 = 
(((BgL_scnstz00_bglt)CREF(BgL_obj1500z00_2431))->BgL_nodez00); } 
BGl_emitzd2cnstzd2sgfunz00zzjvm_initz00(BgL_envz00_22, BgL_auxz00_3597, BgL_globalz00_23); }  else 
{ /* Jvm/init.scm 137 */
bool_t BgL_testz00_3601;
{ /* Jvm/init.scm 137 */
obj_t BgL_auxz00_3602;
BgL_auxz00_3602 = 
CNST_TABLE_REF(((long)34)); 
BgL_testz00_3601 = 
(BgL_casezd2valuezd2_1757==BgL_auxz00_3602); } 
if(BgL_testz00_3601)
{ /* Jvm/init.scm 147 */
obj_t BgL_auxz00_3605;
{ /* Jvm/init.scm 147 */
BgL_scnstz00_bglt BgL_obj1500z00_2432;
BgL_obj1500z00_2432 = 
(BgL_scnstz00_bglt)(BgL_instance3081z00_1756); 
BgL_auxz00_3605 = 
(((BgL_scnstz00_bglt)CREF(BgL_obj1500z00_2432))->BgL_nodez00); } 
BGl_emitzd2cnstzd2stvectorz00zzjvm_initz00(BgL_envz00_22, BgL_auxz00_3605, BgL_globalz00_23); }  else 
{ /* Jvm/init.scm 137 */
FAILURE(BGl_string4283z00zzjvm_initz00,BGl_string4284z00zzjvm_initz00,BgL_casezd2valuezd2_1757);} } } } } } } 
{ /* Jvm/init.scm 149 */
obj_t BgL_arg3467z00_1771;
BgL_arg3467z00_1771 = 
BGl_getzd2globalzd2namez00zzjvm_envz00(
(BgL_envz00_bglt)(BgL_envz00_22), 
(BgL_globalz00_bglt)(BgL_globalz00_23)); 
return 
BGl__putstaticz00zzjvm_instrz00(
(BgL_envz00_bglt)(BgL_envz00_22), BgL_arg3467z00_1771);} } }  else 
{ /* Jvm/init.scm 135 */
{ 
obj_t BgL_auxz00_3615;
{ /* Jvm/init.scm 150 */
BgL_valuez00_bglt BgL_auxz00_3616;
{ /* Jvm/init.scm 150 */
BgL_globalz00_bglt BgL_obj1156z00_2437;
BgL_obj1156z00_2437 = 
(BgL_globalz00_bglt)(BgL_globalz00_23); 
BgL_auxz00_3616 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1156z00_2437))->BgL_valuez00); } 
BgL_auxz00_3615 = 
(obj_t)(BgL_auxz00_3616); } 
FAILURE(BGl_string4283z00zzjvm_initz00,BGl_string4285z00zzjvm_initz00,BgL_auxz00_3615);} } } } } }  else 
{ /* Jvm/init.scm 115 */
return 
CNST_TABLE_REF(((long)11));} } } 
}



/* emit-cnst-sfun */
obj_t BGl_emitzd2cnstzd2sfunz00zzjvm_initz00(obj_t BgL_envz00_30, obj_t BgL_funz00_31, obj_t BgL_globalz00_32)
{ AN_OBJECT;
{ /* Jvm/init.scm 160 */
{ /* Jvm/init.scm 161 */
obj_t BgL_actualsz00_1788;
{ /* Jvm/init.scm 161 */
BgL_appz00_bglt BgL_obj1726z00_2444;
BgL_obj1726z00_2444 = 
(BgL_appz00_bglt)(BgL_funz00_31); 
BgL_actualsz00_1788 = 
(((BgL_appz00_bglt)CREF(BgL_obj1726z00_2444))->BgL_argsz00); } 
{ /* Jvm/init.scm 161 */
obj_t BgL_entryz00_1789;
BgL_entryz00_1789 = 
CAR(BgL_actualsz00_1788); 
{ /* Jvm/init.scm 162 */
obj_t BgL_arityz00_1790;
{ /* Jvm/init.scm 163 */
BgL_nodez00_bglt BgL_auxz00_3625;
{ /* Jvm/init.scm 163 */
obj_t BgL_auxz00_3626;
{ /* Jvm/init.scm 163 */
obj_t BgL_auxz00_3627;
BgL_auxz00_3627 = 
CDR(BgL_actualsz00_1788); 
BgL_auxz00_3626 = 
CAR(BgL_auxz00_3627); } 
BgL_auxz00_3625 = 
(BgL_nodez00_bglt)(BgL_auxz00_3626); } 
BgL_arityz00_1790 = 
BGl_getzd2nodezd2atomzd2valuezd2zzcnst_nodez00(BgL_auxz00_3625); } 
{ /* Jvm/init.scm 164 */

{ /* Jvm/init.scm 165 */
obj_t BgL_auxz00_3632;
{ /* Jvm/init.scm 165 */
BgL_envz00_bglt BgL_obj2960z00_2452;
BgL_obj2960z00_2452 = 
(BgL_envz00_bglt)(BgL_envz00_30); 
BgL_auxz00_3632 = 
(((BgL_envz00_bglt)CREF(BgL_obj2960z00_2452))->BgL_currentzd2modulezd2); } 
BGl__newz00zzjvm_instrz00(
(BgL_envz00_bglt)(BgL_envz00_30), BgL_auxz00_3632); } 
BGl__dupz00zzjvm_instrz00(
(BgL_envz00_bglt)(BgL_envz00_30)); 
BGl__pushz00zzjvm_instrz00(
(BgL_envz00_bglt)(BgL_envz00_30), 
CNST_TABLE_REF(((long)23)), BgL_arityz00_1790); 
{ /* Jvm/init.scm 168 */
obj_t BgL_arg3523z00_1793;obj_t BgL_arg3524z00_1794;
BgL_arg3523z00_1793 = 
CNST_TABLE_REF(((long)23)); 
{ /* Jvm/init.scm 171 */
obj_t BgL_arg3527z00_1795;
{ /* Jvm/init.scm 171 */
BgL_globalz00_bglt BgL_auxz00_3643;
{ /* Jvm/init.scm 171 */
BgL_variablez00_bglt BgL_auxz00_3645;
{ /* Jvm/init.scm 171 */
BgL_varz00_bglt BgL_obj1620z00_2453;
BgL_obj1620z00_2453 = 
(BgL_varz00_bglt)(BgL_entryz00_1789); 
BgL_auxz00_3645 = 
(((BgL_varz00_bglt)CREF(BgL_obj1620z00_2453))->BgL_variablez00); } 
BgL_auxz00_3643 = 
(BgL_globalz00_bglt)(BgL_auxz00_3645); } 
BgL_arg3527z00_1795 = 
BGl_getzd2globalzd2namez00zzjvm_envz00(
(BgL_envz00_bglt)(BgL_envz00_30), BgL_auxz00_3643); } 
BgL_arg3524z00_1794 = 
BGl_envzd2newzd2procedurez00zzjvm_envz00(
(BgL_envz00_bglt)(BgL_envz00_30), BgL_arityz00_1790, BgL_arg3527z00_1795); } 
BGl__pushz00zzjvm_instrz00(
(BgL_envz00_bglt)(BgL_envz00_30), BgL_arg3523z00_1793, BgL_arg3524z00_1794); } 
return 
BGl__invokespecialz00zzjvm_instrz00(
(BgL_envz00_bglt)(BgL_envz00_30), 
CNST_TABLE_REF(((long)35)), 
CNST_TABLE_REF(((long)36)), 
CNST_TABLE_REF(((long)37)));} } } } } 
}



/* emit-cnst-sgfun */
obj_t BGl_emitzd2cnstzd2sgfunz00zzjvm_initz00(obj_t BgL_envz00_33, obj_t BgL_funz00_34, obj_t BgL_globalz00_35)
{ AN_OBJECT;
{ /* Jvm/init.scm 175 */
{ /* Jvm/init.scm 176 */
obj_t BgL_actualsz00_1799;
{ /* Jvm/init.scm 176 */
BgL_appz00_bglt BgL_obj1726z00_2454;
BgL_obj1726z00_2454 = 
(BgL_appz00_bglt)(BgL_funz00_34); 
BgL_actualsz00_1799 = 
(((BgL_appz00_bglt)CREF(BgL_obj1726z00_2454))->BgL_argsz00); } 
{ /* Jvm/init.scm 176 */
obj_t BgL_entryz00_1800;
BgL_entryz00_1800 = 
CAR(BgL_actualsz00_1799); 
{ /* Jvm/init.scm 177 */
obj_t BgL_arityz00_1801;
{ /* Jvm/init.scm 178 */
BgL_atomz00_bglt BgL_obj1598z00_2460;
{ /* Jvm/init.scm 178 */
obj_t BgL_auxz00_3662;
{ /* Jvm/init.scm 178 */
obj_t BgL_auxz00_3663;
BgL_auxz00_3663 = 
CDR(BgL_actualsz00_1799); 
BgL_auxz00_3662 = 
CAR(BgL_auxz00_3663); } 
BgL_obj1598z00_2460 = 
(BgL_atomz00_bglt)(BgL_auxz00_3662); } 
BgL_arityz00_1801 = 
(((BgL_atomz00_bglt)CREF(BgL_obj1598z00_2460))->BgL_valuez00); } 
{ /* Jvm/init.scm 179 */

{ /* Jvm/init.scm 180 */
obj_t BgL_auxz00_3668;
{ /* Jvm/init.scm 180 */
BgL_envz00_bglt BgL_obj2960z00_2463;
BgL_obj2960z00_2463 = 
(BgL_envz00_bglt)(BgL_envz00_33); 
BgL_auxz00_3668 = 
(((BgL_envz00_bglt)CREF(BgL_obj2960z00_2463))->BgL_currentzd2modulezd2); } 
BGl__newz00zzjvm_instrz00(
(BgL_envz00_bglt)(BgL_envz00_33), BgL_auxz00_3668); } 
BGl__dupz00zzjvm_instrz00(
(BgL_envz00_bglt)(BgL_envz00_33)); 
BGl__pushz00zzjvm_instrz00(
(BgL_envz00_bglt)(BgL_envz00_33), 
CNST_TABLE_REF(((long)23)), BgL_arityz00_1801); 
{ /* Jvm/init.scm 183 */
obj_t BgL_arg3551z00_1804;obj_t BgL_arg3552z00_1805;
BgL_arg3551z00_1804 = 
CNST_TABLE_REF(((long)23)); 
{ /* Jvm/init.scm 186 */
obj_t BgL_arg3555z00_1806;
{ /* Jvm/init.scm 186 */
BgL_globalz00_bglt BgL_auxz00_3679;
{ /* Jvm/init.scm 186 */
BgL_variablez00_bglt BgL_auxz00_3681;
{ /* Jvm/init.scm 186 */
BgL_varz00_bglt BgL_obj1620z00_2464;
BgL_obj1620z00_2464 = 
(BgL_varz00_bglt)(BgL_entryz00_1800); 
BgL_auxz00_3681 = 
(((BgL_varz00_bglt)CREF(BgL_obj1620z00_2464))->BgL_variablez00); } 
BgL_auxz00_3679 = 
(BgL_globalz00_bglt)(BgL_auxz00_3681); } 
BgL_arg3555z00_1806 = 
BGl_getzd2globalzd2namez00zzjvm_envz00(
(BgL_envz00_bglt)(BgL_envz00_33), BgL_auxz00_3679); } 
BgL_arg3552z00_1805 = 
BGl_envzd2newzd2procedurez00zzjvm_envz00(
(BgL_envz00_bglt)(BgL_envz00_33), BgL_arityz00_1801, BgL_arg3555z00_1806); } 
BGl__pushz00zzjvm_instrz00(
(BgL_envz00_bglt)(BgL_envz00_33), BgL_arg3551z00_1804, BgL_arg3552z00_1805); } 
BGl__pushz00zzjvm_instrz00(
(BgL_envz00_bglt)(BgL_envz00_33), 
CNST_TABLE_REF(((long)23)), 
BINT(((long)3))); 
return 
BGl__invokespecialz00zzjvm_instrz00(
(BgL_envz00_bglt)(BgL_envz00_33), 
CNST_TABLE_REF(((long)38)), 
CNST_TABLE_REF(((long)39)), 
CNST_TABLE_REF(((long)37)));} } } } } 
}



/* emit-cnst-stvector */
obj_t BGl_emitzd2cnstzd2stvectorz00zzjvm_initz00(obj_t BgL_envz00_36, obj_t BgL_tvecz00_37, obj_t BgL_globalz00_38)
{ AN_OBJECT;
{ /* Jvm/init.scm 191 */
{ /* Jvm/init.scm 192 */
obj_t BgL_vecz00_1810;
{ /* Jvm/init.scm 192 */
int BgL_auxz00_3699;
BgL_auxz00_3699 = 
(int)(((long)1)); 
BgL_vecz00_1810 = 
STRUCT_REF(BgL_tvecz00_37, BgL_auxz00_3699); } 
{ /* Jvm/init.scm 193 */
obj_t BgL_typez00_1812;
{ /* Jvm/init.scm 194 */
obj_t BgL_auxz00_3702;
{ /* Jvm/init.scm 194 */
BgL_typez00_bglt BgL_auxz00_3703;
{ /* Jvm/init.scm 193 */
BgL_tvecz00_bglt BgL_obj2905z00_2471;
{ /* Jvm/init.scm 193 */
obj_t BgL_auxz00_3704;
{ /* Jvm/init.scm 193 */
int BgL_auxz00_3705;
BgL_auxz00_3705 = 
(int)(((long)0)); 
BgL_auxz00_3704 = 
STRUCT_REF(BgL_tvecz00_37, BgL_auxz00_3705); } 
BgL_obj2905z00_2471 = 
(BgL_tvecz00_bglt)(BgL_auxz00_3704); } 
{ 
obj_t BgL_auxz00_3709;
{ /* Jvm/init.scm 193 */
BgL_objectz00_bglt BgL_auxz00_3710;
BgL_auxz00_3710 = 
(BgL_objectz00_bglt)(BgL_obj2905z00_2471); 
BgL_auxz00_3709 = 
BGL_OBJECT_WIDENING(BgL_auxz00_3710); } 
BgL_auxz00_3703 = 
(((BgL_tvecz00_bglt)CREF(BgL_auxz00_3709))->BgL_itemzd2typezd2); } } 
BgL_auxz00_3702 = 
(obj_t)(BgL_auxz00_3703); } 
BgL_typez00_1812 = 
BGl_compilezd2typezd2zzjvm_envz00(BgL_auxz00_3702, 
(BgL_envz00_bglt)(BgL_envz00_36)); } 
{ /* Jvm/init.scm 194 */
int BgL_nz00_1813;
BgL_nz00_1813 = 
VECTOR_LENGTH(BgL_vecz00_1810); 
{ /* Jvm/init.scm 195 */

BGl__pushz00zzjvm_instrz00(
(BgL_envz00_bglt)(BgL_envz00_36), 
CNST_TABLE_REF(((long)23)), 
BINT(BgL_nz00_1813)); 
BGl__newarrayz00zzjvm_instrz00(
(BgL_envz00_bglt)(BgL_envz00_36), BgL_typez00_1812); 
return 
BGl_stvectorzd2initzd2zzjvm_initz00(BgL_envz00_36, BgL_vecz00_1810, BgL_typez00_1812, ((long)0), BgL_nz00_1813);} } } } } 
}



/* stvector-init */
obj_t BGl_stvectorzd2initzd2zzjvm_initz00(obj_t BgL_envz00_39, obj_t BgL_vz00_40, obj_t BgL_typez00_41, long BgL_iz00_42, int BgL_nz00_43)
{ AN_OBJECT;
{ /* Jvm/init.scm 200 */
BGl_stvectorzd2initzd2zzjvm_initz00:
{ /* Jvm/init.scm 201 */
bool_t BgL_testz00_3725;
{ /* Jvm/init.scm 201 */
long BgL_auxz00_3726;
BgL_auxz00_3726 = 
(long)(BgL_nz00_43); 
BgL_testz00_3725 = 
(BgL_iz00_42==BgL_auxz00_3726); } 
if(BgL_testz00_3725)
{ /* Jvm/init.scm 201 */
return 
CNST_TABLE_REF(((long)11));}  else 
{ /* Jvm/init.scm 201 */
BGl__dupz00zzjvm_instrz00(
(BgL_envz00_bglt)(BgL_envz00_39)); 
BGl__pushz00zzjvm_instrz00(
(BgL_envz00_bglt)(BgL_envz00_39), 
CNST_TABLE_REF(((long)23)), 
BINT(BgL_iz00_42)); 
{ /* Jvm/init.scm 206 */
obj_t BgL_arg3588z00_1816;
{ /* Jvm/init.scm 206 */
int BgL_kz00_2476;
BgL_kz00_2476 = 
(int)(BgL_iz00_42); 
BgL_arg3588z00_1816 = 
VECTOR_REF(BgL_vz00_40,BgL_kz00_2476); } 
BGl__pushz00zzjvm_instrz00(
(BgL_envz00_bglt)(BgL_envz00_39), BgL_typez00_41, BgL_arg3588z00_1816); } 
BGl__astorez00zzjvm_instrz00(
(BgL_envz00_bglt)(BgL_envz00_39), BgL_typez00_41); 
{ 
long BgL_iz00_3742;
BgL_iz00_3742 = 
(BgL_iz00_42+((long)1)); 
BgL_iz00_42 = BgL_iz00_3742; 
goto BGl_stvectorzd2initzd2zzjvm_initz00;} } } } 
}



/* method-init */
obj_t BGl_methodzd2initzd2zzjvm_initz00()
{ AN_OBJECT;
{ /* Jvm/init.scm 1 */
return BUNSPEC;} 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zzjvm_initz00()
{ AN_OBJECT;
{ /* Jvm/init.scm 1 */
BGl_modulezd2initializa7ationz75zztype_typez00(((long)19010), "jvm_init"); 
BGl_modulezd2initializa7ationz75zzast_varz00(((long)28259), "jvm_init"); 
BGl_modulezd2initializa7ationz75zzast_nodez00(((long)49436), "jvm_init"); 
BGl_modulezd2initializa7ationz75zzobject_classz00(((long)19348), "jvm_init"); 
BGl_modulezd2initializa7ationz75zztype_envz00(((long)25262), "jvm_init"); 
BGl_modulezd2initializa7ationz75zztype_cachez00(((long)57983), "jvm_init"); 
BGl_modulezd2initializa7ationz75zzast_envz00(((long)73271), "jvm_init"); 
BGl_modulezd2initializa7ationz75zzmodule_modulez00(((long)12859), "jvm_init"); 
BGl_modulezd2initializa7ationz75zztvector_tvectorz00(((long)16653), "jvm_init"); 
BGl_modulezd2initializa7ationz75zzcnst_allocz00(((long)31254), "jvm_init"); 
BGl_modulezd2initializa7ationz75zzcnst_nodez00(((long)43979), "jvm_init"); 
BGl_modulezd2initializa7ationz75zzjvm_externz00(((long)54304), "jvm_init"); 
BGl_modulezd2initializa7ationz75zzjvm_envz00(((long)47084), "jvm_init"); 
return 
BGl_modulezd2initializa7ationz75zzjvm_instrz00(((long)9877), "jvm_init");} 
}

