/*===========================================================================*/
/*   (Jvm/predicate.scm)                                                     */
/*   Bigloo (2.5b)                                                           */
/*   Manuel Serrano (c)       Fri Sep 6 09:43:28 CEST 2002                   */
/*===========================================================================*/

/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>


/* Object type definitions */
typedef struct BgL_typez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   obj_t BgL_siza7eza7;
   obj_t BgL_classz00;
   obj_t BgL_coercezd2tozd2;
   obj_t BgL_parentsz00;
   bool_t BgL_initzf3zf3;
   bool_t BgL_magiczf3zf3;
   obj_t BgL_z42z42;
   obj_t BgL_aliasz00;
   obj_t BgL_pointedzd2tozd2byz00;
   obj_t BgL_tvectorz00;
   obj_t BgL_locationz00;
   obj_t BgL_importzd2locationzd2;
} *BgL_typez00_bglt;

typedef struct BgL_valuez00_bgl {
   header_t header;
   obj_t widening;
} *BgL_valuez00_bglt;

typedef struct BgL_variablez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
} *BgL_variablez00_bglt;

typedef struct BgL_globalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   obj_t BgL_modulez00;
   obj_t BgL_importz00;
   bool_t BgL_evaluablezf3zf3;
   bool_t BgL_libraryzf3zf3;
   bool_t BgL_userzf3zf3;
   obj_t BgL_pragmaz00;
   obj_t BgL_srcz00;
   obj_t BgL_jvmzd2typezd2namez00;
} *BgL_globalz00_bglt;

typedef struct BgL_localz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   bool_t BgL_userzf3zf3;
   long BgL_keyz00;
} *BgL_localz00_bglt;

typedef struct BgL_funz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
} *BgL_funz00_bglt;

typedef struct BgL_sfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_propertyz00;
   obj_t BgL_argsz00;
   obj_t BgL_bodyz00;
   obj_t BgL_classz00;
   obj_t BgL_dssslzd2keywordszd2;
   obj_t BgL_locz00;
} *BgL_sfunz00_bglt;

typedef struct BgL_cfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_argszd2typezd2;
   bool_t BgL_macrozf3zf3;
   bool_t BgL_infixzf3zf3;
   obj_t BgL_methodz00;
} *BgL_cfunz00_bglt;

typedef struct BgL_svarz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
} *BgL_svarz00_bglt;

typedef struct BgL_scnstz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_nodez00;
   obj_t BgL_classz00;
   obj_t BgL_locz00;
} *BgL_scnstz00_bglt;

typedef struct BgL_cvarz00_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_macrozf3zf3;
} *BgL_cvarz00_bglt;

typedef struct BgL_sexitz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_handlerz00;
   bool_t BgL_detachedzf3zf3;
} *BgL_sexitz00_bglt;

typedef struct BgL_nodez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
} *BgL_nodez00_bglt;

typedef struct BgL_nodezf2effectzf2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
} *BgL_nodezf2effectzf2_bglt;

typedef struct BgL_atomz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_atomz00_bglt;

typedef struct BgL_varz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_varz00_bglt;

typedef struct BgL_closurez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_closurez00_bglt;

typedef struct BgL_kwotez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_kwotez00_bglt;

typedef struct BgL_sequencez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_nodesz00;
} *BgL_sequencez00_bglt;

typedef struct BgL_appz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
} *BgL_appz00_bglt;

typedef struct BgL_appzd2lyzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_appzd2lyzd2_bglt;

typedef struct BgL_funcallz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
   obj_t BgL_strengthz00;
} *BgL_funcallz00_bglt;

typedef struct BgL_externz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
} *BgL_externz00_bglt;

typedef struct BgL_pragmaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_formatz00;
} *BgL_pragmaz00_bglt;

typedef struct BgL_getfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_getfieldz00_bglt;

typedef struct BgL_setfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_setfieldz00_bglt;

typedef struct BgL_newz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
} *BgL_newz00_bglt;

typedef struct BgL_vallocz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2heapzd2formatz00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_vallocz00_bglt;

typedef struct BgL_vrefz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vrefz00_bglt;

typedef struct BgL_vsetz12z12_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vsetz12z12_bglt;

typedef struct BgL_vlengthz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vlengthz00_bglt;

typedef struct BgL_isaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   struct BgL_typez00_bgl * BgL_classz00;
} *BgL_isaz00_bglt;

typedef struct BgL_castz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_castz00_bglt;

typedef struct BgL_setqz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_setqz00_bglt;

typedef struct BgL_conditionalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   struct BgL_nodez00_bgl * BgL_truez00;
   struct BgL_nodez00_bgl * BgL_falsez00;
} *BgL_conditionalz00_bglt;

typedef struct BgL_failz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_procz00;
   struct BgL_nodez00_bgl * BgL_msgz00;
   struct BgL_nodez00_bgl * BgL_objz00;
} *BgL_failz00_bglt;

typedef struct BgL_selectz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   obj_t BgL_clausesz00;
   struct BgL_typez00_bgl * BgL_itemzd2typezd2;
} *BgL_selectz00_bglt;

typedef struct BgL_letzd2funzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_localsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_letzd2funzd2_bglt;

typedef struct BgL_letzd2varzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_bindingsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
   bool_t BgL_removablezf3zf3;
} *BgL_letzd2varzd2_bglt;

typedef struct BgL_setzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_setzd2exzd2itz00_bglt;

typedef struct BgL_jumpzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_exitz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_jumpzd2exzd2itz00_bglt;

typedef struct BgL_makezd2boxzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_makezd2boxzd2_bglt;

typedef struct BgL_boxzd2refzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_varz00;
} *BgL_boxzd2refzd2_bglt;

typedef struct BgL_boxzd2setz12zc0_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_boxzd2setz12zc0_bglt;

typedef struct BgL_tclassz00_bgl {
   obj_t BgL_itszd2superzd2;
   obj_t BgL_slotsz00;
   struct BgL_globalz00_bgl * BgL_holderz00;
   obj_t BgL_wideningz00;
   long BgL_depthz00;
   bool_t BgL_finalzf3zf3;
   obj_t BgL_constructorz00;
   obj_t BgL_virtualzd2slotszd2numberz00;
   bool_t BgL_abstractzf3zf3;
} *BgL_tclassz00_bglt;

typedef struct BgL_jclassz00_bgl {
   obj_t BgL_itszd2superzd2;
   obj_t BgL_slotsz00;
   obj_t BgL_packagez00;
} *BgL_jclassz00_bglt;

typedef struct BgL_envz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_declarationsz00;
   obj_t BgL_declaredtypez00;
   obj_t BgL_declaredclassz00;
   obj_t BgL_declaredmodulez00;
   obj_t BgL_currentzd2modulezd2;
   obj_t BgL_declaredfieldsz00;
   obj_t BgL_declaredglobalz00;
   obj_t BgL_libdeclaredz00;
   obj_t BgL_proceduresz00;
   obj_t BgL_clinitzd2codezd2;
   obj_t BgL_currentzd2methodzd2;
   obj_t BgL_vcountz00;
   obj_t BgL_localsz00;
   obj_t BgL_freelocalsz00;
   obj_t BgL_maplocalsz00;
   obj_t BgL_stackz00;
   obj_t BgL_codez00;
} *BgL_envz00_bglt;


extern obj_t BGl_compilerzd2ifzd2zzjvm_compilerz00(BgL_conditionalz00_bglt, BgL_envz00_bglt, obj_t);
extern obj_t BGl_vrefz00zzast_nodez00;
static obj_t BGl_methodzd2initzd2zzjvm_predicatez00();
extern obj_t open_input_string(obj_t);
extern obj_t BGl_letzd2funzd2zzast_nodez00;
static obj_t BGl_compilezd2predicatezd2var2975z00zzjvm_predicatez00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_compilezd2predicatezd2select2985z00zzjvm_predicatez00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_compilezd2predicatezd2atom2973z00zzjvm_predicatez00(obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_readz00zz__readerz00(obj_t);
extern bool_t BGl_iszd2azf3z21zz__objectz00(obj_t, obj_t);
extern obj_t BGl_compilerzd2labelszd2zzjvm_compilerz00(BgL_letzd2funzd2_bglt, BgL_envz00_bglt, obj_t);
static obj_t BGl_compilezd2predicatezd2pragma2995z00zzjvm_predicatez00(obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_addzd2genericz12zc0zz__objectz00(obj_t, obj_t);
static obj_t BGl_compilezd2predicatezd2setfield2999z00zzjvm_predicatez00(obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_letzd2varzd2zzast_nodez00;
extern obj_t BGl_pragmaz00zzast_nodez00;
static obj_t BGl_compilezd2predicatezd2funcall2993z00zzjvm_predicatez00(obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_globalz00zzast_varz00;
extern obj_t BGl_compilerzd2castzd2zzjvm_compilerz00(BgL_castz00_bglt, BgL_envz00_bglt, obj_t);
static obj_t BGl_compilezd2predicatezd2fail3019z00zzjvm_predicatez00(obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_castz00zzast_nodez00;
extern obj_t BGl_boxzd2refzd2zzast_nodez00;
extern obj_t BGl_varz00zzast_nodez00;
static obj_t BGl_cnstzd2initzd2zzjvm_predicatez00();
extern obj_t BGl_atomz00zzast_nodez00;
extern obj_t BGl_failz00zzast_nodez00;
extern obj_t BGl_funcallz00zzast_nodez00;
static obj_t BGl_compilezd2predicatezd2new3001z00zzjvm_predicatez00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_compz00zzjvm_predicatez00(obj_t, obj_t, obj_t);
static obj_t BGl_compilezd2predicatezd2vlength3009z00zzjvm_predicatez00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_compilezd2predicatezd2conditional2983z00zzjvm_predicatez00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zzjvm_predicatez00();
extern obj_t BGl_makezd2boxzd2zzast_nodez00;
extern obj_t BGl_inlinezd2predzf3z21zzjvm_inlinez00;
extern obj_t BGl_compilezd2effectzd2zzjvm_effectz00(BgL_nodez00_bglt, BgL_envz00_bglt);
static obj_t BGl_compilezd2predicatezd2appzd2ly2991zd2zzjvm_predicatez00(obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_getfieldz00zzast_nodez00;
extern obj_t BGl_isaz00zzast_nodez00;
extern obj_t BGl_addzd2methodz12zc0zz__objectz00(obj_t, obj_t, obj_t);
extern obj_t BGl_compilerzd2selectzd2zzjvm_compilerz00(BgL_selectz00_bglt, BgL_envz00_bglt, obj_t);
static obj_t BGl_compilezd2predicatezd2getfield2997z00zzjvm_predicatez00(obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_selectz00zzast_nodez00;
extern obj_t BGl_vallocz00zzast_nodez00;
static obj_t BGl_toplevelzd2initzd2zzjvm_predicatez00();
extern obj_t BGl_appzd2lyzd2zzast_nodez00;
extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
extern obj_t BGl_modulezd2initializa7ationz75zzjvm_predicatez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzjvm_envz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzjvm_instrz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzjvm_exprz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzjvm_effectz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzjvm_compilerz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzjvm_inlinez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
static obj_t BGl_compilezd2predicatezd2valloc3003z00zzjvm_predicatez00(obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl__ifz00zzjvm_instrz00(obj_t, BgL_envz00_bglt, obj_t);
static obj_t BGl_compilezd2predicatezd2makezd2box3021zd2zzjvm_predicatez00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_compilezd2predicatezd2boxzd2ref3023zd2zzjvm_predicatez00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_compilezd2predicatezd2cast3013z00zzjvm_predicatez00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_compilezd2predicatezd2jumpzd2exzd2it3017z00zzjvm_predicatez00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_compilezd2predicatezd2app2989z00zzjvm_predicatez00(obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
static obj_t BGl__compilezd2predicate3756zd2zzjvm_predicatez00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_comp_3760z00zzjvm_predicatez00(obj_t, obj_t, obj_t);
static obj_t BGl_comp_3763z00zzjvm_predicatez00(obj_t, obj_t, obj_t);
static obj_t BGl_comp_3766z00zzjvm_predicatez00(obj_t, obj_t, obj_t);
static obj_t BGl_comp_3769z00zzjvm_predicatez00(obj_t, obj_t, obj_t);
static obj_t BGl_comp_3772z00zzjvm_predicatez00(obj_t, obj_t, obj_t);
extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
extern obj_t BGl_newz00zzast_nodez00;
extern obj_t BGl_conditionalz00zzast_nodez00;
static obj_t BGl_compilezd2predicatezd2setzd2exzd2it3015z00zzjvm_predicatez00(obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_sequencez00zzast_nodez00;
extern obj_t BGl_compilerzd2letzd2zzjvm_compilerz00(BgL_letzd2varzd2_bglt, BgL_envz00_bglt, obj_t);
extern obj_t BGl_appz00zzast_nodez00;
static obj_t BGl__compilezd2predicatezd2default2970z00zzjvm_predicatez00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_compilezd2predicatezd2letzd2var2977zd2zzjvm_predicatez00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_compilezd2predicatezd2vref3005z00zzjvm_predicatez00(obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_compilerzd2sequencezd2zzjvm_compilerz00(BgL_sequencez00_bglt, BgL_envz00_bglt, obj_t);
extern obj_t BGl_vlengthz00zzast_nodez00;
extern obj_t BGl_compilezd2predicatezd2zzjvm_predicatez00(BgL_nodez00_bglt, obj_t, obj_t, BgL_envz00_bglt);
extern obj_t BGl_setfieldz00zzast_nodez00;
static obj_t BGl_compilezd2predicatezd2vsetz123007z12zzjvm_predicatez00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_compilezd2predicatezd2letzd2fun2987zd2zzjvm_predicatez00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_compilezd2predicatezd2isa3011z00zzjvm_predicatez00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_compilezd2predicatezd2sequence2981z00zzjvm_predicatez00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_requirezd2initializa7ationz75zzjvm_predicatez00 = BUNSPEC;
static obj_t BGl_compilezd2predicatezd2setq2979z00zzjvm_predicatez00(obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl__gotoz00zzjvm_instrz00(BgL_envz00_bglt, obj_t);
static obj_t BGl_compilezd2predicatezd2boxzd2setz123025zc0zzjvm_predicatez00(obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_compilezd2exprzd2zzjvm_exprz00(BgL_nodez00_bglt, BgL_envz00_bglt);
static obj_t BGl_libraryzd2moduleszd2initz00zzjvm_predicatez00();
extern obj_t BGl_vsetz12z12zzast_nodez00;
static obj_t BGl_compilezd2predicatezd2default2970z00zzjvm_predicatez00(BgL_nodez00_bglt, obj_t, obj_t, BgL_envz00_bglt);
extern obj_t BGl_setqz00zzast_nodez00;
static obj_t __cnst[ 3 ] ;

DEFINE_STATIC_PROCEDURE( BGl_proc4048z00zzjvm_predicatez00, BgL_bgl_compileza7d2predicateza7d2atom2973za700za7za7jvm_predicateza7004102z00, BGl_compilezd2predicatezd2atom2973z00zzjvm_predicatez00, 0L, 4 );
DEFINE_STATIC_PROCEDURE( BGl_proc4050z00zzjvm_predicatez00, BgL_bgl_compileza7d2predicateza7d2letza7d2var2977za7d2za7za7jvm_predicateza7004103za7, BGl_compilezd2predicatezd2letzd2var2977zd2zzjvm_predicatez00, 0L, 4 );
DEFINE_STATIC_PROCEDURE( BGl_proc4049z00zzjvm_predicatez00, BgL_bgl_compileza7d2predicateza7d2var2975za700za7za7jvm_predicateza7004104z00, BGl_compilezd2predicatezd2var2975z00zzjvm_predicatez00, 0L, 4 );
DEFINE_EXPORT_GENERIC( BGl_compilezd2predicatezd2envz00zzjvm_predicatez00, BgL_bgl__compileza7d2predicate3756za7d2za7za7jvm_predicateza7004105za7, BGl__compilezd2predicate3756zd2zzjvm_predicatez00, 0L, 4 );
DEFINE_STATIC_PROCEDURE( BGl_proc4051z00zzjvm_predicatez00, BgL_bgl_compileza7d2predicateza7d2setq2979za700za7za7jvm_predicateza7004106z00, BGl_compilezd2predicatezd2setq2979z00zzjvm_predicatez00, 0L, 4 );
DEFINE_STATIC_PROCEDURE( BGl_proc4052z00zzjvm_predicatez00, BgL_bgl_compileza7d2predicateza7d2sequence2981za700za7za7jvm_predicateza7004107z00, BGl_compilezd2predicatezd2sequence2981z00zzjvm_predicatez00, 0L, 4 );
DEFINE_STATIC_PROCEDURE( BGl_proc4053z00zzjvm_predicatez00, BgL_bgl_compileza7d2predicateza7d2conditional2983za700za7za7jvm_predicateza7004108z00, BGl_compilezd2predicatezd2conditional2983z00zzjvm_predicatez00, 0L, 4 );
DEFINE_STATIC_PROCEDURE( BGl_proc4054z00zzjvm_predicatez00, BgL_bgl_compileza7d2predicateza7d2select2985za700za7za7jvm_predicateza7004109z00, BGl_compilezd2predicatezd2select2985z00zzjvm_predicatez00, 0L, 4 );
DEFINE_STATIC_PROCEDURE( BGl_proc4055z00zzjvm_predicatez00, BgL_bgl_compileza7d2predicateza7d2letza7d2fun2987za7d2za7za7jvm_predicateza7004110za7, BGl_compilezd2predicatezd2letzd2fun2987zd2zzjvm_predicatez00, 0L, 4 );
DEFINE_STATIC_PROCEDURE( BGl_proc4056z00zzjvm_predicatez00, BgL_bgl_compileza7d2predicateza7d2app2989za700za7za7jvm_predicateza7004111z00, BGl_compilezd2predicatezd2app2989z00zzjvm_predicatez00, 0L, 4 );
DEFINE_STATIC_PROCEDURE( BGl_proc4057z00zzjvm_predicatez00, BgL_bgl_compileza7d2predicateza7d2appza7d2ly2991za7d2za7za7jvm_predicateza7004112za7, BGl_compilezd2predicatezd2appzd2ly2991zd2zzjvm_predicatez00, 0L, 4 );
DEFINE_STATIC_PROCEDURE( BGl_proc4058z00zzjvm_predicatez00, BgL_bgl_compileza7d2predicateza7d2funcall2993za700za7za7jvm_predicateza7004113z00, BGl_compilezd2predicatezd2funcall2993z00zzjvm_predicatez00, 0L, 4 );
DEFINE_STATIC_PROCEDURE( BGl_proc4060z00zzjvm_predicatez00, BgL_bgl_compileza7d2predicateza7d2getfield2997za700za7za7jvm_predicateza7004114z00, BGl_compilezd2predicatezd2getfield2997z00zzjvm_predicatez00, 0L, 4 );
DEFINE_STATIC_PROCEDURE( BGl_proc4059z00zzjvm_predicatez00, BgL_bgl_compileza7d2predicateza7d2pragma2995za700za7za7jvm_predicateza7004115z00, BGl_compilezd2predicatezd2pragma2995z00zzjvm_predicatez00, 0L, 4 );
DEFINE_STATIC_PROCEDURE( BGl_proc4061z00zzjvm_predicatez00, BgL_bgl_compileza7d2predicateza7d2setfield2999za700za7za7jvm_predicateza7004116z00, BGl_compilezd2predicatezd2setfield2999z00zzjvm_predicatez00, 0L, 4 );
DEFINE_STATIC_PROCEDURE( BGl_proc4062z00zzjvm_predicatez00, BgL_bgl_compileza7d2predicateza7d2new3001za700za7za7jvm_predicateza7004117z00, BGl_compilezd2predicatezd2new3001z00zzjvm_predicatez00, 0L, 4 );
DEFINE_STATIC_PROCEDURE( BGl_proc4063z00zzjvm_predicatez00, BgL_bgl_compileza7d2predicateza7d2valloc3003za700za7za7jvm_predicateza7004118z00, BGl_compilezd2predicatezd2valloc3003z00zzjvm_predicatez00, 0L, 4 );
DEFINE_STATIC_PROCEDURE( BGl_proc4064z00zzjvm_predicatez00, BgL_bgl_compileza7d2predicateza7d2vref3005za700za7za7jvm_predicateza7004119z00, BGl_compilezd2predicatezd2vref3005z00zzjvm_predicatez00, 0L, 4 );
DEFINE_STATIC_PROCEDURE( BGl_proc4065z00zzjvm_predicatez00, BgL_bgl_compileza7d2predicateza7d2vsetza7123007za712za7za7jvm_predicateza7004120za7, BGl_compilezd2predicatezd2vsetz123007z12zzjvm_predicatez00, 0L, 4 );
DEFINE_STATIC_PROCEDURE( BGl_proc4066z00zzjvm_predicatez00, BgL_bgl_compileza7d2predicateza7d2vlength3009za700za7za7jvm_predicateza7004121z00, BGl_compilezd2predicatezd2vlength3009z00zzjvm_predicatez00, 0L, 4 );
DEFINE_STATIC_PROCEDURE( BGl_proc4067z00zzjvm_predicatez00, BgL_bgl_compileza7d2predicateza7d2isa3011za700za7za7jvm_predicateza7004122z00, BGl_compilezd2predicatezd2isa3011z00zzjvm_predicatez00, 0L, 4 );
DEFINE_STATIC_PROCEDURE( BGl_proc4068z00zzjvm_predicatez00, BgL_bgl_compileza7d2predicateza7d2cast3013za700za7za7jvm_predicateza7004123z00, BGl_compilezd2predicatezd2cast3013z00zzjvm_predicatez00, 0L, 4 );
DEFINE_STATIC_PROCEDURE( BGl_proc4070z00zzjvm_predicatez00, BgL_bgl_compileza7d2predicateza7d2jumpza7d2exza7d2it3017za700za7za7jvm_predicateza7004124z00, BGl_compilezd2predicatezd2jumpzd2exzd2it3017z00zzjvm_predicatez00, 0L, 4 );
DEFINE_STATIC_PROCEDURE( BGl_proc4069z00zzjvm_predicatez00, BgL_bgl_compileza7d2predicateza7d2setza7d2exza7d2it3015za700za7za7jvm_predicateza7004125z00, BGl_compilezd2predicatezd2setzd2exzd2it3015z00zzjvm_predicatez00, 0L, 4 );
DEFINE_STATIC_PROCEDURE( BGl_proc4071z00zzjvm_predicatez00, BgL_bgl_compileza7d2predicateza7d2fail3019za700za7za7jvm_predicateza7004126z00, BGl_compilezd2predicatezd2fail3019z00zzjvm_predicatez00, 0L, 4 );
DEFINE_STATIC_PROCEDURE( BGl_proc4072z00zzjvm_predicatez00, BgL_bgl_compileza7d2predicateza7d2makeza7d2box3021za7d2za7za7jvm_predicateza7004127za7, BGl_compilezd2predicatezd2makezd2box3021zd2zzjvm_predicatez00, 0L, 4 );
DEFINE_STATIC_PROCEDURE( BGl_proc4073z00zzjvm_predicatez00, BgL_bgl_compileza7d2predicateza7d2boxza7d2ref3023za7d2za7za7jvm_predicateza7004128za7, BGl_compilezd2predicatezd2boxzd2ref3023zd2zzjvm_predicatez00, 0L, 4 );
DEFINE_STATIC_PROCEDURE( BGl_proc4074z00zzjvm_predicatez00, BgL_bgl_compileza7d2predicateza7d2boxza7d2setza7123025za7c0za7za7jvm_predicateza7004129z00, BGl_compilezd2predicatezd2boxzd2setz123025zc0zzjvm_predicatez00, 0L, 4 );
DEFINE_STATIC_PROCEDURE( BGl_compilezd2predicatezd2default2970zd2envzd2zzjvm_predicatez00, BgL_bgl__compileza7d2predicateza7d2default2970za700za7za7jvm_predicateza7004130z00, BGl__compilezd2predicatezd2default2970z00zzjvm_predicatez00, 0L, 4 );
DEFINE_STRING( BGl_string4076z00zzjvm_predicatez00, BgL_bgl_string4076za700za7za7jvm_predicateza7004131z00, "compile-predicate-default2970 ok eq ", 36 );
DEFINE_STRING( BGl_string4075z00zzjvm_predicatez00, BgL_bgl_string4075za700za7za7jvm_predicateza7004132z00, "No method for this object", 25 );



/* module-initialization */
obj_t BGl_modulezd2initializa7ationz75zzjvm_predicatez00(long BgL_checksumz00_3390, char * BgL_fromz00_3391)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zzjvm_predicatez00))
{ 
BGl_requirezd2initializa7ationz75zzjvm_predicatez00 = 
BBOOL(((bool_t)0)); 
BGl_libraryzd2moduleszd2initz00zzjvm_predicatez00(); 
BGl_cnstzd2initzd2zzjvm_predicatez00(); 
BGl_importedzd2moduleszd2initz00zzjvm_predicatez00(); 
BGl_methodzd2initzd2zzjvm_predicatez00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zzjvm_predicatez00()
{ AN_OBJECT;
{ /* Jvm/predicate.scm 2 */
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "jvm_predicate"); 
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "jvm_predicate"); 
return BUNSPEC;} 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zzjvm_predicatez00()
{ AN_OBJECT;
{ /* Jvm/predicate.scm 2 */
{ /* Jvm/predicate.scm 2 */
obj_t BgL_cportz00_3383;
BgL_cportz00_3383 = 
open_input_string(BGl_string4076z00zzjvm_predicatez00); 
{ 
long BgL_iz00_3384;
BgL_iz00_3384 = ((long)2); 
BgL_loopz00_3385:
if(
(BgL_iz00_3384==((long)-1)))
{ /* Jvm/predicate.scm 2 */
return BUNSPEC;}  else 
{ /* Jvm/predicate.scm 2 */
{ /* Jvm/predicate.scm 2 */
obj_t BgL_arg4080z00_3387;
{ /* Jvm/predicate.scm 2 */
obj_t BgL_list4083z00_3388;
BgL_list4083z00_3388 = 
MAKE_PAIR(BgL_cportz00_3383, BNIL); 
BgL_arg4080z00_3387 = 
BGl_readz00zz__readerz00(BgL_list4083z00_3388); } 
{ /* Jvm/predicate.scm 2 */
int BgL_auxz00_3406;
BgL_auxz00_3406 = 
(int)(BgL_iz00_3384); 
CNST_TABLE_SET(BgL_auxz00_3406, BgL_arg4080z00_3387); } } 
{ 
long BgL_iz00_3409;
{ /* Jvm/predicate.scm 2 */
int BgL_auxz00_3410;
{ /* Jvm/predicate.scm 2 */
long BgL_auxz00_3411;
BgL_auxz00_3411 = 
(BgL_iz00_3384-((long)1)); 
BgL_auxz00_3410 = 
(int)(BgL_auxz00_3411); } 
BgL_iz00_3409 = 
(long)(BgL_auxz00_3410); } 
BgL_iz00_3384 = BgL_iz00_3409; 
goto BgL_loopz00_3385;} } } } } 
}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zzjvm_predicatez00()
{ AN_OBJECT;
{ /* Jvm/predicate.scm 2 */
return BUNSPEC;} 
}



/* method-init */
obj_t BGl_methodzd2initzd2zzjvm_predicatez00()
{ AN_OBJECT;
{ /* Jvm/predicate.scm 2 */
BGl_addzd2genericz12zc0zz__objectz00(BGl_compilezd2predicatezd2envz00zzjvm_predicatez00, BGl_compilezd2predicatezd2default2970zd2envzd2zzjvm_predicatez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2predicatezd2envz00zzjvm_predicatez00, BGl_atomz00zzast_nodez00, BGl_proc4048z00zzjvm_predicatez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2predicatezd2envz00zzjvm_predicatez00, BGl_varz00zzast_nodez00, BGl_proc4049z00zzjvm_predicatez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2predicatezd2envz00zzjvm_predicatez00, BGl_letzd2varzd2zzast_nodez00, BGl_proc4050z00zzjvm_predicatez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2predicatezd2envz00zzjvm_predicatez00, BGl_setqz00zzast_nodez00, BGl_proc4051z00zzjvm_predicatez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2predicatezd2envz00zzjvm_predicatez00, BGl_sequencez00zzast_nodez00, BGl_proc4052z00zzjvm_predicatez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2predicatezd2envz00zzjvm_predicatez00, BGl_conditionalz00zzast_nodez00, BGl_proc4053z00zzjvm_predicatez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2predicatezd2envz00zzjvm_predicatez00, BGl_selectz00zzast_nodez00, BGl_proc4054z00zzjvm_predicatez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2predicatezd2envz00zzjvm_predicatez00, BGl_letzd2funzd2zzast_nodez00, BGl_proc4055z00zzjvm_predicatez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2predicatezd2envz00zzjvm_predicatez00, BGl_appz00zzast_nodez00, BGl_proc4056z00zzjvm_predicatez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2predicatezd2envz00zzjvm_predicatez00, BGl_appzd2lyzd2zzast_nodez00, BGl_proc4057z00zzjvm_predicatez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2predicatezd2envz00zzjvm_predicatez00, BGl_funcallz00zzast_nodez00, BGl_proc4058z00zzjvm_predicatez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2predicatezd2envz00zzjvm_predicatez00, BGl_pragmaz00zzast_nodez00, BGl_proc4059z00zzjvm_predicatez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2predicatezd2envz00zzjvm_predicatez00, BGl_getfieldz00zzast_nodez00, BGl_proc4060z00zzjvm_predicatez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2predicatezd2envz00zzjvm_predicatez00, BGl_setfieldz00zzast_nodez00, BGl_proc4061z00zzjvm_predicatez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2predicatezd2envz00zzjvm_predicatez00, BGl_newz00zzast_nodez00, BGl_proc4062z00zzjvm_predicatez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2predicatezd2envz00zzjvm_predicatez00, BGl_vallocz00zzast_nodez00, BGl_proc4063z00zzjvm_predicatez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2predicatezd2envz00zzjvm_predicatez00, BGl_vrefz00zzast_nodez00, BGl_proc4064z00zzjvm_predicatez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2predicatezd2envz00zzjvm_predicatez00, BGl_vsetz12z12zzast_nodez00, BGl_proc4065z00zzjvm_predicatez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2predicatezd2envz00zzjvm_predicatez00, BGl_vlengthz00zzast_nodez00, BGl_proc4066z00zzjvm_predicatez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2predicatezd2envz00zzjvm_predicatez00, BGl_isaz00zzast_nodez00, BGl_proc4067z00zzjvm_predicatez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2predicatezd2envz00zzjvm_predicatez00, BGl_castz00zzast_nodez00, BGl_proc4068z00zzjvm_predicatez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2predicatezd2envz00zzjvm_predicatez00, BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc4069z00zzjvm_predicatez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2predicatezd2envz00zzjvm_predicatez00, BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc4070z00zzjvm_predicatez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2predicatezd2envz00zzjvm_predicatez00, BGl_failz00zzast_nodez00, BGl_proc4071z00zzjvm_predicatez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2predicatezd2envz00zzjvm_predicatez00, BGl_makezd2boxzd2zzast_nodez00, BGl_proc4072z00zzjvm_predicatez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2predicatezd2envz00zzjvm_predicatez00, BGl_boxzd2refzd2zzast_nodez00, BGl_proc4073z00zzjvm_predicatez00); 
return 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2predicatezd2envz00zzjvm_predicatez00, BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc4074z00zzjvm_predicatez00);} 
}



/* compile-predicate-box-set!3025 */
obj_t BGl_compilezd2predicatezd2boxzd2setz123025zc0zzjvm_predicatez00(obj_t BgL_envz00_3213, obj_t BgL_ez00_3214, obj_t BgL_tz00_3215, obj_t BgL_fz00_3216, obj_t BgL_envz00_3217)
{ AN_OBJECT;
{ /* Jvm/predicate.scm 115 */
{ 
BgL_boxzd2setz12zc0_bglt BgL_ez00_2287;obj_t BgL_tz00_2288;obj_t BgL_fz00_2289;BgL_envz00_bglt BgL_envz00_2290;
BgL_ez00_2287 = 
(BgL_boxzd2setz12zc0_bglt)(BgL_ez00_3214); 
BgL_tz00_2288 = BgL_tz00_3215; 
BgL_fz00_2289 = BgL_fz00_3216; 
BgL_envz00_2290 = 
(BgL_envz00_bglt)(BgL_envz00_3217); 
BGl_compilezd2effectzd2zzjvm_effectz00(
(BgL_nodez00_bglt)(BgL_ez00_2287), BgL_envz00_2290); 
return 
BGl__gotoz00zzjvm_instrz00(BgL_envz00_2290, BgL_tz00_2288);} } 
}



/* compile-predicate-box-ref3023 */
obj_t BGl_compilezd2predicatezd2boxzd2ref3023zd2zzjvm_predicatez00(obj_t BgL_envz00_3218, obj_t BgL_ez00_3219, obj_t BgL_tz00_3220, obj_t BgL_fz00_3221, obj_t BgL_envz00_3222)
{ AN_OBJECT;
{ /* Jvm/predicate.scm 112 */
{ 
BgL_boxzd2refzd2_bglt BgL_ez00_2279;obj_t BgL_tz00_2280;obj_t BgL_fz00_2281;BgL_envz00_bglt BgL_envz00_2282;
BgL_ez00_2279 = 
(BgL_boxzd2refzd2_bglt)(BgL_ez00_3219); 
BgL_tz00_2280 = BgL_tz00_3220; 
BgL_fz00_2281 = BgL_fz00_3221; 
BgL_envz00_2282 = 
(BgL_envz00_bglt)(BgL_envz00_3222); 
BGl_compilezd2exprzd2zzjvm_exprz00(
(BgL_nodez00_bglt)(BgL_ez00_2279), BgL_envz00_2282); 
BGl__ifz00zzjvm_instrz00(
CNST_TABLE_REF(((long)0)), BgL_envz00_2282, BgL_fz00_2281); 
return 
BGl__gotoz00zzjvm_instrz00(BgL_envz00_2282, BgL_tz00_2280);} } 
}



/* compile-predicate-make-box3021 */
obj_t BGl_compilezd2predicatezd2makezd2box3021zd2zzjvm_predicatez00(obj_t BgL_envz00_3223, obj_t BgL_ez00_3224, obj_t BgL_tz00_3225, obj_t BgL_fz00_3226, obj_t BgL_envz00_3227)
{ AN_OBJECT;
{ /* Jvm/predicate.scm 109 */
{ 
BgL_makezd2boxzd2_bglt BgL_ez00_2271;obj_t BgL_tz00_2272;obj_t BgL_fz00_2273;BgL_envz00_bglt BgL_envz00_2274;
BgL_ez00_2271 = 
(BgL_makezd2boxzd2_bglt)(BgL_ez00_3224); 
BgL_tz00_2272 = BgL_tz00_3225; 
BgL_fz00_2273 = BgL_fz00_3226; 
BgL_envz00_2274 = 
(BgL_envz00_bglt)(BgL_envz00_3227); 
BGl_compilezd2effectzd2zzjvm_effectz00(
(BgL_nodez00_bglt)(BgL_ez00_2271), BgL_envz00_2274); 
return 
BGl__gotoz00zzjvm_instrz00(BgL_envz00_2274, BgL_tz00_2272);} } 
}



/* compile-predicate-fail3019 */
obj_t BGl_compilezd2predicatezd2fail3019z00zzjvm_predicatez00(obj_t BgL_envz00_3228, obj_t BgL_ez00_3229, obj_t BgL_tz00_3230, obj_t BgL_fz00_3231, obj_t BgL_envz00_3232)
{ AN_OBJECT;
{ /* Jvm/predicate.scm 106 */
{ 
BgL_failz00_bglt BgL_ez00_2263;obj_t BgL_tz00_2264;obj_t BgL_fz00_2265;BgL_envz00_bglt BgL_envz00_2266;
BgL_ez00_2263 = 
(BgL_failz00_bglt)(BgL_ez00_3229); 
BgL_tz00_2264 = BgL_tz00_3230; 
BgL_fz00_2265 = BgL_fz00_3231; 
BgL_envz00_2266 = 
(BgL_envz00_bglt)(BgL_envz00_3232); 
BGl_compilezd2exprzd2zzjvm_exprz00(
(BgL_nodez00_bglt)(BgL_ez00_2263), BgL_envz00_2266); 
BGl__ifz00zzjvm_instrz00(
CNST_TABLE_REF(((long)0)), BgL_envz00_2266, BgL_fz00_2265); 
return 
BGl__gotoz00zzjvm_instrz00(BgL_envz00_2266, BgL_tz00_2264);} } 
}



/* compile-predicate-jump-ex-it3017 */
obj_t BGl_compilezd2predicatezd2jumpzd2exzd2it3017z00zzjvm_predicatez00(obj_t BgL_envz00_3233, obj_t BgL_ez00_3234, obj_t BgL_tz00_3235, obj_t BgL_fz00_3236, obj_t BgL_envz00_3237)
{ AN_OBJECT;
{ /* Jvm/predicate.scm 103 */
{ 
BgL_jumpzd2exzd2itz00_bglt BgL_ez00_2255;obj_t BgL_tz00_2256;obj_t BgL_fz00_2257;BgL_envz00_bglt BgL_envz00_2258;
BgL_ez00_2255 = 
(BgL_jumpzd2exzd2itz00_bglt)(BgL_ez00_3234); 
BgL_tz00_2256 = BgL_tz00_3235; 
BgL_fz00_2257 = BgL_fz00_3236; 
BgL_envz00_2258 = 
(BgL_envz00_bglt)(BgL_envz00_3237); 
BGl_compilezd2exprzd2zzjvm_exprz00(
(BgL_nodez00_bglt)(BgL_ez00_2255), BgL_envz00_2258); 
BGl__ifz00zzjvm_instrz00(
CNST_TABLE_REF(((long)0)), BgL_envz00_2258, BgL_fz00_2257); 
return 
BGl__gotoz00zzjvm_instrz00(BgL_envz00_2258, BgL_tz00_2256);} } 
}



/* compile-predicate-set-ex-it3015 */
obj_t BGl_compilezd2predicatezd2setzd2exzd2it3015z00zzjvm_predicatez00(obj_t BgL_envz00_3238, obj_t BgL_ez00_3239, obj_t BgL_tz00_3240, obj_t BgL_fz00_3241, obj_t BgL_envz00_3242)
{ AN_OBJECT;
{ /* Jvm/predicate.scm 100 */
{ 
BgL_setzd2exzd2itz00_bglt BgL_ez00_2247;obj_t BgL_tz00_2248;obj_t BgL_fz00_2249;BgL_envz00_bglt BgL_envz00_2250;
BgL_ez00_2247 = 
(BgL_setzd2exzd2itz00_bglt)(BgL_ez00_3239); 
BgL_tz00_2248 = BgL_tz00_3240; 
BgL_fz00_2249 = BgL_fz00_3241; 
BgL_envz00_2250 = 
(BgL_envz00_bglt)(BgL_envz00_3242); 
BGl_compilezd2exprzd2zzjvm_exprz00(
(BgL_nodez00_bglt)(BgL_ez00_2247), BgL_envz00_2250); 
BGl__ifz00zzjvm_instrz00(
CNST_TABLE_REF(((long)0)), BgL_envz00_2250, BgL_fz00_2249); 
return 
BGl__gotoz00zzjvm_instrz00(BgL_envz00_2250, BgL_tz00_2248);} } 
}



/* compile-predicate-cast3013 */
obj_t BGl_compilezd2predicatezd2cast3013z00zzjvm_predicatez00(obj_t BgL_envz00_3243, obj_t BgL_ez00_3244, obj_t BgL_tz00_3245, obj_t BgL_fz00_3246, obj_t BgL_envz00_3247)
{ AN_OBJECT;
{ /* Jvm/predicate.scm 96 */
{ 
BgL_castz00_bglt BgL_ez00_2234;obj_t BgL_tz00_2235;obj_t BgL_fz00_2236;BgL_envz00_bglt BgL_envz00_2237;
BgL_ez00_2234 = 
(BgL_castz00_bglt)(BgL_ez00_3244); 
BgL_tz00_2235 = BgL_tz00_3245; 
BgL_fz00_2236 = BgL_fz00_3246; 
BgL_envz00_2237 = 
(BgL_envz00_bglt)(BgL_envz00_3247); 
{ /* Jvm/predicate.scm 97 */
obj_t BgL_compz00_3181;
{ 
int BgL_auxz00_3483;int BgL_auxz00_3481;
BgL_auxz00_3483 = 
(int)(((long)2)); 
BgL_auxz00_3481 = 
(int)(((long)2)); 
BgL_compz00_3181 = 
make_fx_procedure(BGl_compz00zzjvm_predicatez00, BgL_auxz00_3481, BgL_auxz00_3483); } 
{ /* Jvm/predicate.scm 97 */
int BgL_auxz00_3486;
BgL_auxz00_3486 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_compz00_3181, BgL_auxz00_3486, BgL_tz00_2235); } 
{ /* Jvm/predicate.scm 97 */
int BgL_auxz00_3489;
BgL_auxz00_3489 = 
(int)(((long)1)); 
PROCEDURE_SET(BgL_compz00_3181, BgL_auxz00_3489, BgL_fz00_2236); } 
return 
BGl_compilerzd2castzd2zzjvm_compilerz00(BgL_ez00_2234, BgL_envz00_2237, BgL_compz00_3181);} } } 
}



/* comp */
obj_t BGl_compz00zzjvm_predicatez00(obj_t BgL_envz00_3248, obj_t BgL_ez00_3251, obj_t BgL_envz00_3252)
{ AN_OBJECT;
{ /* Jvm/predicate.scm 97 */
{ /* Jvm/predicate.scm 97 */
obj_t BgL_tz00_3249;obj_t BgL_fz00_3250;
{ /* Jvm/predicate.scm 97 */
int BgL_auxz00_3495;
BgL_auxz00_3495 = 
(int)(((long)0)); 
BgL_tz00_3249 = 
PROCEDURE_REF(BgL_envz00_3248, BgL_auxz00_3495); } 
{ /* Jvm/predicate.scm 97 */
int BgL_auxz00_3498;
BgL_auxz00_3498 = 
(int)(((long)1)); 
BgL_fz00_3250 = 
PROCEDURE_REF(BgL_envz00_3248, BgL_auxz00_3498); } 
{ 
obj_t BgL_ez00_3094;obj_t BgL_envz00_3095;
BgL_ez00_3094 = BgL_ez00_3251; 
BgL_envz00_3095 = BgL_envz00_3252; 
{ /* Jvm/predicate.scm 97 */
BgL_nodez00_bglt BgL_ez00_3096;BgL_envz00_bglt BgL_envz00_3099;
BgL_ez00_3096 = 
(BgL_nodez00_bglt)(BgL_ez00_3094); 
BgL_envz00_3099 = 
(BgL_envz00_bglt)(BgL_envz00_3095); 
{ /* Jvm/predicate.scm 97 */
obj_t BgL_method2971z00_3100;
{ /* Jvm/predicate.scm 97 */
long BgL_objzd2classzd2numz00_3102;
{ /* Jvm/predicate.scm 97 */
BgL_objectz00_bglt BgL_auxz00_3503;
BgL_auxz00_3503 = 
(BgL_objectz00_bglt)(BgL_ez00_3096); 
BgL_objzd2classzd2numz00_3102 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3503); } 
{ /* Jvm/predicate.scm 97 */
obj_t BgL_arg1904z00_3103;
{ /* Jvm/predicate.scm 97 */
int BgL_auxz00_3506;
BgL_auxz00_3506 = 
(int)(((long)1)); 
BgL_arg1904z00_3103 = 
PROCEDURE_REF(BGl_compilezd2predicatezd2envz00zzjvm_predicatez00, BgL_auxz00_3506); } 
{ /* Jvm/predicate.scm 97 */
long BgL_offsetz00_3107;
{ /* Jvm/predicate.scm 97 */
long BgL_auxz00_3509;
{ /* Jvm/predicate.scm 97 */
int BgL_auxz00_3510;
BgL_auxz00_3510 = 
(int)(BgL_objzd2classzd2numz00_3102); 
BgL_auxz00_3509 = 
(long)(BgL_auxz00_3510); } 
BgL_offsetz00_3107 = 
(BgL_auxz00_3509-OBJECT_TYPE); } 
{ /* Jvm/predicate.scm 97 */
long BgL_modz00_3108;
{ /* Jvm/predicate.scm 97 */
long BgL_auxz00_3514;
{ /* Jvm/predicate.scm 97 */
int BgL_auxz00_3515;
BgL_auxz00_3515 = 
(int)(((long)8)); 
BgL_auxz00_3514 = 
(long)(BgL_auxz00_3515); } 
BgL_modz00_3108 = 
(BgL_offsetz00_3107/BgL_auxz00_3514); } 
{ /* Jvm/predicate.scm 97 */
long BgL_restz00_3110;
{ /* Jvm/predicate.scm 97 */
long BgL_auxz00_3519;
{ /* Jvm/predicate.scm 97 */
int BgL_auxz00_3520;
BgL_auxz00_3520 = 
(int)(((long)8)); 
BgL_auxz00_3519 = 
(long)(BgL_auxz00_3520); } 
BgL_restz00_3110 = 
(BgL_offsetz00_3107%BgL_auxz00_3519); } 
{ /* Jvm/predicate.scm 97 */

{ /* Jvm/predicate.scm 97 */
obj_t BgL_bucketz00_3112;
{ /* Jvm/predicate.scm 97 */
int BgL_kz00_3122;
BgL_kz00_3122 = 
(int)(BgL_modz00_3108); 
BgL_bucketz00_3112 = 
VECTOR_REF(BgL_arg1904z00_3103,BgL_kz00_3122); } 
{ /* Jvm/predicate.scm 97 */
int BgL_kz00_3124;
BgL_kz00_3124 = 
(int)(BgL_restz00_3110); 
BgL_method2971z00_3100 = 
VECTOR_REF(BgL_bucketz00_3112,BgL_kz00_3124); } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method2971z00_3100)(BgL_method2971z00_3100, 
(obj_t)(BgL_ez00_3096), BgL_tz00_3249, BgL_fz00_3250, 
(obj_t)(BgL_envz00_3099), BEOA);} } } } } 
}



/* compile-predicate-isa3011 */
obj_t BGl_compilezd2predicatezd2isa3011z00zzjvm_predicatez00(obj_t BgL_envz00_3253, obj_t BgL_ez00_3254, obj_t BgL_tz00_3255, obj_t BgL_fz00_3256, obj_t BgL_envz00_3257)
{ AN_OBJECT;
{ /* Jvm/predicate.scm 93 */
{ 
BgL_isaz00_bglt BgL_ez00_2226;obj_t BgL_tz00_2227;obj_t BgL_fz00_2228;BgL_envz00_bglt BgL_envz00_2229;
BgL_ez00_2226 = 
(BgL_isaz00_bglt)(BgL_ez00_3254); 
BgL_tz00_2227 = BgL_tz00_3255; 
BgL_fz00_2228 = BgL_fz00_3256; 
BgL_envz00_2229 = 
(BgL_envz00_bglt)(BgL_envz00_3257); 
BGl_compilezd2exprzd2zzjvm_exprz00(
(BgL_nodez00_bglt)(BgL_ez00_2226), BgL_envz00_2229); 
BGl__ifz00zzjvm_instrz00(
CNST_TABLE_REF(((long)0)), BgL_envz00_2229, BgL_fz00_2228); 
return 
BGl__gotoz00zzjvm_instrz00(BgL_envz00_2229, BgL_tz00_2227);} } 
}



/* compile-predicate-vlength3009 */
obj_t BGl_compilezd2predicatezd2vlength3009z00zzjvm_predicatez00(obj_t BgL_envz00_3258, obj_t BgL_ez00_3259, obj_t BgL_tz00_3260, obj_t BgL_fz00_3261, obj_t BgL_envz00_3262)
{ AN_OBJECT;
{ /* Jvm/predicate.scm 90 */
{ 
BgL_vlengthz00_bglt BgL_ez00_2218;obj_t BgL_tz00_2219;obj_t BgL_fz00_2220;BgL_envz00_bglt BgL_envz00_2221;
BgL_ez00_2218 = 
(BgL_vlengthz00_bglt)(BgL_ez00_3259); 
BgL_tz00_2219 = BgL_tz00_3260; 
BgL_fz00_2220 = BgL_fz00_3261; 
BgL_envz00_2221 = 
(BgL_envz00_bglt)(BgL_envz00_3262); 
BGl_compilezd2exprzd2zzjvm_exprz00(
(BgL_nodez00_bglt)(BgL_ez00_2218), BgL_envz00_2221); 
BGl__ifz00zzjvm_instrz00(
CNST_TABLE_REF(((long)0)), BgL_envz00_2221, BgL_fz00_2220); 
return 
BGl__gotoz00zzjvm_instrz00(BgL_envz00_2221, BgL_tz00_2219);} } 
}



/* compile-predicate-vset!3007 */
obj_t BGl_compilezd2predicatezd2vsetz123007z12zzjvm_predicatez00(obj_t BgL_envz00_3263, obj_t BgL_ez00_3264, obj_t BgL_tz00_3265, obj_t BgL_fz00_3266, obj_t BgL_envz00_3267)
{ AN_OBJECT;
{ /* Jvm/predicate.scm 87 */
{ 
BgL_vsetz12z12_bglt BgL_ez00_2210;obj_t BgL_tz00_2211;obj_t BgL_fz00_2212;BgL_envz00_bglt BgL_envz00_2213;
BgL_ez00_2210 = 
(BgL_vsetz12z12_bglt)(BgL_ez00_3264); 
BgL_tz00_2211 = BgL_tz00_3265; 
BgL_fz00_2212 = BgL_fz00_3266; 
BgL_envz00_2213 = 
(BgL_envz00_bglt)(BgL_envz00_3267); 
BGl_compilezd2effectzd2zzjvm_effectz00(
(BgL_nodez00_bglt)(BgL_ez00_2210), BgL_envz00_2213); 
return 
BGl__gotoz00zzjvm_instrz00(BgL_envz00_2213, BgL_tz00_2211);} } 
}



/* compile-predicate-vref3005 */
obj_t BGl_compilezd2predicatezd2vref3005z00zzjvm_predicatez00(obj_t BgL_envz00_3268, obj_t BgL_ez00_3269, obj_t BgL_tz00_3270, obj_t BgL_fz00_3271, obj_t BgL_envz00_3272)
{ AN_OBJECT;
{ /* Jvm/predicate.scm 84 */
{ 
BgL_vrefz00_bglt BgL_ez00_2202;obj_t BgL_tz00_2203;obj_t BgL_fz00_2204;BgL_envz00_bglt BgL_envz00_2205;
BgL_ez00_2202 = 
(BgL_vrefz00_bglt)(BgL_ez00_3269); 
BgL_tz00_2203 = BgL_tz00_3270; 
BgL_fz00_2204 = BgL_fz00_3271; 
BgL_envz00_2205 = 
(BgL_envz00_bglt)(BgL_envz00_3272); 
BGl_compilezd2exprzd2zzjvm_exprz00(
(BgL_nodez00_bglt)(BgL_ez00_2202), BgL_envz00_2205); 
BGl__ifz00zzjvm_instrz00(
CNST_TABLE_REF(((long)0)), BgL_envz00_2205, BgL_fz00_2204); 
return 
BGl__gotoz00zzjvm_instrz00(BgL_envz00_2205, BgL_tz00_2203);} } 
}



/* compile-predicate-valloc3003 */
obj_t BGl_compilezd2predicatezd2valloc3003z00zzjvm_predicatez00(obj_t BgL_envz00_3273, obj_t BgL_ez00_3274, obj_t BgL_tz00_3275, obj_t BgL_fz00_3276, obj_t BgL_envz00_3277)
{ AN_OBJECT;
{ /* Jvm/predicate.scm 81 */
{ 
BgL_vallocz00_bglt BgL_ez00_2194;obj_t BgL_tz00_2195;obj_t BgL_fz00_2196;BgL_envz00_bglt BgL_envz00_2197;
BgL_ez00_2194 = 
(BgL_vallocz00_bglt)(BgL_ez00_3274); 
BgL_tz00_2195 = BgL_tz00_3275; 
BgL_fz00_2196 = BgL_fz00_3276; 
BgL_envz00_2197 = 
(BgL_envz00_bglt)(BgL_envz00_3277); 
BGl_compilezd2effectzd2zzjvm_effectz00(
(BgL_nodez00_bglt)(BgL_ez00_2194), BgL_envz00_2197); 
return 
BGl__gotoz00zzjvm_instrz00(BgL_envz00_2197, BgL_tz00_2195);} } 
}



/* compile-predicate-new3001 */
obj_t BGl_compilezd2predicatezd2new3001z00zzjvm_predicatez00(obj_t BgL_envz00_3278, obj_t BgL_ez00_3279, obj_t BgL_tz00_3280, obj_t BgL_fz00_3281, obj_t BgL_envz00_3282)
{ AN_OBJECT;
{ /* Jvm/predicate.scm 78 */
{ 
BgL_newz00_bglt BgL_ez00_2186;obj_t BgL_tz00_2187;obj_t BgL_fz00_2188;BgL_envz00_bglt BgL_envz00_2189;
BgL_ez00_2186 = 
(BgL_newz00_bglt)(BgL_ez00_3279); 
BgL_tz00_2187 = BgL_tz00_3280; 
BgL_fz00_2188 = BgL_fz00_3281; 
BgL_envz00_2189 = 
(BgL_envz00_bglt)(BgL_envz00_3282); 
BGl_compilezd2effectzd2zzjvm_effectz00(
(BgL_nodez00_bglt)(BgL_ez00_2186), BgL_envz00_2189); 
return 
BGl__gotoz00zzjvm_instrz00(BgL_envz00_2189, BgL_tz00_2187);} } 
}



/* compile-predicate-setfield2999 */
obj_t BGl_compilezd2predicatezd2setfield2999z00zzjvm_predicatez00(obj_t BgL_envz00_3283, obj_t BgL_ez00_3284, obj_t BgL_tz00_3285, obj_t BgL_fz00_3286, obj_t BgL_envz00_3287)
{ AN_OBJECT;
{ /* Jvm/predicate.scm 75 */
{ 
BgL_setfieldz00_bglt BgL_ez00_2178;obj_t BgL_tz00_2179;obj_t BgL_fz00_2180;BgL_envz00_bglt BgL_envz00_2181;
BgL_ez00_2178 = 
(BgL_setfieldz00_bglt)(BgL_ez00_3284); 
BgL_tz00_2179 = BgL_tz00_3285; 
BgL_fz00_2180 = BgL_fz00_3286; 
BgL_envz00_2181 = 
(BgL_envz00_bglt)(BgL_envz00_3287); 
BGl_compilezd2effectzd2zzjvm_effectz00(
(BgL_nodez00_bglt)(BgL_ez00_2178), BgL_envz00_2181); 
return 
BGl__gotoz00zzjvm_instrz00(BgL_envz00_2181, BgL_tz00_2179);} } 
}



/* compile-predicate-getfield2997 */
obj_t BGl_compilezd2predicatezd2getfield2997z00zzjvm_predicatez00(obj_t BgL_envz00_3288, obj_t BgL_ez00_3289, obj_t BgL_tz00_3290, obj_t BgL_fz00_3291, obj_t BgL_envz00_3292)
{ AN_OBJECT;
{ /* Jvm/predicate.scm 72 */
{ 
BgL_getfieldz00_bglt BgL_ez00_2170;obj_t BgL_tz00_2171;obj_t BgL_fz00_2172;BgL_envz00_bglt BgL_envz00_2173;
BgL_ez00_2170 = 
(BgL_getfieldz00_bglt)(BgL_ez00_3289); 
BgL_tz00_2171 = BgL_tz00_3290; 
BgL_fz00_2172 = BgL_fz00_3291; 
BgL_envz00_2173 = 
(BgL_envz00_bglt)(BgL_envz00_3292); 
BGl_compilezd2exprzd2zzjvm_exprz00(
(BgL_nodez00_bglt)(BgL_ez00_2170), BgL_envz00_2173); 
BGl__ifz00zzjvm_instrz00(
CNST_TABLE_REF(((long)0)), BgL_envz00_2173, BgL_fz00_2172); 
return 
BGl__gotoz00zzjvm_instrz00(BgL_envz00_2173, BgL_tz00_2171);} } 
}



/* compile-predicate-pragma2995 */
obj_t BGl_compilezd2predicatezd2pragma2995z00zzjvm_predicatez00(obj_t BgL_envz00_3293, obj_t BgL_ez00_3294, obj_t BgL_tz00_3295, obj_t BgL_fz00_3296, obj_t BgL_envz00_3297)
{ AN_OBJECT;
{ /* Jvm/predicate.scm 69 */
{ 
BgL_pragmaz00_bglt BgL_ez00_2162;obj_t BgL_tz00_2163;obj_t BgL_fz00_2164;BgL_envz00_bglt BgL_envz00_2165;
BgL_ez00_2162 = 
(BgL_pragmaz00_bglt)(BgL_ez00_3294); 
BgL_tz00_2163 = BgL_tz00_3295; 
BgL_fz00_2164 = BgL_fz00_3296; 
BgL_envz00_2165 = 
(BgL_envz00_bglt)(BgL_envz00_3297); 
BGl_compilezd2exprzd2zzjvm_exprz00(
(BgL_nodez00_bglt)(BgL_ez00_2162), BgL_envz00_2165); 
BGl__ifz00zzjvm_instrz00(
CNST_TABLE_REF(((long)0)), BgL_envz00_2165, BgL_fz00_2164); 
return 
BGl__gotoz00zzjvm_instrz00(BgL_envz00_2165, BgL_tz00_2163);} } 
}



/* compile-predicate-funcall2993 */
obj_t BGl_compilezd2predicatezd2funcall2993z00zzjvm_predicatez00(obj_t BgL_envz00_3298, obj_t BgL_ez00_3299, obj_t BgL_tz00_3300, obj_t BgL_fz00_3301, obj_t BgL_envz00_3302)
{ AN_OBJECT;
{ /* Jvm/predicate.scm 66 */
{ 
BgL_funcallz00_bglt BgL_ez00_2154;obj_t BgL_tz00_2155;obj_t BgL_fz00_2156;BgL_envz00_bglt BgL_envz00_2157;
BgL_ez00_2154 = 
(BgL_funcallz00_bglt)(BgL_ez00_3299); 
BgL_tz00_2155 = BgL_tz00_3300; 
BgL_fz00_2156 = BgL_fz00_3301; 
BgL_envz00_2157 = 
(BgL_envz00_bglt)(BgL_envz00_3302); 
BGl_compilezd2exprzd2zzjvm_exprz00(
(BgL_nodez00_bglt)(BgL_ez00_2154), BgL_envz00_2157); 
BGl__ifz00zzjvm_instrz00(
CNST_TABLE_REF(((long)0)), BgL_envz00_2157, BgL_fz00_2156); 
return 
BGl__gotoz00zzjvm_instrz00(BgL_envz00_2157, BgL_tz00_2155);} } 
}



/* compile-predicate-app-ly2991 */
obj_t BGl_compilezd2predicatezd2appzd2ly2991zd2zzjvm_predicatez00(obj_t BgL_envz00_3303, obj_t BgL_ez00_3304, obj_t BgL_tz00_3305, obj_t BgL_fz00_3306, obj_t BgL_envz00_3307)
{ AN_OBJECT;
{ /* Jvm/predicate.scm 63 */
{ 
BgL_appzd2lyzd2_bglt BgL_ez00_2146;obj_t BgL_tz00_2147;obj_t BgL_fz00_2148;BgL_envz00_bglt BgL_envz00_2149;
BgL_ez00_2146 = 
(BgL_appzd2lyzd2_bglt)(BgL_ez00_3304); 
BgL_tz00_2147 = BgL_tz00_3305; 
BgL_fz00_2148 = BgL_fz00_3306; 
BgL_envz00_2149 = 
(BgL_envz00_bglt)(BgL_envz00_3307); 
BGl_compilezd2exprzd2zzjvm_exprz00(
(BgL_nodez00_bglt)(BgL_ez00_2146), BgL_envz00_2149); 
BGl__ifz00zzjvm_instrz00(
CNST_TABLE_REF(((long)0)), BgL_envz00_2149, BgL_fz00_2148); 
return 
BGl__gotoz00zzjvm_instrz00(BgL_envz00_2149, BgL_tz00_2147);} } 
}



/* compile-predicate-app2989 */
obj_t BGl_compilezd2predicatezd2app2989z00zzjvm_predicatez00(obj_t BgL_envz00_3308, obj_t BgL_ez00_3309, obj_t BgL_tz00_3310, obj_t BgL_fz00_3311, obj_t BgL_envz00_3312)
{ AN_OBJECT;
{ /* Jvm/predicate.scm 56 */
{ 
BgL_appz00_bglt BgL_ez00_2132;obj_t BgL_tz00_2133;obj_t BgL_fz00_2134;BgL_envz00_bglt BgL_envz00_2135;
BgL_ez00_2132 = 
(BgL_appz00_bglt)(BgL_ez00_3309); 
BgL_tz00_2133 = BgL_tz00_3310; 
BgL_fz00_2134 = BgL_fz00_3311; 
BgL_envz00_2135 = 
(BgL_envz00_bglt)(BgL_envz00_3312); 
{ /* Jvm/predicate.scm 58 */
BgL_variablez00_bglt BgL_vz00_2139;
{ /* Jvm/predicate.scm 58 */
BgL_varz00_bglt BgL_arg3589z00_2143;
BgL_arg3589z00_2143 = 
(((BgL_appz00_bglt)CREF(BgL_ez00_2132))->BgL_funz00); 
BgL_vz00_2139 = 
(((BgL_varz00_bglt)CREF(BgL_arg3589z00_2143))->BgL_variablez00); } 
{ /* Jvm/predicate.scm 59 */
bool_t BgL_test3580z00_2140;
{ /* Jvm/predicate.scm 59 */
bool_t BgL_test3582z00_2141;
BgL_test3582z00_2141 = 
BGl_iszd2azf3z21zz__objectz00(
(obj_t)(BgL_vz00_2139), BGl_globalz00zzast_varz00); 
if(BgL_test3582z00_2141)
{ /* Jvm/predicate.scm 59 */
obj_t BgL_auxz00_3606;
BgL_auxz00_3606 = 
PROCEDURE_ENTRY(BGl_inlinezd2predzf3z21zzjvm_inlinez00)(BGl_inlinezd2predzf3z21zzjvm_inlinez00, 
(obj_t)(BgL_vz00_2139), 
(((BgL_appz00_bglt)CREF(BgL_ez00_2132))->BgL_argsz00), BgL_tz00_2133, BgL_fz00_2134, 
(obj_t)(BgL_envz00_2135), BEOA); 
BgL_test3580z00_2140 = 
CBOOL(BgL_auxz00_3606); }  else 
{ /* Jvm/predicate.scm 59 */
BgL_test3580z00_2140 = ((bool_t)0); } } 
if(BgL_test3580z00_2140)
{ /* Jvm/predicate.scm 59 */
return 
CNST_TABLE_REF(((long)1));}  else 
{ /* Jvm/predicate.scm 59 */
BGl_compilezd2exprzd2zzjvm_exprz00(
(BgL_nodez00_bglt)(BgL_ez00_2132), BgL_envz00_2135); 
BGl__ifz00zzjvm_instrz00(
CNST_TABLE_REF(((long)0)), BgL_envz00_2135, BgL_fz00_2134); 
return 
BGl__gotoz00zzjvm_instrz00(BgL_envz00_2135, BgL_tz00_2133);} } } } } 
}



/* compile-predicate-let-fun2987 */
obj_t BGl_compilezd2predicatezd2letzd2fun2987zd2zzjvm_predicatez00(obj_t BgL_envz00_3313, obj_t BgL_ez00_3314, obj_t BgL_tz00_3315, obj_t BgL_fz00_3316, obj_t BgL_envz00_3317)
{ AN_OBJECT;
{ /* Jvm/predicate.scm 52 */
{ 
BgL_letzd2funzd2_bglt BgL_ez00_2119;obj_t BgL_tz00_2120;obj_t BgL_fz00_2121;BgL_envz00_bglt BgL_envz00_2122;
BgL_ez00_2119 = 
(BgL_letzd2funzd2_bglt)(BgL_ez00_3314); 
BgL_tz00_2120 = BgL_tz00_3315; 
BgL_fz00_2121 = BgL_fz00_3316; 
BgL_envz00_2122 = 
(BgL_envz00_bglt)(BgL_envz00_3317); 
{ /* Jvm/predicate.scm 53 */
obj_t BgL_compz00_3200;
{ 
int BgL_auxz00_3624;int BgL_auxz00_3622;
BgL_auxz00_3624 = 
(int)(((long)2)); 
BgL_auxz00_3622 = 
(int)(((long)2)); 
BgL_compz00_3200 = 
make_fx_procedure(BGl_comp_3760z00zzjvm_predicatez00, BgL_auxz00_3622, BgL_auxz00_3624); } 
{ /* Jvm/predicate.scm 53 */
int BgL_auxz00_3627;
BgL_auxz00_3627 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_compz00_3200, BgL_auxz00_3627, BgL_tz00_2120); } 
{ /* Jvm/predicate.scm 53 */
int BgL_auxz00_3630;
BgL_auxz00_3630 = 
(int)(((long)1)); 
PROCEDURE_SET(BgL_compz00_3200, BgL_auxz00_3630, BgL_fz00_2121); } 
return 
BGl_compilerzd2labelszd2zzjvm_compilerz00(BgL_ez00_2119, BgL_envz00_2122, BgL_compz00_3200);} } } 
}



/* comp_3760 */
obj_t BGl_comp_3760z00zzjvm_predicatez00(obj_t BgL_envz00_3318, obj_t BgL_ez00_3321, obj_t BgL_envz00_3322)
{ AN_OBJECT;
{ /* Jvm/predicate.scm 53 */
{ /* Jvm/predicate.scm 53 */
obj_t BgL_tz00_3319;obj_t BgL_fz00_3320;
{ /* Jvm/predicate.scm 53 */
int BgL_auxz00_3636;
BgL_auxz00_3636 = 
(int)(((long)0)); 
BgL_tz00_3319 = 
PROCEDURE_REF(BgL_envz00_3318, BgL_auxz00_3636); } 
{ /* Jvm/predicate.scm 53 */
int BgL_auxz00_3639;
BgL_auxz00_3639 = 
(int)(((long)1)); 
BgL_fz00_3320 = 
PROCEDURE_REF(BgL_envz00_3318, BgL_auxz00_3639); } 
{ 
obj_t BgL_ez00_3014;obj_t BgL_envz00_3015;
BgL_ez00_3014 = BgL_ez00_3321; 
BgL_envz00_3015 = BgL_envz00_3322; 
{ /* Jvm/predicate.scm 53 */
BgL_nodez00_bglt BgL_ez00_3016;BgL_envz00_bglt BgL_envz00_3019;
BgL_ez00_3016 = 
(BgL_nodez00_bglt)(BgL_ez00_3014); 
BgL_envz00_3019 = 
(BgL_envz00_bglt)(BgL_envz00_3015); 
{ /* Jvm/predicate.scm 53 */
obj_t BgL_method2971z00_3020;
{ /* Jvm/predicate.scm 53 */
long BgL_objzd2classzd2numz00_3022;
{ /* Jvm/predicate.scm 53 */
BgL_objectz00_bglt BgL_auxz00_3644;
BgL_auxz00_3644 = 
(BgL_objectz00_bglt)(BgL_ez00_3016); 
BgL_objzd2classzd2numz00_3022 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3644); } 
{ /* Jvm/predicate.scm 53 */
obj_t BgL_arg1904z00_3023;
{ /* Jvm/predicate.scm 53 */
int BgL_auxz00_3647;
BgL_auxz00_3647 = 
(int)(((long)1)); 
BgL_arg1904z00_3023 = 
PROCEDURE_REF(BGl_compilezd2predicatezd2envz00zzjvm_predicatez00, BgL_auxz00_3647); } 
{ /* Jvm/predicate.scm 53 */
long BgL_offsetz00_3027;
{ /* Jvm/predicate.scm 53 */
long BgL_auxz00_3650;
{ /* Jvm/predicate.scm 53 */
int BgL_auxz00_3651;
BgL_auxz00_3651 = 
(int)(BgL_objzd2classzd2numz00_3022); 
BgL_auxz00_3650 = 
(long)(BgL_auxz00_3651); } 
BgL_offsetz00_3027 = 
(BgL_auxz00_3650-OBJECT_TYPE); } 
{ /* Jvm/predicate.scm 53 */
long BgL_modz00_3028;
{ /* Jvm/predicate.scm 53 */
long BgL_auxz00_3655;
{ /* Jvm/predicate.scm 53 */
int BgL_auxz00_3656;
BgL_auxz00_3656 = 
(int)(((long)8)); 
BgL_auxz00_3655 = 
(long)(BgL_auxz00_3656); } 
BgL_modz00_3028 = 
(BgL_offsetz00_3027/BgL_auxz00_3655); } 
{ /* Jvm/predicate.scm 53 */
long BgL_restz00_3030;
{ /* Jvm/predicate.scm 53 */
long BgL_auxz00_3660;
{ /* Jvm/predicate.scm 53 */
int BgL_auxz00_3661;
BgL_auxz00_3661 = 
(int)(((long)8)); 
BgL_auxz00_3660 = 
(long)(BgL_auxz00_3661); } 
BgL_restz00_3030 = 
(BgL_offsetz00_3027%BgL_auxz00_3660); } 
{ /* Jvm/predicate.scm 53 */

{ /* Jvm/predicate.scm 53 */
obj_t BgL_bucketz00_3032;
{ /* Jvm/predicate.scm 53 */
int BgL_kz00_3042;
BgL_kz00_3042 = 
(int)(BgL_modz00_3028); 
BgL_bucketz00_3032 = 
VECTOR_REF(BgL_arg1904z00_3023,BgL_kz00_3042); } 
{ /* Jvm/predicate.scm 53 */
int BgL_kz00_3044;
BgL_kz00_3044 = 
(int)(BgL_restz00_3030); 
BgL_method2971z00_3020 = 
VECTOR_REF(BgL_bucketz00_3032,BgL_kz00_3044); } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method2971z00_3020)(BgL_method2971z00_3020, 
(obj_t)(BgL_ez00_3016), BgL_tz00_3319, BgL_fz00_3320, 
(obj_t)(BgL_envz00_3019), BEOA);} } } } } 
}



/* compile-predicate-select2985 */
obj_t BGl_compilezd2predicatezd2select2985z00zzjvm_predicatez00(obj_t BgL_envz00_3323, obj_t BgL_ez00_3324, obj_t BgL_tz00_3325, obj_t BgL_fz00_3326, obj_t BgL_envz00_3327)
{ AN_OBJECT;
{ /* Jvm/predicate.scm 48 */
{ 
BgL_selectz00_bglt BgL_ez00_2106;obj_t BgL_tz00_2107;obj_t BgL_fz00_2108;BgL_envz00_bglt BgL_envz00_2109;
BgL_ez00_2106 = 
(BgL_selectz00_bglt)(BgL_ez00_3324); 
BgL_tz00_2107 = BgL_tz00_3325; 
BgL_fz00_2108 = BgL_fz00_3326; 
BgL_envz00_2109 = 
(BgL_envz00_bglt)(BgL_envz00_3327); 
{ /* Jvm/predicate.scm 49 */
obj_t BgL_compz00_3202;
{ 
int BgL_auxz00_3675;int BgL_auxz00_3673;
BgL_auxz00_3675 = 
(int)(((long)2)); 
BgL_auxz00_3673 = 
(int)(((long)2)); 
BgL_compz00_3202 = 
make_fx_procedure(BGl_comp_3763z00zzjvm_predicatez00, BgL_auxz00_3673, BgL_auxz00_3675); } 
{ /* Jvm/predicate.scm 49 */
int BgL_auxz00_3678;
BgL_auxz00_3678 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_compz00_3202, BgL_auxz00_3678, BgL_tz00_2107); } 
{ /* Jvm/predicate.scm 49 */
int BgL_auxz00_3681;
BgL_auxz00_3681 = 
(int)(((long)1)); 
PROCEDURE_SET(BgL_compz00_3202, BgL_auxz00_3681, BgL_fz00_2108); } 
return 
BGl_compilerzd2selectzd2zzjvm_compilerz00(BgL_ez00_2106, BgL_envz00_2109, BgL_compz00_3202);} } } 
}



/* comp_3763 */
obj_t BGl_comp_3763z00zzjvm_predicatez00(obj_t BgL_envz00_3328, obj_t BgL_ez00_3331, obj_t BgL_envz00_3332)
{ AN_OBJECT;
{ /* Jvm/predicate.scm 49 */
{ /* Jvm/predicate.scm 49 */
obj_t BgL_tz00_3329;obj_t BgL_fz00_3330;
{ /* Jvm/predicate.scm 49 */
int BgL_auxz00_3687;
BgL_auxz00_3687 = 
(int)(((long)0)); 
BgL_tz00_3329 = 
PROCEDURE_REF(BgL_envz00_3328, BgL_auxz00_3687); } 
{ /* Jvm/predicate.scm 49 */
int BgL_auxz00_3690;
BgL_auxz00_3690 = 
(int)(((long)1)); 
BgL_fz00_3330 = 
PROCEDURE_REF(BgL_envz00_3328, BgL_auxz00_3690); } 
{ 
obj_t BgL_ez00_2982;obj_t BgL_envz00_2983;
BgL_ez00_2982 = BgL_ez00_3331; 
BgL_envz00_2983 = BgL_envz00_3332; 
{ /* Jvm/predicate.scm 49 */
BgL_nodez00_bglt BgL_ez00_2984;BgL_envz00_bglt BgL_envz00_2987;
BgL_ez00_2984 = 
(BgL_nodez00_bglt)(BgL_ez00_2982); 
BgL_envz00_2987 = 
(BgL_envz00_bglt)(BgL_envz00_2983); 
{ /* Jvm/predicate.scm 49 */
obj_t BgL_method2971z00_2988;
{ /* Jvm/predicate.scm 49 */
long BgL_objzd2classzd2numz00_2990;
{ /* Jvm/predicate.scm 49 */
BgL_objectz00_bglt BgL_auxz00_3695;
BgL_auxz00_3695 = 
(BgL_objectz00_bglt)(BgL_ez00_2984); 
BgL_objzd2classzd2numz00_2990 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3695); } 
{ /* Jvm/predicate.scm 49 */
obj_t BgL_arg1904z00_2991;
{ /* Jvm/predicate.scm 49 */
int BgL_auxz00_3698;
BgL_auxz00_3698 = 
(int)(((long)1)); 
BgL_arg1904z00_2991 = 
PROCEDURE_REF(BGl_compilezd2predicatezd2envz00zzjvm_predicatez00, BgL_auxz00_3698); } 
{ /* Jvm/predicate.scm 49 */
long BgL_offsetz00_2995;
{ /* Jvm/predicate.scm 49 */
long BgL_auxz00_3701;
{ /* Jvm/predicate.scm 49 */
int BgL_auxz00_3702;
BgL_auxz00_3702 = 
(int)(BgL_objzd2classzd2numz00_2990); 
BgL_auxz00_3701 = 
(long)(BgL_auxz00_3702); } 
BgL_offsetz00_2995 = 
(BgL_auxz00_3701-OBJECT_TYPE); } 
{ /* Jvm/predicate.scm 49 */
long BgL_modz00_2996;
{ /* Jvm/predicate.scm 49 */
long BgL_auxz00_3706;
{ /* Jvm/predicate.scm 49 */
int BgL_auxz00_3707;
BgL_auxz00_3707 = 
(int)(((long)8)); 
BgL_auxz00_3706 = 
(long)(BgL_auxz00_3707); } 
BgL_modz00_2996 = 
(BgL_offsetz00_2995/BgL_auxz00_3706); } 
{ /* Jvm/predicate.scm 49 */
long BgL_restz00_2998;
{ /* Jvm/predicate.scm 49 */
long BgL_auxz00_3711;
{ /* Jvm/predicate.scm 49 */
int BgL_auxz00_3712;
BgL_auxz00_3712 = 
(int)(((long)8)); 
BgL_auxz00_3711 = 
(long)(BgL_auxz00_3712); } 
BgL_restz00_2998 = 
(BgL_offsetz00_2995%BgL_auxz00_3711); } 
{ /* Jvm/predicate.scm 49 */

{ /* Jvm/predicate.scm 49 */
obj_t BgL_bucketz00_3000;
{ /* Jvm/predicate.scm 49 */
int BgL_kz00_3010;
BgL_kz00_3010 = 
(int)(BgL_modz00_2996); 
BgL_bucketz00_3000 = 
VECTOR_REF(BgL_arg1904z00_2991,BgL_kz00_3010); } 
{ /* Jvm/predicate.scm 49 */
int BgL_kz00_3012;
BgL_kz00_3012 = 
(int)(BgL_restz00_2998); 
BgL_method2971z00_2988 = 
VECTOR_REF(BgL_bucketz00_3000,BgL_kz00_3012); } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method2971z00_2988)(BgL_method2971z00_2988, 
(obj_t)(BgL_ez00_2984), BgL_tz00_3329, BgL_fz00_3330, 
(obj_t)(BgL_envz00_2987), BEOA);} } } } } 
}



/* compile-predicate-conditional2983 */
obj_t BGl_compilezd2predicatezd2conditional2983z00zzjvm_predicatez00(obj_t BgL_envz00_3333, obj_t BgL_ez00_3334, obj_t BgL_tz00_3335, obj_t BgL_fz00_3336, obj_t BgL_envz00_3337)
{ AN_OBJECT;
{ /* Jvm/predicate.scm 44 */
{ 
BgL_conditionalz00_bglt BgL_ez00_2093;obj_t BgL_tz00_2094;obj_t BgL_fz00_2095;BgL_envz00_bglt BgL_envz00_2096;
BgL_ez00_2093 = 
(BgL_conditionalz00_bglt)(BgL_ez00_3334); 
BgL_tz00_2094 = BgL_tz00_3335; 
BgL_fz00_2095 = BgL_fz00_3336; 
BgL_envz00_2096 = 
(BgL_envz00_bglt)(BgL_envz00_3337); 
{ /* Jvm/predicate.scm 45 */
obj_t BgL_compz00_3204;
{ 
int BgL_auxz00_3726;int BgL_auxz00_3724;
BgL_auxz00_3726 = 
(int)(((long)2)); 
BgL_auxz00_3724 = 
(int)(((long)2)); 
BgL_compz00_3204 = 
make_fx_procedure(BGl_comp_3766z00zzjvm_predicatez00, BgL_auxz00_3724, BgL_auxz00_3726); } 
{ /* Jvm/predicate.scm 45 */
int BgL_auxz00_3729;
BgL_auxz00_3729 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_compz00_3204, BgL_auxz00_3729, BgL_tz00_2094); } 
{ /* Jvm/predicate.scm 45 */
int BgL_auxz00_3732;
BgL_auxz00_3732 = 
(int)(((long)1)); 
PROCEDURE_SET(BgL_compz00_3204, BgL_auxz00_3732, BgL_fz00_2095); } 
return 
BGl_compilerzd2ifzd2zzjvm_compilerz00(BgL_ez00_2093, BgL_envz00_2096, BgL_compz00_3204);} } } 
}



/* comp_3766 */
obj_t BGl_comp_3766z00zzjvm_predicatez00(obj_t BgL_envz00_3338, obj_t BgL_ez00_3341, obj_t BgL_envz00_3342)
{ AN_OBJECT;
{ /* Jvm/predicate.scm 45 */
{ /* Jvm/predicate.scm 45 */
obj_t BgL_tz00_3339;obj_t BgL_fz00_3340;
{ /* Jvm/predicate.scm 45 */
int BgL_auxz00_3738;
BgL_auxz00_3738 = 
(int)(((long)0)); 
BgL_tz00_3339 = 
PROCEDURE_REF(BgL_envz00_3338, BgL_auxz00_3738); } 
{ /* Jvm/predicate.scm 45 */
int BgL_auxz00_3741;
BgL_auxz00_3741 = 
(int)(((long)1)); 
BgL_fz00_3340 = 
PROCEDURE_REF(BgL_envz00_3338, BgL_auxz00_3741); } 
{ 
obj_t BgL_ez00_2950;obj_t BgL_envz00_2951;
BgL_ez00_2950 = BgL_ez00_3341; 
BgL_envz00_2951 = BgL_envz00_3342; 
{ /* Jvm/predicate.scm 45 */
BgL_nodez00_bglt BgL_ez00_2952;BgL_envz00_bglt BgL_envz00_2955;
BgL_ez00_2952 = 
(BgL_nodez00_bglt)(BgL_ez00_2950); 
BgL_envz00_2955 = 
(BgL_envz00_bglt)(BgL_envz00_2951); 
{ /* Jvm/predicate.scm 45 */
obj_t BgL_method2971z00_2956;
{ /* Jvm/predicate.scm 45 */
long BgL_objzd2classzd2numz00_2958;
{ /* Jvm/predicate.scm 45 */
BgL_objectz00_bglt BgL_auxz00_3746;
BgL_auxz00_3746 = 
(BgL_objectz00_bglt)(BgL_ez00_2952); 
BgL_objzd2classzd2numz00_2958 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3746); } 
{ /* Jvm/predicate.scm 45 */
obj_t BgL_arg1904z00_2959;
{ /* Jvm/predicate.scm 45 */
int BgL_auxz00_3749;
BgL_auxz00_3749 = 
(int)(((long)1)); 
BgL_arg1904z00_2959 = 
PROCEDURE_REF(BGl_compilezd2predicatezd2envz00zzjvm_predicatez00, BgL_auxz00_3749); } 
{ /* Jvm/predicate.scm 45 */
long BgL_offsetz00_2963;
{ /* Jvm/predicate.scm 45 */
long BgL_auxz00_3752;
{ /* Jvm/predicate.scm 45 */
int BgL_auxz00_3753;
BgL_auxz00_3753 = 
(int)(BgL_objzd2classzd2numz00_2958); 
BgL_auxz00_3752 = 
(long)(BgL_auxz00_3753); } 
BgL_offsetz00_2963 = 
(BgL_auxz00_3752-OBJECT_TYPE); } 
{ /* Jvm/predicate.scm 45 */
long BgL_modz00_2964;
{ /* Jvm/predicate.scm 45 */
long BgL_auxz00_3757;
{ /* Jvm/predicate.scm 45 */
int BgL_auxz00_3758;
BgL_auxz00_3758 = 
(int)(((long)8)); 
BgL_auxz00_3757 = 
(long)(BgL_auxz00_3758); } 
BgL_modz00_2964 = 
(BgL_offsetz00_2963/BgL_auxz00_3757); } 
{ /* Jvm/predicate.scm 45 */
long BgL_restz00_2966;
{ /* Jvm/predicate.scm 45 */
long BgL_auxz00_3762;
{ /* Jvm/predicate.scm 45 */
int BgL_auxz00_3763;
BgL_auxz00_3763 = 
(int)(((long)8)); 
BgL_auxz00_3762 = 
(long)(BgL_auxz00_3763); } 
BgL_restz00_2966 = 
(BgL_offsetz00_2963%BgL_auxz00_3762); } 
{ /* Jvm/predicate.scm 45 */

{ /* Jvm/predicate.scm 45 */
obj_t BgL_bucketz00_2968;
{ /* Jvm/predicate.scm 45 */
int BgL_kz00_2978;
BgL_kz00_2978 = 
(int)(BgL_modz00_2964); 
BgL_bucketz00_2968 = 
VECTOR_REF(BgL_arg1904z00_2959,BgL_kz00_2978); } 
{ /* Jvm/predicate.scm 45 */
int BgL_kz00_2980;
BgL_kz00_2980 = 
(int)(BgL_restz00_2966); 
BgL_method2971z00_2956 = 
VECTOR_REF(BgL_bucketz00_2968,BgL_kz00_2980); } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method2971z00_2956)(BgL_method2971z00_2956, 
(obj_t)(BgL_ez00_2952), BgL_tz00_3339, BgL_fz00_3340, 
(obj_t)(BgL_envz00_2955), BEOA);} } } } } 
}



/* compile-predicate-sequence2981 */
obj_t BGl_compilezd2predicatezd2sequence2981z00zzjvm_predicatez00(obj_t BgL_envz00_3343, obj_t BgL_ez00_3344, obj_t BgL_tz00_3345, obj_t BgL_fz00_3346, obj_t BgL_envz00_3347)
{ AN_OBJECT;
{ /* Jvm/predicate.scm 40 */
{ 
BgL_sequencez00_bglt BgL_ez00_2080;obj_t BgL_tz00_2081;obj_t BgL_fz00_2082;BgL_envz00_bglt BgL_envz00_2083;
BgL_ez00_2080 = 
(BgL_sequencez00_bglt)(BgL_ez00_3344); 
BgL_tz00_2081 = BgL_tz00_3345; 
BgL_fz00_2082 = BgL_fz00_3346; 
BgL_envz00_2083 = 
(BgL_envz00_bglt)(BgL_envz00_3347); 
{ /* Jvm/predicate.scm 41 */
obj_t BgL_compz00_3206;
{ 
int BgL_auxz00_3777;int BgL_auxz00_3775;
BgL_auxz00_3777 = 
(int)(((long)2)); 
BgL_auxz00_3775 = 
(int)(((long)2)); 
BgL_compz00_3206 = 
make_fx_procedure(BGl_comp_3769z00zzjvm_predicatez00, BgL_auxz00_3775, BgL_auxz00_3777); } 
{ /* Jvm/predicate.scm 41 */
int BgL_auxz00_3780;
BgL_auxz00_3780 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_compz00_3206, BgL_auxz00_3780, BgL_tz00_2081); } 
{ /* Jvm/predicate.scm 41 */
int BgL_auxz00_3783;
BgL_auxz00_3783 = 
(int)(((long)1)); 
PROCEDURE_SET(BgL_compz00_3206, BgL_auxz00_3783, BgL_fz00_2082); } 
return 
BGl_compilerzd2sequencezd2zzjvm_compilerz00(BgL_ez00_2080, BgL_envz00_2083, BgL_compz00_3206);} } } 
}



/* comp_3769 */
obj_t BGl_comp_3769z00zzjvm_predicatez00(obj_t BgL_envz00_3348, obj_t BgL_ez00_3351, obj_t BgL_envz00_3352)
{ AN_OBJECT;
{ /* Jvm/predicate.scm 41 */
{ /* Jvm/predicate.scm 41 */
obj_t BgL_tz00_3349;obj_t BgL_fz00_3350;
{ /* Jvm/predicate.scm 41 */
int BgL_auxz00_3789;
BgL_auxz00_3789 = 
(int)(((long)0)); 
BgL_tz00_3349 = 
PROCEDURE_REF(BgL_envz00_3348, BgL_auxz00_3789); } 
{ /* Jvm/predicate.scm 41 */
int BgL_auxz00_3792;
BgL_auxz00_3792 = 
(int)(((long)1)); 
BgL_fz00_3350 = 
PROCEDURE_REF(BgL_envz00_3348, BgL_auxz00_3792); } 
{ 
obj_t BgL_ez00_2918;obj_t BgL_envz00_2919;
BgL_ez00_2918 = BgL_ez00_3351; 
BgL_envz00_2919 = BgL_envz00_3352; 
{ /* Jvm/predicate.scm 41 */
BgL_nodez00_bglt BgL_ez00_2920;BgL_envz00_bglt BgL_envz00_2923;
BgL_ez00_2920 = 
(BgL_nodez00_bglt)(BgL_ez00_2918); 
BgL_envz00_2923 = 
(BgL_envz00_bglt)(BgL_envz00_2919); 
{ /* Jvm/predicate.scm 41 */
obj_t BgL_method2971z00_2924;
{ /* Jvm/predicate.scm 41 */
long BgL_objzd2classzd2numz00_2926;
{ /* Jvm/predicate.scm 41 */
BgL_objectz00_bglt BgL_auxz00_3797;
BgL_auxz00_3797 = 
(BgL_objectz00_bglt)(BgL_ez00_2920); 
BgL_objzd2classzd2numz00_2926 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3797); } 
{ /* Jvm/predicate.scm 41 */
obj_t BgL_arg1904z00_2927;
{ /* Jvm/predicate.scm 41 */
int BgL_auxz00_3800;
BgL_auxz00_3800 = 
(int)(((long)1)); 
BgL_arg1904z00_2927 = 
PROCEDURE_REF(BGl_compilezd2predicatezd2envz00zzjvm_predicatez00, BgL_auxz00_3800); } 
{ /* Jvm/predicate.scm 41 */
long BgL_offsetz00_2931;
{ /* Jvm/predicate.scm 41 */
long BgL_auxz00_3803;
{ /* Jvm/predicate.scm 41 */
int BgL_auxz00_3804;
BgL_auxz00_3804 = 
(int)(BgL_objzd2classzd2numz00_2926); 
BgL_auxz00_3803 = 
(long)(BgL_auxz00_3804); } 
BgL_offsetz00_2931 = 
(BgL_auxz00_3803-OBJECT_TYPE); } 
{ /* Jvm/predicate.scm 41 */
long BgL_modz00_2932;
{ /* Jvm/predicate.scm 41 */
long BgL_auxz00_3808;
{ /* Jvm/predicate.scm 41 */
int BgL_auxz00_3809;
BgL_auxz00_3809 = 
(int)(((long)8)); 
BgL_auxz00_3808 = 
(long)(BgL_auxz00_3809); } 
BgL_modz00_2932 = 
(BgL_offsetz00_2931/BgL_auxz00_3808); } 
{ /* Jvm/predicate.scm 41 */
long BgL_restz00_2934;
{ /* Jvm/predicate.scm 41 */
long BgL_auxz00_3813;
{ /* Jvm/predicate.scm 41 */
int BgL_auxz00_3814;
BgL_auxz00_3814 = 
(int)(((long)8)); 
BgL_auxz00_3813 = 
(long)(BgL_auxz00_3814); } 
BgL_restz00_2934 = 
(BgL_offsetz00_2931%BgL_auxz00_3813); } 
{ /* Jvm/predicate.scm 41 */

{ /* Jvm/predicate.scm 41 */
obj_t BgL_bucketz00_2936;
{ /* Jvm/predicate.scm 41 */
int BgL_kz00_2946;
BgL_kz00_2946 = 
(int)(BgL_modz00_2932); 
BgL_bucketz00_2936 = 
VECTOR_REF(BgL_arg1904z00_2927,BgL_kz00_2946); } 
{ /* Jvm/predicate.scm 41 */
int BgL_kz00_2948;
BgL_kz00_2948 = 
(int)(BgL_restz00_2934); 
BgL_method2971z00_2924 = 
VECTOR_REF(BgL_bucketz00_2936,BgL_kz00_2948); } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method2971z00_2924)(BgL_method2971z00_2924, 
(obj_t)(BgL_ez00_2920), BgL_tz00_3349, BgL_fz00_3350, 
(obj_t)(BgL_envz00_2923), BEOA);} } } } } 
}



/* compile-predicate-setq2979 */
obj_t BGl_compilezd2predicatezd2setq2979z00zzjvm_predicatez00(obj_t BgL_envz00_3353, obj_t BgL_ez00_3354, obj_t BgL_tz00_3355, obj_t BgL_fz00_3356, obj_t BgL_envz00_3357)
{ AN_OBJECT;
{ /* Jvm/predicate.scm 37 */
{ 
BgL_setqz00_bglt BgL_ez00_2072;obj_t BgL_tz00_2073;obj_t BgL_fz00_2074;BgL_envz00_bglt BgL_envz00_2075;
BgL_ez00_2072 = 
(BgL_setqz00_bglt)(BgL_ez00_3354); 
BgL_tz00_2073 = BgL_tz00_3355; 
BgL_fz00_2074 = BgL_fz00_3356; 
BgL_envz00_2075 = 
(BgL_envz00_bglt)(BgL_envz00_3357); 
BGl_compilezd2effectzd2zzjvm_effectz00(
(BgL_nodez00_bglt)(BgL_ez00_2072), BgL_envz00_2075); 
return 
BGl__gotoz00zzjvm_instrz00(BgL_envz00_2075, BgL_tz00_2073);} } 
}



/* compile-predicate-let-var2977 */
obj_t BGl_compilezd2predicatezd2letzd2var2977zd2zzjvm_predicatez00(obj_t BgL_envz00_3358, obj_t BgL_ez00_3359, obj_t BgL_tz00_3360, obj_t BgL_fz00_3361, obj_t BgL_envz00_3362)
{ AN_OBJECT;
{ /* Jvm/predicate.scm 33 */
{ 
BgL_letzd2varzd2_bglt BgL_ez00_2059;obj_t BgL_tz00_2060;obj_t BgL_fz00_2061;BgL_envz00_bglt BgL_envz00_2062;
BgL_ez00_2059 = 
(BgL_letzd2varzd2_bglt)(BgL_ez00_3359); 
BgL_tz00_2060 = BgL_tz00_3360; 
BgL_fz00_2061 = BgL_fz00_3361; 
BgL_envz00_2062 = 
(BgL_envz00_bglt)(BgL_envz00_3362); 
{ /* Jvm/predicate.scm 34 */
obj_t BgL_compz00_3209;
{ 
int BgL_auxz00_3833;int BgL_auxz00_3831;
BgL_auxz00_3833 = 
(int)(((long)2)); 
BgL_auxz00_3831 = 
(int)(((long)2)); 
BgL_compz00_3209 = 
make_fx_procedure(BGl_comp_3772z00zzjvm_predicatez00, BgL_auxz00_3831, BgL_auxz00_3833); } 
{ /* Jvm/predicate.scm 34 */
int BgL_auxz00_3836;
BgL_auxz00_3836 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_compz00_3209, BgL_auxz00_3836, BgL_tz00_2060); } 
{ /* Jvm/predicate.scm 34 */
int BgL_auxz00_3839;
BgL_auxz00_3839 = 
(int)(((long)1)); 
PROCEDURE_SET(BgL_compz00_3209, BgL_auxz00_3839, BgL_fz00_2061); } 
return 
BGl_compilerzd2letzd2zzjvm_compilerz00(BgL_ez00_2059, BgL_envz00_2062, BgL_compz00_3209);} } } 
}



/* comp_3772 */
obj_t BGl_comp_3772z00zzjvm_predicatez00(obj_t BgL_envz00_3363, obj_t BgL_ez00_3366, obj_t BgL_envz00_3367)
{ AN_OBJECT;
{ /* Jvm/predicate.scm 34 */
{ /* Jvm/predicate.scm 34 */
obj_t BgL_tz00_3364;obj_t BgL_fz00_3365;
{ /* Jvm/predicate.scm 34 */
int BgL_auxz00_3845;
BgL_auxz00_3845 = 
(int)(((long)0)); 
BgL_tz00_3364 = 
PROCEDURE_REF(BgL_envz00_3363, BgL_auxz00_3845); } 
{ /* Jvm/predicate.scm 34 */
int BgL_auxz00_3848;
BgL_auxz00_3848 = 
(int)(((long)1)); 
BgL_fz00_3365 = 
PROCEDURE_REF(BgL_envz00_3363, BgL_auxz00_3848); } 
{ 
obj_t BgL_ez00_2883;obj_t BgL_envz00_2884;
BgL_ez00_2883 = BgL_ez00_3366; 
BgL_envz00_2884 = BgL_envz00_3367; 
{ /* Jvm/predicate.scm 34 */
BgL_nodez00_bglt BgL_ez00_2885;BgL_envz00_bglt BgL_envz00_2888;
BgL_ez00_2885 = 
(BgL_nodez00_bglt)(BgL_ez00_2883); 
BgL_envz00_2888 = 
(BgL_envz00_bglt)(BgL_envz00_2884); 
{ /* Jvm/predicate.scm 34 */
obj_t BgL_method2971z00_2889;
{ /* Jvm/predicate.scm 34 */
long BgL_objzd2classzd2numz00_2891;
{ /* Jvm/predicate.scm 34 */
BgL_objectz00_bglt BgL_auxz00_3853;
BgL_auxz00_3853 = 
(BgL_objectz00_bglt)(BgL_ez00_2885); 
BgL_objzd2classzd2numz00_2891 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3853); } 
{ /* Jvm/predicate.scm 34 */
obj_t BgL_arg1904z00_2892;
{ /* Jvm/predicate.scm 34 */
int BgL_auxz00_3856;
BgL_auxz00_3856 = 
(int)(((long)1)); 
BgL_arg1904z00_2892 = 
PROCEDURE_REF(BGl_compilezd2predicatezd2envz00zzjvm_predicatez00, BgL_auxz00_3856); } 
{ /* Jvm/predicate.scm 34 */
long BgL_offsetz00_2896;
{ /* Jvm/predicate.scm 34 */
long BgL_auxz00_3859;
{ /* Jvm/predicate.scm 34 */
int BgL_auxz00_3860;
BgL_auxz00_3860 = 
(int)(BgL_objzd2classzd2numz00_2891); 
BgL_auxz00_3859 = 
(long)(BgL_auxz00_3860); } 
BgL_offsetz00_2896 = 
(BgL_auxz00_3859-OBJECT_TYPE); } 
{ /* Jvm/predicate.scm 34 */
long BgL_modz00_2897;
{ /* Jvm/predicate.scm 34 */
long BgL_auxz00_3864;
{ /* Jvm/predicate.scm 34 */
int BgL_auxz00_3865;
BgL_auxz00_3865 = 
(int)(((long)8)); 
BgL_auxz00_3864 = 
(long)(BgL_auxz00_3865); } 
BgL_modz00_2897 = 
(BgL_offsetz00_2896/BgL_auxz00_3864); } 
{ /* Jvm/predicate.scm 34 */
long BgL_restz00_2899;
{ /* Jvm/predicate.scm 34 */
long BgL_auxz00_3869;
{ /* Jvm/predicate.scm 34 */
int BgL_auxz00_3870;
BgL_auxz00_3870 = 
(int)(((long)8)); 
BgL_auxz00_3869 = 
(long)(BgL_auxz00_3870); } 
BgL_restz00_2899 = 
(BgL_offsetz00_2896%BgL_auxz00_3869); } 
{ /* Jvm/predicate.scm 34 */

{ /* Jvm/predicate.scm 34 */
obj_t BgL_bucketz00_2901;
{ /* Jvm/predicate.scm 34 */
int BgL_kz00_2911;
BgL_kz00_2911 = 
(int)(BgL_modz00_2897); 
BgL_bucketz00_2901 = 
VECTOR_REF(BgL_arg1904z00_2892,BgL_kz00_2911); } 
{ /* Jvm/predicate.scm 34 */
int BgL_kz00_2913;
BgL_kz00_2913 = 
(int)(BgL_restz00_2899); 
BgL_method2971z00_2889 = 
VECTOR_REF(BgL_bucketz00_2901,BgL_kz00_2913); } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method2971z00_2889)(BgL_method2971z00_2889, 
(obj_t)(BgL_ez00_2885), BgL_tz00_3364, BgL_fz00_3365, 
(obj_t)(BgL_envz00_2888), BEOA);} } } } } 
}



/* compile-predicate-var2975 */
obj_t BGl_compilezd2predicatezd2var2975z00zzjvm_predicatez00(obj_t BgL_envz00_3368, obj_t BgL_ez00_3369, obj_t BgL_tz00_3370, obj_t BgL_fz00_3371, obj_t BgL_envz00_3372)
{ AN_OBJECT;
{ /* Jvm/predicate.scm 30 */
{ 
BgL_varz00_bglt BgL_ez00_2051;obj_t BgL_tz00_2052;obj_t BgL_fz00_2053;BgL_envz00_bglt BgL_envz00_2054;
BgL_ez00_2051 = 
(BgL_varz00_bglt)(BgL_ez00_3369); 
BgL_tz00_2052 = BgL_tz00_3370; 
BgL_fz00_2053 = BgL_fz00_3371; 
BgL_envz00_2054 = 
(BgL_envz00_bglt)(BgL_envz00_3372); 
BGl_compilezd2exprzd2zzjvm_exprz00(
(BgL_nodez00_bglt)(BgL_ez00_2051), BgL_envz00_2054); 
BGl__ifz00zzjvm_instrz00(
CNST_TABLE_REF(((long)0)), BgL_envz00_2054, BgL_fz00_2053); 
return 
BGl__gotoz00zzjvm_instrz00(BgL_envz00_2054, BgL_tz00_2052);} } 
}



/* compile-predicate-atom2973 */
obj_t BGl_compilezd2predicatezd2atom2973z00zzjvm_predicatez00(obj_t BgL_envz00_3373, obj_t BgL_ez00_3374, obj_t BgL_tz00_3375, obj_t BgL_fz00_3376, obj_t BgL_envz00_3377)
{ AN_OBJECT;
{ /* Jvm/predicate.scm 23 */
{ 
BgL_atomz00_bglt BgL_ez00_2033;obj_t BgL_tz00_2034;obj_t BgL_fz00_2035;BgL_envz00_bglt BgL_envz00_2036;
BgL_ez00_2033 = 
(BgL_atomz00_bglt)(BgL_ez00_3374); 
BgL_tz00_2034 = BgL_tz00_3375; 
BgL_fz00_2035 = BgL_fz00_3376; 
BgL_envz00_2036 = 
(BgL_envz00_bglt)(BgL_envz00_3377); 
{ /* Jvm/predicate.scm 25 */
bool_t BgL_testz00_3889;
{ /* Jvm/predicate.scm 25 */
bool_t BgL_testz00_3890;
{ /* Jvm/predicate.scm 25 */
bool_t BgL_testz00_3891;
{ /* Jvm/predicate.scm 25 */
obj_t BgL_auxz00_3892;
BgL_auxz00_3892 = 
(((BgL_atomz00_bglt)CREF(BgL_ez00_2033))->BgL_valuez00); 
BgL_testz00_3891 = 
INTEGERP(BgL_auxz00_3892); } 
if(BgL_testz00_3891)
{ /* Jvm/predicate.scm 25 */
long BgL_auxz00_3895;
{ /* Jvm/predicate.scm 25 */
obj_t BgL_auxz00_3896;
BgL_auxz00_3896 = 
(((BgL_atomz00_bglt)CREF(BgL_ez00_2033))->BgL_valuez00); 
BgL_auxz00_3895 = 
(long)CINT(BgL_auxz00_3896); } 
BgL_testz00_3890 = 
(BgL_auxz00_3895==((long)0)); }  else 
{ /* Jvm/predicate.scm 25 */
BgL_testz00_3890 = ((bool_t)0)
; } } 
if(BgL_testz00_3890)
{ /* Jvm/predicate.scm 25 */
BgL_testz00_3889 = ((bool_t)1)
; }  else 
{ /* Jvm/predicate.scm 26 */
bool_t BgL_testz00_3900;
{ /* Jvm/predicate.scm 26 */
obj_t BgL_auxz00_3901;
BgL_auxz00_3901 = 
(((BgL_atomz00_bglt)CREF(BgL_ez00_2033))->BgL_valuez00); 
BgL_testz00_3900 = 
BOOLEANP(BgL_auxz00_3901); } 
if(BgL_testz00_3900)
{ /* Jvm/predicate.scm 26 */
obj_t BgL_auxz00_3904;
BgL_auxz00_3904 = 
(((BgL_atomz00_bglt)CREF(BgL_ez00_2033))->BgL_valuez00); 
BgL_testz00_3889 = 
(BgL_auxz00_3904==BFALSE); }  else 
{ /* Jvm/predicate.scm 26 */
BgL_testz00_3889 = ((bool_t)0)
; } } } 
if(BgL_testz00_3889)
{ /* Jvm/predicate.scm 25 */
return 
BGl__gotoz00zzjvm_instrz00(BgL_envz00_2036, BgL_fz00_2035);}  else 
{ /* Jvm/predicate.scm 25 */
return 
BGl__gotoz00zzjvm_instrz00(BgL_envz00_2036, BgL_tz00_2034);} } } } 
}



/* compile-predicate */
obj_t BGl_compilezd2predicatezd2zzjvm_predicatez00(BgL_nodez00_bglt BgL_ez00_8, obj_t BgL_tz00_9, obj_t BgL_fz00_10, BgL_envz00_bglt BgL_envz00_11)
{ AN_OBJECT;
{ /* Jvm/predicate.scm 21 */
{ /* Jvm/predicate.scm 21 */
obj_t BgL_method2971z00_3147;
{ /* Jvm/predicate.scm 21 */
long BgL_objzd2classzd2numz00_3149;
{ /* Jvm/predicate.scm 21 */
BgL_objectz00_bglt BgL_auxz00_3911;
BgL_auxz00_3911 = 
(BgL_objectz00_bglt)(BgL_ez00_8); 
BgL_objzd2classzd2numz00_3149 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3911); } 
{ /* Jvm/predicate.scm 21 */
obj_t BgL_arg1904z00_3150;
{ /* Jvm/predicate.scm 21 */
int BgL_auxz00_3914;
BgL_auxz00_3914 = 
(int)(((long)1)); 
BgL_arg1904z00_3150 = 
PROCEDURE_REF(BGl_compilezd2predicatezd2envz00zzjvm_predicatez00, BgL_auxz00_3914); } 
{ /* Jvm/predicate.scm 21 */
long BgL_offsetz00_3154;
{ /* Jvm/predicate.scm 21 */
long BgL_auxz00_3917;
{ /* Jvm/predicate.scm 21 */
int BgL_auxz00_3918;
BgL_auxz00_3918 = 
(int)(BgL_objzd2classzd2numz00_3149); 
BgL_auxz00_3917 = 
(long)(BgL_auxz00_3918); } 
BgL_offsetz00_3154 = 
(BgL_auxz00_3917-OBJECT_TYPE); } 
{ /* Jvm/predicate.scm 21 */
long BgL_modz00_3155;
{ /* Jvm/predicate.scm 21 */
long BgL_auxz00_3922;
{ /* Jvm/predicate.scm 21 */
int BgL_auxz00_3923;
BgL_auxz00_3923 = 
(int)(((long)8)); 
BgL_auxz00_3922 = 
(long)(BgL_auxz00_3923); } 
BgL_modz00_3155 = 
(BgL_offsetz00_3154/BgL_auxz00_3922); } 
{ /* Jvm/predicate.scm 21 */
long BgL_restz00_3157;
{ /* Jvm/predicate.scm 21 */
long BgL_auxz00_3927;
{ /* Jvm/predicate.scm 21 */
int BgL_auxz00_3928;
BgL_auxz00_3928 = 
(int)(((long)8)); 
BgL_auxz00_3927 = 
(long)(BgL_auxz00_3928); } 
BgL_restz00_3157 = 
(BgL_offsetz00_3154%BgL_auxz00_3927); } 
{ /* Jvm/predicate.scm 21 */

{ /* Jvm/predicate.scm 21 */
obj_t BgL_bucketz00_3159;
{ /* Jvm/predicate.scm 21 */
int BgL_kz00_3169;
BgL_kz00_3169 = 
(int)(BgL_modz00_3155); 
BgL_bucketz00_3159 = 
VECTOR_REF(BgL_arg1904z00_3150,BgL_kz00_3169); } 
{ /* Jvm/predicate.scm 21 */
int BgL_kz00_3171;
BgL_kz00_3171 = 
(int)(BgL_restz00_3157); 
BgL_method2971z00_3147 = 
VECTOR_REF(BgL_bucketz00_3159,BgL_kz00_3171); } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method2971z00_3147)(BgL_method2971z00_3147, 
(obj_t)(BgL_ez00_8), BgL_tz00_9, BgL_fz00_10, 
(obj_t)(BgL_envz00_11), BEOA);} } 
}



/* _compile-predicate3756 */
obj_t BGl__compilezd2predicate3756zd2zzjvm_predicatez00(obj_t BgL_envz00_3182, obj_t BgL_ez00_3183, obj_t BgL_tz00_3184, obj_t BgL_fz00_3185, obj_t BgL_envz00_3186)
{ AN_OBJECT;
{ /* Jvm/predicate.scm 21 */
return 
BGl_compilezd2predicatezd2zzjvm_predicatez00(
(BgL_nodez00_bglt)(BgL_ez00_3183), BgL_tz00_3184, BgL_fz00_3185, 
(BgL_envz00_bglt)(BgL_envz00_3186));} 
}



/* compile-predicate-default2970 */
obj_t BGl_compilezd2predicatezd2default2970z00zzjvm_predicatez00(BgL_nodez00_bglt BgL_ez00_12, obj_t BgL_tz00_13, obj_t BgL_fz00_14, BgL_envz00_bglt BgL_envz00_15)
{ AN_OBJECT;
{ /* Jvm/predicate.scm 2 */
{ 
obj_t BgL_auxz00_3945;obj_t BgL_auxz00_3943;
BgL_auxz00_3945 = 
(obj_t)(BgL_ez00_12); 
BgL_auxz00_3943 = 
CNST_TABLE_REF(((long)2)); 
FAILURE(BgL_auxz00_3943,BGl_string4075z00zzjvm_predicatez00,BgL_auxz00_3945);} } 
}



/* _compile-predicate-default2970 */
obj_t BGl__compilezd2predicatezd2default2970z00zzjvm_predicatez00(obj_t BgL_envz00_3378, obj_t BgL_ez00_3379, obj_t BgL_tz00_3380, obj_t BgL_fz00_3381, obj_t BgL_envz00_3382)
{ AN_OBJECT;
{ /* Jvm/predicate.scm 2 */
return 
BGl_compilezd2predicatezd2default2970z00zzjvm_predicatez00(
(BgL_nodez00_bglt)(BgL_ez00_3379), BgL_tz00_3380, BgL_fz00_3381, 
(BgL_envz00_bglt)(BgL_envz00_3382));} 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zzjvm_predicatez00()
{ AN_OBJECT;
{ /* Jvm/predicate.scm 2 */
BGl_modulezd2initializa7ationz75zztype_typez00(((long)19010), "jvm_predicate"); 
BGl_modulezd2initializa7ationz75zzast_varz00(((long)28259), "jvm_predicate"); 
BGl_modulezd2initializa7ationz75zzast_nodez00(((long)49436), "jvm_predicate"); 
BGl_modulezd2initializa7ationz75zzobject_classz00(((long)19348), "jvm_predicate"); 
BGl_modulezd2initializa7ationz75zzjvm_envz00(((long)47084), "jvm_predicate"); 
BGl_modulezd2initializa7ationz75zzjvm_instrz00(((long)9877), "jvm_predicate"); 
BGl_modulezd2initializa7ationz75zzjvm_exprz00(((long)25448), "jvm_predicate"); 
BGl_modulezd2initializa7ationz75zzjvm_effectz00(((long)56212), "jvm_predicate"); 
BGl_modulezd2initializa7ationz75zzjvm_compilerz00(((long)63858), "jvm_predicate"); 
return 
BGl_modulezd2initializa7ationz75zzjvm_inlinez00(((long)11661), "jvm_predicate");} 
}

