/*===========================================================================*/
/*   (Module/impuse.scm)                                                     */
/*   Bigloo (2.5b)                                                           */
/*   Manuel Serrano (c)       Fri Sep 6 09:43:28 CEST 2002                   */
/*===========================================================================*/

/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>


/* Object type definitions */
typedef struct BgL_ccompz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_producerz00;
   obj_t BgL_consumerz00;
   obj_t BgL_finaliza7erza7;
} *BgL_ccompz00_bglt;

typedef struct BgL_typez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   obj_t BgL_siza7eza7;
   obj_t BgL_classz00;
   obj_t BgL_coercezd2tozd2;
   obj_t BgL_parentsz00;
   bool_t BgL_initzf3zf3;
   bool_t BgL_magiczf3zf3;
   obj_t BgL_z42z42;
   obj_t BgL_aliasz00;
   obj_t BgL_pointedzd2tozd2byz00;
   obj_t BgL_tvectorz00;
   obj_t BgL_locationz00;
   obj_t BgL_importzd2locationzd2;
} *BgL_typez00_bglt;

typedef struct BgL_tclassz00_bgl {
   obj_t BgL_itszd2superzd2;
   obj_t BgL_slotsz00;
   struct BgL_globalz00_bgl * BgL_holderz00;
   obj_t BgL_wideningz00;
   long BgL_depthz00;
   bool_t BgL_finalzf3zf3;
   obj_t BgL_constructorz00;
   obj_t BgL_virtualzd2slotszd2numberz00;
   bool_t BgL_abstractzf3zf3;
} *BgL_tclassz00_bglt;

typedef struct BgL_jclassz00_bgl {
   obj_t BgL_itszd2superzd2;
   obj_t BgL_slotsz00;
   obj_t BgL_packagez00;
} *BgL_jclassz00_bglt;

typedef struct BgL_valuez00_bgl {
   header_t header;
   obj_t widening;
} *BgL_valuez00_bglt;

typedef struct BgL_variablez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
} *BgL_variablez00_bglt;

typedef struct BgL_globalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   obj_t BgL_modulez00;
   obj_t BgL_importz00;
   bool_t BgL_evaluablezf3zf3;
   bool_t BgL_libraryzf3zf3;
   bool_t BgL_userzf3zf3;
   obj_t BgL_pragmaz00;
   obj_t BgL_srcz00;
   obj_t BgL_jvmzd2typezd2namez00;
} *BgL_globalz00_bglt;

typedef struct BgL_localz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   bool_t BgL_userzf3zf3;
   long BgL_keyz00;
} *BgL_localz00_bglt;

typedef struct BgL_funz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
} *BgL_funz00_bglt;

typedef struct BgL_sfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_propertyz00;
   obj_t BgL_argsz00;
   obj_t BgL_bodyz00;
   obj_t BgL_classz00;
   obj_t BgL_dssslzd2keywordszd2;
   obj_t BgL_locz00;
} *BgL_sfunz00_bglt;

typedef struct BgL_cfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_argszd2typezd2;
   bool_t BgL_macrozf3zf3;
   bool_t BgL_infixzf3zf3;
   obj_t BgL_methodz00;
} *BgL_cfunz00_bglt;

typedef struct BgL_svarz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
} *BgL_svarz00_bglt;

typedef struct BgL_scnstz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_nodez00;
   obj_t BgL_classz00;
   obj_t BgL_locz00;
} *BgL_scnstz00_bglt;

typedef struct BgL_cvarz00_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_macrozf3zf3;
} *BgL_cvarz00_bglt;

typedef struct BgL_sexitz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_handlerz00;
   bool_t BgL_detachedzf3zf3;
} *BgL_sexitz00_bglt;


static obj_t BGl_impusezd2parserzd2zzmodule_impusez00(obj_t, obj_t, obj_t);
extern obj_t BGl_modulezd2initializa7ationz75zzmodule_impusez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzread_readerz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzmodule_prototypez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzmodule_classz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzmodule_includez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzmodule_checksumz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_locationz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzread_accessz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzread_inlinez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_findzd2gdefszd2(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_glozd2declzd2(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_identz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzinit_mainz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__evalz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long, char *);
static obj_t BGl_zc3anonymousza32653ze3z83zzmodule_impusez00(obj_t);
extern obj_t BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
static obj_t BGl_handlerz00zzmodule_impusez00(obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_inlinezd2finaliza7erz75zzread_inlinez00();
static obj_t BGl_methodzd2initzd2zzmodule_impusez00();
extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
extern obj_t BGl_userzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_findzd2filezf2pathz20zz__osz00(obj_t, obj_t);
static obj_t BGl_zc3anonymousza32657ze3z83zzmodule_impusez00(obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t open_input_string(obj_t);
static obj_t BGl_zc3anonymousza32660ze3z83zzmodule_impusez00(obj_t);
extern long BGl_classzd2numzd2zz__objectz00(obj_t);
extern obj_t BGl_makezd2importzd2compilerz00zzmodule_impusez00();
extern obj_t BGl_sfunz00zzast_varz00;
extern obj_t BGl_stringzd2downcasezd2zz__r4_strings_6_7z00(obj_t);
extern obj_t BGl_importzd2withzd2modulez12z12zzmodule_impusez00(obj_t, obj_t);
extern obj_t BGl_dynamiczd2windzd2zz__r4_control_features_6_9z00(obj_t, obj_t, obj_t);
extern obj_t bgl_reverse(obj_t);
static obj_t BGl__importzd2withzd2modulez12z12zzmodule_impusez00(obj_t, obj_t, obj_t);
extern obj_t BGl_declarezd2classz12zc0zzmodule_classz00(obj_t, obj_t, obj_t, bool_t, bool_t, obj_t, obj_t);
extern obj_t BGl_readz00zz__readerz00(obj_t);
extern bool_t BGl_iszd2azf3z21zz__objectz00(obj_t, obj_t);
static obj_t BGl_importzd2finaliza7erz75zzmodule_impusez00();
extern obj_t BGl_za2accesszd2tableza2zd2zzengine_paramz00;
static obj_t BGl__makezd2importzd2compilerz00zzmodule_impusez00(obj_t);
extern obj_t BGl_ccompz00zzmodule_modulez00;
static obj_t BGl_importzd2wantedzd2zzmodule_impusez00(obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_unwindzd2untilz12zc0zz__bexitz00(obj_t, obj_t);
extern obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
extern obj_t BGl_getzd2importedzd2modulesz00zzmodule_impusez00();
extern obj_t BGl_userzd2errorzf2locationz20zztools_errorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_za2moduleza2z00zzmodule_modulez00;
extern obj_t string_to_bstring(char *);
extern obj_t BGl_addzd2accessz12zc0zzread_accessz00(obj_t, obj_t);
extern obj_t BGl_fastzd2idzd2ofzd2idzd2zzast_identz00(obj_t, obj_t);
extern obj_t BGl_makezd2fromzd2compilerz00zzmodule_impusez00();
extern obj_t BGl_globalz00zzast_varz00;
extern obj_t BGl_openzd2inputzd2filez00zz__r4_ports_6_10_1z00(obj_t, obj_t);
static obj_t BGl_importzd21zd2modulez00zzmodule_impusez00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl__getzd2importedzd2modulesz00zzmodule_impusez00(obj_t);
extern obj_t BGl_findzd2locationzd2zztools_locationz00(obj_t);
static obj_t BGl_escapez00zzmodule_impusez00(obj_t, obj_t);
extern obj_t BGl_typez00zztype_typez00;
extern obj_t BGl_consumezd2modulez12zc0zzmodule_modulez00(obj_t, obj_t);
extern obj_t BGl_declarezd2widezd2classz12z12zzmodule_classz00(obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_resetzd2includezd2consumedzd2codez12zc0zzmodule_includez00();
extern obj_t BGl_removezd2errorzd2handlerz12z12zz__errorz00();
extern obj_t BGl_getzd2includezd2consumedzd2directivezd2zzmodule_includez00();
extern obj_t create_struct(obj_t, int);
extern obj_t BGl_reversez12z12zz__r4_pairs_and_lists_6_3z00(obj_t);
extern obj_t BGl_assqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
static obj_t BGl__impusezd2producerzd2zzmodule_impusez00(obj_t, obj_t);
extern obj_t BGl_importzd2parserzd2zzmodule_impusez00(obj_t, obj_t, obj_t);
extern obj_t BGl_modulezd2initializa7ationzd2idza7zzmodule_modulez00(obj_t);
static obj_t BGl_readzd2importedzd2modulez00zzmodule_impusez00(obj_t);
extern BgL_globalz00_bglt BGl_declarezd2globalzd2sfunz12z12zzast_glozd2declzd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_cnstzd2initzd2zzmodule_impusez00();
extern obj_t BGl_getzd2includezd2consumedzd2codezd2zzmodule_includez00();
static obj_t BGl__impusezd2finaliza7erz75zzmodule_impusez00(obj_t);
static obj_t BGl_zc3anonymousza31828ze3z83zzmodule_impusez00(obj_t, obj_t, obj_t);
extern obj_t close_input_port(obj_t);
extern obj_t BGl_za2modulezd2clauseza2zd2zzmodule_modulez00;
static obj_t BGl_zc3anonymousza31829ze3z83zzmodule_impusez00(obj_t);
extern obj_t bgl_append2(obj_t, obj_t);
static obj_t BGl__importzd2parserzd2zzmodule_impusez00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_impusezd2finaliza7erz75zzmodule_impusez00();
static obj_t BGl_importzd2everythingzd2zzmodule_impusez00(obj_t, obj_t, obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zzmodule_impusez00();
static obj_t BGl__makezd2usezd2compilerz00zzmodule_impusez00(obj_t);
static obj_t BGl_impusezd2producerzd2zzmodule_impusez00(obj_t);
static obj_t BGl_requirezd2initializa7ationz75zzmodule_impusez00 = BUNSPEC;
static obj_t BGl_handling_function2643z00zzmodule_impusez00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl__makezd2fromzd2compilerz00zzmodule_impusez00(obj_t);
static obj_t BGl_zc3anonymousza31837ze3z83zzmodule_impusez00(obj_t, obj_t, obj_t);
static obj_t BGl_importzd2allzd2modulez00zzmodule_impusez00(obj_t, obj_t, obj_t);
static obj_t BGl_za2importzd2modulezd2listza2z00zzmodule_impusez00 = BUNSPEC;
extern obj_t BGl_findzd2locationzf2locz20zztools_locationz00(obj_t, obj_t);
extern obj_t BGl_makezd2usezd2compilerz00zzmodule_impusez00();
extern bool_t BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(obj_t);
extern obj_t BGl_za2loadzd2pathza2zd2zz__evalz00;
extern obj_t BGl_parsezd2prototypezd2zzmodule_prototypez00(obj_t);
static obj_t BGl_za2importedzd2modulezd2listza2z00zzmodule_impusez00 = BUNSPEC;
extern obj_t BGl_compilerzd2readzd2zzread_readerz00(obj_t);
extern obj_t BGl_notifyzd2errorzd2zz__errorz00(obj_t, obj_t, obj_t);
extern obj_t BGl_lookzd2forzd2inlinez00zzread_inlinez00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_libraryzd2moduleszd2initz00zzmodule_impusez00();
static obj_t BGl_zc3anonymousza31844ze3z83zzmodule_impusez00(obj_t, obj_t, obj_t);
extern BgL_globalz00_bglt BGl_declarezd2globalzd2svarz12z12zzast_glozd2declzd2(obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_exitzd2bigloozd2zzinit_mainz00(obj_t);
extern obj_t BGl_readerzd2resetz12zc0zz__readerz00();
extern obj_t BGl_addzd2errorzd2handlerz12z12zz__errorz00(obj_t, obj_t);
extern long BGl_modulezd2checksumzd2zzmodule_checksumz00(obj_t);
static obj_t BGl_zc3anonymousza31846ze3z83zzmodule_impusez00(obj_t);
extern obj_t BGl_za2debugzd2moduleza2zd2zzengine_paramz00;
extern obj_t BGl_remqz12z12zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
static obj_t BGl_toplevelzd2initzd2zzmodule_impusez00();
extern obj_t BGl_resetzd2includezd2consumedzd2directivez12zc0zzmodule_includez00();
static obj_t BGl_zc3anonymousza32651ze3z83zzmodule_impusez00(obj_t);
extern obj_t string_append_3(obj_t, obj_t, obj_t);
static obj_t __cnst[ 23 ] ;

DEFINE_EXPORT_PROCEDURE( BGl_makezd2importzd2compilerzd2envzd2zzmodule_impusez00, BgL_bgl__makeza7d2importza7d2compilerza700za7za7module_impuseza7003321z00, BGl__makezd2importzd2compilerz00zzmodule_impusez00, 0L, 0 );
extern obj_t BGl_symbolzf3zd2envz21zz__r4_symbols_6_4z00;
DEFINE_EXPORT_PROCEDURE( BGl_getzd2importedzd2moduleszd2envzd2zzmodule_impusez00, BgL_bgl__getza7d2importedza7d2modulesza700za7za7module_impuseza7003322z00, BGl__getzd2importedzd2modulesz00zzmodule_impusez00, 0L, 0 );
DEFINE_STATIC_PROCEDURE( BGl_impusezd2producerzd2envz00zzmodule_impusez00, BgL_bgl__impuseza7d2producerza7d2za7za7module_impuseza7003323za7, BGl__impusezd2producerzd2zzmodule_impusez00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_makezd2fromzd2compilerzd2envzd2zzmodule_impusez00, BgL_bgl__makeza7d2fromza7d2compilerza700za7za7module_impuseza7003324z00, BGl__makezd2fromzd2compilerz00zzmodule_impusez00, 0L, 0 );
DEFINE_EXPORT_PROCEDURE( BGl_importzd2parserzd2envz00zzmodule_impusez00, BgL_bgl__importza7d2parserza7d2za7za7module_impuseza7003325za7, va_generic_entry, BGl__importzd2parserzd2zzmodule_impusez00, -3 );
DEFINE_EXPORT_PROCEDURE( BGl_importzd2withzd2modulez12zd2envzc0zzmodule_impusez00, BgL_bgl__importza7d2withza7d2moduleza712za712za7za7module_impuseza7003326za7, BGl__importzd2withzd2modulez12z12zzmodule_impusez00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_impusezd2finaliza7erzd2envza7zzmodule_impusez00, BgL_bgl__impuseza7d2finaliza7a7erza775za7za7module_impuseza7003327z00, BGl__impusezd2finaliza7erz75zzmodule_impusez00, 0L, 0 );
DEFINE_STRING( BGl_string3286z00zzmodule_impusez00, BgL_bgl_string3286za700za7za7module_impuseza7003328z00, "sifun wide-class final-class abstract-class class svar (sfun sifun sgfun) (import with from) @ from::string checksum::long unit imported-modules pragma::int begin nothing with imode all from use void import ", 207 );
DEFINE_STRING( BGl_string3285z00zzmodule_impusez00, BgL_bgl_string3285za700za7za7module_impuseza7003329z00, "Can't find exportation for these identifiers", 44 );
DEFINE_STRING( BGl_string3284z00zzmodule_impusez00, BgL_bgl_string3284za700za7za7module_impuseza7003330z00, "Can't find such module", 22 );
DEFINE_STRING( BGl_string3283z00zzmodule_impusez00, BgL_bgl_string3283za700za7za7module_impuseza7003331z00, "Can't open such file", 20 );
DEFINE_STRING( BGl_string3282z00zzmodule_impusez00, BgL_bgl_string3282za700za7za7module_impuseza7003332z00, "read-imported-module", 20 );
DEFINE_STRING( BGl_string3281z00zzmodule_impusez00, BgL_bgl_string3281za700za7za7module_impuseza7003333z00, "      [reading ", 15 );
DEFINE_STRING( BGl_string3280z00zzmodule_impusez00, BgL_bgl_string3280za700za7za7module_impuseza7003334z00, " module ", 8 );
DEFINE_STRING( BGl_string3279z00zzmodule_impusez00, BgL_bgl_string3279za700za7za7module_impuseza7003335z00, "]", 1 );
DEFINE_STRING( BGl_string3278z00zzmodule_impusez00, BgL_bgl_string3278za700za7za7module_impuseza7003336z00, "Illegal prototype", 17 );
DEFINE_STRING( BGl_string3277z00zzmodule_impusez00, BgL_bgl_string3277za700za7za7module_impuseza7003337z00, "\")", 2 );
DEFINE_STRING( BGl_string3276z00zzmodule_impusez00, BgL_bgl_string3276za700za7za7module_impuseza7003338z00, "puts(\"    Module init (import): ", 32 );
DEFINE_STRING( BGl_string3275z00zzmodule_impusez00, BgL_bgl_string3275za700za7za7module_impuseza7003339z00, "Illegal import/use/from clause", 30 );
DEFINE_STRING( BGl_string3274z00zzmodule_impusez00, BgL_bgl_string3274za700za7za7module_impuseza7003340z00, "Parse error", 11 );
DEFINE_STRING( BGl_string3273z00zzmodule_impusez00, BgL_bgl_string3273za700za7za7module_impuseza7003341z00, "' clause", 8 );
DEFINE_STRING( BGl_string3272z00zzmodule_impusez00, BgL_bgl_string3272za700za7za7module_impuseza7003342z00, "Illegal `", 9 );
DEFINE_EXPORT_PROCEDURE( BGl_makezd2usezd2compilerzd2envzd2zzmodule_impusez00, BgL_bgl__makeza7d2useza7d2compilerza700za7za7module_impuseza7003343z00, BGl__makezd2usezd2compilerz00zzmodule_impusez00, 0L, 0 );
DEFINE_STATIC_PROCEDURE( BGl_proc3267z00zzmodule_impusez00, BgL_bgl_za7c3anonymousza7a31829za7e3za783za7za7module_impuseza7003344za7, BGl_zc3anonymousza31829ze3z83zzmodule_impusez00, 0L, 0 );
DEFINE_STATIC_PROCEDURE( BGl_proc3268z00zzmodule_impusez00, BgL_bgl_za7c3anonymousza7a31828za7e3za783za7za7module_impuseza7003345za7, BGl_zc3anonymousza31828ze3z83zzmodule_impusez00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3270z00zzmodule_impusez00, BgL_bgl_za7c3anonymousza7a31846za7e3za783za7za7module_impuseza7003346za7, BGl_zc3anonymousza31846ze3z83zzmodule_impusez00, 0L, 0 );
DEFINE_STATIC_PROCEDURE( BGl_proc3269z00zzmodule_impusez00, BgL_bgl_za7c3anonymousza7a31837za7e3za783za7za7module_impuseza7003347za7, BGl_zc3anonymousza31837ze3z83zzmodule_impusez00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3271z00zzmodule_impusez00, BgL_bgl_za7c3anonymousza7a31844za7e3za783za7za7module_impuseza7003348za7, BGl_zc3anonymousza31844ze3z83zzmodule_impusez00, 0L, 2 );



/* module-initialization */
obj_t BGl_modulezd2initializa7ationz75zzmodule_impusez00(long BgL_checksumz00_2168, char * BgL_fromz00_2169)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zzmodule_impusez00))
{ 
BGl_requirezd2initializa7ationz75zzmodule_impusez00 = 
BBOOL(((bool_t)0)); 
BGl_libraryzd2moduleszd2initz00zzmodule_impusez00(); 
BGl_cnstzd2initzd2zzmodule_impusez00(); 
BGl_importedzd2moduleszd2initz00zzmodule_impusez00(); 
BGl_toplevelzd2initzd2zzmodule_impusez00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zzmodule_impusez00()
{ AN_OBJECT;
{ /* Module/impuse.scm 15 */
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)0), "module_impuse"); 
BGl_modulezd2initializa7ationz75zz__osz00(((long)0), "module_impuse"); 
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "module_impuse"); 
BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long)0), "module_impuse"); 
BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(((long)0), "module_impuse"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "module_impuse"); 
BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long)0), "module_impuse"); 
BGl_modulezd2initializa7ationz75zz__bexitz00(((long)0), "module_impuse"); 
BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long)0), "module_impuse"); 
BGl_modulezd2initializa7ationz75zz__errorz00(((long)0), "module_impuse"); 
BGl_modulezd2initializa7ationz75zz__evalz00(((long)0), "module_impuse"); 
return BUNSPEC;} 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zzmodule_impusez00()
{ AN_OBJECT;
{ /* Module/impuse.scm 15 */
{ /* Module/impuse.scm 15 */
obj_t BgL_cportz00_2161;
BgL_cportz00_2161 = 
open_input_string(BGl_string3286z00zzmodule_impusez00); 
{ 
long BgL_iz00_2162;
BgL_iz00_2162 = ((long)22); 
BgL_loopz00_2163:
if(
(BgL_iz00_2162==((long)-1)))
{ /* Module/impuse.scm 15 */
return BUNSPEC;}  else 
{ /* Module/impuse.scm 15 */
{ /* Module/impuse.scm 15 */
obj_t BgL_arg3290z00_2165;
{ /* Module/impuse.scm 15 */
obj_t BgL_list3293z00_2166;
BgL_list3293z00_2166 = 
MAKE_PAIR(BgL_cportz00_2161, BNIL); 
BgL_arg3290z00_2165 = 
BGl_readz00zz__readerz00(BgL_list3293z00_2166); } 
{ /* Module/impuse.scm 15 */
int BgL_auxz00_2193;
BgL_auxz00_2193 = 
(int)(BgL_iz00_2162); 
CNST_TABLE_SET(BgL_auxz00_2193, BgL_arg3290z00_2165); } } 
{ 
long BgL_iz00_2196;
{ /* Module/impuse.scm 15 */
int BgL_auxz00_2197;
{ /* Module/impuse.scm 15 */
long BgL_auxz00_2198;
BgL_auxz00_2198 = 
(BgL_iz00_2162-((long)1)); 
BgL_auxz00_2197 = 
(int)(BgL_auxz00_2198); } 
BgL_iz00_2196 = 
(long)(BgL_auxz00_2197); } 
BgL_iz00_2162 = BgL_iz00_2196; 
goto BgL_loopz00_2163;} } } } } 
}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zzmodule_impusez00()
{ AN_OBJECT;
{ /* Module/impuse.scm 15 */
BGl_za2importzd2modulezd2listza2z00zzmodule_impusez00 = BNIL; 
return ( 
BGl_za2importedzd2modulezd2listza2z00zzmodule_impusez00 = BNIL, BUNSPEC) ;} 
}



/* make-import-compiler */
obj_t BGl_makezd2importzd2compilerz00zzmodule_impusez00()
{ AN_OBJECT;
{ /* Module/impuse.scm 50 */
{ /* Module/impuse.scm 51 */
obj_t BgL_arg1822z00_683;obj_t BgL_arg1823z00_684;
BgL_arg1822z00_683 = 
CNST_TABLE_REF(((long)0)); 
BgL_arg1823z00_684 = BGl_impusezd2producerzd2envz00zzmodule_impusez00; 
{ /* Module/impuse.scm 51 */
BgL_ccompz00_bglt BgL_res3054z00_1413;
{ /* Module/impuse.scm 51 */
BgL_ccompz00_bglt BgL_new1021z00_1398;
{ /* Module/impuse.scm 51 */
BgL_ccompz00_bglt BgL_res3052z00_1404;
{ /* Module/impuse.scm 51 */
BgL_ccompz00_bglt BgL_new1023z00_1399;
BgL_new1023z00_1399 = 
((BgL_ccompz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_ccompz00_bgl) ))); 
{ /* Module/impuse.scm 51 */
long BgL_arg3025z00_1400;
BgL_arg3025z00_1400 = 
BGl_classzd2numzd2zz__objectz00(BGl_ccompz00zzmodule_modulez00); 
{ /* Module/impuse.scm 51 */
BgL_objectz00_bglt BgL_auxz00_2205;
BgL_auxz00_2205 = 
(BgL_objectz00_bglt)(BgL_new1023z00_1399); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_2205, BgL_arg3025z00_1400); } } 
{ /* Module/impuse.scm 51 */
BgL_objectz00_bglt BgL_auxz00_2208;
BgL_auxz00_2208 = 
(BgL_objectz00_bglt)(BgL_new1023z00_1399); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_2208, BFALSE); } 
{ /* Module/impuse.scm 51 */
obj_t BgL_auxz00_2211;
BgL_auxz00_2211 = 
(obj_t)(BgL_new1023z00_1399); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_2211); } BUNSPEC; 
BgL_res3052z00_1404 = BgL_new1023z00_1399; } 
BgL_new1021z00_1398 = BgL_res3052z00_1404; } 
{ /* Module/impuse.scm 51 */
BgL_ccompz00_bglt BgL_res3053z00_1412;
((((BgL_ccompz00_bglt)CREF(BgL_new1021z00_1398))->BgL_idz00) = ((obj_t)BgL_arg1822z00_683), BUNSPEC); 
((((BgL_ccompz00_bglt)CREF(BgL_new1021z00_1398))->BgL_producerz00) = ((obj_t)BgL_arg1823z00_684), BUNSPEC); 
((((BgL_ccompz00_bglt)CREF(BgL_new1021z00_1398))->BgL_consumerz00) = ((obj_t)BGl_proc3268z00zzmodule_impusez00), BUNSPEC); 
((((BgL_ccompz00_bglt)CREF(BgL_new1021z00_1398))->BgL_finaliza7erza7) = ((obj_t)BGl_proc3267z00zzmodule_impusez00), BUNSPEC); 
BgL_res3053z00_1412 = BgL_new1021z00_1398; BgL_res3053z00_1412; } 
BgL_res3054z00_1413 = BgL_new1021z00_1398; } 
return 
(obj_t)(BgL_res3054z00_1413);} } } 
}



/* _make-import-compiler */
obj_t BGl__makezd2importzd2compilerz00zzmodule_impusez00(obj_t BgL_envz00_2084)
{ AN_OBJECT;
{ /* Module/impuse.scm 50 */
return 
BGl_makezd2importzd2compilerz00zzmodule_impusez00();} 
}



/* <anonymous:1829> */
obj_t BGl_zc3anonymousza31829ze3z83zzmodule_impusez00(obj_t BgL_envz00_2085)
{ AN_OBJECT;
{ /* ./Module/module.scm 50 */
{ 

return 
CNST_TABLE_REF(((long)1));} } 
}



/* <anonymous:1828> */
obj_t BGl_zc3anonymousza31828ze3z83zzmodule_impusez00(obj_t BgL_envz00_2086, obj_t BgL_mz00_2087, obj_t BgL_cz00_2088)
{ AN_OBJECT;
{ /* ./Module/module.scm 48 */
{ 
obj_t BgL_mz00_687;obj_t BgL_cz00_688;
BgL_mz00_687 = BgL_mz00_2087; 
BgL_cz00_688 = BgL_cz00_2088; 
return BNIL;} } 
}



/* make-use-compiler */
obj_t BGl_makezd2usezd2compilerz00zzmodule_impusez00()
{ AN_OBJECT;
{ /* Module/impuse.scm 57 */
{ /* Module/impuse.scm 58 */
obj_t BgL_arg1831z00_693;obj_t BgL_arg1833z00_694;obj_t BgL_arg1835z00_696;
BgL_arg1831z00_693 = 
CNST_TABLE_REF(((long)2)); 
BgL_arg1833z00_694 = BGl_impusezd2producerzd2envz00zzmodule_impusez00; 
BgL_arg1835z00_696 = BGl_impusezd2finaliza7erzd2envza7zzmodule_impusez00; 
{ /* Module/impuse.scm 58 */
BgL_ccompz00_bglt BgL_res3057z00_1433;
{ /* Module/impuse.scm 58 */
BgL_ccompz00_bglt BgL_new1021z00_1417;
{ /* Module/impuse.scm 58 */
BgL_ccompz00_bglt BgL_res3055z00_1423;
{ /* Module/impuse.scm 58 */
BgL_ccompz00_bglt BgL_new1023z00_1418;
BgL_new1023z00_1418 = 
((BgL_ccompz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_ccompz00_bgl) ))); 
{ /* Module/impuse.scm 58 */
long BgL_arg3025z00_1419;
BgL_arg3025z00_1419 = 
BGl_classzd2numzd2zz__objectz00(BGl_ccompz00zzmodule_modulez00); 
{ /* Module/impuse.scm 58 */
BgL_objectz00_bglt BgL_auxz00_2224;
BgL_auxz00_2224 = 
(BgL_objectz00_bglt)(BgL_new1023z00_1418); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_2224, BgL_arg3025z00_1419); } } 
{ /* Module/impuse.scm 58 */
BgL_objectz00_bglt BgL_auxz00_2227;
BgL_auxz00_2227 = 
(BgL_objectz00_bglt)(BgL_new1023z00_1418); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_2227, BFALSE); } 
{ /* Module/impuse.scm 58 */
obj_t BgL_auxz00_2230;
BgL_auxz00_2230 = 
(obj_t)(BgL_new1023z00_1418); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_2230); } BUNSPEC; 
BgL_res3055z00_1423 = BgL_new1023z00_1418; } 
BgL_new1021z00_1417 = BgL_res3055z00_1423; } 
{ /* Module/impuse.scm 58 */
BgL_ccompz00_bglt BgL_res3056z00_1432;
((((BgL_ccompz00_bglt)CREF(BgL_new1021z00_1417))->BgL_idz00) = ((obj_t)BgL_arg1831z00_693), BUNSPEC); 
((((BgL_ccompz00_bglt)CREF(BgL_new1021z00_1417))->BgL_producerz00) = ((obj_t)BgL_arg1833z00_694), BUNSPEC); 
((((BgL_ccompz00_bglt)CREF(BgL_new1021z00_1417))->BgL_consumerz00) = ((obj_t)BGl_proc3269z00zzmodule_impusez00), BUNSPEC); 
((((BgL_ccompz00_bglt)CREF(BgL_new1021z00_1417))->BgL_finaliza7erza7) = ((obj_t)BgL_arg1835z00_696), BUNSPEC); 
BgL_res3056z00_1432 = BgL_new1021z00_1417; BgL_res3056z00_1432; } 
BgL_res3057z00_1433 = BgL_new1021z00_1417; } 
return 
(obj_t)(BgL_res3057z00_1433);} } } 
}



/* _make-use-compiler */
obj_t BGl__makezd2usezd2compilerz00zzmodule_impusez00(obj_t BgL_envz00_2092)
{ AN_OBJECT;
{ /* Module/impuse.scm 57 */
return 
BGl_makezd2usezd2compilerz00zzmodule_impusez00();} 
}



/* <anonymous:1837> */
obj_t BGl_zc3anonymousza31837ze3z83zzmodule_impusez00(obj_t BgL_envz00_2093, obj_t BgL_mz00_2094, obj_t BgL_cz00_2095)
{ AN_OBJECT;
{ /* ./Module/module.scm 48 */
{ 
obj_t BgL_mz00_697;obj_t BgL_cz00_698;
BgL_mz00_697 = BgL_mz00_2094; 
BgL_cz00_698 = BgL_cz00_2095; 
return BNIL;} } 
}



/* make-from-compiler */
obj_t BGl_makezd2fromzd2compilerz00zzmodule_impusez00()
{ AN_OBJECT;
{ /* Module/impuse.scm 65 */
{ /* Module/impuse.scm 66 */
obj_t BgL_arg1839z00_701;obj_t BgL_arg1840z00_702;
BgL_arg1839z00_701 = 
CNST_TABLE_REF(((long)3)); 
BgL_arg1840z00_702 = BGl_impusezd2producerzd2envz00zzmodule_impusez00; 
{ /* Module/impuse.scm 66 */
BgL_ccompz00_bglt BgL_res3060z00_1451;
{ /* Module/impuse.scm 66 */
BgL_ccompz00_bglt BgL_new1021z00_1436;
{ /* Module/impuse.scm 66 */
BgL_ccompz00_bglt BgL_res3058z00_1442;
{ /* Module/impuse.scm 66 */
BgL_ccompz00_bglt BgL_new1023z00_1437;
BgL_new1023z00_1437 = 
((BgL_ccompz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_ccompz00_bgl) ))); 
{ /* Module/impuse.scm 66 */
long BgL_arg3025z00_1438;
BgL_arg3025z00_1438 = 
BGl_classzd2numzd2zz__objectz00(BGl_ccompz00zzmodule_modulez00); 
{ /* Module/impuse.scm 66 */
BgL_objectz00_bglt BgL_auxz00_2242;
BgL_auxz00_2242 = 
(BgL_objectz00_bglt)(BgL_new1023z00_1437); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_2242, BgL_arg3025z00_1438); } } 
{ /* Module/impuse.scm 66 */
BgL_objectz00_bglt BgL_auxz00_2245;
BgL_auxz00_2245 = 
(BgL_objectz00_bglt)(BgL_new1023z00_1437); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_2245, BFALSE); } 
{ /* Module/impuse.scm 66 */
obj_t BgL_auxz00_2248;
BgL_auxz00_2248 = 
(obj_t)(BgL_new1023z00_1437); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_2248); } BUNSPEC; 
BgL_res3058z00_1442 = BgL_new1023z00_1437; } 
BgL_new1021z00_1436 = BgL_res3058z00_1442; } 
{ /* Module/impuse.scm 66 */
BgL_ccompz00_bglt BgL_res3059z00_1450;
((((BgL_ccompz00_bglt)CREF(BgL_new1021z00_1436))->BgL_idz00) = ((obj_t)BgL_arg1839z00_701), BUNSPEC); 
((((BgL_ccompz00_bglt)CREF(BgL_new1021z00_1436))->BgL_producerz00) = ((obj_t)BgL_arg1840z00_702), BUNSPEC); 
((((BgL_ccompz00_bglt)CREF(BgL_new1021z00_1436))->BgL_consumerz00) = ((obj_t)BGl_proc3271z00zzmodule_impusez00), BUNSPEC); 
((((BgL_ccompz00_bglt)CREF(BgL_new1021z00_1436))->BgL_finaliza7erza7) = ((obj_t)BGl_proc3270z00zzmodule_impusez00), BUNSPEC); 
BgL_res3059z00_1450 = BgL_new1021z00_1436; BgL_res3059z00_1450; } 
BgL_res3060z00_1451 = BgL_new1021z00_1436; } 
return 
(obj_t)(BgL_res3060z00_1451);} } } 
}



/* _make-from-compiler */
obj_t BGl__makezd2fromzd2compilerz00zzmodule_impusez00(obj_t BgL_envz00_2099)
{ AN_OBJECT;
{ /* Module/impuse.scm 65 */
return 
BGl_makezd2fromzd2compilerz00zzmodule_impusez00();} 
}



/* <anonymous:1846> */
obj_t BGl_zc3anonymousza31846ze3z83zzmodule_impusez00(obj_t BgL_envz00_2100)
{ AN_OBJECT;
{ /* ./Module/module.scm 50 */
{ 

return 
CNST_TABLE_REF(((long)1));} } 
}



/* <anonymous:1844> */
obj_t BGl_zc3anonymousza31844ze3z83zzmodule_impusez00(obj_t BgL_envz00_2101, obj_t BgL_modulez00_2102, obj_t BgL_clausez00_2103)
{ AN_OBJECT;
{ /* Module/impuse.scm 68 */
{ 
obj_t BgL_modulez00_705;obj_t BgL_clausez00_706;
BgL_modulez00_705 = BgL_modulez00_2102; 
BgL_clausez00_706 = BgL_clausez00_2103; 
BGl_impusezd2producerzd2zzmodule_impusez00(BgL_clausez00_706); 
return BNIL;} } 
}



/* impuse-producer */
obj_t BGl_impusezd2producerzd2zzmodule_impusez00(obj_t BgL_clausez00_19)
{ AN_OBJECT;
{ /* Module/impuse.scm 75 */
{ /* Module/impuse.scm 76 */
obj_t BgL_modez00_711;
BgL_modez00_711 = 
CAR(BgL_clausez00_19); 
{ 
obj_t BgL_protosz00_712;
if(
PAIRP(BgL_clausez00_19))
{ /* Module/impuse.scm 77 */
bool_t BgL_auxz00_2262;
BgL_protosz00_712 = 
CDR(BgL_clausez00_19); 
{ 
obj_t BgL_l1772z00_718;
BgL_l1772z00_718 = BgL_protosz00_712; 
BgL_lname1773z00_719:
if(
PAIRP(BgL_l1772z00_718))
{ /* Module/impuse.scm 79 */
BGl_impusezd2parserzd2zzmodule_impusez00(
CAR(BgL_l1772z00_718), BgL_modez00_711, BgL_clausez00_19); 
{ 
obj_t BgL_l1772z00_2267;
BgL_l1772z00_2267 = 
CDR(BgL_l1772z00_718); 
BgL_l1772z00_718 = BgL_l1772z00_2267; 
goto BgL_lname1773z00_719;} }  else 
{ /* Module/impuse.scm 79 */
BgL_auxz00_2262 = ((bool_t)1); } } 
return 
BBOOL(BgL_auxz00_2262);}  else 
{ /* Module/impuse.scm 77 */
{ /* Module/impuse.scm 81 */
obj_t BgL_arg1864z00_723;obj_t BgL_arg1869z00_725;
BgL_arg1864z00_723 = 
BGl_findzd2locationzd2zztools_locationz00(BGl_za2modulezd2clauseza2zd2zzmodule_modulez00); 
{ /* Module/impuse.scm 83 */
obj_t BgL_arg1878z00_729;
{ /* Module/impuse.scm 85 */
obj_t BgL_arg1886z00_731;
BgL_arg1886z00_731 = 
SYMBOL_TO_STRING(BgL_modez00_711); 
BgL_arg1878z00_729 = 
BGl_stringzd2downcasezd2zz__r4_strings_6_7z00(BgL_arg1886z00_731); } 
BgL_arg1869z00_725 = 
string_append_3(BGl_string3272z00zzmodule_impusez00, BgL_arg1878z00_729, BGl_string3273z00zzmodule_impusez00); } 
{ /* Module/impuse.scm 81 */
obj_t BgL_list1872z00_727;
BgL_list1872z00_727 = 
MAKE_PAIR(BNIL, BNIL); 
return 
BGl_userzd2errorzf2locationz20zztools_errorz00(BgL_arg1864z00_723, BGl_string3274z00zzmodule_impusez00, BgL_arg1869z00_725, BgL_clausez00_19, BgL_list1872z00_727);} } } } } } 
}



/* _impuse-producer */
obj_t BGl__impusezd2producerzd2zzmodule_impusez00(obj_t BgL_envz00_2089, obj_t BgL_clausez00_2090)
{ AN_OBJECT;
{ /* Module/impuse.scm 75 */
return 
BGl_impusezd2producerzd2zzmodule_impusez00(BgL_clausez00_2090);} 
}



/* import-all-module */
obj_t BGl_importzd2allzd2modulez00zzmodule_impusez00(obj_t BgL_modulez00_20, obj_t BgL_modez00_21, obj_t BgL_srcz00_22)
{ AN_OBJECT;
{ /* Module/impuse.scm 93 */
{ /* Module/impuse.scm 94 */
obj_t BgL_bz00_732;obj_t BgL_locz00_733;
BgL_bz00_732 = 
BGl_assqz00zz__r4_pairs_and_lists_6_3z00(BgL_modulez00_20, BGl_za2importzd2modulezd2listza2z00zzmodule_impusez00); 
{ /* Module/impuse.scm 95 */
obj_t BgL_arg1906z00_739;
BgL_arg1906z00_739 = 
BGl_findzd2locationzd2zztools_locationz00(BGl_za2modulezd2clauseza2zd2zzmodule_modulez00); 
BgL_locz00_733 = 
BGl_findzd2locationzf2locz20zztools_locationz00(BgL_srcz00_22, BgL_arg1906z00_739); } 
if(
PAIRP(BgL_bz00_732))
{ /* Module/impuse.scm 97 */
obj_t BgL_xz00_2160;
{ /* Module/impuse.scm 97 */
obj_t BgL_auxz00_2287;int BgL_auxz00_2285;obj_t BgL_auxz00_2283;
BgL_auxz00_2287 = 
CNST_TABLE_REF(((long)4)); 
BgL_auxz00_2285 = 
(int)(((long)2)); 
BgL_auxz00_2283 = 
CDR(BgL_bz00_732); 
BgL_xz00_2160 = 
STRUCT_SET(BgL_auxz00_2283, BgL_auxz00_2285, BgL_auxz00_2287); } 
return BUNSPEC;}  else 
{ /* Module/impuse.scm 100 */
obj_t BgL_arg1897z00_737;
{ /* Module/impuse.scm 100 */
obj_t BgL_arg1900z00_738;
{ /* Module/impuse.scm 100 */
obj_t BgL_varsz00_1468;
BgL_varsz00_1468 = 
CNST_TABLE_REF(((long)4)); 
{ /* Module/impuse.scm 100 */
obj_t BgL_newz00_1472;
{ /* Module/impuse.scm 100 */
int BgL_auxz00_2293;obj_t BgL_auxz00_2291;
BgL_auxz00_2293 = 
(int)(((long)6)); 
BgL_auxz00_2291 = 
CNST_TABLE_REF(((long)5)); 
BgL_newz00_1472 = 
create_struct(BgL_auxz00_2291, BgL_auxz00_2293); } 
{ /* Module/impuse.scm 100 */
int BgL_auxz00_2296;
BgL_auxz00_2296 = 
(int)(((long)5)); 
STRUCT_SET(BgL_newz00_1472, BgL_auxz00_2296, BgL_srcz00_22); } 
{ /* Module/impuse.scm 100 */
int BgL_auxz00_2299;
BgL_auxz00_2299 = 
(int)(((long)4)); 
STRUCT_SET(BgL_newz00_1472, BgL_auxz00_2299, BgL_locz00_733); } 
{ /* Module/impuse.scm 100 */
int BgL_auxz00_2302;
BgL_auxz00_2302 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_1472, BgL_auxz00_2302, BUNSPEC); } 
{ /* Module/impuse.scm 100 */
int BgL_auxz00_2305;
BgL_auxz00_2305 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_1472, BgL_auxz00_2305, BgL_varsz00_1468); } 
{ /* Module/impuse.scm 100 */
int BgL_auxz00_2308;
BgL_auxz00_2308 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_1472, BgL_auxz00_2308, BgL_modez00_21); } 
{ /* Module/impuse.scm 100 */
int BgL_auxz00_2311;
BgL_auxz00_2311 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_1472, BgL_auxz00_2311, BgL_modulez00_20); } 
BgL_arg1900z00_738 = BgL_newz00_1472; } } 
BgL_arg1897z00_737 = 
MAKE_PAIR(BgL_modulez00_20, BgL_arg1900z00_738); } 
return ( 
BGl_za2importzd2modulezd2listza2z00zzmodule_impusez00 = 
MAKE_PAIR(BgL_arg1897z00_737, BGl_za2importzd2modulezd2listza2z00zzmodule_impusez00), BUNSPEC) ;} } } 
}



/* import-1-module */
obj_t BGl_importzd21zd2modulez00zzmodule_impusez00(obj_t BgL_modulez00_23, obj_t BgL_varz00_24, obj_t BgL_modez00_25, obj_t BgL_srcz00_26)
{ AN_OBJECT;
{ /* Module/impuse.scm 106 */
{ /* Module/impuse.scm 107 */
obj_t BgL_cellz00_740;obj_t BgL_locz00_741;
BgL_cellz00_740 = 
BGl_assqz00zz__r4_pairs_and_lists_6_3z00(BgL_modulez00_23, BGl_za2importzd2modulezd2listza2z00zzmodule_impusez00); 
{ /* Module/impuse.scm 108 */
obj_t BgL_arg1947z00_755;
BgL_arg1947z00_755 = 
BGl_findzd2locationzd2zztools_locationz00(BGl_za2modulezd2clauseza2zd2zzmodule_modulez00); 
BgL_locz00_741 = 
BGl_findzd2locationzf2locz20zztools_locationz00(BgL_srcz00_26, BgL_arg1947z00_755); } 
if(
PAIRP(BgL_cellz00_740))
{ /* Module/impuse.scm 118 */
obj_t BgL_bz00_743;
BgL_bz00_743 = 
CDR(BgL_cellz00_740); 
{ /* Module/impuse.scm 119 */
obj_t BgL_casezd2valuezd2_744;
{ /* Module/impuse.scm 119 */
int BgL_auxz00_2322;
BgL_auxz00_2322 = 
(int)(((long)2)); 
BgL_casezd2valuezd2_744 = 
STRUCT_REF(BgL_bz00_743, BgL_auxz00_2322); } 
{ /* Module/impuse.scm 119 */
bool_t BgL_testz00_2325;
{ /* Module/impuse.scm 119 */
obj_t BgL_auxz00_2326;
BgL_auxz00_2326 = 
CNST_TABLE_REF(((long)6)); 
BgL_testz00_2325 = 
(BgL_casezd2valuezd2_744==BgL_auxz00_2326); } 
if(BgL_testz00_2325)
{ /* Module/impuse.scm 119 */
{ /* Module/impuse.scm 121 */
int BgL_auxz00_2329;
BgL_auxz00_2329 = 
(int)(((long)1)); 
STRUCT_SET(BgL_bz00_743, BgL_auxz00_2329, BgL_modez00_25); } 
{ /* Module/impuse.scm 122 */
obj_t BgL_arg1913z00_746;
{ /* Module/impuse.scm 122 */
obj_t BgL_list1916z00_747;
BgL_list1916z00_747 = 
MAKE_PAIR(BgL_varz00_24, BNIL); 
BgL_arg1913z00_746 = BgL_list1916z00_747; } 
{ /* Module/impuse.scm 122 */
int BgL_auxz00_2333;
BgL_auxz00_2333 = 
(int)(((long)2)); 
return 
STRUCT_SET(BgL_bz00_743, BgL_auxz00_2333, BgL_arg1913z00_746);} } }  else 
{ /* Module/impuse.scm 119 */
bool_t BgL_testz00_2336;
{ /* Module/impuse.scm 119 */
obj_t BgL_auxz00_2337;
BgL_auxz00_2337 = 
CNST_TABLE_REF(((long)4)); 
BgL_testz00_2336 = 
(BgL_casezd2valuezd2_744==BgL_auxz00_2337); } 
if(BgL_testz00_2336)
{ /* Module/impuse.scm 119 */
return 
CNST_TABLE_REF(((long)7));}  else 
{ /* Module/impuse.scm 126 */
obj_t BgL_arg1920z00_749;
BgL_arg1920z00_749 = 
MAKE_PAIR(BgL_varz00_24, BgL_casezd2valuezd2_744); 
{ /* Module/impuse.scm 126 */
int BgL_auxz00_2342;
BgL_auxz00_2342 = 
(int)(((long)2)); 
return 
STRUCT_SET(BgL_bz00_743, BgL_auxz00_2342, BgL_arg1920z00_749);} } } } } }  else 
{ /* Module/impuse.scm 113 */
obj_t BgL_arg1932z00_751;
{ /* Module/impuse.scm 113 */
obj_t BgL_arg1935z00_752;
{ /* Module/impuse.scm 113 */
obj_t BgL_arg1939z00_753;
{ /* Module/impuse.scm 113 */
obj_t BgL_list1942z00_754;
BgL_list1942z00_754 = 
MAKE_PAIR(BgL_varz00_24, BNIL); 
BgL_arg1939z00_753 = BgL_list1942z00_754; } 
{ /* Module/impuse.scm 111 */
obj_t BgL_newz00_1536;
{ /* Module/impuse.scm 111 */
int BgL_auxz00_2348;obj_t BgL_auxz00_2346;
BgL_auxz00_2348 = 
(int)(((long)6)); 
BgL_auxz00_2346 = 
CNST_TABLE_REF(((long)5)); 
BgL_newz00_1536 = 
create_struct(BgL_auxz00_2346, BgL_auxz00_2348); } 
{ /* Module/impuse.scm 111 */
int BgL_auxz00_2351;
BgL_auxz00_2351 = 
(int)(((long)5)); 
STRUCT_SET(BgL_newz00_1536, BgL_auxz00_2351, BgL_srcz00_26); } 
{ /* Module/impuse.scm 111 */
int BgL_auxz00_2354;
BgL_auxz00_2354 = 
(int)(((long)4)); 
STRUCT_SET(BgL_newz00_1536, BgL_auxz00_2354, BgL_locz00_741); } 
{ /* Module/impuse.scm 111 */
int BgL_auxz00_2357;
BgL_auxz00_2357 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_1536, BgL_auxz00_2357, BUNSPEC); } 
{ /* Module/impuse.scm 111 */
int BgL_auxz00_2360;
BgL_auxz00_2360 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_1536, BgL_auxz00_2360, BgL_arg1939z00_753); } 
{ /* Module/impuse.scm 111 */
int BgL_auxz00_2363;
BgL_auxz00_2363 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_1536, BgL_auxz00_2363, BgL_modez00_25); } 
{ /* Module/impuse.scm 111 */
int BgL_auxz00_2366;
BgL_auxz00_2366 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_1536, BgL_auxz00_2366, BgL_modulez00_23); } 
BgL_arg1935z00_752 = BgL_newz00_1536; } } 
BgL_arg1932z00_751 = 
MAKE_PAIR(BgL_modulez00_23, BgL_arg1935z00_752); } 
return ( 
BGl_za2importzd2modulezd2listza2z00zzmodule_impusez00 = 
MAKE_PAIR(BgL_arg1932z00_751, BGl_za2importzd2modulezd2listza2z00zzmodule_impusez00), BUNSPEC) ;} } } 
}



/* import-with-module! */
obj_t BGl_importzd2withzd2modulez12z12zzmodule_impusez00(obj_t BgL_modulez00_27, obj_t BgL_srcz00_28)
{ AN_OBJECT;
{ /* Module/impuse.scm 131 */
{ /* Module/impuse.scm 132 */
obj_t BgL_bz00_756;obj_t BgL_locz00_757;
BgL_bz00_756 = 
BGl_assqz00zz__r4_pairs_and_lists_6_3z00(BgL_modulez00_27, BGl_za2importzd2modulezd2listza2z00zzmodule_impusez00); 
{ /* Module/impuse.scm 133 */
obj_t BgL_arg1961z00_761;
BgL_arg1961z00_761 = 
BGl_findzd2locationzd2zztools_locationz00(BGl_za2modulezd2clauseza2zd2zzmodule_modulez00); 
BgL_locz00_757 = 
BGl_findzd2locationzf2locz20zztools_locationz00(BgL_srcz00_28, BgL_arg1961z00_761); } 
if(
PAIRP(BgL_bz00_756))
{ /* Module/impuse.scm 134 */
return BFALSE;}  else 
{ /* Module/impuse.scm 136 */
obj_t BgL_arg1952z00_759;
{ /* Module/impuse.scm 136 */
obj_t BgL_arg1955z00_760;
{ /* Module/impuse.scm 136 */
obj_t BgL_modez00_1569;
BgL_modez00_1569 = 
CNST_TABLE_REF(((long)6)); 
{ /* Module/impuse.scm 136 */
obj_t BgL_newz00_1574;
{ /* Module/impuse.scm 136 */
int BgL_auxz00_2379;obj_t BgL_auxz00_2377;
BgL_auxz00_2379 = 
(int)(((long)6)); 
BgL_auxz00_2377 = 
CNST_TABLE_REF(((long)5)); 
BgL_newz00_1574 = 
create_struct(BgL_auxz00_2377, BgL_auxz00_2379); } 
{ /* Module/impuse.scm 136 */
int BgL_auxz00_2382;
BgL_auxz00_2382 = 
(int)(((long)5)); 
STRUCT_SET(BgL_newz00_1574, BgL_auxz00_2382, BgL_srcz00_28); } 
{ /* Module/impuse.scm 136 */
int BgL_auxz00_2385;
BgL_auxz00_2385 = 
(int)(((long)4)); 
STRUCT_SET(BgL_newz00_1574, BgL_auxz00_2385, BgL_locz00_757); } 
{ /* Module/impuse.scm 136 */
obj_t BgL_auxz00_2390;int BgL_auxz00_2388;
BgL_auxz00_2390 = 
BINT(((long)0)); 
BgL_auxz00_2388 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_1574, BgL_auxz00_2388, BgL_auxz00_2390); } 
{ /* Module/impuse.scm 136 */
int BgL_auxz00_2393;
BgL_auxz00_2393 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_1574, BgL_auxz00_2393, BNIL); } 
{ /* Module/impuse.scm 136 */
int BgL_auxz00_2396;
BgL_auxz00_2396 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_1574, BgL_auxz00_2396, BgL_modez00_1569); } 
{ /* Module/impuse.scm 136 */
int BgL_auxz00_2399;
BgL_auxz00_2399 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_1574, BgL_auxz00_2399, BgL_modulez00_27); } 
BgL_arg1955z00_760 = BgL_newz00_1574; } } 
BgL_arg1952z00_759 = 
MAKE_PAIR(BgL_modulez00_27, BgL_arg1955z00_760); } 
return ( 
BGl_za2importzd2modulezd2listza2z00zzmodule_impusez00 = 
MAKE_PAIR(BgL_arg1952z00_759, BGl_za2importzd2modulezd2listza2z00zzmodule_impusez00), BUNSPEC) ;} } } 
}



/* _import-with-module! */
obj_t BGl__importzd2withzd2modulez12z12zzmodule_impusez00(obj_t BgL_envz00_2104, obj_t BgL_modulez00_2105, obj_t BgL_srcz00_2106)
{ AN_OBJECT;
{ /* Module/impuse.scm 131 */
return 
BGl_importzd2withzd2modulez12z12zzmodule_impusez00(BgL_modulez00_2105, BgL_srcz00_2106);} 
}



/* impuse-parser */
obj_t BGl_impusezd2parserzd2zzmodule_impusez00(obj_t BgL_prototypez00_29, obj_t BgL_modez00_30, obj_t BgL_importzd2srczd2_31)
{ AN_OBJECT;
{ /* Module/impuse.scm 148 */
{ 
obj_t BgL_predz00_792;obj_t BgL_lstz00_793;
if(
SYMBOLP(BgL_prototypez00_29))
{ /* Module/impuse.scm 157 */
return 
BGl_importzd2allzd2modulez00zzmodule_impusez00(BgL_prototypez00_29, BgL_modez00_30, BgL_importzd2srczd2_31);}  else 
{ /* Module/impuse.scm 157 */
if(
BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_prototypez00_29))
{ /* Module/impuse.scm 160 */
{ 
obj_t BgL_lstz00_766;obj_t BgL_filesz00_767;
BgL_lstz00_766 = 
bgl_reverse(BgL_prototypez00_29); 
BgL_filesz00_767 = BNIL; 
BgL_loopz00_768:
if(
PAIRP(BgL_lstz00_766))
{ /* Module/impuse.scm 170 */
bool_t BgL_testz00_2412;
{ /* Module/impuse.scm 170 */
obj_t BgL_auxz00_2413;
BgL_auxz00_2413 = 
CAR(BgL_lstz00_766); 
BgL_testz00_2412 = 
STRINGP(BgL_auxz00_2413); } 
if(BgL_testz00_2412)
{ /* Module/impuse.scm 170 */
{ /* Module/impuse.scm 171 */
obj_t BgL_arg1971z00_771;obj_t BgL_arg1972z00_772;
BgL_arg1971z00_771 = 
CDR(BgL_lstz00_766); 
{ /* Module/impuse.scm 171 */
obj_t BgL_auxz00_2417;
BgL_auxz00_2417 = 
CAR(BgL_lstz00_766); 
BgL_arg1972z00_772 = 
MAKE_PAIR(BgL_auxz00_2417, BgL_filesz00_767); } 
{ 
obj_t BgL_filesz00_2421;obj_t BgL_lstz00_2420;
BgL_lstz00_2420 = BgL_arg1971z00_771; 
BgL_filesz00_2421 = BgL_arg1972z00_772; 
BgL_filesz00_767 = BgL_filesz00_2421; 
BgL_lstz00_766 = BgL_lstz00_2420; 
goto BgL_loopz00_768;} } }  else 
{ /* Module/impuse.scm 172 */
bool_t BgL_testz00_2422;
{ /* Module/impuse.scm 172 */
obj_t BgL_auxz00_2423;
BgL_auxz00_2423 = 
CAR(BgL_lstz00_766); 
BgL_testz00_2422 = 
SYMBOLP(BgL_auxz00_2423); } 
if(BgL_testz00_2422)
{ /* Module/impuse.scm 172 */
{ /* Module/impuse.scm 173 */
obj_t BgL_modz00_775;obj_t BgL_varsz00_776;
BgL_modz00_775 = 
CAR(BgL_lstz00_766); 
BgL_varsz00_776 = 
CDR(BgL_lstz00_766); 
if(
NULLP(BgL_varsz00_776))
{ /* Module/impuse.scm 176 */
if(
PAIRP(BgL_filesz00_767))
{ /* Module/impuse.scm 178 */
BGl_addzd2accessz12zc0zzread_accessz00(BgL_modz00_775, BgL_filesz00_767); }  else 
{ /* Module/impuse.scm 178 */BFALSE; } 
return 
BGl_importzd2allzd2modulez00zzmodule_impusez00(BgL_modz00_775, BgL_modez00_30, BgL_prototypez00_29);}  else 
{ /* Module/impuse.scm 180 */
bool_t BgL_test1985z00_779;
BgL_predz00_792 = BGl_symbolzf3zd2envz21zz__r4_symbols_6_4z00; 
BgL_lstz00_793 = BgL_varsz00_776; 
BgL_zc3anonymousza32026ze3z83_794:
if(
NULLP(BgL_lstz00_793))
{ /* Module/impuse.scm 152 */
BgL_test1985z00_779 = ((bool_t)1); }  else 
{ /* Module/impuse.scm 152 */
if(
PAIRP(BgL_lstz00_793))
{ /* Module/impuse.scm 154 */
bool_t BgL_test2029z00_797;
{ /* Module/impuse.scm 154 */
obj_t BgL_auxz00_2438;
BgL_auxz00_2438 = 
PROCEDURE_ENTRY(BgL_predz00_792)(BgL_predz00_792, 
CAR(BgL_lstz00_793), BEOA); 
BgL_test2029z00_797 = 
CBOOL(BgL_auxz00_2438); } 
if(BgL_test2029z00_797)
{ /* Module/impuse.scm 154 */
{ 
obj_t BgL_lstz00_2444;
BgL_lstz00_2444 = 
CDR(BgL_lstz00_793); 
BgL_lstz00_793 = BgL_lstz00_2444; 
goto BgL_zc3anonymousza32026ze3z83_794;} }  else 
{ /* Module/impuse.scm 154 */
BgL_test1985z00_779 = ((bool_t)0); } }  else 
{ /* Module/impuse.scm 153 */
BgL_test1985z00_779 = ((bool_t)0); } } 
if(BgL_test1985z00_779)
{ /* Module/impuse.scm 180 */
if(
PAIRP(BgL_filesz00_767))
{ /* Module/impuse.scm 182 */
BGl_addzd2accessz12zc0zzread_accessz00(BgL_modz00_775, BgL_filesz00_767); }  else 
{ /* Module/impuse.scm 182 */BFALSE; } 
{ 
obj_t BgL_l1774z00_781;
{ /* Module/impuse.scm 183 */
bool_t BgL_auxz00_2450;
BgL_l1774z00_781 = BgL_varsz00_776; 
BgL_lname1775z00_782:
if(
PAIRP(BgL_l1774z00_781))
{ /* Module/impuse.scm 183 */
BGl_importzd21zd2modulez00zzmodule_impusez00(BgL_modz00_775, 
CAR(BgL_l1774z00_781), BgL_modez00_30, BgL_prototypez00_29); 
{ 
obj_t BgL_l1774z00_2455;
BgL_l1774z00_2455 = 
CDR(BgL_l1774z00_781); 
BgL_l1774z00_781 = BgL_l1774z00_2455; 
goto BgL_lname1775z00_782;} }  else 
{ /* Module/impuse.scm 183 */
BgL_auxz00_2450 = ((bool_t)1); } 
return 
BBOOL(BgL_auxz00_2450);} } }  else 
{ /* Module/impuse.scm 180 */
{ /* Module/impuse.scm 187 */
obj_t BgL_list1999z00_786;
BgL_list1999z00_786 = 
MAKE_PAIR(BNIL, BNIL); 
return 
BGl_userzd2errorzd2zztools_errorz00(BGl_string3274z00zzmodule_impusez00, BGl_string3275z00zzmodule_impusez00, BgL_prototypez00_29, BgL_list1999z00_786);} } } } }  else 
{ /* Module/impuse.scm 172 */
{ /* Module/impuse.scm 192 */
obj_t BgL_list2006z00_787;
BgL_list2006z00_787 = 
MAKE_PAIR(BNIL, BNIL); 
return 
BGl_userzd2errorzd2zztools_errorz00(BGl_string3274z00zzmodule_impusez00, BGl_string3275z00zzmodule_impusez00, BgL_prototypez00_29, BgL_list2006z00_787);} } } }  else 
{ /* Module/impuse.scm 165 */
{ /* Module/impuse.scm 166 */
obj_t BgL_list2017z00_790;
BgL_list2017z00_790 = 
MAKE_PAIR(BNIL, BNIL); 
return 
BGl_userzd2errorzd2zztools_errorz00(BGl_string3274z00zzmodule_impusez00, BGl_string3275z00zzmodule_impusez00, BgL_prototypez00_29, BgL_list2017z00_790);} } } }  else 
{ /* Module/impuse.scm 160 */
{ /* Module/impuse.scm 197 */
obj_t BgL_list2022z00_791;
BgL_list2022z00_791 = 
MAKE_PAIR(BNIL, BNIL); 
return 
BGl_userzd2errorzd2zztools_errorz00(BGl_string3274z00zzmodule_impusez00, BGl_string3275z00zzmodule_impusez00, BgL_prototypez00_29, BgL_list2022z00_791);} } } } } 
}



/* get-imported-modules */
obj_t BGl_getzd2importedzd2modulesz00zzmodule_impusez00()
{ AN_OBJECT;
{ /* Module/impuse.scm 273 */
return BGl_za2importedzd2modulezd2listza2z00zzmodule_impusez00;} 
}



/* _get-imported-modules */
obj_t BGl__getzd2importedzd2modulesz00zzmodule_impusez00(obj_t BgL_envz00_2109)
{ AN_OBJECT;
{ /* Module/impuse.scm 273 */
return 
BGl_getzd2importedzd2modulesz00zzmodule_impusez00();} 
}



/* import-finalizer */
obj_t BGl_importzd2finaliza7erz75zzmodule_impusez00()
{ AN_OBJECT;
{ /* Module/impuse.scm 285 */
BGl_za2importzd2modulezd2listza2z00zzmodule_impusez00 = 
BGl_reversez12z12zz__r4_pairs_and_lists_6_3z00(BGl_za2importzd2modulezd2listza2z00zzmodule_impusez00); 
{ 
obj_t BgL_initza2za2_973;
BgL_initza2za2_973 = BNIL; 
BgL_loopz00_974:
{ /* Module/impuse.scm 291 */
bool_t BgL_test2419z00_975;
{ /* Module/impuse.scm 291 */
obj_t BgL_objz00_1686;
BgL_objz00_1686 = BGl_za2importzd2modulezd2listza2z00zzmodule_impusez00; 
BgL_test2419z00_975 = 
NULLP(BgL_objz00_1686); } 
if(BgL_test2419z00_975)
{ /* Module/impuse.scm 291 */
if(
PAIRP(BgL_initza2za2_973))
{ 
obj_t BgL_initza2za2_977;obj_t BgL_initzd2callza2z70_978;
BgL_initza2za2_977 = BgL_initza2za2_973; 
BgL_initzd2callza2z70_978 = BNIL; 
BgL_loopz00_979:
if(
NULLP(BgL_initza2za2_977))
{ /* Module/impuse.scm 299 */
obj_t BgL_bodyz00_981;
{ /* Module/impuse.scm 299 */
bool_t BgL_test2429z00_984;
{ /* Module/impuse.scm 299 */
long BgL_n1z00_1689;
BgL_n1z00_1689 = 
(long)CINT(BGl_za2debugzd2moduleza2zd2zzengine_paramz00); 
BgL_test2429z00_984 = 
(BgL_n1z00_1689>((long)0)); } 
if(BgL_test2429z00_984)
{ /* Module/impuse.scm 300 */
obj_t BgL_arg2431z00_985;
{ /* Module/impuse.scm 300 */
obj_t BgL_arg2435z00_987;obj_t BgL_arg2436z00_988;
BgL_arg2435z00_987 = 
CNST_TABLE_REF(((long)8)); 
{ /* Module/impuse.scm 301 */
obj_t BgL_arg2439z00_989;obj_t BgL_arg2440z00_990;
{ /* Module/impuse.scm 301 */
obj_t BgL_arg2443z00_991;obj_t BgL_arg2444z00_992;
BgL_arg2443z00_991 = 
CNST_TABLE_REF(((long)9)); 
{ /* Module/impuse.scm 302 */
obj_t BgL_arg2447z00_993;
{ /* Module/impuse.scm 302 */
obj_t BgL_arg2452z00_996;
{ /* Module/impuse.scm 304 */
obj_t BgL_symbolz00_1691;
BgL_symbolz00_1691 = BGl_za2moduleza2z00zzmodule_modulez00; 
BgL_arg2452z00_996 = 
SYMBOL_TO_STRING(BgL_symbolz00_1691); } 
BgL_arg2447z00_993 = 
string_append_3(BGl_string3276z00zzmodule_impusez00, BgL_arg2452z00_996, BGl_string3277z00zzmodule_impusez00); } 
BgL_arg2444z00_992 = 
MAKE_PAIR(BgL_arg2447z00_993, BNIL); } 
BgL_arg2439z00_989 = 
MAKE_PAIR(BgL_arg2443z00_991, BgL_arg2444z00_992); } 
BgL_arg2440z00_990 = 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_initzd2callza2z70_978, BNIL); 
BgL_arg2436z00_988 = 
MAKE_PAIR(BgL_arg2439z00_989, BgL_arg2440z00_990); } 
BgL_arg2431z00_985 = 
MAKE_PAIR(BgL_arg2435z00_987, BgL_arg2436z00_988); } 
BgL_bodyz00_981 = 
MAKE_PAIR(BgL_arg2431z00_985, BNIL); }  else 
{ /* Module/impuse.scm 299 */
BgL_bodyz00_981 = BgL_initzd2callza2z70_978; } } 
{ /* Module/impuse.scm 308 */
obj_t BgL_arg2424z00_982;
{ /* Module/impuse.scm 308 */
obj_t BgL_idz00_1692;
BgL_idz00_1692 = 
CNST_TABLE_REF(((long)10)); 
{ /* Module/impuse.scm 308 */
obj_t BgL_newz00_1696;
{ /* Module/impuse.scm 308 */
int BgL_auxz00_2491;obj_t BgL_auxz00_2489;
BgL_auxz00_2491 = 
(int)(((long)4)); 
BgL_auxz00_2489 = 
CNST_TABLE_REF(((long)11)); 
BgL_newz00_1696 = 
create_struct(BgL_auxz00_2489, BgL_auxz00_2491); } 
{ /* Module/impuse.scm 308 */
int BgL_auxz00_2494;
BgL_auxz00_2494 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_1696, BgL_auxz00_2494, BTRUE); } 
{ /* Module/impuse.scm 308 */
int BgL_auxz00_2497;
BgL_auxz00_2497 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_1696, BgL_auxz00_2497, BgL_bodyz00_981); } 
{ /* Module/impuse.scm 308 */
obj_t BgL_auxz00_2502;int BgL_auxz00_2500;
BgL_auxz00_2502 = 
BINT(((long)12)); 
BgL_auxz00_2500 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_1696, BgL_auxz00_2500, BgL_auxz00_2502); } 
{ /* Module/impuse.scm 308 */
int BgL_auxz00_2505;
BgL_auxz00_2505 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_1696, BgL_auxz00_2505, BgL_idz00_1692); } 
BgL_arg2424z00_982 = BgL_newz00_1696; } } 
{ /* Module/impuse.scm 308 */
obj_t BgL_list2426z00_983;
BgL_list2426z00_983 = 
MAKE_PAIR(BgL_arg2424z00_982, BNIL); 
return BgL_list2426z00_983;} } }  else 
{ /* Module/impuse.scm 309 */
obj_t BgL_idz00_998;
{ /* Module/impuse.scm 309 */
int BgL_auxz00_2511;obj_t BgL_auxz00_2509;
BgL_auxz00_2511 = 
(int)(((long)0)); 
BgL_auxz00_2509 = 
CAR(BgL_initza2za2_977); 
BgL_idz00_998 = 
STRUCT_REF(BgL_auxz00_2509, BgL_auxz00_2511); } 
{ /* Module/impuse.scm 309 */
obj_t BgL_checksumz00_999;
{ /* Module/impuse.scm 310 */
int BgL_auxz00_2516;obj_t BgL_auxz00_2514;
BgL_auxz00_2516 = 
(int)(((long)3)); 
BgL_auxz00_2514 = 
CAR(BgL_initza2za2_977); 
BgL_checksumz00_999 = 
STRUCT_REF(BgL_auxz00_2514, BgL_auxz00_2516); } 
{ /* Module/impuse.scm 310 */
obj_t BgL_initzd2funzd2idz00_1000;
BgL_initzd2funzd2idz00_1000 = 
BGl_modulezd2initializa7ationzd2idza7zzmodule_modulez00(BgL_idz00_998); 
{ /* Module/impuse.scm 311 */

{ /* Module/impuse.scm 312 */
obj_t BgL_globalz00_1001;
{ /* Module/impuse.scm 313 */
obj_t BgL_arg2460z00_1002;
{ /* Module/impuse.scm 313 */
obj_t BgL_list2464z00_1004;
{ /* Module/impuse.scm 313 */
obj_t BgL_arg2466z00_1005;
{ /* Module/impuse.scm 313 */
obj_t BgL_arg2469z00_1006;obj_t BgL_arg2470z00_1007;
BgL_arg2469z00_1006 = 
CNST_TABLE_REF(((long)12)); 
{ /* Module/impuse.scm 312 */
obj_t BgL_auxz00_2521;
BgL_auxz00_2521 = 
CNST_TABLE_REF(((long)13)); 
BgL_arg2470z00_1007 = 
MAKE_PAIR(BgL_auxz00_2521, BNIL); } 
BgL_arg2466z00_1005 = 
MAKE_PAIR(BgL_arg2469z00_1006, BgL_arg2470z00_1007); } 
BgL_list2464z00_1004 = 
MAKE_PAIR(BgL_initzd2funzd2idz00_1000, BgL_arg2466z00_1005); } 
BgL_arg2460z00_1002 = BgL_list2464z00_1004; } 
BgL_globalz00_1001 = 
BGl_importzd2parserzd2zzmodule_impusez00(BgL_idz00_998, BgL_arg2460z00_1002, BNIL); } 
{ /* Module/impuse.scm 317 */
BgL_globalz00_bglt BgL_obj1398z00_1729;
BgL_obj1398z00_1729 = 
(BgL_globalz00_bglt)(BgL_globalz00_1001); 
((((BgL_globalz00_bglt)CREF(BgL_obj1398z00_1729))->BgL_evaluablezf3zf3) = ((bool_t)((bool_t)0)), BUNSPEC); } } 
{ /* Module/impuse.scm 318 */
obj_t BgL_arg2474z00_1008;obj_t BgL_arg2475z00_1009;
BgL_arg2474z00_1008 = 
CDR(BgL_initza2za2_977); 
{ /* Module/impuse.scm 319 */
obj_t BgL_arg2479z00_1010;
{ /* Module/impuse.scm 319 */
obj_t BgL_arg2482z00_1011;obj_t BgL_arg2483z00_1012;
{ /* Module/impuse.scm 319 */
obj_t BgL_arg2486z00_1013;obj_t BgL_arg2487z00_1014;
BgL_arg2486z00_1013 = 
CNST_TABLE_REF(((long)14)); 
{ /* Module/impuse.scm 319 */
obj_t BgL_arg2490z00_1015;
BgL_arg2490z00_1015 = 
MAKE_PAIR(BgL_idz00_998, BNIL); 
BgL_arg2487z00_1014 = 
MAKE_PAIR(BgL_initzd2funzd2idz00_1000, BgL_arg2490z00_1015); } 
BgL_arg2482z00_1011 = 
MAKE_PAIR(BgL_arg2486z00_1013, BgL_arg2487z00_1014); } 
{ /* Module/impuse.scm 320 */
obj_t BgL_arg2494z00_1016;
{ /* Module/impuse.scm 320 */
obj_t BgL_arg2497z00_1017;
{ /* Module/impuse.scm 320 */
obj_t BgL_symbolz00_1732;
BgL_symbolz00_1732 = BGl_za2moduleza2z00zzmodule_modulez00; 
BgL_arg2497z00_1017 = 
SYMBOL_TO_STRING(BgL_symbolz00_1732); } 
BgL_arg2494z00_1016 = 
MAKE_PAIR(BgL_arg2497z00_1017, BNIL); } 
BgL_arg2483z00_1012 = 
MAKE_PAIR(BgL_checksumz00_999, BgL_arg2494z00_1016); } 
BgL_arg2479z00_1010 = 
MAKE_PAIR(BgL_arg2482z00_1011, BgL_arg2483z00_1012); } 
BgL_arg2475z00_1009 = 
MAKE_PAIR(BgL_arg2479z00_1010, BgL_initzd2callza2z70_978); } 
{ 
obj_t BgL_initzd2callza2z70_2540;obj_t BgL_initza2za2_2539;
BgL_initza2za2_2539 = BgL_arg2474z00_1008; 
BgL_initzd2callza2z70_2540 = BgL_arg2475z00_1009; 
BgL_initzd2callza2z70_978 = BgL_initzd2callza2z70_2540; 
BgL_initza2za2_977 = BgL_initza2za2_2539; 
goto BgL_loopz00_979;} } } } } } }  else 
{ /* Module/impuse.scm 292 */
return BNIL;} }  else 
{ /* Module/impuse.scm 324 */
obj_t BgL_modulez00_1021;obj_t BgL_imodez00_1022;
{ /* Module/impuse.scm 324 */
obj_t BgL_arg2532z00_1030;
{ /* Module/impuse.scm 324 */
obj_t BgL_pairz00_1733;
BgL_pairz00_1733 = BGl_za2importzd2modulezd2listza2z00zzmodule_impusez00; 
BgL_arg2532z00_1030 = 
CAR(BgL_pairz00_1733); } 
BgL_modulez00_1021 = 
CAR(BgL_arg2532z00_1030); } 
{ /* Module/impuse.scm 325 */
obj_t BgL_arg2536z00_1031;
{ /* Module/impuse.scm 325 */
obj_t BgL_pairz00_1735;
BgL_pairz00_1735 = BGl_za2importzd2modulezd2listza2z00zzmodule_impusez00; 
BgL_arg2536z00_1031 = 
CAR(BgL_pairz00_1735); } 
BgL_imodez00_1022 = 
CDR(BgL_arg2536z00_1031); } 
{ /* Module/impuse.scm 326 */
obj_t BgL_pairz00_1737;
BgL_pairz00_1737 = BGl_za2importzd2modulezd2listza2z00zzmodule_impusez00; 
BGl_za2importzd2modulezd2listza2z00zzmodule_impusez00 = 
CDR(BgL_pairz00_1737); } 
BGl_za2importedzd2modulezd2listza2z00zzmodule_impusez00 = 
MAKE_PAIR(BgL_modulez00_1021, BGl_za2importedzd2modulezd2listza2z00zzmodule_impusez00); 
{ /* Module/impuse.scm 328 */
bool_t BgL_testz00_2547;
{ /* Module/impuse.scm 328 */
obj_t BgL_auxz00_2552;obj_t BgL_auxz00_2548;
BgL_auxz00_2552 = 
CNST_TABLE_REF(((long)6)); 
{ /* Module/impuse.scm 328 */
int BgL_auxz00_2549;
BgL_auxz00_2549 = 
(int)(((long)1)); 
BgL_auxz00_2548 = 
STRUCT_REF(BgL_imodez00_1022, BgL_auxz00_2549); } 
BgL_testz00_2547 = 
(BgL_auxz00_2548==BgL_auxz00_2552); } 
if(BgL_testz00_2547)
{ /* Module/impuse.scm 328 */BFALSE; }  else 
{ /* Module/impuse.scm 328 */
BGl_readzd2importedzd2modulez00zzmodule_impusez00(BgL_imodez00_1022); } } 
{ /* Module/impuse.scm 330 */
obj_t BgL_arg2522z00_1026;
{ /* Module/impuse.scm 330 */
bool_t BgL_testz00_2556;
{ /* Module/impuse.scm 330 */
obj_t BgL_auxz00_2557;
{ /* Module/impuse.scm 330 */
obj_t BgL_auxz00_2558;
{ /* Module/impuse.scm 330 */
int BgL_auxz00_2559;
BgL_auxz00_2559 = 
(int)(((long)1)); 
BgL_auxz00_2558 = 
STRUCT_REF(BgL_imodez00_1022, BgL_auxz00_2559); } 
BgL_auxz00_2557 = 
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_auxz00_2558, 
CNST_TABLE_REF(((long)15))); } 
BgL_testz00_2556 = 
CBOOL(BgL_auxz00_2557); } 
if(BgL_testz00_2556)
{ /* Module/impuse.scm 330 */
BgL_arg2522z00_1026 = 
MAKE_PAIR(BgL_imodez00_1022, BgL_initza2za2_973); }  else 
{ /* Module/impuse.scm 330 */
BgL_arg2522z00_1026 = BgL_initza2za2_973; } } 
{ 
obj_t BgL_initza2za2_2566;
BgL_initza2za2_2566 = BgL_arg2522z00_1026; 
BgL_initza2za2_973 = BgL_initza2za2_2566; 
goto BgL_loopz00_974;} } } } } } 
}



/* impuse-finalizer */
obj_t BGl_impusezd2finaliza7erz75zzmodule_impusez00()
{ AN_OBJECT;
{ /* Module/impuse.scm 341 */
{ /* Module/impuse.scm 342 */
obj_t BgL_importzd2finaliza7erz75_1032;
BgL_importzd2finaliza7erz75_1032 = 
BGl_importzd2finaliza7erz75zzmodule_impusez00(); 
{ /* Module/impuse.scm 342 */
obj_t BgL_inlinezd2finaliza7erz75_1033;
BgL_inlinezd2finaliza7erz75_1033 = 
BGl_inlinezd2finaliza7erz75zzread_inlinez00(); 
{ /* Module/impuse.scm 343 */
obj_t BgL_finaliza7ersza7_1034;
BgL_finaliza7ersza7_1034 = 
bgl_append2(BgL_importzd2finaliza7erz75_1032, BgL_inlinezd2finaliza7erz75_1033); 
{ /* Module/impuse.scm 344 */

if(
NULLP(BgL_finaliza7ersza7_1034))
{ /* Module/impuse.scm 345 */
return 
CNST_TABLE_REF(((long)1));}  else 
{ /* Module/impuse.scm 345 */
return BgL_finaliza7ersza7_1034;} } } } } } 
}



/* _impuse-finalizer */
obj_t BGl__impusezd2finaliza7erz75zzmodule_impusez00(obj_t BgL_envz00_2096)
{ AN_OBJECT;
{ /* Module/impuse.scm 341 */
return 
BGl_impusezd2finaliza7erz75zzmodule_impusez00();} 
}



/* import-parser */
obj_t BGl_importzd2parserzd2zzmodule_impusez00(obj_t BgL_modulez00_61, obj_t BgL_prototypez00_62, obj_t BgL_importzd2srczd2_63)
{ AN_OBJECT;
{ /* Module/impuse.scm 352 */
{ /* Module/impuse.scm 353 */
obj_t BgL_protoz00_1036;obj_t BgL_srcz00_1037;
BgL_protoz00_1036 = 
BGl_parsezd2prototypezd2zzmodule_prototypez00(BgL_prototypez00_62); 
if(
PAIRP(BgL_importzd2srczd2_63))
{ /* Module/impuse.scm 354 */
BgL_srcz00_1037 = 
CAR(BgL_importzd2srczd2_63); }  else 
{ /* Module/impuse.scm 354 */
BgL_srcz00_1037 = BFALSE; } 
if(
PAIRP(BgL_protoz00_1036))
{ /* Module/impuse.scm 363 */
obj_t BgL_casezd2valuezd2_1039;
BgL_casezd2valuezd2_1039 = 
CAR(BgL_protoz00_1036); 
{ /* Module/impuse.scm 364 */
bool_t BgL_testz00_2581;
{ /* Module/impuse.scm 365 */
obj_t BgL_auxz00_2582;
BgL_auxz00_2582 = 
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_casezd2valuezd2_1039, 
CNST_TABLE_REF(((long)16))); 
BgL_testz00_2581 = 
CBOOL(BgL_auxz00_2582); } 
if(BgL_testz00_2581)
{ /* Module/impuse.scm 365 */
BgL_globalz00_bglt BgL_auxz00_2586;
{ /* Module/impuse.scm 365 */
obj_t BgL_auxz00_2591;obj_t BgL_auxz00_2587;
{ /* Module/impuse.scm 366 */
obj_t BgL_auxz00_2592;
{ /* Module/impuse.scm 366 */
obj_t BgL_auxz00_2593;
BgL_auxz00_2593 = 
CDR(BgL_protoz00_1036); 
BgL_auxz00_2592 = 
CDR(BgL_auxz00_2593); } 
BgL_auxz00_2591 = 
CAR(BgL_auxz00_2592); } 
{ /* Module/impuse.scm 365 */
obj_t BgL_auxz00_2588;
BgL_auxz00_2588 = 
CDR(BgL_protoz00_1036); 
BgL_auxz00_2587 = 
CAR(BgL_auxz00_2588); } 
BgL_auxz00_2586 = 
BGl_declarezd2globalzd2sfunz12z12zzast_glozd2declzd2(BgL_auxz00_2587, BgL_auxz00_2591, BgL_modulez00_61, 
CNST_TABLE_REF(((long)0)), BgL_casezd2valuezd2_1039, BgL_prototypez00_62, BgL_srcz00_1037); } 
return 
(obj_t)(BgL_auxz00_2586);}  else 
{ /* Module/impuse.scm 364 */
bool_t BgL_testz00_2600;
{ /* Module/impuse.scm 364 */
obj_t BgL_auxz00_2601;
BgL_auxz00_2601 = 
CNST_TABLE_REF(((long)17)); 
BgL_testz00_2600 = 
(BgL_casezd2valuezd2_1039==BgL_auxz00_2601); } 
if(BgL_testz00_2600)
{ /* Module/impuse.scm 373 */
BgL_globalz00_bglt BgL_auxz00_2604;
{ /* Module/impuse.scm 373 */
obj_t BgL_auxz00_2605;
{ /* Module/impuse.scm 373 */
obj_t BgL_auxz00_2606;
BgL_auxz00_2606 = 
CDR(BgL_protoz00_1036); 
BgL_auxz00_2605 = 
CAR(BgL_auxz00_2606); } 
BgL_auxz00_2604 = 
BGl_declarezd2globalzd2svarz12z12zzast_glozd2declzd2(BgL_auxz00_2605, BgL_modulez00_61, 
CNST_TABLE_REF(((long)0)), BgL_prototypez00_62, BgL_srcz00_1037); } 
return 
(obj_t)(BgL_auxz00_2604);}  else 
{ /* Module/impuse.scm 364 */
bool_t BgL_testz00_2612;
{ /* Module/impuse.scm 364 */
obj_t BgL_auxz00_2613;
BgL_auxz00_2613 = 
CNST_TABLE_REF(((long)18)); 
BgL_testz00_2612 = 
(BgL_casezd2valuezd2_1039==BgL_auxz00_2613); } 
if(BgL_testz00_2612)
{ /* Module/impuse.scm 364 */
return 
BGl_declarezd2classz12zc0zzmodule_classz00(
CDR(BgL_protoz00_1036), BgL_modulez00_61, 
CNST_TABLE_REF(((long)0)), ((bool_t)0), ((bool_t)0), BgL_prototypez00_62, BgL_srcz00_1037);}  else 
{ /* Module/impuse.scm 364 */
bool_t BgL_testz00_2619;
{ /* Module/impuse.scm 364 */
obj_t BgL_auxz00_2620;
BgL_auxz00_2620 = 
CNST_TABLE_REF(((long)19)); 
BgL_testz00_2619 = 
(BgL_casezd2valuezd2_1039==BgL_auxz00_2620); } 
if(BgL_testz00_2619)
{ /* Module/impuse.scm 364 */
return 
BGl_declarezd2classz12zc0zzmodule_classz00(
CDR(BgL_protoz00_1036), BgL_modulez00_61, 
CNST_TABLE_REF(((long)0)), ((bool_t)0), ((bool_t)1), BgL_prototypez00_62, BgL_srcz00_1037);}  else 
{ /* Module/impuse.scm 364 */
bool_t BgL_testz00_2626;
{ /* Module/impuse.scm 364 */
obj_t BgL_auxz00_2627;
BgL_auxz00_2627 = 
CNST_TABLE_REF(((long)20)); 
BgL_testz00_2626 = 
(BgL_casezd2valuezd2_1039==BgL_auxz00_2627); } 
if(BgL_testz00_2626)
{ /* Module/impuse.scm 364 */
return 
BGl_declarezd2classz12zc0zzmodule_classz00(
CDR(BgL_protoz00_1036), BgL_modulez00_61, 
CNST_TABLE_REF(((long)0)), ((bool_t)1), ((bool_t)0), BgL_prototypez00_62, BgL_srcz00_1037);}  else 
{ /* Module/impuse.scm 364 */
bool_t BgL_testz00_2633;
{ /* Module/impuse.scm 364 */
obj_t BgL_auxz00_2634;
BgL_auxz00_2634 = 
CNST_TABLE_REF(((long)21)); 
BgL_testz00_2633 = 
(BgL_casezd2valuezd2_1039==BgL_auxz00_2634); } 
if(BgL_testz00_2633)
{ /* Module/impuse.scm 364 */
return 
BGl_declarezd2widezd2classz12z12zzmodule_classz00(
CDR(BgL_protoz00_1036), BgL_modulez00_61, 
CNST_TABLE_REF(((long)0)), BgL_prototypez00_62, BgL_srcz00_1037);}  else 
{ /* Module/impuse.scm 383 */
obj_t BgL_list2587z00_1060;
BgL_list2587z00_1060 = 
MAKE_PAIR(BNIL, BNIL); 
return 
BGl_userzd2errorzd2zztools_errorz00(BGl_string3274z00zzmodule_impusez00, BGl_string3278z00zzmodule_impusez00, BgL_prototypez00_62, BgL_list2587z00_1060);} } } } } } } }  else 
{ /* Module/impuse.scm 358 */
obj_t BgL_arg2597z00_1061;
BgL_arg2597z00_1061 = 
BGl_findzd2locationzd2zztools_locationz00(BGl_za2modulezd2clauseza2zd2zzmodule_modulez00); 
{ /* Module/impuse.scm 358 */
obj_t BgL_list2602z00_1065;
BgL_list2602z00_1065 = 
MAKE_PAIR(BNIL, BNIL); 
return 
BGl_userzd2errorzf2locationz20zztools_errorz00(BgL_arg2597z00_1061, BGl_string3274z00zzmodule_impusez00, BGl_string3278z00zzmodule_impusez00, BgL_prototypez00_62, BgL_list2602z00_1065);} } } } 
}



/* _import-parser */
obj_t BGl__importzd2parserzd2zzmodule_impusez00(obj_t BgL_envz00_2110, obj_t BgL_modulez00_2111, obj_t BgL_prototypez00_2112, obj_t BgL_importzd2srczd2_2113)
{ AN_OBJECT;
{ /* Module/impuse.scm 352 */
return 
BGl_importzd2parserzd2zzmodule_impusez00(BgL_modulez00_2111, BgL_prototypez00_2112, BgL_importzd2srczd2_2113);} 
}



/* read-imported-module */
obj_t BGl_readzd2importedzd2modulez00zzmodule_impusez00(obj_t BgL_imodez00_64)
{ AN_OBJECT;
{ /* Module/impuse.scm 388 */
{ /* Module/impuse.scm 390 */
obj_t BgL_modulez00_1067;
{ /* Module/impuse.scm 390 */
int BgL_auxz00_2646;
BgL_auxz00_2646 = 
(int)(((long)0)); 
BgL_modulez00_1067 = 
STRUCT_REF(BgL_imodez00_64, BgL_auxz00_2646); } 
{ /* Module/impuse.scm 390 */
obj_t BgL_wantedz00_1068;
{ /* Module/impuse.scm 391 */
int BgL_auxz00_2649;
BgL_auxz00_2649 = 
(int)(((long)2)); 
BgL_wantedz00_1068 = 
STRUCT_REF(BgL_imodez00_64, BgL_auxz00_2649); } 
{ /* Module/impuse.scm 391 */
obj_t BgL_bz00_1069;
BgL_bz00_1069 = 
BGl_assqz00zz__r4_pairs_and_lists_6_3z00(BgL_modulez00_1067, BGl_za2accesszd2tableza2zd2zzengine_paramz00); 
{ /* Module/impuse.scm 392 */

{ /* Module/impuse.scm 393 */
char * BgL_arg2613z00_1072;
{ /* Module/impuse.scm 394 */
bool_t BgL_testz00_2653;
{ /* Module/impuse.scm 394 */
obj_t BgL_auxz00_2658;obj_t BgL_auxz00_2654;
BgL_auxz00_2658 = 
CNST_TABLE_REF(((long)2)); 
{ /* Module/impuse.scm 394 */
int BgL_auxz00_2655;
BgL_auxz00_2655 = 
(int)(((long)1)); 
BgL_auxz00_2654 = 
STRUCT_REF(BgL_imodez00_64, BgL_auxz00_2655); } 
BgL_testz00_2653 = 
(BgL_auxz00_2654==BgL_auxz00_2658); } 
if(BgL_testz00_2653)
{ /* Module/impuse.scm 394 */
BgL_arg2613z00_1072 = "used"; }  else 
{ /* Module/impuse.scm 394 */
BgL_arg2613z00_1072 = "imported"; } } 
{ /* Module/impuse.scm 393 */
obj_t BgL_list2617z00_1075;
{ /* Module/impuse.scm 393 */
obj_t BgL_arg2619z00_1076;
{ /* Module/impuse.scm 393 */
obj_t BgL_arg2622z00_1077;
{ /* Module/impuse.scm 393 */
obj_t BgL_arg2625z00_1078;
{ /* Module/impuse.scm 393 */
obj_t BgL_arg2628z00_1079;
{ /* Module/impuse.scm 393 */
obj_t BgL_arg2631z00_1080;
{ /* Module/impuse.scm 393 */
obj_t BgL_auxz00_2661;
BgL_auxz00_2661 = 
BCHAR(((unsigned char)'\n')); 
BgL_arg2631z00_1080 = 
MAKE_PAIR(BgL_auxz00_2661, BNIL); } 
BgL_arg2628z00_1079 = 
MAKE_PAIR(BGl_string3279z00zzmodule_impusez00, BgL_arg2631z00_1080); } 
BgL_arg2625z00_1078 = 
MAKE_PAIR(BgL_modulez00_1067, BgL_arg2628z00_1079); } 
BgL_arg2622z00_1077 = 
MAKE_PAIR(BGl_string3280z00zzmodule_impusez00, BgL_arg2625z00_1078); } 
{ /* Module/impuse.scm 393 */
obj_t BgL_auxz00_2667;
BgL_auxz00_2667 = 
string_to_bstring(BgL_arg2613z00_1072); 
BgL_arg2619z00_1076 = 
MAKE_PAIR(BgL_auxz00_2667, BgL_arg2622z00_1077); } } 
BgL_list2617z00_1075 = 
MAKE_PAIR(BGl_string3281z00zzmodule_impusez00, BgL_arg2619z00_1076); } 
BGl_verbosez00zztools_speekz00(
BINT(((long)2)), BgL_list2617z00_1075); } } 
if(
CBOOL(BgL_bz00_1069))
{ /* Module/impuse.scm 402 */
obj_t BgL_fnamesz00_1084;
BgL_fnamesz00_1084 = 
CDR(BgL_bz00_1069); 
{ /* Module/impuse.scm 402 */
obj_t BgL_fnamez00_1085;
BgL_fnamez00_1085 = 
BGl_findzd2filezf2pathz20zz__osz00(
CAR(BgL_fnamesz00_1084), BGl_za2loadzd2pathza2zd2zz__evalz00); 
{ /* Module/impuse.scm 403 */

if(
STRINGP(BgL_fnamez00_1085))
{ /* Module/impuse.scm 410 */
obj_t BgL_portz00_1087;
BgL_portz00_1087 = 
BGl_openzd2inputzd2filez00zz__r4_ports_6_10_1z00(BgL_fnamez00_1085, BNIL); 
BGl_readerzd2resetz12zc0zz__readerz00(); 
if(
INPUT_PORTP(BgL_portz00_1087))
{ /* Module/impuse.scm 420 */
obj_t BgL_handlerz00_2119;
{ 
int BgL_auxz00_2686;int BgL_auxz00_2684;
BgL_auxz00_2686 = 
(int)(((long)1)); 
BgL_auxz00_2684 = 
(int)(((long)4)); 
BgL_handlerz00_2119 = 
make_fx_procedure(BGl_handlerz00zzmodule_impusez00, BgL_auxz00_2684, BgL_auxz00_2686); } 
{ /* Module/impuse.scm 420 */
int BgL_auxz00_2689;
BgL_auxz00_2689 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_handlerz00_2119, BgL_auxz00_2689, BgL_portz00_1087); } 
{ /* Module/impuse.scm 424 */
obj_t BgL_armed1779z00_1090;obj_t BgL_handler1776z00_1091;
BgL_armed1779z00_1090 = 
MAKE_CELL(BUNSPEC); 
BgL_handler1776z00_1091 = 
MAKE_CELL(BUNSPEC); 
{ /* Module/impuse.scm 424 */
obj_t BgL_zc3anonymousza32660ze3z83_2115;obj_t BgL_zc3anonymousza32657ze3z83_2117;
{ 
int BgL_auxz00_2694;int BgL_auxz00_2692;
BgL_auxz00_2694 = 
(int)(((long)5)); 
BgL_auxz00_2692 = 
(int)(((long)0)); 
BgL_zc3anonymousza32660ze3z83_2115 = 
make_fx_procedure(BGl_zc3anonymousza32660ze3z83zzmodule_impusez00, BgL_auxz00_2692, BgL_auxz00_2694); } 
{ 
int BgL_auxz00_2699;int BgL_auxz00_2697;
BgL_auxz00_2699 = 
(int)(((long)2)); 
BgL_auxz00_2697 = 
(int)(((long)4)); 
BgL_zc3anonymousza32657ze3z83_2117 = 
make_fx_procedure(BGl_zc3anonymousza32657ze3z83zzmodule_impusez00, BgL_auxz00_2697, BgL_auxz00_2699); } 
{ /* Module/impuse.scm 424 */
int BgL_auxz00_2702;
BgL_auxz00_2702 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_zc3anonymousza32660ze3z83_2115, BgL_auxz00_2702, BgL_portz00_1087); } 
{ /* Module/impuse.scm 424 */
int BgL_auxz00_2705;
BgL_auxz00_2705 = 
(int)(((long)1)); 
PROCEDURE_SET(BgL_zc3anonymousza32660ze3z83_2115, BgL_auxz00_2705, BgL_modulez00_1067); } 
{ /* Module/impuse.scm 424 */
int BgL_auxz00_2708;
BgL_auxz00_2708 = 
(int)(((long)2)); 
PROCEDURE_SET(BgL_zc3anonymousza32660ze3z83_2115, BgL_auxz00_2708, BgL_imodez00_64); } 
{ /* Module/impuse.scm 424 */
int BgL_auxz00_2711;
BgL_auxz00_2711 = 
(int)(((long)3)); 
PROCEDURE_SET(BgL_zc3anonymousza32660ze3z83_2115, BgL_auxz00_2711, BgL_wantedz00_1068); } 
{ /* Module/impuse.scm 424 */
int BgL_auxz00_2714;
BgL_auxz00_2714 = 
(int)(((long)4)); 
PROCEDURE_SET(BgL_zc3anonymousza32660ze3z83_2115, BgL_auxz00_2714, BgL_fnamesz00_1084); } 
{ /* Module/impuse.scm 424 */
int BgL_auxz00_2717;
BgL_auxz00_2717 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_zc3anonymousza32657ze3z83_2117, BgL_auxz00_2717, BgL_armed1779z00_1090); } 
{ /* Module/impuse.scm 424 */
int BgL_auxz00_2720;
BgL_auxz00_2720 = 
(int)(((long)1)); 
PROCEDURE_SET(BgL_zc3anonymousza32657ze3z83_2117, BgL_auxz00_2720, BgL_handler1776z00_1091); } 
CELL_SET(BgL_handler1776z00_1091, BgL_handlerz00_2119); 
CELL_SET(BgL_armed1779z00_1090, BTRUE); 
return 
BGl_handling_function2643z00zzmodule_impusez00(BgL_zc3anonymousza32660ze3z83_2115, BgL_zc3anonymousza32657ze3z83_2117, BgL_handler1776z00_1091, BgL_armed1779z00_1090);} } }  else 
{ /* Module/impuse.scm 413 */
obj_t BgL_arg2698z00_1133;obj_t BgL_arg2701z00_1136;
{ /* Module/impuse.scm 413 */
int BgL_auxz00_2724;
BgL_auxz00_2724 = 
(int)(((long)4)); 
BgL_arg2698z00_1133 = 
STRUCT_REF(BgL_imodez00_64, BgL_auxz00_2724); } 
BgL_arg2701z00_1136 = 
CAR(BgL_fnamesz00_1084); 
{ /* Module/impuse.scm 413 */
obj_t BgL_list2704z00_1138;
BgL_list2704z00_1138 = 
MAKE_PAIR(BNIL, BNIL); 
return 
BGl_userzd2errorzf2locationz20zztools_errorz00(BgL_arg2698z00_1133, BGl_string3282z00zzmodule_impusez00, BGl_string3283z00zzmodule_impusez00, BgL_arg2701z00_1136, BgL_list2704z00_1138);} } }  else 
{ /* Module/impuse.scm 405 */
obj_t BgL_arg2712z00_1140;obj_t BgL_arg2715z00_1143;
{ /* Module/impuse.scm 405 */
int BgL_auxz00_2730;
BgL_auxz00_2730 = 
(int)(((long)4)); 
BgL_arg2712z00_1140 = 
STRUCT_REF(BgL_imodez00_64, BgL_auxz00_2730); } 
BgL_arg2715z00_1143 = 
CAR(BgL_fnamesz00_1084); 
{ /* Module/impuse.scm 405 */
obj_t BgL_list2718z00_1145;
BgL_list2718z00_1145 = 
MAKE_PAIR(BNIL, BNIL); 
return 
BGl_userzd2errorzf2locationz20zztools_errorz00(BgL_arg2712z00_1140, BGl_string3282z00zzmodule_impusez00, BGl_string3283z00zzmodule_impusez00, BgL_arg2715z00_1143, BgL_list2718z00_1145);} } } } }  else 
{ /* Module/impuse.scm 397 */
obj_t BgL_arg2729z00_1147;
{ /* Module/impuse.scm 397 */
int BgL_auxz00_2736;
BgL_auxz00_2736 = 
(int)(((long)4)); 
BgL_arg2729z00_1147 = 
STRUCT_REF(BgL_imodez00_64, BgL_auxz00_2736); } 
{ /* Module/impuse.scm 397 */
obj_t BgL_list2734z00_1151;
BgL_list2734z00_1151 = 
MAKE_PAIR(BNIL, BNIL); 
return 
BGl_userzd2errorzf2locationz20zztools_errorz00(BgL_arg2729z00_1147, BGl_string3282z00zzmodule_impusez00, BGl_string3284z00zzmodule_impusez00, BgL_modulez00_1067, BgL_list2734z00_1151);} } } } } } } 
}



/* handling_function2643 */
obj_t BGl_handling_function2643z00zzmodule_impusez00(obj_t BgL_zc3anonymousza32660ze3z83_2157, obj_t BgL_zc3anonymousza32657ze3z83_2156, obj_t BgL_handler1776z00_2155, obj_t BgL_armed1779z00_2154)
{ AN_OBJECT;
{ /* Module/impuse.scm 424 */
jmp_buf jmpbuf; 
obj_t BgL_an_exit1780z00_1095;
if( SET_EXIT(BgL_an_exit1780z00_1095) ) { RESTORE_TRACE(); 
return 
_exit_value_;
} else {
BgL_an_exit1780z00_1095 = 
(obj_t)jmpbuf; 
{ /* Module/impuse.scm 424 */

PUSH_EXIT(BgL_an_exit1780z00_1095, ((bool_t)1)); 
{ /* Module/impuse.scm 424 */
obj_t BgL_an_exitd1781z00_1096;
BgL_an_exitd1781z00_1096 = 
BGL_GET_EXITD_TOP(); 
{ /* Module/impuse.scm 424 */
obj_t BgL_escapez00_2116;
{ 
int BgL_auxz00_2747;int BgL_auxz00_2745;
BgL_auxz00_2747 = 
(int)(((long)1)); 
BgL_auxz00_2745 = 
(int)(((long)1)); 
BgL_escapez00_2116 = 
make_fx_procedure(BGl_escapez00zzmodule_impusez00, BgL_auxz00_2745, BgL_auxz00_2747); } 
{ /* Module/impuse.scm 424 */
int BgL_auxz00_2750;
BgL_auxz00_2750 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_escapez00_2116, BgL_auxz00_2750, BgL_an_exitd1781z00_1096); } 
{ /* Module/impuse.scm 424 */
obj_t BgL_res1783z00_1099;
{ /* Module/impuse.scm 424 */
obj_t BgL_zc3anonymousza32653ze3z83_2114;obj_t BgL_zc3anonymousza32651ze3z83_2118;
{ 
int BgL_auxz00_2755;int BgL_auxz00_2753;
BgL_auxz00_2755 = 
(int)(((long)1)); 
BgL_auxz00_2753 = 
(int)(((long)0)); 
BgL_zc3anonymousza32653ze3z83_2114 = 
make_fx_procedure(BGl_zc3anonymousza32653ze3z83zzmodule_impusez00, BgL_auxz00_2753, BgL_auxz00_2755); } 
{ 
int BgL_auxz00_2760;int BgL_auxz00_2758;
BgL_auxz00_2760 = 
(int)(((long)5)); 
BgL_auxz00_2758 = 
(int)(((long)0)); 
BgL_zc3anonymousza32651ze3z83_2118 = 
make_fx_procedure(BGl_zc3anonymousza32651ze3z83zzmodule_impusez00, BgL_auxz00_2758, BgL_auxz00_2760); } 
{ /* Module/impuse.scm 424 */
int BgL_auxz00_2763;
BgL_auxz00_2763 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_zc3anonymousza32653ze3z83_2114, BgL_auxz00_2763, BgL_armed1779z00_2154); } 
{ /* Module/impuse.scm 424 */
int BgL_auxz00_2766;
BgL_auxz00_2766 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_zc3anonymousza32651ze3z83_2118, BgL_auxz00_2766, BgL_an_exitd1781z00_1096); } 
{ /* Module/impuse.scm 424 */
int BgL_auxz00_2769;
BgL_auxz00_2769 = 
(int)(((long)1)); 
PROCEDURE_SET(BgL_zc3anonymousza32651ze3z83_2118, BgL_auxz00_2769, BgL_armed1779z00_2154); } 
{ /* Module/impuse.scm 424 */
int BgL_auxz00_2772;
BgL_auxz00_2772 = 
(int)(((long)2)); 
PROCEDURE_SET(BgL_zc3anonymousza32651ze3z83_2118, BgL_auxz00_2772, BgL_handler1776z00_2155); } 
{ /* Module/impuse.scm 424 */
int BgL_auxz00_2775;
BgL_auxz00_2775 = 
(int)(((long)3)); 
PROCEDURE_SET(BgL_zc3anonymousza32651ze3z83_2118, BgL_auxz00_2775, BgL_zc3anonymousza32657ze3z83_2156); } 
{ /* Module/impuse.scm 424 */
int BgL_auxz00_2778;
BgL_auxz00_2778 = 
(int)(((long)4)); 
PROCEDURE_SET(BgL_zc3anonymousza32651ze3z83_2118, BgL_auxz00_2778, BgL_escapez00_2116); } 
BgL_res1783z00_1099 = 
BGl_dynamiczd2windzd2zz__r4_control_features_6_9z00(BgL_zc3anonymousza32651ze3z83_2118, BgL_zc3anonymousza32660ze3z83_2157, BgL_zc3anonymousza32653ze3z83_2114); } 
POP_EXIT(); 
return BgL_res1783z00_1099;} } } } 
} } 
}



/* <anonymous:2653> */
obj_t BGl_zc3anonymousza32653ze3z83zzmodule_impusez00(obj_t BgL_envz00_2120)
{ AN_OBJECT;
{ /* Module/impuse.scm 424 */
{ /* Module/impuse.scm 424 */
obj_t BgL_armed1779z00_2121;
{ /* Module/impuse.scm 424 */
int BgL_auxz00_2783;
BgL_auxz00_2783 = 
(int)(((long)0)); 
BgL_armed1779z00_2121 = 
PROCEDURE_REF(BgL_envz00_2120, BgL_auxz00_2783); } 
{ 

{ /* Module/impuse.scm 424 */
bool_t BgL_testz00_2786;
{ /* Module/impuse.scm 424 */
obj_t BgL_auxz00_2787;
BgL_auxz00_2787 = 
CELL_REF(BgL_armed1779z00_2121); 
BgL_testz00_2786 = 
CBOOL(BgL_auxz00_2787); } 
if(BgL_testz00_2786)
{ /* Module/impuse.scm 424 */
CELL_SET(BgL_armed1779z00_2121, BFALSE); 
return 
BGl_removezd2errorzd2handlerz12z12zz__errorz00();}  else 
{ /* Module/impuse.scm 424 */
return BFALSE;} } } } } 
}



/* <anonymous:2660> */
obj_t BGl_zc3anonymousza32660ze3z83zzmodule_impusez00(obj_t BgL_envz00_2123)
{ AN_OBJECT;
{ /* Module/impuse.scm 424 */
{ /* Module/impuse.scm 425 */
obj_t BgL_portz00_2124;obj_t BgL_modulez00_2125;obj_t BgL_imodez00_2126;obj_t BgL_wantedz00_2127;obj_t BgL_fnamesz00_2128;
{ /* Module/impuse.scm 425 */
int BgL_auxz00_2790;
BgL_auxz00_2790 = 
(int)(((long)0)); 
BgL_portz00_2124 = 
PROCEDURE_REF(BgL_envz00_2123, BgL_auxz00_2790); } 
{ /* Module/impuse.scm 425 */
int BgL_auxz00_2793;
BgL_auxz00_2793 = 
(int)(((long)1)); 
BgL_modulez00_2125 = 
PROCEDURE_REF(BgL_envz00_2123, BgL_auxz00_2793); } 
{ /* Module/impuse.scm 425 */
int BgL_auxz00_2796;
BgL_auxz00_2796 = 
(int)(((long)2)); 
BgL_imodez00_2126 = 
PROCEDURE_REF(BgL_envz00_2123, BgL_auxz00_2796); } 
{ /* Module/impuse.scm 425 */
int BgL_auxz00_2799;
BgL_auxz00_2799 = 
(int)(((long)3)); 
BgL_wantedz00_2127 = 
PROCEDURE_REF(BgL_envz00_2123, BgL_auxz00_2799); } 
{ /* Module/impuse.scm 425 */
int BgL_auxz00_2802;
BgL_auxz00_2802 = 
(int)(((long)4)); 
BgL_fnamesz00_2128 = 
PROCEDURE_REF(BgL_envz00_2123, BgL_auxz00_2802); } 
{ 

{ /* Module/impuse.scm 425 */
obj_t BgL_mdeclz00_1112;
{ /* Module/impuse.scm 425 */
obj_t BgL_list2684z00_1122;
{ /* Module/impuse.scm 425 */
obj_t BgL_arg2686z00_1123;
BgL_arg2686z00_1123 = 
MAKE_PAIR(BTRUE, BNIL); 
BgL_list2684z00_1122 = 
MAKE_PAIR(BgL_portz00_2124, BgL_arg2686z00_1123); } 
BgL_mdeclz00_1112 = 
BGl_compilerzd2readzd2zzread_readerz00(BgL_list2684z00_1122); } 
{ /* Module/impuse.scm 425 */
obj_t BgL_provz00_1113;
{ /* Module/impuse.scm 428 */
obj_t BgL_arg2676z00_1120;obj_t BgL_arg2677z00_1121;
BGl_resetzd2includezd2consumedzd2directivez12zc0zzmodule_includez00(); 
BGl_resetzd2includezd2consumedzd2codez12zc0zzmodule_includez00(); 
BgL_arg2676z00_1120 = 
BGl_consumezd2modulez12zc0zzmodule_modulez00(BgL_modulez00_2125, BgL_mdeclz00_1112); 
BgL_arg2677z00_1121 = 
BGl_getzd2includezd2consumedzd2directivezd2zzmodule_includez00(); 
BgL_provz00_1113 = 
bgl_append2(BgL_arg2676z00_1120, BgL_arg2677z00_1121); } 
{ /* Module/impuse.scm 426 */
obj_t BgL_codez00_1114;
BgL_codez00_1114 = 
BGl_getzd2includezd2consumedzd2codezd2zzmodule_includez00(); 
{ /* Module/impuse.scm 432 */
long BgL_checkz00_1115;
BgL_checkz00_1115 = 
BGl_modulezd2checksumzd2zzmodule_checksumz00(BgL_mdeclz00_1112); 
{ /* Module/impuse.scm 433 */
obj_t BgL_srcz00_1116;
{ /* Module/impuse.scm 434 */
int BgL_auxz00_2815;
BgL_auxz00_2815 = 
(int)(((long)5)); 
BgL_srcz00_1116 = 
STRUCT_REF(BgL_imodez00_2126, BgL_auxz00_2815); } 
{ /* Module/impuse.scm 434 */

{ /* Module/impuse.scm 435 */
obj_t BgL_auxz00_2820;int BgL_auxz00_2818;
BgL_auxz00_2820 = 
BINT(BgL_checkz00_1115); 
BgL_auxz00_2818 = 
(int)(((long)3)); 
STRUCT_SET(BgL_imodez00_2126, BgL_auxz00_2818, BgL_auxz00_2820); } 
{ /* Module/impuse.scm 437 */
obj_t BgL_arg2663z00_1117;obj_t BgL_arg2664z00_1118;
if(
PAIRP(BgL_wantedz00_2127))
{ /* Module/impuse.scm 437 */
BgL_arg2663z00_1117 = 
BGl_importzd2wantedzd2zzmodule_impusez00(BgL_provz00_1113, BgL_wantedz00_2127, BgL_modulez00_2125, BgL_srcz00_1116); }  else 
{ /* Module/impuse.scm 437 */
BgL_arg2663z00_1117 = 
BGl_importzd2everythingzd2zzmodule_impusez00(BgL_provz00_1113, BgL_modulez00_2125, BgL_srcz00_1116); } 
BgL_arg2664z00_1118 = 
CDR(BgL_fnamesz00_2128); 
BGl_lookzd2forzd2inlinez00zzread_inlinez00(BgL_arg2663z00_1117, BgL_codez00_1114, BgL_portz00_2124, BgL_arg2664z00_1118, BgL_modulez00_2125); } 
return 
close_input_port(BgL_portz00_2124);} } } } } } } } } 
}



/* <anonymous:2651> */
obj_t BGl_zc3anonymousza32651ze3z83zzmodule_impusez00(obj_t BgL_envz00_2129)
{ AN_OBJECT;
{ /* Module/impuse.scm 424 */
{ /* Module/impuse.scm 424 */
obj_t BgL_zc3anonymousza32657ze3z83_2133;obj_t BgL_escapez00_2134;
{ /* Module/impuse.scm 424 */
int BgL_auxz00_2830;
BgL_auxz00_2830 = 
(int)(((long)3)); 
BgL_zc3anonymousza32657ze3z83_2133 = 
PROCEDURE_REF(BgL_envz00_2129, BgL_auxz00_2830); } 
{ /* Module/impuse.scm 424 */
int BgL_auxz00_2833;
BgL_auxz00_2833 = 
(int)(((long)4)); 
BgL_escapez00_2134 = 
PROCEDURE_REF(BgL_envz00_2129, BgL_auxz00_2833); } 
{ 

return 
BGl_addzd2errorzd2handlerz12z12zz__errorz00(BgL_zc3anonymousza32657ze3z83_2133, BgL_escapez00_2134);} } } 
}



/* escape */
obj_t BGl_escapez00zzmodule_impusez00(obj_t BgL_envz00_2135, obj_t BgL_val1782z00_2137)
{ AN_OBJECT;
{ /* Module/impuse.scm 424 */
{ /* Module/impuse.scm 424 */
obj_t BgL_an_exitd1781z00_2136;
{ /* Module/impuse.scm 424 */
int BgL_auxz00_2837;
BgL_auxz00_2837 = 
(int)(((long)0)); 
BgL_an_exitd1781z00_2136 = 
PROCEDURE_REF(BgL_envz00_2135, BgL_auxz00_2837); } 
{ 
obj_t BgL_val1782z00_1097;
BgL_val1782z00_1097 = BgL_val1782z00_2137; 
return 
BGl_unwindzd2untilz12zc0zz__bexitz00(BgL_an_exitd1781z00_2136, BgL_val1782z00_1097);} } } 
}



/* <anonymous:2657> */
obj_t BGl_zc3anonymousza32657ze3z83zzmodule_impusez00(obj_t BgL_envz00_2138, obj_t BgL_escz00_2141, obj_t BgL_objz00_2142, obj_t BgL_procz00_2143, obj_t BgL_msgz00_2144)
{ AN_OBJECT;
{ /* Module/impuse.scm 424 */
{ /* Module/impuse.scm 424 */
obj_t BgL_armed1779z00_2139;obj_t BgL_handler1776z00_2140;
{ /* Module/impuse.scm 424 */
int BgL_auxz00_2841;
BgL_auxz00_2841 = 
(int)(((long)0)); 
BgL_armed1779z00_2139 = 
PROCEDURE_REF(BgL_envz00_2138, BgL_auxz00_2841); } 
{ /* Module/impuse.scm 424 */
int BgL_auxz00_2844;
BgL_auxz00_2844 = 
(int)(((long)1)); 
BgL_handler1776z00_2140 = 
PROCEDURE_REF(BgL_envz00_2138, BgL_auxz00_2844); } 
{ 
obj_t BgL_escz00_1106;obj_t BgL_objz00_1107;obj_t BgL_procz00_1108;obj_t BgL_msgz00_1109;
BgL_escz00_1106 = BgL_escz00_2141; 
BgL_objz00_1107 = BgL_objz00_2142; 
BgL_procz00_1108 = BgL_procz00_2143; 
BgL_msgz00_1109 = BgL_msgz00_2144; 
CELL_SET(BgL_armed1779z00_2139, BFALSE); 
BGl_removezd2errorzd2handlerz12z12zz__errorz00(); 
{ /* Module/impuse.scm 424 */
obj_t BgL_auxz00_2849;
BgL_auxz00_2849 = 
CELL_REF(BgL_handler1776z00_2140); 
return 
PROCEDURE_ENTRY(BgL_auxz00_2849)(
CELL_REF(BgL_handler1776z00_2140), BgL_escz00_1106, BgL_objz00_1107, BgL_procz00_1108, BgL_msgz00_1109, BEOA);} } } } 
}



/* handler */
obj_t BGl_handlerz00zzmodule_impusez00(obj_t BgL_envz00_2146, obj_t BgL_escapez00_2148, obj_t BgL_procz00_2149, obj_t BgL_mesz00_2150, obj_t BgL_objz00_2151)
{ AN_OBJECT;
{ /* Module/impuse.scm 419 */
{ /* Module/impuse.scm 420 */
obj_t BgL_portz00_2147;
{ /* Module/impuse.scm 420 */
int BgL_auxz00_2850;
BgL_auxz00_2850 = 
(int)(((long)0)); 
BgL_portz00_2147 = 
PROCEDURE_REF(BgL_envz00_2146, BgL_auxz00_2850); } 
{ 
obj_t BgL_escapez00_1126;obj_t BgL_procz00_1127;obj_t BgL_mesz00_1128;obj_t BgL_objz00_1129;
BgL_escapez00_1126 = BgL_escapez00_2148; 
BgL_procz00_1127 = BgL_procz00_2149; 
BgL_mesz00_1128 = BgL_mesz00_2150; 
BgL_objz00_1129 = BgL_objz00_2151; 
BGl_notifyzd2errorzd2zz__errorz00(BgL_procz00_1127, BgL_mesz00_1128, BgL_objz00_1129); 
{ /* Module/impuse.scm 421 */
obj_t BgL_arg2692z00_1792;
BgL_arg2692z00_1792 = 
GET_CURRENT_ERROR_PORT(); 
FLUSH_OUTPUT_PORT(BgL_arg2692z00_1792); } 
close_input_port(BgL_portz00_2147); 
return 
BGl_exitzd2bigloozd2zzinit_mainz00(
BINT(((long)-7)));} } } 
}



/* import-everything */
obj_t BGl_importzd2everythingzd2zzmodule_impusez00(obj_t BgL_providedz00_65, obj_t BgL_modulez00_66, obj_t BgL_srcz00_67)
{ AN_OBJECT;
{ /* Module/impuse.scm 450 */
{ 
obj_t BgL_providedz00_1152;obj_t BgL_inlinez00_1153;
BgL_providedz00_1152 = BgL_providedz00_65; 
BgL_inlinez00_1153 = BNIL; 
BgL_loopz00_1154:
if(
NULLP(BgL_providedz00_1152))
{ /* Module/impuse.scm 453 */
return BgL_inlinez00_1153;}  else 
{ /* Module/impuse.scm 455 */
obj_t BgL_pz00_1156;
{ /* Module/impuse.scm 455 */
obj_t BgL_arg2774z00_1171;
BgL_arg2774z00_1171 = 
CAR(BgL_providedz00_1152); 
{ /* Module/impuse.scm 455 */
obj_t BgL_list2776z00_1172;
BgL_list2776z00_1172 = 
MAKE_PAIR(BgL_srcz00_67, BNIL); 
BgL_pz00_1156 = 
BGl_importzd2parserzd2zzmodule_impusez00(BgL_modulez00_66, BgL_arg2774z00_1171, BgL_list2776z00_1172); } } 
{ /* Module/impuse.scm 456 */
bool_t BgL_test2742z00_1157;
BgL_test2742z00_1157 = 
BGl_iszd2azf3z21zz__objectz00(BgL_pz00_1156, BGl_globalz00zzast_varz00); 
if(BgL_test2742z00_1157)
{ /* Module/impuse.scm 457 */
BgL_valuez00_bglt BgL_valz00_1158;
{ /* Module/impuse.scm 457 */
BgL_globalz00_bglt BgL_obj1375z00_1809;
BgL_obj1375z00_1809 = 
(BgL_globalz00_bglt)(BgL_pz00_1156); 
BgL_valz00_1158 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1375z00_1809))->BgL_valuez00); } 
{ /* Module/impuse.scm 458 */
obj_t BgL_arg2744z00_1159;obj_t BgL_arg2745z00_1160;
BgL_arg2744z00_1159 = 
CDR(BgL_providedz00_1152); 
{ /* Module/impuse.scm 460 */
bool_t BgL_test2748z00_1161;
{ /* Module/impuse.scm 460 */
bool_t BgL_test2763z00_1168;
BgL_test2763z00_1168 = 
BGl_iszd2azf3z21zz__objectz00(BgL_pz00_1156, BGl_globalz00zzast_varz00); 
if(BgL_test2763z00_1168)
{ /* Module/impuse.scm 461 */
bool_t BgL_test2764z00_1169;
BgL_test2764z00_1169 = 
BGl_iszd2azf3z21zz__objectz00(
(obj_t)(BgL_valz00_1158), BGl_sfunz00zzast_varz00); 
if(BgL_test2764z00_1169)
{ /* Module/impuse.scm 461 */
BgL_test2748z00_1161 = ((bool_t)0); }  else 
{ /* Module/impuse.scm 461 */
BgL_test2748z00_1161 = ((bool_t)1); } }  else 
{ /* Module/impuse.scm 460 */
BgL_test2748z00_1161 = ((bool_t)1); } } 
if(BgL_test2748z00_1161)
{ /* Module/impuse.scm 460 */
BgL_arg2745z00_1160 = BgL_inlinez00_1153; }  else 
{ /* Module/impuse.scm 463 */
bool_t BgL_testz00_2875;
{ /* Module/impuse.scm 463 */
obj_t BgL_auxz00_2879;obj_t BgL_auxz00_2876;
BgL_auxz00_2879 = 
CNST_TABLE_REF(((long)22)); 
{ /* Module/impuse.scm 463 */
BgL_sfunz00_bglt BgL_obj1596z00_1813;
BgL_obj1596z00_1813 = 
(BgL_sfunz00_bglt)(BgL_valz00_1158); 
BgL_auxz00_2876 = 
(((BgL_sfunz00_bglt)CREF(BgL_obj1596z00_1813))->BgL_classz00); } 
BgL_testz00_2875 = 
(BgL_auxz00_2876==BgL_auxz00_2879); } 
if(BgL_testz00_2875)
{ /* Module/impuse.scm 463 */
{ /* Module/impuse.scm 464 */
obj_t BgL_arg2751z00_1163;
{ /* Module/impuse.scm 464 */
obj_t BgL_auxz00_2885;obj_t BgL_auxz00_2882;
BgL_auxz00_2885 = 
CNST_TABLE_REF(((long)22)); 
{ /* Module/impuse.scm 464 */
BgL_globalz00_bglt BgL_obj1368z00_1814;
BgL_obj1368z00_1814 = 
(BgL_globalz00_bglt)(BgL_pz00_1156); 
BgL_auxz00_2882 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1368z00_1814))->BgL_idz00); } 
BgL_arg2751z00_1163 = 
MAKE_PAIR(BgL_auxz00_2882, BgL_auxz00_2885); } 
BgL_arg2745z00_1160 = 
MAKE_PAIR(BgL_arg2751z00_1163, BgL_inlinez00_1153); } }  else 
{ /* Module/impuse.scm 463 */
BgL_arg2745z00_1160 = BgL_inlinez00_1153; } } } 
{ 
obj_t BgL_inlinez00_2890;obj_t BgL_providedz00_2889;
BgL_providedz00_2889 = BgL_arg2744z00_1159; 
BgL_inlinez00_2890 = BgL_arg2745z00_1160; 
BgL_inlinez00_1153 = BgL_inlinez00_2890; 
BgL_providedz00_1152 = BgL_providedz00_2889; 
goto BgL_loopz00_1154;} } }  else 
{ 
obj_t BgL_providedz00_2891;
BgL_providedz00_2891 = 
CDR(BgL_providedz00_1152); 
BgL_providedz00_1152 = BgL_providedz00_2891; 
goto BgL_loopz00_1154;} } } } } 
}



/* import-wanted */
obj_t BGl_importzd2wantedzd2zzmodule_impusez00(obj_t BgL_providedz00_68, obj_t BgL_wantedz00_69, obj_t BgL_modulez00_70, obj_t BgL_srcz00_71)
{ AN_OBJECT;
{ /* Module/impuse.scm 472 */
{ 
obj_t BgL_providedz00_1173;obj_t BgL_inlinez00_1174;obj_t BgL_wantedz00_1175;
BgL_providedz00_1173 = BgL_providedz00_68; 
BgL_inlinez00_1174 = BNIL; 
BgL_wantedz00_1175 = BgL_wantedz00_69; 
BgL_loopz00_1176:
if(
NULLP(BgL_wantedz00_1175))
{ /* Module/impuse.scm 479 */
return BgL_inlinez00_1174;}  else 
{ /* Module/impuse.scm 479 */
if(
NULLP(BgL_providedz00_1173))
{ /* Module/impuse.scm 481 */
{ /* Module/impuse.scm 482 */
obj_t BgL_arg2784z00_1179;
BgL_arg2784z00_1179 = 
BGl_findzd2locationzd2zztools_locationz00(BGl_za2modulezd2clauseza2zd2zzmodule_modulez00); 
{ /* Module/impuse.scm 482 */
obj_t BgL_list2788z00_1182;
BgL_list2788z00_1182 = 
MAKE_PAIR(BNIL, BNIL); 
return 
BGl_userzd2errorzf2locationz20zztools_errorz00(BgL_arg2784z00_1179, BgL_modulez00_70, BGl_string3285z00zzmodule_impusez00, BgL_wantedz00_1175, BgL_list2788z00_1182);} } }  else 
{ /* Module/impuse.scm 481 */
{ /* Module/impuse.scm 488 */
obj_t BgL_protoz00_1183;
BgL_protoz00_1183 = 
BGl_parsezd2prototypezd2zzmodule_prototypez00(
CAR(BgL_providedz00_1173)); 
if(
PAIRP(BgL_protoz00_1183))
{ /* Module/impuse.scm 490 */
obj_t BgL_idz00_1185;
{ /* Module/impuse.scm 490 */
obj_t BgL_arg2839z00_1204;obj_t BgL_arg2841z00_1205;
{ /* Module/impuse.scm 490 */
obj_t BgL_auxz00_2904;
BgL_auxz00_2904 = 
CDR(BgL_protoz00_1183); 
BgL_arg2839z00_1204 = 
CAR(BgL_auxz00_2904); } 
BgL_arg2841z00_1205 = 
BGl_findzd2locationzd2zztools_locationz00(
CAR(BgL_providedz00_1173)); 
BgL_idz00_1185 = 
BGl_fastzd2idzd2ofzd2idzd2zzast_identz00(BgL_arg2839z00_1204, BgL_arg2841z00_1205); } 
{ /* Module/impuse.scm 492 */
bool_t BgL_testz00_2910;
{ /* Module/impuse.scm 492 */
obj_t BgL_auxz00_2911;
BgL_auxz00_2911 = 
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_idz00_1185, BgL_wantedz00_1175); 
BgL_testz00_2910 = 
CBOOL(BgL_auxz00_2911); } 
if(BgL_testz00_2910)
{ /* Module/impuse.scm 496 */
obj_t BgL_pz00_1187;
{ /* Module/impuse.scm 496 */
obj_t BgL_arg2828z00_1201;
BgL_arg2828z00_1201 = 
CAR(BgL_providedz00_1173); 
{ /* Module/impuse.scm 496 */
obj_t BgL_list2830z00_1202;
BgL_list2830z00_1202 = 
MAKE_PAIR(BgL_srcz00_71, BNIL); 
BgL_pz00_1187 = 
BGl_importzd2parserzd2zzmodule_impusez00(BgL_modulez00_70, BgL_arg2828z00_1201, BgL_list2830z00_1202); } } 
{ /* Module/impuse.scm 498 */
bool_t BgL_test2793z00_1188;
BgL_test2793z00_1188 = 
BGl_iszd2azf3z21zz__objectz00(BgL_pz00_1187, BGl_globalz00zzast_varz00); 
if(BgL_test2793z00_1188)
{ /* Module/impuse.scm 498 */
{ /* Module/impuse.scm 499 */
obj_t BgL_arg2795z00_1189;obj_t BgL_arg2796z00_1190;obj_t BgL_arg2797z00_1191;
BgL_arg2795z00_1189 = 
CDR(BgL_providedz00_1173); 
{ /* Module/impuse.scm 501 */
bool_t BgL_testz00_2920;
{ /* Module/impuse.scm 501 */
obj_t BgL_auxz00_2923;obj_t BgL_auxz00_2921;
BgL_auxz00_2923 = 
CNST_TABLE_REF(((long)22)); 
BgL_auxz00_2921 = 
CAR(BgL_protoz00_1183); 
BgL_testz00_2920 = 
(BgL_auxz00_2921==BgL_auxz00_2923); } 
if(BgL_testz00_2920)
{ /* Module/impuse.scm 501 */
{ /* Module/impuse.scm 502 */
obj_t BgL_arg2802z00_1193;
{ /* Module/impuse.scm 502 */
obj_t BgL_auxz00_2926;
BgL_auxz00_2926 = 
CNST_TABLE_REF(((long)22)); 
BgL_arg2802z00_1193 = 
MAKE_PAIR(BgL_idz00_1185, BgL_auxz00_2926); } 
BgL_arg2796z00_1190 = 
MAKE_PAIR(BgL_arg2802z00_1193, BgL_inlinez00_1174); } }  else 
{ /* Module/impuse.scm 501 */
BgL_arg2796z00_1190 = BgL_inlinez00_1174; } } 
BgL_arg2797z00_1191 = 
BGl_remqz12z12zz__r4_pairs_and_lists_6_3z00(BgL_idz00_1185, BgL_wantedz00_1175); 
{ 
obj_t BgL_wantedz00_2933;obj_t BgL_inlinez00_2932;obj_t BgL_providedz00_2931;
BgL_providedz00_2931 = BgL_arg2795z00_1189; 
BgL_inlinez00_2932 = BgL_arg2796z00_1190; 
BgL_wantedz00_2933 = BgL_arg2797z00_1191; 
BgL_wantedz00_1175 = BgL_wantedz00_2933; 
BgL_inlinez00_1174 = BgL_inlinez00_2932; 
BgL_providedz00_1173 = BgL_providedz00_2931; 
goto BgL_loopz00_1176;} } }  else 
{ /* Module/impuse.scm 506 */
bool_t BgL_test2811z00_1196;
BgL_test2811z00_1196 = 
BGl_iszd2azf3z21zz__objectz00(BgL_pz00_1187, BGl_typez00zztype_typez00); 
if(BgL_test2811z00_1196)
{ /* Module/impuse.scm 506 */
{ /* Module/impuse.scm 507 */
obj_t BgL_arg2814z00_1197;obj_t BgL_arg2815z00_1198;
BgL_arg2814z00_1197 = 
CDR(BgL_providedz00_1173); 
BgL_arg2815z00_1198 = 
BGl_remqz12z12zz__r4_pairs_and_lists_6_3z00(BgL_idz00_1185, BgL_wantedz00_1175); 
{ 
obj_t BgL_wantedz00_2939;obj_t BgL_providedz00_2938;
BgL_providedz00_2938 = BgL_arg2814z00_1197; 
BgL_wantedz00_2939 = BgL_arg2815z00_1198; 
BgL_wantedz00_1175 = BgL_wantedz00_2939; 
BgL_providedz00_1173 = BgL_providedz00_2938; 
goto BgL_loopz00_1176;} } }  else 
{ /* Module/impuse.scm 506 */
{ /* Module/impuse.scm 511 */
obj_t BgL_arg2820z00_1199;obj_t BgL_arg2821z00_1200;
BgL_arg2820z00_1199 = 
CDR(BgL_providedz00_1173); 
BgL_arg2821z00_1200 = 
BGl_remqz12z12zz__r4_pairs_and_lists_6_3z00(BgL_idz00_1185, BgL_wantedz00_1175); 
{ 
obj_t BgL_wantedz00_2943;obj_t BgL_providedz00_2942;
BgL_providedz00_2942 = BgL_arg2820z00_1199; 
BgL_wantedz00_2943 = BgL_arg2821z00_1200; 
BgL_wantedz00_1175 = BgL_wantedz00_2943; 
BgL_providedz00_1173 = BgL_providedz00_2942; 
goto BgL_loopz00_1176;} } } } } }  else 
{ 
obj_t BgL_providedz00_2944;
BgL_providedz00_2944 = 
CDR(BgL_providedz00_1173); 
BgL_providedz00_1173 = BgL_providedz00_2944; 
goto BgL_loopz00_1176;} } }  else 
{ 
obj_t BgL_providedz00_2946;
BgL_providedz00_2946 = 
CDR(BgL_providedz00_1173); 
BgL_providedz00_1173 = BgL_providedz00_2946; 
goto BgL_loopz00_1176;} } } } } } 
}



/* method-init */
obj_t BGl_methodzd2initzd2zzmodule_impusez00()
{ AN_OBJECT;
{ /* Module/impuse.scm 15 */
return BUNSPEC;} 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zzmodule_impusez00()
{ AN_OBJECT;
{ /* Module/impuse.scm 15 */
BGl_modulezd2initializa7ationz75zztools_tracez00(((long)64647), "module_impuse"); 
BGl_modulezd2initializa7ationz75zzread_readerz00(((long)36963), "module_impuse"); 
BGl_modulezd2initializa7ationz75zzmodule_modulez00(((long)12859), "module_impuse"); 
BGl_modulezd2initializa7ationz75zzmodule_prototypez00(((long)8859), "module_impuse"); 
BGl_modulezd2initializa7ationz75zzmodule_classz00(((long)33471), "module_impuse"); 
BGl_modulezd2initializa7ationz75zzmodule_includez00(((long)99), "module_impuse"); 
BGl_modulezd2initializa7ationz75zzmodule_checksumz00(((long)54184), "module_impuse"); 
BGl_modulezd2initializa7ationz75zztools_speekz00(((long)23545), "module_impuse"); 
BGl_modulezd2initializa7ationz75zztools_errorz00(((long)17886), "module_impuse"); 
BGl_modulezd2initializa7ationz75zztools_locationz00(((long)30714), "module_impuse"); 
BGl_modulezd2initializa7ationz75zztype_typez00(((long)19010), "module_impuse"); 
BGl_modulezd2initializa7ationz75zzobject_classz00(((long)19348), "module_impuse"); 
BGl_modulezd2initializa7ationz75zzread_accessz00(((long)5878), "module_impuse"); 
BGl_modulezd2initializa7ationz75zzread_inlinez00(((long)31863), "module_impuse"); 
BGl_modulezd2initializa7ationz75zzast_varz00(((long)28259), "module_impuse"); 
BGl_modulezd2initializa7ationz75zzast_findzd2gdefszd2(((long)63226), "module_impuse"); 
BGl_modulezd2initializa7ationz75zzast_glozd2declzd2(((long)22459), "module_impuse"); 
BGl_modulezd2initializa7ationz75zzast_identz00(((long)52188), "module_impuse"); 
BGl_modulezd2initializa7ationz75zzengine_paramz00(((long)189840), "module_impuse"); 
return 
BGl_modulezd2initializa7ationz75zzinit_mainz00(((long)7934), "module_impuse");} 
}

