/*===========================================================================*/
/*   (Object/generic.scm)                                                    */
/*   Bigloo (2.5b)                                                           */
/*   Manuel Serrano (c)       Fri Sep 6 09:43:28 CEST 2002                   */
/*===========================================================================*/

/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>


/* Object type definitions */
typedef struct BgL_typez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   obj_t BgL_siza7eza7;
   obj_t BgL_classz00;
   obj_t BgL_coercezd2tozd2;
   obj_t BgL_parentsz00;
   bool_t BgL_initzf3zf3;
   bool_t BgL_magiczf3zf3;
   obj_t BgL_z42z42;
   obj_t BgL_aliasz00;
   obj_t BgL_pointedzd2tozd2byz00;
   obj_t BgL_tvectorz00;
   obj_t BgL_locationz00;
   obj_t BgL_importzd2locationzd2;
} *BgL_typez00_bglt;

typedef struct BgL_valuez00_bgl {
   header_t header;
   obj_t widening;
} *BgL_valuez00_bglt;

typedef struct BgL_variablez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
} *BgL_variablez00_bglt;

typedef struct BgL_globalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   obj_t BgL_modulez00;
   obj_t BgL_importz00;
   bool_t BgL_evaluablezf3zf3;
   bool_t BgL_libraryzf3zf3;
   bool_t BgL_userzf3zf3;
   obj_t BgL_pragmaz00;
   obj_t BgL_srcz00;
   obj_t BgL_jvmzd2typezd2namez00;
} *BgL_globalz00_bglt;

typedef struct BgL_localz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   bool_t BgL_userzf3zf3;
   long BgL_keyz00;
} *BgL_localz00_bglt;

typedef struct BgL_funz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
} *BgL_funz00_bglt;

typedef struct BgL_sfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_propertyz00;
   obj_t BgL_argsz00;
   obj_t BgL_bodyz00;
   obj_t BgL_classz00;
   obj_t BgL_dssslzd2keywordszd2;
   obj_t BgL_locz00;
} *BgL_sfunz00_bglt;

typedef struct BgL_cfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_argszd2typezd2;
   bool_t BgL_macrozf3zf3;
   bool_t BgL_infixzf3zf3;
   obj_t BgL_methodz00;
} *BgL_cfunz00_bglt;

typedef struct BgL_svarz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
} *BgL_svarz00_bglt;

typedef struct BgL_scnstz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_nodez00;
   obj_t BgL_classz00;
   obj_t BgL_locz00;
} *BgL_scnstz00_bglt;

typedef struct BgL_cvarz00_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_macrozf3zf3;
} *BgL_cvarz00_bglt;

typedef struct BgL_sexitz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_handlerz00;
   bool_t BgL_detachedzf3zf3;
} *BgL_sexitz00_bglt;

typedef struct BgL_tclassz00_bgl {
   obj_t BgL_itszd2superzd2;
   obj_t BgL_slotsz00;
   struct BgL_globalz00_bgl * BgL_holderz00;
   obj_t BgL_wideningz00;
   long BgL_depthz00;
   bool_t BgL_finalzf3zf3;
   obj_t BgL_constructorz00;
   obj_t BgL_virtualzd2slotszd2numberz00;
   bool_t BgL_abstractzf3zf3;
} *BgL_tclassz00_bglt;

typedef struct BgL_jclassz00_bgl {
   obj_t BgL_itszd2superzd2;
   obj_t BgL_slotsz00;
   obj_t BgL_packagez00;
} *BgL_jclassz00_bglt;

typedef struct BgL_ccompz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_producerz00;
   obj_t BgL_consumerz00;
   obj_t BgL_finaliza7erza7;
} *BgL_ccompz00_bglt;


extern obj_t BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
static obj_t BGl_methodzd2initzd2zzobject_genericz00();
extern obj_t open_input_string(obj_t);
extern obj_t BGl_readz00zz__readerz00(obj_t);
extern bool_t BGl_iszd2azf3z21zz__objectz00(obj_t, obj_t);
extern int BGl_arityz00zztools_argsz00(obj_t);
extern obj_t BGl_tclassz00zzobject_classz00;
extern obj_t BGl_za2moduleza2z00zzmodule_modulez00;
extern obj_t string_to_bstring(char *);
extern obj_t BGl_gensymz00zz__r4_symbols_6_4z00;
extern obj_t BGl_findzd2locationzd2zztools_locationz00(obj_t);
extern obj_t BGl_typez00zztype_typez00;
static obj_t BGl_makezd2objectzd2genericzd2bodyzd2zzobject_genericz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_cnstzd2initzd2zzobject_genericz00();
static obj_t BGl_importedzd2moduleszd2initz00zzobject_genericz00();
extern obj_t BGl_makezd2typedzd2identz00zzast_identz00(obj_t, obj_t);
extern obj_t BGl_modulezd2initializa7ationz75zzobject_genericz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_argsz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_identz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_locationz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long, char *);
extern obj_t BGl_userzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl__makezd2genericzd2body2367z00zzobject_genericz00(obj_t, obj_t, obj_t, obj_t, obj_t);
extern BgL_typez00_bglt BGl_getzd2defaultzd2typez00zztype_cachez00();
extern obj_t BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(obj_t);
extern obj_t BGl_za2objza2z00zztype_cachez00;
static obj_t BGl_requirezd2initializa7ationz75zzobject_genericz00 = BUNSPEC;
extern obj_t BGl_parsezd2idzd2zzast_identz00(obj_t, obj_t);
static obj_t BGl_libraryzd2moduleszd2initz00zzobject_genericz00();
extern obj_t BGl_makezd2genericzd2bodyz00zzobject_genericz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_makezd2nonzd2objectzd2genericzd2bodyz00zzobject_genericz00(obj_t, obj_t, obj_t, obj_t);
static obj_t __cnst[ 15 ] ;

DEFINE_EXPORT_PROCEDURE( BGl_makezd2genericzd2bodyzd2envzd2zzobject_genericz00, BgL_bgl__makeza7d2genericza7d2body2367za700za7za7object_genericza7002413z00, BGl__makezd2genericzd2body2367z00zzobject_genericz00, 0L, 4 );
DEFINE_STRING( BGl_string2385z00zzobject_genericz00, BgL_bgl_string2385za700za7za7object_genericza7002414z00, "object? labels begin procedure? if -default __r4_pairs_and_lists_6_3 generic-default cons* apply @ find-method let procedure method ", 132 );



/* module-initialization */
obj_t BGl_modulezd2initializa7ationz75zzobject_genericz00(long BgL_checksumz00_1246, char * BgL_fromz00_1247)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zzobject_genericz00))
{ 
BGl_requirezd2initializa7ationz75zzobject_genericz00 = 
BBOOL(((bool_t)0)); 
BGl_libraryzd2moduleszd2initz00zzobject_genericz00(); 
BGl_cnstzd2initzd2zzobject_genericz00(); 
BGl_importedzd2moduleszd2initz00zzobject_genericz00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zzobject_genericz00()
{ AN_OBJECT;
{ /* Object/generic.scm 15 */
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)0), "object_generic"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "object_generic"); 
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "object_generic"); 
BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long)0), "object_generic"); 
return BUNSPEC;} 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zzobject_genericz00()
{ AN_OBJECT;
{ /* Object/generic.scm 15 */
{ /* Object/generic.scm 15 */
obj_t BgL_cportz00_1239;
BgL_cportz00_1239 = 
open_input_string(BGl_string2385z00zzobject_genericz00); 
{ 
long BgL_iz00_1240;
BgL_iz00_1240 = ((long)14); 
BgL_loopz00_1241:
if(
(BgL_iz00_1240==((long)-1)))
{ /* Object/generic.scm 15 */
return BUNSPEC;}  else 
{ /* Object/generic.scm 15 */
{ /* Object/generic.scm 15 */
obj_t BgL_arg2390z00_1243;
{ /* Object/generic.scm 15 */
obj_t BgL_list2393z00_1244;
BgL_list2393z00_1244 = 
MAKE_PAIR(BgL_cportz00_1239, BNIL); 
BgL_arg2390z00_1243 = 
BGl_readz00zz__readerz00(BgL_list2393z00_1244); } 
{ /* Object/generic.scm 15 */
int BgL_auxz00_1263;
BgL_auxz00_1263 = 
(int)(BgL_iz00_1240); 
CNST_TABLE_SET(BgL_auxz00_1263, BgL_arg2390z00_1243); } } 
{ 
long BgL_iz00_1266;
{ /* Object/generic.scm 15 */
int BgL_auxz00_1267;
{ /* Object/generic.scm 15 */
long BgL_auxz00_1268;
BgL_auxz00_1268 = 
(BgL_iz00_1240-((long)1)); 
BgL_auxz00_1267 = 
(int)(BgL_auxz00_1268); } 
BgL_iz00_1266 = 
(long)(BgL_auxz00_1267); } 
BgL_iz00_1240 = BgL_iz00_1266; 
goto BgL_loopz00_1241;} } } } } 
}



/* make-generic-body */
obj_t BGl_makezd2genericzd2bodyz00zzobject_genericz00(obj_t BgL_idz00_1, obj_t BgL_localsz00_2, obj_t BgL_argsz00_3, obj_t BgL_srcz00_4)
{ AN_OBJECT;
{ /* Object/generic.scm 31 */
{ 
char * BgL_msgz00_624;
if(
NULLP(BgL_argsz00_3))
{ /* Object/generic.scm 34 */
BgL_msgz00_624 = "Illegal generic definition (no formal arguments provided)"; 
BgL_zc3anonymousza31800ze3z83_625:
{ /* Object/generic.scm 33 */
obj_t BgL_list1802z00_626;
BgL_list1802z00_626 = 
MAKE_PAIR(BNIL, BNIL); 
return 
BGl_userzd2errorzd2zztools_errorz00(BgL_idz00_1, 
string_to_bstring(BgL_msgz00_624), BgL_srcz00_4, BgL_list1802z00_626);} }  else 
{ /* Object/generic.scm 36 */
BgL_typez00_bglt BgL_methodzd2argzd2typez00_617;
{ /* Object/generic.scm 37 */
BgL_localz00_bglt BgL_obj1253z00_958;
{ /* Object/generic.scm 37 */
obj_t BgL_auxz00_1277;
BgL_auxz00_1277 = 
CAR(BgL_localsz00_2); 
BgL_obj1253z00_958 = 
(BgL_localz00_bglt)(BgL_auxz00_1277); } 
BgL_methodzd2argzd2typez00_617 = 
(((BgL_localz00_bglt)CREF(BgL_obj1253z00_958))->BgL_typez00); } 
{ /* Object/generic.scm 37 */

{ /* Object/generic.scm 39 */
bool_t BgL_test1781z00_618;
BgL_test1781z00_618 = 
BGl_iszd2azf3z21zz__objectz00(
(obj_t)(BgL_methodzd2argzd2typez00_617), BGl_tclassz00zzobject_classz00); 
if(BgL_test1781z00_618)
{ /* Object/generic.scm 39 */
return 
BGl_makezd2objectzd2genericzd2bodyzd2zzobject_genericz00(BgL_idz00_1, BgL_localsz00_2, BgL_argsz00_3, BgL_srcz00_4);}  else 
{ /* Object/generic.scm 41 */
bool_t BgL_test1784z00_619;
{ /* Object/generic.scm 41 */
bool_t BgL_test1787z00_620;
BgL_test1787z00_620 = 
BGl_iszd2azf3z21zz__objectz00(
(obj_t)(BgL_methodzd2argzd2typez00_617), BGl_typez00zztype_typez00); 
if(BgL_test1787z00_620)
{ /* Object/generic.scm 42 */
bool_t BgL_test1788z00_621;
{ /* Object/generic.scm 42 */
obj_t BgL_auxz00_1288;
BgL_auxz00_1288 = 
(obj_t)(BgL_methodzd2argzd2typez00_617); 
BgL_test1788z00_621 = 
(BgL_auxz00_1288==BGl_za2objza2z00zztype_cachez00); } 
if(BgL_test1788z00_621)
{ /* Object/generic.scm 42 */
BgL_test1784z00_619 = ((bool_t)0); }  else 
{ /* Object/generic.scm 43 */
bool_t BgL_test1789z00_622;
{ /* Object/generic.scm 43 */
BgL_typez00_bglt BgL_arg1791z00_623;
BgL_arg1791z00_623 = 
BGl_getzd2defaultzd2typez00zztype_cachez00(); 
{ /* Object/generic.scm 43 */
obj_t BgL_auxz00_1295;obj_t BgL_auxz00_1293;
BgL_auxz00_1295 = 
(obj_t)(BgL_arg1791z00_623); 
BgL_auxz00_1293 = 
(obj_t)(BgL_methodzd2argzd2typez00_617); 
BgL_test1789z00_622 = 
(BgL_auxz00_1293==BgL_auxz00_1295); } } 
if(BgL_test1789z00_622)
{ /* Object/generic.scm 43 */
BgL_test1784z00_619 = ((bool_t)0); }  else 
{ /* Object/generic.scm 43 */
BgL_test1784z00_619 = ((bool_t)1); } } }  else 
{ /* Object/generic.scm 41 */
BgL_test1784z00_619 = ((bool_t)0); } } 
if(BgL_test1784z00_619)
{ /* Object/generic.scm 41 */
{ 
char * BgL_msgz00_1300;
BgL_msgz00_1300 = "generic function has a non-class dispatching type arg"; 
BgL_msgz00_624 = BgL_msgz00_1300; 
goto BgL_zc3anonymousza31800ze3z83_625;} }  else 
{ /* Object/generic.scm 41 */
return 
BGl_makezd2nonzd2objectzd2genericzd2bodyz00zzobject_genericz00(BgL_idz00_1, BgL_localsz00_2, BgL_argsz00_3, BgL_srcz00_4);} } } } } } } 
}



/* _make-generic-body2367 */
obj_t BGl__makezd2genericzd2body2367z00zzobject_genericz00(obj_t BgL_envz00_1234, obj_t BgL_idz00_1235, obj_t BgL_localsz00_1236, obj_t BgL_argsz00_1237, obj_t BgL_srcz00_1238)
{ AN_OBJECT;
{ /* Object/generic.scm 31 */
return 
BGl_makezd2genericzd2bodyz00zzobject_genericz00(BgL_idz00_1235, BgL_localsz00_1236, BgL_argsz00_1237, BgL_srcz00_1238);} 
}



/* make-object-generic-body */
obj_t BGl_makezd2objectzd2genericzd2bodyzd2zzobject_genericz00(obj_t BgL_idz00_5, obj_t BgL_localsz00_6, obj_t BgL_argsz00_7, obj_t BgL_srcz00_8)
{ AN_OBJECT;
{ /* Object/generic.scm 51 */
{ /* Object/generic.scm 52 */
obj_t BgL_pidz00_628;
{ /* Object/generic.scm 52 */
obj_t BgL_arg1924z00_681;
BgL_arg1924z00_681 = 
BGl_findzd2locationzd2zztools_locationz00(BgL_srcz00_8); 
BgL_pidz00_628 = 
BGl_parsezd2idzd2zzast_identz00(BgL_idz00_5, BgL_arg1924z00_681); } 
{ /* Object/generic.scm 52 */
obj_t BgL_idz00_629;
BgL_idz00_629 = 
CAR(BgL_pidz00_628); 
{ /* Object/generic.scm 53 */
int BgL_arityz00_630;
BgL_arityz00_630 = 
BGl_arityz00zztools_argsz00(BgL_argsz00_7); 
{ /* Object/generic.scm 54 */
obj_t BgL_argszd2idzd2_631;
if(
NULLP(BgL_localsz00_6))
{ /* Object/generic.scm 55 */
BgL_argszd2idzd2_631 = BNIL; }  else 
{ /* Object/generic.scm 55 */
obj_t BgL_head1771z00_667;
{ /* Object/generic.scm 55 */
obj_t BgL_auxz00_1309;
{ /* Object/generic.scm 55 */
BgL_localz00_bglt BgL_obj1249z00_964;
{ /* Object/generic.scm 55 */
obj_t BgL_auxz00_1310;
BgL_auxz00_1310 = 
CAR(BgL_localsz00_6); 
BgL_obj1249z00_964 = 
(BgL_localz00_bglt)(BgL_auxz00_1310); } 
BgL_auxz00_1309 = 
(((BgL_localz00_bglt)CREF(BgL_obj1249z00_964))->BgL_idz00); } 
BgL_head1771z00_667 = 
MAKE_PAIR(BgL_auxz00_1309, BNIL); } 
{ 
obj_t BgL_l1769z00_668;obj_t BgL_tail1772z00_669;
BgL_l1769z00_668 = 
CDR(BgL_localsz00_6); 
BgL_tail1772z00_669 = BgL_head1771z00_667; 
BgL_lname1770z00_670:
if(
NULLP(BgL_l1769z00_668))
{ /* Object/generic.scm 55 */
BgL_argszd2idzd2_631 = BgL_head1771z00_667; }  else 
{ /* Object/generic.scm 55 */
obj_t BgL_newtail1773z00_673;
{ /* Object/generic.scm 55 */
obj_t BgL_auxz00_1317;
{ /* Object/generic.scm 55 */
BgL_localz00_bglt BgL_obj1249z00_970;
{ /* Object/generic.scm 55 */
obj_t BgL_auxz00_1318;
BgL_auxz00_1318 = 
CAR(BgL_l1769z00_668); 
BgL_obj1249z00_970 = 
(BgL_localz00_bglt)(BgL_auxz00_1318); } 
BgL_auxz00_1317 = 
(((BgL_localz00_bglt)CREF(BgL_obj1249z00_970))->BgL_idz00); } 
BgL_newtail1773z00_673 = 
MAKE_PAIR(BgL_auxz00_1317, BNIL); } 
SET_CDR(BgL_tail1772z00_669, BgL_newtail1773z00_673); 
{ 
obj_t BgL_tail1772z00_1326;obj_t BgL_l1769z00_1324;
BgL_l1769z00_1324 = 
CDR(BgL_l1769z00_668); 
BgL_tail1772z00_1326 = BgL_newtail1773z00_673; 
BgL_tail1772z00_669 = BgL_tail1772z00_1326; 
BgL_l1769z00_668 = BgL_l1769z00_1324; 
goto BgL_lname1770z00_670;} } } } 
{ /* Object/generic.scm 56 */
obj_t BgL_methodzd2argzd2idz00_633;
{ /* Object/generic.scm 57 */
BgL_localz00_bglt BgL_obj1249z00_977;
{ /* Object/generic.scm 57 */
obj_t BgL_auxz00_1328;
BgL_auxz00_1328 = 
CAR(BgL_localsz00_6); 
BgL_obj1249z00_977 = 
(BgL_localz00_bglt)(BgL_auxz00_1328); } 
BgL_methodzd2argzd2idz00_633 = 
(((BgL_localz00_bglt)CREF(BgL_obj1249z00_977))->BgL_idz00); } 
{ /* Object/generic.scm 58 */
obj_t BgL_methodz00_635;
BgL_methodz00_635 = 
PROCEDURE_ENTRY(BGl_gensymz00zz__r4_symbols_6_4z00)(BGl_gensymz00zz__r4_symbols_6_4z00, 
CNST_TABLE_REF(((long)0)), BEOA); 
{ /* Object/generic.scm 59 */
obj_t BgL_tmethodz00_636;
BgL_tmethodz00_636 = 
BGl_makezd2typedzd2identz00zzast_identz00(BgL_methodz00_635, 
CNST_TABLE_REF(((long)1))); 
{ /* Object/generic.scm 60 */

{ /* Object/generic.scm 61 */
obj_t BgL_arg1808z00_637;obj_t BgL_arg1809z00_638;
BgL_arg1808z00_637 = 
CNST_TABLE_REF(((long)2)); 
{ /* Object/generic.scm 61 */
obj_t BgL_arg1813z00_639;obj_t BgL_arg1814z00_640;
{ /* Object/generic.scm 61 */
obj_t BgL_arg1818z00_641;
{ /* Object/generic.scm 61 */
obj_t BgL_arg1822z00_643;
{ /* Object/generic.scm 61 */
obj_t BgL_arg1825z00_644;
{ /* Object/generic.scm 61 */
obj_t BgL_arg1830z00_646;obj_t BgL_arg1831z00_647;
BgL_arg1830z00_646 = 
CNST_TABLE_REF(((long)3)); 
{ /* Object/generic.scm 61 */
obj_t BgL_arg1834z00_648;
{ /* Object/generic.scm 61 */
obj_t BgL_arg1838z00_649;
{ /* Object/generic.scm 61 */
obj_t BgL_arg1842z00_651;obj_t BgL_arg1844z00_652;
BgL_arg1842z00_651 = 
CNST_TABLE_REF(((long)4)); 
{ /* Object/generic.scm 61 */
obj_t BgL_arg1848z00_653;
BgL_arg1848z00_653 = 
MAKE_PAIR(BGl_za2moduleza2z00zzmodule_modulez00, BNIL); 
BgL_arg1844z00_652 = 
MAKE_PAIR(BgL_idz00_629, BgL_arg1848z00_653); } 
BgL_arg1838z00_649 = 
MAKE_PAIR(BgL_arg1842z00_651, BgL_arg1844z00_652); } 
BgL_arg1834z00_648 = 
MAKE_PAIR(BgL_arg1838z00_649, BNIL); } 
BgL_arg1831z00_647 = 
MAKE_PAIR(BgL_methodzd2argzd2idz00_633, BgL_arg1834z00_648); } 
BgL_arg1825z00_644 = 
MAKE_PAIR(BgL_arg1830z00_646, BgL_arg1831z00_647); } 
BgL_arg1822z00_643 = 
MAKE_PAIR(BgL_arg1825z00_644, BNIL); } 
BgL_arg1818z00_641 = 
MAKE_PAIR(BgL_tmethodz00_636, BgL_arg1822z00_643); } 
BgL_arg1813z00_639 = 
MAKE_PAIR(BgL_arg1818z00_641, BNIL); } 
{ /* Object/generic.scm 62 */
obj_t BgL_arg1852z00_654;
{ /* Object/generic.scm 62 */
bool_t BgL_testz00_1349;
{ /* Object/generic.scm 62 */
long BgL_auxz00_1350;
BgL_auxz00_1350 = 
(long)(BgL_arityz00_630); 
BgL_testz00_1349 = 
(BgL_auxz00_1350>=((long)0)); } 
if(BgL_testz00_1349)
{ /* Object/generic.scm 63 */
obj_t BgL_auxz00_1353;
BgL_auxz00_1353 = 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_argszd2idzd2_631, BNIL); 
BgL_arg1852z00_654 = 
MAKE_PAIR(BgL_methodz00_635, BgL_auxz00_1353); }  else 
{ /* Object/generic.scm 64 */
obj_t BgL_arg1863z00_658;obj_t BgL_arg1864z00_659;
BgL_arg1863z00_658 = 
CNST_TABLE_REF(((long)5)); 
{ /* Object/generic.scm 64 */
obj_t BgL_arg1867z00_660;
{ /* Object/generic.scm 64 */
obj_t BgL_arg1870z00_661;
{ /* Object/generic.scm 64 */
obj_t BgL_auxz00_1359;obj_t BgL_auxz00_1357;
BgL_auxz00_1359 = 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_argszd2idzd2_631, BNIL); 
BgL_auxz00_1357 = 
CNST_TABLE_REF(((long)6)); 
BgL_arg1870z00_661 = 
MAKE_PAIR(BgL_auxz00_1357, BgL_auxz00_1359); } 
BgL_arg1867z00_660 = 
MAKE_PAIR(BgL_arg1870z00_661, BNIL); } 
BgL_arg1864z00_659 = 
MAKE_PAIR(BgL_methodz00_635, BgL_arg1867z00_660); } 
BgL_arg1852z00_654 = 
MAKE_PAIR(BgL_arg1863z00_658, BgL_arg1864z00_659); } } 
BgL_arg1814z00_640 = 
MAKE_PAIR(BgL_arg1852z00_654, BNIL); } 
BgL_arg1809z00_638 = 
MAKE_PAIR(BgL_arg1813z00_639, BgL_arg1814z00_640); } 
return 
MAKE_PAIR(BgL_arg1808z00_637, BgL_arg1809z00_638);} } } } } } } } } } 
}



/* make-non-object-generic-body */
obj_t BGl_makezd2nonzd2objectzd2genericzd2bodyz00zzobject_genericz00(obj_t BgL_idz00_9, obj_t BgL_localsz00_10, obj_t BgL_argsz00_11, obj_t BgL_srcz00_12)
{ AN_OBJECT;
{ /* Object/generic.scm 69 */
{ /* Object/generic.scm 70 */
obj_t BgL_pidz00_682;
{ /* Object/generic.scm 70 */
obj_t BgL_arg2179z00_803;
BgL_arg2179z00_803 = 
BGl_findzd2locationzd2zztools_locationz00(BgL_srcz00_12); 
BgL_pidz00_682 = 
BGl_parsezd2idzd2zzast_identz00(BgL_idz00_9, BgL_arg2179z00_803); } 
{ /* Object/generic.scm 70 */
obj_t BgL_idz00_683;
BgL_idz00_683 = 
CAR(BgL_pidz00_682); 
{ /* Object/generic.scm 71 */
int BgL_arityz00_684;
BgL_arityz00_684 = 
BGl_arityz00zztools_argsz00(BgL_argsz00_11); 
{ /* Object/generic.scm 72 */
obj_t BgL_argszd2idzd2_685;
if(
NULLP(BgL_localsz00_10))
{ /* Object/generic.scm 73 */
BgL_argszd2idzd2_685 = BNIL; }  else 
{ /* Object/generic.scm 73 */
obj_t BgL_head1776z00_789;
{ /* Object/generic.scm 73 */
obj_t BgL_auxz00_1374;
{ /* Object/generic.scm 73 */
BgL_localz00_bglt BgL_obj1249z00_984;
{ /* Object/generic.scm 73 */
obj_t BgL_auxz00_1375;
BgL_auxz00_1375 = 
CAR(BgL_localsz00_10); 
BgL_obj1249z00_984 = 
(BgL_localz00_bglt)(BgL_auxz00_1375); } 
BgL_auxz00_1374 = 
(((BgL_localz00_bglt)CREF(BgL_obj1249z00_984))->BgL_idz00); } 
BgL_head1776z00_789 = 
MAKE_PAIR(BgL_auxz00_1374, BNIL); } 
{ 
obj_t BgL_l1774z00_790;obj_t BgL_tail1777z00_791;
BgL_l1774z00_790 = 
CDR(BgL_localsz00_10); 
BgL_tail1777z00_791 = BgL_head1776z00_789; 
BgL_lname1775z00_792:
if(
NULLP(BgL_l1774z00_790))
{ /* Object/generic.scm 73 */
BgL_argszd2idzd2_685 = BgL_head1776z00_789; }  else 
{ /* Object/generic.scm 73 */
obj_t BgL_newtail1778z00_795;
{ /* Object/generic.scm 73 */
obj_t BgL_auxz00_1382;
{ /* Object/generic.scm 73 */
BgL_localz00_bglt BgL_obj1249z00_990;
{ /* Object/generic.scm 73 */
obj_t BgL_auxz00_1383;
BgL_auxz00_1383 = 
CAR(BgL_l1774z00_790); 
BgL_obj1249z00_990 = 
(BgL_localz00_bglt)(BgL_auxz00_1383); } 
BgL_auxz00_1382 = 
(((BgL_localz00_bglt)CREF(BgL_obj1249z00_990))->BgL_idz00); } 
BgL_newtail1778z00_795 = 
MAKE_PAIR(BgL_auxz00_1382, BNIL); } 
SET_CDR(BgL_tail1777z00_791, BgL_newtail1778z00_795); 
{ 
obj_t BgL_tail1777z00_1391;obj_t BgL_l1774z00_1389;
BgL_l1774z00_1389 = 
CDR(BgL_l1774z00_790); 
BgL_tail1777z00_1391 = BgL_newtail1778z00_795; 
BgL_tail1777z00_791 = BgL_tail1777z00_1391; 
BgL_l1774z00_790 = BgL_l1774z00_1389; 
goto BgL_lname1775z00_792;} } } } 
{ /* Object/generic.scm 73 */
obj_t BgL_defaultzd2bodyzd2_686;
{ /* Object/generic.scm 74 */
bool_t BgL_testz00_1393;
{ /* Object/generic.scm 74 */
long BgL_auxz00_1394;
BgL_auxz00_1394 = 
(long)(BgL_arityz00_684); 
BgL_testz00_1393 = 
(BgL_auxz00_1394>=((long)0)); } 
if(BgL_testz00_1393)
{ /* Object/generic.scm 75 */
obj_t BgL_arg2084z00_759;obj_t BgL_arg2085z00_760;
{ /* Object/generic.scm 75 */
obj_t BgL_arg2088z00_761;obj_t BgL_arg2089z00_762;
BgL_arg2088z00_761 = 
CNST_TABLE_REF(((long)7)); 
{ /* Object/generic.scm 76 */
obj_t BgL_arg2092z00_763;
{ /* Object/generic.scm 76 */
obj_t BgL_arg2096z00_765;obj_t BgL_arg2097z00_766;
BgL_arg2096z00_765 = 
CNST_TABLE_REF(((long)4)); 
{ /* Object/generic.scm 76 */
obj_t BgL_arg2100z00_767;
BgL_arg2100z00_767 = 
MAKE_PAIR(BGl_za2moduleza2z00zzmodule_modulez00, BNIL); 
BgL_arg2097z00_766 = 
MAKE_PAIR(BgL_idz00_683, BgL_arg2100z00_767); } 
BgL_arg2092z00_763 = 
MAKE_PAIR(BgL_arg2096z00_765, BgL_arg2097z00_766); } 
BgL_arg2089z00_762 = 
MAKE_PAIR(BgL_arg2092z00_763, BNIL); } 
BgL_arg2084z00_759 = 
MAKE_PAIR(BgL_arg2088z00_761, BgL_arg2089z00_762); } 
BgL_arg2085z00_760 = 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_argszd2idzd2_685, BNIL); 
BgL_defaultzd2bodyzd2_686 = 
MAKE_PAIR(BgL_arg2084z00_759, BgL_arg2085z00_760); }  else 
{ /* Object/generic.scm 82 */
obj_t BgL_arg2105z00_768;obj_t BgL_arg2106z00_769;
BgL_arg2105z00_768 = 
CNST_TABLE_REF(((long)5)); 
{ /* Object/generic.scm 78 */
obj_t BgL_arg2109z00_770;obj_t BgL_arg2110z00_771;
{ /* Object/generic.scm 78 */
obj_t BgL_arg2113z00_772;obj_t BgL_arg2114z00_773;
BgL_arg2113z00_772 = 
CNST_TABLE_REF(((long)7)); 
{ /* Object/generic.scm 79 */
obj_t BgL_arg2117z00_774;
{ /* Object/generic.scm 79 */
obj_t BgL_arg2121z00_776;obj_t BgL_arg2122z00_777;
BgL_arg2121z00_776 = 
CNST_TABLE_REF(((long)4)); 
{ /* Object/generic.scm 79 */
obj_t BgL_arg2125z00_778;
BgL_arg2125z00_778 = 
MAKE_PAIR(BGl_za2moduleza2z00zzmodule_modulez00, BNIL); 
BgL_arg2122z00_777 = 
MAKE_PAIR(BgL_idz00_683, BgL_arg2125z00_778); } 
BgL_arg2117z00_774 = 
MAKE_PAIR(BgL_arg2121z00_776, BgL_arg2122z00_777); } 
BgL_arg2114z00_773 = 
MAKE_PAIR(BgL_arg2117z00_774, BNIL); } 
BgL_arg2109z00_770 = 
MAKE_PAIR(BgL_arg2113z00_772, BgL_arg2114z00_773); } 
{ /* Object/generic.scm 80 */
obj_t BgL_arg2129z00_779;
{ /* Object/generic.scm 80 */
obj_t BgL_arg2133z00_781;obj_t BgL_arg2134z00_782;
{ /* Object/generic.scm 80 */
obj_t BgL_arg2137z00_783;obj_t BgL_arg2138z00_784;
BgL_arg2137z00_783 = 
CNST_TABLE_REF(((long)4)); 
{ /* Object/generic.scm 80 */
obj_t BgL_arg2141z00_785;obj_t BgL_arg2142z00_786;
BgL_arg2141z00_785 = 
CNST_TABLE_REF(((long)6)); 
{ /* Object/generic.scm 80 */
obj_t BgL_auxz00_1416;
BgL_auxz00_1416 = 
CNST_TABLE_REF(((long)8)); 
BgL_arg2142z00_786 = 
MAKE_PAIR(BgL_auxz00_1416, BNIL); } 
BgL_arg2138z00_784 = 
MAKE_PAIR(BgL_arg2141z00_785, BgL_arg2142z00_786); } 
BgL_arg2133z00_781 = 
MAKE_PAIR(BgL_arg2137z00_783, BgL_arg2138z00_784); } 
BgL_arg2134z00_782 = 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_argszd2idzd2_685, BNIL); 
BgL_arg2129z00_779 = 
MAKE_PAIR(BgL_arg2133z00_781, BgL_arg2134z00_782); } 
BgL_arg2110z00_771 = 
MAKE_PAIR(BgL_arg2129z00_779, BNIL); } 
BgL_arg2106z00_769 = 
MAKE_PAIR(BgL_arg2109z00_770, BgL_arg2110z00_771); } 
BgL_defaultzd2bodyzd2_686 = 
MAKE_PAIR(BgL_arg2105z00_768, BgL_arg2106z00_769); } } 
{ /* Object/generic.scm 83 */
obj_t BgL_methodzd2argzd2idz00_688;
{ /* Object/generic.scm 84 */
BgL_localz00_bglt BgL_obj1249z00_999;
{ /* Object/generic.scm 84 */
obj_t BgL_auxz00_1426;
BgL_auxz00_1426 = 
CAR(BgL_localsz00_10); 
BgL_obj1249z00_999 = 
(BgL_localz00_bglt)(BgL_auxz00_1426); } 
BgL_methodzd2argzd2idz00_688 = 
(((BgL_localz00_bglt)CREF(BgL_obj1249z00_999))->BgL_idz00); } 
{ /* Object/generic.scm 85 */
obj_t BgL_methodz00_690;
BgL_methodz00_690 = 
PROCEDURE_ENTRY(BGl_gensymz00zz__r4_symbols_6_4z00)(BGl_gensymz00zz__r4_symbols_6_4z00, 
CNST_TABLE_REF(((long)0)), BEOA); 
{ /* Object/generic.scm 86 */
obj_t BgL_tmethodz00_691;
BgL_tmethodz00_691 = 
BGl_makezd2typedzd2identz00zzast_identz00(BgL_methodz00_690, 
CNST_TABLE_REF(((long)1))); 
{ /* Object/generic.scm 87 */
obj_t BgL_defaultzd2namezd2_692;
{ /* Object/generic.scm 88 */
obj_t BgL_list2072z00_756;
{ /* Object/generic.scm 88 */
obj_t BgL_arg2074z00_757;
{ /* Object/generic.scm 88 */
obj_t BgL_auxz00_1435;
BgL_auxz00_1435 = 
CNST_TABLE_REF(((long)9)); 
BgL_arg2074z00_757 = 
MAKE_PAIR(BgL_auxz00_1435, BNIL); } 
BgL_list2072z00_756 = 
MAKE_PAIR(BgL_idz00_683, BgL_arg2074z00_757); } 
BgL_defaultzd2namezd2_692 = 
BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(BgL_list2072z00_756); } 
{ /* Object/generic.scm 88 */
obj_t BgL_appzd2lyzd2methodz00_693;
{ /* Object/generic.scm 89 */
obj_t BgL_arg1976z00_714;obj_t BgL_arg1977z00_715;
BgL_arg1976z00_714 = 
CNST_TABLE_REF(((long)2)); 
{ /* Object/generic.scm 89 */
obj_t BgL_arg1980z00_716;obj_t BgL_arg1981z00_717;
{ /* Object/generic.scm 89 */
obj_t BgL_arg1984z00_718;
{ /* Object/generic.scm 89 */
obj_t BgL_arg1988z00_720;
{ /* Object/generic.scm 89 */
obj_t BgL_arg1991z00_721;
{ /* Object/generic.scm 89 */
obj_t BgL_arg1995z00_723;obj_t BgL_arg1996z00_724;
BgL_arg1995z00_723 = 
CNST_TABLE_REF(((long)3)); 
{ /* Object/generic.scm 90 */
obj_t BgL_arg1999z00_725;
{ /* Object/generic.scm 90 */
obj_t BgL_arg2002z00_726;
{ /* Object/generic.scm 90 */
obj_t BgL_arg2006z00_728;obj_t BgL_arg2007z00_729;
BgL_arg2006z00_728 = 
CNST_TABLE_REF(((long)4)); 
{ /* Object/generic.scm 90 */
obj_t BgL_arg2010z00_730;
BgL_arg2010z00_730 = 
MAKE_PAIR(BGl_za2moduleza2z00zzmodule_modulez00, BNIL); 
BgL_arg2007z00_729 = 
MAKE_PAIR(BgL_idz00_683, BgL_arg2010z00_730); } 
BgL_arg2002z00_726 = 
MAKE_PAIR(BgL_arg2006z00_728, BgL_arg2007z00_729); } 
BgL_arg1999z00_725 = 
MAKE_PAIR(BgL_arg2002z00_726, BNIL); } 
BgL_arg1996z00_724 = 
MAKE_PAIR(BgL_methodzd2argzd2idz00_688, BgL_arg1999z00_725); } 
BgL_arg1991z00_721 = 
MAKE_PAIR(BgL_arg1995z00_723, BgL_arg1996z00_724); } 
BgL_arg1988z00_720 = 
MAKE_PAIR(BgL_arg1991z00_721, BNIL); } 
BgL_arg1984z00_718 = 
MAKE_PAIR(BgL_tmethodz00_691, BgL_arg1988z00_720); } 
BgL_arg1980z00_716 = 
MAKE_PAIR(BgL_arg1984z00_718, BNIL); } 
{ /* Object/generic.scm 92 */
obj_t BgL_arg2014z00_731;
{ /* Object/generic.scm 92 */
obj_t BgL_arg2018z00_733;obj_t BgL_arg2019z00_734;
BgL_arg2018z00_733 = 
CNST_TABLE_REF(((long)10)); 
{ /* Object/generic.scm 92 */
obj_t BgL_arg2022z00_735;obj_t BgL_arg2024z00_736;
{ /* Object/generic.scm 92 */
obj_t BgL_arg2027z00_737;obj_t BgL_arg2028z00_738;
BgL_arg2027z00_737 = 
CNST_TABLE_REF(((long)11)); 
BgL_arg2028z00_738 = 
MAKE_PAIR(BgL_methodz00_690, BNIL); 
BgL_arg2022z00_735 = 
MAKE_PAIR(BgL_arg2027z00_737, BgL_arg2028z00_738); } 
{ /* Object/generic.scm 93 */
obj_t BgL_arg2032z00_739;obj_t BgL_arg2033z00_740;
{ /* Object/generic.scm 93 */
bool_t BgL_testz00_1456;
{ /* Object/generic.scm 93 */
long BgL_auxz00_1457;
BgL_auxz00_1457 = 
(long)(BgL_arityz00_684); 
BgL_testz00_1456 = 
(BgL_auxz00_1457>=((long)0)); } 
if(BgL_testz00_1456)
{ /* Object/generic.scm 94 */
obj_t BgL_auxz00_1460;
BgL_auxz00_1460 = 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_argszd2idzd2_685, BNIL); 
BgL_arg2032z00_739 = 
MAKE_PAIR(BgL_methodz00_690, BgL_auxz00_1460); }  else 
{ /* Object/generic.scm 95 */
obj_t BgL_arg2041z00_743;obj_t BgL_arg2042z00_744;
BgL_arg2041z00_743 = 
CNST_TABLE_REF(((long)5)); 
{ /* Object/generic.scm 95 */
obj_t BgL_arg2045z00_745;
{ /* Object/generic.scm 95 */
obj_t BgL_arg2048z00_746;
{ /* Object/generic.scm 95 */
obj_t BgL_auxz00_1466;obj_t BgL_auxz00_1464;
BgL_auxz00_1466 = 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_argszd2idzd2_685, BNIL); 
BgL_auxz00_1464 = 
CNST_TABLE_REF(((long)6)); 
BgL_arg2048z00_746 = 
MAKE_PAIR(BgL_auxz00_1464, BgL_auxz00_1466); } 
BgL_arg2045z00_745 = 
MAKE_PAIR(BgL_arg2048z00_746, BNIL); } 
BgL_arg2042z00_744 = 
MAKE_PAIR(BgL_methodz00_690, BgL_arg2045z00_745); } 
BgL_arg2032z00_739 = 
MAKE_PAIR(BgL_arg2041z00_743, BgL_arg2042z00_744); } } 
{ /* Object/generic.scm 96 */
obj_t BgL_arg2058z00_750;
{ /* Object/generic.scm 96 */
obj_t BgL_arg2063z00_752;obj_t BgL_arg2064z00_753;
BgL_arg2063z00_752 = 
CNST_TABLE_REF(((long)12)); 
{ /* Object/generic.scm 97 */
obj_t BgL_arg2067z00_754;
BgL_arg2067z00_754 = 
MAKE_PAIR(BgL_defaultzd2namezd2_692, BNIL); 
BgL_arg2064z00_753 = 
MAKE_PAIR(BgL_arg2067z00_754, BNIL); } 
BgL_arg2058z00_750 = 
MAKE_PAIR(BgL_arg2063z00_752, BgL_arg2064z00_753); } 
BgL_arg2033z00_740 = 
MAKE_PAIR(BgL_arg2058z00_750, BNIL); } 
BgL_arg2024z00_736 = 
MAKE_PAIR(BgL_arg2032z00_739, BgL_arg2033z00_740); } 
BgL_arg2019z00_734 = 
MAKE_PAIR(BgL_arg2022z00_735, BgL_arg2024z00_736); } 
BgL_arg2014z00_731 = 
MAKE_PAIR(BgL_arg2018z00_733, BgL_arg2019z00_734); } 
BgL_arg1981z00_717 = 
MAKE_PAIR(BgL_arg2014z00_731, BNIL); } 
BgL_arg1977z00_715 = 
MAKE_PAIR(BgL_arg1980z00_716, BgL_arg1981z00_717); } 
BgL_appzd2lyzd2methodz00_693 = 
MAKE_PAIR(BgL_arg1976z00_714, BgL_arg1977z00_715); } 
{ /* Object/generic.scm 89 */

{ /* Object/generic.scm 99 */
obj_t BgL_arg1929z00_694;obj_t BgL_arg1930z00_695;
BgL_arg1929z00_694 = 
CNST_TABLE_REF(((long)13)); 
{ /* Object/generic.scm 99 */
obj_t BgL_arg1933z00_696;obj_t BgL_arg1935z00_697;
{ /* Object/generic.scm 99 */
obj_t BgL_arg1939z00_698;
{ /* Object/generic.scm 99 */
obj_t BgL_arg1943z00_700;
{ /* Object/generic.scm 99 */
obj_t BgL_arg1947z00_702;
BgL_arg1947z00_702 = 
MAKE_PAIR(BgL_defaultzd2bodyzd2_686, BNIL); 
BgL_arg1943z00_700 = 
MAKE_PAIR(BNIL, BgL_arg1947z00_702); } 
BgL_arg1939z00_698 = 
MAKE_PAIR(BgL_defaultzd2namezd2_692, BgL_arg1943z00_700); } 
BgL_arg1933z00_696 = 
MAKE_PAIR(BgL_arg1939z00_698, BNIL); } 
{ /* Object/generic.scm 100 */
obj_t BgL_arg1951z00_703;
{ /* Object/generic.scm 100 */
obj_t BgL_arg1955z00_705;obj_t BgL_arg1956z00_706;
BgL_arg1955z00_705 = 
CNST_TABLE_REF(((long)10)); 
{ /* Object/generic.scm 100 */
obj_t BgL_arg1959z00_707;obj_t BgL_arg1960z00_708;
{ /* Object/generic.scm 100 */
obj_t BgL_arg1963z00_709;obj_t BgL_arg1964z00_710;
BgL_arg1963z00_709 = 
CNST_TABLE_REF(((long)14)); 
BgL_arg1964z00_710 = 
MAKE_PAIR(BgL_methodzd2argzd2idz00_688, BNIL); 
BgL_arg1959z00_707 = 
MAKE_PAIR(BgL_arg1963z00_709, BgL_arg1964z00_710); } 
{ /* Object/generic.scm 102 */
obj_t BgL_arg1968z00_711;
{ /* Object/generic.scm 102 */
obj_t BgL_arg1971z00_712;
BgL_arg1971z00_712 = 
MAKE_PAIR(BgL_defaultzd2namezd2_692, BNIL); 
BgL_arg1968z00_711 = 
MAKE_PAIR(BgL_arg1971z00_712, BNIL); } 
BgL_arg1960z00_708 = 
MAKE_PAIR(BgL_appzd2lyzd2methodz00_693, BgL_arg1968z00_711); } 
BgL_arg1956z00_706 = 
MAKE_PAIR(BgL_arg1959z00_707, BgL_arg1960z00_708); } 
BgL_arg1951z00_703 = 
MAKE_PAIR(BgL_arg1955z00_705, BgL_arg1956z00_706); } 
BgL_arg1935z00_697 = 
MAKE_PAIR(BgL_arg1951z00_703, BNIL); } 
BgL_arg1930z00_695 = 
MAKE_PAIR(BgL_arg1933z00_696, BgL_arg1935z00_697); } 
return 
MAKE_PAIR(BgL_arg1929z00_694, BgL_arg1930z00_695);} } } } } } } } } } } } } 
}



/* method-init */
obj_t BGl_methodzd2initzd2zzobject_genericz00()
{ AN_OBJECT;
{ /* Object/generic.scm 15 */
return BUNSPEC;} 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zzobject_genericz00()
{ AN_OBJECT;
{ /* Object/generic.scm 15 */
BGl_modulezd2initializa7ationz75zzengine_paramz00(((long)189840), "object_generic"); 
BGl_modulezd2initializa7ationz75zztools_argsz00(((long)54833), "object_generic"); 
BGl_modulezd2initializa7ationz75zztools_errorz00(((long)17886), "object_generic"); 
BGl_modulezd2initializa7ationz75zztype_typez00(((long)19010), "object_generic"); 
BGl_modulezd2initializa7ationz75zztype_cachez00(((long)57983), "object_generic"); 
BGl_modulezd2initializa7ationz75zzast_varz00(((long)28259), "object_generic"); 
BGl_modulezd2initializa7ationz75zzast_identz00(((long)52188), "object_generic"); 
BGl_modulezd2initializa7ationz75zzobject_classz00(((long)19348), "object_generic"); 
BGl_modulezd2initializa7ationz75zzmodule_modulez00(((long)12859), "object_generic"); 
return 
BGl_modulezd2initializa7ationz75zztools_locationz00(((long)30714), "object_generic");} 
}

