/*=====================================================================*/
/*    serrano/prgm/project/bigloo/fthread/src/BglAsyncThunk.java       */
/*    -------------------------------------------------------------    */
/*    Author      :  Manuel Serrano                                    */
/*    Creation    :  Mon Feb 11 13:45:20 2002                          */
/*    Last change :  Wed Jul 10 14:07:33 2002 (serrano)                */
/*    Copyright   :  2002 Manuel Serrano                               */
/*    -------------------------------------------------------------    */
/*    A class implementing asynchronous thread. An asynchronous thread */
/*    is implemented by the means of a Java thread that permantenly    */
/*    execute a thunk.                                                 */
/*=====================================================================*/

/*---------------------------------------------------------------------*/
/*    The package                                                      */
/*---------------------------------------------------------------------*/
package bigloo.fairthread;
import java.lang.*;
import bigloo.*;

/*---------------------------------------------------------------------*/
/*    BglAsyncThunk                                                    */
/*---------------------------------------------------------------------*/
public class BglAsyncThunk extends bigloo.bglthread {
   private procedure bgl_thunk;
   private static Object async_lock = new Object();
   private static Object async_token = null;
   
   // public constructor
   public BglAsyncThunk( procedure thunk ) {
      super();
      bgl_thunk = thunk;
   }

   // lock all the asynchronous thunk
   public static Object funcall( procedure thunk, Object token ) {
      synchronized( async_lock ) {
	 Object res;
	 
	 async_token = null;
	 res = thunk.funcall0();
	 async_token = token;
	 
	 async_lock.notify();

	 return res;
      }
   }
      
   // Wait on the global Asynchronous lock
   public static void await( Object token ) {
      try {
	 while( async_token != token )
	    async_lock.wait();
      } catch( Throwable e ) {
	 try {
	    foreign.internalerror( e );
	 } catch( Throwable _ ) {
	    System.exit( 1 );
	 }
      }
   }
      
   // Run the thread
   public void run() {
      try {
	 bgl_thunk.funcall0();
      } catch( Throwable e ) {
	 try {
	    foreign.internalerror( e );
	 } catch( Throwable _ ) {
	    System.exit( 1 );
	 }
      }
   }
}   
