;*=====================================================================*/
;*    serrano/prgm/project/bigloo/fthread/src/_types.scm               */
;*    -------------------------------------------------------------    */
;*    Author      :  Manuel Serrano                                    */
;*    Creation    :  Thu Feb 14 14:38:43 2002                          */
;*    Last change :  Wed Jul 24 18:44:19 2002 (serrano)                */
;*    Copyright   :  2002 Manuel Serrano                               */
;*    -------------------------------------------------------------    */
;*    The private types of the fair thread library.                    */
;*=====================================================================*/

;*---------------------------------------------------------------------*/
;*    The module                                                       */
;*---------------------------------------------------------------------*/
(module __ft_%types
   
   (import __ft_types)
   
   (export (class %scheduler::scheduler
	      ;; the running thread
	      (current-thread (default #f))
	      ;; the list of all threads attached to that scheduler
	      (threads::pair-nil (default '()))
	      ;; the list of threads ready to run
	      (threads-runnable::pair-nil (default '()))
	      ;; the list of threads waiting the end of instant
	      (threads-eoi::pair-nil (default '()))
	      ;; the list of stopped (yield) threads 
	      (threads-yield::pair-nil (default '()))
	      ;; the list of suspended threads 
	      (threads-suspend::pair-nil (default '()))
	      ;; threads to be started at the next instant
	      (tostart::pair-nil (default '()))
	      ;; threads to be terminated at the next instant
	      (toterminate::pair-nil (default '()))
	      ;; the list of the threads to be suspended at the next instant
	      (tosuspend::pair-nil (default '()))
	      ;; the list of the threads to be resumed at the next instant
	      (toresume::pair-nil (default '()))
	      ;; the list of event to be generated at the next instant
	      (tobroadcast::pair-nil (default '()))
	      ;; the number of started threads
	      (startn::int (default 0))
	      ;; the number of dead threads
	      (deadn::int (default 0))
	      ;; eoi
	      (eoi::bool (default #f)))

	   (class %condition-variable::condition-variable)

	   (class %mutex::mutex
	      (%abandoned::bool (default #f))
	      (%owned (default #f))
	      (%locked::bool (default #f)))

	   (class %uncaught-exception
	      (reason read-only))))
