/*=====================================================================*/
/*    serrano/prgm/project/bigloo/fthread/src/bglthread.h              */
/*    -------------------------------------------------------------    */
/*    Author      :  Manuel Serrano                                    */
/*    Creation    :  Fri Feb 22 11:01:20 2002                          */
/*    Last change :  Wed Aug  7 11:12:29 2002 (serrano)                */
/*    Copyright   :  2002 Manuel Serrano                               */
/*    -------------------------------------------------------------    */
/*    The C headers for Bigloo fair threads.                           */
/*=====================================================================*/
#include <pthread.h>
#include <bigloo.h>

/*---------------------------------------------------------------------*/
/*    bglthread_t                                                      */
/*---------------------------------------------------------------------*/
typedef struct bglthread {
   obj_t thunk;
   obj_t bglobj;
   obj_t exitd_top;
   obj_t current_output_port;
   obj_t current_error_port;
   obj_t current_input_port;
   int mvalues_number;
   obj_t mvalues_values[ 4 ];
   struct befored *befored_top;
   char *stack_bottom;
   char started;
   pthread_t pthread;
   pthread_mutex_t lock;
   pthread_cond_t cv;
   struct bglthread *parent;
} *bglthread_t;

/*---------------------------------------------------------------------*/
/*    Prototypes                                                       */
/*---------------------------------------------------------------------*/
extern bglthread_t bglthread_new( obj_t );
extern void bglthread_start( bglthread_t );
extern void bglthread_setup( bglthread_t, obj_t );

extern void bglthread_switch( bglthread_t, bglthread_t );
extern void bglthread_switch_in( bglthread_t );
extern void bglthread_switch_out( bglthread_t );

extern void bglthread_await( bglthread_t, bglthread_t );

extern bglthread_t bglthread_async_new( obj_t );
extern void bglthread_async_start( bglthread_t );

extern obj_t bglthread_async_funcall( obj_t, obj_t );

bglthread_t pthread_current_thread();

/*---------------------------------------------------------------------*/
/*    String buffers                                                   */
/*---------------------------------------------------------------------*/
#define BGL_STRING_REF( _s, _i ) ((_s)[ _i ])
#define BGL_STRING_SET( _s, _i, _v ) ((_s)[ _i ] = (_v))
