/*===========================================================================*/
/*   (Cfa/collect.scm)                                                       */
/*   Bigloo (2.5b)                                                           */
/*   Manuel Serrano (c)       Fri Sep 6 09:43:28 CEST 2002                   */
/*===========================================================================*/

/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>


/* Object type definitions */
typedef struct BgL_typez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   obj_t BgL_siza7eza7;
   obj_t BgL_classz00;
   obj_t BgL_coercezd2tozd2;
   obj_t BgL_parentsz00;
   bool_t BgL_initzf3zf3;
   bool_t BgL_magiczf3zf3;
   obj_t BgL_z42z42;
   obj_t BgL_aliasz00;
   obj_t BgL_pointedzd2tozd2byz00;
   obj_t BgL_tvectorz00;
   obj_t BgL_locationz00;
   obj_t BgL_importzd2locationzd2;
} *BgL_typez00_bglt;

typedef struct BgL_ccompz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_producerz00;
   obj_t BgL_consumerz00;
   obj_t BgL_finaliza7erza7;
} *BgL_ccompz00_bglt;

typedef struct BgL_valuez00_bgl {
   header_t header;
   obj_t widening;
} *BgL_valuez00_bglt;

typedef struct BgL_variablez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
} *BgL_variablez00_bglt;

typedef struct BgL_globalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   obj_t BgL_modulez00;
   obj_t BgL_importz00;
   bool_t BgL_evaluablezf3zf3;
   bool_t BgL_libraryzf3zf3;
   bool_t BgL_userzf3zf3;
   obj_t BgL_pragmaz00;
   obj_t BgL_srcz00;
   obj_t BgL_jvmzd2typezd2namez00;
} *BgL_globalz00_bglt;

typedef struct BgL_localz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   bool_t BgL_userzf3zf3;
   long BgL_keyz00;
} *BgL_localz00_bglt;

typedef struct BgL_funz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
} *BgL_funz00_bglt;

typedef struct BgL_sfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_propertyz00;
   obj_t BgL_argsz00;
   obj_t BgL_bodyz00;
   obj_t BgL_classz00;
   obj_t BgL_dssslzd2keywordszd2;
   obj_t BgL_locz00;
} *BgL_sfunz00_bglt;

typedef struct BgL_cfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_argszd2typezd2;
   bool_t BgL_macrozf3zf3;
   bool_t BgL_infixzf3zf3;
   obj_t BgL_methodz00;
} *BgL_cfunz00_bglt;

typedef struct BgL_svarz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
} *BgL_svarz00_bglt;

typedef struct BgL_scnstz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_nodez00;
   obj_t BgL_classz00;
   obj_t BgL_locz00;
} *BgL_scnstz00_bglt;

typedef struct BgL_cvarz00_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_macrozf3zf3;
} *BgL_cvarz00_bglt;

typedef struct BgL_sexitz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_handlerz00;
   bool_t BgL_detachedzf3zf3;
} *BgL_sexitz00_bglt;

typedef struct BgL_nodez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
} *BgL_nodez00_bglt;

typedef struct BgL_nodezf2effectzf2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
} *BgL_nodezf2effectzf2_bglt;

typedef struct BgL_atomz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_atomz00_bglt;

typedef struct BgL_varz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_varz00_bglt;

typedef struct BgL_closurez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_closurez00_bglt;

typedef struct BgL_kwotez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_kwotez00_bglt;

typedef struct BgL_sequencez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_nodesz00;
} *BgL_sequencez00_bglt;

typedef struct BgL_appz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
} *BgL_appz00_bglt;

typedef struct BgL_appzd2lyzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_appzd2lyzd2_bglt;

typedef struct BgL_funcallz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
   obj_t BgL_strengthz00;
} *BgL_funcallz00_bglt;

typedef struct BgL_externz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
} *BgL_externz00_bglt;

typedef struct BgL_pragmaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_formatz00;
} *BgL_pragmaz00_bglt;

typedef struct BgL_getfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_getfieldz00_bglt;

typedef struct BgL_setfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_setfieldz00_bglt;

typedef struct BgL_newz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
} *BgL_newz00_bglt;

typedef struct BgL_vallocz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2heapzd2formatz00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_vallocz00_bglt;

typedef struct BgL_vrefz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vrefz00_bglt;

typedef struct BgL_vsetz12z12_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vsetz12z12_bglt;

typedef struct BgL_vlengthz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vlengthz00_bglt;

typedef struct BgL_isaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   struct BgL_typez00_bgl * BgL_classz00;
} *BgL_isaz00_bglt;

typedef struct BgL_castz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_castz00_bglt;

typedef struct BgL_setqz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_setqz00_bglt;

typedef struct BgL_conditionalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   struct BgL_nodez00_bgl * BgL_truez00;
   struct BgL_nodez00_bgl * BgL_falsez00;
} *BgL_conditionalz00_bglt;

typedef struct BgL_failz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_procz00;
   struct BgL_nodez00_bgl * BgL_msgz00;
   struct BgL_nodez00_bgl * BgL_objz00;
} *BgL_failz00_bglt;

typedef struct BgL_selectz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   obj_t BgL_clausesz00;
   struct BgL_typez00_bgl * BgL_itemzd2typezd2;
} *BgL_selectz00_bglt;

typedef struct BgL_letzd2funzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_localsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_letzd2funzd2_bglt;

typedef struct BgL_letzd2varzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_bindingsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
   bool_t BgL_removablezf3zf3;
} *BgL_letzd2varzd2_bglt;

typedef struct BgL_setzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_setzd2exzd2itz00_bglt;

typedef struct BgL_jumpzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_exitz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_jumpzd2exzd2itz00_bglt;

typedef struct BgL_makezd2boxzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_makezd2boxzd2_bglt;

typedef struct BgL_boxzd2refzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_varz00;
} *BgL_boxzd2refzd2_bglt;

typedef struct BgL_boxzd2setz12zc0_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_boxzd2setz12zc0_bglt;

typedef struct BgL_approxz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_typez00_bgl * BgL_typez00;
   bool_t BgL_typezd2lockedzf3z21;
   obj_t BgL_allocsz00;
   bool_t BgL_topzf3zf3;
   long BgL_lostzd2stampzd2;
} *BgL_approxz00_bglt;

typedef struct BgL_cfunzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_cfunzf2cinfozf2_bglt;

typedef struct BgL_externzd2sfunzf2cinfoz20_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_externzd2sfunzf2cinfoz20_bglt;

typedef struct BgL_internzd2sfunzf2cinfoz20_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
   long BgL_stampz00;
} *BgL_internzd2sfunzf2cinfoz20_bglt;

typedef struct BgL_scnstzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_scnstzf2cinfozf2_bglt;

typedef struct BgL_prezd2clozd2envz00_bgl {
   char dummy;
} *BgL_prezd2clozd2envz00_bglt;

typedef struct BgL_svarzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
   bool_t BgL_clozd2envzf3z21;
} *BgL_svarzf2cinfozf2_bglt;

typedef struct BgL_cvarzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_cvarzf2cinfozf2_bglt;

typedef struct BgL_sexitzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_sexitzf2cinfozf2_bglt;

typedef struct BgL_reshapedzd2localzd2_bgl {
   obj_t BgL_bindingzd2valuezd2;
} *BgL_reshapedzd2localzd2_bglt;

typedef struct BgL_reshapedzd2globalzd2_bgl {
   char dummy;
} *BgL_reshapedzd2globalzd2_bglt;

typedef struct BgL_atomzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_atomzf2cinfozf2_bglt;

typedef struct BgL_kwotezf2nodezf2_bgl {
   struct BgL_nodez00_bgl * BgL_nodez00;
} *BgL_kwotezf2nodezf2_bglt;

typedef struct BgL_kwotezf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_kwotezf2cinfozf2_bglt;

typedef struct BgL_appzd2lyzf2cinfoz20_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_appzd2lyzf2cinfoz20_bglt;

typedef struct BgL_funcallzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
   struct BgL_approxz00_bgl * BgL_vazd2approxzd2;
   bool_t BgL_arityzd2errorzd2noticedzf3zf3;
   bool_t BgL_typezd2errorzd2noticedzf3zf3;
} *BgL_funcallzf2cinfozf2_bglt;

typedef struct BgL_setqzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_setqzf2cinfozf2_bglt;

typedef struct BgL_conditionalzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_conditionalzf2cinfozf2_bglt;

typedef struct BgL_failzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_failzf2cinfozf2_bglt;

typedef struct BgL_selectzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_selectzf2cinfozf2_bglt;

typedef struct BgL_setzd2exzd2itzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_setzd2exzd2itzf2cinfozf2_bglt;

typedef struct BgL_jumpzd2exzd2itzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_jumpzd2exzd2itzf2cinfozf2_bglt;

typedef struct BgL_prezd2makezd2boxz00_bgl {
   char dummy;
} *BgL_prezd2makezd2boxz00_bglt;

typedef struct BgL_makezd2boxzf2cinfoz20_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_makezd2boxzf2cinfoz20_bglt;

typedef struct BgL_makezd2boxzf2ozd2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
   struct BgL_approxz00_bgl * BgL_valuezd2approxzd2;
} *BgL_makezd2boxzf2ozd2cinfozf2_bglt;

typedef struct BgL_boxzd2setz12zf2cinfoz32_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_boxzd2setz12zf2cinfoz32_bglt;

typedef struct BgL_boxzd2refzf2cinfoz20_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_boxzd2refzf2cinfoz20_bglt;

typedef struct BgL_boxzd2setz12zf2ozd2cinfoze0_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_boxzd2setz12zf2ozd2cinfoze0_bglt;

typedef struct BgL_boxzd2refzf2ozd2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_boxzd2refzf2ozd2cinfozf2_bglt;

typedef struct BgL_prezd2arithmeticzd2appz00_bgl {
   obj_t BgL_speczd2typeszd2;
} *BgL_prezd2arithmeticzd2appz00_bglt;

typedef struct BgL_arithmeticzd2appzd2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
   obj_t BgL_speczd2typeszd2;
} *BgL_arithmeticzd2appzd2_bglt;

typedef struct BgL_prezd2makezd2procedurezd2appzd2_bgl {
   struct BgL_variablez00_bgl * BgL_ownerz00;
} *BgL_prezd2makezd2procedurezd2appzd2_bglt;

typedef struct BgL_prezd2procedurezd2refzd2appzd2_bgl {
   char dummy;
} *BgL_prezd2procedurezd2refzd2appzd2_bglt;

typedef struct BgL_prezd2procedurezd2setz12zd2appzc0_bgl {
   char dummy;
} *BgL_prezd2procedurezd2setz12zd2appzc0_bglt;

typedef struct BgL_makezd2procedurezd2appz00_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
   obj_t BgL_valueszd2approxzd2;
   long BgL_lostzd2stampzd2;
   bool_t BgL_xzd2tzf3z21;
   bool_t BgL_xz00;
   bool_t BgL_tz00;
   struct BgL_variablez00_bgl * BgL_ownerz00;
   obj_t BgL_stackzd2stampzd2;
} *BgL_makezd2procedurezd2appz00_bglt;

typedef struct BgL_procedurezd2refzd2appz00_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_procedurezd2refzd2appz00_bglt;

typedef struct BgL_procedurezd2setz12zd2appz12_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_procedurezd2setz12zd2appz12_bglt;

typedef struct BgL_prezd2makezd2vectorzd2appzd2_bgl {
   struct BgL_variablez00_bgl * BgL_ownerz00;
} *BgL_prezd2makezd2vectorzd2appzd2_bglt;

typedef struct BgL_makezd2vectorzd2appz00_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
   struct BgL_approxz00_bgl * BgL_valuezd2approxzd2;
   long BgL_lostzd2stampzd2;
   struct BgL_variablez00_bgl * BgL_ownerz00;
   obj_t BgL_stackzd2stampzd2;
   bool_t BgL_seenzf3zf3;
} *BgL_makezd2vectorzd2appz00_bglt;

typedef struct BgL_prezd2makezd2structzd2appzd2_bgl {
   struct BgL_variablez00_bgl * BgL_ownerz00;
} *BgL_prezd2makezd2structzd2appzd2_bglt;

typedef struct BgL_prezd2structzd2refzd2appzd2_bgl {
   char dummy;
} *BgL_prezd2structzd2refzd2appzd2_bglt;

typedef struct BgL_prezd2structzd2setz12zd2appzc0_bgl {
   char dummy;
} *BgL_prezd2structzd2setz12zd2appzc0_bglt;

typedef struct BgL_makezd2structzd2appz00_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
   struct BgL_approxz00_bgl * BgL_valuezd2approxzd2;
   long BgL_lostzd2stampzd2;
   struct BgL_variablez00_bgl * BgL_ownerz00;
   obj_t BgL_stackzd2stampzd2;
} *BgL_makezd2structzd2appz00_bglt;

typedef struct BgL_structzd2refzd2appz00_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_structzd2refzd2appz00_bglt;

typedef struct BgL_structzd2setz12zd2appz12_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_structzd2setz12zd2appz12_bglt;

typedef struct BgL_pragmazf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_pragmazf2cinfozf2_bglt;

typedef struct BgL_getfieldzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_getfieldzf2cinfozf2_bglt;

typedef struct BgL_setfieldzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_setfieldzf2cinfozf2_bglt;

typedef struct BgL_newzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_newzf2cinfozf2_bglt;

typedef struct BgL_isazf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_isazf2cinfozf2_bglt;

typedef struct BgL_vrefzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
   bool_t BgL_tvectorzf3zf3;
} *BgL_vrefzf2cinfozf2_bglt;

typedef struct BgL_vsetz12zf2cinfoze0_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
   bool_t BgL_tvectorzf3zf3;
} *BgL_vsetz12zf2cinfoze0_bglt;

typedef struct BgL_vlengthzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
   bool_t BgL_tvectorzf3zf3;
} *BgL_vlengthzf2cinfozf2_bglt;

typedef struct BgL_prezd2valloczf2cinfoz20_bgl {
   struct BgL_variablez00_bgl * BgL_ownerz00;
} *BgL_prezd2valloczf2cinfoz20_bglt;

typedef struct BgL_valloczf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_valloczf2cinfozf2_bglt;

typedef struct BgL_valloczf2cinfozb2optimz40_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
   struct BgL_approxz00_bgl * BgL_valuezd2approxzd2;
   long BgL_lostzd2stampzd2;
   struct BgL_variablez00_bgl * BgL_ownerz00;
   bool_t BgL_stackablezf3zf3;
   obj_t BgL_stackzd2stampzd2;
   bool_t BgL_seenzf3zf3;
} *BgL_valloczf2cinfozb2optimz40_bglt;


static obj_t BGl_nodezd2collectz12zd2sequence4843z12zzcfa_collectz00(obj_t, obj_t, obj_t);
static obj_t BGl_nodezd2collectz12zc0zzcfa_collectz00(BgL_nodez00_bglt, BgL_variablez00_bglt);
static obj_t BGl_methodzd2initzd2zzcfa_collectz00();
extern obj_t open_input_string(obj_t);
static obj_t BGl_nodezd2collectz12zd2boxzd2ref4877zc0zzcfa_collectz00(obj_t, obj_t, obj_t);
extern long BGl_classzd2numzd2zz__objectz00(obj_t);
extern obj_t BGl_za2optimzd2cfazd2arithmeticzf3za2zf3zzengine_paramz00;
static obj_t BGl__collectzd2allzd2approxz12z12zzcfa_collectz00(obj_t, obj_t);
extern obj_t BGl_letzd2funzd2zzast_nodez00;
extern obj_t BGl_collectzd2allzd2approxz12z12zzcfa_collectz00(obj_t);
extern obj_t BGl_readz00zz__readerz00(obj_t);
extern bool_t BGl_iszd2azf3z21zz__objectz00(obj_t, obj_t);
extern bool_t BGl_vectorzd2optimzf3z21zzcfa_vectorz00();
static obj_t BGl__nodezd2collectz127195zc0zzcfa_collectz00(obj_t, obj_t, obj_t);
extern obj_t BGl_scnstz00zzast_varz00;
extern obj_t BGl_addzd2genericz12zc0zz__objectz00(obj_t, obj_t);
extern obj_t BGl_letzd2varzd2zzast_nodez00;
static obj_t BGl_nodezd2collectz12zd2app4845z12zzcfa_collectz00(obj_t, obj_t, obj_t);
extern obj_t BGl_arithmeticzd2operatorzf3z21zzcfa_specializa7eza7(BgL_globalz00_bglt);
extern obj_t BGl_za2moduleza2z00zzmodule_modulez00;
extern obj_t BGl_arithmeticzd2speczd2typesz00zzcfa_specializa7eza7(BgL_globalz00_bglt);
extern obj_t BGl_prezd2makezd2boxz00zzcfa_infoz00;
extern obj_t BGl_kwotez00zzast_nodez00;
extern obj_t BGl_prezd2makezd2structzd2appzd2zzcfa_info2z00;
extern obj_t BGl_globalz00zzast_varz00;
static obj_t BGl_nodezd2collectz12zd2extern4853z12zzcfa_collectz00(obj_t, obj_t, obj_t);
extern obj_t BGl_prezd2makezd2procedurezd2appzd2zzcfa_info2z00;
static obj_t BGl_nodezd2collectz12zd2fail4861z12zzcfa_collectz00(obj_t, obj_t, obj_t);
extern obj_t BGl_castz00zzast_nodez00;
extern obj_t BGl_prezd2makezd2vectorzd2appzd2zzcfa_info2z00;
static obj_t BGl__nodezd2collectz12zd2default4834z12zzcfa_collectz00(obj_t, obj_t, obj_t);
extern obj_t BGl_boxzd2refzd2zzast_nodez00;
extern obj_t BGl_varz00zzast_nodez00;
static obj_t BGl_cnstzd2initzd2zzcfa_collectz00();
extern obj_t BGl_atomz00zzast_nodez00;
extern obj_t BGl_failz00zzast_nodez00;
extern obj_t BGl_funcallz00zzast_nodez00;
extern BgL_nodez00_bglt BGl_topzd2levelzd2sexpzd2ze3nodez31zzast_sexpz00(obj_t, obj_t);
static obj_t BGl_nodezd2collectz12zd2letzd2var4867zc0zzcfa_collectz00(obj_t, obj_t, obj_t);
extern obj_t BGl_prezd2valloczf2Cinfoz20zzcfa_info3z00;
static obj_t BGl_importedzd2moduleszd2initz00zzcfa_collectz00();
extern obj_t BGl_prezd2arithmeticzd2appz00zzcfa_info2z00;
extern obj_t BGl_makezd2boxzd2zzast_nodez00;
static obj_t BGl_nodezd2collectz12zd2default4834z12zzcfa_collectz00(BgL_nodez00_bglt, BgL_variablez00_bglt);
extern obj_t BGl_prezd2structzd2setz12zd2appzc0zzcfa_info2z00;
extern obj_t BGl_prezd2structzd2refzd2appzd2zzcfa_info2z00;
extern obj_t BGl_addzd2methodz12zc0zz__objectz00(obj_t, obj_t, obj_t);
static obj_t BGl_getzd2atypezd2zzcfa_collectz00(obj_t);
extern obj_t BGl_getzd2allocszd2zzcfa_collectz00();
static obj_t BGl_nodezd2collectz12zd2letzd2fun4865zc0zzcfa_collectz00(obj_t, obj_t, obj_t);
static obj_t BGl_nodezd2collectz12zd2valloc4847z12zzcfa_collectz00(obj_t, obj_t, obj_t);
extern obj_t BGl_selectz00zzast_nodez00;
extern obj_t BGl_vallocz00zzast_nodez00;
static obj_t BGl_toplevelzd2initzd2zzcfa_collectz00();
extern obj_t BGl_appzd2lyzd2zzast_nodez00;
static bool_t BGl_monomorphiczd2vectorzf3z21zzcfa_collectz00(obj_t);
extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
extern obj_t BGl_modulezd2initializa7ationz75zzcfa_collectz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_typeofz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_dumpz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_sexpz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzcfa_infoz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzcfa_info2z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzcfa_info3z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzcfa_arithmeticz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzcfa_specializa7eza7(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzcfa_procedurez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzcfa_vectorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzcfa_structz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzcfa_boxz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzcfa_closurez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
static obj_t BGl_nodezd2collectz12zd2atom4837z12zzcfa_collectz00(obj_t, obj_t, obj_t);
static obj_t BGl_nodezd2collectz12zd2funcall4851z12zzcfa_collectz00(obj_t, obj_t, obj_t);
extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
static obj_t BGl_nodezd2collectz12zd2var4841z12zzcfa_collectz00(obj_t, obj_t, obj_t);
static obj_t BGl_nodezd2collectz12zd2makezd2box4873zc0zzcfa_collectz00(obj_t, obj_t, obj_t);
extern obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
extern obj_t BGl_prezd2procedurezd2refzd2appzd2zzcfa_info2z00;
static obj_t BGl_nodezd2collectz12zd2kwote4839z12zzcfa_collectz00(obj_t, obj_t, obj_t);
static obj_t BGl_za2usedzd2allocza2zd2zzcfa_collectz00 = BUNSPEC;
static obj_t BGl_nodezd2collectz12zd2setzd2exzd2it4869z12zzcfa_collectz00(obj_t, obj_t, obj_t);
extern obj_t BGl_cfunz00zzast_varz00;
static obj_t BGl_nodezd2collectz12zd2setq4857z12zzcfa_collectz00(obj_t, obj_t, obj_t);
extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
extern obj_t BGl_za2optimza2z00zzengine_paramz00;
extern obj_t BGl_externz00zzast_nodez00;
extern obj_t BGl_conditionalz00zzast_nodez00;
static obj_t BGl_nodezd2collectz12zd2appzd2ly4849zc0zzcfa_collectz00(obj_t, obj_t, obj_t);
extern obj_t BGl_sequencez00zzast_nodez00;
extern obj_t BGl_prezd2procedurezd2setz12zd2appzc0zzcfa_info2z00;
static obj_t BGl_nodezd2collectz12zd2jumpzd2exzd2it4871z12zzcfa_collectz00(obj_t, obj_t, obj_t);
extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
extern obj_t BGl_appz00zzast_nodez00;
extern obj_t BGl_kwotezf2nodezf2zzcfa_infoz00;
static bool_t BGl_nodezd2collectza2z12z62zzcfa_collectz00(obj_t, obj_t);
static obj_t BGl_nodezd2collectz12zd2select4863z12zzcfa_collectz00(obj_t, obj_t, obj_t);
extern obj_t BGl_addzd2funcallz12zc0zzcfa_closurez00(BgL_nodez00_bglt);
static obj_t BGl__getzd2allocszd2zzcfa_collectz00(obj_t);
static obj_t BGl_nodezd2collectz12zd2boxzd2setz124875zd2zzcfa_collectz00(obj_t, obj_t, obj_t);
static obj_t BGl_requirezd2initializa7ationz75zzcfa_collectz00 = BUNSPEC;
extern obj_t BGl_za2warningza2z00zz__errorz00;
extern obj_t BGl_za2pragmazf3za2zf3zzengine_paramz00;
static obj_t BGl_libraryzd2moduleszd2initz00zzcfa_collectz00();
static obj_t BGl_nodezd2collectz12zd2cast4855z12zzcfa_collectz00(obj_t, obj_t, obj_t);
static obj_t BGl_nodezd2collectz12zd2conditional4859z12zzcfa_collectz00(obj_t, obj_t, obj_t);
extern obj_t BGl_setqz00zzast_nodez00;
static obj_t __cnst[ 17 ] ;

DEFINE_STRING( BGl_string7811z00zzcfa_collectz00, BgL_bgl_string7811za700za7za7cfa_collectza7007839z00, "node-collect!-default4834 (pragma::obj \"\") c-struct-set! c-struct-ref c-make-struct (c-vector-ref c-vector-set! c-vector-length c-create-vector) c-make-vector procedure-set! procedure-ref make-va-procedure make-fx-procedure c-eq? real string boolean char integer ", 263 );
DEFINE_STRING( BGl_string7810z00zzcfa_collectz00, BgL_bgl_string7810za700za7za7cfa_collectza7007840z00, "No method for this object", 25 );
DEFINE_STRING( BGl_string7809z00zzcfa_collectz00, BgL_bgl_string7809za700za7za7cfa_collectza7007841z00, "Illegal foreign application", 27 );
DEFINE_STRING( BGl_string7808z00zzcfa_collectz00, BgL_bgl_string7808za700za7za7cfa_collectza7007842z00, "node-collect!", 13 );
DEFINE_EXPORT_PROCEDURE( BGl_collectzd2allzd2approxz12zd2envzc0zzcfa_collectz00, BgL_bgl__collectza7d2allza7d2approxza712za712za7za7cfa_collectza7007843za7, BGl__collectzd2allzd2approxz12z12zzcfa_collectz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_getzd2allocszd2envz00zzcfa_collectz00, BgL_bgl__getza7d2allocsza7d2za7za7cfa_collectza7007844za7, BGl__getzd2allocszd2zzcfa_collectz00, 0L, 0 );
DEFINE_STATIC_PROCEDURE( BGl_nodezd2collectz12zd2default4834zd2envzc0zzcfa_collectz00, BgL_bgl__nodeza7d2collectza712za7d2default4834za712za7za7cfa_collectza7007845za7, BGl__nodezd2collectz12zd2default4834z12zzcfa_collectz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc7787z00zzcfa_collectz00, BgL_bgl_nodeza7d2collectza712za7d2atom4837za712za7za7cfa_collectza7007846za7, BGl_nodezd2collectz12zd2atom4837z12zzcfa_collectz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc7788z00zzcfa_collectz00, BgL_bgl_nodeza7d2collectza712za7d2kwote4839za712za7za7cfa_collectza7007847za7, BGl_nodezd2collectz12zd2kwote4839z12zzcfa_collectz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc7800z00zzcfa_collectz00, BgL_bgl_nodeza7d2collectza712za7d2select4863za712za7za7cfa_collectza7007848za7, BGl_nodezd2collectz12zd2select4863z12zzcfa_collectz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc7790z00zzcfa_collectz00, BgL_bgl_nodeza7d2collectza712za7d2sequence4843za712za7za7cfa_collectza7007849za7, BGl_nodezd2collectz12zd2sequence4843z12zzcfa_collectz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc7789z00zzcfa_collectz00, BgL_bgl_nodeza7d2collectza712za7d2var4841za712za7za7cfa_collectza7007850za7, BGl_nodezd2collectz12zd2var4841z12zzcfa_collectz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc7801z00zzcfa_collectz00, BgL_bgl_nodeza7d2collectza712za7d2letza7d2fun4865za7c0za7za7cfa_collectza7007851z00, BGl_nodezd2collectz12zd2letzd2fun4865zc0zzcfa_collectz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc7791z00zzcfa_collectz00, BgL_bgl_nodeza7d2collectza712za7d2app4845za712za7za7cfa_collectza7007852za7, BGl_nodezd2collectz12zd2app4845z12zzcfa_collectz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc7802z00zzcfa_collectz00, BgL_bgl_nodeza7d2collectza712za7d2letza7d2var4867za7c0za7za7cfa_collectza7007853z00, BGl_nodezd2collectz12zd2letzd2var4867zc0zzcfa_collectz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc7792z00zzcfa_collectz00, BgL_bgl_nodeza7d2collectza712za7d2valloc4847za712za7za7cfa_collectza7007854za7, BGl_nodezd2collectz12zd2valloc4847z12zzcfa_collectz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc7803z00zzcfa_collectz00, BgL_bgl_nodeza7d2collectza712za7d2setza7d2exza7d2it4869za712za7za7cfa_collectza7007855za7, BGl_nodezd2collectz12zd2setzd2exzd2it4869z12zzcfa_collectz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc7793z00zzcfa_collectz00, BgL_bgl_nodeza7d2collectza712za7d2appza7d2ly4849za7c0za7za7cfa_collectza7007856z00, BGl_nodezd2collectz12zd2appzd2ly4849zc0zzcfa_collectz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc7804z00zzcfa_collectz00, BgL_bgl_nodeza7d2collectza712za7d2jumpza7d2exza7d2it4871za712za7za7cfa_collectza7007857za7, BGl_nodezd2collectz12zd2jumpzd2exzd2it4871z12zzcfa_collectz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc7794z00zzcfa_collectz00, BgL_bgl_nodeza7d2collectza712za7d2funcall4851za712za7za7cfa_collectza7007858za7, BGl_nodezd2collectz12zd2funcall4851z12zzcfa_collectz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc7805z00zzcfa_collectz00, BgL_bgl_nodeza7d2collectza712za7d2makeza7d2box4873za7c0za7za7cfa_collectza7007859z00, BGl_nodezd2collectz12zd2makezd2box4873zc0zzcfa_collectz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc7795z00zzcfa_collectz00, BgL_bgl_nodeza7d2collectza712za7d2extern4853za712za7za7cfa_collectza7007860za7, BGl_nodezd2collectz12zd2extern4853z12zzcfa_collectz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc7806z00zzcfa_collectz00, BgL_bgl_nodeza7d2collectza712za7d2boxza7d2setza7124875za7d2za7za7cfa_collectza7007861za7, BGl_nodezd2collectz12zd2boxzd2setz124875zd2zzcfa_collectz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc7796z00zzcfa_collectz00, BgL_bgl_nodeza7d2collectza712za7d2cast4855za712za7za7cfa_collectza7007862za7, BGl_nodezd2collectz12zd2cast4855z12zzcfa_collectz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc7807z00zzcfa_collectz00, BgL_bgl_nodeza7d2collectza712za7d2boxza7d2ref4877za7c0za7za7cfa_collectza7007863z00, BGl_nodezd2collectz12zd2boxzd2ref4877zc0zzcfa_collectz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc7797z00zzcfa_collectz00, BgL_bgl_nodeza7d2collectza712za7d2setq4857za712za7za7cfa_collectza7007864za7, BGl_nodezd2collectz12zd2setq4857z12zzcfa_collectz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc7798z00zzcfa_collectz00, BgL_bgl_nodeza7d2collectza712za7d2conditional4859za712za7za7cfa_collectza7007865za7, BGl_nodezd2collectz12zd2conditional4859z12zzcfa_collectz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc7799z00zzcfa_collectz00, BgL_bgl_nodeza7d2collectza712za7d2fail4861za712za7za7cfa_collectza7007866za7, BGl_nodezd2collectz12zd2fail4861z12zzcfa_collectz00, 0L, 2 );
DEFINE_STATIC_GENERIC( BGl_nodezd2collectz12zd2envz12zzcfa_collectz00, BgL_bgl__nodeza7d2collectza7127195za7c0za7za7cfa_collectza7007867z00, BGl__nodezd2collectz127195zc0zzcfa_collectz00, 0L, 2 );



/* module-initialization */
obj_t BGl_modulezd2initializa7ationz75zzcfa_collectz00(long BgL_checksumz00_6821, char * BgL_fromz00_6822)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zzcfa_collectz00))
{ 
BGl_requirezd2initializa7ationz75zzcfa_collectz00 = 
BBOOL(((bool_t)0)); 
BGl_libraryzd2moduleszd2initz00zzcfa_collectz00(); 
BGl_cnstzd2initzd2zzcfa_collectz00(); 
BGl_importedzd2moduleszd2initz00zzcfa_collectz00(); 
BGl_methodzd2initzd2zzcfa_collectz00(); 
BGl_toplevelzd2initzd2zzcfa_collectz00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zzcfa_collectz00()
{ AN_OBJECT;
{ /* Cfa/collect.scm 15 */
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "cfa_collect"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "cfa_collect"); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)0), "cfa_collect"); 
BGl_modulezd2initializa7ationz75zz__errorz00(((long)0), "cfa_collect"); 
return BUNSPEC;} 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zzcfa_collectz00()
{ AN_OBJECT;
{ /* Cfa/collect.scm 15 */
{ /* Cfa/collect.scm 15 */
obj_t BgL_cportz00_6814;
BgL_cportz00_6814 = 
open_input_string(BGl_string7811z00zzcfa_collectz00); 
{ 
long BgL_iz00_6815;
BgL_iz00_6815 = ((long)16); 
BgL_loopz00_6816:
if(
(BgL_iz00_6815==((long)-1)))
{ /* Cfa/collect.scm 15 */
return BUNSPEC;}  else 
{ /* Cfa/collect.scm 15 */
{ /* Cfa/collect.scm 15 */
obj_t BgL_arg7815z00_6818;
{ /* Cfa/collect.scm 15 */
obj_t BgL_list7818z00_6819;
BgL_list7818z00_6819 = 
MAKE_PAIR(BgL_cportz00_6814, BNIL); 
BgL_arg7815z00_6818 = 
BGl_readz00zz__readerz00(BgL_list7818z00_6819); } 
{ /* Cfa/collect.scm 15 */
int BgL_auxz00_6840;
BgL_auxz00_6840 = 
(int)(BgL_iz00_6815); 
CNST_TABLE_SET(BgL_auxz00_6840, BgL_arg7815z00_6818); } } 
{ 
long BgL_iz00_6843;
{ /* Cfa/collect.scm 15 */
int BgL_auxz00_6844;
{ /* Cfa/collect.scm 15 */
long BgL_auxz00_6845;
BgL_auxz00_6845 = 
(BgL_iz00_6815-((long)1)); 
BgL_auxz00_6844 = 
(int)(BgL_auxz00_6845); } 
BgL_iz00_6843 = 
(long)(BgL_auxz00_6844); } 
BgL_iz00_6815 = BgL_iz00_6843; 
goto BgL_loopz00_6816;} } } } } 
}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zzcfa_collectz00()
{ AN_OBJECT;
{ /* Cfa/collect.scm 15 */
return ( 
BGl_za2usedzd2allocza2zd2zzcfa_collectz00 = BNIL, BUNSPEC) ;} 
}



/* collect-all-approx! */
obj_t BGl_collectzd2allzd2approxz12z12zzcfa_collectz00(obj_t BgL_globalsz00_1)
{ AN_OBJECT;
{ /* Cfa/collect.scm 45 */
{ 
obj_t BgL_l4779z00_2939;
{ /* Cfa/collect.scm 46 */
bool_t BgL_auxz00_6849;
BgL_l4779z00_2939 = BgL_globalsz00_1; 
BgL_lname4780z00_2940:
if(
PAIRP(BgL_l4779z00_2939))
{ /* Cfa/collect.scm 46 */
{ /* Cfa/collect.scm 46 */
obj_t BgL_globalz00_2942;
BgL_globalz00_2942 = 
CAR(BgL_l4779z00_2939); 
{ /* Cfa/collect.scm 46 */
BgL_sfunz00_bglt BgL_valuez00_4132;
{ /* Cfa/collect.scm 46 */
BgL_valuez00_bglt BgL_auxz00_6853;
{ /* Cfa/collect.scm 46 */
BgL_globalz00_bglt BgL_obj1179z00_4131;
BgL_obj1179z00_4131 = 
(BgL_globalz00_bglt)(BgL_globalz00_2942); 
BgL_auxz00_6853 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1179z00_4131))->BgL_valuez00); } 
BgL_valuez00_4132 = 
(BgL_sfunz00_bglt)(BgL_auxz00_6853); } 
{ /* Cfa/collect.scm 46 */
BgL_variablez00_bglt BgL_auxz00_6861;BgL_nodez00_bglt BgL_auxz00_6857;
{ /* Cfa/collect.scm 46 */
BgL_globalz00_bglt BgL_auxz00_6862;
BgL_auxz00_6862 = 
(BgL_globalz00_bglt)(BgL_globalz00_2942); 
BgL_auxz00_6861 = 
(BgL_variablez00_bglt)(BgL_auxz00_6862); } 
{ /* Cfa/collect.scm 46 */
obj_t BgL_auxz00_6858;
BgL_auxz00_6858 = 
(((BgL_sfunz00_bglt)CREF(BgL_valuez00_4132))->BgL_bodyz00); 
BgL_auxz00_6857 = 
(BgL_nodez00_bglt)(BgL_auxz00_6858); } 
BGl_nodezd2collectz12zc0zzcfa_collectz00(BgL_auxz00_6857, BgL_auxz00_6861); } } } 
{ 
obj_t BgL_l4779z00_6866;
BgL_l4779z00_6866 = 
CDR(BgL_l4779z00_2939); 
BgL_l4779z00_2939 = BgL_l4779z00_6866; 
goto BgL_lname4780z00_2940;} }  else 
{ /* Cfa/collect.scm 46 */
BgL_auxz00_6849 = ((bool_t)1); } 
return 
BBOOL(BgL_auxz00_6849);} } } 
}



/* _collect-all-approx! */
obj_t BGl__collectzd2allzd2approxz12z12zzcfa_collectz00(obj_t BgL_envz00_6721, obj_t BgL_globalsz00_6722)
{ AN_OBJECT;
{ /* Cfa/collect.scm 45 */
return 
BGl_collectzd2allzd2approxz12z12zzcfa_collectz00(BgL_globalsz00_6722);} 
}



/* monomorphic-vector? */
bool_t BGl_monomorphiczd2vectorzf3z21zzcfa_collectz00(obj_t BgL_vectorz00_12)
{ AN_OBJECT;
{ /* Cfa/collect.scm 92 */
{ /* Cfa/collect.scm 107 */
int BgL_lenz00_2947;
BgL_lenz00_2947 = 
VECTOR_LENGTH(BgL_vectorz00_12); 
{ /* Cfa/collect.scm 108 */
bool_t BgL_testz00_6871;
{ /* Cfa/collect.scm 108 */
long BgL_auxz00_6872;
BgL_auxz00_6872 = 
(long)(BgL_lenz00_2947); 
BgL_testz00_6871 = 
(BgL_auxz00_6872==((long)0)); } 
if(BgL_testz00_6871)
{ /* Cfa/collect.scm 108 */
return ((bool_t)0);}  else 
{ /* Cfa/collect.scm 110 */
obj_t BgL_atypez00_2949;
{ /* Cfa/collect.scm 110 */
obj_t BgL_arg4911z00_2957;
{ /* Cfa/collect.scm 110 */
int BgL_kz00_4170;
BgL_kz00_4170 = 
(int)(((long)0)); 
BgL_arg4911z00_2957 = 
VECTOR_REF(BgL_vectorz00_12,BgL_kz00_4170); } 
BgL_atypez00_2949 = 
BGl_getzd2atypezd2zzcfa_collectz00(BgL_arg4911z00_2957); } 
{ 
long BgL_iz00_2950;
BgL_iz00_2950 = ((long)1); 
BgL_loopz00_2951:
if(
CBOOL(BgL_atypez00_2949))
{ /* Cfa/collect.scm 115 */
bool_t BgL_testz00_6880;
{ /* Cfa/collect.scm 115 */
long BgL_auxz00_6881;
BgL_auxz00_6881 = 
(long)(BgL_lenz00_2947); 
BgL_testz00_6880 = 
(BgL_iz00_2950==BgL_auxz00_6881); } 
if(BgL_testz00_6880)
{ /* Cfa/collect.scm 115 */
return ((bool_t)1);}  else 
{ /* Cfa/collect.scm 117 */
bool_t BgL_test4897z00_2953;
{ /* Cfa/collect.scm 117 */
obj_t BgL_arg4903z00_2955;
{ /* Cfa/collect.scm 117 */
obj_t BgL_arg4906z00_2956;
{ /* Cfa/collect.scm 117 */
int BgL_kz00_4174;
BgL_kz00_4174 = 
(int)(BgL_iz00_2950); 
BgL_arg4906z00_2956 = 
VECTOR_REF(BgL_vectorz00_12,BgL_kz00_4174); } 
BgL_arg4903z00_2955 = 
BGl_getzd2atypezd2zzcfa_collectz00(BgL_arg4906z00_2956); } 
BgL_test4897z00_2953 = 
(BgL_arg4903z00_2955==BgL_atypez00_2949); } 
if(BgL_test4897z00_2953)
{ /* Cfa/collect.scm 117 */
{ 
long BgL_iz00_6889;
BgL_iz00_6889 = 
(BgL_iz00_2950+((long)1)); 
BgL_iz00_2950 = BgL_iz00_6889; 
goto BgL_loopz00_2951;} }  else 
{ /* Cfa/collect.scm 117 */
return ((bool_t)0);} } }  else 
{ /* Cfa/collect.scm 113 */
return ((bool_t)0);} } } } } } 
}



/* get-atype */
obj_t BGl_getzd2atypezd2zzcfa_collectz00(obj_t BgL_valuez00_2958)
{ AN_OBJECT;
{ /* Cfa/collect.scm 106 */
{ /* Cfa/collect.scm 95 */
bool_t BgL_test4917z00_2960;
BgL_test4917z00_2960 = 
INTEGERP(BgL_valuez00_2958); 
if(BgL_test4917z00_2960)
{ /* Cfa/collect.scm 95 */
return 
CNST_TABLE_REF(((long)0));}  else 
{ /* Cfa/collect.scm 95 */
if(
CHARP(BgL_valuez00_2958))
{ /* Cfa/collect.scm 97 */
return 
CNST_TABLE_REF(((long)1));}  else 
{ /* Cfa/collect.scm 97 */
if(
BOOLEANP(BgL_valuez00_2958))
{ /* Cfa/collect.scm 99 */
return 
CNST_TABLE_REF(((long)2));}  else 
{ /* Cfa/collect.scm 99 */
if(
STRINGP(BgL_valuez00_2958))
{ /* Cfa/collect.scm 101 */
return 
CNST_TABLE_REF(((long)3));}  else 
{ /* Cfa/collect.scm 103 */
bool_t BgL_testz00_6903;
if(BgL_test4917z00_2960)
{ /* Cfa/collect.scm 103 */
BgL_testz00_6903 = ((bool_t)1)
; }  else 
{ /* Cfa/collect.scm 103 */
BgL_testz00_6903 = 
REALP(BgL_valuez00_2958)
; } 
if(BgL_testz00_6903)
{ /* Cfa/collect.scm 103 */
return 
CNST_TABLE_REF(((long)4));}  else 
{ /* Cfa/collect.scm 103 */
return BFALSE;} } } } } } } 
}



/* node-collect*! */
bool_t BGl_nodezd2collectza2z12z62zzcfa_collectz00(obj_t BgL_nodeza2za2_51, obj_t BgL_ownerz00_52)
{ AN_OBJECT;
{ /* Cfa/collect.scm 342 */
{ 
obj_t BgL_l4832z00_2966;
BgL_l4832z00_2966 = BgL_nodeza2za2_51; 
BgL_lname4833z00_2967:
if(
PAIRP(BgL_l4832z00_2966))
{ /* Cfa/collect.scm 343 */
{ /* Cfa/collect.scm 343 */
BgL_nodez00_bglt BgL_nodez00_4186;BgL_variablez00_bglt BgL_ownerz00_4187;
{ /* Cfa/collect.scm 343 */
obj_t BgL_auxz00_6909;
BgL_auxz00_6909 = 
CAR(BgL_l4832z00_2966); 
BgL_nodez00_4186 = 
(BgL_nodez00_bglt)(BgL_auxz00_6909); } 
BgL_ownerz00_4187 = 
(BgL_variablez00_bglt)(BgL_ownerz00_52); 
{ /* Cfa/collect.scm 343 */
obj_t BgL_method4835z00_4188;
{ /* Cfa/collect.scm 343 */
long BgL_objzd2classzd2numz00_4190;
{ /* Cfa/collect.scm 343 */
BgL_objectz00_bglt BgL_auxz00_6913;
BgL_auxz00_6913 = 
(BgL_objectz00_bglt)(BgL_nodez00_4186); 
BgL_objzd2classzd2numz00_4190 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_6913); } 
{ /* Cfa/collect.scm 343 */
obj_t BgL_arg1904z00_4191;
{ /* Cfa/collect.scm 343 */
int BgL_auxz00_6916;
BgL_auxz00_6916 = 
(int)(((long)1)); 
BgL_arg1904z00_4191 = 
PROCEDURE_REF(BGl_nodezd2collectz12zd2envz12zzcfa_collectz00, BgL_auxz00_6916); } 
{ /* Cfa/collect.scm 343 */
long BgL_offsetz00_4195;
{ /* Cfa/collect.scm 343 */
long BgL_auxz00_6919;
{ /* Cfa/collect.scm 343 */
int BgL_auxz00_6920;
BgL_auxz00_6920 = 
(int)(BgL_objzd2classzd2numz00_4190); 
BgL_auxz00_6919 = 
(long)(BgL_auxz00_6920); } 
BgL_offsetz00_4195 = 
(BgL_auxz00_6919-OBJECT_TYPE); } 
{ /* Cfa/collect.scm 343 */
long BgL_modz00_4196;
{ /* Cfa/collect.scm 343 */
long BgL_auxz00_6924;
{ /* Cfa/collect.scm 343 */
int BgL_auxz00_6925;
BgL_auxz00_6925 = 
(int)(((long)8)); 
BgL_auxz00_6924 = 
(long)(BgL_auxz00_6925); } 
BgL_modz00_4196 = 
(BgL_offsetz00_4195/BgL_auxz00_6924); } 
{ /* Cfa/collect.scm 343 */
long BgL_restz00_4198;
{ /* Cfa/collect.scm 343 */
long BgL_auxz00_6929;
{ /* Cfa/collect.scm 343 */
int BgL_auxz00_6930;
BgL_auxz00_6930 = 
(int)(((long)8)); 
BgL_auxz00_6929 = 
(long)(BgL_auxz00_6930); } 
BgL_restz00_4198 = 
(BgL_offsetz00_4195%BgL_auxz00_6929); } 
{ /* Cfa/collect.scm 343 */

{ /* Cfa/collect.scm 343 */
obj_t BgL_bucketz00_4200;
{ /* Cfa/collect.scm 343 */
int BgL_kz00_4210;
BgL_kz00_4210 = 
(int)(BgL_modz00_4196); 
BgL_bucketz00_4200 = 
VECTOR_REF(BgL_arg1904z00_4191,BgL_kz00_4210); } 
{ /* Cfa/collect.scm 343 */
int BgL_kz00_4212;
BgL_kz00_4212 = 
(int)(BgL_restz00_4198); 
BgL_method4835z00_4188 = 
VECTOR_REF(BgL_bucketz00_4200,BgL_kz00_4212); } } } } } } } } 
PROCEDURE_ENTRY(BgL_method4835z00_4188)(BgL_method4835z00_4188, 
(obj_t)(BgL_nodez00_4186), 
(obj_t)(BgL_ownerz00_4187), BEOA); } } 
{ 
obj_t BgL_l4832z00_6942;
BgL_l4832z00_6942 = 
CDR(BgL_l4832z00_2966); 
BgL_l4832z00_2966 = BgL_l4832z00_6942; 
goto BgL_lname4833z00_2967;} }  else 
{ /* Cfa/collect.scm 343 */
return ((bool_t)1);} } } 
}



/* get-allocs */
obj_t BGl_getzd2allocszd2zzcfa_collectz00()
{ AN_OBJECT;
{ /* Cfa/collect.scm 365 */
return BGl_za2usedzd2allocza2zd2zzcfa_collectz00;} 
}



/* _get-allocs */
obj_t BGl__getzd2allocszd2zzcfa_collectz00(obj_t BgL_envz00_6726)
{ AN_OBJECT;
{ /* Cfa/collect.scm 365 */
return 
BGl_getzd2allocszd2zzcfa_collectz00();} 
}



/* method-init */
obj_t BGl_methodzd2initzd2zzcfa_collectz00()
{ AN_OBJECT;
{ /* Cfa/collect.scm 15 */
BGl_addzd2genericz12zc0zz__objectz00(BGl_nodezd2collectz12zd2envz12zzcfa_collectz00, BGl_nodezd2collectz12zd2default4834zd2envzc0zzcfa_collectz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd2collectz12zd2envz12zzcfa_collectz00, BGl_atomz00zzast_nodez00, BGl_proc7787z00zzcfa_collectz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd2collectz12zd2envz12zzcfa_collectz00, BGl_kwotez00zzast_nodez00, BGl_proc7788z00zzcfa_collectz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd2collectz12zd2envz12zzcfa_collectz00, BGl_varz00zzast_nodez00, BGl_proc7789z00zzcfa_collectz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd2collectz12zd2envz12zzcfa_collectz00, BGl_sequencez00zzast_nodez00, BGl_proc7790z00zzcfa_collectz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd2collectz12zd2envz12zzcfa_collectz00, BGl_appz00zzast_nodez00, BGl_proc7791z00zzcfa_collectz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd2collectz12zd2envz12zzcfa_collectz00, BGl_vallocz00zzast_nodez00, BGl_proc7792z00zzcfa_collectz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd2collectz12zd2envz12zzcfa_collectz00, BGl_appzd2lyzd2zzast_nodez00, BGl_proc7793z00zzcfa_collectz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd2collectz12zd2envz12zzcfa_collectz00, BGl_funcallz00zzast_nodez00, BGl_proc7794z00zzcfa_collectz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd2collectz12zd2envz12zzcfa_collectz00, BGl_externz00zzast_nodez00, BGl_proc7795z00zzcfa_collectz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd2collectz12zd2envz12zzcfa_collectz00, BGl_castz00zzast_nodez00, BGl_proc7796z00zzcfa_collectz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd2collectz12zd2envz12zzcfa_collectz00, BGl_setqz00zzast_nodez00, BGl_proc7797z00zzcfa_collectz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd2collectz12zd2envz12zzcfa_collectz00, BGl_conditionalz00zzast_nodez00, BGl_proc7798z00zzcfa_collectz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd2collectz12zd2envz12zzcfa_collectz00, BGl_failz00zzast_nodez00, BGl_proc7799z00zzcfa_collectz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd2collectz12zd2envz12zzcfa_collectz00, BGl_selectz00zzast_nodez00, BGl_proc7800z00zzcfa_collectz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd2collectz12zd2envz12zzcfa_collectz00, BGl_letzd2funzd2zzast_nodez00, BGl_proc7801z00zzcfa_collectz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd2collectz12zd2envz12zzcfa_collectz00, BGl_letzd2varzd2zzast_nodez00, BGl_proc7802z00zzcfa_collectz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd2collectz12zd2envz12zzcfa_collectz00, BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc7803z00zzcfa_collectz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd2collectz12zd2envz12zzcfa_collectz00, BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc7804z00zzcfa_collectz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd2collectz12zd2envz12zzcfa_collectz00, BGl_makezd2boxzd2zzast_nodez00, BGl_proc7805z00zzcfa_collectz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd2collectz12zd2envz12zzcfa_collectz00, BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc7806z00zzcfa_collectz00); 
return 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd2collectz12zd2envz12zzcfa_collectz00, BGl_boxzd2refzd2zzast_nodez00, BGl_proc7807z00zzcfa_collectz00);} 
}



/* node-collect!-box-ref4877 */
obj_t BGl_nodezd2collectz12zd2boxzd2ref4877zc0zzcfa_collectz00(obj_t BgL_envz00_6748, obj_t BgL_nodez00_6749, obj_t BgL_ownerz00_6750)
{ AN_OBJECT;
{ /* Cfa/collect.scm 335 */
{ 
BgL_boxzd2refzd2_bglt BgL_nodez00_4120;obj_t BgL_ownerz00_4121;
BgL_nodez00_4120 = 
(BgL_boxzd2refzd2_bglt)(BgL_nodez00_6749); 
BgL_ownerz00_4121 = BgL_ownerz00_6750; 
{ /* Cfa/collect.scm 336 */
BgL_nodez00_bglt BgL_nodez00_6666;BgL_variablez00_bglt BgL_ownerz00_6667;
{ /* Cfa/collect.scm 336 */
BgL_varz00_bglt BgL_auxz00_6967;
BgL_auxz00_6967 = 
(((BgL_boxzd2refzd2_bglt)CREF(BgL_nodez00_4120))->BgL_varz00); 
BgL_nodez00_6666 = 
(BgL_nodez00_bglt)(BgL_auxz00_6967); } 
BgL_ownerz00_6667 = 
(BgL_variablez00_bglt)(BgL_ownerz00_4121); 
{ /* Cfa/collect.scm 336 */
obj_t BgL_method4835z00_6668;
{ /* Cfa/collect.scm 336 */
long BgL_objzd2classzd2numz00_6670;
{ /* Cfa/collect.scm 336 */
BgL_objectz00_bglt BgL_auxz00_6971;
BgL_auxz00_6971 = 
(BgL_objectz00_bglt)(BgL_nodez00_6666); 
BgL_objzd2classzd2numz00_6670 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_6971); } 
{ /* Cfa/collect.scm 336 */
obj_t BgL_arg1904z00_6671;
{ /* Cfa/collect.scm 336 */
int BgL_auxz00_6974;
BgL_auxz00_6974 = 
(int)(((long)1)); 
BgL_arg1904z00_6671 = 
PROCEDURE_REF(BGl_nodezd2collectz12zd2envz12zzcfa_collectz00, BgL_auxz00_6974); } 
{ /* Cfa/collect.scm 336 */
long BgL_offsetz00_6675;
{ /* Cfa/collect.scm 336 */
long BgL_auxz00_6977;
{ /* Cfa/collect.scm 336 */
int BgL_auxz00_6978;
BgL_auxz00_6978 = 
(int)(BgL_objzd2classzd2numz00_6670); 
BgL_auxz00_6977 = 
(long)(BgL_auxz00_6978); } 
BgL_offsetz00_6675 = 
(BgL_auxz00_6977-OBJECT_TYPE); } 
{ /* Cfa/collect.scm 336 */
long BgL_modz00_6676;
{ /* Cfa/collect.scm 336 */
long BgL_auxz00_6982;
{ /* Cfa/collect.scm 336 */
int BgL_auxz00_6983;
BgL_auxz00_6983 = 
(int)(((long)8)); 
BgL_auxz00_6982 = 
(long)(BgL_auxz00_6983); } 
BgL_modz00_6676 = 
(BgL_offsetz00_6675/BgL_auxz00_6982); } 
{ /* Cfa/collect.scm 336 */
long BgL_restz00_6678;
{ /* Cfa/collect.scm 336 */
long BgL_auxz00_6987;
{ /* Cfa/collect.scm 336 */
int BgL_auxz00_6988;
BgL_auxz00_6988 = 
(int)(((long)8)); 
BgL_auxz00_6987 = 
(long)(BgL_auxz00_6988); } 
BgL_restz00_6678 = 
(BgL_offsetz00_6675%BgL_auxz00_6987); } 
{ /* Cfa/collect.scm 336 */

{ /* Cfa/collect.scm 336 */
obj_t BgL_bucketz00_6680;
{ /* Cfa/collect.scm 336 */
int BgL_kz00_6690;
BgL_kz00_6690 = 
(int)(BgL_modz00_6676); 
BgL_bucketz00_6680 = 
VECTOR_REF(BgL_arg1904z00_6671,BgL_kz00_6690); } 
{ /* Cfa/collect.scm 336 */
int BgL_kz00_6692;
BgL_kz00_6692 = 
(int)(BgL_restz00_6678); 
BgL_method4835z00_6668 = 
VECTOR_REF(BgL_bucketz00_6680,BgL_kz00_6692); } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method4835z00_6668)(BgL_method4835z00_6668, 
(obj_t)(BgL_nodez00_6666), 
(obj_t)(BgL_ownerz00_6667), BEOA);} } } } 
}



/* node-collect!-box-set!4875 */
obj_t BGl_nodezd2collectz12zd2boxzd2setz124875zd2zzcfa_collectz00(obj_t BgL_envz00_6751, obj_t BgL_nodez00_6752, obj_t BgL_ownerz00_6753)
{ AN_OBJECT;
{ /* Cfa/collect.scm 327 */
{ 
BgL_boxzd2setz12zc0_bglt BgL_nodez00_4111;obj_t BgL_ownerz00_4112;
BgL_nodez00_4111 = 
(BgL_boxzd2setz12zc0_bglt)(BgL_nodez00_6752); 
BgL_ownerz00_4112 = BgL_ownerz00_6753; 
{ /* Cfa/collect.scm 328 */
BgL_nodez00_bglt BgL_nodez00_6608;BgL_variablez00_bglt BgL_ownerz00_6609;
{ /* Cfa/collect.scm 328 */
BgL_varz00_bglt BgL_auxz00_7001;
BgL_auxz00_7001 = 
(((BgL_boxzd2setz12zc0_bglt)CREF(BgL_nodez00_4111))->BgL_varz00); 
BgL_nodez00_6608 = 
(BgL_nodez00_bglt)(BgL_auxz00_7001); } 
BgL_ownerz00_6609 = 
(BgL_variablez00_bglt)(BgL_ownerz00_4112); 
{ /* Cfa/collect.scm 328 */
obj_t BgL_method4835z00_6610;
{ /* Cfa/collect.scm 328 */
long BgL_objzd2classzd2numz00_6612;
{ /* Cfa/collect.scm 328 */
BgL_objectz00_bglt BgL_auxz00_7005;
BgL_auxz00_7005 = 
(BgL_objectz00_bglt)(BgL_nodez00_6608); 
BgL_objzd2classzd2numz00_6612 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_7005); } 
{ /* Cfa/collect.scm 328 */
obj_t BgL_arg1904z00_6613;
{ /* Cfa/collect.scm 328 */
int BgL_auxz00_7008;
BgL_auxz00_7008 = 
(int)(((long)1)); 
BgL_arg1904z00_6613 = 
PROCEDURE_REF(BGl_nodezd2collectz12zd2envz12zzcfa_collectz00, BgL_auxz00_7008); } 
{ /* Cfa/collect.scm 328 */
long BgL_offsetz00_6617;
{ /* Cfa/collect.scm 328 */
long BgL_auxz00_7011;
{ /* Cfa/collect.scm 328 */
int BgL_auxz00_7012;
BgL_auxz00_7012 = 
(int)(BgL_objzd2classzd2numz00_6612); 
BgL_auxz00_7011 = 
(long)(BgL_auxz00_7012); } 
BgL_offsetz00_6617 = 
(BgL_auxz00_7011-OBJECT_TYPE); } 
{ /* Cfa/collect.scm 328 */
long BgL_modz00_6618;
{ /* Cfa/collect.scm 328 */
long BgL_auxz00_7016;
{ /* Cfa/collect.scm 328 */
int BgL_auxz00_7017;
BgL_auxz00_7017 = 
(int)(((long)8)); 
BgL_auxz00_7016 = 
(long)(BgL_auxz00_7017); } 
BgL_modz00_6618 = 
(BgL_offsetz00_6617/BgL_auxz00_7016); } 
{ /* Cfa/collect.scm 328 */
long BgL_restz00_6620;
{ /* Cfa/collect.scm 328 */
long BgL_auxz00_7021;
{ /* Cfa/collect.scm 328 */
int BgL_auxz00_7022;
BgL_auxz00_7022 = 
(int)(((long)8)); 
BgL_auxz00_7021 = 
(long)(BgL_auxz00_7022); } 
BgL_restz00_6620 = 
(BgL_offsetz00_6617%BgL_auxz00_7021); } 
{ /* Cfa/collect.scm 328 */

{ /* Cfa/collect.scm 328 */
obj_t BgL_bucketz00_6622;
{ /* Cfa/collect.scm 328 */
int BgL_kz00_6632;
BgL_kz00_6632 = 
(int)(BgL_modz00_6618); 
BgL_bucketz00_6622 = 
VECTOR_REF(BgL_arg1904z00_6613,BgL_kz00_6632); } 
{ /* Cfa/collect.scm 328 */
int BgL_kz00_6634;
BgL_kz00_6634 = 
(int)(BgL_restz00_6620); 
BgL_method4835z00_6610 = 
VECTOR_REF(BgL_bucketz00_6622,BgL_kz00_6634); } } } } } } } } 
PROCEDURE_ENTRY(BgL_method4835z00_6610)(BgL_method4835z00_6610, 
(obj_t)(BgL_nodez00_6608), 
(obj_t)(BgL_ownerz00_6609), BEOA); } } 
{ /* Cfa/collect.scm 328 */
BgL_nodez00_bglt BgL_arg6958z00_6606;
BgL_arg6958z00_6606 = 
(((BgL_boxzd2setz12zc0_bglt)CREF(BgL_nodez00_4111))->BgL_valuez00); 
{ /* Cfa/collect.scm 328 */
BgL_variablez00_bglt BgL_ownerz00_6637;
BgL_ownerz00_6637 = 
(BgL_variablez00_bglt)(BgL_ownerz00_4112); 
{ /* Cfa/collect.scm 328 */
obj_t BgL_method4835z00_6638;
{ /* Cfa/collect.scm 328 */
long BgL_objzd2classzd2numz00_6640;
{ /* Cfa/collect.scm 328 */
BgL_objectz00_bglt BgL_auxz00_7036;
BgL_auxz00_7036 = 
(BgL_objectz00_bglt)(BgL_arg6958z00_6606); 
BgL_objzd2classzd2numz00_6640 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_7036); } 
{ /* Cfa/collect.scm 328 */
obj_t BgL_arg1904z00_6641;
{ /* Cfa/collect.scm 328 */
int BgL_auxz00_7039;
BgL_auxz00_7039 = 
(int)(((long)1)); 
BgL_arg1904z00_6641 = 
PROCEDURE_REF(BGl_nodezd2collectz12zd2envz12zzcfa_collectz00, BgL_auxz00_7039); } 
{ /* Cfa/collect.scm 328 */
long BgL_offsetz00_6645;
{ /* Cfa/collect.scm 328 */
long BgL_auxz00_7042;
{ /* Cfa/collect.scm 328 */
int BgL_auxz00_7043;
BgL_auxz00_7043 = 
(int)(BgL_objzd2classzd2numz00_6640); 
BgL_auxz00_7042 = 
(long)(BgL_auxz00_7043); } 
BgL_offsetz00_6645 = 
(BgL_auxz00_7042-OBJECT_TYPE); } 
{ /* Cfa/collect.scm 328 */
long BgL_modz00_6646;
{ /* Cfa/collect.scm 328 */
long BgL_auxz00_7047;
{ /* Cfa/collect.scm 328 */
int BgL_auxz00_7048;
BgL_auxz00_7048 = 
(int)(((long)8)); 
BgL_auxz00_7047 = 
(long)(BgL_auxz00_7048); } 
BgL_modz00_6646 = 
(BgL_offsetz00_6645/BgL_auxz00_7047); } 
{ /* Cfa/collect.scm 328 */
long BgL_restz00_6648;
{ /* Cfa/collect.scm 328 */
long BgL_auxz00_7052;
{ /* Cfa/collect.scm 328 */
int BgL_auxz00_7053;
BgL_auxz00_7053 = 
(int)(((long)8)); 
BgL_auxz00_7052 = 
(long)(BgL_auxz00_7053); } 
BgL_restz00_6648 = 
(BgL_offsetz00_6645%BgL_auxz00_7052); } 
{ /* Cfa/collect.scm 328 */

{ /* Cfa/collect.scm 328 */
obj_t BgL_bucketz00_6650;
{ /* Cfa/collect.scm 328 */
int BgL_kz00_6660;
BgL_kz00_6660 = 
(int)(BgL_modz00_6646); 
BgL_bucketz00_6650 = 
VECTOR_REF(BgL_arg1904z00_6641,BgL_kz00_6660); } 
{ /* Cfa/collect.scm 328 */
int BgL_kz00_6662;
BgL_kz00_6662 = 
(int)(BgL_restz00_6648); 
BgL_method4835z00_6638 = 
VECTOR_REF(BgL_bucketz00_6650,BgL_kz00_6662); } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method4835z00_6638)(BgL_method4835z00_6638, 
(obj_t)(BgL_arg6958z00_6606), 
(obj_t)(BgL_ownerz00_6637), BEOA);} } } } } 
}



/* node-collect!-make-box4873 */
obj_t BGl_nodezd2collectz12zd2makezd2box4873zc0zzcfa_collectz00(obj_t BgL_envz00_6754, obj_t BgL_nodez00_6755, obj_t BgL_ownerz00_6756)
{ AN_OBJECT;
{ /* Cfa/collect.scm 317 */
{ 
BgL_makezd2boxzd2_bglt BgL_nodez00_4100;obj_t BgL_ownerz00_4101;
BgL_nodez00_4100 = 
(BgL_makezd2boxzd2_bglt)(BgL_nodez00_6755); 
BgL_ownerz00_4101 = BgL_ownerz00_6756; 
{ /* Cfa/collect.scm 318 */
BgL_nodez00_bglt BgL_arg6932z00_4104;
BgL_arg6932z00_4104 = 
(((BgL_makezd2boxzd2_bglt)CREF(BgL_nodez00_4100))->BgL_valuez00); 
{ /* Cfa/collect.scm 318 */
BgL_variablez00_bglt BgL_ownerz00_6569;
BgL_ownerz00_6569 = 
(BgL_variablez00_bglt)(BgL_ownerz00_4101); 
{ /* Cfa/collect.scm 318 */
obj_t BgL_method4835z00_6570;
{ /* Cfa/collect.scm 318 */
long BgL_objzd2classzd2numz00_6572;
{ /* Cfa/collect.scm 318 */
BgL_objectz00_bglt BgL_auxz00_7068;
BgL_auxz00_7068 = 
(BgL_objectz00_bglt)(BgL_arg6932z00_4104); 
BgL_objzd2classzd2numz00_6572 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_7068); } 
{ /* Cfa/collect.scm 318 */
obj_t BgL_arg1904z00_6573;
{ /* Cfa/collect.scm 318 */
int BgL_auxz00_7071;
BgL_auxz00_7071 = 
(int)(((long)1)); 
BgL_arg1904z00_6573 = 
PROCEDURE_REF(BGl_nodezd2collectz12zd2envz12zzcfa_collectz00, BgL_auxz00_7071); } 
{ /* Cfa/collect.scm 318 */
long BgL_offsetz00_6577;
{ /* Cfa/collect.scm 318 */
long BgL_auxz00_7074;
{ /* Cfa/collect.scm 318 */
int BgL_auxz00_7075;
BgL_auxz00_7075 = 
(int)(BgL_objzd2classzd2numz00_6572); 
BgL_auxz00_7074 = 
(long)(BgL_auxz00_7075); } 
BgL_offsetz00_6577 = 
(BgL_auxz00_7074-OBJECT_TYPE); } 
{ /* Cfa/collect.scm 318 */
long BgL_modz00_6578;
{ /* Cfa/collect.scm 318 */
long BgL_auxz00_7079;
{ /* Cfa/collect.scm 318 */
int BgL_auxz00_7080;
BgL_auxz00_7080 = 
(int)(((long)8)); 
BgL_auxz00_7079 = 
(long)(BgL_auxz00_7080); } 
BgL_modz00_6578 = 
(BgL_offsetz00_6577/BgL_auxz00_7079); } 
{ /* Cfa/collect.scm 318 */
long BgL_restz00_6580;
{ /* Cfa/collect.scm 318 */
long BgL_auxz00_7084;
{ /* Cfa/collect.scm 318 */
int BgL_auxz00_7085;
BgL_auxz00_7085 = 
(int)(((long)8)); 
BgL_auxz00_7084 = 
(long)(BgL_auxz00_7085); } 
BgL_restz00_6580 = 
(BgL_offsetz00_6577%BgL_auxz00_7084); } 
{ /* Cfa/collect.scm 318 */

{ /* Cfa/collect.scm 318 */
obj_t BgL_bucketz00_6582;
{ /* Cfa/collect.scm 318 */
int BgL_kz00_6592;
BgL_kz00_6592 = 
(int)(BgL_modz00_6578); 
BgL_bucketz00_6582 = 
VECTOR_REF(BgL_arg1904z00_6573,BgL_kz00_6592); } 
{ /* Cfa/collect.scm 318 */
int BgL_kz00_6594;
BgL_kz00_6594 = 
(int)(BgL_restz00_6580); 
BgL_method4835z00_6570 = 
VECTOR_REF(BgL_bucketz00_6582,BgL_kz00_6594); } } } } } } } } 
PROCEDURE_ENTRY(BgL_method4835z00_6570)(BgL_method4835z00_6570, 
(obj_t)(BgL_arg6932z00_4104), 
(obj_t)(BgL_ownerz00_6569), BEOA); } } } 
{ /* Cfa/collect.scm 319 */
bool_t BgL_test6935z00_4105;
{ /* Cfa/collect.scm 319 */
long BgL_n1z00_6595;
BgL_n1z00_6595 = 
(long)CINT(BGl_za2optimza2z00zzengine_paramz00); 
BgL_test6935z00_4105 = 
(BgL_n1z00_6595>=((long)1)); } 
if(BgL_test6935z00_4105)
{ /* Cfa/collect.scm 319 */
{ /* Cfa/collect.scm 321 */
obj_t BgL_auxz00_7100;
BgL_auxz00_7100 = 
(obj_t)(BgL_nodez00_4100); 
BGl_za2usedzd2allocza2zd2zzcfa_collectz00 = 
MAKE_PAIR(BgL_auxz00_7100, BGl_za2usedzd2allocza2zd2zzcfa_collectz00); } 
{ /* Cfa/collect.scm 322 */
BgL_prezd2makezd2boxz00_bglt BgL_obj4827z00_4106;
BgL_obj4827z00_4106 = 
((BgL_prezd2makezd2boxz00_bglt)BgL_nodez00_4100); 
{ /* Cfa/collect.scm 322 */
obj_t BgL_auxz00_7106;BgL_objectz00_bglt BgL_auxz00_7104;
{ /* Cfa/collect.scm 322 */
BgL_prezd2makezd2boxz00_bglt BgL_auxz00_7107;
{ /* Cfa/collect.scm 322 */
BgL_prezd2makezd2boxz00_bglt BgL_new3440z00_6598;
BgL_new3440z00_6598 = 
((BgL_prezd2makezd2boxz00_bglt)BREF( GC_MALLOC (sizeof(struct BgL_prezd2makezd2boxz00_bgl)))); 
BgL_auxz00_7107 = BgL_new3440z00_6598; } 
BgL_auxz00_7106 = 
(obj_t)(BgL_auxz00_7107); } 
BgL_auxz00_7104 = 
(BgL_objectz00_bglt)(BgL_obj4827z00_4106); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_7104, BgL_auxz00_7106); } 
{ /* Cfa/collect.scm 322 */
long BgL_arg6942z00_4108;
BgL_arg6942z00_4108 = 
BGl_classzd2numzd2zz__objectz00(BGl_prezd2makezd2boxz00zzcfa_infoz00); 
{ /* Cfa/collect.scm 322 */
BgL_objectz00_bglt BgL_auxz00_7112;
BgL_auxz00_7112 = 
(BgL_objectz00_bglt)(BgL_obj4827z00_4106); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_7112, BgL_arg6942z00_4108); } } 
{ /* Cfa/collect.scm 322 */
obj_t BgL_auxz00_7115;
BgL_auxz00_7115 = 
(obj_t)(BgL_obj4827z00_4106); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_7115); } BUNSPEC; 
return 
(obj_t)(BgL_obj4827z00_4106);} }  else 
{ /* Cfa/collect.scm 319 */
return BFALSE;} } } } 
}



/* node-collect!-jump-ex-it4871 */
obj_t BGl_nodezd2collectz12zd2jumpzd2exzd2it4871z12zzcfa_collectz00(obj_t BgL_envz00_6757, obj_t BgL_nodez00_6758, obj_t BgL_ownerz00_6759)
{ AN_OBJECT;
{ /* Cfa/collect.scm 309 */
{ 
BgL_jumpzd2exzd2itz00_bglt BgL_nodez00_4091;obj_t BgL_ownerz00_4092;
BgL_nodez00_4091 = 
(BgL_jumpzd2exzd2itz00_bglt)(BgL_nodez00_6758); 
BgL_ownerz00_4092 = BgL_ownerz00_6759; 
{ /* Cfa/collect.scm 310 */
BgL_nodez00_bglt BgL_arg6918z00_6509;
BgL_arg6918z00_6509 = 
(((BgL_jumpzd2exzd2itz00_bglt)CREF(BgL_nodez00_4091))->BgL_exitz00); 
{ /* Cfa/collect.scm 310 */
BgL_variablez00_bglt BgL_ownerz00_6513;
BgL_ownerz00_6513 = 
(BgL_variablez00_bglt)(BgL_ownerz00_4092); 
{ /* Cfa/collect.scm 310 */
obj_t BgL_method4835z00_6514;
{ /* Cfa/collect.scm 310 */
long BgL_objzd2classzd2numz00_6516;
{ /* Cfa/collect.scm 310 */
BgL_objectz00_bglt BgL_auxz00_7122;
BgL_auxz00_7122 = 
(BgL_objectz00_bglt)(BgL_arg6918z00_6509); 
BgL_objzd2classzd2numz00_6516 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_7122); } 
{ /* Cfa/collect.scm 310 */
obj_t BgL_arg1904z00_6517;
{ /* Cfa/collect.scm 310 */
int BgL_auxz00_7125;
BgL_auxz00_7125 = 
(int)(((long)1)); 
BgL_arg1904z00_6517 = 
PROCEDURE_REF(BGl_nodezd2collectz12zd2envz12zzcfa_collectz00, BgL_auxz00_7125); } 
{ /* Cfa/collect.scm 310 */
long BgL_offsetz00_6521;
{ /* Cfa/collect.scm 310 */
long BgL_auxz00_7128;
{ /* Cfa/collect.scm 310 */
int BgL_auxz00_7129;
BgL_auxz00_7129 = 
(int)(BgL_objzd2classzd2numz00_6516); 
BgL_auxz00_7128 = 
(long)(BgL_auxz00_7129); } 
BgL_offsetz00_6521 = 
(BgL_auxz00_7128-OBJECT_TYPE); } 
{ /* Cfa/collect.scm 310 */
long BgL_modz00_6522;
{ /* Cfa/collect.scm 310 */
long BgL_auxz00_7133;
{ /* Cfa/collect.scm 310 */
int BgL_auxz00_7134;
BgL_auxz00_7134 = 
(int)(((long)8)); 
BgL_auxz00_7133 = 
(long)(BgL_auxz00_7134); } 
BgL_modz00_6522 = 
(BgL_offsetz00_6521/BgL_auxz00_7133); } 
{ /* Cfa/collect.scm 310 */
long BgL_restz00_6524;
{ /* Cfa/collect.scm 310 */
long BgL_auxz00_7138;
{ /* Cfa/collect.scm 310 */
int BgL_auxz00_7139;
BgL_auxz00_7139 = 
(int)(((long)8)); 
BgL_auxz00_7138 = 
(long)(BgL_auxz00_7139); } 
BgL_restz00_6524 = 
(BgL_offsetz00_6521%BgL_auxz00_7138); } 
{ /* Cfa/collect.scm 310 */

{ /* Cfa/collect.scm 310 */
obj_t BgL_bucketz00_6526;
{ /* Cfa/collect.scm 310 */
int BgL_kz00_6536;
BgL_kz00_6536 = 
(int)(BgL_modz00_6522); 
BgL_bucketz00_6526 = 
VECTOR_REF(BgL_arg1904z00_6517,BgL_kz00_6536); } 
{ /* Cfa/collect.scm 310 */
int BgL_kz00_6538;
BgL_kz00_6538 = 
(int)(BgL_restz00_6524); 
BgL_method4835z00_6514 = 
VECTOR_REF(BgL_bucketz00_6526,BgL_kz00_6538); } } } } } } } } 
PROCEDURE_ENTRY(BgL_method4835z00_6514)(BgL_method4835z00_6514, 
(obj_t)(BgL_arg6918z00_6509), 
(obj_t)(BgL_ownerz00_6513), BEOA); } } } 
{ /* Cfa/collect.scm 310 */
BgL_nodez00_bglt BgL_arg6922z00_6510;
BgL_arg6922z00_6510 = 
(((BgL_jumpzd2exzd2itz00_bglt)CREF(BgL_nodez00_4091))->BgL_valuez00); 
{ /* Cfa/collect.scm 310 */
BgL_variablez00_bglt BgL_ownerz00_6541;
BgL_ownerz00_6541 = 
(BgL_variablez00_bglt)(BgL_ownerz00_4092); 
{ /* Cfa/collect.scm 310 */
obj_t BgL_method4835z00_6542;
{ /* Cfa/collect.scm 310 */
long BgL_objzd2classzd2numz00_6544;
{ /* Cfa/collect.scm 310 */
BgL_objectz00_bglt BgL_auxz00_7153;
BgL_auxz00_7153 = 
(BgL_objectz00_bglt)(BgL_arg6922z00_6510); 
BgL_objzd2classzd2numz00_6544 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_7153); } 
{ /* Cfa/collect.scm 310 */
obj_t BgL_arg1904z00_6545;
{ /* Cfa/collect.scm 310 */
int BgL_auxz00_7156;
BgL_auxz00_7156 = 
(int)(((long)1)); 
BgL_arg1904z00_6545 = 
PROCEDURE_REF(BGl_nodezd2collectz12zd2envz12zzcfa_collectz00, BgL_auxz00_7156); } 
{ /* Cfa/collect.scm 310 */
long BgL_offsetz00_6549;
{ /* Cfa/collect.scm 310 */
long BgL_auxz00_7159;
{ /* Cfa/collect.scm 310 */
int BgL_auxz00_7160;
BgL_auxz00_7160 = 
(int)(BgL_objzd2classzd2numz00_6544); 
BgL_auxz00_7159 = 
(long)(BgL_auxz00_7160); } 
BgL_offsetz00_6549 = 
(BgL_auxz00_7159-OBJECT_TYPE); } 
{ /* Cfa/collect.scm 310 */
long BgL_modz00_6550;
{ /* Cfa/collect.scm 310 */
long BgL_auxz00_7164;
{ /* Cfa/collect.scm 310 */
int BgL_auxz00_7165;
BgL_auxz00_7165 = 
(int)(((long)8)); 
BgL_auxz00_7164 = 
(long)(BgL_auxz00_7165); } 
BgL_modz00_6550 = 
(BgL_offsetz00_6549/BgL_auxz00_7164); } 
{ /* Cfa/collect.scm 310 */
long BgL_restz00_6552;
{ /* Cfa/collect.scm 310 */
long BgL_auxz00_7169;
{ /* Cfa/collect.scm 310 */
int BgL_auxz00_7170;
BgL_auxz00_7170 = 
(int)(((long)8)); 
BgL_auxz00_7169 = 
(long)(BgL_auxz00_7170); } 
BgL_restz00_6552 = 
(BgL_offsetz00_6549%BgL_auxz00_7169); } 
{ /* Cfa/collect.scm 310 */

{ /* Cfa/collect.scm 310 */
obj_t BgL_bucketz00_6554;
{ /* Cfa/collect.scm 310 */
int BgL_kz00_6564;
BgL_kz00_6564 = 
(int)(BgL_modz00_6550); 
BgL_bucketz00_6554 = 
VECTOR_REF(BgL_arg1904z00_6545,BgL_kz00_6564); } 
{ /* Cfa/collect.scm 310 */
int BgL_kz00_6566;
BgL_kz00_6566 = 
(int)(BgL_restz00_6552); 
BgL_method4835z00_6542 = 
VECTOR_REF(BgL_bucketz00_6554,BgL_kz00_6566); } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method4835z00_6542)(BgL_method4835z00_6542, 
(obj_t)(BgL_arg6922z00_6510), 
(obj_t)(BgL_ownerz00_6541), BEOA);} } } } } 
}



/* node-collect!-set-ex-it4869 */
obj_t BGl_nodezd2collectz12zd2setzd2exzd2it4869z12zzcfa_collectz00(obj_t BgL_envz00_6760, obj_t BgL_nodez00_6761, obj_t BgL_ownerz00_6762)
{ AN_OBJECT;
{ /* Cfa/collect.scm 302 */
{ 
BgL_setzd2exzd2itz00_bglt BgL_nodez00_4083;obj_t BgL_ownerz00_4084;
BgL_nodez00_4083 = 
(BgL_setzd2exzd2itz00_bglt)(BgL_nodez00_6761); 
BgL_ownerz00_4084 = BgL_ownerz00_6762; 
{ /* Cfa/collect.scm 303 */
BgL_nodez00_bglt BgL_arg6908z00_6479;
BgL_arg6908z00_6479 = 
(((BgL_setzd2exzd2itz00_bglt)CREF(BgL_nodez00_4083))->BgL_bodyz00); 
{ /* Cfa/collect.scm 303 */
BgL_variablez00_bglt BgL_ownerz00_6482;
BgL_ownerz00_6482 = 
(BgL_variablez00_bglt)(BgL_ownerz00_4084); 
{ /* Cfa/collect.scm 303 */
obj_t BgL_method4835z00_6483;
{ /* Cfa/collect.scm 303 */
long BgL_objzd2classzd2numz00_6485;
{ /* Cfa/collect.scm 303 */
BgL_objectz00_bglt BgL_auxz00_7185;
BgL_auxz00_7185 = 
(BgL_objectz00_bglt)(BgL_arg6908z00_6479); 
BgL_objzd2classzd2numz00_6485 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_7185); } 
{ /* Cfa/collect.scm 303 */
obj_t BgL_arg1904z00_6486;
{ /* Cfa/collect.scm 303 */
int BgL_auxz00_7188;
BgL_auxz00_7188 = 
(int)(((long)1)); 
BgL_arg1904z00_6486 = 
PROCEDURE_REF(BGl_nodezd2collectz12zd2envz12zzcfa_collectz00, BgL_auxz00_7188); } 
{ /* Cfa/collect.scm 303 */
long BgL_offsetz00_6490;
{ /* Cfa/collect.scm 303 */
long BgL_auxz00_7191;
{ /* Cfa/collect.scm 303 */
int BgL_auxz00_7192;
BgL_auxz00_7192 = 
(int)(BgL_objzd2classzd2numz00_6485); 
BgL_auxz00_7191 = 
(long)(BgL_auxz00_7192); } 
BgL_offsetz00_6490 = 
(BgL_auxz00_7191-OBJECT_TYPE); } 
{ /* Cfa/collect.scm 303 */
long BgL_modz00_6491;
{ /* Cfa/collect.scm 303 */
long BgL_auxz00_7196;
{ /* Cfa/collect.scm 303 */
int BgL_auxz00_7197;
BgL_auxz00_7197 = 
(int)(((long)8)); 
BgL_auxz00_7196 = 
(long)(BgL_auxz00_7197); } 
BgL_modz00_6491 = 
(BgL_offsetz00_6490/BgL_auxz00_7196); } 
{ /* Cfa/collect.scm 303 */
long BgL_restz00_6493;
{ /* Cfa/collect.scm 303 */
long BgL_auxz00_7201;
{ /* Cfa/collect.scm 303 */
int BgL_auxz00_7202;
BgL_auxz00_7202 = 
(int)(((long)8)); 
BgL_auxz00_7201 = 
(long)(BgL_auxz00_7202); } 
BgL_restz00_6493 = 
(BgL_offsetz00_6490%BgL_auxz00_7201); } 
{ /* Cfa/collect.scm 303 */

{ /* Cfa/collect.scm 303 */
obj_t BgL_bucketz00_6495;
{ /* Cfa/collect.scm 303 */
int BgL_kz00_6505;
BgL_kz00_6505 = 
(int)(BgL_modz00_6491); 
BgL_bucketz00_6495 = 
VECTOR_REF(BgL_arg1904z00_6486,BgL_kz00_6505); } 
{ /* Cfa/collect.scm 303 */
int BgL_kz00_6507;
BgL_kz00_6507 = 
(int)(BgL_restz00_6493); 
BgL_method4835z00_6483 = 
VECTOR_REF(BgL_bucketz00_6495,BgL_kz00_6507); } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method4835z00_6483)(BgL_method4835z00_6483, 
(obj_t)(BgL_arg6908z00_6479), 
(obj_t)(BgL_ownerz00_6482), BEOA);} } } } } 
}



/* node-collect!-let-var4867 */
obj_t BGl_nodezd2collectz12zd2letzd2var4867zc0zzcfa_collectz00(obj_t BgL_envz00_6763, obj_t BgL_nodez00_6764, obj_t BgL_ownerz00_6765)
{ AN_OBJECT;
{ /* Cfa/collect.scm 292 */
{ 
BgL_letzd2varzd2_bglt BgL_nodez00_4068;obj_t BgL_ownerz00_4069;
BgL_nodez00_4068 = 
(BgL_letzd2varzd2_bglt)(BgL_nodez00_6764); 
BgL_ownerz00_4069 = BgL_ownerz00_6765; 
{ 
obj_t BgL_l4821z00_4073;
BgL_l4821z00_4073 = 
(((BgL_letzd2varzd2_bglt)CREF(BgL_nodez00_4068))->BgL_bindingsz00); 
BgL_lname4822z00_4074:
if(
PAIRP(BgL_l4821z00_4073))
{ /* Cfa/collect.scm 294 */
{ /* Cfa/collect.scm 295 */
BgL_nodez00_bglt BgL_nodez00_6422;BgL_variablez00_bglt BgL_ownerz00_6423;
{ /* Cfa/collect.scm 295 */
obj_t BgL_auxz00_7217;
{ /* Cfa/collect.scm 295 */
obj_t BgL_auxz00_7218;
BgL_auxz00_7218 = 
CAR(BgL_l4821z00_4073); 
BgL_auxz00_7217 = 
CDR(BgL_auxz00_7218); } 
BgL_nodez00_6422 = 
(BgL_nodez00_bglt)(BgL_auxz00_7217); } 
BgL_ownerz00_6423 = 
(BgL_variablez00_bglt)(BgL_ownerz00_4069); 
{ /* Cfa/collect.scm 295 */
obj_t BgL_method4835z00_6424;
{ /* Cfa/collect.scm 295 */
long BgL_objzd2classzd2numz00_6426;
{ /* Cfa/collect.scm 295 */
BgL_objectz00_bglt BgL_auxz00_7223;
BgL_auxz00_7223 = 
(BgL_objectz00_bglt)(BgL_nodez00_6422); 
BgL_objzd2classzd2numz00_6426 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_7223); } 
{ /* Cfa/collect.scm 295 */
obj_t BgL_arg1904z00_6427;
{ /* Cfa/collect.scm 295 */
int BgL_auxz00_7226;
BgL_auxz00_7226 = 
(int)(((long)1)); 
BgL_arg1904z00_6427 = 
PROCEDURE_REF(BGl_nodezd2collectz12zd2envz12zzcfa_collectz00, BgL_auxz00_7226); } 
{ /* Cfa/collect.scm 295 */
long BgL_offsetz00_6431;
{ /* Cfa/collect.scm 295 */
long BgL_auxz00_7229;
{ /* Cfa/collect.scm 295 */
int BgL_auxz00_7230;
BgL_auxz00_7230 = 
(int)(BgL_objzd2classzd2numz00_6426); 
BgL_auxz00_7229 = 
(long)(BgL_auxz00_7230); } 
BgL_offsetz00_6431 = 
(BgL_auxz00_7229-OBJECT_TYPE); } 
{ /* Cfa/collect.scm 295 */
long BgL_modz00_6432;
{ /* Cfa/collect.scm 295 */
long BgL_auxz00_7234;
{ /* Cfa/collect.scm 295 */
int BgL_auxz00_7235;
BgL_auxz00_7235 = 
(int)(((long)8)); 
BgL_auxz00_7234 = 
(long)(BgL_auxz00_7235); } 
BgL_modz00_6432 = 
(BgL_offsetz00_6431/BgL_auxz00_7234); } 
{ /* Cfa/collect.scm 295 */
long BgL_restz00_6434;
{ /* Cfa/collect.scm 295 */
long BgL_auxz00_7239;
{ /* Cfa/collect.scm 295 */
int BgL_auxz00_7240;
BgL_auxz00_7240 = 
(int)(((long)8)); 
BgL_auxz00_7239 = 
(long)(BgL_auxz00_7240); } 
BgL_restz00_6434 = 
(BgL_offsetz00_6431%BgL_auxz00_7239); } 
{ /* Cfa/collect.scm 295 */

{ /* Cfa/collect.scm 295 */
obj_t BgL_bucketz00_6436;
{ /* Cfa/collect.scm 295 */
int BgL_kz00_6446;
BgL_kz00_6446 = 
(int)(BgL_modz00_6432); 
BgL_bucketz00_6436 = 
VECTOR_REF(BgL_arg1904z00_6427,BgL_kz00_6446); } 
{ /* Cfa/collect.scm 295 */
int BgL_kz00_6448;
BgL_kz00_6448 = 
(int)(BgL_restz00_6434); 
BgL_method4835z00_6424 = 
VECTOR_REF(BgL_bucketz00_6436,BgL_kz00_6448); } } } } } } } } 
PROCEDURE_ENTRY(BgL_method4835z00_6424)(BgL_method4835z00_6424, 
(obj_t)(BgL_nodez00_6422), 
(obj_t)(BgL_ownerz00_6423), BEOA); } } 
{ 
obj_t BgL_l4821z00_7252;
BgL_l4821z00_7252 = 
CDR(BgL_l4821z00_4073); 
BgL_l4821z00_4073 = BgL_l4821z00_7252; 
goto BgL_lname4822z00_4074;} }  else 
{ /* Cfa/collect.scm 294 */((bool_t)1); } } 
{ /* Cfa/collect.scm 297 */
BgL_nodez00_bglt BgL_arg6898z00_4080;
BgL_arg6898z00_4080 = 
(((BgL_letzd2varzd2_bglt)CREF(BgL_nodez00_4068))->BgL_bodyz00); 
{ /* Cfa/collect.scm 297 */
BgL_variablez00_bglt BgL_ownerz00_6452;
BgL_ownerz00_6452 = 
(BgL_variablez00_bglt)(BgL_ownerz00_4069); 
{ /* Cfa/collect.scm 297 */
obj_t BgL_method4835z00_6453;
{ /* Cfa/collect.scm 297 */
long BgL_objzd2classzd2numz00_6455;
{ /* Cfa/collect.scm 297 */
BgL_objectz00_bglt BgL_auxz00_7257;
BgL_auxz00_7257 = 
(BgL_objectz00_bglt)(BgL_arg6898z00_4080); 
BgL_objzd2classzd2numz00_6455 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_7257); } 
{ /* Cfa/collect.scm 297 */
obj_t BgL_arg1904z00_6456;
{ /* Cfa/collect.scm 297 */
int BgL_auxz00_7260;
BgL_auxz00_7260 = 
(int)(((long)1)); 
BgL_arg1904z00_6456 = 
PROCEDURE_REF(BGl_nodezd2collectz12zd2envz12zzcfa_collectz00, BgL_auxz00_7260); } 
{ /* Cfa/collect.scm 297 */
long BgL_offsetz00_6460;
{ /* Cfa/collect.scm 297 */
long BgL_auxz00_7263;
{ /* Cfa/collect.scm 297 */
int BgL_auxz00_7264;
BgL_auxz00_7264 = 
(int)(BgL_objzd2classzd2numz00_6455); 
BgL_auxz00_7263 = 
(long)(BgL_auxz00_7264); } 
BgL_offsetz00_6460 = 
(BgL_auxz00_7263-OBJECT_TYPE); } 
{ /* Cfa/collect.scm 297 */
long BgL_modz00_6461;
{ /* Cfa/collect.scm 297 */
long BgL_auxz00_7268;
{ /* Cfa/collect.scm 297 */
int BgL_auxz00_7269;
BgL_auxz00_7269 = 
(int)(((long)8)); 
BgL_auxz00_7268 = 
(long)(BgL_auxz00_7269); } 
BgL_modz00_6461 = 
(BgL_offsetz00_6460/BgL_auxz00_7268); } 
{ /* Cfa/collect.scm 297 */
long BgL_restz00_6463;
{ /* Cfa/collect.scm 297 */
long BgL_auxz00_7273;
{ /* Cfa/collect.scm 297 */
int BgL_auxz00_7274;
BgL_auxz00_7274 = 
(int)(((long)8)); 
BgL_auxz00_7273 = 
(long)(BgL_auxz00_7274); } 
BgL_restz00_6463 = 
(BgL_offsetz00_6460%BgL_auxz00_7273); } 
{ /* Cfa/collect.scm 297 */

{ /* Cfa/collect.scm 297 */
obj_t BgL_bucketz00_6465;
{ /* Cfa/collect.scm 297 */
int BgL_kz00_6475;
BgL_kz00_6475 = 
(int)(BgL_modz00_6461); 
BgL_bucketz00_6465 = 
VECTOR_REF(BgL_arg1904z00_6456,BgL_kz00_6475); } 
{ /* Cfa/collect.scm 297 */
int BgL_kz00_6477;
BgL_kz00_6477 = 
(int)(BgL_restz00_6463); 
BgL_method4835z00_6453 = 
VECTOR_REF(BgL_bucketz00_6465,BgL_kz00_6477); } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method4835z00_6453)(BgL_method4835z00_6453, 
(obj_t)(BgL_arg6898z00_4080), 
(obj_t)(BgL_ownerz00_6452), BEOA);} } } } } 
}



/* node-collect!-let-fun4865 */
obj_t BGl_nodezd2collectz12zd2letzd2fun4865zc0zzcfa_collectz00(obj_t BgL_envz00_6766, obj_t BgL_nodez00_6767, obj_t BgL_ownerz00_6768)
{ AN_OBJECT;
{ /* Cfa/collect.scm 281 */
{ 
BgL_letzd2funzd2_bglt BgL_nodez00_4052;obj_t BgL_ownerz00_4053;
BgL_nodez00_4052 = 
(BgL_letzd2funzd2_bglt)(BgL_nodez00_6767); 
BgL_ownerz00_4053 = BgL_ownerz00_6768; 
{ 
obj_t BgL_l4817z00_4057;
BgL_l4817z00_4057 = 
(((BgL_letzd2funzd2_bglt)CREF(BgL_nodez00_4052))->BgL_localsz00); 
BgL_lname4818z00_4058:
if(
PAIRP(BgL_l4817z00_4057))
{ /* Cfa/collect.scm 283 */
{ /* Cfa/collect.scm 284 */
obj_t BgL_lz00_4061;
BgL_lz00_4061 = 
CAR(BgL_l4817z00_4057); 
{ /* Cfa/collect.scm 285 */
BgL_nodez00_bglt BgL_nodez00_6362;BgL_variablez00_bglt BgL_ownerz00_6363;
{ /* Cfa/collect.scm 285 */
obj_t BgL_auxz00_7290;
{ /* Cfa/collect.scm 285 */
BgL_sfunz00_bglt BgL_obj1399z00_6361;
{ /* Cfa/collect.scm 285 */
BgL_valuez00_bglt BgL_auxz00_7291;
{ /* Cfa/collect.scm 284 */
BgL_localz00_bglt BgL_obj1280z00_6360;
BgL_obj1280z00_6360 = 
(BgL_localz00_bglt)(BgL_lz00_4061); 
BgL_auxz00_7291 = 
(((BgL_localz00_bglt)CREF(BgL_obj1280z00_6360))->BgL_valuez00); } 
BgL_obj1399z00_6361 = 
(BgL_sfunz00_bglt)(BgL_auxz00_7291); } 
BgL_auxz00_7290 = 
(((BgL_sfunz00_bglt)CREF(BgL_obj1399z00_6361))->BgL_bodyz00); } 
BgL_nodez00_6362 = 
(BgL_nodez00_bglt)(BgL_auxz00_7290); } 
BgL_ownerz00_6363 = 
(BgL_variablez00_bglt)(BgL_lz00_4061); 
{ /* Cfa/collect.scm 285 */
obj_t BgL_method4835z00_6364;
{ /* Cfa/collect.scm 285 */
long BgL_objzd2classzd2numz00_6366;
{ /* Cfa/collect.scm 285 */
BgL_objectz00_bglt BgL_auxz00_7298;
BgL_auxz00_7298 = 
(BgL_objectz00_bglt)(BgL_nodez00_6362); 
BgL_objzd2classzd2numz00_6366 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_7298); } 
{ /* Cfa/collect.scm 285 */
obj_t BgL_arg1904z00_6367;
{ /* Cfa/collect.scm 285 */
int BgL_auxz00_7301;
BgL_auxz00_7301 = 
(int)(((long)1)); 
BgL_arg1904z00_6367 = 
PROCEDURE_REF(BGl_nodezd2collectz12zd2envz12zzcfa_collectz00, BgL_auxz00_7301); } 
{ /* Cfa/collect.scm 285 */
long BgL_offsetz00_6371;
{ /* Cfa/collect.scm 285 */
long BgL_auxz00_7304;
{ /* Cfa/collect.scm 285 */
int BgL_auxz00_7305;
BgL_auxz00_7305 = 
(int)(BgL_objzd2classzd2numz00_6366); 
BgL_auxz00_7304 = 
(long)(BgL_auxz00_7305); } 
BgL_offsetz00_6371 = 
(BgL_auxz00_7304-OBJECT_TYPE); } 
{ /* Cfa/collect.scm 285 */
long BgL_modz00_6372;
{ /* Cfa/collect.scm 285 */
long BgL_auxz00_7309;
{ /* Cfa/collect.scm 285 */
int BgL_auxz00_7310;
BgL_auxz00_7310 = 
(int)(((long)8)); 
BgL_auxz00_7309 = 
(long)(BgL_auxz00_7310); } 
BgL_modz00_6372 = 
(BgL_offsetz00_6371/BgL_auxz00_7309); } 
{ /* Cfa/collect.scm 285 */
long BgL_restz00_6374;
{ /* Cfa/collect.scm 285 */
long BgL_auxz00_7314;
{ /* Cfa/collect.scm 285 */
int BgL_auxz00_7315;
BgL_auxz00_7315 = 
(int)(((long)8)); 
BgL_auxz00_7314 = 
(long)(BgL_auxz00_7315); } 
BgL_restz00_6374 = 
(BgL_offsetz00_6371%BgL_auxz00_7314); } 
{ /* Cfa/collect.scm 285 */

{ /* Cfa/collect.scm 285 */
obj_t BgL_bucketz00_6376;
{ /* Cfa/collect.scm 285 */
int BgL_kz00_6386;
BgL_kz00_6386 = 
(int)(BgL_modz00_6372); 
BgL_bucketz00_6376 = 
VECTOR_REF(BgL_arg1904z00_6367,BgL_kz00_6386); } 
{ /* Cfa/collect.scm 285 */
int BgL_kz00_6388;
BgL_kz00_6388 = 
(int)(BgL_restz00_6374); 
BgL_method4835z00_6364 = 
VECTOR_REF(BgL_bucketz00_6376,BgL_kz00_6388); } } } } } } } } 
PROCEDURE_ENTRY(BgL_method4835z00_6364)(BgL_method4835z00_6364, 
(obj_t)(BgL_nodez00_6362), 
(obj_t)(BgL_ownerz00_6363), BEOA); } } } 
{ 
obj_t BgL_l4817z00_7327;
BgL_l4817z00_7327 = 
CDR(BgL_l4817z00_4057); 
BgL_l4817z00_4057 = BgL_l4817z00_7327; 
goto BgL_lname4818z00_4058;} }  else 
{ /* Cfa/collect.scm 283 */((bool_t)1); } } 
{ /* Cfa/collect.scm 287 */
BgL_nodez00_bglt BgL_arg6873z00_4065;
BgL_arg6873z00_4065 = 
(((BgL_letzd2funzd2_bglt)CREF(BgL_nodez00_4052))->BgL_bodyz00); 
{ /* Cfa/collect.scm 287 */
BgL_variablez00_bglt BgL_ownerz00_6392;
BgL_ownerz00_6392 = 
(BgL_variablez00_bglt)(BgL_ownerz00_4053); 
{ /* Cfa/collect.scm 287 */
obj_t BgL_method4835z00_6393;
{ /* Cfa/collect.scm 287 */
long BgL_objzd2classzd2numz00_6395;
{ /* Cfa/collect.scm 287 */
BgL_objectz00_bglt BgL_auxz00_7332;
BgL_auxz00_7332 = 
(BgL_objectz00_bglt)(BgL_arg6873z00_4065); 
BgL_objzd2classzd2numz00_6395 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_7332); } 
{ /* Cfa/collect.scm 287 */
obj_t BgL_arg1904z00_6396;
{ /* Cfa/collect.scm 287 */
int BgL_auxz00_7335;
BgL_auxz00_7335 = 
(int)(((long)1)); 
BgL_arg1904z00_6396 = 
PROCEDURE_REF(BGl_nodezd2collectz12zd2envz12zzcfa_collectz00, BgL_auxz00_7335); } 
{ /* Cfa/collect.scm 287 */
long BgL_offsetz00_6400;
{ /* Cfa/collect.scm 287 */
long BgL_auxz00_7338;
{ /* Cfa/collect.scm 287 */
int BgL_auxz00_7339;
BgL_auxz00_7339 = 
(int)(BgL_objzd2classzd2numz00_6395); 
BgL_auxz00_7338 = 
(long)(BgL_auxz00_7339); } 
BgL_offsetz00_6400 = 
(BgL_auxz00_7338-OBJECT_TYPE); } 
{ /* Cfa/collect.scm 287 */
long BgL_modz00_6401;
{ /* Cfa/collect.scm 287 */
long BgL_auxz00_7343;
{ /* Cfa/collect.scm 287 */
int BgL_auxz00_7344;
BgL_auxz00_7344 = 
(int)(((long)8)); 
BgL_auxz00_7343 = 
(long)(BgL_auxz00_7344); } 
BgL_modz00_6401 = 
(BgL_offsetz00_6400/BgL_auxz00_7343); } 
{ /* Cfa/collect.scm 287 */
long BgL_restz00_6403;
{ /* Cfa/collect.scm 287 */
long BgL_auxz00_7348;
{ /* Cfa/collect.scm 287 */
int BgL_auxz00_7349;
BgL_auxz00_7349 = 
(int)(((long)8)); 
BgL_auxz00_7348 = 
(long)(BgL_auxz00_7349); } 
BgL_restz00_6403 = 
(BgL_offsetz00_6400%BgL_auxz00_7348); } 
{ /* Cfa/collect.scm 287 */

{ /* Cfa/collect.scm 287 */
obj_t BgL_bucketz00_6405;
{ /* Cfa/collect.scm 287 */
int BgL_kz00_6415;
BgL_kz00_6415 = 
(int)(BgL_modz00_6401); 
BgL_bucketz00_6405 = 
VECTOR_REF(BgL_arg1904z00_6396,BgL_kz00_6415); } 
{ /* Cfa/collect.scm 287 */
int BgL_kz00_6417;
BgL_kz00_6417 = 
(int)(BgL_restz00_6403); 
BgL_method4835z00_6393 = 
VECTOR_REF(BgL_bucketz00_6405,BgL_kz00_6417); } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method4835z00_6393)(BgL_method4835z00_6393, 
(obj_t)(BgL_arg6873z00_4065), 
(obj_t)(BgL_ownerz00_6392), BEOA);} } } } } 
}



/* node-collect!-select4863 */
obj_t BGl_nodezd2collectz12zd2select4863z12zzcfa_collectz00(obj_t BgL_envz00_6769, obj_t BgL_nodez00_6770, obj_t BgL_ownerz00_6771)
{ AN_OBJECT;
{ /* Cfa/collect.scm 271 */
{ 
BgL_selectz00_bglt BgL_nodez00_4037;obj_t BgL_ownerz00_4038;
{ /* Cfa/collect.scm 272 */
bool_t BgL_auxz00_7362;
BgL_nodez00_4037 = 
(BgL_selectz00_bglt)(BgL_nodez00_6770); 
BgL_ownerz00_4038 = BgL_ownerz00_6771; 
{ /* Cfa/collect.scm 273 */
BgL_nodez00_bglt BgL_arg6832z00_4042;
BgL_arg6832z00_4042 = 
(((BgL_selectz00_bglt)CREF(BgL_nodez00_4037))->BgL_testz00); 
{ /* Cfa/collect.scm 273 */
BgL_variablez00_bglt BgL_ownerz00_6299;
BgL_ownerz00_6299 = 
(BgL_variablez00_bglt)(BgL_ownerz00_4038); 
{ /* Cfa/collect.scm 273 */
obj_t BgL_method4835z00_6300;
{ /* Cfa/collect.scm 273 */
long BgL_objzd2classzd2numz00_6302;
{ /* Cfa/collect.scm 273 */
BgL_objectz00_bglt BgL_auxz00_7365;
BgL_auxz00_7365 = 
(BgL_objectz00_bglt)(BgL_arg6832z00_4042); 
BgL_objzd2classzd2numz00_6302 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_7365); } 
{ /* Cfa/collect.scm 273 */
obj_t BgL_arg1904z00_6303;
{ /* Cfa/collect.scm 273 */
int BgL_auxz00_7368;
BgL_auxz00_7368 = 
(int)(((long)1)); 
BgL_arg1904z00_6303 = 
PROCEDURE_REF(BGl_nodezd2collectz12zd2envz12zzcfa_collectz00, BgL_auxz00_7368); } 
{ /* Cfa/collect.scm 273 */
long BgL_offsetz00_6307;
{ /* Cfa/collect.scm 273 */
long BgL_auxz00_7371;
{ /* Cfa/collect.scm 273 */
int BgL_auxz00_7372;
BgL_auxz00_7372 = 
(int)(BgL_objzd2classzd2numz00_6302); 
BgL_auxz00_7371 = 
(long)(BgL_auxz00_7372); } 
BgL_offsetz00_6307 = 
(BgL_auxz00_7371-OBJECT_TYPE); } 
{ /* Cfa/collect.scm 273 */
long BgL_modz00_6308;
{ /* Cfa/collect.scm 273 */
long BgL_auxz00_7376;
{ /* Cfa/collect.scm 273 */
int BgL_auxz00_7377;
BgL_auxz00_7377 = 
(int)(((long)8)); 
BgL_auxz00_7376 = 
(long)(BgL_auxz00_7377); } 
BgL_modz00_6308 = 
(BgL_offsetz00_6307/BgL_auxz00_7376); } 
{ /* Cfa/collect.scm 273 */
long BgL_restz00_6310;
{ /* Cfa/collect.scm 273 */
long BgL_auxz00_7381;
{ /* Cfa/collect.scm 273 */
int BgL_auxz00_7382;
BgL_auxz00_7382 = 
(int)(((long)8)); 
BgL_auxz00_7381 = 
(long)(BgL_auxz00_7382); } 
BgL_restz00_6310 = 
(BgL_offsetz00_6307%BgL_auxz00_7381); } 
{ /* Cfa/collect.scm 273 */

{ /* Cfa/collect.scm 273 */
obj_t BgL_bucketz00_6312;
{ /* Cfa/collect.scm 273 */
int BgL_kz00_6322;
BgL_kz00_6322 = 
(int)(BgL_modz00_6308); 
BgL_bucketz00_6312 = 
VECTOR_REF(BgL_arg1904z00_6303,BgL_kz00_6322); } 
{ /* Cfa/collect.scm 273 */
int BgL_kz00_6324;
BgL_kz00_6324 = 
(int)(BgL_restz00_6310); 
BgL_method4835z00_6300 = 
VECTOR_REF(BgL_bucketz00_6312,BgL_kz00_6324); } } } } } } } } 
PROCEDURE_ENTRY(BgL_method4835z00_6300)(BgL_method4835z00_6300, 
(obj_t)(BgL_arg6832z00_4042), 
(obj_t)(BgL_ownerz00_6299), BEOA); } } } 
{ 
obj_t BgL_l4813z00_4043;
BgL_l4813z00_4043 = 
(((BgL_selectz00_bglt)CREF(BgL_nodez00_4037))->BgL_clausesz00); 
BgL_lname4814z00_4044:
if(
PAIRP(BgL_l4813z00_4043))
{ /* Cfa/collect.scm 274 */
{ /* Cfa/collect.scm 275 */
BgL_nodez00_bglt BgL_nodez00_6329;BgL_variablez00_bglt BgL_ownerz00_6330;
{ /* Cfa/collect.scm 275 */
obj_t BgL_auxz00_7396;
{ /* Cfa/collect.scm 275 */
obj_t BgL_auxz00_7397;
BgL_auxz00_7397 = 
CAR(BgL_l4813z00_4043); 
BgL_auxz00_7396 = 
CDR(BgL_auxz00_7397); } 
BgL_nodez00_6329 = 
(BgL_nodez00_bglt)(BgL_auxz00_7396); } 
BgL_ownerz00_6330 = 
(BgL_variablez00_bglt)(BgL_ownerz00_4038); 
{ /* Cfa/collect.scm 275 */
obj_t BgL_method4835z00_6331;
{ /* Cfa/collect.scm 275 */
long BgL_objzd2classzd2numz00_6333;
{ /* Cfa/collect.scm 275 */
BgL_objectz00_bglt BgL_auxz00_7402;
BgL_auxz00_7402 = 
(BgL_objectz00_bglt)(BgL_nodez00_6329); 
BgL_objzd2classzd2numz00_6333 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_7402); } 
{ /* Cfa/collect.scm 275 */
obj_t BgL_arg1904z00_6334;
{ /* Cfa/collect.scm 275 */
int BgL_auxz00_7405;
BgL_auxz00_7405 = 
(int)(((long)1)); 
BgL_arg1904z00_6334 = 
PROCEDURE_REF(BGl_nodezd2collectz12zd2envz12zzcfa_collectz00, BgL_auxz00_7405); } 
{ /* Cfa/collect.scm 275 */
long BgL_offsetz00_6338;
{ /* Cfa/collect.scm 275 */
long BgL_auxz00_7408;
{ /* Cfa/collect.scm 275 */
int BgL_auxz00_7409;
BgL_auxz00_7409 = 
(int)(BgL_objzd2classzd2numz00_6333); 
BgL_auxz00_7408 = 
(long)(BgL_auxz00_7409); } 
BgL_offsetz00_6338 = 
(BgL_auxz00_7408-OBJECT_TYPE); } 
{ /* Cfa/collect.scm 275 */
long BgL_modz00_6339;
{ /* Cfa/collect.scm 275 */
long BgL_auxz00_7413;
{ /* Cfa/collect.scm 275 */
int BgL_auxz00_7414;
BgL_auxz00_7414 = 
(int)(((long)8)); 
BgL_auxz00_7413 = 
(long)(BgL_auxz00_7414); } 
BgL_modz00_6339 = 
(BgL_offsetz00_6338/BgL_auxz00_7413); } 
{ /* Cfa/collect.scm 275 */
long BgL_restz00_6341;
{ /* Cfa/collect.scm 275 */
long BgL_auxz00_7418;
{ /* Cfa/collect.scm 275 */
int BgL_auxz00_7419;
BgL_auxz00_7419 = 
(int)(((long)8)); 
BgL_auxz00_7418 = 
(long)(BgL_auxz00_7419); } 
BgL_restz00_6341 = 
(BgL_offsetz00_6338%BgL_auxz00_7418); } 
{ /* Cfa/collect.scm 275 */

{ /* Cfa/collect.scm 275 */
obj_t BgL_bucketz00_6343;
{ /* Cfa/collect.scm 275 */
int BgL_kz00_6353;
BgL_kz00_6353 = 
(int)(BgL_modz00_6339); 
BgL_bucketz00_6343 = 
VECTOR_REF(BgL_arg1904z00_6334,BgL_kz00_6353); } 
{ /* Cfa/collect.scm 275 */
int BgL_kz00_6355;
BgL_kz00_6355 = 
(int)(BgL_restz00_6341); 
BgL_method4835z00_6331 = 
VECTOR_REF(BgL_bucketz00_6343,BgL_kz00_6355); } } } } } } } } 
PROCEDURE_ENTRY(BgL_method4835z00_6331)(BgL_method4835z00_6331, 
(obj_t)(BgL_nodez00_6329), 
(obj_t)(BgL_ownerz00_6330), BEOA); } } 
{ 
obj_t BgL_l4813z00_7431;
BgL_l4813z00_7431 = 
CDR(BgL_l4813z00_4043); 
BgL_l4813z00_4043 = BgL_l4813z00_7431; 
goto BgL_lname4814z00_4044;} }  else 
{ /* Cfa/collect.scm 274 */
BgL_auxz00_7362 = ((bool_t)1); } } 
return 
BBOOL(BgL_auxz00_7362);} } } 
}



/* node-collect!-fail4861 */
obj_t BGl_nodezd2collectz12zd2fail4861z12zzcfa_collectz00(obj_t BgL_envz00_6772, obj_t BgL_nodez00_6773, obj_t BgL_ownerz00_6774)
{ AN_OBJECT;
{ /* Cfa/collect.scm 262 */
{ 
BgL_failz00_bglt BgL_nodez00_4027;obj_t BgL_ownerz00_4028;
BgL_nodez00_4027 = 
(BgL_failz00_bglt)(BgL_nodez00_6773); 
BgL_ownerz00_4028 = BgL_ownerz00_6774; 
{ /* Cfa/collect.scm 264 */
BgL_nodez00_bglt BgL_arg6814z00_4032;
BgL_arg6814z00_4032 = 
(((BgL_failz00_bglt)CREF(BgL_nodez00_4027))->BgL_procz00); 
{ /* Cfa/collect.scm 264 */
BgL_variablez00_bglt BgL_ownerz00_6215;
BgL_ownerz00_6215 = 
(BgL_variablez00_bglt)(BgL_ownerz00_4028); 
{ /* Cfa/collect.scm 264 */
obj_t BgL_method4835z00_6216;
{ /* Cfa/collect.scm 264 */
long BgL_objzd2classzd2numz00_6218;
{ /* Cfa/collect.scm 264 */
BgL_objectz00_bglt BgL_auxz00_7438;
BgL_auxz00_7438 = 
(BgL_objectz00_bglt)(BgL_arg6814z00_4032); 
BgL_objzd2classzd2numz00_6218 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_7438); } 
{ /* Cfa/collect.scm 264 */
obj_t BgL_arg1904z00_6219;
{ /* Cfa/collect.scm 264 */
int BgL_auxz00_7441;
BgL_auxz00_7441 = 
(int)(((long)1)); 
BgL_arg1904z00_6219 = 
PROCEDURE_REF(BGl_nodezd2collectz12zd2envz12zzcfa_collectz00, BgL_auxz00_7441); } 
{ /* Cfa/collect.scm 264 */
long BgL_offsetz00_6223;
{ /* Cfa/collect.scm 264 */
long BgL_auxz00_7444;
{ /* Cfa/collect.scm 264 */
int BgL_auxz00_7445;
BgL_auxz00_7445 = 
(int)(BgL_objzd2classzd2numz00_6218); 
BgL_auxz00_7444 = 
(long)(BgL_auxz00_7445); } 
BgL_offsetz00_6223 = 
(BgL_auxz00_7444-OBJECT_TYPE); } 
{ /* Cfa/collect.scm 264 */
long BgL_modz00_6224;
{ /* Cfa/collect.scm 264 */
long BgL_auxz00_7449;
{ /* Cfa/collect.scm 264 */
int BgL_auxz00_7450;
BgL_auxz00_7450 = 
(int)(((long)8)); 
BgL_auxz00_7449 = 
(long)(BgL_auxz00_7450); } 
BgL_modz00_6224 = 
(BgL_offsetz00_6223/BgL_auxz00_7449); } 
{ /* Cfa/collect.scm 264 */
long BgL_restz00_6226;
{ /* Cfa/collect.scm 264 */
long BgL_auxz00_7454;
{ /* Cfa/collect.scm 264 */
int BgL_auxz00_7455;
BgL_auxz00_7455 = 
(int)(((long)8)); 
BgL_auxz00_7454 = 
(long)(BgL_auxz00_7455); } 
BgL_restz00_6226 = 
(BgL_offsetz00_6223%BgL_auxz00_7454); } 
{ /* Cfa/collect.scm 264 */

{ /* Cfa/collect.scm 264 */
obj_t BgL_bucketz00_6228;
{ /* Cfa/collect.scm 264 */
int BgL_kz00_6238;
BgL_kz00_6238 = 
(int)(BgL_modz00_6224); 
BgL_bucketz00_6228 = 
VECTOR_REF(BgL_arg1904z00_6219,BgL_kz00_6238); } 
{ /* Cfa/collect.scm 264 */
int BgL_kz00_6240;
BgL_kz00_6240 = 
(int)(BgL_restz00_6226); 
BgL_method4835z00_6216 = 
VECTOR_REF(BgL_bucketz00_6228,BgL_kz00_6240); } } } } } } } } 
PROCEDURE_ENTRY(BgL_method4835z00_6216)(BgL_method4835z00_6216, 
(obj_t)(BgL_arg6814z00_4032), 
(obj_t)(BgL_ownerz00_6215), BEOA); } } } 
{ /* Cfa/collect.scm 265 */
BgL_nodez00_bglt BgL_arg6818z00_4033;
BgL_arg6818z00_4033 = 
(((BgL_failz00_bglt)CREF(BgL_nodez00_4027))->BgL_msgz00); 
{ /* Cfa/collect.scm 265 */
BgL_variablez00_bglt BgL_ownerz00_6243;
BgL_ownerz00_6243 = 
(BgL_variablez00_bglt)(BgL_ownerz00_4028); 
{ /* Cfa/collect.scm 265 */
obj_t BgL_method4835z00_6244;
{ /* Cfa/collect.scm 265 */
long BgL_objzd2classzd2numz00_6246;
{ /* Cfa/collect.scm 265 */
BgL_objectz00_bglt BgL_auxz00_7469;
BgL_auxz00_7469 = 
(BgL_objectz00_bglt)(BgL_arg6818z00_4033); 
BgL_objzd2classzd2numz00_6246 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_7469); } 
{ /* Cfa/collect.scm 265 */
obj_t BgL_arg1904z00_6247;
{ /* Cfa/collect.scm 265 */
int BgL_auxz00_7472;
BgL_auxz00_7472 = 
(int)(((long)1)); 
BgL_arg1904z00_6247 = 
PROCEDURE_REF(BGl_nodezd2collectz12zd2envz12zzcfa_collectz00, BgL_auxz00_7472); } 
{ /* Cfa/collect.scm 265 */
long BgL_offsetz00_6251;
{ /* Cfa/collect.scm 265 */
long BgL_auxz00_7475;
{ /* Cfa/collect.scm 265 */
int BgL_auxz00_7476;
BgL_auxz00_7476 = 
(int)(BgL_objzd2classzd2numz00_6246); 
BgL_auxz00_7475 = 
(long)(BgL_auxz00_7476); } 
BgL_offsetz00_6251 = 
(BgL_auxz00_7475-OBJECT_TYPE); } 
{ /* Cfa/collect.scm 265 */
long BgL_modz00_6252;
{ /* Cfa/collect.scm 265 */
long BgL_auxz00_7480;
{ /* Cfa/collect.scm 265 */
int BgL_auxz00_7481;
BgL_auxz00_7481 = 
(int)(((long)8)); 
BgL_auxz00_7480 = 
(long)(BgL_auxz00_7481); } 
BgL_modz00_6252 = 
(BgL_offsetz00_6251/BgL_auxz00_7480); } 
{ /* Cfa/collect.scm 265 */
long BgL_restz00_6254;
{ /* Cfa/collect.scm 265 */
long BgL_auxz00_7485;
{ /* Cfa/collect.scm 265 */
int BgL_auxz00_7486;
BgL_auxz00_7486 = 
(int)(((long)8)); 
BgL_auxz00_7485 = 
(long)(BgL_auxz00_7486); } 
BgL_restz00_6254 = 
(BgL_offsetz00_6251%BgL_auxz00_7485); } 
{ /* Cfa/collect.scm 265 */

{ /* Cfa/collect.scm 265 */
obj_t BgL_bucketz00_6256;
{ /* Cfa/collect.scm 265 */
int BgL_kz00_6266;
BgL_kz00_6266 = 
(int)(BgL_modz00_6252); 
BgL_bucketz00_6256 = 
VECTOR_REF(BgL_arg1904z00_6247,BgL_kz00_6266); } 
{ /* Cfa/collect.scm 265 */
int BgL_kz00_6268;
BgL_kz00_6268 = 
(int)(BgL_restz00_6254); 
BgL_method4835z00_6244 = 
VECTOR_REF(BgL_bucketz00_6256,BgL_kz00_6268); } } } } } } } } 
PROCEDURE_ENTRY(BgL_method4835z00_6244)(BgL_method4835z00_6244, 
(obj_t)(BgL_arg6818z00_4033), 
(obj_t)(BgL_ownerz00_6243), BEOA); } } } 
{ /* Cfa/collect.scm 266 */
BgL_nodez00_bglt BgL_arg6822z00_4034;
BgL_arg6822z00_4034 = 
(((BgL_failz00_bglt)CREF(BgL_nodez00_4027))->BgL_objz00); 
{ /* Cfa/collect.scm 266 */
BgL_variablez00_bglt BgL_ownerz00_6271;
BgL_ownerz00_6271 = 
(BgL_variablez00_bglt)(BgL_ownerz00_4028); 
{ /* Cfa/collect.scm 266 */
obj_t BgL_method4835z00_6272;
{ /* Cfa/collect.scm 266 */
long BgL_objzd2classzd2numz00_6274;
{ /* Cfa/collect.scm 266 */
BgL_objectz00_bglt BgL_auxz00_7500;
BgL_auxz00_7500 = 
(BgL_objectz00_bglt)(BgL_arg6822z00_4034); 
BgL_objzd2classzd2numz00_6274 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_7500); } 
{ /* Cfa/collect.scm 266 */
obj_t BgL_arg1904z00_6275;
{ /* Cfa/collect.scm 266 */
int BgL_auxz00_7503;
BgL_auxz00_7503 = 
(int)(((long)1)); 
BgL_arg1904z00_6275 = 
PROCEDURE_REF(BGl_nodezd2collectz12zd2envz12zzcfa_collectz00, BgL_auxz00_7503); } 
{ /* Cfa/collect.scm 266 */
long BgL_offsetz00_6279;
{ /* Cfa/collect.scm 266 */
long BgL_auxz00_7506;
{ /* Cfa/collect.scm 266 */
int BgL_auxz00_7507;
BgL_auxz00_7507 = 
(int)(BgL_objzd2classzd2numz00_6274); 
BgL_auxz00_7506 = 
(long)(BgL_auxz00_7507); } 
BgL_offsetz00_6279 = 
(BgL_auxz00_7506-OBJECT_TYPE); } 
{ /* Cfa/collect.scm 266 */
long BgL_modz00_6280;
{ /* Cfa/collect.scm 266 */
long BgL_auxz00_7511;
{ /* Cfa/collect.scm 266 */
int BgL_auxz00_7512;
BgL_auxz00_7512 = 
(int)(((long)8)); 
BgL_auxz00_7511 = 
(long)(BgL_auxz00_7512); } 
BgL_modz00_6280 = 
(BgL_offsetz00_6279/BgL_auxz00_7511); } 
{ /* Cfa/collect.scm 266 */
long BgL_restz00_6282;
{ /* Cfa/collect.scm 266 */
long BgL_auxz00_7516;
{ /* Cfa/collect.scm 266 */
int BgL_auxz00_7517;
BgL_auxz00_7517 = 
(int)(((long)8)); 
BgL_auxz00_7516 = 
(long)(BgL_auxz00_7517); } 
BgL_restz00_6282 = 
(BgL_offsetz00_6279%BgL_auxz00_7516); } 
{ /* Cfa/collect.scm 266 */

{ /* Cfa/collect.scm 266 */
obj_t BgL_bucketz00_6284;
{ /* Cfa/collect.scm 266 */
int BgL_kz00_6294;
BgL_kz00_6294 = 
(int)(BgL_modz00_6280); 
BgL_bucketz00_6284 = 
VECTOR_REF(BgL_arg1904z00_6275,BgL_kz00_6294); } 
{ /* Cfa/collect.scm 266 */
int BgL_kz00_6296;
BgL_kz00_6296 = 
(int)(BgL_restz00_6282); 
BgL_method4835z00_6272 = 
VECTOR_REF(BgL_bucketz00_6284,BgL_kz00_6296); } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method4835z00_6272)(BgL_method4835z00_6272, 
(obj_t)(BgL_arg6822z00_4034), 
(obj_t)(BgL_ownerz00_6271), BEOA);} } } } } 
}



/* node-collect!-conditional4859 */
obj_t BGl_nodezd2collectz12zd2conditional4859z12zzcfa_collectz00(obj_t BgL_envz00_6775, obj_t BgL_nodez00_6776, obj_t BgL_ownerz00_6777)
{ AN_OBJECT;
{ /* Cfa/collect.scm 253 */
{ 
BgL_conditionalz00_bglt BgL_nodez00_4017;obj_t BgL_ownerz00_4018;
BgL_nodez00_4017 = 
(BgL_conditionalz00_bglt)(BgL_nodez00_6776); 
BgL_ownerz00_4018 = BgL_ownerz00_6777; 
{ /* Cfa/collect.scm 255 */
BgL_nodez00_bglt BgL_arg6796z00_4022;
BgL_arg6796z00_4022 = 
(((BgL_conditionalz00_bglt)CREF(BgL_nodez00_4017))->BgL_testz00); 
{ /* Cfa/collect.scm 255 */
BgL_variablez00_bglt BgL_ownerz00_6131;
BgL_ownerz00_6131 = 
(BgL_variablez00_bglt)(BgL_ownerz00_4018); 
{ /* Cfa/collect.scm 255 */
obj_t BgL_method4835z00_6132;
{ /* Cfa/collect.scm 255 */
long BgL_objzd2classzd2numz00_6134;
{ /* Cfa/collect.scm 255 */
BgL_objectz00_bglt BgL_auxz00_7532;
BgL_auxz00_7532 = 
(BgL_objectz00_bglt)(BgL_arg6796z00_4022); 
BgL_objzd2classzd2numz00_6134 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_7532); } 
{ /* Cfa/collect.scm 255 */
obj_t BgL_arg1904z00_6135;
{ /* Cfa/collect.scm 255 */
int BgL_auxz00_7535;
BgL_auxz00_7535 = 
(int)(((long)1)); 
BgL_arg1904z00_6135 = 
PROCEDURE_REF(BGl_nodezd2collectz12zd2envz12zzcfa_collectz00, BgL_auxz00_7535); } 
{ /* Cfa/collect.scm 255 */
long BgL_offsetz00_6139;
{ /* Cfa/collect.scm 255 */
long BgL_auxz00_7538;
{ /* Cfa/collect.scm 255 */
int BgL_auxz00_7539;
BgL_auxz00_7539 = 
(int)(BgL_objzd2classzd2numz00_6134); 
BgL_auxz00_7538 = 
(long)(BgL_auxz00_7539); } 
BgL_offsetz00_6139 = 
(BgL_auxz00_7538-OBJECT_TYPE); } 
{ /* Cfa/collect.scm 255 */
long BgL_modz00_6140;
{ /* Cfa/collect.scm 255 */
long BgL_auxz00_7543;
{ /* Cfa/collect.scm 255 */
int BgL_auxz00_7544;
BgL_auxz00_7544 = 
(int)(((long)8)); 
BgL_auxz00_7543 = 
(long)(BgL_auxz00_7544); } 
BgL_modz00_6140 = 
(BgL_offsetz00_6139/BgL_auxz00_7543); } 
{ /* Cfa/collect.scm 255 */
long BgL_restz00_6142;
{ /* Cfa/collect.scm 255 */
long BgL_auxz00_7548;
{ /* Cfa/collect.scm 255 */
int BgL_auxz00_7549;
BgL_auxz00_7549 = 
(int)(((long)8)); 
BgL_auxz00_7548 = 
(long)(BgL_auxz00_7549); } 
BgL_restz00_6142 = 
(BgL_offsetz00_6139%BgL_auxz00_7548); } 
{ /* Cfa/collect.scm 255 */

{ /* Cfa/collect.scm 255 */
obj_t BgL_bucketz00_6144;
{ /* Cfa/collect.scm 255 */
int BgL_kz00_6154;
BgL_kz00_6154 = 
(int)(BgL_modz00_6140); 
BgL_bucketz00_6144 = 
VECTOR_REF(BgL_arg1904z00_6135,BgL_kz00_6154); } 
{ /* Cfa/collect.scm 255 */
int BgL_kz00_6156;
BgL_kz00_6156 = 
(int)(BgL_restz00_6142); 
BgL_method4835z00_6132 = 
VECTOR_REF(BgL_bucketz00_6144,BgL_kz00_6156); } } } } } } } } 
PROCEDURE_ENTRY(BgL_method4835z00_6132)(BgL_method4835z00_6132, 
(obj_t)(BgL_arg6796z00_4022), 
(obj_t)(BgL_ownerz00_6131), BEOA); } } } 
{ /* Cfa/collect.scm 256 */
BgL_nodez00_bglt BgL_arg6800z00_4023;
BgL_arg6800z00_4023 = 
(((BgL_conditionalz00_bglt)CREF(BgL_nodez00_4017))->BgL_truez00); 
{ /* Cfa/collect.scm 256 */
BgL_variablez00_bglt BgL_ownerz00_6159;
BgL_ownerz00_6159 = 
(BgL_variablez00_bglt)(BgL_ownerz00_4018); 
{ /* Cfa/collect.scm 256 */
obj_t BgL_method4835z00_6160;
{ /* Cfa/collect.scm 256 */
long BgL_objzd2classzd2numz00_6162;
{ /* Cfa/collect.scm 256 */
BgL_objectz00_bglt BgL_auxz00_7563;
BgL_auxz00_7563 = 
(BgL_objectz00_bglt)(BgL_arg6800z00_4023); 
BgL_objzd2classzd2numz00_6162 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_7563); } 
{ /* Cfa/collect.scm 256 */
obj_t BgL_arg1904z00_6163;
{ /* Cfa/collect.scm 256 */
int BgL_auxz00_7566;
BgL_auxz00_7566 = 
(int)(((long)1)); 
BgL_arg1904z00_6163 = 
PROCEDURE_REF(BGl_nodezd2collectz12zd2envz12zzcfa_collectz00, BgL_auxz00_7566); } 
{ /* Cfa/collect.scm 256 */
long BgL_offsetz00_6167;
{ /* Cfa/collect.scm 256 */
long BgL_auxz00_7569;
{ /* Cfa/collect.scm 256 */
int BgL_auxz00_7570;
BgL_auxz00_7570 = 
(int)(BgL_objzd2classzd2numz00_6162); 
BgL_auxz00_7569 = 
(long)(BgL_auxz00_7570); } 
BgL_offsetz00_6167 = 
(BgL_auxz00_7569-OBJECT_TYPE); } 
{ /* Cfa/collect.scm 256 */
long BgL_modz00_6168;
{ /* Cfa/collect.scm 256 */
long BgL_auxz00_7574;
{ /* Cfa/collect.scm 256 */
int BgL_auxz00_7575;
BgL_auxz00_7575 = 
(int)(((long)8)); 
BgL_auxz00_7574 = 
(long)(BgL_auxz00_7575); } 
BgL_modz00_6168 = 
(BgL_offsetz00_6167/BgL_auxz00_7574); } 
{ /* Cfa/collect.scm 256 */
long BgL_restz00_6170;
{ /* Cfa/collect.scm 256 */
long BgL_auxz00_7579;
{ /* Cfa/collect.scm 256 */
int BgL_auxz00_7580;
BgL_auxz00_7580 = 
(int)(((long)8)); 
BgL_auxz00_7579 = 
(long)(BgL_auxz00_7580); } 
BgL_restz00_6170 = 
(BgL_offsetz00_6167%BgL_auxz00_7579); } 
{ /* Cfa/collect.scm 256 */

{ /* Cfa/collect.scm 256 */
obj_t BgL_bucketz00_6172;
{ /* Cfa/collect.scm 256 */
int BgL_kz00_6182;
BgL_kz00_6182 = 
(int)(BgL_modz00_6168); 
BgL_bucketz00_6172 = 
VECTOR_REF(BgL_arg1904z00_6163,BgL_kz00_6182); } 
{ /* Cfa/collect.scm 256 */
int BgL_kz00_6184;
BgL_kz00_6184 = 
(int)(BgL_restz00_6170); 
BgL_method4835z00_6160 = 
VECTOR_REF(BgL_bucketz00_6172,BgL_kz00_6184); } } } } } } } } 
PROCEDURE_ENTRY(BgL_method4835z00_6160)(BgL_method4835z00_6160, 
(obj_t)(BgL_arg6800z00_4023), 
(obj_t)(BgL_ownerz00_6159), BEOA); } } } 
{ /* Cfa/collect.scm 257 */
BgL_nodez00_bglt BgL_arg6804z00_4024;
BgL_arg6804z00_4024 = 
(((BgL_conditionalz00_bglt)CREF(BgL_nodez00_4017))->BgL_falsez00); 
{ /* Cfa/collect.scm 257 */
BgL_variablez00_bglt BgL_ownerz00_6187;
BgL_ownerz00_6187 = 
(BgL_variablez00_bglt)(BgL_ownerz00_4018); 
{ /* Cfa/collect.scm 257 */
obj_t BgL_method4835z00_6188;
{ /* Cfa/collect.scm 257 */
long BgL_objzd2classzd2numz00_6190;
{ /* Cfa/collect.scm 257 */
BgL_objectz00_bglt BgL_auxz00_7594;
BgL_auxz00_7594 = 
(BgL_objectz00_bglt)(BgL_arg6804z00_4024); 
BgL_objzd2classzd2numz00_6190 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_7594); } 
{ /* Cfa/collect.scm 257 */
obj_t BgL_arg1904z00_6191;
{ /* Cfa/collect.scm 257 */
int BgL_auxz00_7597;
BgL_auxz00_7597 = 
(int)(((long)1)); 
BgL_arg1904z00_6191 = 
PROCEDURE_REF(BGl_nodezd2collectz12zd2envz12zzcfa_collectz00, BgL_auxz00_7597); } 
{ /* Cfa/collect.scm 257 */
long BgL_offsetz00_6195;
{ /* Cfa/collect.scm 257 */
long BgL_auxz00_7600;
{ /* Cfa/collect.scm 257 */
int BgL_auxz00_7601;
BgL_auxz00_7601 = 
(int)(BgL_objzd2classzd2numz00_6190); 
BgL_auxz00_7600 = 
(long)(BgL_auxz00_7601); } 
BgL_offsetz00_6195 = 
(BgL_auxz00_7600-OBJECT_TYPE); } 
{ /* Cfa/collect.scm 257 */
long BgL_modz00_6196;
{ /* Cfa/collect.scm 257 */
long BgL_auxz00_7605;
{ /* Cfa/collect.scm 257 */
int BgL_auxz00_7606;
BgL_auxz00_7606 = 
(int)(((long)8)); 
BgL_auxz00_7605 = 
(long)(BgL_auxz00_7606); } 
BgL_modz00_6196 = 
(BgL_offsetz00_6195/BgL_auxz00_7605); } 
{ /* Cfa/collect.scm 257 */
long BgL_restz00_6198;
{ /* Cfa/collect.scm 257 */
long BgL_auxz00_7610;
{ /* Cfa/collect.scm 257 */
int BgL_auxz00_7611;
BgL_auxz00_7611 = 
(int)(((long)8)); 
BgL_auxz00_7610 = 
(long)(BgL_auxz00_7611); } 
BgL_restz00_6198 = 
(BgL_offsetz00_6195%BgL_auxz00_7610); } 
{ /* Cfa/collect.scm 257 */

{ /* Cfa/collect.scm 257 */
obj_t BgL_bucketz00_6200;
{ /* Cfa/collect.scm 257 */
int BgL_kz00_6210;
BgL_kz00_6210 = 
(int)(BgL_modz00_6196); 
BgL_bucketz00_6200 = 
VECTOR_REF(BgL_arg1904z00_6191,BgL_kz00_6210); } 
{ /* Cfa/collect.scm 257 */
int BgL_kz00_6212;
BgL_kz00_6212 = 
(int)(BgL_restz00_6198); 
BgL_method4835z00_6188 = 
VECTOR_REF(BgL_bucketz00_6200,BgL_kz00_6212); } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method4835z00_6188)(BgL_method4835z00_6188, 
(obj_t)(BgL_arg6804z00_4024), 
(obj_t)(BgL_ownerz00_6187), BEOA);} } } } } 
}



/* node-collect!-setq4857 */
obj_t BGl_nodezd2collectz12zd2setq4857z12zzcfa_collectz00(obj_t BgL_envz00_6778, obj_t BgL_nodez00_6779, obj_t BgL_ownerz00_6780)
{ AN_OBJECT;
{ /* Cfa/collect.scm 246 */
{ 
BgL_setqz00_bglt BgL_nodez00_4009;obj_t BgL_ownerz00_4010;
BgL_nodez00_4009 = 
(BgL_setqz00_bglt)(BgL_nodez00_6779); 
BgL_ownerz00_4010 = BgL_ownerz00_6780; 
{ /* Cfa/collect.scm 247 */
BgL_nodez00_bglt BgL_arg6786z00_6100;
BgL_arg6786z00_6100 = 
(((BgL_setqz00_bglt)CREF(BgL_nodez00_4009))->BgL_valuez00); 
{ /* Cfa/collect.scm 247 */
BgL_variablez00_bglt BgL_ownerz00_6103;
BgL_ownerz00_6103 = 
(BgL_variablez00_bglt)(BgL_ownerz00_4010); 
{ /* Cfa/collect.scm 247 */
obj_t BgL_method4835z00_6104;
{ /* Cfa/collect.scm 247 */
long BgL_objzd2classzd2numz00_6106;
{ /* Cfa/collect.scm 247 */
BgL_objectz00_bglt BgL_auxz00_7626;
BgL_auxz00_7626 = 
(BgL_objectz00_bglt)(BgL_arg6786z00_6100); 
BgL_objzd2classzd2numz00_6106 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_7626); } 
{ /* Cfa/collect.scm 247 */
obj_t BgL_arg1904z00_6107;
{ /* Cfa/collect.scm 247 */
int BgL_auxz00_7629;
BgL_auxz00_7629 = 
(int)(((long)1)); 
BgL_arg1904z00_6107 = 
PROCEDURE_REF(BGl_nodezd2collectz12zd2envz12zzcfa_collectz00, BgL_auxz00_7629); } 
{ /* Cfa/collect.scm 247 */
long BgL_offsetz00_6111;
{ /* Cfa/collect.scm 247 */
long BgL_auxz00_7632;
{ /* Cfa/collect.scm 247 */
int BgL_auxz00_7633;
BgL_auxz00_7633 = 
(int)(BgL_objzd2classzd2numz00_6106); 
BgL_auxz00_7632 = 
(long)(BgL_auxz00_7633); } 
BgL_offsetz00_6111 = 
(BgL_auxz00_7632-OBJECT_TYPE); } 
{ /* Cfa/collect.scm 247 */
long BgL_modz00_6112;
{ /* Cfa/collect.scm 247 */
long BgL_auxz00_7637;
{ /* Cfa/collect.scm 247 */
int BgL_auxz00_7638;
BgL_auxz00_7638 = 
(int)(((long)8)); 
BgL_auxz00_7637 = 
(long)(BgL_auxz00_7638); } 
BgL_modz00_6112 = 
(BgL_offsetz00_6111/BgL_auxz00_7637); } 
{ /* Cfa/collect.scm 247 */
long BgL_restz00_6114;
{ /* Cfa/collect.scm 247 */
long BgL_auxz00_7642;
{ /* Cfa/collect.scm 247 */
int BgL_auxz00_7643;
BgL_auxz00_7643 = 
(int)(((long)8)); 
BgL_auxz00_7642 = 
(long)(BgL_auxz00_7643); } 
BgL_restz00_6114 = 
(BgL_offsetz00_6111%BgL_auxz00_7642); } 
{ /* Cfa/collect.scm 247 */

{ /* Cfa/collect.scm 247 */
obj_t BgL_bucketz00_6116;
{ /* Cfa/collect.scm 247 */
int BgL_kz00_6126;
BgL_kz00_6126 = 
(int)(BgL_modz00_6112); 
BgL_bucketz00_6116 = 
VECTOR_REF(BgL_arg1904z00_6107,BgL_kz00_6126); } 
{ /* Cfa/collect.scm 247 */
int BgL_kz00_6128;
BgL_kz00_6128 = 
(int)(BgL_restz00_6114); 
BgL_method4835z00_6104 = 
VECTOR_REF(BgL_bucketz00_6116,BgL_kz00_6128); } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method4835z00_6104)(BgL_method4835z00_6104, 
(obj_t)(BgL_arg6786z00_6100), 
(obj_t)(BgL_ownerz00_6103), BEOA);} } } } } 
}



/* node-collect!-cast4855 */
obj_t BGl_nodezd2collectz12zd2cast4855z12zzcfa_collectz00(obj_t BgL_envz00_6781, obj_t BgL_nodez00_6782, obj_t BgL_ownerz00_6783)
{ AN_OBJECT;
{ /* Cfa/collect.scm 239 */
{ 
BgL_castz00_bglt BgL_nodez00_4001;obj_t BgL_ownerz00_4002;
BgL_nodez00_4001 = 
(BgL_castz00_bglt)(BgL_nodez00_6782); 
BgL_ownerz00_4002 = BgL_ownerz00_6783; 
{ /* Cfa/collect.scm 240 */
BgL_nodez00_bglt BgL_arg6776z00_6070;
BgL_arg6776z00_6070 = 
(((BgL_castz00_bglt)CREF(BgL_nodez00_4001))->BgL_argz00); 
{ /* Cfa/collect.scm 240 */
BgL_variablez00_bglt BgL_ownerz00_6073;
BgL_ownerz00_6073 = 
(BgL_variablez00_bglt)(BgL_ownerz00_4002); 
{ /* Cfa/collect.scm 240 */
obj_t BgL_method4835z00_6074;
{ /* Cfa/collect.scm 240 */
long BgL_objzd2classzd2numz00_6076;
{ /* Cfa/collect.scm 240 */
BgL_objectz00_bglt BgL_auxz00_7658;
BgL_auxz00_7658 = 
(BgL_objectz00_bglt)(BgL_arg6776z00_6070); 
BgL_objzd2classzd2numz00_6076 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_7658); } 
{ /* Cfa/collect.scm 240 */
obj_t BgL_arg1904z00_6077;
{ /* Cfa/collect.scm 240 */
int BgL_auxz00_7661;
BgL_auxz00_7661 = 
(int)(((long)1)); 
BgL_arg1904z00_6077 = 
PROCEDURE_REF(BGl_nodezd2collectz12zd2envz12zzcfa_collectz00, BgL_auxz00_7661); } 
{ /* Cfa/collect.scm 240 */
long BgL_offsetz00_6081;
{ /* Cfa/collect.scm 240 */
long BgL_auxz00_7664;
{ /* Cfa/collect.scm 240 */
int BgL_auxz00_7665;
BgL_auxz00_7665 = 
(int)(BgL_objzd2classzd2numz00_6076); 
BgL_auxz00_7664 = 
(long)(BgL_auxz00_7665); } 
BgL_offsetz00_6081 = 
(BgL_auxz00_7664-OBJECT_TYPE); } 
{ /* Cfa/collect.scm 240 */
long BgL_modz00_6082;
{ /* Cfa/collect.scm 240 */
long BgL_auxz00_7669;
{ /* Cfa/collect.scm 240 */
int BgL_auxz00_7670;
BgL_auxz00_7670 = 
(int)(((long)8)); 
BgL_auxz00_7669 = 
(long)(BgL_auxz00_7670); } 
BgL_modz00_6082 = 
(BgL_offsetz00_6081/BgL_auxz00_7669); } 
{ /* Cfa/collect.scm 240 */
long BgL_restz00_6084;
{ /* Cfa/collect.scm 240 */
long BgL_auxz00_7674;
{ /* Cfa/collect.scm 240 */
int BgL_auxz00_7675;
BgL_auxz00_7675 = 
(int)(((long)8)); 
BgL_auxz00_7674 = 
(long)(BgL_auxz00_7675); } 
BgL_restz00_6084 = 
(BgL_offsetz00_6081%BgL_auxz00_7674); } 
{ /* Cfa/collect.scm 240 */

{ /* Cfa/collect.scm 240 */
obj_t BgL_bucketz00_6086;
{ /* Cfa/collect.scm 240 */
int BgL_kz00_6096;
BgL_kz00_6096 = 
(int)(BgL_modz00_6082); 
BgL_bucketz00_6086 = 
VECTOR_REF(BgL_arg1904z00_6077,BgL_kz00_6096); } 
{ /* Cfa/collect.scm 240 */
int BgL_kz00_6098;
BgL_kz00_6098 = 
(int)(BgL_restz00_6084); 
BgL_method4835z00_6074 = 
VECTOR_REF(BgL_bucketz00_6086,BgL_kz00_6098); } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method4835z00_6074)(BgL_method4835z00_6074, 
(obj_t)(BgL_arg6776z00_6070), 
(obj_t)(BgL_ownerz00_6073), BEOA);} } } } } 
}



/* node-collect!-extern4853 */
obj_t BGl_nodezd2collectz12zd2extern4853z12zzcfa_collectz00(obj_t BgL_envz00_6784, obj_t BgL_nodez00_6785, obj_t BgL_ownerz00_6786)
{ AN_OBJECT;
{ /* Cfa/collect.scm 232 */
{ 
BgL_externz00_bglt BgL_nodez00_3993;obj_t BgL_ownerz00_3994;
{ /* Cfa/collect.scm 233 */
bool_t BgL_auxz00_7688;
BgL_nodez00_3993 = 
(BgL_externz00_bglt)(BgL_nodez00_6785); 
BgL_ownerz00_3994 = BgL_ownerz00_6786; 
BgL_auxz00_7688 = 
BGl_nodezd2collectza2z12z62zzcfa_collectz00(
(((BgL_externz00_bglt)CREF(BgL_nodez00_3993))->BgL_exprza2za2), BgL_ownerz00_3994); 
return 
BBOOL(BgL_auxz00_7688);} } } 
}



/* node-collect!-funcall4851 */
obj_t BGl_nodezd2collectz12zd2funcall4851z12zzcfa_collectz00(obj_t BgL_envz00_6787, obj_t BgL_nodez00_6788, obj_t BgL_ownerz00_6789)
{ AN_OBJECT;
{ /* Cfa/collect.scm 223 */
{ 
BgL_funcallz00_bglt BgL_nodez00_3984;obj_t BgL_ownerz00_3985;
{ /* Cfa/collect.scm 224 */
bool_t BgL_auxz00_7693;
BgL_nodez00_3984 = 
(BgL_funcallz00_bglt)(BgL_nodez00_6788); 
BgL_ownerz00_3985 = BgL_ownerz00_6789; 
BGl_addzd2funcallz12zc0zzcfa_closurez00(
(BgL_nodez00_bglt)(BgL_nodez00_3984)); 
{ /* Cfa/collect.scm 226 */
BgL_nodez00_bglt BgL_arg6752z00_3989;
BgL_arg6752z00_3989 = 
(((BgL_funcallz00_bglt)CREF(BgL_nodez00_3984))->BgL_funz00); 
{ /* Cfa/collect.scm 226 */
BgL_variablez00_bglt BgL_ownerz00_6039;
BgL_ownerz00_6039 = 
(BgL_variablez00_bglt)(BgL_ownerz00_3985); 
{ /* Cfa/collect.scm 226 */
obj_t BgL_method4835z00_6040;
{ /* Cfa/collect.scm 226 */
long BgL_objzd2classzd2numz00_6042;
{ /* Cfa/collect.scm 226 */
BgL_objectz00_bglt BgL_auxz00_7698;
BgL_auxz00_7698 = 
(BgL_objectz00_bglt)(BgL_arg6752z00_3989); 
BgL_objzd2classzd2numz00_6042 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_7698); } 
{ /* Cfa/collect.scm 226 */
obj_t BgL_arg1904z00_6043;
{ /* Cfa/collect.scm 226 */
int BgL_auxz00_7701;
BgL_auxz00_7701 = 
(int)(((long)1)); 
BgL_arg1904z00_6043 = 
PROCEDURE_REF(BGl_nodezd2collectz12zd2envz12zzcfa_collectz00, BgL_auxz00_7701); } 
{ /* Cfa/collect.scm 226 */
long BgL_offsetz00_6047;
{ /* Cfa/collect.scm 226 */
long BgL_auxz00_7704;
{ /* Cfa/collect.scm 226 */
int BgL_auxz00_7705;
BgL_auxz00_7705 = 
(int)(BgL_objzd2classzd2numz00_6042); 
BgL_auxz00_7704 = 
(long)(BgL_auxz00_7705); } 
BgL_offsetz00_6047 = 
(BgL_auxz00_7704-OBJECT_TYPE); } 
{ /* Cfa/collect.scm 226 */
long BgL_modz00_6048;
{ /* Cfa/collect.scm 226 */
long BgL_auxz00_7709;
{ /* Cfa/collect.scm 226 */
int BgL_auxz00_7710;
BgL_auxz00_7710 = 
(int)(((long)8)); 
BgL_auxz00_7709 = 
(long)(BgL_auxz00_7710); } 
BgL_modz00_6048 = 
(BgL_offsetz00_6047/BgL_auxz00_7709); } 
{ /* Cfa/collect.scm 226 */
long BgL_restz00_6050;
{ /* Cfa/collect.scm 226 */
long BgL_auxz00_7714;
{ /* Cfa/collect.scm 226 */
int BgL_auxz00_7715;
BgL_auxz00_7715 = 
(int)(((long)8)); 
BgL_auxz00_7714 = 
(long)(BgL_auxz00_7715); } 
BgL_restz00_6050 = 
(BgL_offsetz00_6047%BgL_auxz00_7714); } 
{ /* Cfa/collect.scm 226 */

{ /* Cfa/collect.scm 226 */
obj_t BgL_bucketz00_6052;
{ /* Cfa/collect.scm 226 */
int BgL_kz00_6062;
BgL_kz00_6062 = 
(int)(BgL_modz00_6048); 
BgL_bucketz00_6052 = 
VECTOR_REF(BgL_arg1904z00_6043,BgL_kz00_6062); } 
{ /* Cfa/collect.scm 226 */
int BgL_kz00_6064;
BgL_kz00_6064 = 
(int)(BgL_restz00_6050); 
BgL_method4835z00_6040 = 
VECTOR_REF(BgL_bucketz00_6052,BgL_kz00_6064); } } } } } } } } 
PROCEDURE_ENTRY(BgL_method4835z00_6040)(BgL_method4835z00_6040, 
(obj_t)(BgL_arg6752z00_3989), 
(obj_t)(BgL_ownerz00_6039), BEOA); } } } 
BgL_auxz00_7693 = 
BGl_nodezd2collectza2z12z62zzcfa_collectz00(
(((BgL_funcallz00_bglt)CREF(BgL_nodez00_3984))->BgL_argsz00), BgL_ownerz00_3985); 
return 
BBOOL(BgL_auxz00_7693);} } } 
}



/* node-collect!-app-ly4849 */
obj_t BGl_nodezd2collectz12zd2appzd2ly4849zc0zzcfa_collectz00(obj_t BgL_envz00_6790, obj_t BgL_nodez00_6791, obj_t BgL_ownerz00_6792)
{ AN_OBJECT;
{ /* Cfa/collect.scm 215 */
{ 
BgL_appzd2lyzd2_bglt BgL_nodez00_3975;obj_t BgL_ownerz00_3976;
BgL_nodez00_3975 = 
(BgL_appzd2lyzd2_bglt)(BgL_nodez00_6791); 
BgL_ownerz00_3976 = BgL_ownerz00_6792; 
{ /* Cfa/collect.scm 216 */
BgL_nodez00_bglt BgL_arg6737z00_5979;
BgL_arg6737z00_5979 = 
(((BgL_appzd2lyzd2_bglt)CREF(BgL_nodez00_3975))->BgL_funz00); 
{ /* Cfa/collect.scm 216 */
BgL_variablez00_bglt BgL_ownerz00_5983;
BgL_ownerz00_5983 = 
(BgL_variablez00_bglt)(BgL_ownerz00_3976); 
{ /* Cfa/collect.scm 216 */
obj_t BgL_method4835z00_5984;
{ /* Cfa/collect.scm 216 */
long BgL_objzd2classzd2numz00_5986;
{ /* Cfa/collect.scm 216 */
BgL_objectz00_bglt BgL_auxz00_7733;
BgL_auxz00_7733 = 
(BgL_objectz00_bglt)(BgL_arg6737z00_5979); 
BgL_objzd2classzd2numz00_5986 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_7733); } 
{ /* Cfa/collect.scm 216 */
obj_t BgL_arg1904z00_5987;
{ /* Cfa/collect.scm 216 */
int BgL_auxz00_7736;
BgL_auxz00_7736 = 
(int)(((long)1)); 
BgL_arg1904z00_5987 = 
PROCEDURE_REF(BGl_nodezd2collectz12zd2envz12zzcfa_collectz00, BgL_auxz00_7736); } 
{ /* Cfa/collect.scm 216 */
long BgL_offsetz00_5991;
{ /* Cfa/collect.scm 216 */
long BgL_auxz00_7739;
{ /* Cfa/collect.scm 216 */
int BgL_auxz00_7740;
BgL_auxz00_7740 = 
(int)(BgL_objzd2classzd2numz00_5986); 
BgL_auxz00_7739 = 
(long)(BgL_auxz00_7740); } 
BgL_offsetz00_5991 = 
(BgL_auxz00_7739-OBJECT_TYPE); } 
{ /* Cfa/collect.scm 216 */
long BgL_modz00_5992;
{ /* Cfa/collect.scm 216 */
long BgL_auxz00_7744;
{ /* Cfa/collect.scm 216 */
int BgL_auxz00_7745;
BgL_auxz00_7745 = 
(int)(((long)8)); 
BgL_auxz00_7744 = 
(long)(BgL_auxz00_7745); } 
BgL_modz00_5992 = 
(BgL_offsetz00_5991/BgL_auxz00_7744); } 
{ /* Cfa/collect.scm 216 */
long BgL_restz00_5994;
{ /* Cfa/collect.scm 216 */
long BgL_auxz00_7749;
{ /* Cfa/collect.scm 216 */
int BgL_auxz00_7750;
BgL_auxz00_7750 = 
(int)(((long)8)); 
BgL_auxz00_7749 = 
(long)(BgL_auxz00_7750); } 
BgL_restz00_5994 = 
(BgL_offsetz00_5991%BgL_auxz00_7749); } 
{ /* Cfa/collect.scm 216 */

{ /* Cfa/collect.scm 216 */
obj_t BgL_bucketz00_5996;
{ /* Cfa/collect.scm 216 */
int BgL_kz00_6006;
BgL_kz00_6006 = 
(int)(BgL_modz00_5992); 
BgL_bucketz00_5996 = 
VECTOR_REF(BgL_arg1904z00_5987,BgL_kz00_6006); } 
{ /* Cfa/collect.scm 216 */
int BgL_kz00_6008;
BgL_kz00_6008 = 
(int)(BgL_restz00_5994); 
BgL_method4835z00_5984 = 
VECTOR_REF(BgL_bucketz00_5996,BgL_kz00_6008); } } } } } } } } 
PROCEDURE_ENTRY(BgL_method4835z00_5984)(BgL_method4835z00_5984, 
(obj_t)(BgL_arg6737z00_5979), 
(obj_t)(BgL_ownerz00_5983), BEOA); } } } 
{ /* Cfa/collect.scm 216 */
BgL_nodez00_bglt BgL_arg6741z00_5980;
BgL_arg6741z00_5980 = 
(((BgL_appzd2lyzd2_bglt)CREF(BgL_nodez00_3975))->BgL_argz00); 
{ /* Cfa/collect.scm 216 */
BgL_variablez00_bglt BgL_ownerz00_6011;
BgL_ownerz00_6011 = 
(BgL_variablez00_bglt)(BgL_ownerz00_3976); 
{ /* Cfa/collect.scm 216 */
obj_t BgL_method4835z00_6012;
{ /* Cfa/collect.scm 216 */
long BgL_objzd2classzd2numz00_6014;
{ /* Cfa/collect.scm 216 */
BgL_objectz00_bglt BgL_auxz00_7764;
BgL_auxz00_7764 = 
(BgL_objectz00_bglt)(BgL_arg6741z00_5980); 
BgL_objzd2classzd2numz00_6014 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_7764); } 
{ /* Cfa/collect.scm 216 */
obj_t BgL_arg1904z00_6015;
{ /* Cfa/collect.scm 216 */
int BgL_auxz00_7767;
BgL_auxz00_7767 = 
(int)(((long)1)); 
BgL_arg1904z00_6015 = 
PROCEDURE_REF(BGl_nodezd2collectz12zd2envz12zzcfa_collectz00, BgL_auxz00_7767); } 
{ /* Cfa/collect.scm 216 */
long BgL_offsetz00_6019;
{ /* Cfa/collect.scm 216 */
long BgL_auxz00_7770;
{ /* Cfa/collect.scm 216 */
int BgL_auxz00_7771;
BgL_auxz00_7771 = 
(int)(BgL_objzd2classzd2numz00_6014); 
BgL_auxz00_7770 = 
(long)(BgL_auxz00_7771); } 
BgL_offsetz00_6019 = 
(BgL_auxz00_7770-OBJECT_TYPE); } 
{ /* Cfa/collect.scm 216 */
long BgL_modz00_6020;
{ /* Cfa/collect.scm 216 */
long BgL_auxz00_7775;
{ /* Cfa/collect.scm 216 */
int BgL_auxz00_7776;
BgL_auxz00_7776 = 
(int)(((long)8)); 
BgL_auxz00_7775 = 
(long)(BgL_auxz00_7776); } 
BgL_modz00_6020 = 
(BgL_offsetz00_6019/BgL_auxz00_7775); } 
{ /* Cfa/collect.scm 216 */
long BgL_restz00_6022;
{ /* Cfa/collect.scm 216 */
long BgL_auxz00_7780;
{ /* Cfa/collect.scm 216 */
int BgL_auxz00_7781;
BgL_auxz00_7781 = 
(int)(((long)8)); 
BgL_auxz00_7780 = 
(long)(BgL_auxz00_7781); } 
BgL_restz00_6022 = 
(BgL_offsetz00_6019%BgL_auxz00_7780); } 
{ /* Cfa/collect.scm 216 */

{ /* Cfa/collect.scm 216 */
obj_t BgL_bucketz00_6024;
{ /* Cfa/collect.scm 216 */
int BgL_kz00_6034;
BgL_kz00_6034 = 
(int)(BgL_modz00_6020); 
BgL_bucketz00_6024 = 
VECTOR_REF(BgL_arg1904z00_6015,BgL_kz00_6034); } 
{ /* Cfa/collect.scm 216 */
int BgL_kz00_6036;
BgL_kz00_6036 = 
(int)(BgL_restz00_6022); 
BgL_method4835z00_6012 = 
VECTOR_REF(BgL_bucketz00_6024,BgL_kz00_6036); } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method4835z00_6012)(BgL_method4835z00_6012, 
(obj_t)(BgL_arg6741z00_5980), 
(obj_t)(BgL_ownerz00_6011), BEOA);} } } } } 
}



/* node-collect!-valloc4847 */
obj_t BGl_nodezd2collectz12zd2valloc4847z12zzcfa_collectz00(obj_t BgL_envz00_6793, obj_t BgL_nodez00_6794, obj_t BgL_ownerz00_6795)
{ AN_OBJECT;
{ /* Cfa/collect.scm 204 */
{ 
BgL_vallocz00_bglt BgL_nodez00_3962;obj_t BgL_ownerz00_3963;
BgL_nodez00_3962 = 
(BgL_vallocz00_bglt)(BgL_nodez00_6794); 
BgL_ownerz00_3963 = BgL_ownerz00_6795; 
BGl_nodezd2collectza2z12z62zzcfa_collectz00(
(((BgL_vallocz00_bglt)CREF(BgL_nodez00_3962))->BgL_exprza2za2), BgL_ownerz00_3963); 
{ /* Cfa/collect.scm 207 */
bool_t BgL_test6716z00_3968;
BgL_test6716z00_3968 = 
BGl_vectorzd2optimzf3z21zzcfa_vectorz00(); 
if(BgL_test6716z00_3968)
{ /* Cfa/collect.scm 207 */
{ /* Cfa/collect.scm 209 */
obj_t BgL_auxz00_7798;
BgL_auxz00_7798 = 
(obj_t)(BgL_nodez00_3962); 
BGl_za2usedzd2allocza2zd2zzcfa_collectz00 = 
MAKE_PAIR(BgL_auxz00_7798, BGl_za2usedzd2allocza2zd2zzcfa_collectz00); } 
{ /* Cfa/collect.scm 210 */
BgL_prezd2valloczf2cinfoz20_bglt BgL_obj4796z00_3969;
BgL_obj4796z00_3969 = 
((BgL_prezd2valloczf2cinfoz20_bglt)BgL_nodez00_3962); 
{ /* Cfa/collect.scm 210 */
BgL_prezd2valloczf2cinfoz20_bglt BgL_arg6719z00_3970;
{ /* Cfa/collect.scm 210 */
BgL_prezd2valloczf2cinfoz20_bglt BgL_res7142z00_5974;
{ /* Cfa/collect.scm 210 */
BgL_variablez00_bglt BgL_owner4628z00_5968;
{ /* Cfa/collect.scm 210 */
obj_t BgL_auxz00_7802;
BgL_auxz00_7802 = BgL_ownerz00_3963; 
BgL_owner4628z00_5968 = 
(BgL_variablez00_bglt)(BgL_auxz00_7802); } 
{ /* Cfa/collect.scm 210 */
BgL_prezd2valloczf2cinfoz20_bglt BgL_new4629z00_5969;
BgL_new4629z00_5969 = 
((BgL_prezd2valloczf2cinfoz20_bglt)BREF( GC_MALLOC (sizeof(struct BgL_prezd2valloczf2cinfoz20_bgl)))); 
{ /* Cfa/collect.scm 210 */
BgL_prezd2valloczf2cinfoz20_bglt BgL_res7141z00_5973;
((((BgL_prezd2valloczf2cinfoz20_bglt)CREF(BgL_new4629z00_5969))->BgL_ownerz00) = ((BgL_variablez00_bglt)BgL_owner4628z00_5968), BUNSPEC); 
BgL_res7141z00_5973 = BgL_new4629z00_5969; BgL_res7141z00_5973; } 
BgL_res7142z00_5974 = BgL_new4629z00_5969; } } 
BgL_arg6719z00_3970 = BgL_res7142z00_5974; } 
{ /* Cfa/collect.scm 210 */
obj_t BgL_auxz00_7808;BgL_objectz00_bglt BgL_auxz00_7806;
BgL_auxz00_7808 = 
(obj_t)(BgL_arg6719z00_3970); 
BgL_auxz00_7806 = 
(BgL_objectz00_bglt)(BgL_obj4796z00_3969); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_7806, BgL_auxz00_7808); } } 
{ /* Cfa/collect.scm 210 */
long BgL_arg6725z00_3972;
BgL_arg6725z00_3972 = 
BGl_classzd2numzd2zz__objectz00(BGl_prezd2valloczf2Cinfoz20zzcfa_info3z00); 
{ /* Cfa/collect.scm 210 */
BgL_objectz00_bglt BgL_auxz00_7812;
BgL_auxz00_7812 = 
(BgL_objectz00_bglt)(BgL_obj4796z00_3969); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_7812, BgL_arg6725z00_3972); } } 
{ /* Cfa/collect.scm 210 */
obj_t BgL_auxz00_7815;
BgL_auxz00_7815 = 
(obj_t)(BgL_obj4796z00_3969); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_7815); } BUNSPEC; 
return 
(obj_t)(BgL_obj4796z00_3969);} }  else 
{ /* Cfa/collect.scm 207 */
return BFALSE;} } } } 
}



/* node-collect!-app4845 */
obj_t BGl_nodezd2collectz12zd2app4845z12zzcfa_collectz00(obj_t BgL_envz00_6796, obj_t BgL_nodez00_6797, obj_t BgL_ownerz00_6798)
{ AN_OBJECT;
{ /* Cfa/collect.scm 148 */
{ 
BgL_appz00_bglt BgL_nodez00_3893;obj_t BgL_ownerz00_3894;
BgL_nodez00_3893 = 
(BgL_appz00_bglt)(BgL_nodez00_6797); 
BgL_ownerz00_3894 = BgL_ownerz00_6798; 
BGl_nodezd2collectza2z12z62zzcfa_collectz00(
(((BgL_appz00_bglt)CREF(BgL_nodez00_3893))->BgL_argsz00), BgL_ownerz00_3894); 
{ /* Cfa/collect.scm 151 */
BgL_nodez00_bglt BgL_nodez00_5840;BgL_variablez00_bglt BgL_ownerz00_5841;
{ /* Cfa/collect.scm 151 */
BgL_varz00_bglt BgL_auxz00_7822;
BgL_auxz00_7822 = 
(((BgL_appz00_bglt)CREF(BgL_nodez00_3893))->BgL_funz00); 
BgL_nodez00_5840 = 
(BgL_nodez00_bglt)(BgL_auxz00_7822); } 
BgL_ownerz00_5841 = 
(BgL_variablez00_bglt)(BgL_ownerz00_3894); 
{ /* Cfa/collect.scm 151 */
obj_t BgL_method4835z00_5842;
{ /* Cfa/collect.scm 151 */
long BgL_objzd2classzd2numz00_5844;
{ /* Cfa/collect.scm 151 */
BgL_objectz00_bglt BgL_auxz00_7826;
BgL_auxz00_7826 = 
(BgL_objectz00_bglt)(BgL_nodez00_5840); 
BgL_objzd2classzd2numz00_5844 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_7826); } 
{ /* Cfa/collect.scm 151 */
obj_t BgL_arg1904z00_5845;
{ /* Cfa/collect.scm 151 */
int BgL_auxz00_7829;
BgL_auxz00_7829 = 
(int)(((long)1)); 
BgL_arg1904z00_5845 = 
PROCEDURE_REF(BGl_nodezd2collectz12zd2envz12zzcfa_collectz00, BgL_auxz00_7829); } 
{ /* Cfa/collect.scm 151 */
long BgL_offsetz00_5849;
{ /* Cfa/collect.scm 151 */
long BgL_auxz00_7832;
{ /* Cfa/collect.scm 151 */
int BgL_auxz00_7833;
BgL_auxz00_7833 = 
(int)(BgL_objzd2classzd2numz00_5844); 
BgL_auxz00_7832 = 
(long)(BgL_auxz00_7833); } 
BgL_offsetz00_5849 = 
(BgL_auxz00_7832-OBJECT_TYPE); } 
{ /* Cfa/collect.scm 151 */
long BgL_modz00_5850;
{ /* Cfa/collect.scm 151 */
long BgL_auxz00_7837;
{ /* Cfa/collect.scm 151 */
int BgL_auxz00_7838;
BgL_auxz00_7838 = 
(int)(((long)8)); 
BgL_auxz00_7837 = 
(long)(BgL_auxz00_7838); } 
BgL_modz00_5850 = 
(BgL_offsetz00_5849/BgL_auxz00_7837); } 
{ /* Cfa/collect.scm 151 */
long BgL_restz00_5852;
{ /* Cfa/collect.scm 151 */
long BgL_auxz00_7842;
{ /* Cfa/collect.scm 151 */
int BgL_auxz00_7843;
BgL_auxz00_7843 = 
(int)(((long)8)); 
BgL_auxz00_7842 = 
(long)(BgL_auxz00_7843); } 
BgL_restz00_5852 = 
(BgL_offsetz00_5849%BgL_auxz00_7842); } 
{ /* Cfa/collect.scm 151 */

{ /* Cfa/collect.scm 151 */
obj_t BgL_bucketz00_5854;
{ /* Cfa/collect.scm 151 */
int BgL_kz00_5864;
BgL_kz00_5864 = 
(int)(BgL_modz00_5850); 
BgL_bucketz00_5854 = 
VECTOR_REF(BgL_arg1904z00_5845,BgL_kz00_5864); } 
{ /* Cfa/collect.scm 151 */
int BgL_kz00_5866;
BgL_kz00_5866 = 
(int)(BgL_restz00_5852); 
BgL_method4835z00_5842 = 
VECTOR_REF(BgL_bucketz00_5854,BgL_kz00_5866); } } } } } } } } 
PROCEDURE_ENTRY(BgL_method4835z00_5842)(BgL_method4835z00_5842, 
(obj_t)(BgL_nodez00_5840), 
(obj_t)(BgL_ownerz00_5841), BEOA); } } 
{ /* Cfa/collect.scm 152 */
BgL_variablez00_bglt BgL_vz00_3900;
{ /* Cfa/collect.scm 152 */
BgL_varz00_bglt BgL_arg6703z00_3959;
BgL_arg6703z00_3959 = 
(((BgL_appz00_bglt)CREF(BgL_nodez00_3893))->BgL_funz00); 
BgL_vz00_3900 = 
(((BgL_varz00_bglt)CREF(BgL_arg6703z00_3959))->BgL_variablez00); } 
{ /* Cfa/collect.scm 153 */
bool_t BgL_test6552z00_3901;
BgL_test6552z00_3901 = 
BGl_iszd2azf3z21zz__objectz00(
(obj_t)(BgL_vz00_3900), BGl_globalz00zzast_varz00); 
if(BgL_test6552z00_3901)
{ /* Cfa/collect.scm 154 */
bool_t BgL_test6553z00_3902;
{ /* Cfa/collect.scm 154 */
obj_t BgL_auxz00_7860;
{ /* Cfa/collect.scm 154 */
BgL_valuez00_bglt BgL_auxz00_7861;
BgL_auxz00_7861 = 
(((BgL_variablez00_bglt)CREF(BgL_vz00_3900))->BgL_valuez00); 
BgL_auxz00_7860 = 
(obj_t)(BgL_auxz00_7861); } 
BgL_test6553z00_3902 = 
BGl_iszd2azf3z21zz__objectz00(BgL_auxz00_7860, BGl_cfunz00zzast_varz00); } 
if(BgL_test6553z00_3902)
{ /* Cfa/collect.scm 154 */
{ /* Cfa/collect.scm 160 */
obj_t BgL_casezd2valuezd2_3903;
{ /* Cfa/collect.scm 160 */
BgL_globalz00_bglt BgL_obj1172z00_5872;
BgL_obj1172z00_5872 = 
(BgL_globalz00_bglt)(BgL_vz00_3900); 
BgL_casezd2valuezd2_3903 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1172z00_5872))->BgL_idz00); } 
{ /* Cfa/collect.scm 161 */
bool_t BgL_testz00_7868;
{ /* Cfa/collect.scm 162 */
obj_t BgL_auxz00_7869;
BgL_auxz00_7869 = 
CNST_TABLE_REF(((long)5)); 
BgL_testz00_7868 = 
(BgL_casezd2valuezd2_3903==BgL_auxz00_7869); } 
if(BgL_testz00_7868)
{ /* Cfa/collect.scm 161 */
if(
CBOOL(BGl_za2optimzd2cfazd2arithmeticzf3za2zf3zzengine_paramz00))
{ /* Cfa/collect.scm 163 */
BgL_prezd2arithmeticzd2appz00_bglt BgL_obj4784z00_3905;
BgL_obj4784z00_3905 = 
((BgL_prezd2arithmeticzd2appz00_bglt)BgL_nodez00_3893); 
{ /* Cfa/collect.scm 164 */
BgL_prezd2arithmeticzd2appz00_bglt BgL_arg6556z00_3906;
{ /* Cfa/collect.scm 164 */
obj_t BgL_arg6559z00_3907;
BgL_arg6559z00_3907 = 
BGl_arithmeticzd2speczd2typesz00zzcfa_specializa7eza7(
(BgL_globalz00_bglt)(BgL_vz00_3900)); 
{ /* Cfa/collect.scm 163 */
BgL_prezd2arithmeticzd2appz00_bglt BgL_res7126z00_5879;
{ /* Cfa/collect.scm 163 */
BgL_prezd2arithmeticzd2appz00_bglt BgL_new3654z00_5874;
BgL_new3654z00_5874 = 
((BgL_prezd2arithmeticzd2appz00_bglt)BREF( GC_MALLOC (sizeof(struct BgL_prezd2arithmeticzd2appz00_bgl)))); 
{ /* Cfa/collect.scm 163 */
BgL_prezd2arithmeticzd2appz00_bglt BgL_res7125z00_5878;
((((BgL_prezd2arithmeticzd2appz00_bglt)CREF(BgL_new3654z00_5874))->BgL_speczd2typeszd2) = ((obj_t)BgL_arg6559z00_3907), BUNSPEC); 
BgL_res7125z00_5878 = BgL_new3654z00_5874; BgL_res7125z00_5878; } 
BgL_res7126z00_5879 = BgL_new3654z00_5874; } 
BgL_arg6556z00_3906 = BgL_res7126z00_5879; } } 
{ /* Cfa/collect.scm 163 */
obj_t BgL_auxz00_7881;BgL_objectz00_bglt BgL_auxz00_7879;
BgL_auxz00_7881 = 
(obj_t)(BgL_arg6556z00_3906); 
BgL_auxz00_7879 = 
(BgL_objectz00_bglt)(BgL_obj4784z00_3905); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_7879, BgL_auxz00_7881); } } 
{ /* Cfa/collect.scm 163 */
long BgL_arg6563z00_3908;
BgL_arg6563z00_3908 = 
BGl_classzd2numzd2zz__objectz00(BGl_prezd2arithmeticzd2appz00zzcfa_info2z00); 
{ /* Cfa/collect.scm 163 */
BgL_objectz00_bglt BgL_auxz00_7885;
BgL_auxz00_7885 = 
(BgL_objectz00_bglt)(BgL_obj4784z00_3905); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_7885, BgL_arg6563z00_3908); } } 
{ /* Cfa/collect.scm 163 */
obj_t BgL_auxz00_7888;
BgL_auxz00_7888 = 
(obj_t)(BgL_obj4784z00_3905); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_7888); } BUNSPEC; 
(obj_t)(BgL_obj4784z00_3905); }  else 
{ /* Cfa/collect.scm 162 */BFALSE; } }  else 
{ /* Cfa/collect.scm 161 */
bool_t BgL_testz00_7892;
{ /* Cfa/collect.scm 161 */
obj_t BgL_auxz00_7893;
BgL_auxz00_7893 = 
CNST_TABLE_REF(((long)6)); 
BgL_testz00_7892 = 
(BgL_casezd2valuezd2_3903==BgL_auxz00_7893); } 
if(BgL_testz00_7892)
{ /* Cfa/collect.scm 161 */
{ /* Cfa/collect.scm 166 */
obj_t BgL_auxz00_7896;
BgL_auxz00_7896 = 
(obj_t)(BgL_nodez00_3893); 
BGl_za2usedzd2allocza2zd2zzcfa_collectz00 = 
MAKE_PAIR(BgL_auxz00_7896, BGl_za2usedzd2allocza2zd2zzcfa_collectz00); } 
{ /* Cfa/collect.scm 167 */
BgL_prezd2makezd2procedurezd2appzd2_bglt BgL_obj4785z00_3910;
BgL_obj4785z00_3910 = 
((BgL_prezd2makezd2procedurezd2appzd2_bglt)BgL_nodez00_3893); 
{ /* Cfa/collect.scm 167 */
BgL_prezd2makezd2procedurezd2appzd2_bglt BgL_arg6570z00_3911;
{ /* Cfa/collect.scm 167 */
BgL_prezd2makezd2procedurezd2appzd2_bglt BgL_res7128z00_5890;
{ /* Cfa/collect.scm 167 */
BgL_variablez00_bglt BgL_owner3731z00_5884;
{ /* Cfa/collect.scm 167 */
obj_t BgL_auxz00_7900;
BgL_auxz00_7900 = BgL_ownerz00_3894; 
BgL_owner3731z00_5884 = 
(BgL_variablez00_bglt)(BgL_auxz00_7900); } 
{ /* Cfa/collect.scm 167 */
BgL_prezd2makezd2procedurezd2appzd2_bglt BgL_new3732z00_5885;
BgL_new3732z00_5885 = 
((BgL_prezd2makezd2procedurezd2appzd2_bglt)BREF( GC_MALLOC (sizeof(struct BgL_prezd2makezd2procedurezd2appzd2_bgl)))); 
{ /* Cfa/collect.scm 167 */
BgL_prezd2makezd2procedurezd2appzd2_bglt BgL_res7127z00_5889;
((((BgL_prezd2makezd2procedurezd2appzd2_bglt)CREF(BgL_new3732z00_5885))->BgL_ownerz00) = ((BgL_variablez00_bglt)BgL_owner3731z00_5884), BUNSPEC); 
BgL_res7127z00_5889 = BgL_new3732z00_5885; BgL_res7127z00_5889; } 
BgL_res7128z00_5890 = BgL_new3732z00_5885; } } 
BgL_arg6570z00_3911 = BgL_res7128z00_5890; } 
{ /* Cfa/collect.scm 167 */
obj_t BgL_auxz00_7906;BgL_objectz00_bglt BgL_auxz00_7904;
BgL_auxz00_7906 = 
(obj_t)(BgL_arg6570z00_3911); 
BgL_auxz00_7904 = 
(BgL_objectz00_bglt)(BgL_obj4785z00_3910); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_7904, BgL_auxz00_7906); } } 
{ /* Cfa/collect.scm 167 */
long BgL_arg6576z00_3913;
BgL_arg6576z00_3913 = 
BGl_classzd2numzd2zz__objectz00(BGl_prezd2makezd2procedurezd2appzd2zzcfa_info2z00); 
{ /* Cfa/collect.scm 167 */
BgL_objectz00_bglt BgL_auxz00_7910;
BgL_auxz00_7910 = 
(BgL_objectz00_bglt)(BgL_obj4785z00_3910); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_7910, BgL_arg6576z00_3913); } } 
{ /* Cfa/collect.scm 167 */
obj_t BgL_auxz00_7913;
BgL_auxz00_7913 = 
(obj_t)(BgL_obj4785z00_3910); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_7913); } BUNSPEC; 
(obj_t)(BgL_obj4785z00_3910); } }  else 
{ /* Cfa/collect.scm 161 */
bool_t BgL_testz00_7917;
{ /* Cfa/collect.scm 161 */
obj_t BgL_auxz00_7918;
BgL_auxz00_7918 = 
CNST_TABLE_REF(((long)7)); 
BgL_testz00_7917 = 
(BgL_casezd2valuezd2_3903==BgL_auxz00_7918); } 
if(BgL_testz00_7917)
{ /* Cfa/collect.scm 161 */
{ /* Cfa/collect.scm 169 */
obj_t BgL_auxz00_7921;
BgL_auxz00_7921 = 
(obj_t)(BgL_nodez00_3893); 
BGl_za2usedzd2allocza2zd2zzcfa_collectz00 = 
MAKE_PAIR(BgL_auxz00_7921, BGl_za2usedzd2allocza2zd2zzcfa_collectz00); } 
{ /* Cfa/collect.scm 170 */
BgL_prezd2makezd2procedurezd2appzd2_bglt BgL_obj4786z00_3915;
BgL_obj4786z00_3915 = 
((BgL_prezd2makezd2procedurezd2appzd2_bglt)BgL_nodez00_3893); 
{ /* Cfa/collect.scm 170 */
BgL_prezd2makezd2procedurezd2appzd2_bglt BgL_arg6583z00_3916;
{ /* Cfa/collect.scm 170 */
BgL_prezd2makezd2procedurezd2appzd2_bglt BgL_res7130z00_5901;
{ /* Cfa/collect.scm 170 */
BgL_variablez00_bglt BgL_owner3731z00_5895;
{ /* Cfa/collect.scm 170 */
obj_t BgL_auxz00_7925;
BgL_auxz00_7925 = BgL_ownerz00_3894; 
BgL_owner3731z00_5895 = 
(BgL_variablez00_bglt)(BgL_auxz00_7925); } 
{ /* Cfa/collect.scm 170 */
BgL_prezd2makezd2procedurezd2appzd2_bglt BgL_new3732z00_5896;
BgL_new3732z00_5896 = 
((BgL_prezd2makezd2procedurezd2appzd2_bglt)BREF( GC_MALLOC (sizeof(struct BgL_prezd2makezd2procedurezd2appzd2_bgl)))); 
{ /* Cfa/collect.scm 170 */
BgL_prezd2makezd2procedurezd2appzd2_bglt BgL_res7129z00_5900;
((((BgL_prezd2makezd2procedurezd2appzd2_bglt)CREF(BgL_new3732z00_5896))->BgL_ownerz00) = ((BgL_variablez00_bglt)BgL_owner3731z00_5895), BUNSPEC); 
BgL_res7129z00_5900 = BgL_new3732z00_5896; BgL_res7129z00_5900; } 
BgL_res7130z00_5901 = BgL_new3732z00_5896; } } 
BgL_arg6583z00_3916 = BgL_res7130z00_5901; } 
{ /* Cfa/collect.scm 170 */
obj_t BgL_auxz00_7931;BgL_objectz00_bglt BgL_auxz00_7929;
BgL_auxz00_7931 = 
(obj_t)(BgL_arg6583z00_3916); 
BgL_auxz00_7929 = 
(BgL_objectz00_bglt)(BgL_obj4786z00_3915); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_7929, BgL_auxz00_7931); } } 
{ /* Cfa/collect.scm 170 */
long BgL_arg6589z00_3918;
BgL_arg6589z00_3918 = 
BGl_classzd2numzd2zz__objectz00(BGl_prezd2makezd2procedurezd2appzd2zzcfa_info2z00); 
{ /* Cfa/collect.scm 170 */
BgL_objectz00_bglt BgL_auxz00_7935;
BgL_auxz00_7935 = 
(BgL_objectz00_bglt)(BgL_obj4786z00_3915); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_7935, BgL_arg6589z00_3918); } } 
{ /* Cfa/collect.scm 170 */
obj_t BgL_auxz00_7938;
BgL_auxz00_7938 = 
(obj_t)(BgL_obj4786z00_3915); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_7938); } BUNSPEC; 
(obj_t)(BgL_obj4786z00_3915); } }  else 
{ /* Cfa/collect.scm 161 */
bool_t BgL_testz00_7942;
{ /* Cfa/collect.scm 161 */
obj_t BgL_auxz00_7943;
BgL_auxz00_7943 = 
CNST_TABLE_REF(((long)8)); 
BgL_testz00_7942 = 
(BgL_casezd2valuezd2_3903==BgL_auxz00_7943); } 
if(BgL_testz00_7942)
{ /* Cfa/collect.scm 172 */
BgL_prezd2procedurezd2refzd2appzd2_bglt BgL_obj4787z00_3920;
BgL_obj4787z00_3920 = 
((BgL_prezd2procedurezd2refzd2appzd2_bglt)BgL_nodez00_3893); 
{ /* Cfa/collect.scm 172 */
obj_t BgL_auxz00_7949;BgL_objectz00_bglt BgL_auxz00_7947;
{ /* Cfa/collect.scm 172 */
BgL_prezd2procedurezd2refzd2appzd2_bglt BgL_auxz00_7950;
{ /* Cfa/collect.scm 172 */
BgL_prezd2procedurezd2refzd2appzd2_bglt BgL_new3768z00_5905;
BgL_new3768z00_5905 = 
((BgL_prezd2procedurezd2refzd2appzd2_bglt)BREF( GC_MALLOC (sizeof(struct BgL_prezd2procedurezd2refzd2appzd2_bgl)))); 
BgL_auxz00_7950 = BgL_new3768z00_5905; } 
BgL_auxz00_7949 = 
(obj_t)(BgL_auxz00_7950); } 
BgL_auxz00_7947 = 
(BgL_objectz00_bglt)(BgL_obj4787z00_3920); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_7947, BgL_auxz00_7949); } 
{ /* Cfa/collect.scm 172 */
long BgL_arg6599z00_3922;
BgL_arg6599z00_3922 = 
BGl_classzd2numzd2zz__objectz00(BGl_prezd2procedurezd2refzd2appzd2zzcfa_info2z00); 
{ /* Cfa/collect.scm 172 */
BgL_objectz00_bglt BgL_auxz00_7955;
BgL_auxz00_7955 = 
(BgL_objectz00_bglt)(BgL_obj4787z00_3920); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_7955, BgL_arg6599z00_3922); } } 
{ /* Cfa/collect.scm 172 */
obj_t BgL_auxz00_7958;
BgL_auxz00_7958 = 
(obj_t)(BgL_obj4787z00_3920); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_7958); } BUNSPEC; 
(obj_t)(BgL_obj4787z00_3920); }  else 
{ /* Cfa/collect.scm 161 */
bool_t BgL_testz00_7962;
{ /* Cfa/collect.scm 161 */
obj_t BgL_auxz00_7963;
BgL_auxz00_7963 = 
CNST_TABLE_REF(((long)9)); 
BgL_testz00_7962 = 
(BgL_casezd2valuezd2_3903==BgL_auxz00_7963); } 
if(BgL_testz00_7962)
{ /* Cfa/collect.scm 174 */
BgL_prezd2procedurezd2setz12zd2appzc0_bglt BgL_obj4788z00_3924;
BgL_obj4788z00_3924 = 
((BgL_prezd2procedurezd2setz12zd2appzc0_bglt)BgL_nodez00_3893); 
{ /* Cfa/collect.scm 174 */
obj_t BgL_auxz00_7969;BgL_objectz00_bglt BgL_auxz00_7967;
{ /* Cfa/collect.scm 174 */
BgL_prezd2procedurezd2setz12zd2appzc0_bglt BgL_auxz00_7970;
{ /* Cfa/collect.scm 174 */
BgL_prezd2procedurezd2setz12zd2appzc0_bglt BgL_new3798z00_5911;
BgL_new3798z00_5911 = 
((BgL_prezd2procedurezd2setz12zd2appzc0_bglt)BREF( GC_MALLOC (sizeof(struct BgL_prezd2procedurezd2setz12zd2appzc0_bgl)))); 
BgL_auxz00_7970 = BgL_new3798z00_5911; } 
BgL_auxz00_7969 = 
(obj_t)(BgL_auxz00_7970); } 
BgL_auxz00_7967 = 
(BgL_objectz00_bglt)(BgL_obj4788z00_3924); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_7967, BgL_auxz00_7969); } 
{ /* Cfa/collect.scm 174 */
long BgL_arg6609z00_3926;
BgL_arg6609z00_3926 = 
BGl_classzd2numzd2zz__objectz00(BGl_prezd2procedurezd2setz12zd2appzc0zzcfa_info2z00); 
{ /* Cfa/collect.scm 174 */
BgL_objectz00_bglt BgL_auxz00_7975;
BgL_auxz00_7975 = 
(BgL_objectz00_bglt)(BgL_obj4788z00_3924); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_7975, BgL_arg6609z00_3926); } } 
{ /* Cfa/collect.scm 174 */
obj_t BgL_auxz00_7978;
BgL_auxz00_7978 = 
(obj_t)(BgL_obj4788z00_3924); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_7978); } BUNSPEC; 
(obj_t)(BgL_obj4788z00_3924); }  else 
{ /* Cfa/collect.scm 161 */BUNSPEC; } } } } } } } 
{ /* Cfa/collect.scm 175 */
bool_t BgL_test6619z00_3927;
BgL_test6619z00_3927 = 
BGl_vectorzd2optimzf3z21zzcfa_vectorz00(); 
if(BgL_test6619z00_3927)
{ /* Cfa/collect.scm 176 */
obj_t BgL_casezd2valuezd2_3928;
{ /* Cfa/collect.scm 176 */
BgL_globalz00_bglt BgL_obj1172z00_5917;
BgL_obj1172z00_5917 = 
(BgL_globalz00_bglt)(BgL_vz00_3900); 
BgL_casezd2valuezd2_3928 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1172z00_5917))->BgL_idz00); } 
{ /* Cfa/collect.scm 177 */
bool_t BgL_testz00_7986;
{ /* Cfa/collect.scm 178 */
obj_t BgL_auxz00_7987;
BgL_auxz00_7987 = 
CNST_TABLE_REF(((long)10)); 
BgL_testz00_7986 = 
(BgL_casezd2valuezd2_3928==BgL_auxz00_7987); } 
if(BgL_testz00_7986)
{ /* Cfa/collect.scm 177 */
{ /* Cfa/collect.scm 178 */
obj_t BgL_auxz00_7990;
BgL_auxz00_7990 = 
(obj_t)(BgL_nodez00_3893); 
BGl_za2usedzd2allocza2zd2zzcfa_collectz00 = 
MAKE_PAIR(BgL_auxz00_7990, BGl_za2usedzd2allocza2zd2zzcfa_collectz00); } 
{ /* Cfa/collect.scm 179 */
BgL_prezd2makezd2vectorzd2appzd2_bglt BgL_obj4789z00_3930;
BgL_obj4789z00_3930 = 
((BgL_prezd2makezd2vectorzd2appzd2_bglt)BgL_nodez00_3893); 
{ /* Cfa/collect.scm 179 */
BgL_prezd2makezd2vectorzd2appzd2_bglt BgL_arg6623z00_3931;
{ /* Cfa/collect.scm 179 */
BgL_prezd2makezd2vectorzd2appzd2_bglt BgL_res7134z00_5925;
{ /* Cfa/collect.scm 179 */
BgL_variablez00_bglt BgL_owner3985z00_5919;
{ /* Cfa/collect.scm 179 */
obj_t BgL_auxz00_7994;
BgL_auxz00_7994 = BgL_ownerz00_3894; 
BgL_owner3985z00_5919 = 
(BgL_variablez00_bglt)(BgL_auxz00_7994); } 
{ /* Cfa/collect.scm 179 */
BgL_prezd2makezd2vectorzd2appzd2_bglt BgL_new3986z00_5920;
BgL_new3986z00_5920 = 
((BgL_prezd2makezd2vectorzd2appzd2_bglt)BREF( GC_MALLOC (sizeof(struct BgL_prezd2makezd2vectorzd2appzd2_bgl)))); 
{ /* Cfa/collect.scm 179 */
BgL_prezd2makezd2vectorzd2appzd2_bglt BgL_res7133z00_5924;
((((BgL_prezd2makezd2vectorzd2appzd2_bglt)CREF(BgL_new3986z00_5920))->BgL_ownerz00) = ((BgL_variablez00_bglt)BgL_owner3985z00_5919), BUNSPEC); 
BgL_res7133z00_5924 = BgL_new3986z00_5920; BgL_res7133z00_5924; } 
BgL_res7134z00_5925 = BgL_new3986z00_5920; } } 
BgL_arg6623z00_3931 = BgL_res7134z00_5925; } 
{ /* Cfa/collect.scm 179 */
obj_t BgL_auxz00_8000;BgL_objectz00_bglt BgL_auxz00_7998;
BgL_auxz00_8000 = 
(obj_t)(BgL_arg6623z00_3931); 
BgL_auxz00_7998 = 
(BgL_objectz00_bglt)(BgL_obj4789z00_3930); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_7998, BgL_auxz00_8000); } } 
{ /* Cfa/collect.scm 179 */
long BgL_arg6629z00_3933;
BgL_arg6629z00_3933 = 
BGl_classzd2numzd2zz__objectz00(BGl_prezd2makezd2vectorzd2appzd2zzcfa_info2z00); 
{ /* Cfa/collect.scm 179 */
BgL_objectz00_bglt BgL_auxz00_8004;
BgL_auxz00_8004 = 
(BgL_objectz00_bglt)(BgL_obj4789z00_3930); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_8004, BgL_arg6629z00_3933); } } 
{ /* Cfa/collect.scm 179 */
obj_t BgL_auxz00_8007;
BgL_auxz00_8007 = 
(obj_t)(BgL_obj4789z00_3930); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_8007); } BUNSPEC; 
(obj_t)(BgL_obj4789z00_3930); } }  else 
{ /* Cfa/collect.scm 177 */
bool_t BgL_testz00_8011;
{ /* Cfa/collect.scm 177 */
obj_t BgL_auxz00_8012;
BgL_auxz00_8012 = 
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_casezd2valuezd2_3928, 
CNST_TABLE_REF(((long)11))); 
BgL_testz00_8011 = 
CBOOL(BgL_auxz00_8012); } 
if(BgL_testz00_8011)
{ /* Cfa/collect.scm 177 */
BGl_internalzd2errorzd2zztools_errorz00(BGl_string7808z00zzcfa_collectz00, BGl_string7809z00zzcfa_collectz00, BgL_casezd2valuezd2_3928); }  else 
{ /* Cfa/collect.scm 177 */BUNSPEC; } } } }  else 
{ /* Cfa/collect.scm 175 */BFALSE; } } 
{ /* Cfa/collect.scm 186 */
bool_t BgL_test6644z00_3938;
{ /* Cfa/collect.scm 186 */
long BgL_n1z00_5930;
BgL_n1z00_5930 = 
(long)CINT(BGl_za2optimza2z00zzengine_paramz00); 
BgL_test6644z00_3938 = 
(BgL_n1z00_5930>=((long)2)); } 
if(BgL_test6644z00_3938)
{ /* Cfa/collect.scm 187 */
obj_t BgL_casezd2valuezd2_3939;
{ /* Cfa/collect.scm 187 */
BgL_globalz00_bglt BgL_obj1172z00_5932;
BgL_obj1172z00_5932 = 
(BgL_globalz00_bglt)(BgL_vz00_3900); 
BgL_casezd2valuezd2_3939 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1172z00_5932))->BgL_idz00); } 
{ /* Cfa/collect.scm 188 */
bool_t BgL_testz00_8022;
{ /* Cfa/collect.scm 189 */
obj_t BgL_auxz00_8023;
BgL_auxz00_8023 = 
CNST_TABLE_REF(((long)12)); 
BgL_testz00_8022 = 
(BgL_casezd2valuezd2_3939==BgL_auxz00_8023); } 
if(BgL_testz00_8022)
{ /* Cfa/collect.scm 188 */
{ /* Cfa/collect.scm 189 */
obj_t BgL_auxz00_8026;
BgL_auxz00_8026 = 
(obj_t)(BgL_nodez00_3893); 
BGl_za2usedzd2allocza2zd2zzcfa_collectz00 = 
MAKE_PAIR(BgL_auxz00_8026, BGl_za2usedzd2allocza2zd2zzcfa_collectz00); } 
{ /* Cfa/collect.scm 190 */
BgL_prezd2makezd2structzd2appzd2_bglt BgL_obj4790z00_3941;
BgL_obj4790z00_3941 = 
((BgL_prezd2makezd2structzd2appzd2_bglt)BgL_nodez00_3893); 
{ /* Cfa/collect.scm 190 */
BgL_prezd2makezd2structzd2appzd2_bglt BgL_arg6648z00_3942;
{ /* Cfa/collect.scm 190 */
BgL_prezd2makezd2structzd2appzd2_bglt BgL_res7136z00_5940;
{ /* Cfa/collect.scm 190 */
BgL_variablez00_bglt BgL_owner4090z00_5934;
{ /* Cfa/collect.scm 190 */
obj_t BgL_auxz00_8030;
BgL_auxz00_8030 = BgL_ownerz00_3894; 
BgL_owner4090z00_5934 = 
(BgL_variablez00_bglt)(BgL_auxz00_8030); } 
{ /* Cfa/collect.scm 190 */
BgL_prezd2makezd2structzd2appzd2_bglt BgL_new4091z00_5935;
BgL_new4091z00_5935 = 
((BgL_prezd2makezd2structzd2appzd2_bglt)BREF( GC_MALLOC (sizeof(struct BgL_prezd2makezd2structzd2appzd2_bgl)))); 
{ /* Cfa/collect.scm 190 */
BgL_prezd2makezd2structzd2appzd2_bglt BgL_res7135z00_5939;
((((BgL_prezd2makezd2structzd2appzd2_bglt)CREF(BgL_new4091z00_5935))->BgL_ownerz00) = ((BgL_variablez00_bglt)BgL_owner4090z00_5934), BUNSPEC); 
BgL_res7135z00_5939 = BgL_new4091z00_5935; BgL_res7135z00_5939; } 
BgL_res7136z00_5940 = BgL_new4091z00_5935; } } 
BgL_arg6648z00_3942 = BgL_res7136z00_5940; } 
{ /* Cfa/collect.scm 190 */
obj_t BgL_auxz00_8036;BgL_objectz00_bglt BgL_auxz00_8034;
BgL_auxz00_8036 = 
(obj_t)(BgL_arg6648z00_3942); 
BgL_auxz00_8034 = 
(BgL_objectz00_bglt)(BgL_obj4790z00_3941); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_8034, BgL_auxz00_8036); } } 
{ /* Cfa/collect.scm 190 */
long BgL_arg6654z00_3944;
BgL_arg6654z00_3944 = 
BGl_classzd2numzd2zz__objectz00(BGl_prezd2makezd2structzd2appzd2zzcfa_info2z00); 
{ /* Cfa/collect.scm 190 */
BgL_objectz00_bglt BgL_auxz00_8040;
BgL_auxz00_8040 = 
(BgL_objectz00_bglt)(BgL_obj4790z00_3941); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_8040, BgL_arg6654z00_3944); } } 
{ /* Cfa/collect.scm 190 */
obj_t BgL_auxz00_8043;
BgL_auxz00_8043 = 
(obj_t)(BgL_obj4790z00_3941); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_8043); } BUNSPEC; 
return 
(obj_t)(BgL_obj4790z00_3941);} }  else 
{ /* Cfa/collect.scm 188 */
bool_t BgL_testz00_8047;
{ /* Cfa/collect.scm 188 */
obj_t BgL_auxz00_8048;
BgL_auxz00_8048 = 
CNST_TABLE_REF(((long)13)); 
BgL_testz00_8047 = 
(BgL_casezd2valuezd2_3939==BgL_auxz00_8048); } 
if(BgL_testz00_8047)
{ /* Cfa/collect.scm 192 */
BgL_prezd2structzd2refzd2appzd2_bglt BgL_obj4791z00_3946;
BgL_obj4791z00_3946 = 
((BgL_prezd2structzd2refzd2appzd2_bglt)BgL_nodez00_3893); 
{ /* Cfa/collect.scm 192 */
obj_t BgL_auxz00_8054;BgL_objectz00_bglt BgL_auxz00_8052;
{ /* Cfa/collect.scm 192 */
BgL_prezd2structzd2refzd2appzd2_bglt BgL_auxz00_8055;
{ /* Cfa/collect.scm 192 */
BgL_prezd2structzd2refzd2appzd2_bglt BgL_new4126z00_5944;
BgL_new4126z00_5944 = 
((BgL_prezd2structzd2refzd2appzd2_bglt)BREF( GC_MALLOC (sizeof(struct BgL_prezd2structzd2refzd2appzd2_bgl)))); 
BgL_auxz00_8055 = BgL_new4126z00_5944; } 
BgL_auxz00_8054 = 
(obj_t)(BgL_auxz00_8055); } 
BgL_auxz00_8052 = 
(BgL_objectz00_bglt)(BgL_obj4791z00_3946); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_8052, BgL_auxz00_8054); } 
{ /* Cfa/collect.scm 192 */
long BgL_arg6664z00_3948;
BgL_arg6664z00_3948 = 
BGl_classzd2numzd2zz__objectz00(BGl_prezd2structzd2refzd2appzd2zzcfa_info2z00); 
{ /* Cfa/collect.scm 192 */
BgL_objectz00_bglt BgL_auxz00_8060;
BgL_auxz00_8060 = 
(BgL_objectz00_bglt)(BgL_obj4791z00_3946); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_8060, BgL_arg6664z00_3948); } } 
{ /* Cfa/collect.scm 192 */
obj_t BgL_auxz00_8063;
BgL_auxz00_8063 = 
(obj_t)(BgL_obj4791z00_3946); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_8063); } BUNSPEC; 
return 
(obj_t)(BgL_obj4791z00_3946);}  else 
{ /* Cfa/collect.scm 188 */
bool_t BgL_testz00_8067;
{ /* Cfa/collect.scm 188 */
obj_t BgL_auxz00_8068;
BgL_auxz00_8068 = 
CNST_TABLE_REF(((long)14)); 
BgL_testz00_8067 = 
(BgL_casezd2valuezd2_3939==BgL_auxz00_8068); } 
if(BgL_testz00_8067)
{ /* Cfa/collect.scm 194 */
BgL_prezd2structzd2setz12zd2appzc0_bglt BgL_obj4792z00_3950;
BgL_obj4792z00_3950 = 
((BgL_prezd2structzd2setz12zd2appzc0_bglt)BgL_nodez00_3893); 
{ /* Cfa/collect.scm 194 */
obj_t BgL_auxz00_8074;BgL_objectz00_bglt BgL_auxz00_8072;
{ /* Cfa/collect.scm 194 */
BgL_prezd2structzd2setz12zd2appzc0_bglt BgL_auxz00_8075;
{ /* Cfa/collect.scm 194 */
BgL_prezd2structzd2setz12zd2appzc0_bglt BgL_new4156z00_5950;
BgL_new4156z00_5950 = 
((BgL_prezd2structzd2setz12zd2appzc0_bglt)BREF( GC_MALLOC (sizeof(struct BgL_prezd2structzd2setz12zd2appzc0_bgl)))); 
BgL_auxz00_8075 = BgL_new4156z00_5950; } 
BgL_auxz00_8074 = 
(obj_t)(BgL_auxz00_8075); } 
BgL_auxz00_8072 = 
(BgL_objectz00_bglt)(BgL_obj4792z00_3950); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_8072, BgL_auxz00_8074); } 
{ /* Cfa/collect.scm 194 */
long BgL_arg6674z00_3952;
BgL_arg6674z00_3952 = 
BGl_classzd2numzd2zz__objectz00(BGl_prezd2structzd2setz12zd2appzc0zzcfa_info2z00); 
{ /* Cfa/collect.scm 194 */
BgL_objectz00_bglt BgL_auxz00_8080;
BgL_auxz00_8080 = 
(BgL_objectz00_bglt)(BgL_obj4792z00_3950); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_8080, BgL_arg6674z00_3952); } } 
{ /* Cfa/collect.scm 194 */
obj_t BgL_auxz00_8083;
BgL_auxz00_8083 = 
(obj_t)(BgL_obj4792z00_3950); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_8083); } BUNSPEC; 
return 
(obj_t)(BgL_obj4792z00_3950);}  else 
{ /* Cfa/collect.scm 188 */
return BUNSPEC;} } } } }  else 
{ /* Cfa/collect.scm 186 */
return BFALSE;} } }  else 
{ /* Cfa/collect.scm 154 */
if(
CBOOL(BGl_za2optimzd2cfazd2arithmeticzf3za2zf3zzengine_paramz00))
{ /* Cfa/collect.scm 197 */
bool_t BgL_test6683z00_3953;
{ /* Cfa/collect.scm 197 */
obj_t BgL_auxz00_8089;
BgL_auxz00_8089 = 
BGl_arithmeticzd2operatorzf3z21zzcfa_specializa7eza7(
(BgL_globalz00_bglt)(BgL_vz00_3900)); 
BgL_test6683z00_3953 = 
CBOOL(BgL_auxz00_8089); } 
if(BgL_test6683z00_3953)
{ /* Cfa/collect.scm 198 */
BgL_prezd2arithmeticzd2appz00_bglt BgL_obj4793z00_3954;
BgL_obj4793z00_3954 = 
((BgL_prezd2arithmeticzd2appz00_bglt)BgL_nodez00_3893); 
{ /* Cfa/collect.scm 199 */
BgL_prezd2arithmeticzd2appz00_bglt BgL_arg6685z00_3955;
{ /* Cfa/collect.scm 199 */
obj_t BgL_arg6688z00_3956;
BgL_arg6688z00_3956 = 
BGl_arithmeticzd2speczd2typesz00zzcfa_specializa7eza7(
(BgL_globalz00_bglt)(BgL_vz00_3900)); 
{ /* Cfa/collect.scm 198 */
BgL_prezd2arithmeticzd2appz00_bglt BgL_res7140z00_5962;
{ /* Cfa/collect.scm 198 */
BgL_prezd2arithmeticzd2appz00_bglt BgL_new3654z00_5957;
BgL_new3654z00_5957 = 
((BgL_prezd2arithmeticzd2appz00_bglt)BREF( GC_MALLOC (sizeof(struct BgL_prezd2arithmeticzd2appz00_bgl)))); 
{ /* Cfa/collect.scm 198 */
BgL_prezd2arithmeticzd2appz00_bglt BgL_res7139z00_5961;
((((BgL_prezd2arithmeticzd2appz00_bglt)CREF(BgL_new3654z00_5957))->BgL_speczd2typeszd2) = ((obj_t)BgL_arg6688z00_3956), BUNSPEC); 
BgL_res7139z00_5961 = BgL_new3654z00_5957; BgL_res7139z00_5961; } 
BgL_res7140z00_5962 = BgL_new3654z00_5957; } 
BgL_arg6685z00_3955 = BgL_res7140z00_5962; } } 
{ /* Cfa/collect.scm 198 */
obj_t BgL_auxz00_8101;BgL_objectz00_bglt BgL_auxz00_8099;
BgL_auxz00_8101 = 
(obj_t)(BgL_arg6685z00_3955); 
BgL_auxz00_8099 = 
(BgL_objectz00_bglt)(BgL_obj4793z00_3954); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_8099, BgL_auxz00_8101); } } 
{ /* Cfa/collect.scm 198 */
long BgL_arg6692z00_3957;
BgL_arg6692z00_3957 = 
BGl_classzd2numzd2zz__objectz00(BGl_prezd2arithmeticzd2appz00zzcfa_info2z00); 
{ /* Cfa/collect.scm 198 */
BgL_objectz00_bglt BgL_auxz00_8105;
BgL_auxz00_8105 = 
(BgL_objectz00_bglt)(BgL_obj4793z00_3954); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_8105, BgL_arg6692z00_3957); } } 
{ /* Cfa/collect.scm 198 */
obj_t BgL_auxz00_8108;
BgL_auxz00_8108 = 
(obj_t)(BgL_obj4793z00_3954); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_8108); } BUNSPEC; 
return 
(obj_t)(BgL_obj4793z00_3954);}  else 
{ /* Cfa/collect.scm 197 */
return BFALSE;} }  else 
{ /* Cfa/collect.scm 196 */
return BFALSE;} } }  else 
{ /* Cfa/collect.scm 153 */
return BFALSE;} } } } } 
}



/* node-collect!-sequence4843 */
obj_t BGl_nodezd2collectz12zd2sequence4843z12zzcfa_collectz00(obj_t BgL_envz00_6799, obj_t BgL_nodez00_6800, obj_t BgL_ownerz00_6801)
{ AN_OBJECT;
{ /* Cfa/collect.scm 142 */
{ 
BgL_sequencez00_bglt BgL_nodez00_3886;obj_t BgL_ownerz00_3887;
{ /* Cfa/collect.scm 143 */
bool_t BgL_auxz00_8113;
BgL_nodez00_3886 = 
(BgL_sequencez00_bglt)(BgL_nodez00_6800); 
BgL_ownerz00_3887 = BgL_ownerz00_6801; 
BgL_auxz00_8113 = 
BGl_nodezd2collectza2z12z62zzcfa_collectz00(
(((BgL_sequencez00_bglt)CREF(BgL_nodez00_3886))->BgL_nodesz00), BgL_ownerz00_3887); 
return 
BBOOL(BgL_auxz00_8113);} } } 
}



/* node-collect!-var4841 */
obj_t BGl_nodezd2collectz12zd2var4841z12zzcfa_collectz00(obj_t BgL_envz00_6802, obj_t BgL_nodez00_6803, obj_t BgL_ownerz00_6804)
{ AN_OBJECT;
{ /* Cfa/collect.scm 125 */
{ 
BgL_varz00_bglt BgL_nodez00_3868;obj_t BgL_ownerz00_3869;
BgL_nodez00_3868 = 
(BgL_varz00_bglt)(BgL_nodez00_6803); 
BgL_ownerz00_3869 = BgL_ownerz00_6804; 
{ /* Cfa/collect.scm 126 */
BgL_variablez00_bglt BgL_vz00_3872;
BgL_vz00_3872 = 
(((BgL_varz00_bglt)CREF(BgL_nodez00_3868))->BgL_variablez00); 
{ /* Cfa/collect.scm 127 */
bool_t BgL_test6499z00_3873;
{ /* Cfa/collect.scm 127 */
bool_t BgL_test6507z00_3876;
BgL_test6507z00_3876 = 
BGl_iszd2azf3z21zz__objectz00(
(obj_t)(BgL_vz00_3872), BGl_globalz00zzast_varz00); 
if(BgL_test6507z00_3876)
{ /* Cfa/collect.scm 128 */
bool_t BgL_test6508z00_3877;
{ /* Cfa/collect.scm 128 */
obj_t BgL_auxz00_8122;
{ /* Cfa/collect.scm 128 */
BgL_globalz00_bglt BgL_obj1194z00_5801;
BgL_obj1194z00_5801 = 
(BgL_globalz00_bglt)(BgL_vz00_3872); 
BgL_auxz00_8122 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1194z00_5801))->BgL_modulez00); } 
BgL_test6508z00_3877 = 
(BgL_auxz00_8122==BGl_za2moduleza2z00zzmodule_modulez00); } 
if(BgL_test6508z00_3877)
{ /* Cfa/collect.scm 129 */
bool_t BgL_test6509z00_3878;
{ /* Cfa/collect.scm 129 */
obj_t BgL_auxz00_8127;
{ /* Cfa/collect.scm 129 */
BgL_valuez00_bglt BgL_auxz00_8128;
{ /* Cfa/collect.scm 129 */
BgL_globalz00_bglt BgL_obj1179z00_5802;
BgL_obj1179z00_5802 = 
(BgL_globalz00_bglt)(BgL_vz00_3872); 
BgL_auxz00_8128 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1179z00_5802))->BgL_valuez00); } 
BgL_auxz00_8127 = 
(obj_t)(BgL_auxz00_8128); } 
BgL_test6509z00_3878 = 
BGl_iszd2azf3z21zz__objectz00(BgL_auxz00_8127, BGl_scnstz00zzast_varz00); } 
if(BgL_test6509z00_3878)
{ /* Cfa/collect.scm 130 */
bool_t BgL_test6510z00_3879;
{ /* Cfa/collect.scm 130 */
obj_t BgL_auxz00_8134;
{ /* Cfa/collect.scm 130 */
obj_t BgL_auxz00_8135;
{ /* Cfa/collect.scm 130 */
BgL_scnstz00_bglt BgL_obj1526z00_5805;
{ /* Cfa/collect.scm 130 */
BgL_valuez00_bglt BgL_auxz00_8136;
{ /* Cfa/collect.scm 130 */
BgL_globalz00_bglt BgL_obj1179z00_5804;
BgL_obj1179z00_5804 = 
(BgL_globalz00_bglt)(BgL_vz00_3872); 
BgL_auxz00_8136 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1179z00_5804))->BgL_valuez00); } 
BgL_obj1526z00_5805 = 
(BgL_scnstz00_bglt)(BgL_auxz00_8136); } 
BgL_auxz00_8135 = 
(((BgL_scnstz00_bglt)CREF(BgL_obj1526z00_5805))->BgL_nodez00); } 
BgL_auxz00_8134 = 
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_auxz00_8135, BGl_za2usedzd2allocza2zd2zzcfa_collectz00); } 
BgL_test6510z00_3879 = 
CBOOL(BgL_auxz00_8134); } 
if(BgL_test6510z00_3879)
{ /* Cfa/collect.scm 130 */
BgL_test6499z00_3873 = ((bool_t)0); }  else 
{ /* Cfa/collect.scm 130 */
BgL_test6499z00_3873 = ((bool_t)1); } }  else 
{ /* Cfa/collect.scm 129 */
BgL_test6499z00_3873 = ((bool_t)0); } }  else 
{ /* Cfa/collect.scm 128 */
BgL_test6499z00_3873 = ((bool_t)0); } }  else 
{ /* Cfa/collect.scm 127 */
BgL_test6499z00_3873 = ((bool_t)0); } } 
if(BgL_test6499z00_3873)
{ /* Cfa/collect.scm 127 */
{ /* Cfa/collect.scm 136 */
BgL_nodez00_bglt BgL_nodez00_5809;BgL_variablez00_bglt BgL_ownerz00_5810;
{ /* Cfa/collect.scm 136 */
obj_t BgL_auxz00_8145;
{ /* Cfa/collect.scm 136 */
BgL_scnstz00_bglt BgL_obj1526z00_5808;
{ /* Cfa/collect.scm 136 */
BgL_valuez00_bglt BgL_auxz00_8146;
{ /* Cfa/collect.scm 136 */
BgL_globalz00_bglt BgL_obj1179z00_5807;
BgL_obj1179z00_5807 = 
(BgL_globalz00_bglt)(BgL_vz00_3872); 
BgL_auxz00_8146 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1179z00_5807))->BgL_valuez00); } 
BgL_obj1526z00_5808 = 
(BgL_scnstz00_bglt)(BgL_auxz00_8146); } 
BgL_auxz00_8145 = 
(((BgL_scnstz00_bglt)CREF(BgL_obj1526z00_5808))->BgL_nodez00); } 
BgL_nodez00_5809 = 
(BgL_nodez00_bglt)(BgL_auxz00_8145); } 
BgL_ownerz00_5810 = 
(BgL_variablez00_bglt)(BgL_ownerz00_3869); 
{ /* Cfa/collect.scm 136 */
obj_t BgL_method4835z00_5811;
{ /* Cfa/collect.scm 136 */
long BgL_objzd2classzd2numz00_5813;
{ /* Cfa/collect.scm 136 */
BgL_objectz00_bglt BgL_auxz00_8153;
BgL_auxz00_8153 = 
(BgL_objectz00_bglt)(BgL_nodez00_5809); 
BgL_objzd2classzd2numz00_5813 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_8153); } 
{ /* Cfa/collect.scm 136 */
obj_t BgL_arg1904z00_5814;
{ /* Cfa/collect.scm 136 */
int BgL_auxz00_8156;
BgL_auxz00_8156 = 
(int)(((long)1)); 
BgL_arg1904z00_5814 = 
PROCEDURE_REF(BGl_nodezd2collectz12zd2envz12zzcfa_collectz00, BgL_auxz00_8156); } 
{ /* Cfa/collect.scm 136 */
long BgL_offsetz00_5818;
{ /* Cfa/collect.scm 136 */
long BgL_auxz00_8159;
{ /* Cfa/collect.scm 136 */
int BgL_auxz00_8160;
BgL_auxz00_8160 = 
(int)(BgL_objzd2classzd2numz00_5813); 
BgL_auxz00_8159 = 
(long)(BgL_auxz00_8160); } 
BgL_offsetz00_5818 = 
(BgL_auxz00_8159-OBJECT_TYPE); } 
{ /* Cfa/collect.scm 136 */
long BgL_modz00_5819;
{ /* Cfa/collect.scm 136 */
long BgL_auxz00_8164;
{ /* Cfa/collect.scm 136 */
int BgL_auxz00_8165;
BgL_auxz00_8165 = 
(int)(((long)8)); 
BgL_auxz00_8164 = 
(long)(BgL_auxz00_8165); } 
BgL_modz00_5819 = 
(BgL_offsetz00_5818/BgL_auxz00_8164); } 
{ /* Cfa/collect.scm 136 */
long BgL_restz00_5821;
{ /* Cfa/collect.scm 136 */
long BgL_auxz00_8169;
{ /* Cfa/collect.scm 136 */
int BgL_auxz00_8170;
BgL_auxz00_8170 = 
(int)(((long)8)); 
BgL_auxz00_8169 = 
(long)(BgL_auxz00_8170); } 
BgL_restz00_5821 = 
(BgL_offsetz00_5818%BgL_auxz00_8169); } 
{ /* Cfa/collect.scm 136 */

{ /* Cfa/collect.scm 136 */
obj_t BgL_bucketz00_5823;
{ /* Cfa/collect.scm 136 */
int BgL_kz00_5833;
BgL_kz00_5833 = 
(int)(BgL_modz00_5819); 
BgL_bucketz00_5823 = 
VECTOR_REF(BgL_arg1904z00_5814,BgL_kz00_5833); } 
{ /* Cfa/collect.scm 136 */
int BgL_kz00_5835;
BgL_kz00_5835 = 
(int)(BgL_restz00_5821); 
BgL_method4835z00_5811 = 
VECTOR_REF(BgL_bucketz00_5823,BgL_kz00_5835); } } } } } } } } 
PROCEDURE_ENTRY(BgL_method4835z00_5811)(BgL_method4835z00_5811, 
(obj_t)(BgL_nodez00_5809), 
(obj_t)(BgL_ownerz00_5810), BEOA); } } }  else 
{ /* Cfa/collect.scm 127 */BFALSE; } } } 
return BUNSPEC;} } 
}



/* node-collect!-kwote4839 */
obj_t BGl_nodezd2collectz12zd2kwote4839z12zzcfa_collectz00(obj_t BgL_envz00_6805, obj_t BgL_nodez00_6806, obj_t BgL_ownerz00_6807)
{ AN_OBJECT;
{ /* Cfa/collect.scm 69 */
{ 
BgL_kwotez00_bglt BgL_nodez00_3842;obj_t BgL_ownerz00_3843;
BgL_nodez00_3842 = 
(BgL_kwotez00_bglt)(BgL_nodez00_6806); 
BgL_ownerz00_3843 = BgL_ownerz00_6807; 
{ /* Cfa/collect.scm 70 */
obj_t BgL_valuez00_3846;
BgL_valuez00_3846 = 
(((BgL_kwotez00_bglt)CREF(BgL_nodez00_3842))->BgL_valuez00); 
{ /* Cfa/collect.scm 71 */
bool_t BgL_test6457z00_3847;
{ /* Cfa/collect.scm 71 */
bool_t BgL_test6489z00_3865;
BgL_test6489z00_3865 = 
BGl_vectorzd2optimzf3z21zzcfa_vectorz00(); 
if(BgL_test6489z00_3865)
{ /* Cfa/collect.scm 71 */
BgL_test6457z00_3847 = 
VECTORP(BgL_valuez00_3846); }  else 
{ /* Cfa/collect.scm 71 */
BgL_test6457z00_3847 = ((bool_t)0); } } 
if(BgL_test6457z00_3847)
{ /* Cfa/collect.scm 72 */
obj_t BgL_warningz00_3848;
{ /* Cfa/collect.scm 72 */
obj_t BgL_wanz00_3864;
BgL_wanz00_3864 = BGl_za2warningza2z00zz__errorz00; 
BGl_za2warningza2z00zz__errorz00 = BFALSE; 
BgL_warningz00_3848 = BgL_wanz00_3864; } 
{ /* Cfa/collect.scm 72 */
obj_t BgL_pragmazf3zf3_3849;
{ /* Cfa/collect.scm 75 */
obj_t BgL_tgtz00_3863;
BgL_tgtz00_3863 = BGl_za2pragmazf3za2zf3zzengine_paramz00; 
BGl_za2pragmazf3za2zf3zzengine_paramz00 = BTRUE; 
BgL_pragmazf3zf3_3849 = BgL_tgtz00_3863; } 
{ /* Cfa/collect.scm 75 */
BgL_nodez00_bglt BgL_dummyz00_3850;
{ /* Cfa/collect.scm 79 */
obj_t BgL_arg6471z00_3855;
{ /* Cfa/collect.scm 79 */
obj_t BgL_arg6474z00_3856;obj_t BgL_arg6475z00_3857;
BgL_arg6474z00_3856 = 
CNST_TABLE_REF(((long)10)); 
{ /* Cfa/collect.scm 79 */
int BgL_arg6478z00_3858;obj_t BgL_arg6479z00_3859;
BgL_arg6478z00_3858 = 
VECTOR_LENGTH(BgL_valuez00_3846); 
{ /* Cfa/collect.scm 80 */
obj_t BgL_arg6483z00_3860;
{ /* Cfa/collect.scm 80 */
bool_t BgL_test6486z00_3862;
BgL_test6486z00_3862 = 
BGl_monomorphiczd2vectorzf3z21zzcfa_collectz00(BgL_valuez00_3846); 
if(BgL_test6486z00_3862)
{ /* Cfa/collect.scm 81 */
int BgL_kz00_5761;
BgL_kz00_5761 = 
(int)(((long)0)); 
BgL_arg6483z00_3860 = 
VECTOR_REF(BgL_valuez00_3846,BgL_kz00_5761); }  else 
{ /* Cfa/collect.scm 80 */
BgL_arg6483z00_3860 = 
CNST_TABLE_REF(((long)15)); } } 
BgL_arg6479z00_3859 = 
MAKE_PAIR(BgL_arg6483z00_3860, BNIL); } 
{ /* Cfa/collect.scm 79 */
obj_t BgL_auxz00_8196;
BgL_auxz00_8196 = 
BINT(BgL_arg6478z00_3858); 
BgL_arg6475z00_3857 = 
MAKE_PAIR(BgL_auxz00_8196, BgL_arg6479z00_3859); } } 
BgL_arg6471z00_3855 = 
MAKE_PAIR(BgL_arg6474z00_3856, BgL_arg6475z00_3857); } 
BgL_dummyz00_3850 = 
BGl_topzd2levelzd2sexpzd2ze3nodez31zzast_sexpz00(BgL_arg6471z00_3855, BFALSE); } 
{ /* Cfa/collect.scm 78 */

BGl_za2warningza2z00zz__errorz00 = BgL_warningz00_3848; 
BGl_za2pragmazf3za2zf3zzengine_paramz00 = BgL_pragmazf3zf3_3849; 
{ /* Cfa/collect.scm 86 */
BgL_kwotezf2nodezf2_bglt BgL_obj4781z00_3851;
BgL_obj4781z00_3851 = 
((BgL_kwotezf2nodezf2_bglt)BgL_nodez00_3842); 
{ /* Cfa/collect.scm 86 */
BgL_kwotezf2nodezf2_bglt BgL_arg6459z00_3852;
{ /* Cfa/collect.scm 86 */
BgL_nodez00_bglt BgL_arg6462z00_3853;
BgL_arg6462z00_3853 = BgL_dummyz00_3850; 
{ /* Cfa/collect.scm 86 */
BgL_kwotezf2nodezf2_bglt BgL_res7118z00_5768;
{ /* Cfa/collect.scm 86 */
BgL_kwotezf2nodezf2_bglt BgL_new3133z00_5763;
BgL_new3133z00_5763 = 
((BgL_kwotezf2nodezf2_bglt)BREF( GC_MALLOC (sizeof(struct BgL_kwotezf2nodezf2_bgl)))); 
{ /* Cfa/collect.scm 86 */
BgL_kwotezf2nodezf2_bglt BgL_res7117z00_5767;
((((BgL_kwotezf2nodezf2_bglt)CREF(BgL_new3133z00_5763))->BgL_nodez00) = ((BgL_nodez00_bglt)BgL_arg6462z00_3853), BUNSPEC); 
BgL_res7117z00_5767 = BgL_new3133z00_5763; BgL_res7117z00_5767; } 
BgL_res7118z00_5768 = BgL_new3133z00_5763; } 
BgL_arg6459z00_3852 = BgL_res7118z00_5768; } } 
{ /* Cfa/collect.scm 86 */
obj_t BgL_auxz00_8206;BgL_objectz00_bglt BgL_auxz00_8204;
BgL_auxz00_8206 = 
(obj_t)(BgL_arg6459z00_3852); 
BgL_auxz00_8204 = 
(BgL_objectz00_bglt)(BgL_obj4781z00_3851); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_8204, BgL_auxz00_8206); } } 
{ /* Cfa/collect.scm 86 */
long BgL_arg6465z00_3854;
BgL_arg6465z00_3854 = 
BGl_classzd2numzd2zz__objectz00(BGl_kwotezf2nodezf2zzcfa_infoz00); 
{ /* Cfa/collect.scm 86 */
BgL_objectz00_bglt BgL_auxz00_8210;
BgL_auxz00_8210 = 
(BgL_objectz00_bglt)(BgL_obj4781z00_3851); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_8210, BgL_arg6465z00_3854); } } 
{ /* Cfa/collect.scm 86 */
obj_t BgL_auxz00_8213;
BgL_auxz00_8213 = 
(obj_t)(BgL_obj4781z00_3851); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_8213); } BUNSPEC; BgL_obj4781z00_3851; } 
{ /* Cfa/collect.scm 87 */
BgL_variablez00_bglt BgL_ownerz00_5773;
BgL_ownerz00_5773 = 
(BgL_variablez00_bglt)(BgL_ownerz00_3843); 
{ /* Cfa/collect.scm 87 */
obj_t BgL_method4835z00_5774;
{ /* Cfa/collect.scm 87 */
long BgL_objzd2classzd2numz00_5776;
{ /* Cfa/collect.scm 87 */
BgL_objectz00_bglt BgL_auxz00_8217;
BgL_auxz00_8217 = 
(BgL_objectz00_bglt)(BgL_dummyz00_3850); 
BgL_objzd2classzd2numz00_5776 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_8217); } 
{ /* Cfa/collect.scm 87 */
obj_t BgL_arg1904z00_5777;
{ /* Cfa/collect.scm 87 */
int BgL_auxz00_8220;
BgL_auxz00_8220 = 
(int)(((long)1)); 
BgL_arg1904z00_5777 = 
PROCEDURE_REF(BGl_nodezd2collectz12zd2envz12zzcfa_collectz00, BgL_auxz00_8220); } 
{ /* Cfa/collect.scm 87 */
long BgL_offsetz00_5781;
{ /* Cfa/collect.scm 87 */
long BgL_auxz00_8223;
{ /* Cfa/collect.scm 87 */
int BgL_auxz00_8224;
BgL_auxz00_8224 = 
(int)(BgL_objzd2classzd2numz00_5776); 
BgL_auxz00_8223 = 
(long)(BgL_auxz00_8224); } 
BgL_offsetz00_5781 = 
(BgL_auxz00_8223-OBJECT_TYPE); } 
{ /* Cfa/collect.scm 87 */
long BgL_modz00_5782;
{ /* Cfa/collect.scm 87 */
long BgL_auxz00_8228;
{ /* Cfa/collect.scm 87 */
int BgL_auxz00_8229;
BgL_auxz00_8229 = 
(int)(((long)8)); 
BgL_auxz00_8228 = 
(long)(BgL_auxz00_8229); } 
BgL_modz00_5782 = 
(BgL_offsetz00_5781/BgL_auxz00_8228); } 
{ /* Cfa/collect.scm 87 */
long BgL_restz00_5784;
{ /* Cfa/collect.scm 87 */
long BgL_auxz00_8233;
{ /* Cfa/collect.scm 87 */
int BgL_auxz00_8234;
BgL_auxz00_8234 = 
(int)(((long)8)); 
BgL_auxz00_8233 = 
(long)(BgL_auxz00_8234); } 
BgL_restz00_5784 = 
(BgL_offsetz00_5781%BgL_auxz00_8233); } 
{ /* Cfa/collect.scm 87 */

{ /* Cfa/collect.scm 87 */
obj_t BgL_bucketz00_5786;
{ /* Cfa/collect.scm 87 */
int BgL_kz00_5796;
BgL_kz00_5796 = 
(int)(BgL_modz00_5782); 
BgL_bucketz00_5786 = 
VECTOR_REF(BgL_arg1904z00_5777,BgL_kz00_5796); } 
{ /* Cfa/collect.scm 87 */
int BgL_kz00_5798;
BgL_kz00_5798 = 
(int)(BgL_restz00_5784); 
BgL_method4835z00_5774 = 
VECTOR_REF(BgL_bucketz00_5786,BgL_kz00_5798); } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method4835z00_5774)(BgL_method4835z00_5774, 
(obj_t)(BgL_dummyz00_3850), 
(obj_t)(BgL_ownerz00_5773), BEOA);} } } } } }  else 
{ /* Cfa/collect.scm 71 */
return BFALSE;} } } } } 
}



/* node-collect!-atom4837 */
obj_t BGl_nodezd2collectz12zd2atom4837z12zzcfa_collectz00(obj_t BgL_envz00_6808, obj_t BgL_nodez00_6809, obj_t BgL_ownerz00_6810)
{ AN_OBJECT;
{ /* Cfa/collect.scm 63 */
{ 
BgL_atomz00_bglt BgL_nodez00_3836;obj_t BgL_ownerz00_3837;
BgL_nodez00_3836 = 
(BgL_atomz00_bglt)(BgL_nodez00_6809); 
BgL_ownerz00_3837 = BgL_ownerz00_6810; 
return BUNSPEC;} } 
}



/* node-collect! */
obj_t BGl_nodezd2collectz12zc0zzcfa_collectz00(BgL_nodez00_bglt BgL_nodez00_4, BgL_variablez00_bglt BgL_ownerz00_5)
{ AN_OBJECT;
{ /* Cfa/collect.scm 58 */
{ /* Cfa/collect.scm 58 */
obj_t BgL_method4835z00_6693;
{ /* Cfa/collect.scm 58 */
long BgL_objzd2classzd2numz00_6695;
{ /* Cfa/collect.scm 58 */
BgL_objectz00_bglt BgL_auxz00_8248;
BgL_auxz00_8248 = 
(BgL_objectz00_bglt)(BgL_nodez00_4); 
BgL_objzd2classzd2numz00_6695 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_8248); } 
{ /* Cfa/collect.scm 58 */
obj_t BgL_arg1904z00_6696;
{ /* Cfa/collect.scm 58 */
int BgL_auxz00_8251;
BgL_auxz00_8251 = 
(int)(((long)1)); 
BgL_arg1904z00_6696 = 
PROCEDURE_REF(BGl_nodezd2collectz12zd2envz12zzcfa_collectz00, BgL_auxz00_8251); } 
{ /* Cfa/collect.scm 58 */
long BgL_offsetz00_6700;
{ /* Cfa/collect.scm 58 */
long BgL_auxz00_8254;
{ /* Cfa/collect.scm 58 */
int BgL_auxz00_8255;
BgL_auxz00_8255 = 
(int)(BgL_objzd2classzd2numz00_6695); 
BgL_auxz00_8254 = 
(long)(BgL_auxz00_8255); } 
BgL_offsetz00_6700 = 
(BgL_auxz00_8254-OBJECT_TYPE); } 
{ /* Cfa/collect.scm 58 */
long BgL_modz00_6701;
{ /* Cfa/collect.scm 58 */
long BgL_auxz00_8259;
{ /* Cfa/collect.scm 58 */
int BgL_auxz00_8260;
BgL_auxz00_8260 = 
(int)(((long)8)); 
BgL_auxz00_8259 = 
(long)(BgL_auxz00_8260); } 
BgL_modz00_6701 = 
(BgL_offsetz00_6700/BgL_auxz00_8259); } 
{ /* Cfa/collect.scm 58 */
long BgL_restz00_6703;
{ /* Cfa/collect.scm 58 */
long BgL_auxz00_8264;
{ /* Cfa/collect.scm 58 */
int BgL_auxz00_8265;
BgL_auxz00_8265 = 
(int)(((long)8)); 
BgL_auxz00_8264 = 
(long)(BgL_auxz00_8265); } 
BgL_restz00_6703 = 
(BgL_offsetz00_6700%BgL_auxz00_8264); } 
{ /* Cfa/collect.scm 58 */

{ /* Cfa/collect.scm 58 */
obj_t BgL_bucketz00_6705;
{ /* Cfa/collect.scm 58 */
int BgL_kz00_6715;
BgL_kz00_6715 = 
(int)(BgL_modz00_6701); 
BgL_bucketz00_6705 = 
VECTOR_REF(BgL_arg1904z00_6696,BgL_kz00_6715); } 
{ /* Cfa/collect.scm 58 */
int BgL_kz00_6717;
BgL_kz00_6717 = 
(int)(BgL_restz00_6703); 
BgL_method4835z00_6693 = 
VECTOR_REF(BgL_bucketz00_6705,BgL_kz00_6717); } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method4835z00_6693)(BgL_method4835z00_6693, 
(obj_t)(BgL_nodez00_4), 
(obj_t)(BgL_ownerz00_5), BEOA);} } 
}



/* _node-collect!7195 */
obj_t BGl__nodezd2collectz127195zc0zzcfa_collectz00(obj_t BgL_envz00_6723, obj_t BgL_nodez00_6724, obj_t BgL_ownerz00_6725)
{ AN_OBJECT;
{ /* Cfa/collect.scm 58 */
return 
BGl_nodezd2collectz12zc0zzcfa_collectz00(
(BgL_nodez00_bglt)(BgL_nodez00_6724), 
(BgL_variablez00_bglt)(BgL_ownerz00_6725));} 
}



/* node-collect!-default4834 */
obj_t BGl_nodezd2collectz12zd2default4834z12zzcfa_collectz00(BgL_nodez00_bglt BgL_nodez00_6, BgL_variablez00_bglt BgL_ownerz00_7)
{ AN_OBJECT;
{ /* Cfa/collect.scm 15 */
{ 
obj_t BgL_auxz00_8282;obj_t BgL_auxz00_8280;
BgL_auxz00_8282 = 
(obj_t)(BgL_nodez00_6); 
BgL_auxz00_8280 = 
CNST_TABLE_REF(((long)16)); 
FAILURE(BgL_auxz00_8280,BGl_string7810z00zzcfa_collectz00,BgL_auxz00_8282);} } 
}



/* _node-collect!-default4834 */
obj_t BGl__nodezd2collectz12zd2default4834z12zzcfa_collectz00(obj_t BgL_envz00_6811, obj_t BgL_nodez00_6812, obj_t BgL_ownerz00_6813)
{ AN_OBJECT;
{ /* Cfa/collect.scm 15 */
return 
BGl_nodezd2collectz12zd2default4834z12zzcfa_collectz00(
(BgL_nodez00_bglt)(BgL_nodez00_6812), 
(BgL_variablez00_bglt)(BgL_ownerz00_6813));} 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zzcfa_collectz00()
{ AN_OBJECT;
{ /* Cfa/collect.scm 15 */
BGl_modulezd2initializa7ationz75zztools_tracez00(((long)64647), "cfa_collect"); 
BGl_modulezd2initializa7ationz75zztools_shapez00(((long)30825), "cfa_collect"); 
BGl_modulezd2initializa7ationz75zztools_errorz00(((long)17886), "cfa_collect"); 
BGl_modulezd2initializa7ationz75zztype_typez00(((long)19010), "cfa_collect"); 
BGl_modulezd2initializa7ationz75zztype_cachez00(((long)57983), "cfa_collect"); 
BGl_modulezd2initializa7ationz75zztype_typeofz00(((long)34095), "cfa_collect"); 
BGl_modulezd2initializa7ationz75zzmodule_modulez00(((long)12859), "cfa_collect"); 
BGl_modulezd2initializa7ationz75zzengine_paramz00(((long)189840), "cfa_collect"); 
BGl_modulezd2initializa7ationz75zzast_varz00(((long)28259), "cfa_collect"); 
BGl_modulezd2initializa7ationz75zzast_nodez00(((long)49436), "cfa_collect"); 
BGl_modulezd2initializa7ationz75zzast_dumpz00(((long)15776), "cfa_collect"); 
BGl_modulezd2initializa7ationz75zzast_envz00(((long)73271), "cfa_collect"); 
BGl_modulezd2initializa7ationz75zzast_sexpz00(((long)26966), "cfa_collect"); 
BGl_modulezd2initializa7ationz75zzcfa_infoz00(((long)9693), "cfa_collect"); 
BGl_modulezd2initializa7ationz75zzcfa_info2z00(((long)64), "cfa_collect"); 
BGl_modulezd2initializa7ationz75zzcfa_info3z00(((long)0), "cfa_collect"); 
BGl_modulezd2initializa7ationz75zzcfa_arithmeticz00(((long)46756), "cfa_collect"); 
BGl_modulezd2initializa7ationz75zzcfa_specializa7eza7(((long)28745), "cfa_collect"); 
BGl_modulezd2initializa7ationz75zzcfa_procedurez00(((long)8132), "cfa_collect"); 
BGl_modulezd2initializa7ationz75zzcfa_vectorz00(((long)24181), "cfa_collect"); 
BGl_modulezd2initializa7ationz75zzcfa_structz00(((long)26985), "cfa_collect"); 
BGl_modulezd2initializa7ationz75zzcfa_boxz00(((long)46845), "cfa_collect"); 
return 
BGl_modulezd2initializa7ationz75zzcfa_closurez00(((long)39060), "cfa_collect");} 
}

