/*===========================================================================*/
/*   (Object/slots.scm)                                                      */
/*   Bigloo (2.5b)                                                           */
/*   Manuel Serrano (c)       Fri Sep 6 09:43:28 CEST 2002                   */
/*===========================================================================*/

/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>


/* Object type definitions */
typedef struct BgL_typez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   obj_t BgL_siza7eza7;
   obj_t BgL_classz00;
   obj_t BgL_coercezd2tozd2;
   obj_t BgL_parentsz00;
   bool_t BgL_initzf3zf3;
   bool_t BgL_magiczf3zf3;
   obj_t BgL_z42z42;
   obj_t BgL_aliasz00;
   obj_t BgL_pointedzd2tozd2byz00;
   obj_t BgL_tvectorz00;
   obj_t BgL_locationz00;
   obj_t BgL_importzd2locationzd2;
} *BgL_typez00_bglt;

typedef struct BgL_tvecz00_bgl {
   struct BgL_typez00_bgl * BgL_itemzd2typezd2;
} *BgL_tvecz00_bglt;

typedef struct BgL_tclassz00_bgl {
   obj_t BgL_itszd2superzd2;
   obj_t BgL_slotsz00;
   struct BgL_globalz00_bgl * BgL_holderz00;
   obj_t BgL_wideningz00;
   long BgL_depthz00;
   bool_t BgL_finalzf3zf3;
   obj_t BgL_constructorz00;
   obj_t BgL_virtualzd2slotszd2numberz00;
   bool_t BgL_abstractzf3zf3;
} *BgL_tclassz00_bglt;

typedef struct BgL_jclassz00_bgl {
   obj_t BgL_itszd2superzd2;
   obj_t BgL_slotsz00;
   obj_t BgL_packagez00;
} *BgL_jclassz00_bglt;

typedef struct BgL_valuez00_bgl {
   header_t header;
   obj_t widening;
} *BgL_valuez00_bglt;

typedef struct BgL_variablez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
} *BgL_variablez00_bglt;

typedef struct BgL_globalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   obj_t BgL_modulez00;
   obj_t BgL_importz00;
   bool_t BgL_evaluablezf3zf3;
   bool_t BgL_libraryzf3zf3;
   bool_t BgL_userzf3zf3;
   obj_t BgL_pragmaz00;
   obj_t BgL_srcz00;
   obj_t BgL_jvmzd2typezd2namez00;
} *BgL_globalz00_bglt;

typedef struct BgL_localz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   bool_t BgL_userzf3zf3;
   long BgL_keyz00;
} *BgL_localz00_bglt;

typedef struct BgL_funz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
} *BgL_funz00_bglt;

typedef struct BgL_sfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_propertyz00;
   obj_t BgL_argsz00;
   obj_t BgL_bodyz00;
   obj_t BgL_classz00;
   obj_t BgL_dssslzd2keywordszd2;
   obj_t BgL_locz00;
} *BgL_sfunz00_bglt;

typedef struct BgL_cfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_argszd2typezd2;
   bool_t BgL_macrozf3zf3;
   bool_t BgL_infixzf3zf3;
   obj_t BgL_methodz00;
} *BgL_cfunz00_bglt;

typedef struct BgL_svarz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
} *BgL_svarz00_bglt;

typedef struct BgL_scnstz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_nodez00;
   obj_t BgL_classz00;
   obj_t BgL_locz00;
} *BgL_scnstz00_bglt;

typedef struct BgL_cvarz00_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_macrozf3zf3;
} *BgL_cvarz00_bglt;

typedef struct BgL_sexitz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_handlerz00;
   bool_t BgL_detachedzf3zf3;
} *BgL_sexitz00_bglt;

typedef struct BgL_slotz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   obj_t BgL_srcz00;
   obj_t BgL_classzd2ownerzd2;
   obj_t BgL_typez00;
   bool_t BgL_readzd2onlyzf3z21;
   obj_t BgL_defaultzd2valuezd2;
   obj_t BgL_virtualzd2numzd2;
   obj_t BgL_getterz00;
   obj_t BgL_setterz00;
   obj_t BgL_indexedz00;
   obj_t BgL_userzd2infozd2;
} *BgL_slotz00_bglt;


static obj_t BGl__slotzd2classzd2owner3245z00zzobject_slotsz00(obj_t, obj_t);
static obj_t BGl_methodzd2initzd2zzobject_slotsz00();
extern obj_t open_input_string(obj_t);
static obj_t BGl_schemezd2symbolzd2ze3czd2stringz31zzobject_slotsz00(obj_t);
extern long BGl_classzd2numzd2zz__objectz00(obj_t);
static obj_t BGl__slotzd2type3247zd2zzobject_slotsz00(obj_t, obj_t);
extern obj_t BGl_stringzd2downcasezd2zz__r4_strings_6_7z00(obj_t);
extern obj_t BGl_readz00zz__readerz00(obj_t);
extern bool_t BGl_iszd2azf3z21zz__objectz00(obj_t, obj_t);
extern obj_t BGl_tclassz00zzobject_classz00;
extern bool_t BGl_equalzf3zf3zz__r4_equivalence_6_2z00(obj_t, obj_t);
extern obj_t BGl_objectz00zz__objectz00;
extern obj_t BGl_userzd2errorzf2locationz20zztools_errorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t, obj_t, long, obj_t, obj_t, obj_t);
static obj_t BGl__allocatezd2slotzd2zzobject_slotsz00(obj_t);
static obj_t BGl__slotzd2getterzd2setz123259z12zzobject_slotsz00(obj_t, obj_t, obj_t);
static obj_t BGl_structzb2objectzd2ze3objectzd2slot1938z51zzobject_slotsz00(obj_t, obj_t, obj_t);
static obj_t BGl_slotzd2namezd2zzobject_slotsz00(BgL_slotz00_bglt);
extern obj_t BGl_za2_za2z00zztype_cachez00;
extern obj_t BGl_gensymz00zz__r4_symbols_6_4z00;
static obj_t BGl__slotzd2id3239zd2zzobject_slotsz00(obj_t, obj_t);
extern obj_t BGl_findzd2locationzd2zztools_locationz00(obj_t);
extern obj_t BGl_typez00zztype_typez00;
extern obj_t BGl_za2astzd2casezd2sensitiveza2z00zzengine_paramz00;
extern obj_t BGl_reversez12z12zz__r4_pairs_and_lists_6_3z00(obj_t);
static obj_t BGl_ensurezd2typezd2definedz12z12zzobject_slotsz00(BgL_typez00_bglt, obj_t);
static obj_t BGl__slotzd2src3243zd2zzobject_slotsz00(obj_t, obj_t);
static obj_t BGl__makezd2classzd2makezd2typedzd2formals3234z00zzobject_slotsz00(obj_t, obj_t, obj_t);
static obj_t BGl__slotzd2nozd2defaultzd2valuezd2markz00zzobject_slotsz00(obj_t);
static obj_t BGl_cnstzd2initzd2zzobject_slotsz00();
extern BgL_slotz00_bglt BGl_makezd2slotzd2zzobject_slotsz00(obj_t, obj_t, obj_t, obj_t, obj_t, bool_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl__makezd2javazd2classzd2slots3228zd2zzobject_slotsz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl__slotzd2virtualzd2numzd2setz123255zc0zzobject_slotsz00(obj_t, obj_t, obj_t);
extern bool_t BGl_slotzd2defaultzf3z21zzobject_slotsz00(BgL_slotz00_bglt);
static obj_t BGl__makezd2classzd2slots3226z00zzobject_slotsz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zzobject_slotsz00();
extern obj_t BGl_slotzd2nozd2defaultzd2valuezd2markz00zzobject_slotsz00();
static obj_t BGl__slotzd2virtualzd2num3253z00zzobject_slotsz00(obj_t, obj_t);
extern obj_t make_struct(obj_t, int, obj_t);
static obj_t BGl_slotzd2classzd2ownerz00zzobject_slotsz00(BgL_slotz00_bglt);
static obj_t BGl_slotzd2typezd2zzobject_slotsz00(BgL_slotz00_bglt);
extern obj_t BGl_makezd2javazd2classzd2slotszd2zzobject_slotsz00(BgL_jclassz00_bglt, obj_t, obj_t, obj_t);
extern obj_t BGl_findzd2locationzf2locz20zztools_locationz00(obj_t, obj_t);
static obj_t BGl_slotzd2defaultzd2valuez00zzobject_slotsz00(BgL_slotz00_bglt);
extern obj_t BGl_addzd2methodz12zc0zz__objectz00(obj_t, obj_t, obj_t);
extern obj_t BGl_makezd2classzd2slotsz00zzobject_slotsz00(BgL_tclassz00_bglt, obj_t, obj_t, int, obj_t);
extern obj_t BGl_makezd2typedzd2identz00zzast_identz00(obj_t, obj_t);
static obj_t BGl__slotzd2getter3257zd2zzobject_slotsz00(obj_t, obj_t);
static obj_t BGl_toplevelzd2initzd2zzobject_slotsz00();
extern obj_t BGl_2zb2zb2zz__r4_numbers_6_5z00(obj_t, obj_t);
extern obj_t BGl_jclassz00zzobject_classz00;
static obj_t BGl__slotzd2readzd2onlyzf33249zf3zzobject_slotsz00(obj_t, obj_t);
obj_t BGl_slotz00zzobject_slotsz00 = BUNSPEC;
extern obj_t BGl_modulezd2initializa7ationz75zzobject_slotsz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_locationz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztvector_tvectorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_identz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_glozd2declzd2(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long, char *);
static obj_t BGl_slotzd2idzd2zzobject_slotsz00(BgL_slotz00_bglt);
static obj_t BGl_findzd2slotzd2typez00zzobject_slotsz00(obj_t, obj_t);
extern obj_t BGl_userzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_slotzd2srczd2zzobject_slotsz00(BgL_slotz00_bglt);
extern bool_t BGl_2ze3zd3z30zz__r4_numbers_6_5z00(obj_t, obj_t);
static obj_t BGl__slotzd2virtualzf33224z21zzobject_slotsz00(obj_t, obj_t);
static obj_t BGl__slotzd2indexed3265zd2zzobject_slotsz00(obj_t, obj_t);
extern bool_t BGl_slotzf3zf3zzobject_slotsz00(obj_t);
extern obj_t bgl_reverse(obj_t);
extern obj_t BGl_za2longza2z00zztype_cachez00;
extern obj_t BGl_za2warningzd2overridenzd2slotsza2z00zzengine_paramz00;
extern obj_t BGl_makezd2classzd2makezd2formalszd2zzobject_slotsz00(obj_t);
extern obj_t BGl_makezd2classzd2makezd2typedzd2formalsz00zzobject_slotsz00(obj_t, obj_t);
static obj_t BGl_findzd2virtualzd2attrz00zzobject_slotsz00(obj_t);
static obj_t BGl_objectzd2ze3structzd2slot1936ze3zzobject_slotsz00(obj_t, obj_t);
extern obj_t BGl_getzd2localzd2virtualzd2slotszd2numberz00zzobject_slotsz00(BgL_tclassz00_bglt, obj_t);
extern obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
static obj_t BGl_slotzd2setterzd2setz12z12zzobject_slotsz00(BgL_slotz00_bglt, obj_t);
static obj_t BGl__slotzd2setter3261zd2zzobject_slotsz00(obj_t, obj_t);
extern BgL_typez00_bglt BGl_declarezd2subtypez12zc0zztype_envz00(obj_t, obj_t, obj_t, obj_t);
static bool_t BGl_slotzd2readzd2onlyzf3zf3zzobject_slotsz00(BgL_slotz00_bglt);
extern bool_t BGl_slotzd2virtualzf3z21zzobject_slotsz00(BgL_slotz00_bglt);
static obj_t BGl__makezd2slot3236zd2zzobject_slotsz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl__getzd2localzd2virtualzd2slotszd2number3230z00zzobject_slotsz00(obj_t, obj_t, obj_t);
static obj_t BGl__slotzd2defaultzf33222z21zzobject_slotsz00(obj_t, obj_t);
extern obj_t BGl_makezd2classzd2fieldz00zz__objectz00(obj_t, obj_t, obj_t, obj_t, bool_t, obj_t);
static obj_t BGl__slotzf3zf3zzobject_slotsz00(obj_t, obj_t);
static obj_t BGl__slotzd2setterzd2setz123263z12zzobject_slotsz00(obj_t, obj_t, obj_t);
static obj_t BGl_findzd2defaultzd2attrz00zzobject_slotsz00(obj_t);
extern obj_t BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(obj_t);
static obj_t BGl__makezd2classzd2makezd2formals3232zd2zzobject_slotsz00(obj_t, obj_t);
extern BgL_slotz00_bglt BGl_fillzd2slotz12zc0zzobject_slotsz00(BgL_slotz00_bglt, obj_t, obj_t, obj_t, obj_t, obj_t, bool_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl__slotzd2userzd2info3267z00zzobject_slotsz00(obj_t, obj_t);
extern obj_t BGl_za2objza2z00zztype_cachez00;
static obj_t BGl_za2slotzd2nozd2defaultzd2valuezd2markza2z00zzobject_slotsz00 = BUNSPEC;
static obj_t BGl_slotzd2userzd2infoz00zzobject_slotsz00(BgL_slotz00_bglt);
static obj_t BGl_objectzd2initzd2zzobject_slotsz00();
static obj_t BGl_slotzd2virtualzd2numzd2setz12zc0zzobject_slotsz00(BgL_slotz00_bglt, obj_t);
static obj_t BGl_requirezd2initializa7ationz75zzobject_slotsz00 = BUNSPEC;
extern obj_t BGl_tvecz00zztvector_tvectorz00;
extern obj_t BGl_idzd2ze3namez31zzast_identz00(obj_t);
static obj_t BGl_slotzd2indexedzd2zzobject_slotsz00(BgL_slotz00_bglt);
static obj_t BGl__slotzd2name3241zd2zzobject_slotsz00(obj_t, obj_t);
static obj_t BGl_slotzd2virtualzd2numz00zzobject_slotsz00(BgL_slotz00_bglt);
extern obj_t BGl_za2warningza2z00zz__errorz00;
extern obj_t BGl_parsezd2idzd2zzast_identz00(obj_t, obj_t);
static obj_t BGl_slotzd2setterzd2zzobject_slotsz00(BgL_slotz00_bglt);
static obj_t BGl_libraryzd2moduleszd2initz00zzobject_slotsz00();
extern BgL_slotz00_bglt BGl_allocatezd2slotzd2zzobject_slotsz00();
static obj_t BGl_slotzd2getterzd2zzobject_slotsz00(BgL_slotz00_bglt);
extern obj_t BGl_userzd2warningzf2locationz20zztools_errorz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_slotzd2getterzd2setz12z12zzobject_slotsz00(BgL_slotz00_bglt, obj_t);
extern BgL_globalz00_bglt BGl_declarezd2globalzd2cvarz12z12zzast_glozd2declzd2(obj_t, obj_t, obj_t, bool_t, obj_t, obj_t);
static obj_t BGl__fillzd2slotz123270zc0zzobject_slotsz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl__slotzd2defaultzd2value3251z00zzobject_slotsz00(obj_t, obj_t);
extern obj_t BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00(obj_t);
static obj_t BGl_findzd2infozd2attrz00zzobject_slotsz00(obj_t);
static obj_t __cnst[ 27 ] ;

DEFINE_STATIC_PROCEDURE( BGl_slotzd2setterzd2setz12zd2envzc0zzobject_slotsz00, BgL_bgl__slotza7d2setterza7d2setza7123263za712za7za7object_slotsza7003555za7, BGl__slotzd2setterzd2setz123263z12zzobject_slotsz00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_allocatezd2slotzd2envz00zzobject_slotsz00, BgL_bgl__allocateza7d2slotza7d2za7za7object_slotsza7003556za7, BGl__allocatezd2slotzd2zzobject_slotsz00, 0L, 0 );
DEFINE_STRING( BGl_string3522z00zzobject_slotsz00, BgL_bgl_string3522za700za7za7object_slotsza7003557z00, "user-info indexed setter getter virtual-num default-value read-only? type class-owner src name slot static final - foreign set get info default id * -len read-only bigloo obj slot-no-default-value__17_5_1996 ", 208 );
DEFINE_STRING( BGl_string3519z00zzobject_slotsz00, BgL_bgl_string3519za700za7za7object_slotsza7003558z00, "Unknown class slot type", 23 );
DEFINE_STRING( BGl_string3518z00zzobject_slotsz00, BgL_bgl_string3518za700za7za7object_slotsza7003559z00, "Illegal virtual slot (missing setter)", 37 );
DEFINE_STRING( BGl_string3517z00zzobject_slotsz00, BgL_bgl_string3517za700za7za7object_slotsza7003560z00, "Illegal virtual slot (read-only)", 32 );
DEFINE_STATIC_PROCEDURE( BGl_slotzd2readzd2onlyzf3zd2envz21zzobject_slotsz00, BgL_bgl__slotza7d2readza7d2onlyza7f33249za7f3za7za7object_slotsza7003561za7, BGl__slotzd2readzd2onlyzf33249zf3zzobject_slotsz00, 0L, 1 );
DEFINE_STRING( BGl_string3516z00zzobject_slotsz00, BgL_bgl_string3516za700za7za7object_slotsza7003562z00, "Illegal virtual slot (missing getter)", 37 );
DEFINE_STRING( BGl_string3515z00zzobject_slotsz00, BgL_bgl_string3515za700za7za7object_slotsza7003563z00, "virtual slot can't be indexed", 29 );
extern obj_t BGl_objectzd2ze3structzd2envze3zz__objectz00;
DEFINE_STRING( BGl_string3514z00zzobject_slotsz00, BgL_bgl_string3514za700za7za7object_slotsza7003564z00, "Parse error", 11 );
DEFINE_STRING( BGl_string3513z00zzobject_slotsz00, BgL_bgl_string3513za700za7za7object_slotsza7003565z00, "Overriden virtual slot", 22 );
DEFINE_STRING( BGl_string3512z00zzobject_slotsz00, BgL_bgl_string3512za700za7za7object_slotsza7003566z00, "Illegal duplicated virtual slot", 31 );
DEFINE_STRING( BGl_string3511z00zzobject_slotsz00, BgL_bgl_string3511za700za7za7object_slotsza7003567z00, "Class declarator", 16 );
DEFINE_STRING( BGl_string3510z00zzobject_slotsz00, BgL_bgl_string3510za700za7za7object_slotsza7003568z00, "Can't find type definition", 26 );
DEFINE_EXPORT_PROCEDURE( BGl_makezd2javazd2classzd2slotszd2envz00zzobject_slotsz00, BgL_bgl__makeza7d2javaza7d2classza7d2slots3228za7d2za7za7object_slotsza7003569za7, BGl__makezd2javazd2classzd2slots3228zd2zzobject_slotsz00, 0L, 4 );
DEFINE_STATIC_PROCEDURE( BGl_slotzd2idzd2envz00zzobject_slotsz00, BgL_bgl__slotza7d2id3239za7d2za7za7object_slotsza7003570za7, BGl__slotzd2id3239zd2zzobject_slotsz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_slotzd2virtualzd2numzd2setz12zd2envz12zzobject_slotsz00, BgL_bgl__slotza7d2virtualza7d2numza7d2setza7123255za7c0za7za7object_slotsza7003571z00, BGl__slotzd2virtualzd2numzd2setz123255zc0zzobject_slotsz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_slotzd2classzd2ownerzd2envzd2zzobject_slotsz00, BgL_bgl__slotza7d2classza7d2owner3245za700za7za7object_slotsza7003572z00, BGl__slotzd2classzd2owner3245z00zzobject_slotsz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_makezd2classzd2slotszd2envzd2zzobject_slotsz00, BgL_bgl__makeza7d2classza7d2slots3226za700za7za7object_slotsza7003573z00, BGl__makezd2classzd2slots3226z00zzobject_slotsz00, 0L, 5 );
DEFINE_STATIC_PROCEDURE( BGl_slotzd2getterzd2envz00zzobject_slotsz00, BgL_bgl__slotza7d2getter3257za7d2za7za7object_slotsza7003574za7, BGl__slotzd2getter3257zd2zzobject_slotsz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_slotzd2typezd2envz00zzobject_slotsz00, BgL_bgl__slotza7d2type3247za7d2za7za7object_slotsza7003575za7, BGl__slotzd2type3247zd2zzobject_slotsz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_slotzd2defaultzf3zd2envzf3zzobject_slotsz00, BgL_bgl__slotza7d2defaultza7f33222za721za7za7object_slotsza7003576z00, BGl__slotzd2defaultzf33222z21zzobject_slotsz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_slotzd2userzd2infozd2envzd2zzobject_slotsz00, BgL_bgl__slotza7d2userza7d2info3267za700za7za7object_slotsza7003577z00, BGl__slotzd2userzd2info3267z00zzobject_slotsz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_slotzd2getterzd2setz12zd2envzc0zzobject_slotsz00, BgL_bgl__slotza7d2getterza7d2setza7123259za712za7za7object_slotsza7003578za7, BGl__slotzd2getterzd2setz123259z12zzobject_slotsz00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_fillzd2slotz12zd2envz12zzobject_slotsz00, BgL_bgl__fillza7d2slotza7123270za7c0za7za7object_slotsza7003579z00, BGl__fillzd2slotz123270zc0zzobject_slotsz00, 0L, 13 );
DEFINE_EXPORT_PROCEDURE( BGl_makezd2classzd2makezd2typedzd2formalszd2envzd2zzobject_slotsz00, BgL_bgl__makeza7d2classza7d2makeza7d2typedza7d2formals3234za700za7za7object_slotsza7003580z00, BGl__makezd2classzd2makezd2typedzd2formals3234z00zzobject_slotsz00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_slotzd2nozd2defaultzd2valuezd2markzd2envzd2zzobject_slotsz00, BgL_bgl__slotza7d2noza7d2defaultza7d2valueza7d2markza700za7za7object_slotsza7003581z00, BGl__slotzd2nozd2defaultzd2valuezd2markz00zzobject_slotsz00, 0L, 0 );
DEFINE_EXPORT_PROCEDURE( BGl_makezd2classzd2makezd2formalszd2envz00zzobject_slotsz00, BgL_bgl__makeza7d2classza7d2makeza7d2formals3232za7d2za7za7object_slotsza7003582za7, BGl__makezd2classzd2makezd2formals3232zd2zzobject_slotsz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_slotzd2setterzd2envz00zzobject_slotsz00, BgL_bgl__slotza7d2setter3261za7d2za7za7object_slotsza7003583za7, BGl__slotzd2setter3261zd2zzobject_slotsz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_slotzd2namezd2envz00zzobject_slotsz00, BgL_bgl__slotza7d2name3241za7d2za7za7object_slotsza7003584za7, BGl__slotzd2name3241zd2zzobject_slotsz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_slotzd2virtualzf3zd2envzf3zzobject_slotsz00, BgL_bgl__slotza7d2virtualza7f33224za721za7za7object_slotsza7003585z00, BGl__slotzd2virtualzf33224z21zzobject_slotsz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_slotzf3zd2envz21zzobject_slotsz00, BgL_bgl__slotza7f3za7f3za7za7object_slotsza7003586za7, BGl__slotzf3zf3zzobject_slotsz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_slotzd2defaultzd2valuezd2envzd2zzobject_slotsz00, BgL_bgl__slotza7d2defaultza7d2value3251za700za7za7object_slotsza7003587z00, BGl__slotzd2defaultzd2value3251z00zzobject_slotsz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_getzd2localzd2virtualzd2slotszd2numberzd2envzd2zzobject_slotsz00, BgL_bgl__getza7d2localza7d2virtualza7d2slotsza7d2number3230za700za7za7object_slotsza7003588z00, BGl__getzd2localzd2virtualzd2slotszd2number3230z00zzobject_slotsz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_slotzd2virtualzd2numzd2envzd2zzobject_slotsz00, BgL_bgl__slotza7d2virtualza7d2num3253za700za7za7object_slotsza7003589z00, BGl__slotzd2virtualzd2num3253z00zzobject_slotsz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3520z00zzobject_slotsz00, BgL_bgl_objectza7d2za7e3structza7d2slot1936za7e3za7za7object_slotsza7003590za7, BGl_objectzd2ze3structzd2slot1936ze3zzobject_slotsz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3521z00zzobject_slotsz00, BgL_bgl_structza7b2objectza7d2za7e3objectza7d2slot1938za751za7za7object_slotsza7003591z00, BGl_structzb2objectzd2ze3objectzd2slot1938z51zzobject_slotsz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_slotzd2indexedzd2envz00zzobject_slotsz00, BgL_bgl__slotza7d2indexed3265za7d2za7za7object_slotsza7003592za7, BGl__slotzd2indexed3265zd2zzobject_slotsz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_slotzd2srczd2envz00zzobject_slotsz00, BgL_bgl__slotza7d2src3243za7d2za7za7object_slotsza7003593za7, BGl__slotzd2src3243zd2zzobject_slotsz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_makezd2slotzd2envz00zzobject_slotsz00, BgL_bgl__makeza7d2slot3236za7d2za7za7object_slotsza7003594za7, BGl__makezd2slot3236zd2zzobject_slotsz00, 0L, 12 );
extern obj_t BGl_structzb2objectzd2ze3objectzd2envz51zz__objectz00;



/* module-initialization */
obj_t BGl_modulezd2initializa7ationz75zzobject_slotsz00(long BgL_checksumz00_2433, char * BgL_fromz00_2434)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zzobject_slotsz00))
{ 
BGl_requirezd2initializa7ationz75zzobject_slotsz00 = 
BBOOL(((bool_t)0)); 
BGl_libraryzd2moduleszd2initz00zzobject_slotsz00(); 
BGl_cnstzd2initzd2zzobject_slotsz00(); 
BGl_importedzd2moduleszd2initz00zzobject_slotsz00(); 
BGl_objectzd2initzd2zzobject_slotsz00(); 
BGl_methodzd2initzd2zzobject_slotsz00(); 
BGl_toplevelzd2initzd2zzobject_slotsz00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zzobject_slotsz00()
{ AN_OBJECT;
{ /* Object/slots.scm 15 */
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "object_slots"); 
BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long)0), "object_slots"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "object_slots"); 
BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long)0), "object_slots"); 
BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long)0), "object_slots"); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)0), "object_slots"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long)0), "object_slots"); 
BGl_modulezd2initializa7ationz75zz__errorz00(((long)0), "object_slots"); 
return BUNSPEC;} 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zzobject_slotsz00()
{ AN_OBJECT;
{ /* Object/slots.scm 15 */
{ /* Object/slots.scm 15 */
obj_t BgL_cportz00_2426;
BgL_cportz00_2426 = 
open_input_string(BGl_string3522z00zzobject_slotsz00); 
{ 
long BgL_iz00_2427;
BgL_iz00_2427 = ((long)26); 
BgL_loopz00_2428:
if(
(BgL_iz00_2427==((long)-1)))
{ /* Object/slots.scm 15 */
return BUNSPEC;}  else 
{ /* Object/slots.scm 15 */
{ /* Object/slots.scm 15 */
obj_t BgL_arg3526z00_2430;
{ /* Object/slots.scm 15 */
obj_t BgL_list3529z00_2431;
BgL_list3529z00_2431 = 
MAKE_PAIR(BgL_cportz00_2426, BNIL); 
BgL_arg3526z00_2430 = 
BGl_readz00zz__readerz00(BgL_list3529z00_2431); } 
{ /* Object/slots.scm 15 */
int BgL_auxz00_2457;
BgL_auxz00_2457 = 
(int)(BgL_iz00_2427); 
CNST_TABLE_SET(BgL_auxz00_2457, BgL_arg3526z00_2430); } } 
{ 
long BgL_iz00_2460;
{ /* Object/slots.scm 15 */
int BgL_auxz00_2461;
{ /* Object/slots.scm 15 */
long BgL_auxz00_2462;
BgL_auxz00_2462 = 
(BgL_iz00_2427-((long)1)); 
BgL_auxz00_2461 = 
(int)(BgL_auxz00_2462); } 
BgL_iz00_2460 = 
(long)(BgL_auxz00_2461); } 
BgL_iz00_2427 = BgL_iz00_2460; 
goto BgL_loopz00_2428;} } } } } 
}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zzobject_slotsz00()
{ AN_OBJECT;
{ /* Object/slots.scm 15 */
return ( 
BGl_za2slotzd2nozd2defaultzd2valuezd2markza2z00zzobject_slotsz00 = 
CNST_TABLE_REF(((long)0)), BUNSPEC) ;} 
}



/* slot-no-default-value-mark */
obj_t BGl_slotzd2nozd2defaultzd2valuezd2markz00zzobject_slotsz00()
{ AN_OBJECT;
{ /* Object/slots.scm 73 */
return BGl_za2slotzd2nozd2defaultzd2valuezd2markza2z00zzobject_slotsz00;} 
}



/* _slot-no-default-value-mark */
obj_t BGl__slotzd2nozd2defaultzd2valuezd2markz00zzobject_slotsz00(obj_t BgL_envz00_2327)
{ AN_OBJECT;
{ /* Object/slots.scm 73 */
return 
BGl_slotzd2nozd2defaultzd2valuezd2markz00zzobject_slotsz00();} 
}



/* slot-default? */
bool_t BGl_slotzd2defaultzf3z21zzobject_slotsz00(BgL_slotz00_bglt BgL_slotz00_1)
{ AN_OBJECT;
{ /* Object/slots.scm 79 */
{ /* Object/slots.scm 80 */
bool_t BgL_testz00_2468;
{ /* Object/slots.scm 80 */
obj_t BgL_auxz00_2471;obj_t BgL_auxz00_2469;
BgL_auxz00_2471 = BGl_za2slotzd2nozd2defaultzd2valuezd2markza2z00zzobject_slotsz00; 
BgL_auxz00_2469 = 
(((BgL_slotz00_bglt)CREF(BgL_slotz00_1))->BgL_defaultzd2valuezd2); 
BgL_testz00_2468 = 
(BgL_auxz00_2469==BgL_auxz00_2471); } 
if(BgL_testz00_2468)
{ /* Object/slots.scm 80 */
return ((bool_t)0);}  else 
{ /* Object/slots.scm 80 */
return ((bool_t)1);} } } 
}



/* _slot-default?3222 */
obj_t BGl__slotzd2defaultzf33222z21zzobject_slotsz00(obj_t BgL_envz00_2328, obj_t BgL_slotz00_2329)
{ AN_OBJECT;
{ /* Object/slots.scm 79 */
{ /* Object/slots.scm 80 */
bool_t BgL_auxz00_2473;
BgL_auxz00_2473 = 
BGl_slotzd2defaultzf3z21zzobject_slotsz00(
(BgL_slotz00_bglt)(BgL_slotz00_2329)); 
return 
BBOOL(BgL_auxz00_2473);} } 
}



/* slot-virtual? */
bool_t BGl_slotzd2virtualzf3z21zzobject_slotsz00(BgL_slotz00_bglt BgL_slotz00_2)
{ AN_OBJECT;
{ /* Object/slots.scm 85 */
{ /* Object/slots.scm 86 */
long BgL_auxz00_2477;
{ /* Object/slots.scm 86 */
obj_t BgL_auxz00_2478;
BgL_auxz00_2478 = 
(((BgL_slotz00_bglt)CREF(BgL_slotz00_2))->BgL_virtualzd2numzd2); 
BgL_auxz00_2477 = 
(long)CINT(BgL_auxz00_2478); } 
return 
(BgL_auxz00_2477>=((long)0));} } 
}



/* _slot-virtual?3224 */
obj_t BGl__slotzd2virtualzf33224z21zzobject_slotsz00(obj_t BgL_envz00_2330, obj_t BgL_slotz00_2331)
{ AN_OBJECT;
{ /* Object/slots.scm 85 */
{ /* Object/slots.scm 86 */
bool_t BgL_auxz00_2482;
BgL_auxz00_2482 = 
BGl_slotzd2virtualzf3z21zzobject_slotsz00(
(BgL_slotz00_bglt)(BgL_slotz00_2331)); 
return 
BBOOL(BgL_auxz00_2482);} } 
}



/* ensure-type-defined! */
obj_t BGl_ensurezd2typezd2definedz12z12zzobject_slotsz00(BgL_typez00_bglt BgL_typez00_3, obj_t BgL_srcz00_4)
{ AN_OBJECT;
{ /* Object/slots.scm 91 */
if(
(((BgL_typez00_bglt)CREF(BgL_typez00_3))->BgL_initzf3zf3))
{ /* Object/slots.scm 92 */
return BFALSE;}  else 
{ /* Object/slots.scm 92 */
return 
BGl_userzd2errorzd2zztools_errorz00(BGl_string3510z00zzobject_slotsz00, 
(((BgL_typez00_bglt)CREF(BgL_typez00_3))->BgL_idz00), BgL_srcz00_4, BNIL);} } 
}



/* make-class-slots */
obj_t BGl_makezd2classzd2slotsz00zzobject_slotsz00(BgL_tclassz00_bglt BgL_classz00_5, obj_t BgL_slotsz00_6, obj_t BgL_superz00_7, int BgL_vnumz00_8, obj_t BgL_srcz00_9)
{ AN_OBJECT;
{ /* Object/slots.scm 98 */
{ 
obj_t BgL_slotzd2idzd2_868;obj_t BgL_sz00_878;obj_t BgL_slotzd2idzd2_879;obj_t BgL_attrz00_880;obj_t BgL_vgetz00_881;obj_t BgL_vsetz00_882;obj_t BgL_vnumz00_883;obj_t BgL_sz00_919;obj_t BgL_slotzd2idzd2_920;obj_t BgL_attrz00_921;obj_t BgL_slotsz00_970;obj_t BgL_slotz00_1005;obj_t BgL_slotzd2listzd2_1006;
{ 
obj_t BgL_slotsz00_733;obj_t BgL_resz00_734;obj_t BgL_vnumz00_735;
{ /* Object/slots.scm 267 */
obj_t BgL_arg1961z00_737;
{ /* Object/slots.scm 267 */
bool_t BgL_test1963z00_738;
BgL_test1963z00_738 = 
BGl_iszd2azf3z21zz__objectz00(BgL_superz00_7, BGl_typez00zztype_typez00); 
if(BgL_test1963z00_738)
{ /* Object/slots.scm 269 */
bool_t BgL_test1964z00_739;
BgL_test1964z00_739 = 
BGl_iszd2azf3z21zz__objectz00(BgL_superz00_7, BGl_tclassz00zzobject_classz00); 
if(BgL_test1964z00_739)
{ /* Object/slots.scm 269 */
{ /* Object/slots.scm 276 */
obj_t BgL_auxz00_2494;
{ /* Object/slots.scm 276 */
BgL_tclassz00_bglt BgL_obj1219z00_1463;
BgL_obj1219z00_1463 = 
(BgL_tclassz00_bglt)(BgL_superz00_7); 
{ 
obj_t BgL_auxz00_2496;
{ /* Object/slots.scm 276 */
BgL_objectz00_bglt BgL_auxz00_2497;
BgL_auxz00_2497 = 
(BgL_objectz00_bglt)(BgL_obj1219z00_1463); 
BgL_auxz00_2496 = 
BGL_OBJECT_WIDENING(BgL_auxz00_2497); } 
BgL_auxz00_2494 = 
(((BgL_tclassz00_bglt)CREF(BgL_auxz00_2496))->BgL_slotsz00); } } 
BgL_arg1961z00_737 = 
bgl_reverse(BgL_auxz00_2494); } }  else 
{ /* Object/slots.scm 269 */
BgL_arg1961z00_737 = BNIL; } }  else 
{ /* Object/slots.scm 267 */
BgL_arg1961z00_737 = BNIL; } } 
BgL_slotsz00_733 = BgL_slotsz00_6; 
BgL_resz00_734 = BgL_arg1961z00_737; 
BgL_vnumz00_735 = 
BINT(BgL_vnumz00_8); 
BgL_loopz00_736:
if(
NULLP(BgL_slotsz00_733))
{ /* Object/slots.scm 278 */
BgL_slotsz00_970 = BgL_resz00_734; 
{ 
obj_t BgL_slotsz00_972;obj_t BgL_resz00_973;
BgL_slotsz00_972 = BgL_slotsz00_970; 
BgL_resz00_973 = BNIL; 
BgL_loopz00_974:
if(
NULLP(BgL_slotsz00_972))
{ /* Object/slots.scm 150 */
return BgL_resz00_973;}  else 
{ /* Object/slots.scm 152 */
bool_t BgL_testz00_2506;
{ /* Object/slots.scm 152 */
obj_t BgL_auxz00_2507;
BgL_auxz00_2507 = 
CAR(BgL_slotsz00_972); 
BgL_testz00_2506 = 
NULLP(BgL_auxz00_2507); } 
if(BgL_testz00_2506)
{ /* Object/slots.scm 152 */
{ 
obj_t BgL_resz00_2512;obj_t BgL_slotsz00_2510;
BgL_slotsz00_2510 = 
CDR(BgL_slotsz00_972); 
BgL_resz00_2512 = BNIL; 
BgL_resz00_973 = BgL_resz00_2512; 
BgL_slotsz00_972 = BgL_slotsz00_2510; 
goto BgL_loopz00_974;} }  else 
{ /* Object/slots.scm 156 */
bool_t BgL_testz00_2513;
{ /* Object/slots.scm 156 */
BgL_slotz00_bglt BgL_slotz00_1755;
{ /* Object/slots.scm 156 */
obj_t BgL_auxz00_2514;
BgL_auxz00_2514 = 
CAR(BgL_slotsz00_972); 
BgL_slotz00_1755 = 
(BgL_slotz00_bglt)(BgL_auxz00_2514); } 
{ /* Object/slots.scm 156 */
long BgL_auxz00_2517;
{ /* Object/slots.scm 156 */
obj_t BgL_auxz00_2518;
BgL_auxz00_2518 = 
(((BgL_slotz00_bglt)CREF(BgL_slotz00_1755))->BgL_virtualzd2numzd2); 
BgL_auxz00_2517 = 
(long)CINT(BgL_auxz00_2518); } 
BgL_testz00_2513 = 
(BgL_auxz00_2517>=((long)0)); } } 
if(BgL_testz00_2513)
{ /* Object/slots.scm 156 */
{ /* Object/slots.scm 157 */
obj_t BgL_otherz00_980;
BgL_slotz00_1005 = 
CAR(BgL_slotsz00_972); 
BgL_slotzd2listzd2_1006 = BgL_resz00_973; 
{ /* Object/slots.scm 136 */
obj_t BgL_idz00_1008;
{ /* Object/slots.scm 136 */
BgL_slotz00_bglt BgL_obj1814z00_1783;
BgL_obj1814z00_1783 = 
(BgL_slotz00_bglt)(BgL_slotz00_1005); 
BgL_idz00_1008 = 
(((BgL_slotz00_bglt)CREF(BgL_obj1814z00_1783))->BgL_idz00); } 
{ 
obj_t BgL_slotzd2listzd2_1009;
BgL_slotzd2listzd2_1009 = BgL_slotzd2listzd2_1006; 
BgL_loopz00_1010:
if(
NULLP(BgL_slotzd2listzd2_1009))
{ /* Object/slots.scm 139 */
BgL_otherz00_980 = BFALSE; }  else 
{ /* Object/slots.scm 141 */
bool_t BgL_testz00_2526;
{ /* Object/slots.scm 141 */
obj_t BgL_auxz00_2527;
{ /* Object/slots.scm 141 */
BgL_slotz00_bglt BgL_obj1814z00_1786;
{ /* Object/slots.scm 141 */
obj_t BgL_auxz00_2528;
BgL_auxz00_2528 = 
CAR(BgL_slotzd2listzd2_1009); 
BgL_obj1814z00_1786 = 
(BgL_slotz00_bglt)(BgL_auxz00_2528); } 
BgL_auxz00_2527 = 
(((BgL_slotz00_bglt)CREF(BgL_obj1814z00_1786))->BgL_idz00); } 
BgL_testz00_2526 = 
(BgL_auxz00_2527==BgL_idz00_1008); } 
if(BgL_testz00_2526)
{ /* Object/slots.scm 141 */
BgL_otherz00_980 = 
CAR(BgL_slotzd2listzd2_1009); }  else 
{ /* Object/slots.scm 141 */
{ 
obj_t BgL_slotzd2listzd2_2534;
BgL_slotzd2listzd2_2534 = 
CDR(BgL_slotzd2listzd2_1009); 
BgL_slotzd2listzd2_1009 = BgL_slotzd2listzd2_2534; 
goto BgL_loopz00_1010;} } } } } 
{ /* Object/slots.scm 158 */
bool_t BgL_test2413z00_981;
BgL_test2413z00_981 = 
BGl_iszd2azf3z21zz__objectz00(BgL_otherz00_980, BGl_slotz00zzobject_slotsz00); 
if(BgL_test2413z00_981)
{ /* Object/slots.scm 159 */
obj_t BgL_locz00_982;obj_t BgL_idz00_983;
BgL_locz00_982 = 
BGl_findzd2locationzd2zztools_locationz00(BgL_srcz00_9); 
{ /* Object/slots.scm 160 */
BgL_slotz00_bglt BgL_obj1814z00_1765;
{ /* Object/slots.scm 160 */
obj_t BgL_auxz00_2540;
BgL_auxz00_2540 = 
CAR(BgL_slotsz00_972); 
BgL_obj1814z00_1765 = 
(BgL_slotz00_bglt)(BgL_auxz00_2540); } 
BgL_idz00_983 = 
(((BgL_slotz00_bglt)CREF(BgL_obj1814z00_1765))->BgL_idz00); } 
{ /* Object/slots.scm 161 */
bool_t BgL_testz00_2544;
{ /* Object/slots.scm 161 */
obj_t BgL_auxz00_2550;obj_t BgL_auxz00_2545;
{ /* Object/slots.scm 162 */
BgL_slotz00_bglt BgL_obj1817z00_1768;
BgL_obj1817z00_1768 = 
(BgL_slotz00_bglt)(BgL_otherz00_980); 
BgL_auxz00_2550 = 
(((BgL_slotz00_bglt)CREF(BgL_obj1817z00_1768))->BgL_classzd2ownerzd2); } 
{ /* Object/slots.scm 161 */
BgL_slotz00_bglt BgL_obj1817z00_1767;
{ /* Object/slots.scm 161 */
obj_t BgL_auxz00_2546;
BgL_auxz00_2546 = 
CAR(BgL_slotsz00_972); 
BgL_obj1817z00_1767 = 
(BgL_slotz00_bglt)(BgL_auxz00_2546); } 
BgL_auxz00_2545 = 
(((BgL_slotz00_bglt)CREF(BgL_obj1817z00_1767))->BgL_classzd2ownerzd2); } 
BgL_testz00_2544 = 
(BgL_auxz00_2545==BgL_auxz00_2550); } 
if(BgL_testz00_2544)
{ /* Object/slots.scm 161 */
return 
BGl_userzd2errorzf2locationz20zztools_errorz00(BgL_locz00_982, BGl_string3511z00zzobject_slotsz00, BGl_string3512z00zzobject_slotsz00, BgL_idz00_983, BNIL);}  else 
{ /* Object/slots.scm 168 */
obj_t BgL_newzd2numzd2_986;
{ /* Object/slots.scm 168 */
BgL_slotz00_bglt BgL_obj1821z00_1770;
{ /* Object/slots.scm 168 */
obj_t BgL_auxz00_2555;
BgL_auxz00_2555 = 
CAR(BgL_slotsz00_972); 
BgL_obj1821z00_1770 = 
(BgL_slotz00_bglt)(BgL_auxz00_2555); } 
BgL_newzd2numzd2_986 = 
(((BgL_slotz00_bglt)CREF(BgL_obj1821z00_1770))->BgL_virtualzd2numzd2); } 
{ /* Object/slots.scm 171 */
BgL_slotz00_bglt BgL_obj1823z00_1771;
BgL_obj1823z00_1771 = 
(BgL_slotz00_bglt)(BgL_otherz00_980); 
((((BgL_slotz00_bglt)CREF(BgL_obj1823z00_1771))->BgL_virtualzd2numzd2) = ((obj_t)BgL_newzd2numzd2_986), BUNSPEC); } 
{ /* Object/slots.scm 173 */
bool_t BgL_test2418z00_987;
{ /* Object/slots.scm 173 */
bool_t BgL_test2420z00_988;
{ /* Object/slots.scm 173 */
bool_t BgL_res3206z00_1777;
{ /* Object/slots.scm 173 */
obj_t BgL_objz00_1773;
BgL_objz00_1773 = BGl_za2warningza2z00zz__errorz00; 
if(
INTEGERP(BgL_objz00_1773))
{ /* Object/slots.scm 173 */
BgL_res3206z00_1777 = ((bool_t)1); }  else 
{ /* Object/slots.scm 173 */
BgL_res3206z00_1777 = 
REALP(BgL_objz00_1773); } } 
BgL_test2420z00_988 = BgL_res3206z00_1777; } 
if(BgL_test2420z00_988)
{ /* Object/slots.scm 174 */
bool_t BgL_test2421z00_989;
BgL_test2421z00_989 = 
BGl_2ze3zd3z30zz__r4_numbers_6_5z00(BGl_za2warningza2z00zz__errorz00, 
BINT(((long)2))); 
if(BgL_test2421z00_989)
{ /* Object/slots.scm 174 */
BgL_test2418z00_987 = 
CBOOL(BGl_za2warningzd2overridenzd2slotsza2z00zzengine_paramz00); }  else 
{ /* Object/slots.scm 174 */
BgL_test2418z00_987 = ((bool_t)0); } }  else 
{ /* Object/slots.scm 173 */
BgL_test2418z00_987 = ((bool_t)0); } } 
if(BgL_test2418z00_987)
{ /* Object/slots.scm 173 */
BGl_userzd2warningzf2locationz20zztools_errorz00(BgL_locz00_982, BGl_string3511z00zzobject_slotsz00, BGl_string3513z00zzobject_slotsz00, BgL_idz00_983); }  else 
{ /* Object/slots.scm 173 */BFALSE; } } 
{ 
obj_t BgL_slotsz00_2571;
BgL_slotsz00_2571 = 
CDR(BgL_slotsz00_972); 
BgL_slotsz00_972 = BgL_slotsz00_2571; 
goto BgL_loopz00_974;} } } }  else 
{ /* Object/slots.scm 182 */
obj_t BgL_arg2447z00_996;obj_t BgL_arg2448z00_997;
BgL_arg2447z00_996 = 
CDR(BgL_slotsz00_972); 
{ /* Object/slots.scm 182 */
obj_t BgL_auxz00_2574;
BgL_auxz00_2574 = 
CAR(BgL_slotsz00_972); 
BgL_arg2448z00_997 = 
MAKE_PAIR(BgL_auxz00_2574, BgL_resz00_973); } 
{ 
obj_t BgL_resz00_2578;obj_t BgL_slotsz00_2577;
BgL_slotsz00_2577 = BgL_arg2447z00_996; 
BgL_resz00_2578 = BgL_arg2448z00_997; 
BgL_resz00_973 = BgL_resz00_2578; 
BgL_slotsz00_972 = BgL_slotsz00_2577; 
goto BgL_loopz00_974;} } } } }  else 
{ /* Object/slots.scm 156 */
{ /* Object/slots.scm 184 */
obj_t BgL_arg2461z00_1000;obj_t BgL_arg2462z00_1001;
BgL_arg2461z00_1000 = 
CDR(BgL_slotsz00_972); 
{ /* Object/slots.scm 184 */
obj_t BgL_auxz00_2580;
BgL_auxz00_2580 = 
CAR(BgL_slotsz00_972); 
BgL_arg2462z00_1001 = 
MAKE_PAIR(BgL_auxz00_2580, BgL_resz00_973); } 
{ 
obj_t BgL_resz00_2584;obj_t BgL_slotsz00_2583;
BgL_slotsz00_2583 = BgL_arg2461z00_1000; 
BgL_resz00_2584 = BgL_arg2462z00_1001; 
BgL_resz00_973 = BgL_resz00_2584; 
BgL_slotsz00_972 = BgL_slotsz00_2583; 
goto BgL_loopz00_974;} } } } } } }  else 
{ /* Object/slots.scm 284 */
obj_t BgL_sz00_742;
BgL_sz00_742 = 
CAR(BgL_slotsz00_733); 
{ 
obj_t BgL_idz00_743;obj_t BgL_attrz00_744;obj_t BgL_idz00_746;obj_t BgL_attrz00_747;obj_t BgL_idz00_749;
if(
PAIRP(BgL_sz00_742))
{ /* Object/slots.scm 285 */
obj_t BgL_cdrzd2175zd2_754;
BgL_cdrzd2175zd2_754 = 
CDR(BgL_sz00_742); 
{ /* Object/slots.scm 285 */
bool_t BgL_testz00_2589;
{ /* Object/slots.scm 285 */
obj_t BgL_auxz00_2592;obj_t BgL_auxz00_2590;
BgL_auxz00_2592 = 
CNST_TABLE_REF(((long)5)); 
BgL_auxz00_2590 = 
CAR(BgL_sz00_742); 
BgL_testz00_2589 = 
(BgL_auxz00_2590==BgL_auxz00_2592); } 
if(BgL_testz00_2589)
{ /* Object/slots.scm 285 */
if(
PAIRP(BgL_cdrzd2175zd2_754))
{ /* Object/slots.scm 285 */
obj_t BgL_carzd2178zd2_757;
BgL_carzd2178zd2_757 = 
CAR(BgL_cdrzd2175zd2_754); 
if(
PAIRP(BgL_carzd2178zd2_757))
{ /* Object/slots.scm 285 */
obj_t BgL_cdrzd2182zd2_759;
BgL_cdrzd2182zd2_759 = 
CDR(BgL_carzd2178zd2_757); 
{ /* Object/slots.scm 285 */
bool_t BgL_testz00_2601;
{ /* Object/slots.scm 285 */
obj_t BgL_auxz00_2604;obj_t BgL_auxz00_2602;
BgL_auxz00_2604 = 
CNST_TABLE_REF(((long)6)); 
BgL_auxz00_2602 = 
CAR(BgL_carzd2178zd2_757); 
BgL_testz00_2601 = 
(BgL_auxz00_2602==BgL_auxz00_2604); } 
if(BgL_testz00_2601)
{ /* Object/slots.scm 285 */
if(
PAIRP(BgL_cdrzd2182zd2_759))
{ /* Object/slots.scm 285 */
if(
BGl_equalzf3zf3zz__r4_equivalence_6_2z00(
CDR(BgL_cdrzd2182zd2_759), BNIL))
{ /* Object/slots.scm 285 */
BgL_idz00_743 = 
CAR(BgL_cdrzd2182zd2_759); 
BgL_attrz00_744 = 
CDR(BgL_cdrzd2175zd2_754); 
{ /* Object/slots.scm 287 */
BgL_slotz00_bglt BgL_svalz00_852;
BgL_sz00_919 = BgL_sz00_742; 
BgL_slotzd2idzd2_920 = BgL_idz00_743; 
BgL_attrz00_921 = BgL_attrz00_744; 
{ /* Object/slots.scm 187 */
obj_t BgL_vgetz00_923;
BgL_vgetz00_923 = 
BGl_findzd2virtualzd2attrz00zzobject_slotsz00(BgL_attrz00_921); 
{ /* Object/slots.scm 189 */
obj_t BgL_vsetz00_924;
{ /* Object/slots.scm 189 */
int BgL_auxz00_2613;
BgL_auxz00_2613 = 
(int)(((long)1)); 
BgL_vsetz00_924 = 
BGL_GET_MVALUES_VAL(BgL_auxz00_2613); } 
{ /* Object/slots.scm 189 */
bool_t BgL_testz00_2616;
if(
CBOOL(BgL_vgetz00_923))
{ /* Object/slots.scm 189 */
BgL_testz00_2616 = ((bool_t)1)
; }  else 
{ /* Object/slots.scm 189 */
BgL_testz00_2616 = 
CBOOL(BgL_vsetz00_924)
; } 
if(BgL_testz00_2616)
{ /* Object/slots.scm 189 */
BGl_userzd2errorzf2locationz20zztools_errorz00(BGl_string3514z00zzobject_slotsz00, BGl_string3515z00zzobject_slotsz00, 
CAR(BgL_slotzd2idzd2_920), BNIL, BNIL); }  else 
{ /* Object/slots.scm 189 */BFALSE; } } } } 
{ /* Object/slots.scm 194 */
obj_t BgL_ftypez00_931;
BgL_ftypez00_931 = 
BGl_findzd2slotzd2typez00zzobject_slotsz00(BgL_slotzd2idzd2_920, BgL_srcz00_9); 
{ /* Object/slots.scm 194 */
obj_t BgL_iidz00_932;
BgL_iidz00_932 = 
PROCEDURE_ENTRY(BGl_gensymz00zz__r4_symbols_6_4z00)(BGl_gensymz00zz__r4_symbols_6_4z00, BEOA); 
{ /* Object/slots.scm 195 */
BgL_typez00_bglt BgL_itypez00_933;
{ /* Object/slots.scm 197 */
obj_t BgL_arg2393z00_966;obj_t BgL_arg2394z00_967;obj_t BgL_arg2395z00_968;
BgL_arg2393z00_966 = 
SYMBOL_TO_STRING(BgL_iidz00_932); 
{ /* Object/slots.scm 198 */
obj_t BgL_list2399z00_969;
{ /* Object/slots.scm 198 */
obj_t BgL_auxz00_2626;
BgL_auxz00_2626 = 
CNST_TABLE_REF(((long)1)); 
BgL_list2399z00_969 = 
MAKE_PAIR(BgL_auxz00_2626, BNIL); } 
BgL_arg2394z00_967 = BgL_list2399z00_969; } 
BgL_arg2395z00_968 = 
CNST_TABLE_REF(((long)2)); 
BgL_itypez00_933 = 
BGl_declarezd2subtypez12zc0zztype_envz00(BgL_iidz00_932, BgL_arg2393z00_966, BgL_arg2394z00_967, BgL_arg2395z00_968); } 
{ /* Object/slots.scm 196 */
BgL_slotz00_bglt BgL_svalz00_934;
{ /* Object/slots.scm 201 */
obj_t BgL_arg2362z00_951;obj_t BgL_arg2363z00_952;obj_t BgL_arg2364z00_953;BgL_tclassz00_bglt BgL_arg2365z00_954;obj_t BgL_arg2366z00_955;obj_t BgL_arg2367z00_956;obj_t BgL_arg2368z00_957;BgL_tvecz00_bglt BgL_arg2370z00_959;obj_t BgL_arg2371z00_960;
BgL_arg2362z00_951 = 
CAR(BgL_slotzd2idzd2_920); 
BgL_arg2363z00_952 = 
BGl_schemezd2symbolzd2ze3czd2stringz31zzobject_slotsz00(
CAR(BgL_slotzd2idzd2_920)); 
BgL_arg2364z00_953 = BgL_sz00_919; 
BgL_arg2365z00_954 = BgL_classz00_5; 
BgL_arg2366z00_955 = BgL_ftypez00_931; 
BgL_arg2367z00_956 = 
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
CNST_TABLE_REF(((long)3)), BgL_attrz00_921); 
BgL_arg2368z00_957 = 
BGl_findzd2defaultzd2attrz00zzobject_slotsz00(BgL_attrz00_921); 
{ /* Object/slots.scm 208 */
BgL_tvecz00_bglt BgL_obj1927z00_962;
BgL_obj1927z00_962 = 
((BgL_tvecz00_bglt)BgL_itypez00_933); 
{ /* Object/slots.scm 209 */
BgL_tvecz00_bglt BgL_arg2381z00_963;
{ /* Object/slots.scm 208 */
BgL_tvecz00_bglt BgL_res3198z00_1648;
{ /* Object/slots.scm 208 */
BgL_typez00_bglt BgL_itemzd2type1091zd2_1642;
{ /* Object/slots.scm 208 */
obj_t BgL_auxz00_2638;
BgL_auxz00_2638 = BgL_ftypez00_931; 
BgL_itemzd2type1091zd2_1642 = 
(BgL_typez00_bglt)(BgL_auxz00_2638); } 
{ /* Object/slots.scm 208 */
BgL_tvecz00_bglt BgL_new1092z00_1643;
BgL_new1092z00_1643 = 
((BgL_tvecz00_bglt)BREF( GC_MALLOC (sizeof(struct BgL_tvecz00_bgl)))); 
{ /* Object/slots.scm 208 */
BgL_tvecz00_bglt BgL_res3197z00_1647;
((((BgL_tvecz00_bglt)CREF(BgL_new1092z00_1643))->BgL_itemzd2typezd2) = ((BgL_typez00_bglt)BgL_itemzd2type1091zd2_1642), BUNSPEC); 
BgL_res3197z00_1647 = BgL_new1092z00_1643; BgL_res3197z00_1647; } 
BgL_res3198z00_1648 = BgL_new1092z00_1643; } } 
BgL_arg2381z00_963 = BgL_res3198z00_1648; } 
{ /* Object/slots.scm 208 */
obj_t BgL_auxz00_2644;BgL_objectz00_bglt BgL_auxz00_2642;
BgL_auxz00_2644 = 
(obj_t)(BgL_arg2381z00_963); 
BgL_auxz00_2642 = 
(BgL_objectz00_bglt)(BgL_obj1927z00_962); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_2642, BgL_auxz00_2644); } } 
{ /* Object/slots.scm 208 */
long BgL_arg2387z00_965;
BgL_arg2387z00_965 = 
BGl_classzd2numzd2zz__objectz00(BGl_tvecz00zztvector_tvectorz00); 
{ /* Object/slots.scm 208 */
BgL_objectz00_bglt BgL_auxz00_2648;
BgL_auxz00_2648 = 
(BgL_objectz00_bglt)(BgL_obj1927z00_962); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_2648, BgL_arg2387z00_965); } } 
{ /* Object/slots.scm 208 */
obj_t BgL_auxz00_2651;
BgL_auxz00_2651 = 
(obj_t)(BgL_obj1927z00_962); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_2651); } BUNSPEC; 
BgL_arg2370z00_959 = BgL_obj1927z00_962; } 
BgL_arg2371z00_960 = 
BGl_findzd2infozd2attrz00zzobject_slotsz00(BgL_attrz00_921); 
{ /* Object/slots.scm 200 */
BgL_slotz00_bglt BgL_res3201z00_1697;
{ /* Object/slots.scm 200 */
obj_t BgL_classzd2owner1861zd2_1655;bool_t BgL_readzd2onlyzf31863z21_1657;obj_t BgL_virtualzd2num1865zd2_1659;obj_t BgL_indexed1868z00_1662;
BgL_classzd2owner1861zd2_1655 = 
(obj_t)(BgL_arg2365z00_954); 
BgL_readzd2onlyzf31863z21_1657 = 
CBOOL(BgL_arg2367z00_956); 
BgL_virtualzd2num1865zd2_1659 = 
BINT(((long)-1)); 
BgL_indexed1868z00_1662 = 
(obj_t)(BgL_arg2370z00_959); 
{ /* Object/slots.scm 200 */
BgL_slotz00_bglt BgL_new1870z00_1664;
{ /* Object/slots.scm 200 */
BgL_slotz00_bglt BgL_res3199z00_1670;
{ /* Object/slots.scm 200 */
BgL_slotz00_bglt BgL_new1872z00_1665;
BgL_new1872z00_1665 = 
((BgL_slotz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_slotz00_bgl) ))); 
{ /* Object/slots.scm 200 */
long BgL_arg2901z00_1666;
BgL_arg2901z00_1666 = 
BGl_classzd2numzd2zz__objectz00(BGl_slotz00zzobject_slotsz00); 
{ /* Object/slots.scm 200 */
BgL_objectz00_bglt BgL_auxz00_2661;
BgL_auxz00_2661 = 
(BgL_objectz00_bglt)(BgL_new1872z00_1665); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_2661, BgL_arg2901z00_1666); } } 
{ /* Object/slots.scm 200 */
BgL_objectz00_bglt BgL_auxz00_2664;
BgL_auxz00_2664 = 
(BgL_objectz00_bglt)(BgL_new1872z00_1665); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_2664, BFALSE); } 
{ /* Object/slots.scm 200 */
obj_t BgL_auxz00_2667;
BgL_auxz00_2667 = 
(obj_t)(BgL_new1872z00_1665); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_2667); } BUNSPEC; 
BgL_res3199z00_1670 = BgL_new1872z00_1665; } 
BgL_new1870z00_1664 = BgL_res3199z00_1670; } 
{ /* Object/slots.scm 200 */
BgL_slotz00_bglt BgL_res3200z00_1696;
((((BgL_slotz00_bglt)CREF(BgL_new1870z00_1664))->BgL_idz00) = ((obj_t)BgL_arg2362z00_951), BUNSPEC); 
((((BgL_slotz00_bglt)CREF(BgL_new1870z00_1664))->BgL_namez00) = ((obj_t)BgL_arg2363z00_952), BUNSPEC); 
((((BgL_slotz00_bglt)CREF(BgL_new1870z00_1664))->BgL_srcz00) = ((obj_t)BgL_arg2364z00_953), BUNSPEC); 
((((BgL_slotz00_bglt)CREF(BgL_new1870z00_1664))->BgL_classzd2ownerzd2) = ((obj_t)BgL_classzd2owner1861zd2_1655), BUNSPEC); 
((((BgL_slotz00_bglt)CREF(BgL_new1870z00_1664))->BgL_typez00) = ((obj_t)BgL_arg2366z00_955), BUNSPEC); 
((((BgL_slotz00_bglt)CREF(BgL_new1870z00_1664))->BgL_readzd2onlyzf3z21) = ((bool_t)BgL_readzd2onlyzf31863z21_1657), BUNSPEC); 
((((BgL_slotz00_bglt)CREF(BgL_new1870z00_1664))->BgL_defaultzd2valuezd2) = ((obj_t)BgL_arg2368z00_957), BUNSPEC); 
((((BgL_slotz00_bglt)CREF(BgL_new1870z00_1664))->BgL_virtualzd2numzd2) = ((obj_t)BgL_virtualzd2num1865zd2_1659), BUNSPEC); 
((((BgL_slotz00_bglt)CREF(BgL_new1870z00_1664))->BgL_getterz00) = ((obj_t)BFALSE), BUNSPEC); 
((((BgL_slotz00_bglt)CREF(BgL_new1870z00_1664))->BgL_setterz00) = ((obj_t)BFALSE), BUNSPEC); 
((((BgL_slotz00_bglt)CREF(BgL_new1870z00_1664))->BgL_indexedz00) = ((obj_t)BgL_indexed1868z00_1662), BUNSPEC); 
((((BgL_slotz00_bglt)CREF(BgL_new1870z00_1664))->BgL_userzd2infozd2) = ((obj_t)BgL_arg2371z00_960), BUNSPEC); 
BgL_res3200z00_1696 = BgL_new1870z00_1664; BgL_res3200z00_1696; } 
BgL_res3201z00_1697 = BgL_new1870z00_1664; } } 
BgL_svalz00_934 = BgL_res3201z00_1697; } } 
{ /* Object/slots.scm 200 */
BgL_slotz00_bglt BgL_slenz00_935;
{ /* Object/slots.scm 211 */
obj_t BgL_lenzd2idzd2_938;
{ /* Object/slots.scm 211 */
obj_t BgL_arg2352z00_947;
BgL_arg2352z00_947 = 
CAR(BgL_slotzd2idzd2_920); 
{ /* Object/slots.scm 211 */
obj_t BgL_list2355z00_949;
{ /* Object/slots.scm 211 */
obj_t BgL_arg2357z00_950;
{ /* Object/slots.scm 211 */
obj_t BgL_auxz00_2683;
BgL_auxz00_2683 = 
CNST_TABLE_REF(((long)4)); 
BgL_arg2357z00_950 = 
MAKE_PAIR(BgL_auxz00_2683, BNIL); } 
BgL_list2355z00_949 = 
MAKE_PAIR(BgL_arg2352z00_947, BgL_arg2357z00_950); } 
BgL_lenzd2idzd2_938 = 
BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(BgL_list2355z00_949); } } 
{ /* Object/slots.scm 213 */
obj_t BgL_arg2338z00_939;obj_t BgL_arg2339z00_940;obj_t BgL_arg2340z00_941;BgL_tclassz00_bglt BgL_arg2341z00_942;obj_t BgL_arg2344z00_943;bool_t BgL_arg2345z00_944;obj_t BgL_arg2346z00_945;
BgL_arg2338z00_939 = BgL_lenzd2idzd2_938; 
BgL_arg2339z00_940 = 
BGl_schemezd2symbolzd2ze3czd2stringz31zzobject_slotsz00(BgL_lenzd2idzd2_938); 
BgL_arg2340z00_941 = BgL_sz00_919; 
BgL_arg2341z00_942 = BgL_classz00_5; 
BgL_arg2344z00_943 = BGl_za2longza2z00zztype_cachez00; 
BgL_arg2345z00_944 = ((bool_t)1); 
BgL_arg2346z00_945 = BGl_za2slotzd2nozd2defaultzd2valuezd2markza2z00zzobject_slotsz00; 
{ /* Object/slots.scm 212 */
BgL_slotz00_bglt BgL_res3204z00_1744;
{ /* Object/slots.scm 212 */
obj_t BgL_classzd2owner1861zd2_1702;obj_t BgL_virtualzd2num1865zd2_1706;
BgL_classzd2owner1861zd2_1702 = 
(obj_t)(BgL_arg2341z00_942); 
BgL_virtualzd2num1865zd2_1706 = 
BINT(((long)-1)); 
{ /* Object/slots.scm 212 */
BgL_slotz00_bglt BgL_new1870z00_1711;
{ /* Object/slots.scm 212 */
BgL_slotz00_bglt BgL_res3202z00_1717;
{ /* Object/slots.scm 212 */
BgL_slotz00_bglt BgL_new1872z00_1712;
BgL_new1872z00_1712 = 
((BgL_slotz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_slotz00_bgl) ))); 
{ /* Object/slots.scm 212 */
long BgL_arg2901z00_1713;
BgL_arg2901z00_1713 = 
BGl_classzd2numzd2zz__objectz00(BGl_slotz00zzobject_slotsz00); 
{ /* Object/slots.scm 212 */
BgL_objectz00_bglt BgL_auxz00_2693;
BgL_auxz00_2693 = 
(BgL_objectz00_bglt)(BgL_new1872z00_1712); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_2693, BgL_arg2901z00_1713); } } 
{ /* Object/slots.scm 212 */
BgL_objectz00_bglt BgL_auxz00_2696;
BgL_auxz00_2696 = 
(BgL_objectz00_bglt)(BgL_new1872z00_1712); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_2696, BFALSE); } 
{ /* Object/slots.scm 212 */
obj_t BgL_auxz00_2699;
BgL_auxz00_2699 = 
(obj_t)(BgL_new1872z00_1712); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_2699); } BUNSPEC; 
BgL_res3202z00_1717 = BgL_new1872z00_1712; } 
BgL_new1870z00_1711 = BgL_res3202z00_1717; } 
{ /* Object/slots.scm 212 */
BgL_slotz00_bglt BgL_res3203z00_1743;
((((BgL_slotz00_bglt)CREF(BgL_new1870z00_1711))->BgL_idz00) = ((obj_t)BgL_arg2338z00_939), BUNSPEC); 
((((BgL_slotz00_bglt)CREF(BgL_new1870z00_1711))->BgL_namez00) = ((obj_t)BgL_arg2339z00_940), BUNSPEC); 
((((BgL_slotz00_bglt)CREF(BgL_new1870z00_1711))->BgL_srcz00) = ((obj_t)BgL_arg2340z00_941), BUNSPEC); 
((((BgL_slotz00_bglt)CREF(BgL_new1870z00_1711))->BgL_classzd2ownerzd2) = ((obj_t)BgL_classzd2owner1861zd2_1702), BUNSPEC); 
((((BgL_slotz00_bglt)CREF(BgL_new1870z00_1711))->BgL_typez00) = ((obj_t)BgL_arg2344z00_943), BUNSPEC); 
((((BgL_slotz00_bglt)CREF(BgL_new1870z00_1711))->BgL_readzd2onlyzf3z21) = ((bool_t)BgL_arg2345z00_944), BUNSPEC); 
((((BgL_slotz00_bglt)CREF(BgL_new1870z00_1711))->BgL_defaultzd2valuezd2) = ((obj_t)BgL_arg2346z00_945), BUNSPEC); 
((((BgL_slotz00_bglt)CREF(BgL_new1870z00_1711))->BgL_virtualzd2numzd2) = ((obj_t)BgL_virtualzd2num1865zd2_1706), BUNSPEC); 
((((BgL_slotz00_bglt)CREF(BgL_new1870z00_1711))->BgL_getterz00) = ((obj_t)BFALSE), BUNSPEC); 
((((BgL_slotz00_bglt)CREF(BgL_new1870z00_1711))->BgL_setterz00) = ((obj_t)BFALSE), BUNSPEC); 
((((BgL_slotz00_bglt)CREF(BgL_new1870z00_1711))->BgL_indexedz00) = ((obj_t)BFALSE), BUNSPEC); 
((((BgL_slotz00_bglt)CREF(BgL_new1870z00_1711))->BgL_userzd2infozd2) = ((obj_t)BUNSPEC), BUNSPEC); 
BgL_res3203z00_1743 = BgL_new1870z00_1711; BgL_res3203z00_1743; } 
BgL_res3204z00_1744 = BgL_new1870z00_1711; } } 
BgL_slenz00_935 = BgL_res3204z00_1744; } } } 
{ /* Object/slots.scm 211 */

((((BgL_typez00_bglt)CREF(BgL_itypez00_933))->BgL_initzf3zf3) = ((bool_t)((bool_t)1)), BUNSPEC); 
{ /* Object/slots.scm 220 */
int BgL_auxz00_2715;
BgL_auxz00_2715 = 
(int)(((long)2)); 
BGL_SET_MVALUES_NUMBER(BgL_auxz00_2715); } 
{ /* Object/slots.scm 220 */
obj_t BgL_auxz00_2720;int BgL_auxz00_2718;
BgL_auxz00_2720 = 
(obj_t)(BgL_slenz00_935); 
BgL_auxz00_2718 = 
(int)(((long)1)); 
BGL_SET_MVALUES_VAL(BgL_auxz00_2718, BgL_auxz00_2720); } 
BgL_svalz00_852 = BgL_svalz00_934; } } } } } } 
{ /* Object/slots.scm 289 */
obj_t BgL_slenz00_853;
{ /* Object/slots.scm 289 */
int BgL_auxz00_2723;
BgL_auxz00_2723 = 
(int)(((long)1)); 
BgL_slenz00_853 = 
BGL_GET_MVALUES_VAL(BgL_auxz00_2723); } 
{ /* Object/slots.scm 289 */
obj_t BgL_arg2203z00_854;obj_t BgL_arg2204z00_855;
BgL_arg2203z00_854 = 
CDR(BgL_slotsz00_733); 
{ /* Object/slots.scm 290 */
obj_t BgL_arg2208z00_856;
BgL_arg2208z00_856 = 
MAKE_PAIR(BgL_slenz00_853, BgL_resz00_734); 
{ /* Object/slots.scm 290 */
obj_t BgL_auxz00_2728;
BgL_auxz00_2728 = 
(obj_t)(BgL_svalz00_852); 
BgL_arg2204z00_855 = 
MAKE_PAIR(BgL_auxz00_2728, BgL_arg2208z00_856); } } 
{ 
obj_t BgL_resz00_2732;obj_t BgL_slotsz00_2731;
BgL_slotsz00_2731 = BgL_arg2203z00_854; 
BgL_resz00_2732 = BgL_arg2204z00_855; 
BgL_resz00_734 = BgL_resz00_2732; 
BgL_slotsz00_733 = BgL_slotsz00_2731; 
goto BgL_loopz00_736;} } } } }  else 
{ /* Object/slots.scm 285 */
obj_t BgL_carzd2192zd2_765;
BgL_carzd2192zd2_765 = 
CAR(BgL_sz00_742); 
if(
PAIRP(BgL_carzd2192zd2_765))
{ /* Object/slots.scm 285 */
obj_t BgL_cdrzd2196zd2_767;
BgL_cdrzd2196zd2_767 = 
CDR(BgL_carzd2192zd2_765); 
{ /* Object/slots.scm 285 */
bool_t BgL_testz00_2739;
{ /* Object/slots.scm 285 */
obj_t BgL_auxz00_2742;obj_t BgL_auxz00_2740;
BgL_auxz00_2742 = 
CNST_TABLE_REF(((long)6)); 
BgL_auxz00_2740 = 
CAR(BgL_carzd2192zd2_765); 
BgL_testz00_2739 = 
(BgL_auxz00_2740==BgL_auxz00_2742); } 
if(BgL_testz00_2739)
{ /* Object/slots.scm 285 */
if(
PAIRP(BgL_cdrzd2196zd2_767))
{ /* Object/slots.scm 285 */
if(
BGl_equalzf3zf3zz__r4_equivalence_6_2z00(
CDR(BgL_cdrzd2196zd2_767), BNIL))
{ /* Object/slots.scm 285 */
BgL_idz00_746 = 
CAR(BgL_cdrzd2196zd2_767); 
BgL_attrz00_747 = BgL_cdrzd2175zd2_754; 
BgL_tagzd2166zd2_748:
{ /* Object/slots.scm 293 */
obj_t BgL_vgetz00_857;
BgL_vgetz00_857 = 
BGl_findzd2virtualzd2attrz00zzobject_slotsz00(BgL_attrz00_747); 
{ /* Object/slots.scm 295 */
obj_t BgL_vsetz00_858;
{ /* Object/slots.scm 295 */
int BgL_auxz00_2751;
BgL_auxz00_2751 = 
(int)(((long)1)); 
BgL_vsetz00_858 = 
BGL_GET_MVALUES_VAL(BgL_auxz00_2751); } 
{ /* Object/slots.scm 295 */
obj_t BgL_arg2215z00_859;obj_t BgL_arg2216z00_860;obj_t BgL_arg2217z00_861;
BgL_arg2215z00_859 = 
CDR(BgL_slotsz00_733); 
{ /* Object/slots.scm 296 */
obj_t BgL_arg2221z00_862;
BgL_sz00_878 = BgL_sz00_742; 
BgL_slotzd2idzd2_879 = BgL_idz00_746; 
BgL_attrz00_880 = BgL_attrz00_747; 
BgL_vgetz00_881 = BgL_vgetz00_857; 
BgL_vsetz00_882 = BgL_vsetz00_858; 
BgL_vnumz00_883 = BgL_vnumz00_735; 
{ /* Object/slots.scm 224 */
obj_t BgL_readozf3zf3_885;
BgL_readozf3zf3_885 = 
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
CNST_TABLE_REF(((long)3)), BgL_attrz00_880); 
{ /* Object/slots.scm 226 */
bool_t BgL_testz00_2757;
if(
CBOOL(BgL_vsetz00_882))
{ /* Object/slots.scm 226 */
if(
CBOOL(BgL_vgetz00_881))
{ /* Object/slots.scm 226 */
BgL_testz00_2757 = ((bool_t)0)
; }  else 
{ /* Object/slots.scm 226 */
BgL_testz00_2757 = ((bool_t)1)
; } }  else 
{ /* Object/slots.scm 226 */
BgL_testz00_2757 = ((bool_t)0)
; } 
if(BgL_testz00_2757)
{ /* Object/slots.scm 226 */
{ /* Object/slots.scm 227 */
obj_t BgL_arg2262z00_887;obj_t BgL_arg2265z00_890;
BgL_arg2262z00_887 = 
BGl_findzd2locationzd2zztools_locationz00(BgL_sz00_878); 
BgL_arg2265z00_890 = 
CAR(BgL_slotzd2idzd2_879); 
{ /* Object/slots.scm 227 */
obj_t BgL_list2269z00_892;
BgL_list2269z00_892 = 
MAKE_PAIR(BNIL, BNIL); 
BgL_arg2221z00_862 = 
BGl_userzd2errorzf2locationz20zztools_errorz00(BgL_arg2262z00_887, BGl_string3514z00zzobject_slotsz00, BGl_string3516z00zzobject_slotsz00, BgL_arg2265z00_890, BgL_list2269z00_892); } } }  else 
{ /* Object/slots.scm 232 */
bool_t BgL_testz00_2766;
if(
CBOOL(BgL_vsetz00_882))
{ /* Object/slots.scm 232 */
BgL_testz00_2766 = 
CBOOL(BgL_readozf3zf3_885)
; }  else 
{ /* Object/slots.scm 232 */
BgL_testz00_2766 = ((bool_t)0)
; } 
if(BgL_testz00_2766)
{ /* Object/slots.scm 232 */
{ /* Object/slots.scm 233 */
obj_t BgL_arg2275z00_894;obj_t BgL_arg2278z00_897;
BgL_arg2275z00_894 = 
BGl_findzd2locationzd2zztools_locationz00(BgL_sz00_878); 
BgL_arg2278z00_897 = 
CAR(BgL_slotzd2idzd2_879); 
{ /* Object/slots.scm 233 */
obj_t BgL_list2281z00_899;
BgL_list2281z00_899 = 
MAKE_PAIR(BNIL, BNIL); 
BgL_arg2221z00_862 = 
BGl_userzd2errorzf2locationz20zztools_errorz00(BgL_arg2275z00_894, BGl_string3514z00zzobject_slotsz00, BGl_string3517z00zzobject_slotsz00, BgL_arg2278z00_897, BgL_list2281z00_899); } } }  else 
{ /* Object/slots.scm 238 */
bool_t BgL_testz00_2774;
if(
CBOOL(BgL_vgetz00_881))
{ /* Object/slots.scm 238 */
if(
CBOOL(BgL_vsetz00_882))
{ /* Object/slots.scm 238 */
BgL_testz00_2774 = ((bool_t)0)
; }  else 
{ /* Object/slots.scm 238 */
if(
CBOOL(BgL_readozf3zf3_885))
{ /* Object/slots.scm 238 */
BgL_testz00_2774 = ((bool_t)0)
; }  else 
{ /* Object/slots.scm 238 */
BgL_testz00_2774 = ((bool_t)1)
; } } }  else 
{ /* Object/slots.scm 238 */
BgL_testz00_2774 = ((bool_t)0)
; } 
if(BgL_testz00_2774)
{ /* Object/slots.scm 238 */
{ /* Object/slots.scm 239 */
obj_t BgL_arg2287z00_901;obj_t BgL_arg2290z00_904;
BgL_arg2287z00_901 = 
BGl_findzd2locationzd2zztools_locationz00(BgL_sz00_878); 
BgL_arg2290z00_904 = 
CAR(BgL_slotzd2idzd2_879); 
{ /* Object/slots.scm 239 */
obj_t BgL_list2293z00_906;
BgL_list2293z00_906 = 
MAKE_PAIR(BNIL, BNIL); 
BgL_arg2221z00_862 = 
BGl_userzd2errorzf2locationz20zztools_errorz00(BgL_arg2287z00_901, BGl_string3514z00zzobject_slotsz00, BGl_string3518z00zzobject_slotsz00, BgL_arg2290z00_904, BgL_list2293z00_906); } } }  else 
{ /* Object/slots.scm 238 */
{ /* Object/slots.scm 246 */
obj_t BgL_arg2298z00_907;obj_t BgL_arg2299z00_908;obj_t BgL_arg2300z00_909;BgL_tclassz00_bglt BgL_arg2301z00_910;obj_t BgL_arg2302z00_911;obj_t BgL_arg2303z00_912;obj_t BgL_arg2304z00_913;obj_t BgL_arg2305z00_914;obj_t BgL_arg2306z00_915;obj_t BgL_arg2307z00_916;obj_t BgL_arg2309z00_917;
BgL_arg2298z00_907 = 
CAR(BgL_slotzd2idzd2_879); 
BgL_arg2299z00_908 = 
BGl_schemezd2symbolzd2ze3czd2stringz31zzobject_slotsz00(
CAR(BgL_slotzd2idzd2_879)); 
BgL_arg2300z00_909 = BgL_sz00_878; 
BgL_arg2301z00_910 = BgL_classz00_5; 
BgL_arg2302z00_911 = 
BGl_findzd2slotzd2typez00zzobject_slotsz00(BgL_slotzd2idzd2_879, BgL_sz00_878); 
BgL_arg2303z00_912 = BgL_readozf3zf3_885; 
BgL_arg2304z00_913 = 
BGl_findzd2defaultzd2attrz00zzobject_slotsz00(BgL_attrz00_880); 
if(
CBOOL(BgL_vgetz00_881))
{ /* Object/slots.scm 253 */
BgL_arg2305z00_914 = BgL_vnumz00_883; }  else 
{ /* Object/slots.scm 253 */
BgL_arg2305z00_914 = 
BINT(((long)-1)); } 
BgL_arg2306z00_915 = BgL_vgetz00_881; 
BgL_arg2307z00_916 = BgL_vsetz00_882; 
BgL_arg2309z00_917 = 
BGl_findzd2infozd2attrz00zzobject_slotsz00(BgL_attrz00_880); 
{ /* Object/slots.scm 245 */
BgL_slotz00_bglt BgL_res3195z00_1634;
{ /* Object/slots.scm 245 */
obj_t BgL_classzd2owner1861zd2_1592;bool_t BgL_readzd2onlyzf31863z21_1594;
BgL_classzd2owner1861zd2_1592 = 
(obj_t)(BgL_arg2301z00_910); 
BgL_readzd2onlyzf31863z21_1594 = 
CBOOL(BgL_arg2303z00_912); 
{ /* Object/slots.scm 245 */
BgL_slotz00_bglt BgL_new1870z00_1601;
{ /* Object/slots.scm 245 */
BgL_slotz00_bglt BgL_res3193z00_1607;
{ /* Object/slots.scm 245 */
BgL_slotz00_bglt BgL_new1872z00_1602;
BgL_new1872z00_1602 = 
((BgL_slotz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_slotz00_bgl) ))); 
{ /* Object/slots.scm 245 */
long BgL_arg2901z00_1603;
BgL_arg2901z00_1603 = 
BGl_classzd2numzd2zz__objectz00(BGl_slotz00zzobject_slotsz00); 
{ /* Object/slots.scm 245 */
BgL_objectz00_bglt BgL_auxz00_2798;
BgL_auxz00_2798 = 
(BgL_objectz00_bglt)(BgL_new1872z00_1602); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_2798, BgL_arg2901z00_1603); } } 
{ /* Object/slots.scm 245 */
BgL_objectz00_bglt BgL_auxz00_2801;
BgL_auxz00_2801 = 
(BgL_objectz00_bglt)(BgL_new1872z00_1602); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_2801, BFALSE); } 
{ /* Object/slots.scm 245 */
obj_t BgL_auxz00_2804;
BgL_auxz00_2804 = 
(obj_t)(BgL_new1872z00_1602); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_2804); } BUNSPEC; 
BgL_res3193z00_1607 = BgL_new1872z00_1602; } 
BgL_new1870z00_1601 = BgL_res3193z00_1607; } 
{ /* Object/slots.scm 245 */
BgL_slotz00_bglt BgL_res3194z00_1633;
((((BgL_slotz00_bglt)CREF(BgL_new1870z00_1601))->BgL_idz00) = ((obj_t)BgL_arg2298z00_907), BUNSPEC); 
((((BgL_slotz00_bglt)CREF(BgL_new1870z00_1601))->BgL_namez00) = ((obj_t)BgL_arg2299z00_908), BUNSPEC); 
((((BgL_slotz00_bglt)CREF(BgL_new1870z00_1601))->BgL_srcz00) = ((obj_t)BgL_arg2300z00_909), BUNSPEC); 
((((BgL_slotz00_bglt)CREF(BgL_new1870z00_1601))->BgL_classzd2ownerzd2) = ((obj_t)BgL_classzd2owner1861zd2_1592), BUNSPEC); 
((((BgL_slotz00_bglt)CREF(BgL_new1870z00_1601))->BgL_typez00) = ((obj_t)BgL_arg2302z00_911), BUNSPEC); 
((((BgL_slotz00_bglt)CREF(BgL_new1870z00_1601))->BgL_readzd2onlyzf3z21) = ((bool_t)BgL_readzd2onlyzf31863z21_1594), BUNSPEC); 
((((BgL_slotz00_bglt)CREF(BgL_new1870z00_1601))->BgL_defaultzd2valuezd2) = ((obj_t)BgL_arg2304z00_913), BUNSPEC); 
((((BgL_slotz00_bglt)CREF(BgL_new1870z00_1601))->BgL_virtualzd2numzd2) = ((obj_t)BgL_arg2305z00_914), BUNSPEC); 
((((BgL_slotz00_bglt)CREF(BgL_new1870z00_1601))->BgL_getterz00) = ((obj_t)BgL_arg2306z00_915), BUNSPEC); 
((((BgL_slotz00_bglt)CREF(BgL_new1870z00_1601))->BgL_setterz00) = ((obj_t)BgL_arg2307z00_916), BUNSPEC); 
((((BgL_slotz00_bglt)CREF(BgL_new1870z00_1601))->BgL_indexedz00) = ((obj_t)BFALSE), BUNSPEC); 
((((BgL_slotz00_bglt)CREF(BgL_new1870z00_1601))->BgL_userzd2infozd2) = ((obj_t)BgL_arg2309z00_917), BUNSPEC); 
BgL_res3194z00_1633 = BgL_new1870z00_1601; BgL_res3194z00_1633; } 
BgL_res3195z00_1634 = BgL_new1870z00_1601; } } 
BgL_arg2221z00_862 = 
(obj_t)(BgL_res3195z00_1634); } } } } } } } 
BgL_arg2216z00_860 = 
MAKE_PAIR(BgL_arg2221z00_862, BgL_resz00_734); } 
{ /* Object/slots.scm 298 */
bool_t BgL_testz00_2821;
if(
CBOOL(BgL_vgetz00_857))
{ /* Object/slots.scm 298 */
BgL_testz00_2821 = ((bool_t)1)
; }  else 
{ /* Object/slots.scm 298 */
BgL_testz00_2821 = 
CBOOL(BgL_vsetz00_858)
; } 
if(BgL_testz00_2821)
{ /* Object/slots.scm 298 */
BgL_arg2217z00_861 = 
BGl_2zb2zb2zz__r4_numbers_6_5z00(BgL_vnumz00_735, 
BINT(((long)1))); }  else 
{ /* Object/slots.scm 298 */
BgL_arg2217z00_861 = BgL_vnumz00_735; } } 
{ 
obj_t BgL_vnumz00_2829;obj_t BgL_resz00_2828;obj_t BgL_slotsz00_2827;
BgL_slotsz00_2827 = BgL_arg2215z00_859; 
BgL_resz00_2828 = BgL_arg2216z00_860; 
BgL_vnumz00_2829 = BgL_arg2217z00_861; 
BgL_vnumz00_735 = BgL_vnumz00_2829; 
BgL_resz00_734 = BgL_resz00_2828; 
BgL_slotsz00_733 = BgL_slotsz00_2827; 
goto BgL_loopz00_736;} } } } }  else 
{ /* Object/slots.scm 285 */
BgL_tagzd2168zd2_751:
{ /* Object/slots.scm 304 */
obj_t BgL_list2238z00_867;
BgL_list2238z00_867 = 
MAKE_PAIR(BNIL, BNIL); 
return 
BGl_userzd2errorzd2zztools_errorz00(BGl_string3514z00zzobject_slotsz00, BGl_string3519z00zzobject_slotsz00, BgL_sz00_742, BgL_list2238z00_867);} } }  else 
{ /* Object/slots.scm 285 */
goto BgL_tagzd2168zd2_751;} }  else 
{ /* Object/slots.scm 285 */
goto BgL_tagzd2168zd2_751;} } }  else 
{ /* Object/slots.scm 285 */
goto BgL_tagzd2168zd2_751;} } }  else 
{ /* Object/slots.scm 285 */
obj_t BgL_carzd2214zd2_779;
BgL_carzd2214zd2_779 = 
CAR(BgL_sz00_742); 
if(
PAIRP(BgL_carzd2214zd2_779))
{ /* Object/slots.scm 285 */
obj_t BgL_cdrzd2218zd2_781;
BgL_cdrzd2218zd2_781 = 
CDR(BgL_carzd2214zd2_779); 
{ /* Object/slots.scm 285 */
bool_t BgL_testz00_2837;
{ /* Object/slots.scm 285 */
obj_t BgL_auxz00_2840;obj_t BgL_auxz00_2838;
BgL_auxz00_2840 = 
CNST_TABLE_REF(((long)6)); 
BgL_auxz00_2838 = 
CAR(BgL_carzd2214zd2_779); 
BgL_testz00_2837 = 
(BgL_auxz00_2838==BgL_auxz00_2840); } 
if(BgL_testz00_2837)
{ /* Object/slots.scm 285 */
if(
PAIRP(BgL_cdrzd2218zd2_781))
{ /* Object/slots.scm 285 */
if(
BGl_equalzf3zf3zz__r4_equivalence_6_2z00(
CDR(BgL_cdrzd2218zd2_781), BNIL))
{ 
obj_t BgL_attrz00_2850;obj_t BgL_idz00_2848;
BgL_idz00_2848 = 
CAR(BgL_cdrzd2218zd2_781); 
BgL_attrz00_2850 = BgL_cdrzd2175zd2_754; 
BgL_attrz00_747 = BgL_attrz00_2850; 
BgL_idz00_746 = BgL_idz00_2848; 
goto BgL_tagzd2166zd2_748;}  else 
{ /* Object/slots.scm 285 */
goto BgL_tagzd2168zd2_751;} }  else 
{ /* Object/slots.scm 285 */
goto BgL_tagzd2168zd2_751;} }  else 
{ /* Object/slots.scm 285 */
goto BgL_tagzd2168zd2_751;} } }  else 
{ /* Object/slots.scm 285 */
goto BgL_tagzd2168zd2_751;} } }  else 
{ /* Object/slots.scm 285 */
obj_t BgL_carzd2236zd2_791;
BgL_carzd2236zd2_791 = 
CAR(BgL_sz00_742); 
if(
PAIRP(BgL_carzd2236zd2_791))
{ /* Object/slots.scm 285 */
obj_t BgL_cdrzd2240zd2_793;
BgL_cdrzd2240zd2_793 = 
CDR(BgL_carzd2236zd2_791); 
{ /* Object/slots.scm 285 */
bool_t BgL_testz00_2855;
{ /* Object/slots.scm 285 */
obj_t BgL_auxz00_2858;obj_t BgL_auxz00_2856;
BgL_auxz00_2858 = 
CNST_TABLE_REF(((long)6)); 
BgL_auxz00_2856 = 
CAR(BgL_carzd2236zd2_791); 
BgL_testz00_2855 = 
(BgL_auxz00_2856==BgL_auxz00_2858); } 
if(BgL_testz00_2855)
{ /* Object/slots.scm 285 */
if(
PAIRP(BgL_cdrzd2240zd2_793))
{ /* Object/slots.scm 285 */
if(
BGl_equalzf3zf3zz__r4_equivalence_6_2z00(
CDR(BgL_cdrzd2240zd2_793), BNIL))
{ 
obj_t BgL_attrz00_2868;obj_t BgL_idz00_2866;
BgL_idz00_2866 = 
CAR(BgL_cdrzd2240zd2_793); 
BgL_attrz00_2868 = BgL_cdrzd2175zd2_754; 
BgL_attrz00_747 = BgL_attrz00_2868; 
BgL_idz00_746 = BgL_idz00_2866; 
goto BgL_tagzd2166zd2_748;}  else 
{ /* Object/slots.scm 285 */
goto BgL_tagzd2168zd2_751;} }  else 
{ /* Object/slots.scm 285 */
goto BgL_tagzd2168zd2_751;} }  else 
{ /* Object/slots.scm 285 */
goto BgL_tagzd2168zd2_751;} } }  else 
{ /* Object/slots.scm 285 */
goto BgL_tagzd2168zd2_751;} } } }  else 
{ /* Object/slots.scm 285 */
obj_t BgL_carzd2258zd2_805;
BgL_carzd2258zd2_805 = 
CAR(BgL_sz00_742); 
if(
PAIRP(BgL_carzd2258zd2_805))
{ /* Object/slots.scm 285 */
obj_t BgL_cdrzd2262zd2_807;
BgL_cdrzd2262zd2_807 = 
CDR(BgL_carzd2258zd2_805); 
{ /* Object/slots.scm 285 */
bool_t BgL_testz00_2873;
{ /* Object/slots.scm 285 */
obj_t BgL_auxz00_2876;obj_t BgL_auxz00_2874;
BgL_auxz00_2876 = 
CNST_TABLE_REF(((long)6)); 
BgL_auxz00_2874 = 
CAR(BgL_carzd2258zd2_805); 
BgL_testz00_2873 = 
(BgL_auxz00_2874==BgL_auxz00_2876); } 
if(BgL_testz00_2873)
{ /* Object/slots.scm 285 */
if(
PAIRP(BgL_cdrzd2262zd2_807))
{ /* Object/slots.scm 285 */
if(
BGl_equalzf3zf3zz__r4_equivalence_6_2z00(
CDR(BgL_cdrzd2262zd2_807), BNIL))
{ 
obj_t BgL_attrz00_2886;obj_t BgL_idz00_2884;
BgL_idz00_2884 = 
CAR(BgL_cdrzd2262zd2_807); 
BgL_attrz00_2886 = BgL_cdrzd2175zd2_754; 
BgL_attrz00_747 = BgL_attrz00_2886; 
BgL_idz00_746 = BgL_idz00_2884; 
goto BgL_tagzd2166zd2_748;}  else 
{ /* Object/slots.scm 285 */
goto BgL_tagzd2168zd2_751;} }  else 
{ /* Object/slots.scm 285 */
goto BgL_tagzd2168zd2_751;} }  else 
{ /* Object/slots.scm 285 */
goto BgL_tagzd2168zd2_751;} } }  else 
{ /* Object/slots.scm 285 */
goto BgL_tagzd2168zd2_751;} } }  else 
{ /* Object/slots.scm 285 */
obj_t BgL_carzd2280zd2_817;
BgL_carzd2280zd2_817 = 
CAR(BgL_sz00_742); 
if(
PAIRP(BgL_carzd2280zd2_817))
{ /* Object/slots.scm 285 */
obj_t BgL_cdrzd2284zd2_819;
BgL_cdrzd2284zd2_819 = 
CDR(BgL_carzd2280zd2_817); 
{ /* Object/slots.scm 285 */
bool_t BgL_testz00_2891;
{ /* Object/slots.scm 285 */
obj_t BgL_auxz00_2894;obj_t BgL_auxz00_2892;
BgL_auxz00_2894 = 
CNST_TABLE_REF(((long)6)); 
BgL_auxz00_2892 = 
CAR(BgL_carzd2280zd2_817); 
BgL_testz00_2891 = 
(BgL_auxz00_2892==BgL_auxz00_2894); } 
if(BgL_testz00_2891)
{ /* Object/slots.scm 285 */
if(
PAIRP(BgL_cdrzd2284zd2_819))
{ /* Object/slots.scm 285 */
if(
BGl_equalzf3zf3zz__r4_equivalence_6_2z00(
CDR(BgL_cdrzd2284zd2_819), BNIL))
{ 
obj_t BgL_attrz00_2904;obj_t BgL_idz00_2902;
BgL_idz00_2902 = 
CAR(BgL_cdrzd2284zd2_819); 
BgL_attrz00_2904 = BgL_cdrzd2175zd2_754; 
BgL_attrz00_747 = BgL_attrz00_2904; 
BgL_idz00_746 = BgL_idz00_2902; 
goto BgL_tagzd2166zd2_748;}  else 
{ /* Object/slots.scm 285 */
goto BgL_tagzd2168zd2_751;} }  else 
{ /* Object/slots.scm 285 */
goto BgL_tagzd2168zd2_751;} }  else 
{ /* Object/slots.scm 285 */
goto BgL_tagzd2168zd2_751;} } }  else 
{ /* Object/slots.scm 285 */
goto BgL_tagzd2168zd2_751;} } }  else 
{ /* Object/slots.scm 285 */
obj_t BgL_carzd2302zd2_829;
BgL_carzd2302zd2_829 = 
CAR(BgL_sz00_742); 
if(
PAIRP(BgL_carzd2302zd2_829))
{ /* Object/slots.scm 285 */
obj_t BgL_cdrzd2306zd2_831;
BgL_cdrzd2306zd2_831 = 
CDR(BgL_carzd2302zd2_829); 
{ /* Object/slots.scm 285 */
bool_t BgL_testz00_2909;
{ /* Object/slots.scm 285 */
obj_t BgL_auxz00_2912;obj_t BgL_auxz00_2910;
BgL_auxz00_2912 = 
CNST_TABLE_REF(((long)6)); 
BgL_auxz00_2910 = 
CAR(BgL_carzd2302zd2_829); 
BgL_testz00_2909 = 
(BgL_auxz00_2910==BgL_auxz00_2912); } 
if(BgL_testz00_2909)
{ /* Object/slots.scm 285 */
if(
PAIRP(BgL_cdrzd2306zd2_831))
{ /* Object/slots.scm 285 */
if(
BGl_equalzf3zf3zz__r4_equivalence_6_2z00(
CDR(BgL_cdrzd2306zd2_831), BNIL))
{ 
obj_t BgL_attrz00_2922;obj_t BgL_idz00_2920;
BgL_idz00_2920 = 
CAR(BgL_cdrzd2306zd2_831); 
BgL_attrz00_2922 = BgL_cdrzd2175zd2_754; 
BgL_attrz00_747 = BgL_attrz00_2922; 
BgL_idz00_746 = BgL_idz00_2920; 
goto BgL_tagzd2166zd2_748;}  else 
{ /* Object/slots.scm 285 */
goto BgL_tagzd2168zd2_751;} }  else 
{ /* Object/slots.scm 285 */
goto BgL_tagzd2168zd2_751;} }  else 
{ /* Object/slots.scm 285 */
goto BgL_tagzd2168zd2_751;} } }  else 
{ /* Object/slots.scm 285 */
bool_t BgL_testz00_2923;
{ /* Object/slots.scm 285 */
obj_t BgL_auxz00_2924;
BgL_auxz00_2924 = 
CNST_TABLE_REF(((long)6)); 
BgL_testz00_2923 = 
(BgL_carzd2302zd2_829==BgL_auxz00_2924); } 
if(BgL_testz00_2923)
{ /* Object/slots.scm 285 */
if(
PAIRP(BgL_cdrzd2175zd2_754))
{ /* Object/slots.scm 285 */
if(
BGl_equalzf3zf3zz__r4_equivalence_6_2z00(
CDR(BgL_cdrzd2175zd2_754), BNIL))
{ /* Object/slots.scm 285 */
BgL_idz00_749 = 
CAR(BgL_cdrzd2175zd2_754); 
{ /* Object/slots.scm 300 */
obj_t BgL_arg2229z00_864;obj_t BgL_arg2230z00_865;
BgL_arg2229z00_864 = 
CDR(BgL_slotsz00_733); 
{ /* Object/slots.scm 301 */
BgL_slotz00_bglt BgL_arg2234z00_866;
BgL_slotzd2idzd2_868 = BgL_idz00_749; 
{ /* Object/slots.scm 260 */
obj_t BgL_arg2244z00_870;obj_t BgL_arg2245z00_871;obj_t BgL_arg2246z00_872;BgL_tclassz00_bglt BgL_arg2247z00_873;obj_t BgL_arg2248z00_874;obj_t BgL_arg2249z00_875;
BgL_arg2244z00_870 = 
CAR(BgL_slotzd2idzd2_868); 
BgL_arg2245z00_871 = 
BGl_schemezd2symbolzd2ze3czd2stringz31zzobject_slotsz00(
CAR(BgL_slotzd2idzd2_868)); 
BgL_arg2246z00_872 = BgL_slotzd2idzd2_868; 
BgL_arg2247z00_873 = BgL_classz00_5; 
BgL_arg2248z00_874 = 
BGl_findzd2slotzd2typez00zzobject_slotsz00(BgL_slotzd2idzd2_868, BgL_srcz00_9); 
BgL_arg2249z00_875 = BGl_za2slotzd2nozd2defaultzd2valuezd2markza2z00zzobject_slotsz00; 
{ /* Object/slots.scm 259 */
BgL_slotz00_bglt BgL_res3192z00_1583;
{ /* Object/slots.scm 259 */
obj_t BgL_classzd2owner1861zd2_1541;obj_t BgL_virtualzd2num1865zd2_1545;
BgL_classzd2owner1861zd2_1541 = 
(obj_t)(BgL_arg2247z00_873); 
BgL_virtualzd2num1865zd2_1545 = 
BINT(((long)-1)); 
{ /* Object/slots.scm 259 */
BgL_slotz00_bglt BgL_new1870z00_1550;
{ /* Object/slots.scm 259 */
BgL_slotz00_bglt BgL_res3190z00_1556;
{ /* Object/slots.scm 259 */
BgL_slotz00_bglt BgL_new1872z00_1551;
BgL_new1872z00_1551 = 
((BgL_slotz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_slotz00_bgl) ))); 
{ /* Object/slots.scm 259 */
long BgL_arg2901z00_1552;
BgL_arg2901z00_1552 = 
BGl_classzd2numzd2zz__objectz00(BGl_slotz00zzobject_slotsz00); 
{ /* Object/slots.scm 259 */
BgL_objectz00_bglt BgL_auxz00_2941;
BgL_auxz00_2941 = 
(BgL_objectz00_bglt)(BgL_new1872z00_1551); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_2941, BgL_arg2901z00_1552); } } 
{ /* Object/slots.scm 259 */
BgL_objectz00_bglt BgL_auxz00_2944;
BgL_auxz00_2944 = 
(BgL_objectz00_bglt)(BgL_new1872z00_1551); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_2944, BFALSE); } 
{ /* Object/slots.scm 259 */
obj_t BgL_auxz00_2947;
BgL_auxz00_2947 = 
(obj_t)(BgL_new1872z00_1551); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_2947); } BUNSPEC; 
BgL_res3190z00_1556 = BgL_new1872z00_1551; } 
BgL_new1870z00_1550 = BgL_res3190z00_1556; } 
{ /* Object/slots.scm 259 */
BgL_slotz00_bglt BgL_res3191z00_1582;
((((BgL_slotz00_bglt)CREF(BgL_new1870z00_1550))->BgL_idz00) = ((obj_t)BgL_arg2244z00_870), BUNSPEC); 
((((BgL_slotz00_bglt)CREF(BgL_new1870z00_1550))->BgL_namez00) = ((obj_t)BgL_arg2245z00_871), BUNSPEC); 
((((BgL_slotz00_bglt)CREF(BgL_new1870z00_1550))->BgL_srcz00) = ((obj_t)BgL_arg2246z00_872), BUNSPEC); 
((((BgL_slotz00_bglt)CREF(BgL_new1870z00_1550))->BgL_classzd2ownerzd2) = ((obj_t)BgL_classzd2owner1861zd2_1541), BUNSPEC); 
((((BgL_slotz00_bglt)CREF(BgL_new1870z00_1550))->BgL_typez00) = ((obj_t)BgL_arg2248z00_874), BUNSPEC); 
((((BgL_slotz00_bglt)CREF(BgL_new1870z00_1550))->BgL_readzd2onlyzf3z21) = ((bool_t)((bool_t)0)), BUNSPEC); 
((((BgL_slotz00_bglt)CREF(BgL_new1870z00_1550))->BgL_defaultzd2valuezd2) = ((obj_t)BgL_arg2249z00_875), BUNSPEC); 
((((BgL_slotz00_bglt)CREF(BgL_new1870z00_1550))->BgL_virtualzd2numzd2) = ((obj_t)BgL_virtualzd2num1865zd2_1545), BUNSPEC); 
((((BgL_slotz00_bglt)CREF(BgL_new1870z00_1550))->BgL_getterz00) = ((obj_t)BFALSE), BUNSPEC); 
((((BgL_slotz00_bglt)CREF(BgL_new1870z00_1550))->BgL_setterz00) = ((obj_t)BFALSE), BUNSPEC); 
((((BgL_slotz00_bglt)CREF(BgL_new1870z00_1550))->BgL_indexedz00) = ((obj_t)BFALSE), BUNSPEC); 
((((BgL_slotz00_bglt)CREF(BgL_new1870z00_1550))->BgL_userzd2infozd2) = ((obj_t)BUNSPEC), BUNSPEC); 
BgL_res3191z00_1582 = BgL_new1870z00_1550; BgL_res3191z00_1582; } 
BgL_res3192z00_1583 = BgL_new1870z00_1550; } } 
BgL_arg2234z00_866 = BgL_res3192z00_1583; } } 
{ /* Object/slots.scm 301 */
obj_t BgL_auxz00_2962;
BgL_auxz00_2962 = 
(obj_t)(BgL_arg2234z00_866); 
BgL_arg2230z00_865 = 
MAKE_PAIR(BgL_auxz00_2962, BgL_resz00_734); } } 
{ 
obj_t BgL_resz00_2966;obj_t BgL_slotsz00_2965;
BgL_slotsz00_2965 = BgL_arg2229z00_864; 
BgL_resz00_2966 = BgL_arg2230z00_865; 
BgL_resz00_734 = BgL_resz00_2966; 
BgL_slotsz00_733 = BgL_slotsz00_2965; 
goto BgL_loopz00_736;} } }  else 
{ /* Object/slots.scm 285 */
goto BgL_tagzd2168zd2_751;} }  else 
{ /* Object/slots.scm 285 */
goto BgL_tagzd2168zd2_751;} }  else 
{ /* Object/slots.scm 285 */
goto BgL_tagzd2168zd2_751;} } } } }  else 
{ /* Object/slots.scm 285 */
goto BgL_tagzd2168zd2_751;} } } } } } } 
}



/* find-default-attr */
obj_t BGl_findzd2defaultzd2attrz00zzobject_slotsz00(obj_t BgL_attrz00_1069)
{ AN_OBJECT;
{ /* Object/slots.scm 108 */
BGl_findzd2defaultzd2attrz00zzobject_slotsz00:
if(
PAIRP(BgL_attrz00_1069))
{ 

{ /* Object/slots.scm 104 */
obj_t BgL_ezd2122zd2_1075;
BgL_ezd2122zd2_1075 = 
CAR(BgL_attrz00_1069); 
if(
PAIRP(BgL_ezd2122zd2_1075))
{ /* Object/slots.scm 104 */
obj_t BgL_cdrzd2126zd2_1077;
BgL_cdrzd2126zd2_1077 = 
CDR(BgL_ezd2122zd2_1075); 
{ /* Object/slots.scm 104 */
bool_t BgL_testz00_2975;
{ /* Object/slots.scm 104 */
obj_t BgL_auxz00_2978;obj_t BgL_auxz00_2976;
BgL_auxz00_2978 = 
CNST_TABLE_REF(((long)7)); 
BgL_auxz00_2976 = 
CAR(BgL_ezd2122zd2_1075); 
BgL_testz00_2975 = 
(BgL_auxz00_2976==BgL_auxz00_2978); } 
if(BgL_testz00_2975)
{ /* Object/slots.scm 104 */
if(
PAIRP(BgL_cdrzd2126zd2_1077))
{ /* Object/slots.scm 104 */
if(
BGl_equalzf3zf3zz__r4_equivalence_6_2z00(
CDR(BgL_cdrzd2126zd2_1077), BNIL))
{ /* Object/slots.scm 104 */
return 
CAR(BgL_cdrzd2126zd2_1077);}  else 
{ /* Object/slots.scm 104 */
BgL_tagzd2121zd2_1074:
{ 
obj_t BgL_attrz00_2987;
BgL_attrz00_2987 = 
CDR(BgL_attrz00_1069); 
BgL_attrz00_1069 = BgL_attrz00_2987; 
goto BGl_findzd2defaultzd2attrz00zzobject_slotsz00;} } }  else 
{ /* Object/slots.scm 104 */
goto BgL_tagzd2121zd2_1074;} }  else 
{ /* Object/slots.scm 104 */
goto BgL_tagzd2121zd2_1074;} } }  else 
{ /* Object/slots.scm 104 */
goto BgL_tagzd2121zd2_1074;} } }  else 
{ /* Object/slots.scm 102 */
return BGl_za2slotzd2nozd2defaultzd2valuezd2markza2z00zzobject_slotsz00;} } 
}



/* find-info-attr */
obj_t BGl_findzd2infozd2attrz00zzobject_slotsz00(obj_t BgL_attrz00_1053)
{ AN_OBJECT;
{ /* Object/slots.scm 117 */
BGl_findzd2infozd2attrz00zzobject_slotsz00:
if(
PAIRP(BgL_attrz00_1053))
{ 

{ /* Object/slots.scm 113 */
obj_t BgL_ezd2133zd2_1058;
BgL_ezd2133zd2_1058 = 
CAR(BgL_attrz00_1053); 
if(
PAIRP(BgL_ezd2133zd2_1058))
{ /* Object/slots.scm 113 */
obj_t BgL_cdrzd2135zd2_1060;
BgL_cdrzd2135zd2_1060 = 
CDR(BgL_ezd2133zd2_1058); 
{ /* Object/slots.scm 113 */
bool_t BgL_testz00_2995;
{ /* Object/slots.scm 113 */
obj_t BgL_auxz00_2998;obj_t BgL_auxz00_2996;
BgL_auxz00_2998 = 
CNST_TABLE_REF(((long)8)); 
BgL_auxz00_2996 = 
CAR(BgL_ezd2133zd2_1058); 
BgL_testz00_2995 = 
(BgL_auxz00_2996==BgL_auxz00_2998); } 
if(BgL_testz00_2995)
{ /* Object/slots.scm 113 */
if(
PAIRP(BgL_cdrzd2135zd2_1060))
{ /* Object/slots.scm 113 */
if(
BGl_equalzf3zf3zz__r4_equivalence_6_2z00(
CDR(BgL_cdrzd2135zd2_1060), BNIL))
{ /* Object/slots.scm 113 */
return BgL_ezd2133zd2_1058;}  else 
{ /* Object/slots.scm 113 */
BgL_tagzd2132zd2_1057:
{ 
obj_t BgL_attrz00_3006;
BgL_attrz00_3006 = 
CDR(BgL_attrz00_1053); 
BgL_attrz00_1053 = BgL_attrz00_3006; 
goto BGl_findzd2infozd2attrz00zzobject_slotsz00;} } }  else 
{ /* Object/slots.scm 113 */
goto BgL_tagzd2132zd2_1057;} }  else 
{ /* Object/slots.scm 113 */
goto BgL_tagzd2132zd2_1057;} } }  else 
{ /* Object/slots.scm 113 */
goto BgL_tagzd2132zd2_1057;} } }  else 
{ /* Object/slots.scm 111 */
return BFALSE;} } 
}



/* find-virtual-attr */
obj_t BGl_findzd2virtualzd2attrz00zzobject_slotsz00(obj_t BgL_attrz00_1016)
{ AN_OBJECT;
{ /* Object/slots.scm 131 */
{ 
obj_t BgL_attrz00_1018;obj_t BgL_getz00_1019;obj_t BgL_setz00_1020;
BgL_attrz00_1018 = BgL_attrz00_1016; 
BgL_getz00_1019 = BFALSE; 
BgL_setz00_1020 = BFALSE; 
BgL_loopz00_1021:
if(
PAIRP(BgL_attrz00_1018))
{ 

{ /* Object/slots.scm 125 */
obj_t BgL_ezd2141zd2_1028;
BgL_ezd2141zd2_1028 = 
CAR(BgL_attrz00_1018); 
if(
PAIRP(BgL_ezd2141zd2_1028))
{ /* Object/slots.scm 125 */
obj_t BgL_cdrzd2146zd2_1030;
BgL_cdrzd2146zd2_1030 = 
CDR(BgL_ezd2141zd2_1028); 
{ /* Object/slots.scm 125 */
bool_t BgL_testz00_3014;
{ /* Object/slots.scm 125 */
obj_t BgL_auxz00_3017;obj_t BgL_auxz00_3015;
BgL_auxz00_3017 = 
CNST_TABLE_REF(((long)9)); 
BgL_auxz00_3015 = 
CAR(BgL_ezd2141zd2_1028); 
BgL_testz00_3014 = 
(BgL_auxz00_3015==BgL_auxz00_3017); } 
if(BgL_testz00_3014)
{ /* Object/slots.scm 125 */
if(
PAIRP(BgL_cdrzd2146zd2_1030))
{ /* Object/slots.scm 125 */
if(
BGl_equalzf3zf3zz__r4_equivalence_6_2z00(
CDR(BgL_cdrzd2146zd2_1030), BNIL))
{ 
obj_t BgL_getz00_3027;obj_t BgL_attrz00_3025;
BgL_attrz00_3025 = 
CDR(BgL_attrz00_1018); 
BgL_getz00_3027 = 
CAR(BgL_cdrzd2146zd2_1030); 
BgL_getz00_1019 = BgL_getz00_3027; 
BgL_attrz00_1018 = BgL_attrz00_3025; 
goto BgL_loopz00_1021;}  else 
{ /* Object/slots.scm 125 */
BgL_tagzd2140zd2_1027:
{ 
obj_t BgL_attrz00_3029;
BgL_attrz00_3029 = 
CDR(BgL_attrz00_1018); 
BgL_attrz00_1018 = BgL_attrz00_3029; 
goto BgL_loopz00_1021;} } }  else 
{ /* Object/slots.scm 125 */
goto BgL_tagzd2140zd2_1027;} }  else 
{ /* Object/slots.scm 125 */
bool_t BgL_testz00_3031;
{ /* Object/slots.scm 125 */
obj_t BgL_auxz00_3034;obj_t BgL_auxz00_3032;
BgL_auxz00_3034 = 
CNST_TABLE_REF(((long)10)); 
BgL_auxz00_3032 = 
CAR(BgL_ezd2141zd2_1028); 
BgL_testz00_3031 = 
(BgL_auxz00_3032==BgL_auxz00_3034); } 
if(BgL_testz00_3031)
{ /* Object/slots.scm 125 */
if(
PAIRP(BgL_cdrzd2146zd2_1030))
{ /* Object/slots.scm 125 */
if(
BGl_equalzf3zf3zz__r4_equivalence_6_2z00(
CDR(BgL_cdrzd2146zd2_1030), BNIL))
{ 
obj_t BgL_setz00_3044;obj_t BgL_attrz00_3042;
BgL_attrz00_3042 = 
CDR(BgL_attrz00_1018); 
BgL_setz00_3044 = 
CAR(BgL_cdrzd2146zd2_1030); 
BgL_setz00_1020 = BgL_setz00_3044; 
BgL_attrz00_1018 = BgL_attrz00_3042; 
goto BgL_loopz00_1021;}  else 
{ /* Object/slots.scm 125 */
goto BgL_tagzd2140zd2_1027;} }  else 
{ /* Object/slots.scm 125 */
goto BgL_tagzd2140zd2_1027;} }  else 
{ /* Object/slots.scm 125 */
goto BgL_tagzd2140zd2_1027;} } } }  else 
{ /* Object/slots.scm 125 */
goto BgL_tagzd2140zd2_1027;} } }  else 
{ /* Object/slots.scm 123 */
{ /* Object/slots.scm 124 */
int BgL_auxz00_3046;
BgL_auxz00_3046 = 
(int)(((long)2)); 
BGL_SET_MVALUES_NUMBER(BgL_auxz00_3046); } 
{ /* Object/slots.scm 124 */
int BgL_auxz00_3049;
BgL_auxz00_3049 = 
(int)(((long)1)); 
BGL_SET_MVALUES_VAL(BgL_auxz00_3049, BgL_setz00_1020); } 
return BgL_getz00_1019;} } } 
}



/* _make-class-slots3226 */
obj_t BGl__makezd2classzd2slots3226z00zzobject_slotsz00(obj_t BgL_envz00_2332, obj_t BgL_classz00_2333, obj_t BgL_slotsz00_2334, obj_t BgL_superz00_2335, obj_t BgL_vnumz00_2336, obj_t BgL_srcz00_2337)
{ AN_OBJECT;
{ /* Object/slots.scm 98 */
return 
BGl_makezd2classzd2slotsz00zzobject_slotsz00(
(BgL_tclassz00_bglt)(BgL_classz00_2333), BgL_slotsz00_2334, BgL_superz00_2335, 
CINT(BgL_vnumz00_2336), BgL_srcz00_2337);} 
}



/* make-java-class-slots */
obj_t BGl_makezd2javazd2classzd2slotszd2zzobject_slotsz00(BgL_jclassz00_bglt BgL_classz00_10, obj_t BgL_slotsz00_11, obj_t BgL_superz00_12, obj_t BgL_srcz00_13)
{ AN_OBJECT;
{ /* Object/slots.scm 312 */
{ /* Object/slots.scm 314 */
obj_t BgL_locz00_1095;
BgL_locz00_1095 = 
BGl_findzd2locationzd2zztools_locationz00(BgL_srcz00_13); 
{ 
obj_t BgL_identz00_1141;obj_t BgL_jnamez00_1142;obj_t BgL_readozf3zf3_1143;obj_t BgL_sz00_1144;obj_t BgL_idz00_1117;obj_t BgL_jnamez00_1118;obj_t BgL_readozf3zf3_1119;obj_t BgL_srcz00_1120;
{ 
obj_t BgL_slotsz00_1098;obj_t BgL_resz00_1099;
{ /* Object/slots.scm 342 */
obj_t BgL_arg2628z00_1101;
{ /* Object/slots.scm 342 */
bool_t BgL_test2630z00_1102;
BgL_test2630z00_1102 = 
BGl_iszd2azf3z21zz__objectz00(BgL_superz00_12, BGl_typez00zztype_typez00); 
if(BgL_test2630z00_1102)
{ /* Object/slots.scm 344 */
bool_t BgL_test2631z00_1103;
BgL_test2631z00_1103 = 
BGl_iszd2azf3z21zz__objectz00(BgL_superz00_12, BGl_jclassz00zzobject_classz00); 
if(BgL_test2631z00_1103)
{ /* Object/slots.scm 344 */
{ /* Object/slots.scm 347 */
obj_t BgL_auxz00_3060;
{ /* Object/slots.scm 347 */
BgL_jclassz00_bglt BgL_obj1310z00_1838;
BgL_obj1310z00_1838 = 
(BgL_jclassz00_bglt)(BgL_superz00_12); 
{ 
obj_t BgL_auxz00_3062;
{ /* Object/slots.scm 347 */
BgL_objectz00_bglt BgL_auxz00_3063;
BgL_auxz00_3063 = 
(BgL_objectz00_bglt)(BgL_obj1310z00_1838); 
BgL_auxz00_3062 = 
BGL_OBJECT_WIDENING(BgL_auxz00_3063); } 
BgL_auxz00_3060 = 
(((BgL_jclassz00_bglt)CREF(BgL_auxz00_3062))->BgL_slotsz00); } } 
BgL_arg2628z00_1101 = 
bgl_reverse(BgL_auxz00_3060); } }  else 
{ /* Object/slots.scm 344 */
BgL_arg2628z00_1101 = BNIL; } }  else 
{ /* Object/slots.scm 342 */
BgL_arg2628z00_1101 = BNIL; } } 
BgL_slotsz00_1098 = BgL_slotsz00_11; 
BgL_resz00_1099 = BgL_arg2628z00_1101; 
BgL_loopz00_1100:
if(
NULLP(BgL_slotsz00_1098))
{ /* Object/slots.scm 348 */
return BgL_resz00_1099;}  else 
{ /* Object/slots.scm 354 */
obj_t BgL_sz00_1106;
BgL_sz00_1106 = 
CAR(BgL_slotsz00_1098); 
{ /* Object/slots.scm 354 */
obj_t BgL_srcz00_1107;
BgL_srcz00_1107 = 
CAR(BgL_sz00_1106); 
{ /* Object/slots.scm 355 */
obj_t BgL_idz00_1108;
{ /* Object/slots.scm 356 */
obj_t BgL_auxz00_3072;
BgL_auxz00_3072 = 
CDR(BgL_sz00_1106); 
BgL_idz00_1108 = 
CAR(BgL_auxz00_3072); } 
{ /* Object/slots.scm 356 */
obj_t BgL_jnamez00_1109;
{ /* Object/slots.scm 357 */
obj_t BgL_auxz00_3075;
{ /* Object/slots.scm 357 */
obj_t BgL_auxz00_3076;
BgL_auxz00_3076 = 
CDR(BgL_sz00_1106); 
BgL_auxz00_3075 = 
CDR(BgL_auxz00_3076); } 
BgL_jnamez00_1109 = 
CAR(BgL_auxz00_3075); } 
{ /* Object/slots.scm 357 */
obj_t BgL_modz00_1110;
{ /* Object/slots.scm 358 */
obj_t BgL_auxz00_3080;
{ /* Object/slots.scm 358 */
obj_t BgL_auxz00_3081;
{ /* Object/slots.scm 358 */
obj_t BgL_auxz00_3082;
BgL_auxz00_3082 = 
CDR(BgL_sz00_1106); 
BgL_auxz00_3081 = 
CDR(BgL_auxz00_3082); } 
BgL_auxz00_3080 = 
CDR(BgL_auxz00_3081); } 
BgL_modz00_1110 = 
CAR(BgL_auxz00_3080); } 
{ /* Object/slots.scm 358 */
obj_t BgL_readozf3zf3_1111;
BgL_readozf3zf3_1111 = 
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
CNST_TABLE_REF(((long)13)), BgL_modz00_1110); 
{ /* Object/slots.scm 359 */

{ /* Object/slots.scm 360 */
bool_t BgL_testz00_3089;
{ /* Object/slots.scm 360 */
obj_t BgL_auxz00_3090;
BgL_auxz00_3090 = 
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
CNST_TABLE_REF(((long)14)), BgL_modz00_1110); 
BgL_testz00_3089 = 
CBOOL(BgL_auxz00_3090); } 
if(BgL_testz00_3089)
{ /* Object/slots.scm 360 */
BgL_idz00_1117 = BgL_idz00_1108; 
BgL_jnamez00_1118 = BgL_jnamez00_1109; 
BgL_readozf3zf3_1119 = BgL_readozf3zf3_1111; 
BgL_srcz00_1120 = BgL_srcz00_1107; 
{ /* Object/slots.scm 326 */
obj_t BgL_locz00_1122;
BgL_locz00_1122 = 
BGl_findzd2locationzf2locz20zztools_locationz00(BgL_srcz00_1120, BgL_locz00_1095); 
{ /* Object/slots.scm 326 */
obj_t BgL_slotzd2idzd2_1123;
BgL_slotzd2idzd2_1123 = 
BGl_parsezd2idzd2zzast_identz00(BgL_idz00_1117, BgL_locz00_1122); 
{ /* Object/slots.scm 327 */
obj_t BgL_lzd2idzd2_1124;
{ /* Object/slots.scm 328 */
bool_t BgL_testz00_3096;
{ /* Object/slots.scm 328 */
obj_t BgL_auxz00_3100;obj_t BgL_auxz00_3097;
BgL_auxz00_3100 = 
CNST_TABLE_REF(((long)11)); 
{ /* Object/slots.scm 328 */
BgL_typez00_bglt BgL_obj1314z00_1862;
BgL_obj1314z00_1862 = 
(BgL_typez00_bglt)(BgL_classz00_10); 
BgL_auxz00_3097 = 
(((BgL_typez00_bglt)CREF(BgL_obj1314z00_1862))->BgL_idz00); } 
BgL_testz00_3096 = 
(BgL_auxz00_3097==BgL_auxz00_3100); } 
if(BgL_testz00_3096)
{ /* Object/slots.scm 328 */
BgL_lzd2idzd2_1124 = 
CAR(BgL_slotzd2idzd2_1123); }  else 
{ /* Object/slots.scm 330 */
obj_t BgL_arg2681z00_1133;obj_t BgL_arg2682z00_1134;
{ /* Object/slots.scm 330 */
BgL_typez00_bglt BgL_obj1314z00_1864;
BgL_obj1314z00_1864 = 
(BgL_typez00_bglt)(BgL_classz00_10); 
BgL_arg2681z00_1133 = 
(((BgL_typez00_bglt)CREF(BgL_obj1314z00_1864))->BgL_idz00); } 
BgL_arg2682z00_1134 = 
CNST_TABLE_REF(((long)12)); 
{ /* Object/slots.scm 330 */
obj_t BgL_list2685z00_1136;
{ /* Object/slots.scm 330 */
obj_t BgL_arg2687z00_1137;
{ /* Object/slots.scm 330 */
obj_t BgL_arg2690z00_1138;
{ /* Object/slots.scm 330 */
obj_t BgL_auxz00_3107;
BgL_auxz00_3107 = 
CAR(BgL_slotzd2idzd2_1123); 
BgL_arg2690z00_1138 = 
MAKE_PAIR(BgL_auxz00_3107, BNIL); } 
BgL_arg2687z00_1137 = 
MAKE_PAIR(BgL_arg2682z00_1134, BgL_arg2690z00_1138); } 
BgL_list2685z00_1136 = 
MAKE_PAIR(BgL_arg2681z00_1133, BgL_arg2687z00_1137); } 
BgL_lzd2idzd2_1124 = 
BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(BgL_list2685z00_1136); } } } 
{ /* Object/slots.scm 328 */
obj_t BgL_tzd2idzd2_1125;
{ /* Object/slots.scm 331 */
bool_t BgL_test2672z00_1130;
{ /* Object/slots.scm 331 */
obj_t BgL_auxz00_3113;
BgL_auxz00_3113 = 
CDR(BgL_slotzd2idzd2_1123); 
BgL_test2672z00_1130 = 
(BgL_auxz00_3113==BGl_za2_za2z00zztype_cachez00); } 
if(BgL_test2672z00_1130)
{ /* Object/slots.scm 331 */
BgL_tzd2idzd2_1125 = BGl_za2objza2z00zztype_cachez00; }  else 
{ /* Object/slots.scm 331 */
BgL_tzd2idzd2_1125 = 
CDR(BgL_slotzd2idzd2_1123); } } 
{ /* Object/slots.scm 334 */

BGl_ensurezd2typezd2definedz12z12zzobject_slotsz00(
(BgL_typez00_bglt)(BgL_tzd2idzd2_1125), BgL_srcz00_1120); 
{ /* Object/slots.scm 336 */
BgL_globalz00_bglt BgL_gz00_1127;
{ /* Object/slots.scm 336 */
obj_t BgL_auxz00_3120;
{ /* Object/slots.scm 337 */
BgL_typez00_bglt BgL_obj1003z00_1868;
BgL_obj1003z00_1868 = 
(BgL_typez00_bglt)(BgL_tzd2idzd2_1125); 
BgL_auxz00_3120 = 
(((BgL_typez00_bglt)CREF(BgL_obj1003z00_1868))->BgL_idz00); } 
BgL_gz00_1127 = 
BGl_declarezd2globalzd2cvarz12z12zzast_glozd2declzd2(BgL_lzd2idzd2_1124, BgL_jnamez00_1118, BgL_auxz00_3120, 
CBOOL(BgL_readozf3zf3_1119), BgL_srcz00_1120, BFALSE); } 
{ /* Object/slots.scm 338 */
obj_t BgL_arg2665z00_1128;
{ /* Object/slots.scm 338 */
BgL_typez00_bglt BgL_obj1314z00_1869;
BgL_obj1314z00_1869 = 
(BgL_typez00_bglt)(BgL_classz00_10); 
BgL_arg2665z00_1128 = 
(((BgL_typez00_bglt)CREF(BgL_obj1314z00_1869))->BgL_idz00); } 
((((BgL_globalz00_bglt)CREF(BgL_gz00_1127))->BgL_modulez00) = ((obj_t)BgL_arg2665z00_1128), BUNSPEC); } BgL_gz00_1127; } } } } } } 
{ 
obj_t BgL_slotsz00_3128;
BgL_slotsz00_3128 = 
CDR(BgL_slotsz00_1098); 
BgL_slotsz00_1098 = BgL_slotsz00_3128; 
goto BgL_loopz00_1100;} }  else 
{ /* Object/slots.scm 364 */
obj_t BgL_arg2646z00_1114;obj_t BgL_arg2647z00_1115;
BgL_arg2646z00_1114 = 
CDR(BgL_slotsz00_1098); 
{ /* Object/slots.scm 365 */
BgL_slotz00_bglt BgL_arg2651z00_1116;
BgL_identz00_1141 = BgL_idz00_1108; 
BgL_jnamez00_1142 = BgL_jnamez00_1109; 
BgL_readozf3zf3_1143 = BgL_readozf3zf3_1111; 
BgL_sz00_1144 = BgL_srcz00_1107; 
{ /* Object/slots.scm 316 */
obj_t BgL_locz00_1146;
BgL_locz00_1146 = 
BGl_findzd2locationzf2locz20zztools_locationz00(BgL_sz00_1144, BgL_locz00_1095); 
{ /* Object/slots.scm 316 */
obj_t BgL_slotzd2idzd2_1147;
BgL_slotzd2idzd2_1147 = 
BGl_parsezd2idzd2zzast_identz00(BgL_identz00_1141, BgL_locz00_1146); 
{ /* Object/slots.scm 317 */

{ /* Object/slots.scm 319 */
obj_t BgL_arg2704z00_1148;obj_t BgL_arg2705z00_1149;obj_t BgL_arg2706z00_1150;BgL_jclassz00_bglt BgL_arg2707z00_1151;obj_t BgL_arg2708z00_1152;obj_t BgL_arg2709z00_1153;obj_t BgL_arg2710z00_1154;
BgL_arg2704z00_1148 = 
CAR(BgL_slotzd2idzd2_1147); 
BgL_arg2705z00_1149 = BgL_jnamez00_1142; 
BgL_arg2706z00_1150 = BgL_sz00_1144; 
BgL_arg2707z00_1151 = BgL_classz00_10; 
BgL_arg2708z00_1152 = 
BGl_findzd2slotzd2typez00zzobject_slotsz00(BgL_slotzd2idzd2_1147, BgL_srcz00_13); 
BgL_arg2709z00_1153 = BgL_readozf3zf3_1143; 
BgL_arg2710z00_1154 = BGl_za2slotzd2nozd2defaultzd2valuezd2markza2z00zzobject_slotsz00; 
{ /* Object/slots.scm 318 */
BgL_slotz00_bglt BgL_res3209z00_1918;
{ /* Object/slots.scm 318 */
obj_t BgL_classzd2owner1861zd2_1876;bool_t BgL_readzd2onlyzf31863z21_1878;obj_t BgL_virtualzd2num1865zd2_1880;
BgL_classzd2owner1861zd2_1876 = 
(obj_t)(BgL_arg2707z00_1151); 
BgL_readzd2onlyzf31863z21_1878 = 
CBOOL(BgL_arg2709z00_1153); 
BgL_virtualzd2num1865zd2_1880 = 
BINT(((long)-1)); 
{ /* Object/slots.scm 318 */
BgL_slotz00_bglt BgL_new1870z00_1885;
{ /* Object/slots.scm 318 */
BgL_slotz00_bglt BgL_res3207z00_1891;
{ /* Object/slots.scm 318 */
BgL_slotz00_bglt BgL_new1872z00_1886;
BgL_new1872z00_1886 = 
((BgL_slotz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_slotz00_bgl) ))); 
{ /* Object/slots.scm 318 */
long BgL_arg2901z00_1887;
BgL_arg2901z00_1887 = 
BGl_classzd2numzd2zz__objectz00(BGl_slotz00zzobject_slotsz00); 
{ /* Object/slots.scm 318 */
BgL_objectz00_bglt BgL_auxz00_3140;
BgL_auxz00_3140 = 
(BgL_objectz00_bglt)(BgL_new1872z00_1886); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_3140, BgL_arg2901z00_1887); } } 
{ /* Object/slots.scm 318 */
BgL_objectz00_bglt BgL_auxz00_3143;
BgL_auxz00_3143 = 
(BgL_objectz00_bglt)(BgL_new1872z00_1886); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_3143, BFALSE); } 
{ /* Object/slots.scm 318 */
obj_t BgL_auxz00_3146;
BgL_auxz00_3146 = 
(obj_t)(BgL_new1872z00_1886); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_3146); } BUNSPEC; 
BgL_res3207z00_1891 = BgL_new1872z00_1886; } 
BgL_new1870z00_1885 = BgL_res3207z00_1891; } 
{ /* Object/slots.scm 318 */
BgL_slotz00_bglt BgL_res3208z00_1917;
((((BgL_slotz00_bglt)CREF(BgL_new1870z00_1885))->BgL_idz00) = ((obj_t)BgL_arg2704z00_1148), BUNSPEC); 
((((BgL_slotz00_bglt)CREF(BgL_new1870z00_1885))->BgL_namez00) = ((obj_t)BgL_arg2705z00_1149), BUNSPEC); 
((((BgL_slotz00_bglt)CREF(BgL_new1870z00_1885))->BgL_srcz00) = ((obj_t)BgL_arg2706z00_1150), BUNSPEC); 
((((BgL_slotz00_bglt)CREF(BgL_new1870z00_1885))->BgL_classzd2ownerzd2) = ((obj_t)BgL_classzd2owner1861zd2_1876), BUNSPEC); 
((((BgL_slotz00_bglt)CREF(BgL_new1870z00_1885))->BgL_typez00) = ((obj_t)BgL_arg2708z00_1152), BUNSPEC); 
((((BgL_slotz00_bglt)CREF(BgL_new1870z00_1885))->BgL_readzd2onlyzf3z21) = ((bool_t)BgL_readzd2onlyzf31863z21_1878), BUNSPEC); 
((((BgL_slotz00_bglt)CREF(BgL_new1870z00_1885))->BgL_defaultzd2valuezd2) = ((obj_t)BgL_arg2710z00_1154), BUNSPEC); 
((((BgL_slotz00_bglt)CREF(BgL_new1870z00_1885))->BgL_virtualzd2numzd2) = ((obj_t)BgL_virtualzd2num1865zd2_1880), BUNSPEC); 
((((BgL_slotz00_bglt)CREF(BgL_new1870z00_1885))->BgL_getterz00) = ((obj_t)BFALSE), BUNSPEC); 
((((BgL_slotz00_bglt)CREF(BgL_new1870z00_1885))->BgL_setterz00) = ((obj_t)BFALSE), BUNSPEC); 
((((BgL_slotz00_bglt)CREF(BgL_new1870z00_1885))->BgL_indexedz00) = ((obj_t)BFALSE), BUNSPEC); 
((((BgL_slotz00_bglt)CREF(BgL_new1870z00_1885))->BgL_userzd2infozd2) = ((obj_t)BUNSPEC), BUNSPEC); 
BgL_res3208z00_1917 = BgL_new1870z00_1885; BgL_res3208z00_1917; } 
BgL_res3209z00_1918 = BgL_new1870z00_1885; } } 
BgL_arg2651z00_1116 = BgL_res3209z00_1918; } } } } } 
{ /* Object/slots.scm 365 */
obj_t BgL_auxz00_3161;
BgL_auxz00_3161 = 
(obj_t)(BgL_arg2651z00_1116); 
BgL_arg2647z00_1115 = 
MAKE_PAIR(BgL_auxz00_3161, BgL_resz00_1099); } } 
{ 
obj_t BgL_resz00_3165;obj_t BgL_slotsz00_3164;
BgL_slotsz00_3164 = BgL_arg2646z00_1114; 
BgL_resz00_3165 = BgL_arg2647z00_1115; 
BgL_resz00_1099 = BgL_resz00_3165; 
BgL_slotsz00_1098 = BgL_slotsz00_3164; 
goto BgL_loopz00_1100;} } } } } } } } } } } } } } } 
}



/* _make-java-class-slots3228 */
obj_t BGl__makezd2javazd2classzd2slots3228zd2zzobject_slotsz00(obj_t BgL_envz00_2338, obj_t BgL_classz00_2339, obj_t BgL_slotsz00_2340, obj_t BgL_superz00_2341, obj_t BgL_srcz00_2342)
{ AN_OBJECT;
{ /* Object/slots.scm 312 */
return 
BGl_makezd2javazd2classzd2slotszd2zzobject_slotsz00(
(BgL_jclassz00_bglt)(BgL_classz00_2339), BgL_slotsz00_2340, BgL_superz00_2341, BgL_srcz00_2342);} 
}



/* find-slot-type */
obj_t BGl_findzd2slotzd2typez00zzobject_slotsz00(obj_t BgL_slotzd2idzd2_14, obj_t BgL_srcz00_15)
{ AN_OBJECT;
{ /* Object/slots.scm 371 */
{ /* Object/slots.scm 372 */
obj_t BgL_tz00_1158;
{ /* Object/slots.scm 372 */
bool_t BgL_test2720z00_1159;
{ /* Object/slots.scm 372 */
obj_t BgL_auxz00_3168;
BgL_auxz00_3168 = 
CDR(BgL_slotzd2idzd2_14); 
BgL_test2720z00_1159 = 
(BgL_auxz00_3168==BGl_za2_za2z00zztype_cachez00); } 
if(BgL_test2720z00_1159)
{ /* Object/slots.scm 372 */
BgL_tz00_1158 = BGl_za2objza2z00zztype_cachez00; }  else 
{ /* Object/slots.scm 372 */
BgL_tz00_1158 = 
CDR(BgL_slotzd2idzd2_14); } } 
BGl_ensurezd2typezd2definedz12z12zzobject_slotsz00(
(BgL_typez00_bglt)(BgL_tz00_1158), BgL_srcz00_15); 
return BgL_tz00_1158;} } 
}



/* scheme-symbol->c-string */
obj_t BGl_schemezd2symbolzd2ze3czd2stringz31zzobject_slotsz00(obj_t BgL_symbolz00_16)
{ AN_OBJECT;
{ /* Object/slots.scm 379 */
if(
CBOOL(BGl_za2astzd2casezd2sensitiveza2z00zzengine_paramz00))
{ /* Object/slots.scm 380 */
return 
BGl_idzd2ze3namez31zzast_identz00(BgL_symbolz00_16);}  else 
{ /* Object/slots.scm 382 */
obj_t BgL_arg2728z00_1161;
BgL_arg2728z00_1161 = 
BGl_idzd2ze3namez31zzast_identz00(BgL_symbolz00_16); 
return 
BGl_stringzd2downcasezd2zz__r4_strings_6_7z00(BgL_arg2728z00_1161);} } 
}



/* get-local-virtual-slots-number */
obj_t BGl_getzd2localzd2virtualzd2slotszd2numberz00zzobject_slotsz00(BgL_tclassz00_bglt BgL_classz00_17, obj_t BgL_slotsz00_18)
{ AN_OBJECT;
{ /* Object/slots.scm 396 */
{ 
obj_t BgL_slotsz00_1162;obj_t BgL_numz00_1163;
{ /* Object/slots.scm 397 */
long BgL_auxz00_3180;
BgL_slotsz00_1162 = BgL_slotsz00_18; 
BgL_numz00_1163 = 
BINT(((long)-1)); 
BgL_loopz00_1164:
if(
NULLP(BgL_slotsz00_1162))
{ /* Object/slots.scm 400 */
{ /* Object/slots.scm 401 */
long BgL_auxz00_3183;
BgL_auxz00_3183 = 
(long)CINT(BgL_numz00_1163); 
BgL_auxz00_3180 = 
(BgL_auxz00_3183+((long)1)); } }  else 
{ /* Object/slots.scm 402 */
bool_t BgL_testz00_3186;
{ /* Object/slots.scm 402 */
BgL_slotz00_bglt BgL_slotz00_1925;
{ /* Object/slots.scm 402 */
obj_t BgL_auxz00_3187;
BgL_auxz00_3187 = 
CAR(BgL_slotsz00_1162); 
BgL_slotz00_1925 = 
(BgL_slotz00_bglt)(BgL_auxz00_3187); } 
{ /* Object/slots.scm 402 */
long BgL_auxz00_3190;
{ /* Object/slots.scm 402 */
obj_t BgL_auxz00_3191;
BgL_auxz00_3191 = 
(((BgL_slotz00_bglt)CREF(BgL_slotz00_1925))->BgL_virtualzd2numzd2); 
BgL_auxz00_3190 = 
(long)CINT(BgL_auxz00_3191); } 
BgL_testz00_3186 = 
(BgL_auxz00_3190>=((long)0)); } } 
if(BgL_testz00_3186)
{ /* Object/slots.scm 402 */
{ /* Object/slots.scm 403 */
obj_t BgL_lnumz00_1167;
{ /* Object/slots.scm 403 */
BgL_slotz00_bglt BgL_obj1821z00_1933;
{ /* Object/slots.scm 403 */
obj_t BgL_auxz00_3195;
BgL_auxz00_3195 = 
CAR(BgL_slotsz00_1162); 
BgL_obj1821z00_1933 = 
(BgL_slotz00_bglt)(BgL_auxz00_3195); } 
BgL_lnumz00_1167 = 
(((BgL_slotz00_bglt)CREF(BgL_obj1821z00_1933))->BgL_virtualzd2numzd2); } 
{ 
obj_t BgL_numz00_3201;obj_t BgL_slotsz00_3199;
BgL_slotsz00_3199 = 
CDR(BgL_slotsz00_1162); 
{ /* Object/slots.scm 405 */
bool_t BgL_testz00_3202;
{ /* Object/slots.scm 405 */
long BgL_auxz00_3205;long BgL_auxz00_3203;
BgL_auxz00_3205 = 
(long)CINT(BgL_numz00_1163); 
BgL_auxz00_3203 = 
(long)CINT(BgL_lnumz00_1167); 
BgL_testz00_3202 = 
(BgL_auxz00_3203>BgL_auxz00_3205); } 
if(BgL_testz00_3202)
{ /* Object/slots.scm 405 */
BgL_numz00_3201 = BgL_lnumz00_1167; }  else 
{ /* Object/slots.scm 405 */
BgL_numz00_3201 = BgL_numz00_1163; } } 
BgL_numz00_1163 = BgL_numz00_3201; 
BgL_slotsz00_1162 = BgL_slotsz00_3199; 
goto BgL_loopz00_1164;} } }  else 
{ /* Object/slots.scm 402 */
{ 
obj_t BgL_slotsz00_3208;
BgL_slotsz00_3208 = 
CDR(BgL_slotsz00_1162); 
BgL_slotsz00_1162 = BgL_slotsz00_3208; 
goto BgL_loopz00_1164;} } } 
return 
BINT(BgL_auxz00_3180);} } } 
}



/* _get-local-virtual-slots-number3230 */
obj_t BGl__getzd2localzd2virtualzd2slotszd2number3230z00zzobject_slotsz00(obj_t BgL_envz00_2343, obj_t BgL_classz00_2344, obj_t BgL_slotsz00_2345)
{ AN_OBJECT;
{ /* Object/slots.scm 396 */
return 
BGl_getzd2localzd2virtualzd2slotszd2numberz00zzobject_slotsz00(
(BgL_tclassz00_bglt)(BgL_classz00_2344), BgL_slotsz00_2345);} 
}



/* make-class-make-formals */
obj_t BGl_makezd2classzd2makezd2formalszd2zzobject_slotsz00(obj_t BgL_slotsz00_19)
{ AN_OBJECT;
{ /* Object/slots.scm 414 */
{ 
obj_t BgL_slotsz00_1174;obj_t BgL_formalsz00_1175;
BgL_slotsz00_1174 = BgL_slotsz00_19; 
BgL_formalsz00_1175 = BNIL; 
BgL_loopz00_1176:
if(
NULLP(BgL_slotsz00_1174))
{ /* Object/slots.scm 418 */
return 
BGl_reversez12z12zz__r4_pairs_and_lists_6_3z00(BgL_formalsz00_1175);}  else 
{ /* Object/slots.scm 420 */
bool_t BgL_testz00_3217;
{ /* Object/slots.scm 420 */
BgL_slotz00_bglt BgL_slotz00_1940;
{ /* Object/slots.scm 420 */
obj_t BgL_auxz00_3218;
BgL_auxz00_3218 = 
CAR(BgL_slotsz00_1174); 
BgL_slotz00_1940 = 
(BgL_slotz00_bglt)(BgL_auxz00_3218); } 
{ /* Object/slots.scm 420 */
long BgL_auxz00_3221;
{ /* Object/slots.scm 420 */
obj_t BgL_auxz00_3222;
BgL_auxz00_3222 = 
(((BgL_slotz00_bglt)CREF(BgL_slotz00_1940))->BgL_virtualzd2numzd2); 
BgL_auxz00_3221 = 
(long)CINT(BgL_auxz00_3222); } 
BgL_testz00_3217 = 
(BgL_auxz00_3221>=((long)0)); } } 
if(BgL_testz00_3217)
{ /* Object/slots.scm 420 */
{ 
obj_t BgL_slotsz00_3226;
BgL_slotsz00_3226 = 
CDR(BgL_slotsz00_1174); 
BgL_slotsz00_1174 = BgL_slotsz00_3226; 
goto BgL_loopz00_1176;} }  else 
{ /* Object/slots.scm 420 */
{ /* Object/slots.scm 423 */
obj_t BgL_arg2764z00_1180;obj_t BgL_arg2765z00_1181;
BgL_arg2764z00_1180 = 
CDR(BgL_slotsz00_1174); 
{ /* Object/slots.scm 424 */
obj_t BgL_arg2769z00_1182;
{ /* Object/slots.scm 424 */
obj_t BgL_arg2772z00_1183;
{ /* Object/slots.scm 424 */
obj_t BgL_auxz00_3229;
{ /* Object/slots.scm 424 */
BgL_slotz00_bglt BgL_obj1814z00_1950;
{ /* Object/slots.scm 424 */
obj_t BgL_auxz00_3230;
BgL_auxz00_3230 = 
CAR(BgL_slotsz00_1174); 
BgL_obj1814z00_1950 = 
(BgL_slotz00_bglt)(BgL_auxz00_3230); } 
BgL_auxz00_3229 = 
(((BgL_slotz00_bglt)CREF(BgL_obj1814z00_1950))->BgL_idz00); } 
BgL_arg2772z00_1183 = 
PROCEDURE_ENTRY(BGl_gensymz00zz__r4_symbols_6_4z00)(BGl_gensymz00zz__r4_symbols_6_4z00, BgL_auxz00_3229, BEOA); } 
BgL_arg2769z00_1182 = 
BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00(BgL_arg2772z00_1183); } 
BgL_arg2765z00_1181 = 
MAKE_PAIR(BgL_arg2769z00_1182, BgL_formalsz00_1175); } 
{ 
obj_t BgL_formalsz00_3239;obj_t BgL_slotsz00_3238;
BgL_slotsz00_3238 = BgL_arg2764z00_1180; 
BgL_formalsz00_3239 = BgL_arg2765z00_1181; 
BgL_formalsz00_1175 = BgL_formalsz00_3239; 
BgL_slotsz00_1174 = BgL_slotsz00_3238; 
goto BgL_loopz00_1176;} } } } } } 
}



/* _make-class-make-formals3232 */
obj_t BGl__makezd2classzd2makezd2formals3232zd2zzobject_slotsz00(obj_t BgL_envz00_2346, obj_t BgL_slotsz00_2347)
{ AN_OBJECT;
{ /* Object/slots.scm 414 */
return 
BGl_makezd2classzd2makezd2formalszd2zzobject_slotsz00(BgL_slotsz00_2347);} 
}



/* make-class-make-typed-formals */
obj_t BGl_makezd2classzd2makezd2typedzd2formalsz00zzobject_slotsz00(obj_t BgL_idsz00_20, obj_t BgL_slotsz00_21)
{ AN_OBJECT;
{ /* Object/slots.scm 430 */
{ 
obj_t BgL_slotsz00_1187;obj_t BgL_idsz00_1188;obj_t BgL_formalsz00_1189;
BgL_slotsz00_1187 = BgL_slotsz00_21; 
BgL_idsz00_1188 = BgL_idsz00_20; 
BgL_formalsz00_1189 = BNIL; 
BgL_loopz00_1190:
if(
NULLP(BgL_slotsz00_1187))
{ /* Object/slots.scm 435 */
return 
BGl_reversez12z12zz__r4_pairs_and_lists_6_3z00(BgL_formalsz00_1189);}  else 
{ /* Object/slots.scm 437 */
bool_t BgL_testz00_3244;
{ /* Object/slots.scm 437 */
BgL_slotz00_bglt BgL_slotz00_1953;
{ /* Object/slots.scm 437 */
obj_t BgL_auxz00_3245;
BgL_auxz00_3245 = 
CAR(BgL_slotsz00_1187); 
BgL_slotz00_1953 = 
(BgL_slotz00_bglt)(BgL_auxz00_3245); } 
{ /* Object/slots.scm 437 */
long BgL_auxz00_3248;
{ /* Object/slots.scm 437 */
obj_t BgL_auxz00_3249;
BgL_auxz00_3249 = 
(((BgL_slotz00_bglt)CREF(BgL_slotz00_1953))->BgL_virtualzd2numzd2); 
BgL_auxz00_3248 = 
(long)CINT(BgL_auxz00_3249); } 
BgL_testz00_3244 = 
(BgL_auxz00_3248>=((long)0)); } } 
if(BgL_testz00_3244)
{ /* Object/slots.scm 437 */
{ 
obj_t BgL_slotsz00_3253;
BgL_slotsz00_3253 = 
CDR(BgL_slotsz00_1187); 
BgL_slotsz00_1187 = BgL_slotsz00_3253; 
goto BgL_loopz00_1190;} }  else 
{ /* Object/slots.scm 437 */
{ /* Object/slots.scm 440 */
obj_t BgL_arg2795z00_1194;obj_t BgL_arg2796z00_1195;obj_t BgL_arg2797z00_1196;
BgL_arg2795z00_1194 = 
CDR(BgL_slotsz00_1187); 
BgL_arg2796z00_1195 = 
CDR(BgL_idsz00_1188); 
{ /* Object/slots.scm 442 */
obj_t BgL_arg2802z00_1197;
{ /* Object/slots.scm 442 */
obj_t BgL_arg2805z00_1198;obj_t BgL_arg2806z00_1199;
BgL_arg2805z00_1198 = 
BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00(
CAR(BgL_idsz00_1188)); 
{ /* Object/slots.scm 443 */
BgL_typez00_bglt BgL_obj1003z00_1966;
{ /* Object/slots.scm 443 */
obj_t BgL_auxz00_3259;
{ /* Object/slots.scm 443 */
BgL_slotz00_bglt BgL_obj1818z00_1965;
{ /* Object/slots.scm 443 */
obj_t BgL_auxz00_3260;
BgL_auxz00_3260 = 
CAR(BgL_slotsz00_1187); 
BgL_obj1818z00_1965 = 
(BgL_slotz00_bglt)(BgL_auxz00_3260); } 
BgL_auxz00_3259 = 
(((BgL_slotz00_bglt)CREF(BgL_obj1818z00_1965))->BgL_typez00); } 
BgL_obj1003z00_1966 = 
(BgL_typez00_bglt)(BgL_auxz00_3259); } 
BgL_arg2806z00_1199 = 
(((BgL_typez00_bglt)CREF(BgL_obj1003z00_1966))->BgL_idz00); } 
BgL_arg2802z00_1197 = 
BGl_makezd2typedzd2identz00zzast_identz00(BgL_arg2805z00_1198, BgL_arg2806z00_1199); } 
BgL_arg2797z00_1196 = 
MAKE_PAIR(BgL_arg2802z00_1197, BgL_formalsz00_1189); } 
{ 
obj_t BgL_formalsz00_3270;obj_t BgL_idsz00_3269;obj_t BgL_slotsz00_3268;
BgL_slotsz00_3268 = BgL_arg2795z00_1194; 
BgL_idsz00_3269 = BgL_arg2796z00_1195; 
BgL_formalsz00_3270 = BgL_arg2797z00_1196; 
BgL_formalsz00_1189 = BgL_formalsz00_3270; 
BgL_idsz00_1188 = BgL_idsz00_3269; 
BgL_slotsz00_1187 = BgL_slotsz00_3268; 
goto BgL_loopz00_1190;} } } } } } 
}



/* _make-class-make-typed-formals3234 */
obj_t BGl__makezd2classzd2makezd2typedzd2formals3234z00zzobject_slotsz00(obj_t BgL_envz00_2348, obj_t BgL_idsz00_2349, obj_t BgL_slotsz00_2350)
{ AN_OBJECT;
{ /* Object/slots.scm 430 */
return 
BGl_makezd2classzd2makezd2typedzd2formalsz00zzobject_slotsz00(BgL_idsz00_2349, BgL_slotsz00_2350);} 
}



/* object-init */
obj_t BGl_objectzd2initzd2zzobject_slotsz00()
{ AN_OBJECT;
{ /* Object/slots.scm 15 */
{ /* Object/slots.scm 28 */
obj_t BgL_arg2826z00_1204;obj_t BgL_arg2827z00_1205;obj_t BgL_arg2831z00_1209;obj_t BgL_arg2832z00_1210;
BgL_arg2826z00_1204 = 
CNST_TABLE_REF(((long)15)); 
BgL_arg2827z00_1205 = BGl_objectz00zz__objectz00; 
{ /* Object/slots.scm 28 */
obj_t BgL_arg2835z00_1211;obj_t BgL_arg2836z00_1212;obj_t BgL_arg2837z00_1213;obj_t BgL_arg2838z00_1214;obj_t BgL_arg2839z00_1215;obj_t BgL_arg2841z00_1216;obj_t BgL_arg2842z00_1217;obj_t BgL_arg2843z00_1218;obj_t BgL_arg2844z00_1219;obj_t BgL_arg2845z00_1220;obj_t BgL_arg2846z00_1221;obj_t BgL_arg2847z00_1222;
BgL_arg2835z00_1211 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)6)), BGl_slotzd2idzd2envz00zzobject_slotsz00, BUNSPEC, BUNSPEC, ((bool_t)0), BFALSE); 
BgL_arg2836z00_1212 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)16)), BGl_slotzd2namezd2envz00zzobject_slotsz00, BUNSPEC, BUNSPEC, ((bool_t)0), BFALSE); 
BgL_arg2837z00_1213 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)17)), BGl_slotzd2srczd2envz00zzobject_slotsz00, BUNSPEC, BUNSPEC, ((bool_t)0), BFALSE); 
BgL_arg2838z00_1214 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)18)), BGl_slotzd2classzd2ownerzd2envzd2zzobject_slotsz00, BUNSPEC, BUNSPEC, ((bool_t)0), BFALSE); 
BgL_arg2839z00_1215 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)19)), BGl_slotzd2typezd2envz00zzobject_slotsz00, BUNSPEC, BUNSPEC, ((bool_t)0), BFALSE); 
BgL_arg2841z00_1216 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)20)), BGl_slotzd2readzd2onlyzf3zd2envz21zzobject_slotsz00, BUNSPEC, BUNSPEC, ((bool_t)0), BFALSE); 
BgL_arg2842z00_1217 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)21)), BGl_slotzd2defaultzd2valuezd2envzd2zzobject_slotsz00, BUNSPEC, BUNSPEC, ((bool_t)0), BFALSE); 
BgL_arg2843z00_1218 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)22)), BGl_slotzd2virtualzd2numzd2envzd2zzobject_slotsz00, BGl_slotzd2virtualzd2numzd2setz12zd2envz12zzobject_slotsz00, BUNSPEC, ((bool_t)0), BFALSE); 
BgL_arg2844z00_1219 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)23)), BGl_slotzd2getterzd2envz00zzobject_slotsz00, BGl_slotzd2getterzd2setz12zd2envzc0zzobject_slotsz00, BUNSPEC, ((bool_t)0), BFALSE); 
BgL_arg2845z00_1220 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)24)), BGl_slotzd2setterzd2envz00zzobject_slotsz00, BGl_slotzd2setterzd2setz12zd2envzc0zzobject_slotsz00, BUNSPEC, ((bool_t)0), BFALSE); 
BgL_arg2846z00_1221 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)25)), BGl_slotzd2indexedzd2envz00zzobject_slotsz00, BUNSPEC, BUNSPEC, ((bool_t)0), BFALSE); 
BgL_arg2847z00_1222 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)26)), BGl_slotzd2userzd2infozd2envzd2zzobject_slotsz00, BUNSPEC, BUNSPEC, ((bool_t)0), BFALSE); 
{ /* Object/slots.scm 28 */
obj_t BgL_list2849z00_1223;
{ /* Object/slots.scm 28 */
obj_t BgL_arg2851z00_1224;
{ /* Object/slots.scm 28 */
obj_t BgL_arg2854z00_1225;
{ /* Object/slots.scm 28 */
obj_t BgL_arg2857z00_1226;
{ /* Object/slots.scm 28 */
obj_t BgL_arg2860z00_1227;
{ /* Object/slots.scm 28 */
obj_t BgL_arg2863z00_1228;
{ /* Object/slots.scm 28 */
obj_t BgL_arg2866z00_1229;
{ /* Object/slots.scm 28 */
obj_t BgL_arg2869z00_1230;
{ /* Object/slots.scm 28 */
obj_t BgL_arg2872z00_1231;
{ /* Object/slots.scm 28 */
obj_t BgL_arg2875z00_1232;
{ /* Object/slots.scm 28 */
obj_t BgL_arg2878z00_1233;
{ /* Object/slots.scm 28 */
obj_t BgL_arg2881z00_1234;
BgL_arg2881z00_1234 = 
MAKE_PAIR(BgL_arg2847z00_1222, BNIL); 
BgL_arg2878z00_1233 = 
MAKE_PAIR(BgL_arg2846z00_1221, BgL_arg2881z00_1234); } 
BgL_arg2875z00_1232 = 
MAKE_PAIR(BgL_arg2845z00_1220, BgL_arg2878z00_1233); } 
BgL_arg2872z00_1231 = 
MAKE_PAIR(BgL_arg2844z00_1219, BgL_arg2875z00_1232); } 
BgL_arg2869z00_1230 = 
MAKE_PAIR(BgL_arg2843z00_1218, BgL_arg2872z00_1231); } 
BgL_arg2866z00_1229 = 
MAKE_PAIR(BgL_arg2842z00_1217, BgL_arg2869z00_1230); } 
BgL_arg2863z00_1228 = 
MAKE_PAIR(BgL_arg2841z00_1216, BgL_arg2866z00_1229); } 
BgL_arg2860z00_1227 = 
MAKE_PAIR(BgL_arg2839z00_1215, BgL_arg2863z00_1228); } 
BgL_arg2857z00_1226 = 
MAKE_PAIR(BgL_arg2838z00_1214, BgL_arg2860z00_1227); } 
BgL_arg2854z00_1225 = 
MAKE_PAIR(BgL_arg2837z00_1213, BgL_arg2857z00_1226); } 
BgL_arg2851z00_1224 = 
MAKE_PAIR(BgL_arg2836z00_1212, BgL_arg2854z00_1225); } 
BgL_list2849z00_1223 = 
MAKE_PAIR(BgL_arg2835z00_1211, BgL_arg2851z00_1224); } 
BgL_arg2831z00_1209 = BgL_list2849z00_1223; } } 
{ /* Object/slots.scm 28 */
obj_t BgL_v1934z00_1235;
{ 
int BgL_auxz00_3309;
BgL_auxz00_3309 = 
(int)(((long)0)); 
BgL_v1934z00_1235 = 
create_vector(BgL_auxz00_3309); } 
BgL_arg2832z00_1210 = BgL_v1934z00_1235; } 
BGl_slotz00zzobject_slotsz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BgL_arg2826z00_1204, BgL_arg2827z00_1205, BGl_makezd2slotzd2envz00zzobject_slotsz00, BGl_allocatezd2slotzd2envz00zzobject_slotsz00, ((long)55947), BgL_arg2831z00_1209, BFALSE, BgL_arg2832z00_1210); } 
return BUNSPEC;} 
}



/* slot? */
bool_t BGl_slotzf3zf3zzobject_slotsz00(obj_t BgL_obj1923z00_22)
{ AN_OBJECT;
{ /* Object/slots.scm 28 */
return 
BGl_iszd2azf3z21zz__objectz00(BgL_obj1923z00_22, BGl_slotz00zzobject_slotsz00);} 
}



/* _slot? */
obj_t BGl__slotzf3zf3zzobject_slotsz00(obj_t BgL_envz00_2398, obj_t BgL_obj1923z00_2399)
{ AN_OBJECT;
{ /* Object/slots.scm 28 */
{ /* Object/slots.scm 28 */
bool_t BgL_auxz00_3314;
BgL_auxz00_3314 = 
BGl_slotzf3zf3zzobject_slotsz00(BgL_obj1923z00_2399); 
return 
BBOOL(BgL_auxz00_3314);} } 
}



/* fill-slot! */
BgL_slotz00_bglt BGl_fillzd2slotz12zc0zzobject_slotsz00(BgL_slotz00_bglt BgL_new1844z00_26, obj_t BgL_id1832z00_27, obj_t BgL_name1833z00_28, obj_t BgL_src1834z00_29, obj_t BgL_classzd2owner1835zd2_30, obj_t BgL_type1836z00_31, bool_t BgL_readzd2onlyzf31837z21_32, obj_t BgL_defaultzd2value1838zd2_33, obj_t BgL_virtualzd2num1839zd2_34, obj_t BgL_getter1840z00_35, obj_t BgL_setter1841z00_36, obj_t BgL_indexed1842z00_37, obj_t BgL_userzd2info1843zd2_38)
{ AN_OBJECT;
{ /* Object/slots.scm 28 */
((((BgL_slotz00_bglt)CREF(BgL_new1844z00_26))->BgL_idz00) = ((obj_t)BgL_id1832z00_27), BUNSPEC); 
((((BgL_slotz00_bglt)CREF(BgL_new1844z00_26))->BgL_namez00) = ((obj_t)BgL_name1833z00_28), BUNSPEC); 
((((BgL_slotz00_bglt)CREF(BgL_new1844z00_26))->BgL_srcz00) = ((obj_t)BgL_src1834z00_29), BUNSPEC); 
((((BgL_slotz00_bglt)CREF(BgL_new1844z00_26))->BgL_classzd2ownerzd2) = ((obj_t)BgL_classzd2owner1835zd2_30), BUNSPEC); 
((((BgL_slotz00_bglt)CREF(BgL_new1844z00_26))->BgL_typez00) = ((obj_t)BgL_type1836z00_31), BUNSPEC); 
((((BgL_slotz00_bglt)CREF(BgL_new1844z00_26))->BgL_readzd2onlyzf3z21) = ((bool_t)BgL_readzd2onlyzf31837z21_32), BUNSPEC); 
((((BgL_slotz00_bglt)CREF(BgL_new1844z00_26))->BgL_defaultzd2valuezd2) = ((obj_t)BgL_defaultzd2value1838zd2_33), BUNSPEC); 
((((BgL_slotz00_bglt)CREF(BgL_new1844z00_26))->BgL_virtualzd2numzd2) = ((obj_t)BgL_virtualzd2num1839zd2_34), BUNSPEC); 
((((BgL_slotz00_bglt)CREF(BgL_new1844z00_26))->BgL_getterz00) = ((obj_t)BgL_getter1840z00_35), BUNSPEC); 
((((BgL_slotz00_bglt)CREF(BgL_new1844z00_26))->BgL_setterz00) = ((obj_t)BgL_setter1841z00_36), BUNSPEC); 
((((BgL_slotz00_bglt)CREF(BgL_new1844z00_26))->BgL_indexedz00) = ((obj_t)BgL_indexed1842z00_37), BUNSPEC); 
((((BgL_slotz00_bglt)CREF(BgL_new1844z00_26))->BgL_userzd2infozd2) = ((obj_t)BgL_userzd2info1843zd2_38), BUNSPEC); 
return BgL_new1844z00_26;} 
}



/* _fill-slot!3270 */
obj_t BGl__fillzd2slotz123270zc0zzobject_slotsz00(obj_t BgL_envz00_2400, obj_t BgL_new1844z00_2401, obj_t BgL_id1832z00_2402, obj_t BgL_name1833z00_2403, obj_t BgL_src1834z00_2404, obj_t BgL_classzd2owner1835zd2_2405, obj_t BgL_type1836z00_2406, obj_t BgL_readzd2onlyzf31837z21_2407, obj_t BgL_defaultzd2value1838zd2_2408, obj_t BgL_virtualzd2num1839zd2_2409, obj_t BgL_getter1840z00_2410, obj_t BgL_setter1841z00_2411, obj_t BgL_indexed1842z00_2412, obj_t BgL_userzd2info1843zd2_2413)
{ AN_OBJECT;
{ /* Object/slots.scm 28 */
{ /* Object/slots.scm 28 */
BgL_slotz00_bglt BgL_auxz00_3329;
BgL_auxz00_3329 = 
BGl_fillzd2slotz12zc0zzobject_slotsz00(
(BgL_slotz00_bglt)(BgL_new1844z00_2401), BgL_id1832z00_2402, BgL_name1833z00_2403, BgL_src1834z00_2404, BgL_classzd2owner1835zd2_2405, BgL_type1836z00_2406, 
CBOOL(BgL_readzd2onlyzf31837z21_2407), BgL_defaultzd2value1838zd2_2408, BgL_virtualzd2num1839zd2_2409, BgL_getter1840z00_2410, BgL_setter1841z00_2411, BgL_indexed1842z00_2412, BgL_userzd2info1843zd2_2413); 
return 
(obj_t)(BgL_auxz00_3329);} } 
}



/* make-slot */
BgL_slotz00_bglt BGl_makezd2slotzd2zzobject_slotsz00(obj_t BgL_id1858z00_39, obj_t BgL_name1859z00_40, obj_t BgL_src1860z00_41, obj_t BgL_classzd2owner1861zd2_42, obj_t BgL_type1862z00_43, bool_t BgL_readzd2onlyzf31863z21_44, obj_t BgL_defaultzd2value1864zd2_45, obj_t BgL_virtualzd2num1865zd2_46, obj_t BgL_getter1866z00_47, obj_t BgL_setter1867z00_48, obj_t BgL_indexed1868z00_49, obj_t BgL_userzd2info1869zd2_50)
{ AN_OBJECT;
{ /* Object/slots.scm 28 */
{ /* Object/slots.scm 28 */
BgL_slotz00_bglt BgL_new1870z00_1981;
{ /* Object/slots.scm 28 */
BgL_slotz00_bglt BgL_res3214z00_1987;
{ /* Object/slots.scm 28 */
BgL_slotz00_bglt BgL_new1872z00_1982;
BgL_new1872z00_1982 = 
((BgL_slotz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_slotz00_bgl) ))); 
{ /* Object/slots.scm 28 */
long BgL_arg2901z00_1983;
BgL_arg2901z00_1983 = 
BGl_classzd2numzd2zz__objectz00(BGl_slotz00zzobject_slotsz00); 
{ /* Object/slots.scm 28 */
BgL_objectz00_bglt BgL_auxz00_3336;
BgL_auxz00_3336 = 
(BgL_objectz00_bglt)(BgL_new1872z00_1982); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_3336, BgL_arg2901z00_1983); } } 
{ /* Object/slots.scm 28 */
BgL_objectz00_bglt BgL_auxz00_3339;
BgL_auxz00_3339 = 
(BgL_objectz00_bglt)(BgL_new1872z00_1982); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_3339, BFALSE); } 
{ /* Object/slots.scm 28 */
obj_t BgL_auxz00_3342;
BgL_auxz00_3342 = 
(obj_t)(BgL_new1872z00_1982); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_3342); } BUNSPEC; 
BgL_res3214z00_1987 = BgL_new1872z00_1982; } 
BgL_new1870z00_1981 = BgL_res3214z00_1987; } 
{ /* Object/slots.scm 28 */
BgL_slotz00_bglt BgL_res3215z00_2013;
((((BgL_slotz00_bglt)CREF(BgL_new1870z00_1981))->BgL_idz00) = ((obj_t)BgL_id1858z00_39), BUNSPEC); 
((((BgL_slotz00_bglt)CREF(BgL_new1870z00_1981))->BgL_namez00) = ((obj_t)BgL_name1859z00_40), BUNSPEC); 
((((BgL_slotz00_bglt)CREF(BgL_new1870z00_1981))->BgL_srcz00) = ((obj_t)BgL_src1860z00_41), BUNSPEC); 
((((BgL_slotz00_bglt)CREF(BgL_new1870z00_1981))->BgL_classzd2ownerzd2) = ((obj_t)BgL_classzd2owner1861zd2_42), BUNSPEC); 
((((BgL_slotz00_bglt)CREF(BgL_new1870z00_1981))->BgL_typez00) = ((obj_t)BgL_type1862z00_43), BUNSPEC); 
((((BgL_slotz00_bglt)CREF(BgL_new1870z00_1981))->BgL_readzd2onlyzf3z21) = ((bool_t)BgL_readzd2onlyzf31863z21_44), BUNSPEC); 
((((BgL_slotz00_bglt)CREF(BgL_new1870z00_1981))->BgL_defaultzd2valuezd2) = ((obj_t)BgL_defaultzd2value1864zd2_45), BUNSPEC); 
((((BgL_slotz00_bglt)CREF(BgL_new1870z00_1981))->BgL_virtualzd2numzd2) = ((obj_t)BgL_virtualzd2num1865zd2_46), BUNSPEC); 
((((BgL_slotz00_bglt)CREF(BgL_new1870z00_1981))->BgL_getterz00) = ((obj_t)BgL_getter1866z00_47), BUNSPEC); 
((((BgL_slotz00_bglt)CREF(BgL_new1870z00_1981))->BgL_setterz00) = ((obj_t)BgL_setter1867z00_48), BUNSPEC); 
((((BgL_slotz00_bglt)CREF(BgL_new1870z00_1981))->BgL_indexedz00) = ((obj_t)BgL_indexed1868z00_49), BUNSPEC); 
((((BgL_slotz00_bglt)CREF(BgL_new1870z00_1981))->BgL_userzd2infozd2) = ((obj_t)BgL_userzd2info1869zd2_50), BUNSPEC); 
BgL_res3215z00_2013 = BgL_new1870z00_1981; BgL_res3215z00_2013; } 
return BgL_new1870z00_1981;} } 
}



/* _make-slot3236 */
obj_t BGl__makezd2slot3236zd2zzobject_slotsz00(obj_t BgL_envz00_2351, obj_t BgL_id1858z00_2352, obj_t BgL_name1859z00_2353, obj_t BgL_src1860z00_2354, obj_t BgL_classzd2owner1861zd2_2355, obj_t BgL_type1862z00_2356, obj_t BgL_readzd2onlyzf31863z21_2357, obj_t BgL_defaultzd2value1864zd2_2358, obj_t BgL_virtualzd2num1865zd2_2359, obj_t BgL_getter1866z00_2360, obj_t BgL_setter1867z00_2361, obj_t BgL_indexed1868z00_2362, obj_t BgL_userzd2info1869zd2_2363)
{ AN_OBJECT;
{ /* Object/slots.scm 28 */
{ /* Object/slots.scm 28 */
BgL_slotz00_bglt BgL_auxz00_3357;
BgL_auxz00_3357 = 
BGl_makezd2slotzd2zzobject_slotsz00(BgL_id1858z00_2352, BgL_name1859z00_2353, BgL_src1860z00_2354, BgL_classzd2owner1861zd2_2355, BgL_type1862z00_2356, 
CBOOL(BgL_readzd2onlyzf31863z21_2357), BgL_defaultzd2value1864zd2_2358, BgL_virtualzd2num1865zd2_2359, BgL_getter1866z00_2360, BgL_setter1867z00_2361, BgL_indexed1868z00_2362, BgL_userzd2info1869zd2_2363); 
return 
(obj_t)(BgL_auxz00_3357);} } 
}



/* allocate-slot */
BgL_slotz00_bglt BGl_allocatezd2slotzd2zzobject_slotsz00()
{ AN_OBJECT;
{ /* Object/slots.scm 28 */
{ /* Object/slots.scm 28 */
BgL_slotz00_bglt BgL_new1872z00_2014;
BgL_new1872z00_2014 = 
((BgL_slotz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_slotz00_bgl) ))); 
{ /* Object/slots.scm 28 */
long BgL_arg2901z00_2015;
BgL_arg2901z00_2015 = 
BGl_classzd2numzd2zz__objectz00(BGl_slotz00zzobject_slotsz00); 
{ /* Object/slots.scm 28 */
BgL_objectz00_bglt BgL_auxz00_3363;
BgL_auxz00_3363 = 
(BgL_objectz00_bglt)(BgL_new1872z00_2014); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_3363, BgL_arg2901z00_2015); } } 
{ /* Object/slots.scm 28 */
BgL_objectz00_bglt BgL_auxz00_3366;
BgL_auxz00_3366 = 
(BgL_objectz00_bglt)(BgL_new1872z00_2014); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_3366, BFALSE); } 
{ /* Object/slots.scm 28 */
obj_t BgL_auxz00_3369;
BgL_auxz00_3369 = 
(obj_t)(BgL_new1872z00_2014); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_3369); } BUNSPEC; 
return BgL_new1872z00_2014;} } 
}



/* _allocate-slot */
obj_t BGl__allocatezd2slotzd2zzobject_slotsz00(obj_t BgL_envz00_2364)
{ AN_OBJECT;
{ /* Object/slots.scm 28 */
{ /* Object/slots.scm 28 */
BgL_slotz00_bglt BgL_auxz00_3372;
BgL_auxz00_3372 = 
BGl_allocatezd2slotzd2zzobject_slotsz00(); 
return 
(obj_t)(BgL_auxz00_3372);} } 
}



/* slot-id */
obj_t BGl_slotzd2idzd2zzobject_slotsz00(BgL_slotz00_bglt BgL_obj1814z00_51)
{ AN_OBJECT;
{ /* Object/slots.scm 29 */
return 
(((BgL_slotz00_bglt)CREF(BgL_obj1814z00_51))->BgL_idz00);} 
}



/* _slot-id3239 */
obj_t BGl__slotzd2id3239zd2zzobject_slotsz00(obj_t BgL_envz00_2365, obj_t BgL_obj1814z00_2366)
{ AN_OBJECT;
{ /* Object/slots.scm 29 */
return 
BGl_slotzd2idzd2zzobject_slotsz00(
(BgL_slotz00_bglt)(BgL_obj1814z00_2366));} 
}



/* slot-name */
obj_t BGl_slotzd2namezd2zzobject_slotsz00(BgL_slotz00_bglt BgL_obj1815z00_52)
{ AN_OBJECT;
{ /* Object/slots.scm 31 */
return 
(((BgL_slotz00_bglt)CREF(BgL_obj1815z00_52))->BgL_namez00);} 
}



/* _slot-name3241 */
obj_t BGl__slotzd2name3241zd2zzobject_slotsz00(obj_t BgL_envz00_2367, obj_t BgL_obj1815z00_2368)
{ AN_OBJECT;
{ /* Object/slots.scm 31 */
return 
BGl_slotzd2namezd2zzobject_slotsz00(
(BgL_slotz00_bglt)(BgL_obj1815z00_2368));} 
}



/* slot-src */
obj_t BGl_slotzd2srczd2zzobject_slotsz00(BgL_slotz00_bglt BgL_obj1816z00_53)
{ AN_OBJECT;
{ /* Object/slots.scm 33 */
return 
(((BgL_slotz00_bglt)CREF(BgL_obj1816z00_53))->BgL_srcz00);} 
}



/* _slot-src3243 */
obj_t BGl__slotzd2src3243zd2zzobject_slotsz00(obj_t BgL_envz00_2369, obj_t BgL_obj1816z00_2370)
{ AN_OBJECT;
{ /* Object/slots.scm 33 */
return 
BGl_slotzd2srczd2zzobject_slotsz00(
(BgL_slotz00_bglt)(BgL_obj1816z00_2370));} 
}



/* slot-class-owner */
obj_t BGl_slotzd2classzd2ownerz00zzobject_slotsz00(BgL_slotz00_bglt BgL_obj1817z00_54)
{ AN_OBJECT;
{ /* Object/slots.scm 35 */
return 
(((BgL_slotz00_bglt)CREF(BgL_obj1817z00_54))->BgL_classzd2ownerzd2);} 
}



/* _slot-class-owner3245 */
obj_t BGl__slotzd2classzd2owner3245z00zzobject_slotsz00(obj_t BgL_envz00_2371, obj_t BgL_obj1817z00_2372)
{ AN_OBJECT;
{ /* Object/slots.scm 35 */
return 
BGl_slotzd2classzd2ownerz00zzobject_slotsz00(
(BgL_slotz00_bglt)(BgL_obj1817z00_2372));} 
}



/* slot-type */
obj_t BGl_slotzd2typezd2zzobject_slotsz00(BgL_slotz00_bglt BgL_obj1818z00_55)
{ AN_OBJECT;
{ /* Object/slots.scm 37 */
return 
(((BgL_slotz00_bglt)CREF(BgL_obj1818z00_55))->BgL_typez00);} 
}



/* _slot-type3247 */
obj_t BGl__slotzd2type3247zd2zzobject_slotsz00(obj_t BgL_envz00_2373, obj_t BgL_obj1818z00_2374)
{ AN_OBJECT;
{ /* Object/slots.scm 37 */
return 
BGl_slotzd2typezd2zzobject_slotsz00(
(BgL_slotz00_bglt)(BgL_obj1818z00_2374));} 
}



/* slot-read-only? */
bool_t BGl_slotzd2readzd2onlyzf3zf3zzobject_slotsz00(BgL_slotz00_bglt BgL_obj1819z00_56)
{ AN_OBJECT;
{ /* Object/slots.scm 39 */
return 
(((BgL_slotz00_bglt)CREF(BgL_obj1819z00_56))->BgL_readzd2onlyzf3z21);} 
}



/* _slot-read-only?3249 */
obj_t BGl__slotzd2readzd2onlyzf33249zf3zzobject_slotsz00(obj_t BgL_envz00_2375, obj_t BgL_obj1819z00_2376)
{ AN_OBJECT;
{ /* Object/slots.scm 39 */
{ /* Object/slots.scm 39 */
bool_t BgL_auxz00_3391;
BgL_auxz00_3391 = 
BGl_slotzd2readzd2onlyzf3zf3zzobject_slotsz00(
(BgL_slotz00_bglt)(BgL_obj1819z00_2376)); 
return 
BBOOL(BgL_auxz00_3391);} } 
}



/* slot-default-value */
obj_t BGl_slotzd2defaultzd2valuez00zzobject_slotsz00(BgL_slotz00_bglt BgL_obj1820z00_57)
{ AN_OBJECT;
{ /* Object/slots.scm 41 */
return 
(((BgL_slotz00_bglt)CREF(BgL_obj1820z00_57))->BgL_defaultzd2valuezd2);} 
}



/* _slot-default-value3251 */
obj_t BGl__slotzd2defaultzd2value3251z00zzobject_slotsz00(obj_t BgL_envz00_2377, obj_t BgL_obj1820z00_2378)
{ AN_OBJECT;
{ /* Object/slots.scm 41 */
return 
BGl_slotzd2defaultzd2valuez00zzobject_slotsz00(
(BgL_slotz00_bglt)(BgL_obj1820z00_2378));} 
}



/* slot-virtual-num-set! */
obj_t BGl_slotzd2virtualzd2numzd2setz12zc0zzobject_slotsz00(BgL_slotz00_bglt BgL_obj1823z00_58, obj_t BgL_val1822z00_59)
{ AN_OBJECT;
{ /* Object/slots.scm 43 */
return 
((((BgL_slotz00_bglt)CREF(BgL_obj1823z00_58))->BgL_virtualzd2numzd2) = ((obj_t)BgL_val1822z00_59), BUNSPEC);} 
}



/* _slot-virtual-num-set!3255 */
obj_t BGl__slotzd2virtualzd2numzd2setz123255zc0zzobject_slotsz00(obj_t BgL_envz00_2381, obj_t BgL_obj1823z00_2382, obj_t BgL_val1822z00_2383)
{ AN_OBJECT;
{ /* Object/slots.scm 43 */
return 
BGl_slotzd2virtualzd2numzd2setz12zc0zzobject_slotsz00(
(BgL_slotz00_bglt)(BgL_obj1823z00_2382), BgL_val1822z00_2383);} 
}



/* slot-virtual-num */
obj_t BGl_slotzd2virtualzd2numz00zzobject_slotsz00(BgL_slotz00_bglt BgL_obj1821z00_60)
{ AN_OBJECT;
{ /* Object/slots.scm 43 */
return 
(((BgL_slotz00_bglt)CREF(BgL_obj1821z00_60))->BgL_virtualzd2numzd2);} 
}



/* _slot-virtual-num3253 */
obj_t BGl__slotzd2virtualzd2num3253z00zzobject_slotsz00(obj_t BgL_envz00_2379, obj_t BgL_obj1821z00_2380)
{ AN_OBJECT;
{ /* Object/slots.scm 43 */
return 
BGl_slotzd2virtualzd2numz00zzobject_slotsz00(
(BgL_slotz00_bglt)(BgL_obj1821z00_2380));} 
}



/* slot-getter-set! */
obj_t BGl_slotzd2getterzd2setz12z12zzobject_slotsz00(BgL_slotz00_bglt BgL_obj1826z00_61, obj_t BgL_val1825z00_62)
{ AN_OBJECT;
{ /* Object/slots.scm 45 */
return 
((((BgL_slotz00_bglt)CREF(BgL_obj1826z00_61))->BgL_getterz00) = ((obj_t)BgL_val1825z00_62), BUNSPEC);} 
}



/* _slot-getter-set!3259 */
obj_t BGl__slotzd2getterzd2setz123259z12zzobject_slotsz00(obj_t BgL_envz00_2386, obj_t BgL_obj1826z00_2387, obj_t BgL_val1825z00_2388)
{ AN_OBJECT;
{ /* Object/slots.scm 45 */
return 
BGl_slotzd2getterzd2setz12z12zzobject_slotsz00(
(BgL_slotz00_bglt)(BgL_obj1826z00_2387), BgL_val1825z00_2388);} 
}



/* slot-getter */
obj_t BGl_slotzd2getterzd2zzobject_slotsz00(BgL_slotz00_bglt BgL_obj1824z00_63)
{ AN_OBJECT;
{ /* Object/slots.scm 45 */
return 
(((BgL_slotz00_bglt)CREF(BgL_obj1824z00_63))->BgL_getterz00);} 
}



/* _slot-getter3257 */
obj_t BGl__slotzd2getter3257zd2zzobject_slotsz00(obj_t BgL_envz00_2384, obj_t BgL_obj1824z00_2385)
{ AN_OBJECT;
{ /* Object/slots.scm 45 */
return 
BGl_slotzd2getterzd2zzobject_slotsz00(
(BgL_slotz00_bglt)(BgL_obj1824z00_2385));} 
}



/* slot-setter-set! */
obj_t BGl_slotzd2setterzd2setz12z12zzobject_slotsz00(BgL_slotz00_bglt BgL_obj1829z00_64, obj_t BgL_val1828z00_65)
{ AN_OBJECT;
{ /* Object/slots.scm 47 */
return 
((((BgL_slotz00_bglt)CREF(BgL_obj1829z00_64))->BgL_setterz00) = ((obj_t)BgL_val1828z00_65), BUNSPEC);} 
}



/* _slot-setter-set!3263 */
obj_t BGl__slotzd2setterzd2setz123263z12zzobject_slotsz00(obj_t BgL_envz00_2391, obj_t BgL_obj1829z00_2392, obj_t BgL_val1828z00_2393)
{ AN_OBJECT;
{ /* Object/slots.scm 47 */
return 
BGl_slotzd2setterzd2setz12z12zzobject_slotsz00(
(BgL_slotz00_bglt)(BgL_obj1829z00_2392), BgL_val1828z00_2393);} 
}



/* slot-setter */
obj_t BGl_slotzd2setterzd2zzobject_slotsz00(BgL_slotz00_bglt BgL_obj1827z00_66)
{ AN_OBJECT;
{ /* Object/slots.scm 47 */
return 
(((BgL_slotz00_bglt)CREF(BgL_obj1827z00_66))->BgL_setterz00);} 
}



/* _slot-setter3261 */
obj_t BGl__slotzd2setter3261zd2zzobject_slotsz00(obj_t BgL_envz00_2389, obj_t BgL_obj1827z00_2390)
{ AN_OBJECT;
{ /* Object/slots.scm 47 */
return 
BGl_slotzd2setterzd2zzobject_slotsz00(
(BgL_slotz00_bglt)(BgL_obj1827z00_2390));} 
}



/* slot-indexed */
obj_t BGl_slotzd2indexedzd2zzobject_slotsz00(BgL_slotz00_bglt BgL_obj1830z00_67)
{ AN_OBJECT;
{ /* Object/slots.scm 50 */
return 
(((BgL_slotz00_bglt)CREF(BgL_obj1830z00_67))->BgL_indexedz00);} 
}



/* _slot-indexed3265 */
obj_t BGl__slotzd2indexed3265zd2zzobject_slotsz00(obj_t BgL_envz00_2394, obj_t BgL_obj1830z00_2395)
{ AN_OBJECT;
{ /* Object/slots.scm 50 */
return 
BGl_slotzd2indexedzd2zzobject_slotsz00(
(BgL_slotz00_bglt)(BgL_obj1830z00_2395));} 
}



/* slot-user-info */
obj_t BGl_slotzd2userzd2infoz00zzobject_slotsz00(BgL_slotz00_bglt BgL_obj1831z00_68)
{ AN_OBJECT;
{ /* Object/slots.scm 52 */
return 
(((BgL_slotz00_bglt)CREF(BgL_obj1831z00_68))->BgL_userzd2infozd2);} 
}



/* _slot-user-info3267 */
obj_t BGl__slotzd2userzd2info3267z00zzobject_slotsz00(obj_t BgL_envz00_2396, obj_t BgL_obj1831z00_2397)
{ AN_OBJECT;
{ /* Object/slots.scm 52 */
return 
BGl_slotzd2userzd2infoz00zzobject_slotsz00(
(BgL_slotz00_bglt)(BgL_obj1831z00_2397));} 
}



/* method-init */
obj_t BGl_methodzd2initzd2zzobject_slotsz00()
{ AN_OBJECT;
{ /* Object/slots.scm 15 */
BGl_addzd2methodz12zc0zz__objectz00(BGl_objectzd2ze3structzd2envze3zz__objectz00, BGl_slotz00zzobject_slotsz00, BGl_proc3520z00zzobject_slotsz00); 
return 
BGl_addzd2methodz12zc0zz__objectz00(BGl_structzb2objectzd2ze3objectzd2envz51zz__objectz00, BGl_slotz00zzobject_slotsz00, BGl_proc3521z00zzobject_slotsz00);} 
}



/* struct+object->object-slot1938 */
obj_t BGl_structzb2objectzd2ze3objectzd2slot1938z51zzobject_slotsz00(obj_t BgL_envz00_2416, obj_t BgL_oz00_2417, obj_t BgL_sz00_2418)
{ AN_OBJECT;
{ /* Object/slots.scm 28 */
{ 
BgL_slotz00_bglt BgL_oz00_1434;obj_t BgL_sz00_1435;
{ /* Object/slots.scm 28 */
BgL_slotz00_bglt BgL_auxz00_3424;
BgL_oz00_1434 = 
(BgL_slotz00_bglt)(BgL_oz00_2417); 
BgL_sz00_1435 = BgL_sz00_2418; 
{ /* Object/slots.scm 28 */
obj_t BgL_auxz00_3427;BgL_objectz00_bglt BgL_auxz00_3425;
{ /* Object/slots.scm 28 */
int BgL_auxz00_3428;
BgL_auxz00_3428 = 
(int)(((long)0)); 
BgL_auxz00_3427 = 
STRUCT_REF(BgL_sz00_1435, BgL_auxz00_3428); } 
BgL_auxz00_3425 = 
(BgL_objectz00_bglt)(BgL_oz00_1434); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_3425, BgL_auxz00_3427); } 
{ /* Object/slots.scm 28 */
obj_t BgL_v1877z00_1439;
{ /* Object/slots.scm 28 */
int BgL_auxz00_3432;
BgL_auxz00_3432 = 
(int)(((long)1)); 
BgL_v1877z00_1439 = 
STRUCT_REF(BgL_sz00_1435, BgL_auxz00_3432); } 
((((BgL_slotz00_bglt)CREF(BgL_oz00_1434))->BgL_idz00) = ((obj_t)BgL_v1877z00_1439), BUNSPEC); } 
{ /* Object/slots.scm 28 */
obj_t BgL_v1881z00_1440;
{ /* Object/slots.scm 28 */
int BgL_auxz00_3436;
BgL_auxz00_3436 = 
(int)(((long)2)); 
BgL_v1881z00_1440 = 
STRUCT_REF(BgL_sz00_1435, BgL_auxz00_3436); } 
((((BgL_slotz00_bglt)CREF(BgL_oz00_1434))->BgL_namez00) = ((obj_t)BgL_v1881z00_1440), BUNSPEC); } 
{ /* Object/slots.scm 28 */
obj_t BgL_v1885z00_1441;
{ /* Object/slots.scm 28 */
int BgL_auxz00_3440;
BgL_auxz00_3440 = 
(int)(((long)3)); 
BgL_v1885z00_1441 = 
STRUCT_REF(BgL_sz00_1435, BgL_auxz00_3440); } 
((((BgL_slotz00_bglt)CREF(BgL_oz00_1434))->BgL_srcz00) = ((obj_t)BgL_v1885z00_1441), BUNSPEC); } 
{ /* Object/slots.scm 28 */
obj_t BgL_v1889z00_1442;
{ /* Object/slots.scm 28 */
int BgL_auxz00_3444;
BgL_auxz00_3444 = 
(int)(((long)4)); 
BgL_v1889z00_1442 = 
STRUCT_REF(BgL_sz00_1435, BgL_auxz00_3444); } 
((((BgL_slotz00_bglt)CREF(BgL_oz00_1434))->BgL_classzd2ownerzd2) = ((obj_t)BgL_v1889z00_1442), BUNSPEC); } 
{ /* Object/slots.scm 28 */
obj_t BgL_v1893z00_1443;
{ /* Object/slots.scm 28 */
int BgL_auxz00_3448;
BgL_auxz00_3448 = 
(int)(((long)5)); 
BgL_v1893z00_1443 = 
STRUCT_REF(BgL_sz00_1435, BgL_auxz00_3448); } 
((((BgL_slotz00_bglt)CREF(BgL_oz00_1434))->BgL_typez00) = ((obj_t)BgL_v1893z00_1443), BUNSPEC); } 
{ /* Object/slots.scm 28 */
bool_t BgL_v1897z00_1444;
{ /* Object/slots.scm 28 */
obj_t BgL_auxz00_3452;
{ /* Object/slots.scm 28 */
int BgL_auxz00_3453;
BgL_auxz00_3453 = 
(int)(((long)6)); 
BgL_auxz00_3452 = 
STRUCT_REF(BgL_sz00_1435, BgL_auxz00_3453); } 
BgL_v1897z00_1444 = 
CBOOL(BgL_auxz00_3452); } 
((((BgL_slotz00_bglt)CREF(BgL_oz00_1434))->BgL_readzd2onlyzf3z21) = ((bool_t)BgL_v1897z00_1444), BUNSPEC); } 
{ /* Object/slots.scm 28 */
obj_t BgL_v1901z00_1445;
{ /* Object/slots.scm 28 */
int BgL_auxz00_3458;
BgL_auxz00_3458 = 
(int)(((long)7)); 
BgL_v1901z00_1445 = 
STRUCT_REF(BgL_sz00_1435, BgL_auxz00_3458); } 
((((BgL_slotz00_bglt)CREF(BgL_oz00_1434))->BgL_defaultzd2valuezd2) = ((obj_t)BgL_v1901z00_1445), BUNSPEC); } 
{ /* Object/slots.scm 28 */
obj_t BgL_v1905z00_1446;
{ /* Object/slots.scm 28 */
int BgL_auxz00_3462;
BgL_auxz00_3462 = 
(int)(((long)8)); 
BgL_v1905z00_1446 = 
STRUCT_REF(BgL_sz00_1435, BgL_auxz00_3462); } 
((((BgL_slotz00_bglt)CREF(BgL_oz00_1434))->BgL_virtualzd2numzd2) = ((obj_t)BgL_v1905z00_1446), BUNSPEC); } 
{ /* Object/slots.scm 28 */
obj_t BgL_v1909z00_1447;
{ /* Object/slots.scm 28 */
int BgL_auxz00_3466;
BgL_auxz00_3466 = 
(int)(((long)9)); 
BgL_v1909z00_1447 = 
STRUCT_REF(BgL_sz00_1435, BgL_auxz00_3466); } 
((((BgL_slotz00_bglt)CREF(BgL_oz00_1434))->BgL_getterz00) = ((obj_t)BgL_v1909z00_1447), BUNSPEC); } 
{ /* Object/slots.scm 28 */
obj_t BgL_v1913z00_1448;
{ /* Object/slots.scm 28 */
int BgL_auxz00_3470;
BgL_auxz00_3470 = 
(int)(((long)10)); 
BgL_v1913z00_1448 = 
STRUCT_REF(BgL_sz00_1435, BgL_auxz00_3470); } 
((((BgL_slotz00_bglt)CREF(BgL_oz00_1434))->BgL_setterz00) = ((obj_t)BgL_v1913z00_1448), BUNSPEC); } 
{ /* Object/slots.scm 28 */
obj_t BgL_v1917z00_1449;
{ /* Object/slots.scm 28 */
int BgL_auxz00_3474;
BgL_auxz00_3474 = 
(int)(((long)11)); 
BgL_v1917z00_1449 = 
STRUCT_REF(BgL_sz00_1435, BgL_auxz00_3474); } 
((((BgL_slotz00_bglt)CREF(BgL_oz00_1434))->BgL_indexedz00) = ((obj_t)BgL_v1917z00_1449), BUNSPEC); } 
{ /* Object/slots.scm 28 */
obj_t BgL_v1921z00_1450;
{ /* Object/slots.scm 28 */
int BgL_auxz00_3478;
BgL_auxz00_3478 = 
(int)(((long)12)); 
BgL_v1921z00_1450 = 
STRUCT_REF(BgL_sz00_1435, BgL_auxz00_3478); } 
((((BgL_slotz00_bglt)CREF(BgL_oz00_1434))->BgL_userzd2infozd2) = ((obj_t)BgL_v1921z00_1450), BUNSPEC); } 
BgL_auxz00_3424 = BgL_oz00_1434; 
return 
(obj_t)(BgL_auxz00_3424);} } } 
}



/* object->struct-slot1936 */
obj_t BGl_objectzd2ze3structzd2slot1936ze3zzobject_slotsz00(obj_t BgL_envz00_2419, obj_t BgL_obj1873z00_2420)
{ AN_OBJECT;
{ /* Object/slots.scm 28 */
{ 
BgL_slotz00_bglt BgL_obj1873z00_1404;
BgL_obj1873z00_1404 = 
(BgL_slotz00_bglt)(BgL_obj1873z00_2420); 
{ /* Object/slots.scm 28 */
obj_t BgL_res1874z00_1407;
{ /* Object/slots.scm 28 */
int BgL_auxz00_3486;obj_t BgL_auxz00_3484;
BgL_auxz00_3486 = 
(int)(((long)13)); 
BgL_auxz00_3484 = 
CNST_TABLE_REF(((long)15)); 
BgL_res1874z00_1407 = 
make_struct(BgL_auxz00_3484, BgL_auxz00_3486, BUNSPEC); } 
{ /* Object/slots.scm 28 */
int BgL_auxz00_3489;
BgL_auxz00_3489 = 
(int)(((long)0)); 
STRUCT_SET(BgL_res1874z00_1407, BgL_auxz00_3489, BFALSE); } 
{ /* Object/slots.scm 28 */
obj_t BgL_auxz00_3494;int BgL_auxz00_3492;
BgL_auxz00_3494 = 
(((BgL_slotz00_bglt)CREF(BgL_obj1873z00_1404))->BgL_idz00); 
BgL_auxz00_3492 = 
(int)(((long)1)); 
STRUCT_SET(BgL_res1874z00_1407, BgL_auxz00_3492, BgL_auxz00_3494); } 
{ /* Object/slots.scm 28 */
obj_t BgL_auxz00_3499;int BgL_auxz00_3497;
BgL_auxz00_3499 = 
(((BgL_slotz00_bglt)CREF(BgL_obj1873z00_1404))->BgL_namez00); 
BgL_auxz00_3497 = 
(int)(((long)2)); 
STRUCT_SET(BgL_res1874z00_1407, BgL_auxz00_3497, BgL_auxz00_3499); } 
{ /* Object/slots.scm 28 */
obj_t BgL_auxz00_3504;int BgL_auxz00_3502;
BgL_auxz00_3504 = 
(((BgL_slotz00_bglt)CREF(BgL_obj1873z00_1404))->BgL_srcz00); 
BgL_auxz00_3502 = 
(int)(((long)3)); 
STRUCT_SET(BgL_res1874z00_1407, BgL_auxz00_3502, BgL_auxz00_3504); } 
{ /* Object/slots.scm 28 */
obj_t BgL_auxz00_3509;int BgL_auxz00_3507;
BgL_auxz00_3509 = 
(((BgL_slotz00_bglt)CREF(BgL_obj1873z00_1404))->BgL_classzd2ownerzd2); 
BgL_auxz00_3507 = 
(int)(((long)4)); 
STRUCT_SET(BgL_res1874z00_1407, BgL_auxz00_3507, BgL_auxz00_3509); } 
{ /* Object/slots.scm 28 */
obj_t BgL_auxz00_3514;int BgL_auxz00_3512;
BgL_auxz00_3514 = 
(((BgL_slotz00_bglt)CREF(BgL_obj1873z00_1404))->BgL_typez00); 
BgL_auxz00_3512 = 
(int)(((long)5)); 
STRUCT_SET(BgL_res1874z00_1407, BgL_auxz00_3512, BgL_auxz00_3514); } 
{ /* Object/slots.scm 28 */
obj_t BgL_auxz00_3519;int BgL_auxz00_3517;
{ /* Object/slots.scm 28 */
bool_t BgL_auxz00_3520;
BgL_auxz00_3520 = 
(((BgL_slotz00_bglt)CREF(BgL_obj1873z00_1404))->BgL_readzd2onlyzf3z21); 
BgL_auxz00_3519 = 
BBOOL(BgL_auxz00_3520); } 
BgL_auxz00_3517 = 
(int)(((long)6)); 
STRUCT_SET(BgL_res1874z00_1407, BgL_auxz00_3517, BgL_auxz00_3519); } 
{ /* Object/slots.scm 28 */
obj_t BgL_auxz00_3526;int BgL_auxz00_3524;
BgL_auxz00_3526 = 
(((BgL_slotz00_bglt)CREF(BgL_obj1873z00_1404))->BgL_defaultzd2valuezd2); 
BgL_auxz00_3524 = 
(int)(((long)7)); 
STRUCT_SET(BgL_res1874z00_1407, BgL_auxz00_3524, BgL_auxz00_3526); } 
{ /* Object/slots.scm 28 */
obj_t BgL_auxz00_3531;int BgL_auxz00_3529;
BgL_auxz00_3531 = 
(((BgL_slotz00_bglt)CREF(BgL_obj1873z00_1404))->BgL_virtualzd2numzd2); 
BgL_auxz00_3529 = 
(int)(((long)8)); 
STRUCT_SET(BgL_res1874z00_1407, BgL_auxz00_3529, BgL_auxz00_3531); } 
{ /* Object/slots.scm 28 */
obj_t BgL_auxz00_3536;int BgL_auxz00_3534;
BgL_auxz00_3536 = 
(((BgL_slotz00_bglt)CREF(BgL_obj1873z00_1404))->BgL_getterz00); 
BgL_auxz00_3534 = 
(int)(((long)9)); 
STRUCT_SET(BgL_res1874z00_1407, BgL_auxz00_3534, BgL_auxz00_3536); } 
{ /* Object/slots.scm 28 */
obj_t BgL_auxz00_3541;int BgL_auxz00_3539;
BgL_auxz00_3541 = 
(((BgL_slotz00_bglt)CREF(BgL_obj1873z00_1404))->BgL_setterz00); 
BgL_auxz00_3539 = 
(int)(((long)10)); 
STRUCT_SET(BgL_res1874z00_1407, BgL_auxz00_3539, BgL_auxz00_3541); } 
{ /* Object/slots.scm 28 */
obj_t BgL_auxz00_3546;int BgL_auxz00_3544;
BgL_auxz00_3546 = 
(((BgL_slotz00_bglt)CREF(BgL_obj1873z00_1404))->BgL_indexedz00); 
BgL_auxz00_3544 = 
(int)(((long)11)); 
STRUCT_SET(BgL_res1874z00_1407, BgL_auxz00_3544, BgL_auxz00_3546); } 
{ /* Object/slots.scm 28 */
obj_t BgL_auxz00_3551;int BgL_auxz00_3549;
BgL_auxz00_3551 = 
(((BgL_slotz00_bglt)CREF(BgL_obj1873z00_1404))->BgL_userzd2infozd2); 
BgL_auxz00_3549 = 
(int)(((long)12)); 
STRUCT_SET(BgL_res1874z00_1407, BgL_auxz00_3549, BgL_auxz00_3551); } 
return BgL_res1874z00_1407;} } } 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zzobject_slotsz00()
{ AN_OBJECT;
{ /* Object/slots.scm 15 */
BGl_modulezd2initializa7ationz75zztools_tracez00(((long)64647), "object_slots"); 
BGl_modulezd2initializa7ationz75zztools_errorz00(((long)17886), "object_slots"); 
BGl_modulezd2initializa7ationz75zztools_locationz00(((long)30714), "object_slots"); 
BGl_modulezd2initializa7ationz75zztype_typez00(((long)19010), "object_slots"); 
BGl_modulezd2initializa7ationz75zztype_cachez00(((long)57983), "object_slots"); 
BGl_modulezd2initializa7ationz75zztype_envz00(((long)25262), "object_slots"); 
BGl_modulezd2initializa7ationz75zztvector_tvectorz00(((long)16653), "object_slots"); 
BGl_modulezd2initializa7ationz75zzengine_paramz00(((long)189840), "object_slots"); 
BGl_modulezd2initializa7ationz75zzobject_classz00(((long)19348), "object_slots"); 
BGl_modulezd2initializa7ationz75zzast_varz00(((long)28259), "object_slots"); 
BGl_modulezd2initializa7ationz75zzast_identz00(((long)52188), "object_slots"); 
return 
BGl_modulezd2initializa7ationz75zzast_glozd2declzd2(((long)22459), "object_slots");} 
}

