/*===========================================================================*/
/*   (Reduce/cse.scm)                                                        */
/*   Bigloo (2.5b)                                                           */
/*   Manuel Serrano (c)       Fri Sep 6 09:43:28 CEST 2002                   */
/*===========================================================================*/

/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>


/* Object type definitions */
typedef struct BgL_typez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   obj_t BgL_siza7eza7;
   obj_t BgL_classz00;
   obj_t BgL_coercezd2tozd2;
   obj_t BgL_parentsz00;
   bool_t BgL_initzf3zf3;
   bool_t BgL_magiczf3zf3;
   obj_t BgL_z42z42;
   obj_t BgL_aliasz00;
   obj_t BgL_pointedzd2tozd2byz00;
   obj_t BgL_tvectorz00;
   obj_t BgL_locationz00;
   obj_t BgL_importzd2locationzd2;
} *BgL_typez00_bglt;

typedef struct BgL_valuez00_bgl {
   header_t header;
   obj_t widening;
} *BgL_valuez00_bglt;

typedef struct BgL_variablez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
} *BgL_variablez00_bglt;

typedef struct BgL_globalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   obj_t BgL_modulez00;
   obj_t BgL_importz00;
   bool_t BgL_evaluablezf3zf3;
   bool_t BgL_libraryzf3zf3;
   bool_t BgL_userzf3zf3;
   obj_t BgL_pragmaz00;
   obj_t BgL_srcz00;
   obj_t BgL_jvmzd2typezd2namez00;
} *BgL_globalz00_bglt;

typedef struct BgL_localz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   bool_t BgL_userzf3zf3;
   long BgL_keyz00;
} *BgL_localz00_bglt;

typedef struct BgL_funz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
} *BgL_funz00_bglt;

typedef struct BgL_sfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_propertyz00;
   obj_t BgL_argsz00;
   obj_t BgL_bodyz00;
   obj_t BgL_classz00;
   obj_t BgL_dssslzd2keywordszd2;
   obj_t BgL_locz00;
} *BgL_sfunz00_bglt;

typedef struct BgL_cfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_argszd2typezd2;
   bool_t BgL_macrozf3zf3;
   bool_t BgL_infixzf3zf3;
   obj_t BgL_methodz00;
} *BgL_cfunz00_bglt;

typedef struct BgL_svarz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
} *BgL_svarz00_bglt;

typedef struct BgL_scnstz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_nodez00;
   obj_t BgL_classz00;
   obj_t BgL_locz00;
} *BgL_scnstz00_bglt;

typedef struct BgL_cvarz00_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_macrozf3zf3;
} *BgL_cvarz00_bglt;

typedef struct BgL_sexitz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_handlerz00;
   bool_t BgL_detachedzf3zf3;
} *BgL_sexitz00_bglt;

typedef struct BgL_nodez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
} *BgL_nodez00_bglt;

typedef struct BgL_nodezf2effectzf2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
} *BgL_nodezf2effectzf2_bglt;

typedef struct BgL_atomz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_atomz00_bglt;

typedef struct BgL_varz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_varz00_bglt;

typedef struct BgL_closurez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_closurez00_bglt;

typedef struct BgL_kwotez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_kwotez00_bglt;

typedef struct BgL_sequencez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_nodesz00;
} *BgL_sequencez00_bglt;

typedef struct BgL_appz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
} *BgL_appz00_bglt;

typedef struct BgL_appzd2lyzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_appzd2lyzd2_bglt;

typedef struct BgL_funcallz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
   obj_t BgL_strengthz00;
} *BgL_funcallz00_bglt;

typedef struct BgL_externz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
} *BgL_externz00_bglt;

typedef struct BgL_pragmaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_formatz00;
} *BgL_pragmaz00_bglt;

typedef struct BgL_getfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_getfieldz00_bglt;

typedef struct BgL_setfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_setfieldz00_bglt;

typedef struct BgL_newz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
} *BgL_newz00_bglt;

typedef struct BgL_vallocz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2heapzd2formatz00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_vallocz00_bglt;

typedef struct BgL_vrefz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vrefz00_bglt;

typedef struct BgL_vsetz12z12_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vsetz12z12_bglt;

typedef struct BgL_vlengthz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vlengthz00_bglt;

typedef struct BgL_isaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   struct BgL_typez00_bgl * BgL_classz00;
} *BgL_isaz00_bglt;

typedef struct BgL_castz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_castz00_bglt;

typedef struct BgL_setqz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_setqz00_bglt;

typedef struct BgL_conditionalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   struct BgL_nodez00_bgl * BgL_truez00;
   struct BgL_nodez00_bgl * BgL_falsez00;
} *BgL_conditionalz00_bglt;

typedef struct BgL_failz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_procz00;
   struct BgL_nodez00_bgl * BgL_msgz00;
   struct BgL_nodez00_bgl * BgL_objz00;
} *BgL_failz00_bglt;

typedef struct BgL_selectz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   obj_t BgL_clausesz00;
   struct BgL_typez00_bgl * BgL_itemzd2typezd2;
} *BgL_selectz00_bglt;

typedef struct BgL_letzd2funzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_localsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_letzd2funzd2_bglt;

typedef struct BgL_letzd2varzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_bindingsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
   bool_t BgL_removablezf3zf3;
} *BgL_letzd2varzd2_bglt;

typedef struct BgL_setzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_setzd2exzd2itz00_bglt;

typedef struct BgL_jumpzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_exitz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_jumpzd2exzd2itz00_bglt;

typedef struct BgL_makezd2boxzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_makezd2boxzd2_bglt;

typedef struct BgL_boxzd2refzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_varz00;
} *BgL_boxzd2refzd2_bglt;

typedef struct BgL_boxzd2setz12zc0_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_boxzd2setz12zc0_bglt;


static obj_t BGl_nodezd2csez12zd2conditional2775z12zzreduce_csez00(obj_t, obj_t, obj_t);
static obj_t BGl_methodzd2initzd2zzreduce_csez00();
static obj_t BGl_nodezd2csez12zd2letzd2fun2781zc0zzreduce_csez00(obj_t, obj_t, obj_t);
extern obj_t open_input_string(obj_t);
extern long BGl_classzd2numzd2zz__objectz00(obj_t);
extern obj_t BGl_letzd2funzd2zzast_nodez00;
static obj_t BGl_nodezd2csez12zd2fail2777z12zzreduce_csez00(obj_t, obj_t, obj_t);
extern obj_t BGl_readz00zz__readerz00(obj_t);
extern bool_t BGl_iszd2azf3z21zz__objectz00(obj_t, obj_t);
static obj_t BGl__reducezd2csez12zc0zzreduce_csez00(obj_t, obj_t);
static obj_t BGl_nodezd2csez12zd2letzd2var2795zc0zzreduce_csez00(obj_t, obj_t, obj_t);
static obj_t BGl_nodezd2csez12zd2default2752z12zzreduce_csez00(BgL_nodez00_bglt, obj_t);
static obj_t BGl_nodezd2csez12zd2sequence2763z12zzreduce_csez00(obj_t, obj_t, obj_t);
extern obj_t BGl_addzd2genericz12zc0zz__objectz00(obj_t, obj_t);
static obj_t BGl_nodezd2csez12zd2extern2769z12zzreduce_csez00(obj_t, obj_t, obj_t);
extern obj_t BGl_letzd2varzd2zzast_nodez00;
extern obj_t BGl_kwotez00zzast_nodez00;
static obj_t BGl_findzd2stackzd2zzreduce_csez00(BgL_nodez00_bglt, obj_t);
extern obj_t BGl_castz00zzast_nodez00;
extern obj_t BGl_boxzd2refzd2zzast_nodez00;
extern obj_t BGl_varz00zzast_nodez00;
static obj_t BGl_nodezd2csez12zd2var2759z12zzreduce_csez00(obj_t, obj_t, obj_t);
static obj_t BGl_cnstzd2initzd2zzreduce_csez00();
extern obj_t BGl_atomz00zzast_nodez00;
extern obj_t BGl_failz00zzast_nodez00;
extern obj_t BGl_funcallz00zzast_nodez00;
static long BGl_za2csezd2removedza2zd2zzreduce_csez00;
static obj_t BGl_nodezd2csez12zd2jumpzd2exzd2it2785z12zzreduce_csez00(obj_t, obj_t, obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zzreduce_csez00();
extern obj_t BGl_nodezd2csez12zc0zzreduce_csez00(BgL_nodez00_bglt, obj_t);
extern obj_t BGl_makezd2boxzd2zzast_nodez00;
static obj_t BGl_nodezd2csez12zd2cast2771z12zzreduce_csez00(obj_t, obj_t, obj_t);
static obj_t BGl__nodezd2csez12zd2default2752z12zzreduce_csez00(obj_t, obj_t, obj_t);
static obj_t BGl_nodezd2csez12zd2setzd2exzd2it2783z12zzreduce_csez00(obj_t, obj_t, obj_t);
extern obj_t BGl_addzd2methodz12zc0zz__objectz00(obj_t, obj_t, obj_t);
extern obj_t BGl_reducezd2csez12zc0zzreduce_csez00(obj_t);
extern obj_t BGl_variablez00zzast_varz00;
extern obj_t BGl_selectz00zzast_nodez00;
static obj_t BGl_nodezd2cseza2z12z62zzreduce_csez00(obj_t, obj_t);
static obj_t BGl_toplevelzd2initzd2zzreduce_csez00();
extern obj_t BGl_appzd2lyzd2zzast_nodez00;
extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
extern obj_t BGl_modulezd2initializa7ationz75zzreduce_csez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzcoerce_typeofz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzcoerce_coercez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzeffect_effectz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_lvtypez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzreduce_samez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
extern bool_t BGl_sidezd2effectzf3z21zzeffect_effectz00(BgL_nodez00_bglt);
static obj_t BGl_nodezd2csez12zd2boxzd2ref2791zc0zzreduce_csez00(obj_t, obj_t, obj_t);
extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
static obj_t BGl_nodezd2csez12zd2select2779z12zzreduce_csez00(obj_t, obj_t, obj_t);
static obj_t BGl_nodezd2csez12zd2kwote2757z12zzreduce_csez00(obj_t, obj_t, obj_t);
extern bool_t BGl_samezd2nodezf3z21zzreduce_samez00(BgL_nodez00_bglt, BgL_nodez00_bglt, obj_t);
extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
static obj_t BGl_nodezd2csez12zd2setq2773z12zzreduce_csez00(obj_t, obj_t, obj_t);
extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
extern obj_t BGl_externz00zzast_nodez00;
extern obj_t BGl_conditionalz00zzast_nodez00;
extern obj_t BGl_sequencez00zzast_nodez00;
static obj_t BGl_nodezd2csez12zd2boxzd2setz122789zd2zzreduce_csez00(obj_t, obj_t, obj_t);
extern obj_t create_struct(obj_t, int);
extern obj_t BGl_appz00zzast_nodez00;
static obj_t BGl_nodezd2csez12zd2makezd2box2787zc0zzreduce_csez00(obj_t, obj_t, obj_t);
static obj_t BGl_nodezd2csez12zd2app2793z12zzreduce_csez00(obj_t, obj_t, obj_t);
extern obj_t BGl_closurez00zzast_nodez00;
static obj_t BGl_nodezd2csez12zd2atom2755z12zzreduce_csez00(obj_t, obj_t, obj_t);
extern obj_t bgl_append2(obj_t, obj_t);
static obj_t BGl_nodezd2csez12zd2appzd2ly2765zc0zzreduce_csez00(obj_t, obj_t, obj_t);
static obj_t BGl_requirezd2initializa7ationz75zzreduce_csez00 = BUNSPEC;
static obj_t BGl_nodezd2csez12zd2funcall2767z12zzreduce_csez00(obj_t, obj_t, obj_t);
static obj_t BGl_nodezd2csez12zd2closure2761z12zzreduce_csez00(obj_t, obj_t, obj_t);
static obj_t BGl_libraryzd2moduleszd2initz00zzreduce_csez00();
static obj_t BGl__nodezd2csez123800zc0zzreduce_csez00(obj_t, obj_t, obj_t);
extern obj_t BGl_setqz00zzast_nodez00;
static obj_t __cnst[ 3 ] ;

DEFINE_EXPORT_GENERIC( BGl_nodezd2csez12zd2envz12zzreduce_csez00, BgL_bgl__nodeza7d2cseza7123800za7c0za7za7reduce_cseza7004387z00, BGl__nodezd2csez123800zc0zzreduce_csez00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_reducezd2csez12zd2envz12zzreduce_csez00, BgL_bgl__reduceza7d2cseza712za7c0za7za7reduce_cseza7004388z00, BGl__reducezd2csez12zc0zzreduce_csez00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc4338z00zzreduce_csez00, BgL_bgl_nodeza7d2cseza712za7d2atom2755za712za7za7reduce_cseza7004389za7, BGl_nodezd2csez12zd2atom2755z12zzreduce_csez00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc4340z00zzreduce_csez00, BgL_bgl_nodeza7d2cseza712za7d2var2759za712za7za7reduce_cseza7004390za7, BGl_nodezd2csez12zd2var2759z12zzreduce_csez00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc4339z00zzreduce_csez00, BgL_bgl_nodeza7d2cseza712za7d2kwote2757za712za7za7reduce_cseza7004391za7, BGl_nodezd2csez12zd2kwote2757z12zzreduce_csez00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc4341z00zzreduce_csez00, BgL_bgl_nodeza7d2cseza712za7d2closure2761za712za7za7reduce_cseza7004392za7, BGl_nodezd2csez12zd2closure2761z12zzreduce_csez00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc4342z00zzreduce_csez00, BgL_bgl_nodeza7d2cseza712za7d2sequence2763za712za7za7reduce_cseza7004393za7, BGl_nodezd2csez12zd2sequence2763z12zzreduce_csez00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc4343z00zzreduce_csez00, BgL_bgl_nodeza7d2cseza712za7d2appza7d2ly2765za7c0za7za7reduce_cseza7004394z00, BGl_nodezd2csez12zd2appzd2ly2765zc0zzreduce_csez00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc4344z00zzreduce_csez00, BgL_bgl_nodeza7d2cseza712za7d2funcall2767za712za7za7reduce_cseza7004395za7, BGl_nodezd2csez12zd2funcall2767z12zzreduce_csez00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc4345z00zzreduce_csez00, BgL_bgl_nodeza7d2cseza712za7d2extern2769za712za7za7reduce_cseza7004396za7, BGl_nodezd2csez12zd2extern2769z12zzreduce_csez00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc4346z00zzreduce_csez00, BgL_bgl_nodeza7d2cseza712za7d2cast2771za712za7za7reduce_cseza7004397za7, BGl_nodezd2csez12zd2cast2771z12zzreduce_csez00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc4347z00zzreduce_csez00, BgL_bgl_nodeza7d2cseza712za7d2setq2773za712za7za7reduce_cseza7004398za7, BGl_nodezd2csez12zd2setq2773z12zzreduce_csez00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc4348z00zzreduce_csez00, BgL_bgl_nodeza7d2cseza712za7d2conditional2775za712za7za7reduce_cseza7004399za7, BGl_nodezd2csez12zd2conditional2775z12zzreduce_csez00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc4350z00zzreduce_csez00, BgL_bgl_nodeza7d2cseza712za7d2select2779za712za7za7reduce_cseza7004400za7, BGl_nodezd2csez12zd2select2779z12zzreduce_csez00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc4349z00zzreduce_csez00, BgL_bgl_nodeza7d2cseza712za7d2fail2777za712za7za7reduce_cseza7004401za7, BGl_nodezd2csez12zd2fail2777z12zzreduce_csez00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc4351z00zzreduce_csez00, BgL_bgl_nodeza7d2cseza712za7d2letza7d2fun2781za7c0za7za7reduce_cseza7004402z00, BGl_nodezd2csez12zd2letzd2fun2781zc0zzreduce_csez00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc4352z00zzreduce_csez00, BgL_bgl_nodeza7d2cseza712za7d2setza7d2exza7d2it2783za712za7za7reduce_cseza7004403za7, BGl_nodezd2csez12zd2setzd2exzd2it2783z12zzreduce_csez00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc4353z00zzreduce_csez00, BgL_bgl_nodeza7d2cseza712za7d2jumpza7d2exza7d2it2785za712za7za7reduce_cseza7004404za7, BGl_nodezd2csez12zd2jumpzd2exzd2it2785z12zzreduce_csez00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc4354z00zzreduce_csez00, BgL_bgl_nodeza7d2cseza712za7d2makeza7d2box2787za7c0za7za7reduce_cseza7004405z00, BGl_nodezd2csez12zd2makezd2box2787zc0zzreduce_csez00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc4355z00zzreduce_csez00, BgL_bgl_nodeza7d2cseza712za7d2boxza7d2setza7122789za7d2za7za7reduce_cseza7004406za7, BGl_nodezd2csez12zd2boxzd2setz122789zd2zzreduce_csez00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc4356z00zzreduce_csez00, BgL_bgl_nodeza7d2cseza712za7d2boxza7d2ref2791za7c0za7za7reduce_cseza7004407z00, BGl_nodezd2csez12zd2boxzd2ref2791zc0zzreduce_csez00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc4357z00zzreduce_csez00, BgL_bgl_nodeza7d2cseza712za7d2app2793za712za7za7reduce_cseza7004408za7, BGl_nodezd2csez12zd2app2793z12zzreduce_csez00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc4358z00zzreduce_csez00, BgL_bgl_nodeza7d2cseza712za7d2letza7d2var2795za7c0za7za7reduce_cseza7004409z00, BGl_nodezd2csez12zd2letzd2var2795zc0zzreduce_csez00, 0L, 2 );
DEFINE_STRING( BGl_string4360z00zzreduce_csez00, BgL_bgl_string4360za700za7za7reduce_cseza7004410z00, "node-cse!-default2752 call read ", 32 );
DEFINE_STRING( BGl_string4359z00zzreduce_csez00, BgL_bgl_string4359za700za7za7reduce_cseza7004411z00, "No method for this object", 25 );
DEFINE_STRING( BGl_string4337z00zzreduce_csez00, BgL_bgl_string4337za700za7za7reduce_cseza7004412z00, "(removed : ", 11 );
DEFINE_STRING( BGl_string4336z00zzreduce_csez00, BgL_bgl_string4336za700za7za7reduce_cseza7004413z00, "      cse                    ", 29 );
DEFINE_STATIC_PROCEDURE( BGl_nodezd2csez12zd2default2752zd2envzc0zzreduce_csez00, BgL_bgl__nodeza7d2cseza712za7d2default2752za712za7za7reduce_cseza7004414za7, BGl__nodezd2csez12zd2default2752z12zzreduce_csez00, 0L, 2 );



/* module-initialization */
obj_t BGl_modulezd2initializa7ationz75zzreduce_csez00(long BgL_checksumz00_3627, char * BgL_fromz00_3628)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zzreduce_csez00))
{ 
BGl_requirezd2initializa7ationz75zzreduce_csez00 = 
BBOOL(((bool_t)0)); 
BGl_libraryzd2moduleszd2initz00zzreduce_csez00(); 
BGl_cnstzd2initzd2zzreduce_csez00(); 
BGl_importedzd2moduleszd2initz00zzreduce_csez00(); 
BGl_methodzd2initzd2zzreduce_csez00(); 
BGl_toplevelzd2initzd2zzreduce_csez00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zzreduce_csez00()
{ AN_OBJECT;
{ /* Reduce/cse.scm 15 */
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "reduce_cse"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "reduce_cse"); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)0), "reduce_cse"); 
return BUNSPEC;} 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zzreduce_csez00()
{ AN_OBJECT;
{ /* Reduce/cse.scm 15 */
{ /* Reduce/cse.scm 15 */
obj_t BgL_cportz00_3620;
BgL_cportz00_3620 = 
open_input_string(BGl_string4360z00zzreduce_csez00); 
{ 
long BgL_iz00_3621;
BgL_iz00_3621 = ((long)2); 
BgL_loopz00_3622:
if(
(BgL_iz00_3621==((long)-1)))
{ /* Reduce/cse.scm 15 */
return BUNSPEC;}  else 
{ /* Reduce/cse.scm 15 */
{ /* Reduce/cse.scm 15 */
obj_t BgL_arg4364z00_3624;
{ /* Reduce/cse.scm 15 */
obj_t BgL_list4367z00_3625;
BgL_list4367z00_3625 = 
MAKE_PAIR(BgL_cportz00_3620, BNIL); 
BgL_arg4364z00_3624 = 
BGl_readz00zz__readerz00(BgL_list4367z00_3625); } 
{ /* Reduce/cse.scm 15 */
int BgL_auxz00_3645;
BgL_auxz00_3645 = 
(int)(BgL_iz00_3621); 
CNST_TABLE_SET(BgL_auxz00_3645, BgL_arg4364z00_3624); } } 
{ 
long BgL_iz00_3648;
{ /* Reduce/cse.scm 15 */
int BgL_auxz00_3649;
{ /* Reduce/cse.scm 15 */
long BgL_auxz00_3650;
BgL_auxz00_3650 = 
(BgL_iz00_3621-((long)1)); 
BgL_auxz00_3649 = 
(int)(BgL_auxz00_3650); } 
BgL_iz00_3648 = 
(long)(BgL_auxz00_3649); } 
BgL_iz00_3621 = BgL_iz00_3648; 
goto BgL_loopz00_3622;} } } } } 
}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zzreduce_csez00()
{ AN_OBJECT;
{ /* Reduce/cse.scm 15 */
BGl_za2csezd2removedza2zd2zzreduce_csez00 = ((long)0); 
return BUNSPEC;} 
}



/* reduce-cse! */
obj_t BGl_reducezd2csez12zc0zzreduce_csez00(obj_t BgL_globalsz00_1)
{ AN_OBJECT;
{ /* Reduce/cse.scm 35 */
{ /* Reduce/cse.scm 36 */
obj_t BgL_list2798z00_1281;
BgL_list2798z00_1281 = 
MAKE_PAIR(BGl_string4336z00zzreduce_csez00, BNIL); 
BGl_verbosez00zztools_speekz00(
BINT(((long)2)), BgL_list2798z00_1281); } 
BGl_za2csezd2removedza2zd2zzreduce_csez00 = ((long)0); 
{ 
obj_t BgL_l2655z00_1282;
BgL_l2655z00_1282 = BgL_globalsz00_1; 
BgL_lname2656z00_1283:
if(
PAIRP(BgL_l2655z00_1282))
{ /* Reduce/cse.scm 38 */
{ /* Reduce/cse.scm 39 */
BgL_valuez00_bglt BgL_funz00_1286;
{ /* Reduce/cse.scm 39 */
BgL_globalz00_bglt BgL_obj1156z00_2056;
{ /* Reduce/cse.scm 39 */
obj_t BgL_auxz00_3659;
BgL_auxz00_3659 = 
CAR(BgL_l2655z00_1282); 
BgL_obj1156z00_2056 = 
(BgL_globalz00_bglt)(BgL_auxz00_3659); } 
BgL_funz00_1286 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1156z00_2056))->BgL_valuez00); } 
{ /* Reduce/cse.scm 40 */

{ /* Reduce/cse.scm 41 */
obj_t BgL_arg2803z00_1288;
{ /* Reduce/cse.scm 41 */
obj_t BgL__z00_1289;
{ /* Reduce/cse.scm 42 */
BgL_nodez00_bglt BgL_nodez00_2058;
{ /* Reduce/cse.scm 42 */
obj_t BgL_auxz00_3663;
{ /* Reduce/cse.scm 40 */
BgL_sfunz00_bglt BgL_obj1373z00_2057;
BgL_obj1373z00_2057 = 
(BgL_sfunz00_bglt)(BgL_funz00_1286); 
BgL_auxz00_3663 = 
(((BgL_sfunz00_bglt)CREF(BgL_obj1373z00_2057))->BgL_bodyz00); } 
BgL_nodez00_2058 = 
(BgL_nodez00_bglt)(BgL_auxz00_3663); } 
{ /* Reduce/cse.scm 42 */
obj_t BgL_method2753z00_2060;
{ /* Reduce/cse.scm 42 */
long BgL_objzd2classzd2numz00_2062;
{ /* Reduce/cse.scm 42 */
BgL_objectz00_bglt BgL_auxz00_3667;
BgL_auxz00_3667 = 
(BgL_objectz00_bglt)(BgL_nodez00_2058); 
BgL_objzd2classzd2numz00_2062 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3667); } 
{ /* Reduce/cse.scm 42 */
obj_t BgL_arg1904z00_2063;
{ /* Reduce/cse.scm 42 */
int BgL_auxz00_3670;
BgL_auxz00_3670 = 
(int)(((long)1)); 
BgL_arg1904z00_2063 = 
PROCEDURE_REF(BGl_nodezd2csez12zd2envz12zzreduce_csez00, BgL_auxz00_3670); } 
{ /* Reduce/cse.scm 42 */
long BgL_offsetz00_2067;
{ /* Reduce/cse.scm 42 */
long BgL_auxz00_3673;
{ /* Reduce/cse.scm 42 */
int BgL_auxz00_3674;
BgL_auxz00_3674 = 
(int)(BgL_objzd2classzd2numz00_2062); 
BgL_auxz00_3673 = 
(long)(BgL_auxz00_3674); } 
BgL_offsetz00_2067 = 
(BgL_auxz00_3673-OBJECT_TYPE); } 
{ /* Reduce/cse.scm 42 */
long BgL_modz00_2068;
{ /* Reduce/cse.scm 42 */
long BgL_auxz00_3678;
{ /* Reduce/cse.scm 42 */
int BgL_auxz00_3679;
BgL_auxz00_3679 = 
(int)(((long)8)); 
BgL_auxz00_3678 = 
(long)(BgL_auxz00_3679); } 
BgL_modz00_2068 = 
(BgL_offsetz00_2067/BgL_auxz00_3678); } 
{ /* Reduce/cse.scm 42 */
long BgL_restz00_2070;
{ /* Reduce/cse.scm 42 */
long BgL_auxz00_3683;
{ /* Reduce/cse.scm 42 */
int BgL_auxz00_3684;
BgL_auxz00_3684 = 
(int)(((long)8)); 
BgL_auxz00_3683 = 
(long)(BgL_auxz00_3684); } 
BgL_restz00_2070 = 
(BgL_offsetz00_2067%BgL_auxz00_3683); } 
{ /* Reduce/cse.scm 42 */

{ /* Reduce/cse.scm 42 */
obj_t BgL_bucketz00_2072;
{ /* Reduce/cse.scm 42 */
int BgL_kz00_2082;
BgL_kz00_2082 = 
(int)(BgL_modz00_2068); 
BgL_bucketz00_2072 = 
VECTOR_REF(BgL_arg1904z00_2063,BgL_kz00_2082); } 
{ /* Reduce/cse.scm 42 */
int BgL_kz00_2084;
BgL_kz00_2084 = 
(int)(BgL_restz00_2070); 
BgL_method2753z00_2060 = 
VECTOR_REF(BgL_bucketz00_2072,BgL_kz00_2084); } } } } } } } } 
BgL__z00_1289 = 
PROCEDURE_ENTRY(BgL_method2753z00_2060)(BgL_method2753z00_2060, 
(obj_t)(BgL_nodez00_2058), BNIL, BEOA); } } 
{ /* Reduce/cse.scm 41 */
obj_t BgL_nodez00_1290;
{ /* Reduce/cse.scm 41 */
int BgL_auxz00_3695;
BgL_auxz00_3695 = 
(int)(((long)1)); 
BgL_nodez00_1290 = 
BGL_GET_MVALUES_VAL(BgL_auxz00_3695); } 
BgL_arg2803z00_1288 = BgL_nodez00_1290; } } 
{ /* Reduce/cse.scm 41 */
BgL_sfunz00_bglt BgL_obj1375z00_2086;
BgL_obj1375z00_2086 = 
(BgL_sfunz00_bglt)(BgL_funz00_1286); 
((((BgL_sfunz00_bglt)CREF(BgL_obj1375z00_2086))->BgL_bodyz00) = ((obj_t)BgL_arg2803z00_1288), BUNSPEC); } } BUNSPEC; } } 
{ 
obj_t BgL_l2655z00_3700;
BgL_l2655z00_3700 = 
CDR(BgL_l2655z00_1282); 
BgL_l2655z00_1282 = BgL_l2655z00_3700; 
goto BgL_lname2656z00_1283;} }  else 
{ /* Reduce/cse.scm 38 */((bool_t)1); } } 
{ /* Reduce/cse.scm 46 */
obj_t BgL_list2816z00_1292;
{ /* Reduce/cse.scm 46 */
obj_t BgL_arg2819z00_1294;
{ /* Reduce/cse.scm 46 */
obj_t BgL_arg2822z00_1295;
{ /* Reduce/cse.scm 46 */
obj_t BgL_arg2825z00_1296;
{ /* Reduce/cse.scm 46 */
obj_t BgL_auxz00_3702;
BgL_auxz00_3702 = 
BCHAR(((unsigned char)'\n')); 
BgL_arg2825z00_1296 = 
MAKE_PAIR(BgL_auxz00_3702, BNIL); } 
{ /* Reduce/cse.scm 46 */
obj_t BgL_auxz00_3705;
BgL_auxz00_3705 = 
BCHAR(((unsigned char)')')); 
BgL_arg2822z00_1295 = 
MAKE_PAIR(BgL_auxz00_3705, BgL_arg2825z00_1296); } } 
{ /* Reduce/cse.scm 46 */
obj_t BgL_auxz00_3708;
BgL_auxz00_3708 = 
BINT(BGl_za2csezd2removedza2zd2zzreduce_csez00); 
BgL_arg2819z00_1294 = 
MAKE_PAIR(BgL_auxz00_3708, BgL_arg2822z00_1295); } } 
BgL_list2816z00_1292 = 
MAKE_PAIR(BGl_string4337z00zzreduce_csez00, BgL_arg2819z00_1294); } 
BGl_verbosez00zztools_speekz00(
BINT(((long)2)), BgL_list2816z00_1292); } 
return BgL_globalsz00_1;} 
}



/* _reduce-cse! */
obj_t BGl__reducezd2csez12zc0zzreduce_csez00(obj_t BgL_envz00_3527, obj_t BgL_globalsz00_3528)
{ AN_OBJECT;
{ /* Reduce/cse.scm 35 */
return 
BGl_reducezd2csez12zc0zzreduce_csez00(BgL_globalsz00_3528);} 
}



/* node-cse*! */
obj_t BGl_nodezd2cseza2z12z62zzreduce_csez00(obj_t BgL_nodeza2za2_48, obj_t BgL_stackz00_49)
{ AN_OBJECT;
{ /* Reduce/cse.scm 348 */
{ 
obj_t BgL_nodeza2za2_1297;bool_t BgL_resetz00_1298;obj_t BgL_stackz00_1299;
BgL_nodeza2za2_1297 = BgL_nodeza2za2_48; 
BgL_resetz00_1298 = ((bool_t)0); 
BgL_stackz00_1299 = BgL_stackz00_49; 
BgL_loopz00_1300:
if(
NULLP(BgL_nodeza2za2_1297))
{ /* Reduce/cse.scm 353 */
return 
BBOOL(BgL_resetz00_1298);}  else 
{ /* Reduce/cse.scm 355 */
bool_t BgL_testz00_3718;
{ /* Reduce/cse.scm 355 */
obj_t BgL_auxz00_3719;
BgL_auxz00_3719 = 
CDR(BgL_nodeza2za2_1297); 
BgL_testz00_3718 = 
NULLP(BgL_auxz00_3719); } 
if(BgL_testz00_3718)
{ /* Reduce/cse.scm 355 */
{ /* Reduce/cse.scm 356 */
obj_t BgL_resetz72z72_1303;
{ /* Reduce/cse.scm 357 */
BgL_nodez00_bglt BgL_nodez00_2093;
{ /* Reduce/cse.scm 357 */
obj_t BgL_auxz00_3722;
BgL_auxz00_3722 = 
CAR(BgL_nodeza2za2_1297); 
BgL_nodez00_2093 = 
(BgL_nodez00_bglt)(BgL_auxz00_3722); } 
{ /* Reduce/cse.scm 357 */
obj_t BgL_method2753z00_2095;
{ /* Reduce/cse.scm 357 */
long BgL_objzd2classzd2numz00_2097;
{ /* Reduce/cse.scm 357 */
BgL_objectz00_bglt BgL_auxz00_3725;
BgL_auxz00_3725 = 
(BgL_objectz00_bglt)(BgL_nodez00_2093); 
BgL_objzd2classzd2numz00_2097 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3725); } 
{ /* Reduce/cse.scm 357 */
obj_t BgL_arg1904z00_2098;
{ /* Reduce/cse.scm 357 */
int BgL_auxz00_3728;
BgL_auxz00_3728 = 
(int)(((long)1)); 
BgL_arg1904z00_2098 = 
PROCEDURE_REF(BGl_nodezd2csez12zd2envz12zzreduce_csez00, BgL_auxz00_3728); } 
{ /* Reduce/cse.scm 357 */
long BgL_offsetz00_2102;
{ /* Reduce/cse.scm 357 */
long BgL_auxz00_3731;
{ /* Reduce/cse.scm 357 */
int BgL_auxz00_3732;
BgL_auxz00_3732 = 
(int)(BgL_objzd2classzd2numz00_2097); 
BgL_auxz00_3731 = 
(long)(BgL_auxz00_3732); } 
BgL_offsetz00_2102 = 
(BgL_auxz00_3731-OBJECT_TYPE); } 
{ /* Reduce/cse.scm 357 */
long BgL_modz00_2103;
{ /* Reduce/cse.scm 357 */
long BgL_auxz00_3736;
{ /* Reduce/cse.scm 357 */
int BgL_auxz00_3737;
BgL_auxz00_3737 = 
(int)(((long)8)); 
BgL_auxz00_3736 = 
(long)(BgL_auxz00_3737); } 
BgL_modz00_2103 = 
(BgL_offsetz00_2102/BgL_auxz00_3736); } 
{ /* Reduce/cse.scm 357 */
long BgL_restz00_2105;
{ /* Reduce/cse.scm 357 */
long BgL_auxz00_3741;
{ /* Reduce/cse.scm 357 */
int BgL_auxz00_3742;
BgL_auxz00_3742 = 
(int)(((long)8)); 
BgL_auxz00_3741 = 
(long)(BgL_auxz00_3742); } 
BgL_restz00_2105 = 
(BgL_offsetz00_2102%BgL_auxz00_3741); } 
{ /* Reduce/cse.scm 357 */

{ /* Reduce/cse.scm 357 */
obj_t BgL_bucketz00_2107;
{ /* Reduce/cse.scm 357 */
int BgL_kz00_2117;
BgL_kz00_2117 = 
(int)(BgL_modz00_2103); 
BgL_bucketz00_2107 = 
VECTOR_REF(BgL_arg1904z00_2098,BgL_kz00_2117); } 
{ /* Reduce/cse.scm 357 */
int BgL_kz00_2119;
BgL_kz00_2119 = 
(int)(BgL_restz00_2105); 
BgL_method2753z00_2095 = 
VECTOR_REF(BgL_bucketz00_2107,BgL_kz00_2119); } } } } } } } } 
BgL_resetz72z72_1303 = 
PROCEDURE_ENTRY(BgL_method2753z00_2095)(BgL_method2753z00_2095, 
(obj_t)(BgL_nodez00_2093), BgL_stackz00_1299, BEOA); } } 
{ /* Reduce/cse.scm 358 */
obj_t BgL_nodez00_1304;
{ /* Reduce/cse.scm 358 */
int BgL_auxz00_3753;
BgL_auxz00_3753 = 
(int)(((long)1)); 
BgL_nodez00_1304 = 
BGL_GET_MVALUES_VAL(BgL_auxz00_3753); } 
SET_CAR(BgL_nodeza2za2_1297, BgL_nodez00_1304); 
if(BgL_resetz00_1298)
{ /* Reduce/cse.scm 359 */
return 
BBOOL(BgL_resetz00_1298);}  else 
{ /* Reduce/cse.scm 359 */
return BgL_resetz72z72_1303;} } } }  else 
{ /* Reduce/cse.scm 355 */
{ /* Reduce/cse.scm 361 */
obj_t BgL_resetz72z72_1307;
{ /* Reduce/cse.scm 362 */
BgL_nodez00_bglt BgL_nodez00_2124;
{ /* Reduce/cse.scm 362 */
obj_t BgL_auxz00_3759;
BgL_auxz00_3759 = 
CAR(BgL_nodeza2za2_1297); 
BgL_nodez00_2124 = 
(BgL_nodez00_bglt)(BgL_auxz00_3759); } 
{ /* Reduce/cse.scm 362 */
obj_t BgL_method2753z00_2126;
{ /* Reduce/cse.scm 362 */
long BgL_objzd2classzd2numz00_2128;
{ /* Reduce/cse.scm 362 */
BgL_objectz00_bglt BgL_auxz00_3762;
BgL_auxz00_3762 = 
(BgL_objectz00_bglt)(BgL_nodez00_2124); 
BgL_objzd2classzd2numz00_2128 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3762); } 
{ /* Reduce/cse.scm 362 */
obj_t BgL_arg1904z00_2129;
{ /* Reduce/cse.scm 362 */
int BgL_auxz00_3765;
BgL_auxz00_3765 = 
(int)(((long)1)); 
BgL_arg1904z00_2129 = 
PROCEDURE_REF(BGl_nodezd2csez12zd2envz12zzreduce_csez00, BgL_auxz00_3765); } 
{ /* Reduce/cse.scm 362 */
long BgL_offsetz00_2133;
{ /* Reduce/cse.scm 362 */
long BgL_auxz00_3768;
{ /* Reduce/cse.scm 362 */
int BgL_auxz00_3769;
BgL_auxz00_3769 = 
(int)(BgL_objzd2classzd2numz00_2128); 
BgL_auxz00_3768 = 
(long)(BgL_auxz00_3769); } 
BgL_offsetz00_2133 = 
(BgL_auxz00_3768-OBJECT_TYPE); } 
{ /* Reduce/cse.scm 362 */
long BgL_modz00_2134;
{ /* Reduce/cse.scm 362 */
long BgL_auxz00_3773;
{ /* Reduce/cse.scm 362 */
int BgL_auxz00_3774;
BgL_auxz00_3774 = 
(int)(((long)8)); 
BgL_auxz00_3773 = 
(long)(BgL_auxz00_3774); } 
BgL_modz00_2134 = 
(BgL_offsetz00_2133/BgL_auxz00_3773); } 
{ /* Reduce/cse.scm 362 */
long BgL_restz00_2136;
{ /* Reduce/cse.scm 362 */
long BgL_auxz00_3778;
{ /* Reduce/cse.scm 362 */
int BgL_auxz00_3779;
BgL_auxz00_3779 = 
(int)(((long)8)); 
BgL_auxz00_3778 = 
(long)(BgL_auxz00_3779); } 
BgL_restz00_2136 = 
(BgL_offsetz00_2133%BgL_auxz00_3778); } 
{ /* Reduce/cse.scm 362 */

{ /* Reduce/cse.scm 362 */
obj_t BgL_bucketz00_2138;
{ /* Reduce/cse.scm 362 */
int BgL_kz00_2148;
BgL_kz00_2148 = 
(int)(BgL_modz00_2134); 
BgL_bucketz00_2138 = 
VECTOR_REF(BgL_arg1904z00_2129,BgL_kz00_2148); } 
{ /* Reduce/cse.scm 362 */
int BgL_kz00_2150;
BgL_kz00_2150 = 
(int)(BgL_restz00_2136); 
BgL_method2753z00_2126 = 
VECTOR_REF(BgL_bucketz00_2138,BgL_kz00_2150); } } } } } } } } 
BgL_resetz72z72_1307 = 
PROCEDURE_ENTRY(BgL_method2753z00_2126)(BgL_method2753z00_2126, 
(obj_t)(BgL_nodez00_2124), BgL_stackz00_1299, BEOA); } } 
{ /* Reduce/cse.scm 363 */
obj_t BgL_nodez00_1308;
{ /* Reduce/cse.scm 363 */
int BgL_auxz00_3790;
BgL_auxz00_3790 = 
(int)(((long)1)); 
BgL_nodez00_1308 = 
BGL_GET_MVALUES_VAL(BgL_auxz00_3790); } 
SET_CAR(BgL_nodeza2za2_1297, BgL_nodez00_1308); 
{ /* Reduce/cse.scm 364 */
bool_t BgL_testz00_3794;
if(BgL_resetz00_1298)
{ /* Reduce/cse.scm 364 */
BgL_testz00_3794 = ((bool_t)1)
; }  else 
{ /* Reduce/cse.scm 364 */
BgL_testz00_3794 = 
CBOOL(BgL_resetz72z72_1307)
; } 
if(BgL_testz00_3794)
{ 
obj_t BgL_stackz00_3800;bool_t BgL_resetz00_3799;obj_t BgL_nodeza2za2_3797;
BgL_nodeza2za2_3797 = 
CDR(BgL_nodeza2za2_1297); 
BgL_resetz00_3799 = ((bool_t)1); 
BgL_stackz00_3800 = BNIL; 
BgL_stackz00_1299 = BgL_stackz00_3800; 
BgL_resetz00_1298 = BgL_resetz00_3799; 
BgL_nodeza2za2_1297 = BgL_nodeza2za2_3797; 
goto BgL_loopz00_1300;}  else 
{ 
bool_t BgL_resetz00_3803;obj_t BgL_nodeza2za2_3801;
BgL_nodeza2za2_3801 = 
CDR(BgL_nodeza2za2_1297); 
BgL_resetz00_3803 = ((bool_t)0); 
BgL_resetz00_1298 = BgL_resetz00_3803; 
BgL_nodeza2za2_1297 = BgL_nodeza2za2_3801; 
goto BgL_loopz00_1300;} } } } } } } } 
}



/* find-stack */
obj_t BGl_findzd2stackzd2zzreduce_csez00(BgL_nodez00_bglt BgL_nodez00_60, obj_t BgL_stackz00_61)
{ AN_OBJECT;
{ /* Reduce/cse.scm 380 */
{ 
obj_t BgL_stackz00_1325;
BgL_stackz00_1325 = BgL_stackz00_61; 
BgL_loopz00_1326:
if(
NULLP(BgL_stackz00_1325))
{ /* Reduce/cse.scm 384 */
return BFALSE;}  else 
{ /* Reduce/cse.scm 386 */
bool_t BgL_test2890z00_1328;
{ /* Reduce/cse.scm 386 */
BgL_nodez00_bglt BgL_auxz00_3806;
{ /* Reduce/cse.scm 386 */
obj_t BgL_auxz00_3807;
{ /* Reduce/cse.scm 386 */
int BgL_auxz00_3810;obj_t BgL_auxz00_3808;
BgL_auxz00_3810 = 
(int)(((long)0)); 
BgL_auxz00_3808 = 
CAR(BgL_stackz00_1325); 
BgL_auxz00_3807 = 
STRUCT_REF(BgL_auxz00_3808, BgL_auxz00_3810); } 
BgL_auxz00_3806 = 
(BgL_nodez00_bglt)(BgL_auxz00_3807); } 
BgL_test2890z00_1328 = 
BGl_samezd2nodezf3z21zzreduce_samez00(BgL_nodez00_60, BgL_auxz00_3806, BNIL); } 
if(BgL_test2890z00_1328)
{ /* Reduce/cse.scm 386 */
{ /* Reduce/cse.scm 387 */
int BgL_auxz00_3818;obj_t BgL_auxz00_3816;
BgL_auxz00_3818 = 
(int)(((long)1)); 
BgL_auxz00_3816 = 
CAR(BgL_stackz00_1325); 
return 
STRUCT_REF(BgL_auxz00_3816, BgL_auxz00_3818);} }  else 
{ /* Reduce/cse.scm 386 */
{ 
obj_t BgL_stackz00_3821;
BgL_stackz00_3821 = 
CDR(BgL_stackz00_1325); 
BgL_stackz00_1325 = BgL_stackz00_3821; 
goto BgL_loopz00_1326;} } } } } 
}



/* method-init */
obj_t BGl_methodzd2initzd2zzreduce_csez00()
{ AN_OBJECT;
{ /* Reduce/cse.scm 15 */
BGl_addzd2genericz12zc0zz__objectz00(BGl_nodezd2csez12zd2envz12zzreduce_csez00, BGl_nodezd2csez12zd2default2752zd2envzc0zzreduce_csez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd2csez12zd2envz12zzreduce_csez00, BGl_atomz00zzast_nodez00, BGl_proc4338z00zzreduce_csez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd2csez12zd2envz12zzreduce_csez00, BGl_kwotez00zzast_nodez00, BGl_proc4339z00zzreduce_csez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd2csez12zd2envz12zzreduce_csez00, BGl_varz00zzast_nodez00, BGl_proc4340z00zzreduce_csez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd2csez12zd2envz12zzreduce_csez00, BGl_closurez00zzast_nodez00, BGl_proc4341z00zzreduce_csez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd2csez12zd2envz12zzreduce_csez00, BGl_sequencez00zzast_nodez00, BGl_proc4342z00zzreduce_csez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd2csez12zd2envz12zzreduce_csez00, BGl_appzd2lyzd2zzast_nodez00, BGl_proc4343z00zzreduce_csez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd2csez12zd2envz12zzreduce_csez00, BGl_funcallz00zzast_nodez00, BGl_proc4344z00zzreduce_csez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd2csez12zd2envz12zzreduce_csez00, BGl_externz00zzast_nodez00, BGl_proc4345z00zzreduce_csez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd2csez12zd2envz12zzreduce_csez00, BGl_castz00zzast_nodez00, BGl_proc4346z00zzreduce_csez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd2csez12zd2envz12zzreduce_csez00, BGl_setqz00zzast_nodez00, BGl_proc4347z00zzreduce_csez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd2csez12zd2envz12zzreduce_csez00, BGl_conditionalz00zzast_nodez00, BGl_proc4348z00zzreduce_csez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd2csez12zd2envz12zzreduce_csez00, BGl_failz00zzast_nodez00, BGl_proc4349z00zzreduce_csez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd2csez12zd2envz12zzreduce_csez00, BGl_selectz00zzast_nodez00, BGl_proc4350z00zzreduce_csez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd2csez12zd2envz12zzreduce_csez00, BGl_letzd2funzd2zzast_nodez00, BGl_proc4351z00zzreduce_csez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd2csez12zd2envz12zzreduce_csez00, BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc4352z00zzreduce_csez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd2csez12zd2envz12zzreduce_csez00, BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc4353z00zzreduce_csez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd2csez12zd2envz12zzreduce_csez00, BGl_makezd2boxzd2zzast_nodez00, BGl_proc4354z00zzreduce_csez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd2csez12zd2envz12zzreduce_csez00, BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc4355z00zzreduce_csez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd2csez12zd2envz12zzreduce_csez00, BGl_boxzd2refzd2zzast_nodez00, BGl_proc4356z00zzreduce_csez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd2csez12zd2envz12zzreduce_csez00, BGl_appz00zzast_nodez00, BGl_proc4357z00zzreduce_csez00); 
return 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd2csez12zd2envz12zzreduce_csez00, BGl_letzd2varzd2zzast_nodez00, BGl_proc4358z00zzreduce_csez00);} 
}



/* node-cse!-let-var2795 */
obj_t BGl_nodezd2csez12zd2letzd2var2795zc0zzreduce_csez00(obj_t BgL_envz00_3553, obj_t BgL_nodez00_3554, obj_t BgL_stackz00_3555)
{ AN_OBJECT;
{ /* Reduce/cse.scm 293 */
{ 
BgL_letzd2varzd2_bglt BgL_nodez00_2001;obj_t BgL_stackz00_2002;
BgL_nodez00_2001 = 
(BgL_letzd2varzd2_bglt)(BgL_nodez00_3554); 
BgL_stackz00_2002 = BgL_stackz00_3555; 
{ 
obj_t BgL_bindingsz00_2006;bool_t BgL_resetz00_2007;obj_t BgL_extendz00_2008;
BgL_bindingsz00_2006 = 
(((BgL_letzd2varzd2_bglt)CREF(BgL_nodez00_2001))->BgL_bindingsz00); 
BgL_resetz00_2007 = ((bool_t)0); 
BgL_extendz00_2008 = BNIL; 
BgL_loopz00_2009:
if(
NULLP(BgL_bindingsz00_2006))
{ /* Reduce/cse.scm 299 */
obj_t BgL_stackz72z72_2013;
if(BgL_resetz00_2007)
{ /* Reduce/cse.scm 299 */
BgL_stackz72z72_2013 = BNIL; }  else 
{ /* Reduce/cse.scm 299 */
BgL_stackz72z72_2013 = 
bgl_append2(BgL_extendz00_2008, BgL_stackz00_2002); } 
{ /* Reduce/cse.scm 300 */
obj_t BgL_resetz72z72_2014;
{ /* Reduce/cse.scm 301 */
BgL_nodez00_bglt BgL_arg3674z00_2031;
BgL_arg3674z00_2031 = 
(((BgL_letzd2varzd2_bglt)CREF(BgL_nodez00_2001))->BgL_bodyz00); 
{ /* Reduce/cse.scm 301 */
obj_t BgL_method2753z00_3382;
{ /* Reduce/cse.scm 301 */
long BgL_objzd2classzd2numz00_3384;
{ /* Reduce/cse.scm 301 */
BgL_objectz00_bglt BgL_auxz00_3850;
BgL_auxz00_3850 = 
(BgL_objectz00_bglt)(BgL_arg3674z00_2031); 
BgL_objzd2classzd2numz00_3384 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3850); } 
{ /* Reduce/cse.scm 301 */
obj_t BgL_arg1904z00_3385;
{ /* Reduce/cse.scm 301 */
int BgL_auxz00_3853;
BgL_auxz00_3853 = 
(int)(((long)1)); 
BgL_arg1904z00_3385 = 
PROCEDURE_REF(BGl_nodezd2csez12zd2envz12zzreduce_csez00, BgL_auxz00_3853); } 
{ /* Reduce/cse.scm 301 */
long BgL_offsetz00_3389;
{ /* Reduce/cse.scm 301 */
long BgL_auxz00_3856;
{ /* Reduce/cse.scm 301 */
int BgL_auxz00_3857;
BgL_auxz00_3857 = 
(int)(BgL_objzd2classzd2numz00_3384); 
BgL_auxz00_3856 = 
(long)(BgL_auxz00_3857); } 
BgL_offsetz00_3389 = 
(BgL_auxz00_3856-OBJECT_TYPE); } 
{ /* Reduce/cse.scm 301 */
long BgL_modz00_3390;
{ /* Reduce/cse.scm 301 */
long BgL_auxz00_3861;
{ /* Reduce/cse.scm 301 */
int BgL_auxz00_3862;
BgL_auxz00_3862 = 
(int)(((long)8)); 
BgL_auxz00_3861 = 
(long)(BgL_auxz00_3862); } 
BgL_modz00_3390 = 
(BgL_offsetz00_3389/BgL_auxz00_3861); } 
{ /* Reduce/cse.scm 301 */
long BgL_restz00_3392;
{ /* Reduce/cse.scm 301 */
long BgL_auxz00_3866;
{ /* Reduce/cse.scm 301 */
int BgL_auxz00_3867;
BgL_auxz00_3867 = 
(int)(((long)8)); 
BgL_auxz00_3866 = 
(long)(BgL_auxz00_3867); } 
BgL_restz00_3392 = 
(BgL_offsetz00_3389%BgL_auxz00_3866); } 
{ /* Reduce/cse.scm 301 */

{ /* Reduce/cse.scm 301 */
obj_t BgL_bucketz00_3394;
{ /* Reduce/cse.scm 301 */
int BgL_kz00_3404;
BgL_kz00_3404 = 
(int)(BgL_modz00_3390); 
BgL_bucketz00_3394 = 
VECTOR_REF(BgL_arg1904z00_3385,BgL_kz00_3404); } 
{ /* Reduce/cse.scm 301 */
int BgL_kz00_3406;
BgL_kz00_3406 = 
(int)(BgL_restz00_3392); 
BgL_method2753z00_3382 = 
VECTOR_REF(BgL_bucketz00_3394,BgL_kz00_3406); } } } } } } } } 
BgL_resetz72z72_2014 = 
PROCEDURE_ENTRY(BgL_method2753z00_3382)(BgL_method2753z00_3382, 
(obj_t)(BgL_arg3674z00_2031), BgL_stackz72z72_2013, BEOA); } } 
{ /* Reduce/cse.scm 302 */
obj_t BgL_nbodyz00_2015;
{ /* Reduce/cse.scm 302 */
int BgL_auxz00_3878;
BgL_auxz00_3878 = 
(int)(((long)1)); 
BgL_nbodyz00_2015 = 
BGL_GET_MVALUES_VAL(BgL_auxz00_3878); } 
{ /* Reduce/cse.scm 302 */
BgL_nodez00_bglt BgL_val2471z00_3409;
BgL_val2471z00_3409 = 
(BgL_nodez00_bglt)(BgL_nbodyz00_2015); 
((((BgL_letzd2varzd2_bglt)CREF(BgL_nodez00_2001))->BgL_bodyz00) = ((BgL_nodez00_bglt)BgL_val2471z00_3409), BUNSPEC); } 
{ /* Reduce/cse.scm 304 */
bool_t BgL_testz00_3883;
if(BgL_resetz00_2007)
{ /* Reduce/cse.scm 304 */
BgL_testz00_3883 = ((bool_t)1)
; }  else 
{ /* Reduce/cse.scm 304 */
BgL_testz00_3883 = 
CBOOL(BgL_resetz72z72_2014)
; } 
if(BgL_testz00_3883)
{ /* Reduce/cse.scm 304 */
{ /* Reduce/cse.scm 305 */
int BgL_auxz00_3886;
BgL_auxz00_3886 = 
(int)(((long)2)); 
BGL_SET_MVALUES_NUMBER(BgL_auxz00_3886); } 
{ /* Reduce/cse.scm 305 */
obj_t BgL_auxz00_3891;int BgL_auxz00_3889;
BgL_auxz00_3891 = 
(obj_t)(BgL_nodez00_2001); 
BgL_auxz00_3889 = 
(int)(((long)1)); 
BGL_SET_MVALUES_VAL(BgL_auxz00_3889, BgL_auxz00_3891); } 
return BTRUE;}  else 
{ /* Reduce/cse.scm 306 */
bool_t BgL_test3653z00_2019;
BgL_test3653z00_2019 = 
BGl_sidezd2effectzf3z21zzeffect_effectz00(
(BgL_nodez00_bglt)(BgL_nodez00_2001)); 
if(BgL_test3653z00_2019)
{ /* Reduce/cse.scm 306 */
{ /* Reduce/cse.scm 307 */
int BgL_auxz00_3897;
BgL_auxz00_3897 = 
(int)(((long)2)); 
BGL_SET_MVALUES_NUMBER(BgL_auxz00_3897); } 
{ /* Reduce/cse.scm 307 */
obj_t BgL_auxz00_3902;int BgL_auxz00_3900;
BgL_auxz00_3902 = 
(obj_t)(BgL_nodez00_2001); 
BgL_auxz00_3900 = 
(int)(((long)1)); 
BGL_SET_MVALUES_VAL(BgL_auxz00_3900, BgL_auxz00_3902); } 
return BFALSE;}  else 
{ /* Reduce/cse.scm 306 */
{ /* Reduce/cse.scm 309 */
obj_t BgL_previousz00_2022;
BgL_previousz00_2022 = 
BGl_findzd2stackzd2zzreduce_csez00(
(BgL_nodez00_bglt)(BgL_nodez00_2001), BgL_stackz00_2002); 
{ /* Reduce/cse.scm 311 */
bool_t BgL_test3656z00_2023;
BgL_test3656z00_2023 = 
BGl_iszd2azf3z21zz__objectz00(BgL_previousz00_2022, BGl_variablez00zzast_varz00); 
if(BgL_test3656z00_2023)
{ /* Reduce/cse.scm 311 */
{ /* Reduce/cse.scm 312 */
long BgL_za72za7_3418;
BgL_za72za7_3418 = BGl_za2csezd2removedza2zd2zzreduce_csez00; 
BGl_za2csezd2removedza2zd2zzreduce_csez00 = 
(((long)1)+BgL_za72za7_3418); } 
{ /* Reduce/cse.scm 315 */
BgL_varz00_bglt BgL_val1_2747z00_2025;
{ /* Reduce/cse.scm 316 */
obj_t BgL_arg3661z00_2026;BgL_typez00_bglt BgL_arg3662z00_2027;
BgL_arg3661z00_2026 = 
(((BgL_letzd2varzd2_bglt)CREF(BgL_nodez00_2001))->BgL_locz00); 
BgL_arg3662z00_2027 = 
(((BgL_letzd2varzd2_bglt)CREF(BgL_nodez00_2001))->BgL_typez00); 
{ /* Reduce/cse.scm 315 */
BgL_varz00_bglt BgL_res3794z00_3439;
{ /* Reduce/cse.scm 315 */
BgL_variablez00_bglt BgL_variable1633z00_3423;
{ /* Reduce/cse.scm 318 */
obj_t BgL_auxz00_3912;
BgL_auxz00_3912 = BgL_previousz00_2022; 
BgL_variable1633z00_3423 = 
(BgL_variablez00_bglt)(BgL_auxz00_3912); } 
{ /* Reduce/cse.scm 315 */
BgL_varz00_bglt BgL_new1634z00_3424;
{ /* Reduce/cse.scm 315 */
BgL_varz00_bglt BgL_res3792z00_3430;
{ /* Reduce/cse.scm 315 */
BgL_varz00_bglt BgL_new1636z00_3425;
BgL_new1636z00_3425 = 
((BgL_varz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_varz00_bgl) ))); 
{ /* Reduce/cse.scm 315 */
long BgL_arg3164z00_3426;
BgL_arg3164z00_3426 = 
BGl_classzd2numzd2zz__objectz00(BGl_varz00zzast_nodez00); 
{ /* Reduce/cse.scm 315 */
BgL_objectz00_bglt BgL_auxz00_3916;
BgL_auxz00_3916 = 
(BgL_objectz00_bglt)(BgL_new1636z00_3425); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_3916, BgL_arg3164z00_3426); } } 
{ /* Reduce/cse.scm 315 */
BgL_objectz00_bglt BgL_auxz00_3919;
BgL_auxz00_3919 = 
(BgL_objectz00_bglt)(BgL_new1636z00_3425); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_3919, BFALSE); } 
{ /* Reduce/cse.scm 315 */
obj_t BgL_auxz00_3922;
BgL_auxz00_3922 = 
(obj_t)(BgL_new1636z00_3425); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_3922); } BUNSPEC; 
BgL_res3792z00_3430 = BgL_new1636z00_3425; } 
BgL_new1634z00_3424 = BgL_res3792z00_3430; } 
{ /* Reduce/cse.scm 315 */
BgL_varz00_bglt BgL_res3793z00_3438;
((((BgL_varz00_bglt)CREF(BgL_new1634z00_3424))->BgL_locz00) = ((obj_t)BgL_arg3661z00_2026), BUNSPEC); 
((((BgL_varz00_bglt)CREF(BgL_new1634z00_3424))->BgL_typez00) = ((BgL_typez00_bglt)BgL_arg3662z00_2027), BUNSPEC); 
((((BgL_varz00_bglt)CREF(BgL_new1634z00_3424))->BgL_variablez00) = ((BgL_variablez00_bglt)BgL_variable1633z00_3423), BUNSPEC); 
BgL_res3793z00_3438 = BgL_new1634z00_3424; BgL_res3793z00_3438; } 
BgL_res3794z00_3439 = BgL_new1634z00_3424; } } 
BgL_val1_2747z00_2025 = BgL_res3794z00_3439; } } 
{ /* Reduce/cse.scm 315 */
int BgL_auxz00_3928;
BgL_auxz00_3928 = 
(int)(((long)2)); 
BGL_SET_MVALUES_NUMBER(BgL_auxz00_3928); } 
{ /* Reduce/cse.scm 315 */
obj_t BgL_auxz00_3933;int BgL_auxz00_3931;
BgL_auxz00_3933 = 
(obj_t)(BgL_val1_2747z00_2025); 
BgL_auxz00_3931 = 
(int)(((long)1)); 
BGL_SET_MVALUES_VAL(BgL_auxz00_3931, BgL_auxz00_3933); } 
return BgL_stackz72z72_2013;} }  else 
{ /* Reduce/cse.scm 311 */
{ /* Reduce/cse.scm 320 */
int BgL_auxz00_3936;
BgL_auxz00_3936 = 
(int)(((long)2)); 
BGL_SET_MVALUES_NUMBER(BgL_auxz00_3936); } 
{ /* Reduce/cse.scm 320 */
obj_t BgL_auxz00_3941;int BgL_auxz00_3939;
BgL_auxz00_3941 = 
(obj_t)(BgL_nodez00_2001); 
BgL_auxz00_3939 = 
(int)(((long)1)); 
BGL_SET_MVALUES_VAL(BgL_auxz00_3939, BgL_auxz00_3941); } 
return BFALSE;} } } } } } } } }  else 
{ /* Reduce/cse.scm 321 */
obj_t BgL_bindingz00_2032;
BgL_bindingz00_2032 = 
CAR(BgL_bindingsz00_2006); 
{ /* Reduce/cse.scm 322 */
obj_t BgL_varz00_2033;obj_t BgL_valz00_2034;
BgL_varz00_2033 = 
CAR(BgL_bindingz00_2032); 
BgL_valz00_2034 = 
CDR(BgL_bindingz00_2032); 
{ /* Reduce/cse.scm 324 */
obj_t BgL_resetz72z72_2035;
{ /* Reduce/cse.scm 325 */
BgL_nodez00_bglt BgL_nodez00_3449;
BgL_nodez00_3449 = 
(BgL_nodez00_bglt)(BgL_valz00_2034); 
{ /* Reduce/cse.scm 325 */
obj_t BgL_method2753z00_3451;
{ /* Reduce/cse.scm 325 */
long BgL_objzd2classzd2numz00_3453;
{ /* Reduce/cse.scm 325 */
BgL_objectz00_bglt BgL_auxz00_3948;
BgL_auxz00_3948 = 
(BgL_objectz00_bglt)(BgL_nodez00_3449); 
BgL_objzd2classzd2numz00_3453 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3948); } 
{ /* Reduce/cse.scm 325 */
obj_t BgL_arg1904z00_3454;
{ /* Reduce/cse.scm 325 */
int BgL_auxz00_3951;
BgL_auxz00_3951 = 
(int)(((long)1)); 
BgL_arg1904z00_3454 = 
PROCEDURE_REF(BGl_nodezd2csez12zd2envz12zzreduce_csez00, BgL_auxz00_3951); } 
{ /* Reduce/cse.scm 325 */
long BgL_offsetz00_3458;
{ /* Reduce/cse.scm 325 */
long BgL_auxz00_3954;
{ /* Reduce/cse.scm 325 */
int BgL_auxz00_3955;
BgL_auxz00_3955 = 
(int)(BgL_objzd2classzd2numz00_3453); 
BgL_auxz00_3954 = 
(long)(BgL_auxz00_3955); } 
BgL_offsetz00_3458 = 
(BgL_auxz00_3954-OBJECT_TYPE); } 
{ /* Reduce/cse.scm 325 */
long BgL_modz00_3459;
{ /* Reduce/cse.scm 325 */
long BgL_auxz00_3959;
{ /* Reduce/cse.scm 325 */
int BgL_auxz00_3960;
BgL_auxz00_3960 = 
(int)(((long)8)); 
BgL_auxz00_3959 = 
(long)(BgL_auxz00_3960); } 
BgL_modz00_3459 = 
(BgL_offsetz00_3458/BgL_auxz00_3959); } 
{ /* Reduce/cse.scm 325 */
long BgL_restz00_3461;
{ /* Reduce/cse.scm 325 */
long BgL_auxz00_3964;
{ /* Reduce/cse.scm 325 */
int BgL_auxz00_3965;
BgL_auxz00_3965 = 
(int)(((long)8)); 
BgL_auxz00_3964 = 
(long)(BgL_auxz00_3965); } 
BgL_restz00_3461 = 
(BgL_offsetz00_3458%BgL_auxz00_3964); } 
{ /* Reduce/cse.scm 325 */

{ /* Reduce/cse.scm 325 */
obj_t BgL_bucketz00_3463;
{ /* Reduce/cse.scm 325 */
int BgL_kz00_3473;
BgL_kz00_3473 = 
(int)(BgL_modz00_3459); 
BgL_bucketz00_3463 = 
VECTOR_REF(BgL_arg1904z00_3454,BgL_kz00_3473); } 
{ /* Reduce/cse.scm 325 */
int BgL_kz00_3475;
BgL_kz00_3475 = 
(int)(BgL_restz00_3461); 
BgL_method2753z00_3451 = 
VECTOR_REF(BgL_bucketz00_3463,BgL_kz00_3475); } } } } } } } } 
BgL_resetz72z72_2035 = 
PROCEDURE_ENTRY(BgL_method2753z00_3451)(BgL_method2753z00_3451, 
(obj_t)(BgL_nodez00_3449), BgL_stackz00_2002, BEOA); } } 
{ /* Reduce/cse.scm 326 */
obj_t BgL_nvalz00_2036;
{ /* Reduce/cse.scm 326 */
int BgL_auxz00_3976;
BgL_auxz00_3976 = 
(int)(((long)1)); 
BgL_nvalz00_2036 = 
BGL_GET_MVALUES_VAL(BgL_auxz00_3976); } 
SET_CDR(BgL_bindingz00_2032, BgL_nvalz00_2036); 
{ /* Reduce/cse.scm 328 */
bool_t BgL_testz00_3980;
if(BgL_resetz00_2007)
{ /* Reduce/cse.scm 328 */
BgL_testz00_3980 = ((bool_t)1)
; }  else 
{ /* Reduce/cse.scm 328 */
BgL_testz00_3980 = 
CBOOL(BgL_resetz72z72_2035)
; } 
if(BgL_testz00_3980)
{ /* Reduce/cse.scm 328 */
{ 
obj_t BgL_extendz00_3986;bool_t BgL_resetz00_3985;obj_t BgL_bindingsz00_3983;
BgL_bindingsz00_3983 = 
CDR(BgL_bindingsz00_2006); 
BgL_resetz00_3985 = ((bool_t)1); 
BgL_extendz00_3986 = BNIL; 
BgL_extendz00_2008 = BgL_extendz00_3986; 
BgL_resetz00_2007 = BgL_resetz00_3985; 
BgL_bindingsz00_2006 = BgL_bindingsz00_3983; 
goto BgL_loopz00_2009;} }  else 
{ /* Reduce/cse.scm 332 */
bool_t BgL_testz00_3987;
{ /* Reduce/cse.scm 332 */
obj_t BgL_auxz00_3991;obj_t BgL_auxz00_3988;
BgL_auxz00_3991 = 
CNST_TABLE_REF(((long)0)); 
{ /* Reduce/cse.scm 332 */
BgL_localz00_bglt BgL_obj1259z00_3480;
BgL_obj1259z00_3480 = 
(BgL_localz00_bglt)(BgL_varz00_2033); 
BgL_auxz00_3988 = 
(((BgL_localz00_bglt)CREF(BgL_obj1259z00_3480))->BgL_accessz00); } 
BgL_testz00_3987 = 
(BgL_auxz00_3988==BgL_auxz00_3991); } 
if(BgL_testz00_3987)
{ /* Reduce/cse.scm 336 */
bool_t BgL_test3687z00_2041;
{ /* Reduce/cse.scm 336 */
bool_t BgL_test3701z00_2046;
BgL_test3701z00_2046 = 
BGl_iszd2azf3z21zz__objectz00(BgL_valz00_2034, BGl_appz00zzast_nodez00); 
if(BgL_test3701z00_2046)
{ /* Reduce/cse.scm 336 */
BgL_test3687z00_2041 = ((bool_t)1); }  else 
{ /* Reduce/cse.scm 336 */
BgL_test3687z00_2041 = 
BGl_iszd2azf3z21zz__objectz00(BgL_valz00_2034, BGl_letzd2varzd2zzast_nodez00); } } 
if(BgL_test3687z00_2041)
{ /* Reduce/cse.scm 336 */
{ /* Reduce/cse.scm 337 */
obj_t BgL_arg3689z00_2042;obj_t BgL_arg3690z00_2043;
BgL_arg3689z00_2042 = 
CDR(BgL_bindingsz00_2006); 
{ /* Reduce/cse.scm 339 */
obj_t BgL_arg3694z00_2044;
{ /* Reduce/cse.scm 339 */
obj_t BgL_newz00_3486;
{ /* Reduce/cse.scm 339 */
int BgL_auxz00_4001;obj_t BgL_auxz00_3999;
BgL_auxz00_4001 = 
(int)(((long)2)); 
BgL_auxz00_3999 = 
CNST_TABLE_REF(((long)1)); 
BgL_newz00_3486 = 
create_struct(BgL_auxz00_3999, BgL_auxz00_4001); } 
{ /* Reduce/cse.scm 339 */
int BgL_auxz00_4004;
BgL_auxz00_4004 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_3486, BgL_auxz00_4004, BgL_varz00_2033); } 
{ /* Reduce/cse.scm 339 */
int BgL_auxz00_4007;
BgL_auxz00_4007 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_3486, BgL_auxz00_4007, BgL_valz00_2034); } 
BgL_arg3694z00_2044 = BgL_newz00_3486; } 
BgL_arg3690z00_2043 = 
MAKE_PAIR(BgL_arg3694z00_2044, BgL_extendz00_2008); } 
{ 
obj_t BgL_extendz00_4013;bool_t BgL_resetz00_4012;obj_t BgL_bindingsz00_4011;
BgL_bindingsz00_4011 = BgL_arg3689z00_2042; 
BgL_resetz00_4012 = ((bool_t)0); 
BgL_extendz00_4013 = BgL_arg3690z00_2043; 
BgL_extendz00_2008 = BgL_extendz00_4013; 
BgL_resetz00_2007 = BgL_resetz00_4012; 
BgL_bindingsz00_2006 = BgL_bindingsz00_4011; 
goto BgL_loopz00_2009;} } }  else 
{ /* Reduce/cse.scm 336 */
{ 
bool_t BgL_resetz00_4016;obj_t BgL_bindingsz00_4014;
BgL_bindingsz00_4014 = 
CDR(BgL_bindingsz00_2006); 
BgL_resetz00_4016 = ((bool_t)0); 
BgL_resetz00_2007 = BgL_resetz00_4016; 
BgL_bindingsz00_2006 = BgL_bindingsz00_4014; 
goto BgL_loopz00_2009;} } }  else 
{ /* Reduce/cse.scm 332 */
{ 
bool_t BgL_resetz00_4019;obj_t BgL_bindingsz00_4017;
BgL_bindingsz00_4017 = 
CDR(BgL_bindingsz00_2006); 
BgL_resetz00_4019 = ((bool_t)0); 
BgL_resetz00_2007 = BgL_resetz00_4019; 
BgL_bindingsz00_2006 = BgL_bindingsz00_4017; 
goto BgL_loopz00_2009;} } } } } } } } } } } 
}



/* node-cse!-app2793 */
obj_t BGl_nodezd2csez12zd2app2793z12zzreduce_csez00(obj_t BgL_envz00_3556, obj_t BgL_nodez00_3557, obj_t BgL_stackz00_3558)
{ AN_OBJECT;
{ /* Reduce/cse.scm 267 */
{ 
BgL_appz00_bglt BgL_nodez00_1980;obj_t BgL_stackz00_1981;
BgL_nodez00_1980 = 
(BgL_appz00_bglt)(BgL_nodez00_3557); 
BgL_stackz00_1981 = BgL_stackz00_3558; 
{ /* Reduce/cse.scm 269 */
obj_t BgL_resetz00_1985;
BgL_resetz00_1985 = 
BGl_nodezd2cseza2z12z62zzreduce_csez00(
(((BgL_appz00_bglt)CREF(BgL_nodez00_1980))->BgL_argsz00), BgL_stackz00_1981); 
{ /* Reduce/cse.scm 270 */
bool_t BgL_test3614z00_1986;
if(
CBOOL(BgL_resetz00_1985))
{ /* Reduce/cse.scm 270 */
BgL_test3614z00_1986 = ((bool_t)1); }  else 
{ /* Reduce/cse.scm 270 */
BgL_test3614z00_1986 = 
BGl_sidezd2effectzf3z21zzeffect_effectz00(
(BgL_nodez00_bglt)(BgL_nodez00_1980)); } 
if(BgL_test3614z00_1986)
{ /* Reduce/cse.scm 270 */
{ /* Reduce/cse.scm 274 */
int BgL_auxz00_4029;
BgL_auxz00_4029 = 
(int)(((long)2)); 
BGL_SET_MVALUES_NUMBER(BgL_auxz00_4029); } 
{ /* Reduce/cse.scm 274 */
obj_t BgL_auxz00_4034;int BgL_auxz00_4032;
BgL_auxz00_4034 = 
(obj_t)(BgL_nodez00_1980); 
BgL_auxz00_4032 = 
(int)(((long)1)); 
BGL_SET_MVALUES_VAL(BgL_auxz00_4032, BgL_auxz00_4034); } 
return BTRUE;}  else 
{ /* Reduce/cse.scm 275 */
obj_t BgL_previousz00_1989;
BgL_previousz00_1989 = 
BGl_findzd2stackzd2zzreduce_csez00(
(BgL_nodez00_bglt)(BgL_nodez00_1980), BgL_stackz00_1981); 
{ /* Reduce/cse.scm 277 */
bool_t BgL_test3617z00_1990;
BgL_test3617z00_1990 = 
BGl_iszd2azf3z21zz__objectz00(BgL_previousz00_1989, BGl_variablez00zzast_varz00); 
if(BgL_test3617z00_1990)
{ /* Reduce/cse.scm 277 */
{ /* Reduce/cse.scm 278 */
long BgL_za72za7_3349;
BgL_za72za7_3349 = BGl_za2csezd2removedza2zd2zzreduce_csez00; 
BGl_za2csezd2removedza2zd2zzreduce_csez00 = 
(((long)1)+BgL_za72za7_3349); } 
{ /* Reduce/cse.scm 280 */
BgL_varz00_bglt BgL_val1_2736z00_1992;
{ /* Reduce/cse.scm 281 */
obj_t BgL_arg3622z00_1993;BgL_typez00_bglt BgL_arg3623z00_1994;
BgL_arg3622z00_1993 = 
(((BgL_appz00_bglt)CREF(BgL_nodez00_1980))->BgL_locz00); 
BgL_arg3623z00_1994 = 
(((BgL_appz00_bglt)CREF(BgL_nodez00_1980))->BgL_typez00); 
{ /* Reduce/cse.scm 280 */
BgL_varz00_bglt BgL_res3789z00_3370;
{ /* Reduce/cse.scm 280 */
BgL_variablez00_bglt BgL_variable1633z00_3354;
{ /* Reduce/cse.scm 283 */
obj_t BgL_auxz00_4044;
BgL_auxz00_4044 = BgL_previousz00_1989; 
BgL_variable1633z00_3354 = 
(BgL_variablez00_bglt)(BgL_auxz00_4044); } 
{ /* Reduce/cse.scm 280 */
BgL_varz00_bglt BgL_new1634z00_3355;
{ /* Reduce/cse.scm 280 */
BgL_varz00_bglt BgL_res3787z00_3361;
{ /* Reduce/cse.scm 280 */
BgL_varz00_bglt BgL_new1636z00_3356;
BgL_new1636z00_3356 = 
((BgL_varz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_varz00_bgl) ))); 
{ /* Reduce/cse.scm 280 */
long BgL_arg3164z00_3357;
BgL_arg3164z00_3357 = 
BGl_classzd2numzd2zz__objectz00(BGl_varz00zzast_nodez00); 
{ /* Reduce/cse.scm 280 */
BgL_objectz00_bglt BgL_auxz00_4048;
BgL_auxz00_4048 = 
(BgL_objectz00_bglt)(BgL_new1636z00_3356); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_4048, BgL_arg3164z00_3357); } } 
{ /* Reduce/cse.scm 280 */
BgL_objectz00_bglt BgL_auxz00_4051;
BgL_auxz00_4051 = 
(BgL_objectz00_bglt)(BgL_new1636z00_3356); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_4051, BFALSE); } 
{ /* Reduce/cse.scm 280 */
obj_t BgL_auxz00_4054;
BgL_auxz00_4054 = 
(obj_t)(BgL_new1636z00_3356); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_4054); } BUNSPEC; 
BgL_res3787z00_3361 = BgL_new1636z00_3356; } 
BgL_new1634z00_3355 = BgL_res3787z00_3361; } 
{ /* Reduce/cse.scm 280 */
BgL_varz00_bglt BgL_res3788z00_3369;
((((BgL_varz00_bglt)CREF(BgL_new1634z00_3355))->BgL_locz00) = ((obj_t)BgL_arg3622z00_1993), BUNSPEC); 
((((BgL_varz00_bglt)CREF(BgL_new1634z00_3355))->BgL_typez00) = ((BgL_typez00_bglt)BgL_arg3623z00_1994), BUNSPEC); 
((((BgL_varz00_bglt)CREF(BgL_new1634z00_3355))->BgL_variablez00) = ((BgL_variablez00_bglt)BgL_variable1633z00_3354), BUNSPEC); 
BgL_res3788z00_3369 = BgL_new1634z00_3355; BgL_res3788z00_3369; } 
BgL_res3789z00_3370 = BgL_new1634z00_3355; } } 
BgL_val1_2736z00_1992 = BgL_res3789z00_3370; } } 
{ /* Reduce/cse.scm 280 */
int BgL_auxz00_4060;
BgL_auxz00_4060 = 
(int)(((long)2)); 
BGL_SET_MVALUES_NUMBER(BgL_auxz00_4060); } 
{ /* Reduce/cse.scm 280 */
obj_t BgL_auxz00_4065;int BgL_auxz00_4063;
BgL_auxz00_4065 = 
(obj_t)(BgL_val1_2736z00_1992); 
BgL_auxz00_4063 = 
(int)(((long)1)); 
BGL_SET_MVALUES_VAL(BgL_auxz00_4063, BgL_auxz00_4065); } 
return BgL_stackz00_1981;} }  else 
{ /* Reduce/cse.scm 277 */
{ /* Reduce/cse.scm 285 */
int BgL_auxz00_4068;
BgL_auxz00_4068 = 
(int)(((long)2)); 
BGL_SET_MVALUES_NUMBER(BgL_auxz00_4068); } 
{ /* Reduce/cse.scm 285 */
obj_t BgL_auxz00_4073;int BgL_auxz00_4071;
BgL_auxz00_4073 = 
(obj_t)(BgL_nodez00_1980); 
BgL_auxz00_4071 = 
(int)(((long)1)); 
BGL_SET_MVALUES_VAL(BgL_auxz00_4071, BgL_auxz00_4073); } 
return BFALSE;} } } } } } } 
}



/* node-cse!-box-ref2791 */
obj_t BGl_nodezd2csez12zd2boxzd2ref2791zc0zzreduce_csez00(obj_t BgL_envz00_3559, obj_t BgL_nodez00_3560, obj_t BgL_stackz00_3561)
{ AN_OBJECT;
{ /* Reduce/cse.scm 261 */
{ 
BgL_boxzd2refzd2_bglt BgL_nodez00_1972;obj_t BgL_stackz00_1973;
{ /* Reduce/cse.scm 262 */
bool_t BgL_auxz00_4077;
BgL_nodez00_1972 = 
(BgL_boxzd2refzd2_bglt)(BgL_nodez00_3560); 
BgL_stackz00_1973 = BgL_stackz00_3561; 
{ /* Reduce/cse.scm 262 */
int BgL_auxz00_4078;
BgL_auxz00_4078 = 
(int)(((long)2)); 
BGL_SET_MVALUES_NUMBER(BgL_auxz00_4078); } 
{ /* Reduce/cse.scm 262 */
obj_t BgL_auxz00_4083;int BgL_auxz00_4081;
BgL_auxz00_4083 = 
(obj_t)(BgL_nodez00_1972); 
BgL_auxz00_4081 = 
(int)(((long)1)); 
BGL_SET_MVALUES_VAL(BgL_auxz00_4081, BgL_auxz00_4083); } 
BgL_auxz00_4077 = ((bool_t)0); 
return 
BBOOL(BgL_auxz00_4077);} } } 
}



/* node-cse!-box-set!2789 */
obj_t BGl_nodezd2csez12zd2boxzd2setz122789zd2zzreduce_csez00(obj_t BgL_envz00_3562, obj_t BgL_nodez00_3563, obj_t BgL_stackz00_3564)
{ AN_OBJECT;
{ /* Reduce/cse.scm 251 */
{ 
BgL_boxzd2setz12zc0_bglt BgL_nodez00_1960;obj_t BgL_stackz00_1961;
BgL_nodez00_1960 = 
(BgL_boxzd2setz12zc0_bglt)(BgL_nodez00_3563); 
BgL_stackz00_1961 = BgL_stackz00_3564; 
{ /* Reduce/cse.scm 253 */
obj_t BgL_resetz00_1965;
{ /* Reduce/cse.scm 254 */
BgL_nodez00_bglt BgL_arg3597z00_1969;
BgL_arg3597z00_1969 = 
(((BgL_boxzd2setz12zc0_bglt)CREF(BgL_nodez00_1960))->BgL_valuez00); 
{ /* Reduce/cse.scm 254 */
obj_t BgL_method2753z00_3307;
{ /* Reduce/cse.scm 254 */
long BgL_objzd2classzd2numz00_3309;
{ /* Reduce/cse.scm 254 */
BgL_objectz00_bglt BgL_auxz00_4089;
BgL_auxz00_4089 = 
(BgL_objectz00_bglt)(BgL_arg3597z00_1969); 
BgL_objzd2classzd2numz00_3309 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4089); } 
{ /* Reduce/cse.scm 254 */
obj_t BgL_arg1904z00_3310;
{ /* Reduce/cse.scm 254 */
int BgL_auxz00_4092;
BgL_auxz00_4092 = 
(int)(((long)1)); 
BgL_arg1904z00_3310 = 
PROCEDURE_REF(BGl_nodezd2csez12zd2envz12zzreduce_csez00, BgL_auxz00_4092); } 
{ /* Reduce/cse.scm 254 */
long BgL_offsetz00_3314;
{ /* Reduce/cse.scm 254 */
long BgL_auxz00_4095;
{ /* Reduce/cse.scm 254 */
int BgL_auxz00_4096;
BgL_auxz00_4096 = 
(int)(BgL_objzd2classzd2numz00_3309); 
BgL_auxz00_4095 = 
(long)(BgL_auxz00_4096); } 
BgL_offsetz00_3314 = 
(BgL_auxz00_4095-OBJECT_TYPE); } 
{ /* Reduce/cse.scm 254 */
long BgL_modz00_3315;
{ /* Reduce/cse.scm 254 */
long BgL_auxz00_4100;
{ /* Reduce/cse.scm 254 */
int BgL_auxz00_4101;
BgL_auxz00_4101 = 
(int)(((long)8)); 
BgL_auxz00_4100 = 
(long)(BgL_auxz00_4101); } 
BgL_modz00_3315 = 
(BgL_offsetz00_3314/BgL_auxz00_4100); } 
{ /* Reduce/cse.scm 254 */
long BgL_restz00_3317;
{ /* Reduce/cse.scm 254 */
long BgL_auxz00_4105;
{ /* Reduce/cse.scm 254 */
int BgL_auxz00_4106;
BgL_auxz00_4106 = 
(int)(((long)8)); 
BgL_auxz00_4105 = 
(long)(BgL_auxz00_4106); } 
BgL_restz00_3317 = 
(BgL_offsetz00_3314%BgL_auxz00_4105); } 
{ /* Reduce/cse.scm 254 */

{ /* Reduce/cse.scm 254 */
obj_t BgL_bucketz00_3319;
{ /* Reduce/cse.scm 254 */
int BgL_kz00_3329;
BgL_kz00_3329 = 
(int)(BgL_modz00_3315); 
BgL_bucketz00_3319 = 
VECTOR_REF(BgL_arg1904z00_3310,BgL_kz00_3329); } 
{ /* Reduce/cse.scm 254 */
int BgL_kz00_3331;
BgL_kz00_3331 = 
(int)(BgL_restz00_3317); 
BgL_method2753z00_3307 = 
VECTOR_REF(BgL_bucketz00_3319,BgL_kz00_3331); } } } } } } } } 
BgL_resetz00_1965 = 
PROCEDURE_ENTRY(BgL_method2753z00_3307)(BgL_method2753z00_3307, 
(obj_t)(BgL_arg3597z00_1969), BgL_stackz00_1961, BEOA); } } 
{ /* Reduce/cse.scm 255 */
obj_t BgL_nvaluez00_1966;
{ /* Reduce/cse.scm 255 */
int BgL_auxz00_4117;
BgL_auxz00_4117 = 
(int)(((long)1)); 
BgL_nvaluez00_1966 = 
BGL_GET_MVALUES_VAL(BgL_auxz00_4117); } 
{ /* Reduce/cse.scm 255 */
BgL_nodez00_bglt BgL_val2635z00_3334;
BgL_val2635z00_3334 = 
(BgL_nodez00_bglt)(BgL_nvaluez00_1966); 
((((BgL_boxzd2setz12zc0_bglt)CREF(BgL_nodez00_1960))->BgL_valuez00) = ((BgL_nodez00_bglt)BgL_val2635z00_3334), BUNSPEC); } 
{ /* Reduce/cse.scm 256 */
int BgL_auxz00_4122;
BgL_auxz00_4122 = 
(int)(((long)2)); 
BGL_SET_MVALUES_NUMBER(BgL_auxz00_4122); } 
{ /* Reduce/cse.scm 256 */
obj_t BgL_auxz00_4127;int BgL_auxz00_4125;
BgL_auxz00_4127 = 
(obj_t)(BgL_nodez00_1960); 
BgL_auxz00_4125 = 
(int)(((long)1)); 
BGL_SET_MVALUES_VAL(BgL_auxz00_4125, BgL_auxz00_4127); } 
return BgL_resetz00_1965;} } } } 
}



/* node-cse!-make-box2787 */
obj_t BGl_nodezd2csez12zd2makezd2box2787zc0zzreduce_csez00(obj_t BgL_envz00_3565, obj_t BgL_nodez00_3566, obj_t BgL_stackz00_3567)
{ AN_OBJECT;
{ /* Reduce/cse.scm 241 */
{ 
BgL_makezd2boxzd2_bglt BgL_nodez00_1948;obj_t BgL_stackz00_1949;
BgL_nodez00_1948 = 
(BgL_makezd2boxzd2_bglt)(BgL_nodez00_3566); 
BgL_stackz00_1949 = BgL_stackz00_3567; 
{ /* Reduce/cse.scm 243 */
obj_t BgL_resetz00_1953;
{ /* Reduce/cse.scm 244 */
BgL_nodez00_bglt BgL_arg3583z00_1957;
BgL_arg3583z00_1957 = 
(((BgL_makezd2boxzd2_bglt)CREF(BgL_nodez00_1948))->BgL_valuez00); 
{ /* Reduce/cse.scm 244 */
obj_t BgL_method2753z00_3273;
{ /* Reduce/cse.scm 244 */
long BgL_objzd2classzd2numz00_3275;
{ /* Reduce/cse.scm 244 */
BgL_objectz00_bglt BgL_auxz00_4132;
BgL_auxz00_4132 = 
(BgL_objectz00_bglt)(BgL_arg3583z00_1957); 
BgL_objzd2classzd2numz00_3275 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4132); } 
{ /* Reduce/cse.scm 244 */
obj_t BgL_arg1904z00_3276;
{ /* Reduce/cse.scm 244 */
int BgL_auxz00_4135;
BgL_auxz00_4135 = 
(int)(((long)1)); 
BgL_arg1904z00_3276 = 
PROCEDURE_REF(BGl_nodezd2csez12zd2envz12zzreduce_csez00, BgL_auxz00_4135); } 
{ /* Reduce/cse.scm 244 */
long BgL_offsetz00_3280;
{ /* Reduce/cse.scm 244 */
long BgL_auxz00_4138;
{ /* Reduce/cse.scm 244 */
int BgL_auxz00_4139;
BgL_auxz00_4139 = 
(int)(BgL_objzd2classzd2numz00_3275); 
BgL_auxz00_4138 = 
(long)(BgL_auxz00_4139); } 
BgL_offsetz00_3280 = 
(BgL_auxz00_4138-OBJECT_TYPE); } 
{ /* Reduce/cse.scm 244 */
long BgL_modz00_3281;
{ /* Reduce/cse.scm 244 */
long BgL_auxz00_4143;
{ /* Reduce/cse.scm 244 */
int BgL_auxz00_4144;
BgL_auxz00_4144 = 
(int)(((long)8)); 
BgL_auxz00_4143 = 
(long)(BgL_auxz00_4144); } 
BgL_modz00_3281 = 
(BgL_offsetz00_3280/BgL_auxz00_4143); } 
{ /* Reduce/cse.scm 244 */
long BgL_restz00_3283;
{ /* Reduce/cse.scm 244 */
long BgL_auxz00_4148;
{ /* Reduce/cse.scm 244 */
int BgL_auxz00_4149;
BgL_auxz00_4149 = 
(int)(((long)8)); 
BgL_auxz00_4148 = 
(long)(BgL_auxz00_4149); } 
BgL_restz00_3283 = 
(BgL_offsetz00_3280%BgL_auxz00_4148); } 
{ /* Reduce/cse.scm 244 */

{ /* Reduce/cse.scm 244 */
obj_t BgL_bucketz00_3285;
{ /* Reduce/cse.scm 244 */
int BgL_kz00_3295;
BgL_kz00_3295 = 
(int)(BgL_modz00_3281); 
BgL_bucketz00_3285 = 
VECTOR_REF(BgL_arg1904z00_3276,BgL_kz00_3295); } 
{ /* Reduce/cse.scm 244 */
int BgL_kz00_3297;
BgL_kz00_3297 = 
(int)(BgL_restz00_3283); 
BgL_method2753z00_3273 = 
VECTOR_REF(BgL_bucketz00_3285,BgL_kz00_3297); } } } } } } } } 
BgL_resetz00_1953 = 
PROCEDURE_ENTRY(BgL_method2753z00_3273)(BgL_method2753z00_3273, 
(obj_t)(BgL_arg3583z00_1957), BgL_stackz00_1949, BEOA); } } 
{ /* Reduce/cse.scm 245 */
obj_t BgL_nvaluez00_1954;
{ /* Reduce/cse.scm 245 */
int BgL_auxz00_4160;
BgL_auxz00_4160 = 
(int)(((long)1)); 
BgL_nvaluez00_1954 = 
BGL_GET_MVALUES_VAL(BgL_auxz00_4160); } 
{ /* Reduce/cse.scm 245 */
BgL_nodez00_bglt BgL_val2570z00_3300;
BgL_val2570z00_3300 = 
(BgL_nodez00_bglt)(BgL_nvaluez00_1954); 
((((BgL_makezd2boxzd2_bglt)CREF(BgL_nodez00_1948))->BgL_valuez00) = ((BgL_nodez00_bglt)BgL_val2570z00_3300), BUNSPEC); } 
{ /* Reduce/cse.scm 246 */
int BgL_auxz00_4165;
BgL_auxz00_4165 = 
(int)(((long)2)); 
BGL_SET_MVALUES_NUMBER(BgL_auxz00_4165); } 
{ /* Reduce/cse.scm 246 */
obj_t BgL_auxz00_4170;int BgL_auxz00_4168;
BgL_auxz00_4170 = 
(obj_t)(BgL_nodez00_1948); 
BgL_auxz00_4168 = 
(int)(((long)1)); 
BGL_SET_MVALUES_VAL(BgL_auxz00_4168, BgL_auxz00_4170); } 
return BgL_resetz00_1953;} } } } 
}



/* node-cse!-jump-ex-it2785 */
obj_t BGl_nodezd2csez12zd2jumpzd2exzd2it2785z12zzreduce_csez00(obj_t BgL_envz00_3568, obj_t BgL_nodez00_3569, obj_t BgL_stackz00_3570)
{ AN_OBJECT;
{ /* Reduce/cse.scm 227 */
{ 
BgL_jumpzd2exzd2itz00_bglt BgL_nodez00_1931;obj_t BgL_stackz00_1932;
BgL_nodez00_1931 = 
(BgL_jumpzd2exzd2itz00_bglt)(BgL_nodez00_3569); 
BgL_stackz00_1932 = BgL_stackz00_3570; 
{ /* Reduce/cse.scm 229 */
obj_t BgL_resetz00_1936;
{ /* Reduce/cse.scm 230 */
BgL_nodez00_bglt BgL_arg3569z00_1945;
BgL_arg3569z00_1945 = 
(((BgL_jumpzd2exzd2itz00_bglt)CREF(BgL_nodez00_1931))->BgL_exitz00); 
{ /* Reduce/cse.scm 230 */
obj_t BgL_method2753z00_3208;
{ /* Reduce/cse.scm 230 */
long BgL_objzd2classzd2numz00_3210;
{ /* Reduce/cse.scm 230 */
BgL_objectz00_bglt BgL_auxz00_4175;
BgL_auxz00_4175 = 
(BgL_objectz00_bglt)(BgL_arg3569z00_1945); 
BgL_objzd2classzd2numz00_3210 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4175); } 
{ /* Reduce/cse.scm 230 */
obj_t BgL_arg1904z00_3211;
{ /* Reduce/cse.scm 230 */
int BgL_auxz00_4178;
BgL_auxz00_4178 = 
(int)(((long)1)); 
BgL_arg1904z00_3211 = 
PROCEDURE_REF(BGl_nodezd2csez12zd2envz12zzreduce_csez00, BgL_auxz00_4178); } 
{ /* Reduce/cse.scm 230 */
long BgL_offsetz00_3215;
{ /* Reduce/cse.scm 230 */
long BgL_auxz00_4181;
{ /* Reduce/cse.scm 230 */
int BgL_auxz00_4182;
BgL_auxz00_4182 = 
(int)(BgL_objzd2classzd2numz00_3210); 
BgL_auxz00_4181 = 
(long)(BgL_auxz00_4182); } 
BgL_offsetz00_3215 = 
(BgL_auxz00_4181-OBJECT_TYPE); } 
{ /* Reduce/cse.scm 230 */
long BgL_modz00_3216;
{ /* Reduce/cse.scm 230 */
long BgL_auxz00_4186;
{ /* Reduce/cse.scm 230 */
int BgL_auxz00_4187;
BgL_auxz00_4187 = 
(int)(((long)8)); 
BgL_auxz00_4186 = 
(long)(BgL_auxz00_4187); } 
BgL_modz00_3216 = 
(BgL_offsetz00_3215/BgL_auxz00_4186); } 
{ /* Reduce/cse.scm 230 */
long BgL_restz00_3218;
{ /* Reduce/cse.scm 230 */
long BgL_auxz00_4191;
{ /* Reduce/cse.scm 230 */
int BgL_auxz00_4192;
BgL_auxz00_4192 = 
(int)(((long)8)); 
BgL_auxz00_4191 = 
(long)(BgL_auxz00_4192); } 
BgL_restz00_3218 = 
(BgL_offsetz00_3215%BgL_auxz00_4191); } 
{ /* Reduce/cse.scm 230 */

{ /* Reduce/cse.scm 230 */
obj_t BgL_bucketz00_3220;
{ /* Reduce/cse.scm 230 */
int BgL_kz00_3230;
BgL_kz00_3230 = 
(int)(BgL_modz00_3216); 
BgL_bucketz00_3220 = 
VECTOR_REF(BgL_arg1904z00_3211,BgL_kz00_3230); } 
{ /* Reduce/cse.scm 230 */
int BgL_kz00_3232;
BgL_kz00_3232 = 
(int)(BgL_restz00_3218); 
BgL_method2753z00_3208 = 
VECTOR_REF(BgL_bucketz00_3220,BgL_kz00_3232); } } } } } } } } 
BgL_resetz00_1936 = 
PROCEDURE_ENTRY(BgL_method2753z00_3208)(BgL_method2753z00_3208, 
(obj_t)(BgL_arg3569z00_1945), BgL_stackz00_1932, BEOA); } } 
{ /* Reduce/cse.scm 231 */
obj_t BgL_nexitz00_1937;
{ /* Reduce/cse.scm 231 */
int BgL_auxz00_4203;
BgL_auxz00_4203 = 
(int)(((long)1)); 
BgL_nexitz00_1937 = 
BGL_GET_MVALUES_VAL(BgL_auxz00_4203); } 
{ /* Reduce/cse.scm 231 */
BgL_nodez00_bglt BgL_val2536z00_3235;
BgL_val2536z00_3235 = 
(BgL_nodez00_bglt)(BgL_nexitz00_1937); 
((((BgL_jumpzd2exzd2itz00_bglt)CREF(BgL_nodez00_1931))->BgL_exitz00) = ((BgL_nodez00_bglt)BgL_val2536z00_3235), BUNSPEC); } 
{ /* Reduce/cse.scm 232 */
obj_t BgL_stackz72z72_1938;
if(
CBOOL(BgL_resetz00_1936))
{ /* Reduce/cse.scm 232 */
BgL_stackz72z72_1938 = BNIL; }  else 
{ /* Reduce/cse.scm 232 */
BgL_stackz72z72_1938 = BgL_stackz00_1932; } 
{ /* Reduce/cse.scm 233 */
obj_t BgL_resetz72z72_1939;
{ /* Reduce/cse.scm 234 */
BgL_nodez00_bglt BgL_arg3564z00_1944;
BgL_arg3564z00_1944 = 
(((BgL_jumpzd2exzd2itz00_bglt)CREF(BgL_nodez00_1931))->BgL_valuez00); 
{ /* Reduce/cse.scm 234 */
obj_t BgL_method2753z00_3239;
{ /* Reduce/cse.scm 234 */
long BgL_objzd2classzd2numz00_3241;
{ /* Reduce/cse.scm 234 */
BgL_objectz00_bglt BgL_auxz00_4211;
BgL_auxz00_4211 = 
(BgL_objectz00_bglt)(BgL_arg3564z00_1944); 
BgL_objzd2classzd2numz00_3241 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4211); } 
{ /* Reduce/cse.scm 234 */
obj_t BgL_arg1904z00_3242;
{ /* Reduce/cse.scm 234 */
int BgL_auxz00_4214;
BgL_auxz00_4214 = 
(int)(((long)1)); 
BgL_arg1904z00_3242 = 
PROCEDURE_REF(BGl_nodezd2csez12zd2envz12zzreduce_csez00, BgL_auxz00_4214); } 
{ /* Reduce/cse.scm 234 */
long BgL_offsetz00_3246;
{ /* Reduce/cse.scm 234 */
long BgL_auxz00_4217;
{ /* Reduce/cse.scm 234 */
int BgL_auxz00_4218;
BgL_auxz00_4218 = 
(int)(BgL_objzd2classzd2numz00_3241); 
BgL_auxz00_4217 = 
(long)(BgL_auxz00_4218); } 
BgL_offsetz00_3246 = 
(BgL_auxz00_4217-OBJECT_TYPE); } 
{ /* Reduce/cse.scm 234 */
long BgL_modz00_3247;
{ /* Reduce/cse.scm 234 */
long BgL_auxz00_4222;
{ /* Reduce/cse.scm 234 */
int BgL_auxz00_4223;
BgL_auxz00_4223 = 
(int)(((long)8)); 
BgL_auxz00_4222 = 
(long)(BgL_auxz00_4223); } 
BgL_modz00_3247 = 
(BgL_offsetz00_3246/BgL_auxz00_4222); } 
{ /* Reduce/cse.scm 234 */
long BgL_restz00_3249;
{ /* Reduce/cse.scm 234 */
long BgL_auxz00_4227;
{ /* Reduce/cse.scm 234 */
int BgL_auxz00_4228;
BgL_auxz00_4228 = 
(int)(((long)8)); 
BgL_auxz00_4227 = 
(long)(BgL_auxz00_4228); } 
BgL_restz00_3249 = 
(BgL_offsetz00_3246%BgL_auxz00_4227); } 
{ /* Reduce/cse.scm 234 */

{ /* Reduce/cse.scm 234 */
obj_t BgL_bucketz00_3251;
{ /* Reduce/cse.scm 234 */
int BgL_kz00_3261;
BgL_kz00_3261 = 
(int)(BgL_modz00_3247); 
BgL_bucketz00_3251 = 
VECTOR_REF(BgL_arg1904z00_3242,BgL_kz00_3261); } 
{ /* Reduce/cse.scm 234 */
int BgL_kz00_3263;
BgL_kz00_3263 = 
(int)(BgL_restz00_3249); 
BgL_method2753z00_3239 = 
VECTOR_REF(BgL_bucketz00_3251,BgL_kz00_3263); } } } } } } } } 
BgL_resetz72z72_1939 = 
PROCEDURE_ENTRY(BgL_method2753z00_3239)(BgL_method2753z00_3239, 
(obj_t)(BgL_arg3564z00_1944), BgL_stackz72z72_1938, BEOA); } } 
{ /* Reduce/cse.scm 235 */
obj_t BgL_nvaluez00_1940;
{ /* Reduce/cse.scm 235 */
int BgL_auxz00_4239;
BgL_auxz00_4239 = 
(int)(((long)1)); 
BgL_nvaluez00_1940 = 
BGL_GET_MVALUES_VAL(BgL_auxz00_4239); } 
{ /* Reduce/cse.scm 235 */
BgL_nodez00_bglt BgL_val2539z00_3266;
BgL_val2539z00_3266 = 
(BgL_nodez00_bglt)(BgL_nvaluez00_1940); 
((((BgL_jumpzd2exzd2itz00_bglt)CREF(BgL_nodez00_1931))->BgL_valuez00) = ((BgL_nodez00_bglt)BgL_val2539z00_3266), BUNSPEC); } 
{ /* Reduce/cse.scm 236 */
obj_t BgL_val0_2718z00_1941;
if(
CBOOL(BgL_resetz00_1936))
{ /* Reduce/cse.scm 236 */
BgL_val0_2718z00_1941 = BgL_resetz00_1936; }  else 
{ /* Reduce/cse.scm 236 */
BgL_val0_2718z00_1941 = BgL_resetz72z72_1939; } 
{ /* Reduce/cse.scm 236 */
int BgL_auxz00_4246;
BgL_auxz00_4246 = 
(int)(((long)2)); 
BGL_SET_MVALUES_NUMBER(BgL_auxz00_4246); } 
{ /* Reduce/cse.scm 236 */
obj_t BgL_auxz00_4251;int BgL_auxz00_4249;
BgL_auxz00_4251 = 
(obj_t)(BgL_nodez00_1931); 
BgL_auxz00_4249 = 
(int)(((long)1)); 
BGL_SET_MVALUES_VAL(BgL_auxz00_4249, BgL_auxz00_4251); } 
return BgL_val0_2718z00_1941;} } } } } } } } 
}



/* node-cse!-set-ex-it2783 */
obj_t BGl_nodezd2csez12zd2setzd2exzd2it2783z12zzreduce_csez00(obj_t BgL_envz00_3571, obj_t BgL_nodez00_3572, obj_t BgL_stackz00_3573)
{ AN_OBJECT;
{ /* Reduce/cse.scm 217 */
{ 
BgL_setzd2exzd2itz00_bglt BgL_nodez00_1918;obj_t BgL_stackz00_1919;
BgL_nodez00_1918 = 
(BgL_setzd2exzd2itz00_bglt)(BgL_nodez00_3572); 
BgL_stackz00_1919 = BgL_stackz00_3573; 
{ /* Reduce/cse.scm 219 */
obj_t BgL_resetz00_1923;
{ /* Reduce/cse.scm 220 */
BgL_nodez00_bglt BgL_arg3548z00_1927;
BgL_arg3548z00_1927 = 
(((BgL_setzd2exzd2itz00_bglt)CREF(BgL_nodez00_1918))->BgL_bodyz00); 
{ /* Reduce/cse.scm 220 */
obj_t BgL_method2753z00_3174;
{ /* Reduce/cse.scm 220 */
long BgL_objzd2classzd2numz00_3176;
{ /* Reduce/cse.scm 220 */
BgL_objectz00_bglt BgL_auxz00_4256;
BgL_auxz00_4256 = 
(BgL_objectz00_bglt)(BgL_arg3548z00_1927); 
BgL_objzd2classzd2numz00_3176 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4256); } 
{ /* Reduce/cse.scm 220 */
obj_t BgL_arg1904z00_3177;
{ /* Reduce/cse.scm 220 */
int BgL_auxz00_4259;
BgL_auxz00_4259 = 
(int)(((long)1)); 
BgL_arg1904z00_3177 = 
PROCEDURE_REF(BGl_nodezd2csez12zd2envz12zzreduce_csez00, BgL_auxz00_4259); } 
{ /* Reduce/cse.scm 220 */
long BgL_offsetz00_3181;
{ /* Reduce/cse.scm 220 */
long BgL_auxz00_4262;
{ /* Reduce/cse.scm 220 */
int BgL_auxz00_4263;
BgL_auxz00_4263 = 
(int)(BgL_objzd2classzd2numz00_3176); 
BgL_auxz00_4262 = 
(long)(BgL_auxz00_4263); } 
BgL_offsetz00_3181 = 
(BgL_auxz00_4262-OBJECT_TYPE); } 
{ /* Reduce/cse.scm 220 */
long BgL_modz00_3182;
{ /* Reduce/cse.scm 220 */
long BgL_auxz00_4267;
{ /* Reduce/cse.scm 220 */
int BgL_auxz00_4268;
BgL_auxz00_4268 = 
(int)(((long)8)); 
BgL_auxz00_4267 = 
(long)(BgL_auxz00_4268); } 
BgL_modz00_3182 = 
(BgL_offsetz00_3181/BgL_auxz00_4267); } 
{ /* Reduce/cse.scm 220 */
long BgL_restz00_3184;
{ /* Reduce/cse.scm 220 */
long BgL_auxz00_4272;
{ /* Reduce/cse.scm 220 */
int BgL_auxz00_4273;
BgL_auxz00_4273 = 
(int)(((long)8)); 
BgL_auxz00_4272 = 
(long)(BgL_auxz00_4273); } 
BgL_restz00_3184 = 
(BgL_offsetz00_3181%BgL_auxz00_4272); } 
{ /* Reduce/cse.scm 220 */

{ /* Reduce/cse.scm 220 */
obj_t BgL_bucketz00_3186;
{ /* Reduce/cse.scm 220 */
int BgL_kz00_3196;
BgL_kz00_3196 = 
(int)(BgL_modz00_3182); 
BgL_bucketz00_3186 = 
VECTOR_REF(BgL_arg1904z00_3177,BgL_kz00_3196); } 
{ /* Reduce/cse.scm 220 */
int BgL_kz00_3198;
BgL_kz00_3198 = 
(int)(BgL_restz00_3184); 
BgL_method2753z00_3174 = 
VECTOR_REF(BgL_bucketz00_3186,BgL_kz00_3198); } } } } } } } } 
BgL_resetz00_1923 = 
PROCEDURE_ENTRY(BgL_method2753z00_3174)(BgL_method2753z00_3174, 
(obj_t)(BgL_arg3548z00_1927), BNIL, BEOA); } } 
{ /* Reduce/cse.scm 221 */
obj_t BgL_nbodyz00_1924;
{ /* Reduce/cse.scm 221 */
int BgL_auxz00_4284;
BgL_auxz00_4284 = 
(int)(((long)1)); 
BgL_nbodyz00_1924 = 
BGL_GET_MVALUES_VAL(BgL_auxz00_4284); } 
{ /* Reduce/cse.scm 221 */
BgL_nodez00_bglt BgL_val2511z00_3201;
BgL_val2511z00_3201 = 
(BgL_nodez00_bglt)(BgL_nbodyz00_1924); 
((((BgL_setzd2exzd2itz00_bglt)CREF(BgL_nodez00_1918))->BgL_bodyz00) = ((BgL_nodez00_bglt)BgL_val2511z00_3201), BUNSPEC); } 
{ /* Reduce/cse.scm 222 */
int BgL_auxz00_4289;
BgL_auxz00_4289 = 
(int)(((long)2)); 
BGL_SET_MVALUES_NUMBER(BgL_auxz00_4289); } 
{ /* Reduce/cse.scm 222 */
obj_t BgL_auxz00_4294;int BgL_auxz00_4292;
BgL_auxz00_4294 = 
(obj_t)(BgL_nodez00_1918); 
BgL_auxz00_4292 = 
(int)(((long)1)); 
BGL_SET_MVALUES_VAL(BgL_auxz00_4292, BgL_auxz00_4294); } 
return BgL_resetz00_1923;} } } } 
}



/* node-cse!-let-fun2781 */
obj_t BGl_nodezd2csez12zd2letzd2fun2781zc0zzreduce_csez00(obj_t BgL_envz00_3574, obj_t BgL_nodez00_3575, obj_t BgL_stackz00_3576)
{ AN_OBJECT;
{ /* Reduce/cse.scm 198 */
{ 
BgL_letzd2funzd2_bglt BgL_nodez00_1892;obj_t BgL_stackz00_1893;
BgL_nodez00_1892 = 
(BgL_letzd2funzd2_bglt)(BgL_nodez00_3575); 
BgL_stackz00_1893 = BgL_stackz00_3576; 
{ /* Reduce/cse.scm 200 */
obj_t BgL_resetz00_1897;
{ /* Reduce/cse.scm 201 */
BgL_nodez00_bglt BgL_arg3534z00_1915;
BgL_arg3534z00_1915 = 
(((BgL_letzd2funzd2_bglt)CREF(BgL_nodez00_1892))->BgL_bodyz00); 
{ /* Reduce/cse.scm 201 */
obj_t BgL_method2753z00_3104;
{ /* Reduce/cse.scm 201 */
long BgL_objzd2classzd2numz00_3106;
{ /* Reduce/cse.scm 201 */
BgL_objectz00_bglt BgL_auxz00_4299;
BgL_auxz00_4299 = 
(BgL_objectz00_bglt)(BgL_arg3534z00_1915); 
BgL_objzd2classzd2numz00_3106 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4299); } 
{ /* Reduce/cse.scm 201 */
obj_t BgL_arg1904z00_3107;
{ /* Reduce/cse.scm 201 */
int BgL_auxz00_4302;
BgL_auxz00_4302 = 
(int)(((long)1)); 
BgL_arg1904z00_3107 = 
PROCEDURE_REF(BGl_nodezd2csez12zd2envz12zzreduce_csez00, BgL_auxz00_4302); } 
{ /* Reduce/cse.scm 201 */
long BgL_offsetz00_3111;
{ /* Reduce/cse.scm 201 */
long BgL_auxz00_4305;
{ /* Reduce/cse.scm 201 */
int BgL_auxz00_4306;
BgL_auxz00_4306 = 
(int)(BgL_objzd2classzd2numz00_3106); 
BgL_auxz00_4305 = 
(long)(BgL_auxz00_4306); } 
BgL_offsetz00_3111 = 
(BgL_auxz00_4305-OBJECT_TYPE); } 
{ /* Reduce/cse.scm 201 */
long BgL_modz00_3112;
{ /* Reduce/cse.scm 201 */
long BgL_auxz00_4310;
{ /* Reduce/cse.scm 201 */
int BgL_auxz00_4311;
BgL_auxz00_4311 = 
(int)(((long)8)); 
BgL_auxz00_4310 = 
(long)(BgL_auxz00_4311); } 
BgL_modz00_3112 = 
(BgL_offsetz00_3111/BgL_auxz00_4310); } 
{ /* Reduce/cse.scm 201 */
long BgL_restz00_3114;
{ /* Reduce/cse.scm 201 */
long BgL_auxz00_4315;
{ /* Reduce/cse.scm 201 */
int BgL_auxz00_4316;
BgL_auxz00_4316 = 
(int)(((long)8)); 
BgL_auxz00_4315 = 
(long)(BgL_auxz00_4316); } 
BgL_restz00_3114 = 
(BgL_offsetz00_3111%BgL_auxz00_4315); } 
{ /* Reduce/cse.scm 201 */

{ /* Reduce/cse.scm 201 */
obj_t BgL_bucketz00_3116;
{ /* Reduce/cse.scm 201 */
int BgL_kz00_3126;
BgL_kz00_3126 = 
(int)(BgL_modz00_3112); 
BgL_bucketz00_3116 = 
VECTOR_REF(BgL_arg1904z00_3107,BgL_kz00_3126); } 
{ /* Reduce/cse.scm 201 */
int BgL_kz00_3128;
BgL_kz00_3128 = 
(int)(BgL_restz00_3114); 
BgL_method2753z00_3104 = 
VECTOR_REF(BgL_bucketz00_3116,BgL_kz00_3128); } } } } } } } } 
BgL_resetz00_1897 = 
PROCEDURE_ENTRY(BgL_method2753z00_3104)(BgL_method2753z00_3104, 
(obj_t)(BgL_arg3534z00_1915), BgL_stackz00_1893, BEOA); } } 
{ /* Reduce/cse.scm 202 */
obj_t BgL_nbodyz00_1898;
{ /* Reduce/cse.scm 202 */
int BgL_auxz00_4327;
BgL_auxz00_4327 = 
(int)(((long)1)); 
BgL_nbodyz00_1898 = 
BGL_GET_MVALUES_VAL(BgL_auxz00_4327); } 
{ /* Reduce/cse.scm 202 */
BgL_nodez00_bglt BgL_val2431z00_3131;
BgL_val2431z00_3131 = 
(BgL_nodez00_bglt)(BgL_nbodyz00_1898); 
((((BgL_letzd2funzd2_bglt)CREF(BgL_nodez00_1892))->BgL_bodyz00) = ((BgL_nodez00_bglt)BgL_val2431z00_3131), BUNSPEC); } 
{ 
obj_t BgL_localsz00_1899;obj_t BgL_resetz00_1900;
BgL_localsz00_1899 = 
(((BgL_letzd2funzd2_bglt)CREF(BgL_nodez00_1892))->BgL_localsz00); 
BgL_resetz00_1900 = BgL_resetz00_1897; 
BgL_loopz00_1901:
if(
NULLP(BgL_localsz00_1899))
{ /* Reduce/cse.scm 205 */
{ /* Reduce/cse.scm 206 */
int BgL_auxz00_4334;
BgL_auxz00_4334 = 
(int)(((long)2)); 
BGL_SET_MVALUES_NUMBER(BgL_auxz00_4334); } 
{ /* Reduce/cse.scm 206 */
obj_t BgL_auxz00_4339;int BgL_auxz00_4337;
BgL_auxz00_4339 = 
(obj_t)(BgL_nodez00_1892); 
BgL_auxz00_4337 = 
(int)(((long)1)); 
BGL_SET_MVALUES_VAL(BgL_auxz00_4337, BgL_auxz00_4339); } 
return BgL_resetz00_1900;}  else 
{ /* Reduce/cse.scm 207 */
BgL_valuez00_bglt BgL_sfunz00_1907;
{ /* Reduce/cse.scm 208 */
BgL_localz00_bglt BgL_obj1256z00_3138;
{ /* Reduce/cse.scm 208 */
obj_t BgL_auxz00_4342;
BgL_auxz00_4342 = 
CAR(BgL_localsz00_1899); 
BgL_obj1256z00_3138 = 
(BgL_localz00_bglt)(BgL_auxz00_4342); } 
BgL_sfunz00_1907 = 
(((BgL_localz00_bglt)CREF(BgL_obj1256z00_3138))->BgL_valuez00); } 
{ /* Reduce/cse.scm 208 */

{ /* Reduce/cse.scm 209 */
obj_t BgL_resetz72z72_1908;
{ /* Reduce/cse.scm 210 */
BgL_nodez00_bglt BgL_nodez00_3140;
{ /* Reduce/cse.scm 210 */
obj_t BgL_auxz00_4346;
{ /* Reduce/cse.scm 210 */
BgL_sfunz00_bglt BgL_obj1373z00_3139;
BgL_obj1373z00_3139 = 
(BgL_sfunz00_bglt)(BgL_sfunz00_1907); 
BgL_auxz00_4346 = 
(((BgL_sfunz00_bglt)CREF(BgL_obj1373z00_3139))->BgL_bodyz00); } 
BgL_nodez00_3140 = 
(BgL_nodez00_bglt)(BgL_auxz00_4346); } 
{ /* Reduce/cse.scm 210 */
obj_t BgL_method2753z00_3142;
{ /* Reduce/cse.scm 210 */
long BgL_objzd2classzd2numz00_3144;
{ /* Reduce/cse.scm 210 */
BgL_objectz00_bglt BgL_auxz00_4350;
BgL_auxz00_4350 = 
(BgL_objectz00_bglt)(BgL_nodez00_3140); 
BgL_objzd2classzd2numz00_3144 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4350); } 
{ /* Reduce/cse.scm 210 */
obj_t BgL_arg1904z00_3145;
{ /* Reduce/cse.scm 210 */
int BgL_auxz00_4353;
BgL_auxz00_4353 = 
(int)(((long)1)); 
BgL_arg1904z00_3145 = 
PROCEDURE_REF(BGl_nodezd2csez12zd2envz12zzreduce_csez00, BgL_auxz00_4353); } 
{ /* Reduce/cse.scm 210 */
long BgL_offsetz00_3149;
{ /* Reduce/cse.scm 210 */
long BgL_auxz00_4356;
{ /* Reduce/cse.scm 210 */
int BgL_auxz00_4357;
BgL_auxz00_4357 = 
(int)(BgL_objzd2classzd2numz00_3144); 
BgL_auxz00_4356 = 
(long)(BgL_auxz00_4357); } 
BgL_offsetz00_3149 = 
(BgL_auxz00_4356-OBJECT_TYPE); } 
{ /* Reduce/cse.scm 210 */
long BgL_modz00_3150;
{ /* Reduce/cse.scm 210 */
long BgL_auxz00_4361;
{ /* Reduce/cse.scm 210 */
int BgL_auxz00_4362;
BgL_auxz00_4362 = 
(int)(((long)8)); 
BgL_auxz00_4361 = 
(long)(BgL_auxz00_4362); } 
BgL_modz00_3150 = 
(BgL_offsetz00_3149/BgL_auxz00_4361); } 
{ /* Reduce/cse.scm 210 */
long BgL_restz00_3152;
{ /* Reduce/cse.scm 210 */
long BgL_auxz00_4366;
{ /* Reduce/cse.scm 210 */
int BgL_auxz00_4367;
BgL_auxz00_4367 = 
(int)(((long)8)); 
BgL_auxz00_4366 = 
(long)(BgL_auxz00_4367); } 
BgL_restz00_3152 = 
(BgL_offsetz00_3149%BgL_auxz00_4366); } 
{ /* Reduce/cse.scm 210 */

{ /* Reduce/cse.scm 210 */
obj_t BgL_bucketz00_3154;
{ /* Reduce/cse.scm 210 */
int BgL_kz00_3164;
BgL_kz00_3164 = 
(int)(BgL_modz00_3150); 
BgL_bucketz00_3154 = 
VECTOR_REF(BgL_arg1904z00_3145,BgL_kz00_3164); } 
{ /* Reduce/cse.scm 210 */
int BgL_kz00_3166;
BgL_kz00_3166 = 
(int)(BgL_restz00_3152); 
BgL_method2753z00_3142 = 
VECTOR_REF(BgL_bucketz00_3154,BgL_kz00_3166); } } } } } } } } 
BgL_resetz72z72_1908 = 
PROCEDURE_ENTRY(BgL_method2753z00_3142)(BgL_method2753z00_3142, 
(obj_t)(BgL_nodez00_3140), BNIL, BEOA); } } 
{ /* Reduce/cse.scm 211 */
obj_t BgL_nbodyz00_1909;
{ /* Reduce/cse.scm 211 */
int BgL_auxz00_4378;
BgL_auxz00_4378 = 
(int)(((long)1)); 
BgL_nbodyz00_1909 = 
BGL_GET_MVALUES_VAL(BgL_auxz00_4378); } 
{ /* Reduce/cse.scm 211 */
BgL_sfunz00_bglt BgL_obj1375z00_3168;
BgL_obj1375z00_3168 = 
(BgL_sfunz00_bglt)(BgL_sfunz00_1907); 
((((BgL_sfunz00_bglt)CREF(BgL_obj1375z00_3168))->BgL_bodyz00) = ((obj_t)BgL_nbodyz00_1909), BUNSPEC); } 
{ 
obj_t BgL_resetz00_4385;obj_t BgL_localsz00_4383;
BgL_localsz00_4383 = 
CDR(BgL_localsz00_1899); 
if(
CBOOL(BgL_resetz00_1900))
{ /* Reduce/cse.scm 212 */
BgL_resetz00_4385 = BgL_resetz00_1900; }  else 
{ /* Reduce/cse.scm 212 */
BgL_resetz00_4385 = BgL_resetz72z72_1908; } 
BgL_resetz00_1900 = BgL_resetz00_4385; 
BgL_localsz00_1899 = BgL_localsz00_4383; 
goto BgL_loopz00_1901;} } } } } } } } } } 
}



/* node-cse!-select2779 */
obj_t BGl_nodezd2csez12zd2select2779z12zzreduce_csez00(obj_t BgL_envz00_3577, obj_t BgL_nodez00_3578, obj_t BgL_stackz00_3579)
{ AN_OBJECT;
{ /* Reduce/cse.scm 179 */
{ 
BgL_selectz00_bglt BgL_nodez00_1867;obj_t BgL_stackz00_1868;
BgL_nodez00_1867 = 
(BgL_selectz00_bglt)(BgL_nodez00_3578); 
BgL_stackz00_1868 = BgL_stackz00_3579; 
{ /* Reduce/cse.scm 181 */
obj_t BgL_resetz00_1872;
{ /* Reduce/cse.scm 182 */
BgL_nodez00_bglt BgL_arg3500z00_1889;
BgL_arg3500z00_1889 = 
(((BgL_selectz00_bglt)CREF(BgL_nodez00_1867))->BgL_testz00); 
{ /* Reduce/cse.scm 182 */
obj_t BgL_method2753z00_3035;
{ /* Reduce/cse.scm 182 */
long BgL_objzd2classzd2numz00_3037;
{ /* Reduce/cse.scm 182 */
BgL_objectz00_bglt BgL_auxz00_4391;
BgL_auxz00_4391 = 
(BgL_objectz00_bglt)(BgL_arg3500z00_1889); 
BgL_objzd2classzd2numz00_3037 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4391); } 
{ /* Reduce/cse.scm 182 */
obj_t BgL_arg1904z00_3038;
{ /* Reduce/cse.scm 182 */
int BgL_auxz00_4394;
BgL_auxz00_4394 = 
(int)(((long)1)); 
BgL_arg1904z00_3038 = 
PROCEDURE_REF(BGl_nodezd2csez12zd2envz12zzreduce_csez00, BgL_auxz00_4394); } 
{ /* Reduce/cse.scm 182 */
long BgL_offsetz00_3042;
{ /* Reduce/cse.scm 182 */
long BgL_auxz00_4397;
{ /* Reduce/cse.scm 182 */
int BgL_auxz00_4398;
BgL_auxz00_4398 = 
(int)(BgL_objzd2classzd2numz00_3037); 
BgL_auxz00_4397 = 
(long)(BgL_auxz00_4398); } 
BgL_offsetz00_3042 = 
(BgL_auxz00_4397-OBJECT_TYPE); } 
{ /* Reduce/cse.scm 182 */
long BgL_modz00_3043;
{ /* Reduce/cse.scm 182 */
long BgL_auxz00_4402;
{ /* Reduce/cse.scm 182 */
int BgL_auxz00_4403;
BgL_auxz00_4403 = 
(int)(((long)8)); 
BgL_auxz00_4402 = 
(long)(BgL_auxz00_4403); } 
BgL_modz00_3043 = 
(BgL_offsetz00_3042/BgL_auxz00_4402); } 
{ /* Reduce/cse.scm 182 */
long BgL_restz00_3045;
{ /* Reduce/cse.scm 182 */
long BgL_auxz00_4407;
{ /* Reduce/cse.scm 182 */
int BgL_auxz00_4408;
BgL_auxz00_4408 = 
(int)(((long)8)); 
BgL_auxz00_4407 = 
(long)(BgL_auxz00_4408); } 
BgL_restz00_3045 = 
(BgL_offsetz00_3042%BgL_auxz00_4407); } 
{ /* Reduce/cse.scm 182 */

{ /* Reduce/cse.scm 182 */
obj_t BgL_bucketz00_3047;
{ /* Reduce/cse.scm 182 */
int BgL_kz00_3057;
BgL_kz00_3057 = 
(int)(BgL_modz00_3043); 
BgL_bucketz00_3047 = 
VECTOR_REF(BgL_arg1904z00_3038,BgL_kz00_3057); } 
{ /* Reduce/cse.scm 182 */
int BgL_kz00_3059;
BgL_kz00_3059 = 
(int)(BgL_restz00_3045); 
BgL_method2753z00_3035 = 
VECTOR_REF(BgL_bucketz00_3047,BgL_kz00_3059); } } } } } } } } 
BgL_resetz00_1872 = 
PROCEDURE_ENTRY(BgL_method2753z00_3035)(BgL_method2753z00_3035, 
(obj_t)(BgL_arg3500z00_1889), BgL_stackz00_1868, BEOA); } } 
{ /* Reduce/cse.scm 183 */
obj_t BgL_ntestz00_1873;
{ /* Reduce/cse.scm 183 */
int BgL_auxz00_4419;
BgL_auxz00_4419 = 
(int)(((long)1)); 
BgL_ntestz00_1873 = 
BGL_GET_MVALUES_VAL(BgL_auxz00_4419); } 
{ /* Reduce/cse.scm 183 */
BgL_nodez00_bglt BgL_val2386z00_3062;
BgL_val2386z00_3062 = 
(BgL_nodez00_bglt)(BgL_ntestz00_1873); 
((((BgL_selectz00_bglt)CREF(BgL_nodez00_1867))->BgL_testz00) = ((BgL_nodez00_bglt)BgL_val2386z00_3062), BUNSPEC); } 
{ 
obj_t BgL_clausesz00_1875;obj_t BgL_resetz00_1876;
BgL_clausesz00_1875 = 
(((BgL_selectz00_bglt)CREF(BgL_nodez00_1867))->BgL_clausesz00); 
BgL_resetz00_1876 = BgL_resetz00_1872; 
BgL_loopz00_1877:
if(
NULLP(BgL_clausesz00_1875))
{ /* Reduce/cse.scm 187 */
{ /* Reduce/cse.scm 188 */
int BgL_auxz00_4426;
BgL_auxz00_4426 = 
(int)(((long)2)); 
BGL_SET_MVALUES_NUMBER(BgL_auxz00_4426); } 
{ /* Reduce/cse.scm 188 */
obj_t BgL_auxz00_4431;int BgL_auxz00_4429;
BgL_auxz00_4431 = 
(obj_t)(BgL_nodez00_1867); 
BgL_auxz00_4429 = 
(int)(((long)1)); 
BGL_SET_MVALUES_VAL(BgL_auxz00_4429, BgL_auxz00_4431); } 
return BgL_resetz00_1876;}  else 
{ /* Reduce/cse.scm 189 */
obj_t BgL_clausez00_1882;
BgL_clausez00_1882 = 
CAR(BgL_clausesz00_1875); 
{ /* Reduce/cse.scm 190 */
obj_t BgL_resetz72z72_1883;
{ /* Reduce/cse.scm 191 */
BgL_nodez00_bglt BgL_nodez00_3070;
{ /* Reduce/cse.scm 191 */
obj_t BgL_auxz00_4435;
BgL_auxz00_4435 = 
CDR(BgL_clausez00_1882); 
BgL_nodez00_3070 = 
(BgL_nodez00_bglt)(BgL_auxz00_4435); } 
{ /* Reduce/cse.scm 191 */
obj_t BgL_method2753z00_3072;
{ /* Reduce/cse.scm 191 */
long BgL_objzd2classzd2numz00_3074;
{ /* Reduce/cse.scm 191 */
BgL_objectz00_bglt BgL_auxz00_4438;
BgL_auxz00_4438 = 
(BgL_objectz00_bglt)(BgL_nodez00_3070); 
BgL_objzd2classzd2numz00_3074 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4438); } 
{ /* Reduce/cse.scm 191 */
obj_t BgL_arg1904z00_3075;
{ /* Reduce/cse.scm 191 */
int BgL_auxz00_4441;
BgL_auxz00_4441 = 
(int)(((long)1)); 
BgL_arg1904z00_3075 = 
PROCEDURE_REF(BGl_nodezd2csez12zd2envz12zzreduce_csez00, BgL_auxz00_4441); } 
{ /* Reduce/cse.scm 191 */
long BgL_offsetz00_3079;
{ /* Reduce/cse.scm 191 */
long BgL_auxz00_4444;
{ /* Reduce/cse.scm 191 */
int BgL_auxz00_4445;
BgL_auxz00_4445 = 
(int)(BgL_objzd2classzd2numz00_3074); 
BgL_auxz00_4444 = 
(long)(BgL_auxz00_4445); } 
BgL_offsetz00_3079 = 
(BgL_auxz00_4444-OBJECT_TYPE); } 
{ /* Reduce/cse.scm 191 */
long BgL_modz00_3080;
{ /* Reduce/cse.scm 191 */
long BgL_auxz00_4449;
{ /* Reduce/cse.scm 191 */
int BgL_auxz00_4450;
BgL_auxz00_4450 = 
(int)(((long)8)); 
BgL_auxz00_4449 = 
(long)(BgL_auxz00_4450); } 
BgL_modz00_3080 = 
(BgL_offsetz00_3079/BgL_auxz00_4449); } 
{ /* Reduce/cse.scm 191 */
long BgL_restz00_3082;
{ /* Reduce/cse.scm 191 */
long BgL_auxz00_4454;
{ /* Reduce/cse.scm 191 */
int BgL_auxz00_4455;
BgL_auxz00_4455 = 
(int)(((long)8)); 
BgL_auxz00_4454 = 
(long)(BgL_auxz00_4455); } 
BgL_restz00_3082 = 
(BgL_offsetz00_3079%BgL_auxz00_4454); } 
{ /* Reduce/cse.scm 191 */

{ /* Reduce/cse.scm 191 */
obj_t BgL_bucketz00_3084;
{ /* Reduce/cse.scm 191 */
int BgL_kz00_3094;
BgL_kz00_3094 = 
(int)(BgL_modz00_3080); 
BgL_bucketz00_3084 = 
VECTOR_REF(BgL_arg1904z00_3075,BgL_kz00_3094); } 
{ /* Reduce/cse.scm 191 */
int BgL_kz00_3096;
BgL_kz00_3096 = 
(int)(BgL_restz00_3082); 
BgL_method2753z00_3072 = 
VECTOR_REF(BgL_bucketz00_3084,BgL_kz00_3096); } } } } } } } } 
BgL_resetz72z72_1883 = 
PROCEDURE_ENTRY(BgL_method2753z00_3072)(BgL_method2753z00_3072, 
(obj_t)(BgL_nodez00_3070), BgL_stackz00_1868, BEOA); } } 
{ /* Reduce/cse.scm 192 */
obj_t BgL_nclausez00_1884;
{ /* Reduce/cse.scm 192 */
int BgL_auxz00_4466;
BgL_auxz00_4466 = 
(int)(((long)1)); 
BgL_nclausez00_1884 = 
BGL_GET_MVALUES_VAL(BgL_auxz00_4466); } 
SET_CDR(BgL_clausez00_1882, BgL_nclausez00_1884); 
{ 
obj_t BgL_resetz00_4472;obj_t BgL_clausesz00_4470;
BgL_clausesz00_4470 = 
CDR(BgL_clausesz00_1875); 
if(
CBOOL(BgL_resetz00_1876))
{ /* Reduce/cse.scm 193 */
BgL_resetz00_4472 = BgL_resetz00_1876; }  else 
{ /* Reduce/cse.scm 193 */
BgL_resetz00_4472 = BgL_resetz72z72_1883; } 
BgL_resetz00_1876 = BgL_resetz00_4472; 
BgL_clausesz00_1875 = BgL_clausesz00_4470; 
goto BgL_loopz00_1877;} } } } } } } } } 
}



/* node-cse!-fail2777 */
obj_t BGl_nodezd2csez12zd2fail2777z12zzreduce_csez00(obj_t BgL_envz00_3580, obj_t BgL_nodez00_3581, obj_t BgL_stackz00_3582)
{ AN_OBJECT;
{ /* Reduce/cse.scm 161 */
{ 
BgL_failz00_bglt BgL_nodez00_1845;obj_t BgL_stackz00_1846;
BgL_nodez00_1845 = 
(BgL_failz00_bglt)(BgL_nodez00_3581); 
BgL_stackz00_1846 = BgL_stackz00_3582; 
{ /* Reduce/cse.scm 163 */
obj_t BgL_resetz00_1850;
{ /* Reduce/cse.scm 164 */
BgL_nodez00_bglt BgL_arg3468z00_1864;
BgL_arg3468z00_1864 = 
(((BgL_failz00_bglt)CREF(BgL_nodez00_1845))->BgL_procz00); 
{ /* Reduce/cse.scm 164 */
obj_t BgL_method2753z00_2939;
{ /* Reduce/cse.scm 164 */
long BgL_objzd2classzd2numz00_2941;
{ /* Reduce/cse.scm 164 */
BgL_objectz00_bglt BgL_auxz00_4478;
BgL_auxz00_4478 = 
(BgL_objectz00_bglt)(BgL_arg3468z00_1864); 
BgL_objzd2classzd2numz00_2941 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4478); } 
{ /* Reduce/cse.scm 164 */
obj_t BgL_arg1904z00_2942;
{ /* Reduce/cse.scm 164 */
int BgL_auxz00_4481;
BgL_auxz00_4481 = 
(int)(((long)1)); 
BgL_arg1904z00_2942 = 
PROCEDURE_REF(BGl_nodezd2csez12zd2envz12zzreduce_csez00, BgL_auxz00_4481); } 
{ /* Reduce/cse.scm 164 */
long BgL_offsetz00_2946;
{ /* Reduce/cse.scm 164 */
long BgL_auxz00_4484;
{ /* Reduce/cse.scm 164 */
int BgL_auxz00_4485;
BgL_auxz00_4485 = 
(int)(BgL_objzd2classzd2numz00_2941); 
BgL_auxz00_4484 = 
(long)(BgL_auxz00_4485); } 
BgL_offsetz00_2946 = 
(BgL_auxz00_4484-OBJECT_TYPE); } 
{ /* Reduce/cse.scm 164 */
long BgL_modz00_2947;
{ /* Reduce/cse.scm 164 */
long BgL_auxz00_4489;
{ /* Reduce/cse.scm 164 */
int BgL_auxz00_4490;
BgL_auxz00_4490 = 
(int)(((long)8)); 
BgL_auxz00_4489 = 
(long)(BgL_auxz00_4490); } 
BgL_modz00_2947 = 
(BgL_offsetz00_2946/BgL_auxz00_4489); } 
{ /* Reduce/cse.scm 164 */
long BgL_restz00_2949;
{ /* Reduce/cse.scm 164 */
long BgL_auxz00_4494;
{ /* Reduce/cse.scm 164 */
int BgL_auxz00_4495;
BgL_auxz00_4495 = 
(int)(((long)8)); 
BgL_auxz00_4494 = 
(long)(BgL_auxz00_4495); } 
BgL_restz00_2949 = 
(BgL_offsetz00_2946%BgL_auxz00_4494); } 
{ /* Reduce/cse.scm 164 */

{ /* Reduce/cse.scm 164 */
obj_t BgL_bucketz00_2951;
{ /* Reduce/cse.scm 164 */
int BgL_kz00_2961;
BgL_kz00_2961 = 
(int)(BgL_modz00_2947); 
BgL_bucketz00_2951 = 
VECTOR_REF(BgL_arg1904z00_2942,BgL_kz00_2961); } 
{ /* Reduce/cse.scm 164 */
int BgL_kz00_2963;
BgL_kz00_2963 = 
(int)(BgL_restz00_2949); 
BgL_method2753z00_2939 = 
VECTOR_REF(BgL_bucketz00_2951,BgL_kz00_2963); } } } } } } } } 
BgL_resetz00_1850 = 
PROCEDURE_ENTRY(BgL_method2753z00_2939)(BgL_method2753z00_2939, 
(obj_t)(BgL_arg3468z00_1864), BgL_stackz00_1846, BEOA); } } 
{ /* Reduce/cse.scm 165 */
obj_t BgL_nprocz00_1851;
{ /* Reduce/cse.scm 165 */
int BgL_auxz00_4506;
BgL_auxz00_4506 = 
(int)(((long)1)); 
BgL_nprocz00_1851 = 
BGL_GET_MVALUES_VAL(BgL_auxz00_4506); } 
{ /* Reduce/cse.scm 165 */
BgL_nodez00_bglt BgL_val2346z00_2966;
BgL_val2346z00_2966 = 
(BgL_nodez00_bglt)(BgL_nprocz00_1851); 
((((BgL_failz00_bglt)CREF(BgL_nodez00_1845))->BgL_procz00) = ((BgL_nodez00_bglt)BgL_val2346z00_2966), BUNSPEC); } 
{ /* Reduce/cse.scm 166 */
obj_t BgL_stackz72z72_1852;
if(
CBOOL(BgL_resetz00_1850))
{ /* Reduce/cse.scm 166 */
BgL_stackz72z72_1852 = BNIL; }  else 
{ /* Reduce/cse.scm 166 */
BgL_stackz72z72_1852 = BgL_stackz00_1846; } 
{ /* Reduce/cse.scm 167 */
obj_t BgL_resetz72z72_1853;
{ /* Reduce/cse.scm 168 */
BgL_nodez00_bglt BgL_arg3463z00_1863;
BgL_arg3463z00_1863 = 
(((BgL_failz00_bglt)CREF(BgL_nodez00_1845))->BgL_msgz00); 
{ /* Reduce/cse.scm 168 */
obj_t BgL_method2753z00_2970;
{ /* Reduce/cse.scm 168 */
long BgL_objzd2classzd2numz00_2972;
{ /* Reduce/cse.scm 168 */
BgL_objectz00_bglt BgL_auxz00_4514;
BgL_auxz00_4514 = 
(BgL_objectz00_bglt)(BgL_arg3463z00_1863); 
BgL_objzd2classzd2numz00_2972 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4514); } 
{ /* Reduce/cse.scm 168 */
obj_t BgL_arg1904z00_2973;
{ /* Reduce/cse.scm 168 */
int BgL_auxz00_4517;
BgL_auxz00_4517 = 
(int)(((long)1)); 
BgL_arg1904z00_2973 = 
PROCEDURE_REF(BGl_nodezd2csez12zd2envz12zzreduce_csez00, BgL_auxz00_4517); } 
{ /* Reduce/cse.scm 168 */
long BgL_offsetz00_2977;
{ /* Reduce/cse.scm 168 */
long BgL_auxz00_4520;
{ /* Reduce/cse.scm 168 */
int BgL_auxz00_4521;
BgL_auxz00_4521 = 
(int)(BgL_objzd2classzd2numz00_2972); 
BgL_auxz00_4520 = 
(long)(BgL_auxz00_4521); } 
BgL_offsetz00_2977 = 
(BgL_auxz00_4520-OBJECT_TYPE); } 
{ /* Reduce/cse.scm 168 */
long BgL_modz00_2978;
{ /* Reduce/cse.scm 168 */
long BgL_auxz00_4525;
{ /* Reduce/cse.scm 168 */
int BgL_auxz00_4526;
BgL_auxz00_4526 = 
(int)(((long)8)); 
BgL_auxz00_4525 = 
(long)(BgL_auxz00_4526); } 
BgL_modz00_2978 = 
(BgL_offsetz00_2977/BgL_auxz00_4525); } 
{ /* Reduce/cse.scm 168 */
long BgL_restz00_2980;
{ /* Reduce/cse.scm 168 */
long BgL_auxz00_4530;
{ /* Reduce/cse.scm 168 */
int BgL_auxz00_4531;
BgL_auxz00_4531 = 
(int)(((long)8)); 
BgL_auxz00_4530 = 
(long)(BgL_auxz00_4531); } 
BgL_restz00_2980 = 
(BgL_offsetz00_2977%BgL_auxz00_4530); } 
{ /* Reduce/cse.scm 168 */

{ /* Reduce/cse.scm 168 */
obj_t BgL_bucketz00_2982;
{ /* Reduce/cse.scm 168 */
int BgL_kz00_2992;
BgL_kz00_2992 = 
(int)(BgL_modz00_2978); 
BgL_bucketz00_2982 = 
VECTOR_REF(BgL_arg1904z00_2973,BgL_kz00_2992); } 
{ /* Reduce/cse.scm 168 */
int BgL_kz00_2994;
BgL_kz00_2994 = 
(int)(BgL_restz00_2980); 
BgL_method2753z00_2970 = 
VECTOR_REF(BgL_bucketz00_2982,BgL_kz00_2994); } } } } } } } } 
BgL_resetz72z72_1853 = 
PROCEDURE_ENTRY(BgL_method2753z00_2970)(BgL_method2753z00_2970, 
(obj_t)(BgL_arg3463z00_1863), BgL_stackz72z72_1852, BEOA); } } 
{ /* Reduce/cse.scm 169 */
obj_t BgL_nmsgz00_1854;
{ /* Reduce/cse.scm 169 */
int BgL_auxz00_4542;
BgL_auxz00_4542 = 
(int)(((long)1)); 
BgL_nmsgz00_1854 = 
BGL_GET_MVALUES_VAL(BgL_auxz00_4542); } 
{ /* Reduce/cse.scm 169 */
BgL_nodez00_bglt BgL_val2349z00_2997;
BgL_val2349z00_2997 = 
(BgL_nodez00_bglt)(BgL_nmsgz00_1854); 
((((BgL_failz00_bglt)CREF(BgL_nodez00_1845))->BgL_msgz00) = ((BgL_nodez00_bglt)BgL_val2349z00_2997), BUNSPEC); } 
{ /* Reduce/cse.scm 170 */
obj_t BgL_stackz72z72z00_1855;
if(
CBOOL(BgL_resetz72z72_1853))
{ /* Reduce/cse.scm 170 */
BgL_stackz72z72z00_1855 = BNIL; }  else 
{ /* Reduce/cse.scm 170 */
BgL_stackz72z72z00_1855 = BgL_stackz72z72_1852; } 
{ /* Reduce/cse.scm 171 */
obj_t BgL_resetz72z72z00_1856;
{ /* Reduce/cse.scm 172 */
BgL_nodez00_bglt BgL_arg3458z00_1862;
BgL_arg3458z00_1862 = 
(((BgL_failz00_bglt)CREF(BgL_nodez00_1845))->BgL_objz00); 
{ /* Reduce/cse.scm 172 */
obj_t BgL_method2753z00_3001;
{ /* Reduce/cse.scm 172 */
long BgL_objzd2classzd2numz00_3003;
{ /* Reduce/cse.scm 172 */
BgL_objectz00_bglt BgL_auxz00_4550;
BgL_auxz00_4550 = 
(BgL_objectz00_bglt)(BgL_arg3458z00_1862); 
BgL_objzd2classzd2numz00_3003 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4550); } 
{ /* Reduce/cse.scm 172 */
obj_t BgL_arg1904z00_3004;
{ /* Reduce/cse.scm 172 */
int BgL_auxz00_4553;
BgL_auxz00_4553 = 
(int)(((long)1)); 
BgL_arg1904z00_3004 = 
PROCEDURE_REF(BGl_nodezd2csez12zd2envz12zzreduce_csez00, BgL_auxz00_4553); } 
{ /* Reduce/cse.scm 172 */
long BgL_offsetz00_3008;
{ /* Reduce/cse.scm 172 */
long BgL_auxz00_4556;
{ /* Reduce/cse.scm 172 */
int BgL_auxz00_4557;
BgL_auxz00_4557 = 
(int)(BgL_objzd2classzd2numz00_3003); 
BgL_auxz00_4556 = 
(long)(BgL_auxz00_4557); } 
BgL_offsetz00_3008 = 
(BgL_auxz00_4556-OBJECT_TYPE); } 
{ /* Reduce/cse.scm 172 */
long BgL_modz00_3009;
{ /* Reduce/cse.scm 172 */
long BgL_auxz00_4561;
{ /* Reduce/cse.scm 172 */
int BgL_auxz00_4562;
BgL_auxz00_4562 = 
(int)(((long)8)); 
BgL_auxz00_4561 = 
(long)(BgL_auxz00_4562); } 
BgL_modz00_3009 = 
(BgL_offsetz00_3008/BgL_auxz00_4561); } 
{ /* Reduce/cse.scm 172 */
long BgL_restz00_3011;
{ /* Reduce/cse.scm 172 */
long BgL_auxz00_4566;
{ /* Reduce/cse.scm 172 */
int BgL_auxz00_4567;
BgL_auxz00_4567 = 
(int)(((long)8)); 
BgL_auxz00_4566 = 
(long)(BgL_auxz00_4567); } 
BgL_restz00_3011 = 
(BgL_offsetz00_3008%BgL_auxz00_4566); } 
{ /* Reduce/cse.scm 172 */

{ /* Reduce/cse.scm 172 */
obj_t BgL_bucketz00_3013;
{ /* Reduce/cse.scm 172 */
int BgL_kz00_3023;
BgL_kz00_3023 = 
(int)(BgL_modz00_3009); 
BgL_bucketz00_3013 = 
VECTOR_REF(BgL_arg1904z00_3004,BgL_kz00_3023); } 
{ /* Reduce/cse.scm 172 */
int BgL_kz00_3025;
BgL_kz00_3025 = 
(int)(BgL_restz00_3011); 
BgL_method2753z00_3001 = 
VECTOR_REF(BgL_bucketz00_3013,BgL_kz00_3025); } } } } } } } } 
BgL_resetz72z72z00_1856 = 
PROCEDURE_ENTRY(BgL_method2753z00_3001)(BgL_method2753z00_3001, 
(obj_t)(BgL_arg3458z00_1862), BgL_stackz72z72z00_1855, BEOA); } } 
{ /* Reduce/cse.scm 173 */
obj_t BgL_nobjz00_1857;
{ /* Reduce/cse.scm 173 */
int BgL_auxz00_4578;
BgL_auxz00_4578 = 
(int)(((long)1)); 
BgL_nobjz00_1857 = 
BGL_GET_MVALUES_VAL(BgL_auxz00_4578); } 
{ /* Reduce/cse.scm 173 */
BgL_nodez00_bglt BgL_val2352z00_3028;
BgL_val2352z00_3028 = 
(BgL_nodez00_bglt)(BgL_nobjz00_1857); 
((((BgL_failz00_bglt)CREF(BgL_nodez00_1845))->BgL_objz00) = ((BgL_nodez00_bglt)BgL_val2352z00_3028), BUNSPEC); } 
{ /* Reduce/cse.scm 174 */
obj_t BgL_val0_2698z00_1858;
if(
CBOOL(BgL_resetz00_1850))
{ /* Reduce/cse.scm 174 */
BgL_val0_2698z00_1858 = BgL_resetz00_1850; }  else 
{ /* Reduce/cse.scm 174 */
if(
CBOOL(BgL_resetz72z72_1853))
{ /* Reduce/cse.scm 174 */
BgL_val0_2698z00_1858 = BgL_resetz72z72_1853; }  else 
{ /* Reduce/cse.scm 174 */
BgL_val0_2698z00_1858 = BgL_resetz72z72z00_1856; } } 
{ /* Reduce/cse.scm 174 */
int BgL_auxz00_4587;
BgL_auxz00_4587 = 
(int)(((long)2)); 
BGL_SET_MVALUES_NUMBER(BgL_auxz00_4587); } 
{ /* Reduce/cse.scm 174 */
obj_t BgL_auxz00_4592;int BgL_auxz00_4590;
BgL_auxz00_4592 = 
(obj_t)(BgL_nodez00_1845); 
BgL_auxz00_4590 = 
(int)(((long)1)); 
BGL_SET_MVALUES_VAL(BgL_auxz00_4590, BgL_auxz00_4592); } 
return BgL_val0_2698z00_1858;} } } } } } } } } } } 
}



/* node-cse!-conditional2775 */
obj_t BGl_nodezd2csez12zd2conditional2775z12zzreduce_csez00(obj_t BgL_envz00_3583, obj_t BgL_nodez00_3584, obj_t BgL_stackz00_3585)
{ AN_OBJECT;
{ /* Reduce/cse.scm 144 */
{ 
BgL_conditionalz00_bglt BgL_nodez00_1824;obj_t BgL_stackz00_1825;
BgL_nodez00_1824 = 
(BgL_conditionalz00_bglt)(BgL_nodez00_3584); 
BgL_stackz00_1825 = BgL_stackz00_3585; 
{ /* Reduce/cse.scm 146 */
obj_t BgL_resetz00_1829;
{ /* Reduce/cse.scm 147 */
BgL_nodez00_bglt BgL_arg3442z00_1842;
BgL_arg3442z00_1842 = 
(((BgL_conditionalz00_bglt)CREF(BgL_nodez00_1824))->BgL_testz00); 
{ /* Reduce/cse.scm 147 */
obj_t BgL_method2753z00_2843;
{ /* Reduce/cse.scm 147 */
long BgL_objzd2classzd2numz00_2845;
{ /* Reduce/cse.scm 147 */
BgL_objectz00_bglt BgL_auxz00_4597;
BgL_auxz00_4597 = 
(BgL_objectz00_bglt)(BgL_arg3442z00_1842); 
BgL_objzd2classzd2numz00_2845 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4597); } 
{ /* Reduce/cse.scm 147 */
obj_t BgL_arg1904z00_2846;
{ /* Reduce/cse.scm 147 */
int BgL_auxz00_4600;
BgL_auxz00_4600 = 
(int)(((long)1)); 
BgL_arg1904z00_2846 = 
PROCEDURE_REF(BGl_nodezd2csez12zd2envz12zzreduce_csez00, BgL_auxz00_4600); } 
{ /* Reduce/cse.scm 147 */
long BgL_offsetz00_2850;
{ /* Reduce/cse.scm 147 */
long BgL_auxz00_4603;
{ /* Reduce/cse.scm 147 */
int BgL_auxz00_4604;
BgL_auxz00_4604 = 
(int)(BgL_objzd2classzd2numz00_2845); 
BgL_auxz00_4603 = 
(long)(BgL_auxz00_4604); } 
BgL_offsetz00_2850 = 
(BgL_auxz00_4603-OBJECT_TYPE); } 
{ /* Reduce/cse.scm 147 */
long BgL_modz00_2851;
{ /* Reduce/cse.scm 147 */
long BgL_auxz00_4608;
{ /* Reduce/cse.scm 147 */
int BgL_auxz00_4609;
BgL_auxz00_4609 = 
(int)(((long)8)); 
BgL_auxz00_4608 = 
(long)(BgL_auxz00_4609); } 
BgL_modz00_2851 = 
(BgL_offsetz00_2850/BgL_auxz00_4608); } 
{ /* Reduce/cse.scm 147 */
long BgL_restz00_2853;
{ /* Reduce/cse.scm 147 */
long BgL_auxz00_4613;
{ /* Reduce/cse.scm 147 */
int BgL_auxz00_4614;
BgL_auxz00_4614 = 
(int)(((long)8)); 
BgL_auxz00_4613 = 
(long)(BgL_auxz00_4614); } 
BgL_restz00_2853 = 
(BgL_offsetz00_2850%BgL_auxz00_4613); } 
{ /* Reduce/cse.scm 147 */

{ /* Reduce/cse.scm 147 */
obj_t BgL_bucketz00_2855;
{ /* Reduce/cse.scm 147 */
int BgL_kz00_2865;
BgL_kz00_2865 = 
(int)(BgL_modz00_2851); 
BgL_bucketz00_2855 = 
VECTOR_REF(BgL_arg1904z00_2846,BgL_kz00_2865); } 
{ /* Reduce/cse.scm 147 */
int BgL_kz00_2867;
BgL_kz00_2867 = 
(int)(BgL_restz00_2853); 
BgL_method2753z00_2843 = 
VECTOR_REF(BgL_bucketz00_2855,BgL_kz00_2867); } } } } } } } } 
BgL_resetz00_1829 = 
PROCEDURE_ENTRY(BgL_method2753z00_2843)(BgL_method2753z00_2843, 
(obj_t)(BgL_arg3442z00_1842), BgL_stackz00_1825, BEOA); } } 
{ /* Reduce/cse.scm 148 */
obj_t BgL_ntestz00_1830;
{ /* Reduce/cse.scm 148 */
int BgL_auxz00_4625;
BgL_auxz00_4625 = 
(int)(((long)1)); 
BgL_ntestz00_1830 = 
BGL_GET_MVALUES_VAL(BgL_auxz00_4625); } 
{ /* Reduce/cse.scm 148 */
BgL_nodez00_bglt BgL_val2306z00_2870;
BgL_val2306z00_2870 = 
(BgL_nodez00_bglt)(BgL_ntestz00_1830); 
((((BgL_conditionalz00_bglt)CREF(BgL_nodez00_1824))->BgL_testz00) = ((BgL_nodez00_bglt)BgL_val2306z00_2870), BUNSPEC); } 
{ /* Reduce/cse.scm 149 */
obj_t BgL_stackz72z72_1831;
if(
CBOOL(BgL_resetz00_1829))
{ /* Reduce/cse.scm 149 */
BgL_stackz72z72_1831 = BNIL; }  else 
{ /* Reduce/cse.scm 149 */
BgL_stackz72z72_1831 = BgL_stackz00_1825; } 
{ /* Reduce/cse.scm 150 */
obj_t BgL_resetz72z72_1832;
{ /* Reduce/cse.scm 151 */
BgL_nodez00_bglt BgL_arg3437z00_1841;
BgL_arg3437z00_1841 = 
(((BgL_conditionalz00_bglt)CREF(BgL_nodez00_1824))->BgL_truez00); 
{ /* Reduce/cse.scm 151 */
obj_t BgL_method2753z00_2874;
{ /* Reduce/cse.scm 151 */
long BgL_objzd2classzd2numz00_2876;
{ /* Reduce/cse.scm 151 */
BgL_objectz00_bglt BgL_auxz00_4633;
BgL_auxz00_4633 = 
(BgL_objectz00_bglt)(BgL_arg3437z00_1841); 
BgL_objzd2classzd2numz00_2876 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4633); } 
{ /* Reduce/cse.scm 151 */
obj_t BgL_arg1904z00_2877;
{ /* Reduce/cse.scm 151 */
int BgL_auxz00_4636;
BgL_auxz00_4636 = 
(int)(((long)1)); 
BgL_arg1904z00_2877 = 
PROCEDURE_REF(BGl_nodezd2csez12zd2envz12zzreduce_csez00, BgL_auxz00_4636); } 
{ /* Reduce/cse.scm 151 */
long BgL_offsetz00_2881;
{ /* Reduce/cse.scm 151 */
long BgL_auxz00_4639;
{ /* Reduce/cse.scm 151 */
int BgL_auxz00_4640;
BgL_auxz00_4640 = 
(int)(BgL_objzd2classzd2numz00_2876); 
BgL_auxz00_4639 = 
(long)(BgL_auxz00_4640); } 
BgL_offsetz00_2881 = 
(BgL_auxz00_4639-OBJECT_TYPE); } 
{ /* Reduce/cse.scm 151 */
long BgL_modz00_2882;
{ /* Reduce/cse.scm 151 */
long BgL_auxz00_4644;
{ /* Reduce/cse.scm 151 */
int BgL_auxz00_4645;
BgL_auxz00_4645 = 
(int)(((long)8)); 
BgL_auxz00_4644 = 
(long)(BgL_auxz00_4645); } 
BgL_modz00_2882 = 
(BgL_offsetz00_2881/BgL_auxz00_4644); } 
{ /* Reduce/cse.scm 151 */
long BgL_restz00_2884;
{ /* Reduce/cse.scm 151 */
long BgL_auxz00_4649;
{ /* Reduce/cse.scm 151 */
int BgL_auxz00_4650;
BgL_auxz00_4650 = 
(int)(((long)8)); 
BgL_auxz00_4649 = 
(long)(BgL_auxz00_4650); } 
BgL_restz00_2884 = 
(BgL_offsetz00_2881%BgL_auxz00_4649); } 
{ /* Reduce/cse.scm 151 */

{ /* Reduce/cse.scm 151 */
obj_t BgL_bucketz00_2886;
{ /* Reduce/cse.scm 151 */
int BgL_kz00_2896;
BgL_kz00_2896 = 
(int)(BgL_modz00_2882); 
BgL_bucketz00_2886 = 
VECTOR_REF(BgL_arg1904z00_2877,BgL_kz00_2896); } 
{ /* Reduce/cse.scm 151 */
int BgL_kz00_2898;
BgL_kz00_2898 = 
(int)(BgL_restz00_2884); 
BgL_method2753z00_2874 = 
VECTOR_REF(BgL_bucketz00_2886,BgL_kz00_2898); } } } } } } } } 
BgL_resetz72z72_1832 = 
PROCEDURE_ENTRY(BgL_method2753z00_2874)(BgL_method2753z00_2874, 
(obj_t)(BgL_arg3437z00_1841), BgL_stackz72z72_1831, BEOA); } } 
{ /* Reduce/cse.scm 152 */
obj_t BgL_ntruez00_1833;
{ /* Reduce/cse.scm 152 */
int BgL_auxz00_4661;
BgL_auxz00_4661 = 
(int)(((long)1)); 
BgL_ntruez00_1833 = 
BGL_GET_MVALUES_VAL(BgL_auxz00_4661); } 
{ /* Reduce/cse.scm 152 */
BgL_nodez00_bglt BgL_val2309z00_2901;
BgL_val2309z00_2901 = 
(BgL_nodez00_bglt)(BgL_ntruez00_1833); 
((((BgL_conditionalz00_bglt)CREF(BgL_nodez00_1824))->BgL_truez00) = ((BgL_nodez00_bglt)BgL_val2309z00_2901), BUNSPEC); } 
{ /* Reduce/cse.scm 153 */
obj_t BgL_resetz72z72z00_1834;
{ /* Reduce/cse.scm 154 */
BgL_nodez00_bglt BgL_arg3432z00_1840;
BgL_arg3432z00_1840 = 
(((BgL_conditionalz00_bglt)CREF(BgL_nodez00_1824))->BgL_falsez00); 
{ /* Reduce/cse.scm 154 */
obj_t BgL_method2753z00_2905;
{ /* Reduce/cse.scm 154 */
long BgL_objzd2classzd2numz00_2907;
{ /* Reduce/cse.scm 154 */
BgL_objectz00_bglt BgL_auxz00_4667;
BgL_auxz00_4667 = 
(BgL_objectz00_bglt)(BgL_arg3432z00_1840); 
BgL_objzd2classzd2numz00_2907 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4667); } 
{ /* Reduce/cse.scm 154 */
obj_t BgL_arg1904z00_2908;
{ /* Reduce/cse.scm 154 */
int BgL_auxz00_4670;
BgL_auxz00_4670 = 
(int)(((long)1)); 
BgL_arg1904z00_2908 = 
PROCEDURE_REF(BGl_nodezd2csez12zd2envz12zzreduce_csez00, BgL_auxz00_4670); } 
{ /* Reduce/cse.scm 154 */
long BgL_offsetz00_2912;
{ /* Reduce/cse.scm 154 */
long BgL_auxz00_4673;
{ /* Reduce/cse.scm 154 */
int BgL_auxz00_4674;
BgL_auxz00_4674 = 
(int)(BgL_objzd2classzd2numz00_2907); 
BgL_auxz00_4673 = 
(long)(BgL_auxz00_4674); } 
BgL_offsetz00_2912 = 
(BgL_auxz00_4673-OBJECT_TYPE); } 
{ /* Reduce/cse.scm 154 */
long BgL_modz00_2913;
{ /* Reduce/cse.scm 154 */
long BgL_auxz00_4678;
{ /* Reduce/cse.scm 154 */
int BgL_auxz00_4679;
BgL_auxz00_4679 = 
(int)(((long)8)); 
BgL_auxz00_4678 = 
(long)(BgL_auxz00_4679); } 
BgL_modz00_2913 = 
(BgL_offsetz00_2912/BgL_auxz00_4678); } 
{ /* Reduce/cse.scm 154 */
long BgL_restz00_2915;
{ /* Reduce/cse.scm 154 */
long BgL_auxz00_4683;
{ /* Reduce/cse.scm 154 */
int BgL_auxz00_4684;
BgL_auxz00_4684 = 
(int)(((long)8)); 
BgL_auxz00_4683 = 
(long)(BgL_auxz00_4684); } 
BgL_restz00_2915 = 
(BgL_offsetz00_2912%BgL_auxz00_4683); } 
{ /* Reduce/cse.scm 154 */

{ /* Reduce/cse.scm 154 */
obj_t BgL_bucketz00_2917;
{ /* Reduce/cse.scm 154 */
int BgL_kz00_2927;
BgL_kz00_2927 = 
(int)(BgL_modz00_2913); 
BgL_bucketz00_2917 = 
VECTOR_REF(BgL_arg1904z00_2908,BgL_kz00_2927); } 
{ /* Reduce/cse.scm 154 */
int BgL_kz00_2929;
BgL_kz00_2929 = 
(int)(BgL_restz00_2915); 
BgL_method2753z00_2905 = 
VECTOR_REF(BgL_bucketz00_2917,BgL_kz00_2929); } } } } } } } } 
BgL_resetz72z72z00_1834 = 
PROCEDURE_ENTRY(BgL_method2753z00_2905)(BgL_method2753z00_2905, 
(obj_t)(BgL_arg3432z00_1840), BgL_stackz72z72_1831, BEOA); } } 
{ /* Reduce/cse.scm 155 */
obj_t BgL_nfalsez00_1835;
{ /* Reduce/cse.scm 155 */
int BgL_auxz00_4695;
BgL_auxz00_4695 = 
(int)(((long)1)); 
BgL_nfalsez00_1835 = 
BGL_GET_MVALUES_VAL(BgL_auxz00_4695); } 
{ /* Reduce/cse.scm 155 */
BgL_nodez00_bglt BgL_val2312z00_2932;
BgL_val2312z00_2932 = 
(BgL_nodez00_bglt)(BgL_nfalsez00_1835); 
((((BgL_conditionalz00_bglt)CREF(BgL_nodez00_1824))->BgL_falsez00) = ((BgL_nodez00_bglt)BgL_val2312z00_2932), BUNSPEC); } 
{ /* Reduce/cse.scm 156 */
obj_t BgL_val0_2692z00_1836;
if(
CBOOL(BgL_resetz00_1829))
{ /* Reduce/cse.scm 156 */
BgL_val0_2692z00_1836 = BgL_resetz00_1829; }  else 
{ /* Reduce/cse.scm 156 */
if(
CBOOL(BgL_resetz72z72_1832))
{ /* Reduce/cse.scm 156 */
BgL_val0_2692z00_1836 = BgL_resetz72z72_1832; }  else 
{ /* Reduce/cse.scm 156 */
BgL_val0_2692z00_1836 = BgL_resetz72z72z00_1834; } } 
{ /* Reduce/cse.scm 156 */
int BgL_auxz00_4704;
BgL_auxz00_4704 = 
(int)(((long)2)); 
BGL_SET_MVALUES_NUMBER(BgL_auxz00_4704); } 
{ /* Reduce/cse.scm 156 */
obj_t BgL_auxz00_4709;int BgL_auxz00_4707;
BgL_auxz00_4709 = 
(obj_t)(BgL_nodez00_1824); 
BgL_auxz00_4707 = 
(int)(((long)1)); 
BGL_SET_MVALUES_VAL(BgL_auxz00_4707, BgL_auxz00_4709); } 
return BgL_val0_2692z00_1836;} } } } } } } } } } 
}



/* node-cse!-setq2773 */
obj_t BGl_nodezd2csez12zd2setq2773z12zzreduce_csez00(obj_t BgL_envz00_3586, obj_t BgL_nodez00_3587, obj_t BgL_stackz00_3588)
{ AN_OBJECT;
{ /* Reduce/cse.scm 134 */
{ 
BgL_setqz00_bglt BgL_nodez00_1812;obj_t BgL_stackz00_1813;
BgL_nodez00_1812 = 
(BgL_setqz00_bglt)(BgL_nodez00_3587); 
BgL_stackz00_1813 = BgL_stackz00_3588; 
{ /* Reduce/cse.scm 136 */
obj_t BgL_resetz00_1817;
{ /* Reduce/cse.scm 137 */
BgL_nodez00_bglt BgL_arg3416z00_1821;
BgL_arg3416z00_1821 = 
(((BgL_setqz00_bglt)CREF(BgL_nodez00_1812))->BgL_valuez00); 
{ /* Reduce/cse.scm 137 */
obj_t BgL_method2753z00_2809;
{ /* Reduce/cse.scm 137 */
long BgL_objzd2classzd2numz00_2811;
{ /* Reduce/cse.scm 137 */
BgL_objectz00_bglt BgL_auxz00_4714;
BgL_auxz00_4714 = 
(BgL_objectz00_bglt)(BgL_arg3416z00_1821); 
BgL_objzd2classzd2numz00_2811 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4714); } 
{ /* Reduce/cse.scm 137 */
obj_t BgL_arg1904z00_2812;
{ /* Reduce/cse.scm 137 */
int BgL_auxz00_4717;
BgL_auxz00_4717 = 
(int)(((long)1)); 
BgL_arg1904z00_2812 = 
PROCEDURE_REF(BGl_nodezd2csez12zd2envz12zzreduce_csez00, BgL_auxz00_4717); } 
{ /* Reduce/cse.scm 137 */
long BgL_offsetz00_2816;
{ /* Reduce/cse.scm 137 */
long BgL_auxz00_4720;
{ /* Reduce/cse.scm 137 */
int BgL_auxz00_4721;
BgL_auxz00_4721 = 
(int)(BgL_objzd2classzd2numz00_2811); 
BgL_auxz00_4720 = 
(long)(BgL_auxz00_4721); } 
BgL_offsetz00_2816 = 
(BgL_auxz00_4720-OBJECT_TYPE); } 
{ /* Reduce/cse.scm 137 */
long BgL_modz00_2817;
{ /* Reduce/cse.scm 137 */
long BgL_auxz00_4725;
{ /* Reduce/cse.scm 137 */
int BgL_auxz00_4726;
BgL_auxz00_4726 = 
(int)(((long)8)); 
BgL_auxz00_4725 = 
(long)(BgL_auxz00_4726); } 
BgL_modz00_2817 = 
(BgL_offsetz00_2816/BgL_auxz00_4725); } 
{ /* Reduce/cse.scm 137 */
long BgL_restz00_2819;
{ /* Reduce/cse.scm 137 */
long BgL_auxz00_4730;
{ /* Reduce/cse.scm 137 */
int BgL_auxz00_4731;
BgL_auxz00_4731 = 
(int)(((long)8)); 
BgL_auxz00_4730 = 
(long)(BgL_auxz00_4731); } 
BgL_restz00_2819 = 
(BgL_offsetz00_2816%BgL_auxz00_4730); } 
{ /* Reduce/cse.scm 137 */

{ /* Reduce/cse.scm 137 */
obj_t BgL_bucketz00_2821;
{ /* Reduce/cse.scm 137 */
int BgL_kz00_2831;
BgL_kz00_2831 = 
(int)(BgL_modz00_2817); 
BgL_bucketz00_2821 = 
VECTOR_REF(BgL_arg1904z00_2812,BgL_kz00_2831); } 
{ /* Reduce/cse.scm 137 */
int BgL_kz00_2833;
BgL_kz00_2833 = 
(int)(BgL_restz00_2819); 
BgL_method2753z00_2809 = 
VECTOR_REF(BgL_bucketz00_2821,BgL_kz00_2833); } } } } } } } } 
BgL_resetz00_1817 = 
PROCEDURE_ENTRY(BgL_method2753z00_2809)(BgL_method2753z00_2809, 
(obj_t)(BgL_arg3416z00_1821), BgL_stackz00_1813, BEOA); } } 
{ /* Reduce/cse.scm 138 */
obj_t BgL_nvaluez00_1818;
{ /* Reduce/cse.scm 138 */
int BgL_auxz00_4742;
BgL_auxz00_4742 = 
(int)(((long)1)); 
BgL_nvaluez00_1818 = 
BGL_GET_MVALUES_VAL(BgL_auxz00_4742); } 
{ /* Reduce/cse.scm 138 */
BgL_nodez00_bglt BgL_val2275z00_2836;
BgL_val2275z00_2836 = 
(BgL_nodez00_bglt)(BgL_nvaluez00_1818); 
((((BgL_setqz00_bglt)CREF(BgL_nodez00_1812))->BgL_valuez00) = ((BgL_nodez00_bglt)BgL_val2275z00_2836), BUNSPEC); } 
{ /* Reduce/cse.scm 139 */
int BgL_auxz00_4747;
BgL_auxz00_4747 = 
(int)(((long)2)); 
BGL_SET_MVALUES_NUMBER(BgL_auxz00_4747); } 
{ /* Reduce/cse.scm 139 */
obj_t BgL_auxz00_4752;int BgL_auxz00_4750;
BgL_auxz00_4752 = 
(obj_t)(BgL_nodez00_1812); 
BgL_auxz00_4750 = 
(int)(((long)1)); 
BGL_SET_MVALUES_VAL(BgL_auxz00_4750, BgL_auxz00_4752); } 
return BgL_resetz00_1817;} } } } 
}



/* node-cse!-cast2771 */
obj_t BGl_nodezd2csez12zd2cast2771z12zzreduce_csez00(obj_t BgL_envz00_3589, obj_t BgL_nodez00_3590, obj_t BgL_stackz00_3591)
{ AN_OBJECT;
{ /* Reduce/cse.scm 124 */
{ 
BgL_castz00_bglt BgL_nodez00_1800;obj_t BgL_stackz00_1801;
BgL_nodez00_1800 = 
(BgL_castz00_bglt)(BgL_nodez00_3590); 
BgL_stackz00_1801 = BgL_stackz00_3591; 
{ /* Reduce/cse.scm 126 */
obj_t BgL_resetz00_1805;
{ /* Reduce/cse.scm 127 */
BgL_nodez00_bglt BgL_arg3402z00_1809;
BgL_arg3402z00_1809 = 
(((BgL_castz00_bglt)CREF(BgL_nodez00_1800))->BgL_argz00); 
{ /* Reduce/cse.scm 127 */
obj_t BgL_method2753z00_2775;
{ /* Reduce/cse.scm 127 */
long BgL_objzd2classzd2numz00_2777;
{ /* Reduce/cse.scm 127 */
BgL_objectz00_bglt BgL_auxz00_4757;
BgL_auxz00_4757 = 
(BgL_objectz00_bglt)(BgL_arg3402z00_1809); 
BgL_objzd2classzd2numz00_2777 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4757); } 
{ /* Reduce/cse.scm 127 */
obj_t BgL_arg1904z00_2778;
{ /* Reduce/cse.scm 127 */
int BgL_auxz00_4760;
BgL_auxz00_4760 = 
(int)(((long)1)); 
BgL_arg1904z00_2778 = 
PROCEDURE_REF(BGl_nodezd2csez12zd2envz12zzreduce_csez00, BgL_auxz00_4760); } 
{ /* Reduce/cse.scm 127 */
long BgL_offsetz00_2782;
{ /* Reduce/cse.scm 127 */
long BgL_auxz00_4763;
{ /* Reduce/cse.scm 127 */
int BgL_auxz00_4764;
BgL_auxz00_4764 = 
(int)(BgL_objzd2classzd2numz00_2777); 
BgL_auxz00_4763 = 
(long)(BgL_auxz00_4764); } 
BgL_offsetz00_2782 = 
(BgL_auxz00_4763-OBJECT_TYPE); } 
{ /* Reduce/cse.scm 127 */
long BgL_modz00_2783;
{ /* Reduce/cse.scm 127 */
long BgL_auxz00_4768;
{ /* Reduce/cse.scm 127 */
int BgL_auxz00_4769;
BgL_auxz00_4769 = 
(int)(((long)8)); 
BgL_auxz00_4768 = 
(long)(BgL_auxz00_4769); } 
BgL_modz00_2783 = 
(BgL_offsetz00_2782/BgL_auxz00_4768); } 
{ /* Reduce/cse.scm 127 */
long BgL_restz00_2785;
{ /* Reduce/cse.scm 127 */
long BgL_auxz00_4773;
{ /* Reduce/cse.scm 127 */
int BgL_auxz00_4774;
BgL_auxz00_4774 = 
(int)(((long)8)); 
BgL_auxz00_4773 = 
(long)(BgL_auxz00_4774); } 
BgL_restz00_2785 = 
(BgL_offsetz00_2782%BgL_auxz00_4773); } 
{ /* Reduce/cse.scm 127 */

{ /* Reduce/cse.scm 127 */
obj_t BgL_bucketz00_2787;
{ /* Reduce/cse.scm 127 */
int BgL_kz00_2797;
BgL_kz00_2797 = 
(int)(BgL_modz00_2783); 
BgL_bucketz00_2787 = 
VECTOR_REF(BgL_arg1904z00_2778,BgL_kz00_2797); } 
{ /* Reduce/cse.scm 127 */
int BgL_kz00_2799;
BgL_kz00_2799 = 
(int)(BgL_restz00_2785); 
BgL_method2753z00_2775 = 
VECTOR_REF(BgL_bucketz00_2787,BgL_kz00_2799); } } } } } } } } 
BgL_resetz00_1805 = 
PROCEDURE_ENTRY(BgL_method2753z00_2775)(BgL_method2753z00_2775, 
(obj_t)(BgL_arg3402z00_1809), BgL_stackz00_1801, BEOA); } } 
{ /* Reduce/cse.scm 128 */
obj_t BgL_nargz00_1806;
{ /* Reduce/cse.scm 128 */
int BgL_auxz00_4785;
BgL_auxz00_4785 = 
(int)(((long)1)); 
BgL_nargz00_1806 = 
BGL_GET_MVALUES_VAL(BgL_auxz00_4785); } 
{ /* Reduce/cse.scm 128 */
BgL_nodez00_bglt BgL_val2250z00_2802;
BgL_val2250z00_2802 = 
(BgL_nodez00_bglt)(BgL_nargz00_1806); 
((((BgL_castz00_bglt)CREF(BgL_nodez00_1800))->BgL_argz00) = ((BgL_nodez00_bglt)BgL_val2250z00_2802), BUNSPEC); } 
{ /* Reduce/cse.scm 129 */
int BgL_auxz00_4790;
BgL_auxz00_4790 = 
(int)(((long)2)); 
BGL_SET_MVALUES_NUMBER(BgL_auxz00_4790); } 
{ /* Reduce/cse.scm 129 */
obj_t BgL_auxz00_4795;int BgL_auxz00_4793;
BgL_auxz00_4795 = 
(obj_t)(BgL_nodez00_1800); 
BgL_auxz00_4793 = 
(int)(((long)1)); 
BGL_SET_MVALUES_VAL(BgL_auxz00_4793, BgL_auxz00_4795); } 
return BgL_resetz00_1805;} } } } 
}



/* node-cse!-extern2769 */
obj_t BGl_nodezd2csez12zd2extern2769z12zzreduce_csez00(obj_t BgL_envz00_3592, obj_t BgL_nodez00_3593, obj_t BgL_stackz00_3594)
{ AN_OBJECT;
{ /* Reduce/cse.scm 116 */
{ 
BgL_externz00_bglt BgL_nodez00_1789;obj_t BgL_stackz00_1790;
BgL_nodez00_1789 = 
(BgL_externz00_bglt)(BgL_nodez00_3593); 
BgL_stackz00_1790 = BgL_stackz00_3594; 
{ /* Reduce/cse.scm 118 */
obj_t BgL_resetz72z72_1794;
BgL_resetz72z72_1794 = 
BGl_nodezd2cseza2z12z62zzreduce_csez00(
(((BgL_externz00_bglt)CREF(BgL_nodez00_1789))->BgL_exprza2za2), BgL_stackz00_1790); 
{ /* Reduce/cse.scm 119 */
int BgL_auxz00_4801;
BgL_auxz00_4801 = 
(int)(((long)2)); 
BGL_SET_MVALUES_NUMBER(BgL_auxz00_4801); } 
{ /* Reduce/cse.scm 119 */
obj_t BgL_auxz00_4806;int BgL_auxz00_4804;
BgL_auxz00_4806 = 
(obj_t)(BgL_nodez00_1789); 
BgL_auxz00_4804 = 
(int)(((long)1)); 
BGL_SET_MVALUES_VAL(BgL_auxz00_4804, BgL_auxz00_4806); } 
return BgL_resetz72z72_1794;} } } 
}



/* node-cse!-funcall2767 */
obj_t BGl_nodezd2csez12zd2funcall2767z12zzreduce_csez00(obj_t BgL_envz00_3595, obj_t BgL_nodez00_3596, obj_t BgL_stackz00_3597)
{ AN_OBJECT;
{ /* Reduce/cse.scm 108 */
{ 
BgL_funcallz00_bglt BgL_nodez00_1778;obj_t BgL_stackz00_1779;
BgL_nodez00_1778 = 
(BgL_funcallz00_bglt)(BgL_nodez00_3596); 
BgL_stackz00_1779 = BgL_stackz00_3597; 
{ /* Reduce/cse.scm 110 */
obj_t BgL_resetz72z72_1783;
BgL_resetz72z72_1783 = 
BGl_nodezd2cseza2z12z62zzreduce_csez00(
(((BgL_funcallz00_bglt)CREF(BgL_nodez00_1778))->BgL_argsz00), BgL_stackz00_1779); 
{ /* Reduce/cse.scm 111 */
int BgL_auxz00_4812;
BgL_auxz00_4812 = 
(int)(((long)2)); 
BGL_SET_MVALUES_NUMBER(BgL_auxz00_4812); } 
{ /* Reduce/cse.scm 111 */
obj_t BgL_auxz00_4817;int BgL_auxz00_4815;
BgL_auxz00_4817 = 
(obj_t)(BgL_nodez00_1778); 
BgL_auxz00_4815 = 
(int)(((long)1)); 
BGL_SET_MVALUES_VAL(BgL_auxz00_4815, BgL_auxz00_4817); } 
return BgL_resetz72z72_1783;} } } 
}



/* node-cse!-app-ly2765 */
obj_t BGl_nodezd2csez12zd2appzd2ly2765zc0zzreduce_csez00(obj_t BgL_envz00_3598, obj_t BgL_nodez00_3599, obj_t BgL_stackz00_3600)
{ AN_OBJECT;
{ /* Reduce/cse.scm 95 */
{ 
BgL_appzd2lyzd2_bglt BgL_nodez00_1761;obj_t BgL_stackz00_1762;
BgL_nodez00_1761 = 
(BgL_appzd2lyzd2_bglt)(BgL_nodez00_3599); 
BgL_stackz00_1762 = BgL_stackz00_3600; 
{ /* Reduce/cse.scm 97 */
obj_t BgL_resetz00_1766;
{ /* Reduce/cse.scm 98 */
BgL_nodez00_bglt BgL_arg3364z00_1775;
BgL_arg3364z00_1775 = 
(((BgL_appzd2lyzd2_bglt)CREF(BgL_nodez00_1761))->BgL_funz00); 
{ /* Reduce/cse.scm 98 */
obj_t BgL_method2753z00_2702;
{ /* Reduce/cse.scm 98 */
long BgL_objzd2classzd2numz00_2704;
{ /* Reduce/cse.scm 98 */
BgL_objectz00_bglt BgL_auxz00_4822;
BgL_auxz00_4822 = 
(BgL_objectz00_bglt)(BgL_arg3364z00_1775); 
BgL_objzd2classzd2numz00_2704 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4822); } 
{ /* Reduce/cse.scm 98 */
obj_t BgL_arg1904z00_2705;
{ /* Reduce/cse.scm 98 */
int BgL_auxz00_4825;
BgL_auxz00_4825 = 
(int)(((long)1)); 
BgL_arg1904z00_2705 = 
PROCEDURE_REF(BGl_nodezd2csez12zd2envz12zzreduce_csez00, BgL_auxz00_4825); } 
{ /* Reduce/cse.scm 98 */
long BgL_offsetz00_2709;
{ /* Reduce/cse.scm 98 */
long BgL_auxz00_4828;
{ /* Reduce/cse.scm 98 */
int BgL_auxz00_4829;
BgL_auxz00_4829 = 
(int)(BgL_objzd2classzd2numz00_2704); 
BgL_auxz00_4828 = 
(long)(BgL_auxz00_4829); } 
BgL_offsetz00_2709 = 
(BgL_auxz00_4828-OBJECT_TYPE); } 
{ /* Reduce/cse.scm 98 */
long BgL_modz00_2710;
{ /* Reduce/cse.scm 98 */
long BgL_auxz00_4833;
{ /* Reduce/cse.scm 98 */
int BgL_auxz00_4834;
BgL_auxz00_4834 = 
(int)(((long)8)); 
BgL_auxz00_4833 = 
(long)(BgL_auxz00_4834); } 
BgL_modz00_2710 = 
(BgL_offsetz00_2709/BgL_auxz00_4833); } 
{ /* Reduce/cse.scm 98 */
long BgL_restz00_2712;
{ /* Reduce/cse.scm 98 */
long BgL_auxz00_4838;
{ /* Reduce/cse.scm 98 */
int BgL_auxz00_4839;
BgL_auxz00_4839 = 
(int)(((long)8)); 
BgL_auxz00_4838 = 
(long)(BgL_auxz00_4839); } 
BgL_restz00_2712 = 
(BgL_offsetz00_2709%BgL_auxz00_4838); } 
{ /* Reduce/cse.scm 98 */

{ /* Reduce/cse.scm 98 */
obj_t BgL_bucketz00_2714;
{ /* Reduce/cse.scm 98 */
int BgL_kz00_2724;
BgL_kz00_2724 = 
(int)(BgL_modz00_2710); 
BgL_bucketz00_2714 = 
VECTOR_REF(BgL_arg1904z00_2705,BgL_kz00_2724); } 
{ /* Reduce/cse.scm 98 */
int BgL_kz00_2726;
BgL_kz00_2726 = 
(int)(BgL_restz00_2712); 
BgL_method2753z00_2702 = 
VECTOR_REF(BgL_bucketz00_2714,BgL_kz00_2726); } } } } } } } } 
BgL_resetz00_1766 = 
PROCEDURE_ENTRY(BgL_method2753z00_2702)(BgL_method2753z00_2702, 
(obj_t)(BgL_arg3364z00_1775), BgL_stackz00_1762, BEOA); } } 
{ /* Reduce/cse.scm 99 */
obj_t BgL_nfunz00_1767;
{ /* Reduce/cse.scm 99 */
int BgL_auxz00_4850;
BgL_auxz00_4850 = 
(int)(((long)1)); 
BgL_nfunz00_1767 = 
BGL_GET_MVALUES_VAL(BgL_auxz00_4850); } 
{ /* Reduce/cse.scm 99 */
BgL_nodez00_bglt BgL_val1759z00_2729;
BgL_val1759z00_2729 = 
(BgL_nodez00_bglt)(BgL_nfunz00_1767); 
((((BgL_appzd2lyzd2_bglt)CREF(BgL_nodez00_1761))->BgL_funz00) = ((BgL_nodez00_bglt)BgL_val1759z00_2729), BUNSPEC); } 
{ /* Reduce/cse.scm 100 */
obj_t BgL_resetz72z72_1768;
{ /* Reduce/cse.scm 101 */
BgL_nodez00_bglt BgL_arg3358z00_1773;obj_t BgL_arg3359z00_1774;
BgL_arg3358z00_1773 = 
(((BgL_appzd2lyzd2_bglt)CREF(BgL_nodez00_1761))->BgL_argz00); 
if(
CBOOL(BgL_resetz00_1766))
{ /* Reduce/cse.scm 101 */
BgL_arg3359z00_1774 = BNIL; }  else 
{ /* Reduce/cse.scm 101 */
BgL_arg3359z00_1774 = BgL_stackz00_1762; } 
{ /* Reduce/cse.scm 101 */
obj_t BgL_method2753z00_2733;
{ /* Reduce/cse.scm 101 */
long BgL_objzd2classzd2numz00_2735;
{ /* Reduce/cse.scm 101 */
BgL_objectz00_bglt BgL_auxz00_4858;
BgL_auxz00_4858 = 
(BgL_objectz00_bglt)(BgL_arg3358z00_1773); 
BgL_objzd2classzd2numz00_2735 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4858); } 
{ /* Reduce/cse.scm 101 */
obj_t BgL_arg1904z00_2736;
{ /* Reduce/cse.scm 101 */
int BgL_auxz00_4861;
BgL_auxz00_4861 = 
(int)(((long)1)); 
BgL_arg1904z00_2736 = 
PROCEDURE_REF(BGl_nodezd2csez12zd2envz12zzreduce_csez00, BgL_auxz00_4861); } 
{ /* Reduce/cse.scm 101 */
long BgL_offsetz00_2740;
{ /* Reduce/cse.scm 101 */
long BgL_auxz00_4864;
{ /* Reduce/cse.scm 101 */
int BgL_auxz00_4865;
BgL_auxz00_4865 = 
(int)(BgL_objzd2classzd2numz00_2735); 
BgL_auxz00_4864 = 
(long)(BgL_auxz00_4865); } 
BgL_offsetz00_2740 = 
(BgL_auxz00_4864-OBJECT_TYPE); } 
{ /* Reduce/cse.scm 101 */
long BgL_modz00_2741;
{ /* Reduce/cse.scm 101 */
long BgL_auxz00_4869;
{ /* Reduce/cse.scm 101 */
int BgL_auxz00_4870;
BgL_auxz00_4870 = 
(int)(((long)8)); 
BgL_auxz00_4869 = 
(long)(BgL_auxz00_4870); } 
BgL_modz00_2741 = 
(BgL_offsetz00_2740/BgL_auxz00_4869); } 
{ /* Reduce/cse.scm 101 */
long BgL_restz00_2743;
{ /* Reduce/cse.scm 101 */
long BgL_auxz00_4874;
{ /* Reduce/cse.scm 101 */
int BgL_auxz00_4875;
BgL_auxz00_4875 = 
(int)(((long)8)); 
BgL_auxz00_4874 = 
(long)(BgL_auxz00_4875); } 
BgL_restz00_2743 = 
(BgL_offsetz00_2740%BgL_auxz00_4874); } 
{ /* Reduce/cse.scm 101 */

{ /* Reduce/cse.scm 101 */
obj_t BgL_bucketz00_2745;
{ /* Reduce/cse.scm 101 */
int BgL_kz00_2755;
BgL_kz00_2755 = 
(int)(BgL_modz00_2741); 
BgL_bucketz00_2745 = 
VECTOR_REF(BgL_arg1904z00_2736,BgL_kz00_2755); } 
{ /* Reduce/cse.scm 101 */
int BgL_kz00_2757;
BgL_kz00_2757 = 
(int)(BgL_restz00_2743); 
BgL_method2753z00_2733 = 
VECTOR_REF(BgL_bucketz00_2745,BgL_kz00_2757); } } } } } } } } 
BgL_resetz72z72_1768 = 
PROCEDURE_ENTRY(BgL_method2753z00_2733)(BgL_method2753z00_2733, 
(obj_t)(BgL_arg3358z00_1773), BgL_arg3359z00_1774, BEOA); } } 
{ /* Reduce/cse.scm 102 */
obj_t BgL_nargz00_1769;
{ /* Reduce/cse.scm 102 */
int BgL_auxz00_4886;
BgL_auxz00_4886 = 
(int)(((long)1)); 
BgL_nargz00_1769 = 
BGL_GET_MVALUES_VAL(BgL_auxz00_4886); } 
{ /* Reduce/cse.scm 102 */
BgL_nodez00_bglt BgL_val1762z00_2760;
BgL_val1762z00_2760 = 
(BgL_nodez00_bglt)(BgL_nargz00_1769); 
((((BgL_appzd2lyzd2_bglt)CREF(BgL_nodez00_1761))->BgL_argz00) = ((BgL_nodez00_bglt)BgL_val1762z00_2760), BUNSPEC); } 
{ /* Reduce/cse.scm 103 */
obj_t BgL_val0_2671z00_1770;
if(
CBOOL(BgL_resetz00_1766))
{ /* Reduce/cse.scm 103 */
BgL_val0_2671z00_1770 = BgL_resetz00_1766; }  else 
{ /* Reduce/cse.scm 103 */
BgL_val0_2671z00_1770 = BgL_resetz72z72_1768; } 
{ /* Reduce/cse.scm 103 */
int BgL_auxz00_4893;
BgL_auxz00_4893 = 
(int)(((long)2)); 
BGL_SET_MVALUES_NUMBER(BgL_auxz00_4893); } 
{ /* Reduce/cse.scm 103 */
obj_t BgL_auxz00_4898;int BgL_auxz00_4896;
BgL_auxz00_4898 = 
(obj_t)(BgL_nodez00_1761); 
BgL_auxz00_4896 = 
(int)(((long)1)); 
BGL_SET_MVALUES_VAL(BgL_auxz00_4896, BgL_auxz00_4898); } 
return BgL_val0_2671z00_1770;} } } } } } } 
}



/* node-cse!-sequence2763 */
obj_t BGl_nodezd2csez12zd2sequence2763z12zzreduce_csez00(obj_t BgL_envz00_3601, obj_t BgL_nodez00_3602, obj_t BgL_stackz00_3603)
{ AN_OBJECT;
{ /* Reduce/cse.scm 88 */
{ 
BgL_sequencez00_bglt BgL_nodez00_1751;obj_t BgL_stackz00_1752;
BgL_nodez00_1751 = 
(BgL_sequencez00_bglt)(BgL_nodez00_3602); 
BgL_stackz00_1752 = BgL_stackz00_3603; 
{ /* Reduce/cse.scm 90 */
obj_t BgL_val0_2667z00_1756;
BgL_val0_2667z00_1756 = 
BGl_nodezd2cseza2z12z62zzreduce_csez00(
(((BgL_sequencez00_bglt)CREF(BgL_nodez00_1751))->BgL_nodesz00), BgL_stackz00_1752); 
{ /* Reduce/cse.scm 90 */
int BgL_auxz00_4904;
BgL_auxz00_4904 = 
(int)(((long)2)); 
BGL_SET_MVALUES_NUMBER(BgL_auxz00_4904); } 
{ /* Reduce/cse.scm 90 */
obj_t BgL_auxz00_4909;int BgL_auxz00_4907;
BgL_auxz00_4909 = 
(obj_t)(BgL_nodez00_1751); 
BgL_auxz00_4907 = 
(int)(((long)1)); 
BGL_SET_MVALUES_VAL(BgL_auxz00_4907, BgL_auxz00_4909); } 
return BgL_val0_2667z00_1756;} } } 
}



/* node-cse!-closure2761 */
obj_t BGl_nodezd2csez12zd2closure2761z12zzreduce_csez00(obj_t BgL_envz00_3604, obj_t BgL_nodez00_3605, obj_t BgL_stackz00_3606)
{ AN_OBJECT;
{ /* Reduce/cse.scm 82 */
{ 
BgL_closurez00_bglt BgL_nodez00_1743;obj_t BgL_stackz00_1744;
{ /* Reduce/cse.scm 83 */
bool_t BgL_auxz00_4913;
BgL_nodez00_1743 = 
(BgL_closurez00_bglt)(BgL_nodez00_3605); 
BgL_stackz00_1744 = BgL_stackz00_3606; 
{ /* Reduce/cse.scm 83 */
int BgL_auxz00_4914;
BgL_auxz00_4914 = 
(int)(((long)2)); 
BGL_SET_MVALUES_NUMBER(BgL_auxz00_4914); } 
{ /* Reduce/cse.scm 83 */
obj_t BgL_auxz00_4919;int BgL_auxz00_4917;
BgL_auxz00_4919 = 
(obj_t)(BgL_nodez00_1743); 
BgL_auxz00_4917 = 
(int)(((long)1)); 
BGL_SET_MVALUES_VAL(BgL_auxz00_4917, BgL_auxz00_4919); } 
BgL_auxz00_4913 = ((bool_t)0); 
return 
BBOOL(BgL_auxz00_4913);} } } 
}



/* node-cse!-var2759 */
obj_t BGl_nodezd2csez12zd2var2759z12zzreduce_csez00(obj_t BgL_envz00_3607, obj_t BgL_nodez00_3608, obj_t BgL_stackz00_3609)
{ AN_OBJECT;
{ /* Reduce/cse.scm 76 */
{ 
BgL_varz00_bglt BgL_nodez00_1735;obj_t BgL_stackz00_1736;
{ /* Reduce/cse.scm 77 */
bool_t BgL_auxz00_4924;
BgL_nodez00_1735 = 
(BgL_varz00_bglt)(BgL_nodez00_3608); 
BgL_stackz00_1736 = BgL_stackz00_3609; 
{ /* Reduce/cse.scm 77 */
int BgL_auxz00_4925;
BgL_auxz00_4925 = 
(int)(((long)2)); 
BGL_SET_MVALUES_NUMBER(BgL_auxz00_4925); } 
{ /* Reduce/cse.scm 77 */
obj_t BgL_auxz00_4930;int BgL_auxz00_4928;
BgL_auxz00_4930 = 
(obj_t)(BgL_nodez00_1735); 
BgL_auxz00_4928 = 
(int)(((long)1)); 
BGL_SET_MVALUES_VAL(BgL_auxz00_4928, BgL_auxz00_4930); } 
BgL_auxz00_4924 = ((bool_t)0); 
return 
BBOOL(BgL_auxz00_4924);} } } 
}



/* node-cse!-kwote2757 */
obj_t BGl_nodezd2csez12zd2kwote2757z12zzreduce_csez00(obj_t BgL_envz00_3610, obj_t BgL_nodez00_3611, obj_t BgL_stackz00_3612)
{ AN_OBJECT;
{ /* Reduce/cse.scm 70 */
{ 
BgL_kwotez00_bglt BgL_nodez00_1727;obj_t BgL_stackz00_1728;
{ /* Reduce/cse.scm 71 */
bool_t BgL_auxz00_4935;
BgL_nodez00_1727 = 
(BgL_kwotez00_bglt)(BgL_nodez00_3611); 
BgL_stackz00_1728 = BgL_stackz00_3612; 
{ /* Reduce/cse.scm 71 */
int BgL_auxz00_4936;
BgL_auxz00_4936 = 
(int)(((long)2)); 
BGL_SET_MVALUES_NUMBER(BgL_auxz00_4936); } 
{ /* Reduce/cse.scm 71 */
obj_t BgL_auxz00_4941;int BgL_auxz00_4939;
BgL_auxz00_4941 = 
(obj_t)(BgL_nodez00_1727); 
BgL_auxz00_4939 = 
(int)(((long)1)); 
BGL_SET_MVALUES_VAL(BgL_auxz00_4939, BgL_auxz00_4941); } 
BgL_auxz00_4935 = ((bool_t)0); 
return 
BBOOL(BgL_auxz00_4935);} } } 
}



/* node-cse!-atom2755 */
obj_t BGl_nodezd2csez12zd2atom2755z12zzreduce_csez00(obj_t BgL_envz00_3613, obj_t BgL_nodez00_3614, obj_t BgL_stackz00_3615)
{ AN_OBJECT;
{ /* Reduce/cse.scm 64 */
{ 
BgL_atomz00_bglt BgL_nodez00_1719;obj_t BgL_stackz00_1720;
{ /* Reduce/cse.scm 65 */
bool_t BgL_auxz00_4946;
BgL_nodez00_1719 = 
(BgL_atomz00_bglt)(BgL_nodez00_3614); 
BgL_stackz00_1720 = BgL_stackz00_3615; 
{ /* Reduce/cse.scm 65 */
int BgL_auxz00_4947;
BgL_auxz00_4947 = 
(int)(((long)2)); 
BGL_SET_MVALUES_NUMBER(BgL_auxz00_4947); } 
{ /* Reduce/cse.scm 65 */
obj_t BgL_auxz00_4952;int BgL_auxz00_4950;
BgL_auxz00_4952 = 
(obj_t)(BgL_nodez00_1719); 
BgL_auxz00_4950 = 
(int)(((long)1)); 
BGL_SET_MVALUES_VAL(BgL_auxz00_4950, BgL_auxz00_4952); } 
BgL_auxz00_4946 = ((bool_t)0); 
return 
BBOOL(BgL_auxz00_4946);} } } 
}



/* node-cse! */
obj_t BGl_nodezd2csez12zc0zzreduce_csez00(BgL_nodez00_bglt BgL_nodez00_2, obj_t BgL_stackz00_3)
{ AN_OBJECT;
{ /* Reduce/cse.scm 59 */
{ /* Reduce/cse.scm 59 */
obj_t BgL_method2753z00_3499;
{ /* Reduce/cse.scm 59 */
long BgL_objzd2classzd2numz00_3501;
{ /* Reduce/cse.scm 59 */
BgL_objectz00_bglt BgL_auxz00_4957;
BgL_auxz00_4957 = 
(BgL_objectz00_bglt)(BgL_nodez00_2); 
BgL_objzd2classzd2numz00_3501 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4957); } 
{ /* Reduce/cse.scm 59 */
obj_t BgL_arg1904z00_3502;
{ /* Reduce/cse.scm 59 */
int BgL_auxz00_4960;
BgL_auxz00_4960 = 
(int)(((long)1)); 
BgL_arg1904z00_3502 = 
PROCEDURE_REF(BGl_nodezd2csez12zd2envz12zzreduce_csez00, BgL_auxz00_4960); } 
{ /* Reduce/cse.scm 59 */
long BgL_offsetz00_3506;
{ /* Reduce/cse.scm 59 */
long BgL_auxz00_4963;
{ /* Reduce/cse.scm 59 */
int BgL_auxz00_4964;
BgL_auxz00_4964 = 
(int)(BgL_objzd2classzd2numz00_3501); 
BgL_auxz00_4963 = 
(long)(BgL_auxz00_4964); } 
BgL_offsetz00_3506 = 
(BgL_auxz00_4963-OBJECT_TYPE); } 
{ /* Reduce/cse.scm 59 */
long BgL_modz00_3507;
{ /* Reduce/cse.scm 59 */
long BgL_auxz00_4968;
{ /* Reduce/cse.scm 59 */
int BgL_auxz00_4969;
BgL_auxz00_4969 = 
(int)(((long)8)); 
BgL_auxz00_4968 = 
(long)(BgL_auxz00_4969); } 
BgL_modz00_3507 = 
(BgL_offsetz00_3506/BgL_auxz00_4968); } 
{ /* Reduce/cse.scm 59 */
long BgL_restz00_3509;
{ /* Reduce/cse.scm 59 */
long BgL_auxz00_4973;
{ /* Reduce/cse.scm 59 */
int BgL_auxz00_4974;
BgL_auxz00_4974 = 
(int)(((long)8)); 
BgL_auxz00_4973 = 
(long)(BgL_auxz00_4974); } 
BgL_restz00_3509 = 
(BgL_offsetz00_3506%BgL_auxz00_4973); } 
{ /* Reduce/cse.scm 59 */

{ /* Reduce/cse.scm 59 */
obj_t BgL_bucketz00_3511;
{ /* Reduce/cse.scm 59 */
int BgL_kz00_3521;
BgL_kz00_3521 = 
(int)(BgL_modz00_3507); 
BgL_bucketz00_3511 = 
VECTOR_REF(BgL_arg1904z00_3502,BgL_kz00_3521); } 
{ /* Reduce/cse.scm 59 */
int BgL_kz00_3523;
BgL_kz00_3523 = 
(int)(BgL_restz00_3509); 
BgL_method2753z00_3499 = 
VECTOR_REF(BgL_bucketz00_3511,BgL_kz00_3523); } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method2753z00_3499)(BgL_method2753z00_3499, 
(obj_t)(BgL_nodez00_2), BgL_stackz00_3, BEOA);} } 
}



/* _node-cse!3800 */
obj_t BGl__nodezd2csez123800zc0zzreduce_csez00(obj_t BgL_envz00_3529, obj_t BgL_nodez00_3530, obj_t BgL_stackz00_3531)
{ AN_OBJECT;
{ /* Reduce/cse.scm 59 */
return 
BGl_nodezd2csez12zc0zzreduce_csez00(
(BgL_nodez00_bglt)(BgL_nodez00_3530), BgL_stackz00_3531);} 
}



/* node-cse!-default2752 */
obj_t BGl_nodezd2csez12zd2default2752z12zzreduce_csez00(BgL_nodez00_bglt BgL_nodez00_4, obj_t BgL_stackz00_5)
{ AN_OBJECT;
{ /* Reduce/cse.scm 15 */
{ 
obj_t BgL_auxz00_4989;obj_t BgL_auxz00_4987;
BgL_auxz00_4989 = 
(obj_t)(BgL_nodez00_4); 
BgL_auxz00_4987 = 
CNST_TABLE_REF(((long)2)); 
FAILURE(BgL_auxz00_4987,BGl_string4359z00zzreduce_csez00,BgL_auxz00_4989);} } 
}



/* _node-cse!-default2752 */
obj_t BGl__nodezd2csez12zd2default2752z12zzreduce_csez00(obj_t BgL_envz00_3616, obj_t BgL_nodez00_3617, obj_t BgL_stackz00_3618)
{ AN_OBJECT;
{ /* Reduce/cse.scm 15 */
return 
BGl_nodezd2csez12zd2default2752z12zzreduce_csez00(
(BgL_nodez00_bglt)(BgL_nodez00_3617), BgL_stackz00_3618);} 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zzreduce_csez00()
{ AN_OBJECT;
{ /* Reduce/cse.scm 15 */
BGl_modulezd2initializa7ationz75zztools_tracez00(((long)64647), "reduce_cse"); 
BGl_modulezd2initializa7ationz75zztools_shapez00(((long)30825), "reduce_cse"); 
BGl_modulezd2initializa7ationz75zztools_speekz00(((long)23545), "reduce_cse"); 
BGl_modulezd2initializa7ationz75zztools_errorz00(((long)17886), "reduce_cse"); 
BGl_modulezd2initializa7ationz75zztype_typez00(((long)19010), "reduce_cse"); 
BGl_modulezd2initializa7ationz75zztype_cachez00(((long)57983), "reduce_cse"); 
BGl_modulezd2initializa7ationz75zzcoerce_typeofz00(((long)57980), "reduce_cse"); 
BGl_modulezd2initializa7ationz75zzcoerce_coercez00(((long)56579), "reduce_cse"); 
BGl_modulezd2initializa7ationz75zzeffect_effectz00(((long)13497), "reduce_cse"); 
BGl_modulezd2initializa7ationz75zzast_varz00(((long)28259), "reduce_cse"); 
BGl_modulezd2initializa7ationz75zzast_nodez00(((long)49436), "reduce_cse"); 
BGl_modulezd2initializa7ationz75zzast_lvtypez00(((long)42798), "reduce_cse"); 
return 
BGl_modulezd2initializa7ationz75zzreduce_samez00(((long)52415), "reduce_cse");} 
}

